Microsoft.AspNetCore.Builder Namespace

[Missing <summary> documentation for "N:Microsoft.AspNetCore.Builder"]

Classes
 | Class | Description
Public class | CoreBuilderExtensions | Asp.net Core application builder extension functions Asp.Net Core应用构建器的扩展函数


CoreBuilderExtensions Class
Asp.net Core application builder extension functions
Asp.Net Core应用构建器的扩展函数
Inheritance Hierarchy
SystemObject
Microsoft.AspNetCore.BuilderCoreBuilderExtensions

Namespace: Microsoft.AspNetCore.Builder
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class CoreBuilderExtensions
<ExtensionAttribute>
Public NotInheritable Class CoreBuilderExtensions
[ExtensionAttribute]
public ref class CoreBuilderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type CoreBuilderExtensions =  class end
Methods
Name | Description
UseZKWeb(IApplicationBuilder, String) | Use zkweb middleware 使用zkweb中间件
UseZKWebTApplication(IApplicationBuilder, String) | Use zkweb middleware 使用zkweb中间件
Top
See Also

Reference

Microsoft.AspNetCore.Builder Namespace


CoreBuilderExtensions Methods
Methods
Name | Description
UseZKWeb(IApplicationBuilder, String) | Use zkweb middleware 使用zkweb中间件
UseZKWebTApplication(IApplicationBuilder, String) | Use zkweb middleware 使用zkweb中间件
Top
See Also

Reference

CoreBuilderExtensions Class
Microsoft.AspNetCore.Builder Namespace


CoreBuilderExtensions.UseZKWeb Method

ZKWeb索引

CoreBuilderExtensionsUseZKWeb Method

Overload List
Name | Description
UseZKWeb(IApplicationBuilder, String) | Use zkweb middleware 使用zkweb中间件
UseZKWebTApplication(IApplicationBuilder, String) | Use zkweb middleware 使用zkweb中间件
Top
See Also

Reference

CoreBuilderExtensions Class
Microsoft.AspNetCore.Builder Namespace


CoreBuilderExtensions.UseZKWeb Method (IApplicationBuilder, String)

CoreBuilderExtensionsUseZKWeb Method (IApplicationBuilder, String)
Use zkweb middleware
使用zkweb中间件

Namespace: Microsoft.AspNetCore.Builder
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IApplicationBuilder UseZKWeb(
    this IApplicationBuilder app,
    string websiteRootDirectory
)
<ExtensionAttribute>
Public Shared Function UseZKWeb (
    app As IApplicationBuilder,
    websiteRootDirectory As String
) As IApplicationBuilder
public:
[ExtensionAttribute]
static IApplicationBuilder^ UseZKWeb(
    IApplicationBuilder^ app,
    String^ websiteRootDirectory
)
[<ExtensionAttribute>]
static member UseZKWeb :
        app : IApplicationBuilder *
        websiteRootDirectory : string -> IApplicationBuilder

Parameters

app
Type: IApplicationBuilder
application builder
websiteRootDirectory
Type: SystemString
website root directory

Return Value

Type: IApplicationBuilder

[Missing <returns> documentation for "M:Microsoft.AspNetCore.Builder.CoreBuilderExtensions.UseZKWeb(Microsoft.AspNetCore.Builder.IApplicationBuilder,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IApplicationBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CoreBuilderExtensions Class
UseZKWeb Overload
Microsoft.AspNetCore.Builder Namespace


CoreBuilderExtensions.UseZKWeb(TApplication) Method (IApplicationBuilder, String)

CoreBuilderExtensionsUseZKWebTApplication Method (IApplicationBuilder, String)
Use zkweb middleware
使用zkweb中间件

Namespace: Microsoft.AspNetCore.Builder
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IApplicationBuilder UseZKWeb<TApplication>(
    this IApplicationBuilder app,
    string websiteRootDirectory
)
where TApplication : new(), IApplication

<ExtensionAttribute>
Public Shared Function UseZKWeb(Of TApplication As {New, IApplication}) (
    app As IApplicationBuilder,
    websiteRootDirectory As String
) As IApplicationBuilder
public:
[ExtensionAttribute]
generic<typename TApplication>
where TApplication : gcnew(), IApplication
static IApplicationBuilder^ UseZKWeb(
    IApplicationBuilder^ app,
    String^ websiteRootDirectory
)
[<ExtensionAttribute>]
static member UseZKWeb :
        app : IApplicationBuilder *
        websiteRootDirectory : string -> IApplicationBuilder  when 'TApplication : new() and IApplication

Parameters

app
Type: IApplicationBuilder
application builder
websiteRootDirectory
Type: SystemString
website root directory

Type Parameters

TApplication
application type

Return Value

Type: IApplicationBuilder

[Missing <returns> documentation for "M:Microsoft.AspNetCore.Builder.CoreBuilderExtensions.UseZKWeb``1(Microsoft.AspNetCore.Builder.IApplicationBuilder,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IApplicationBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

CoreBuilderExtensions Class
UseZKWeb Overload
Microsoft.AspNetCore.Builder Namespace


Owin Namespace

[Missing <summary> documentation for "N:Owin"]

Classes
 | Class | Description
Public class | OwinBuilderExtensions | Owin application builder extension function Owin的应用构建器的扩展函数


OwinBuilderExtensions Class
Owin application builder extension function
Owin的应用构建器的扩展函数
Inheritance Hierarchy
SystemObject
OwinOwinBuilderExtensions

Namespace: Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class OwinBuilderExtensions
<ExtensionAttribute>
Public NotInheritable Class OwinBuilderExtensions
[ExtensionAttribute]
public ref class OwinBuilderExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type OwinBuilderExtensions =  class end
Methods
Name | Description
UseZKWeb(IAppBuilder, String) | Use zkweb middleware 使用zkweb中间件
UseZKWebTApplication(IAppBuilder, String) | Use zkweb middleware 使用zkweb中间件
Top
See Also

Reference

Owin Namespace


OwinBuilderExtensions Methods
Methods
Name | Description
UseZKWeb(IAppBuilder, String) | Use zkweb middleware 使用zkweb中间件
UseZKWebTApplication(IAppBuilder, String) | Use zkweb middleware 使用zkweb中间件
Top
See Also

Reference

OwinBuilderExtensions Class
Owin Namespace


OwinBuilderExtensions.UseZKWeb Method

OwinBuilderExtensionsUseZKWeb Method

Overload List
Name | Description
UseZKWeb(IAppBuilder, String) | Use zkweb middleware 使用zkweb中间件
UseZKWebTApplication(IAppBuilder, String) | Use zkweb middleware 使用zkweb中间件
Top
See Also

Reference

OwinBuilderExtensions Class
Owin Namespace


OwinBuilderExtensions.UseZKWeb Method (IAppBuilder, String)

OwinBuilderExtensionsUseZKWeb Method (IAppBuilder, String)
Use zkweb middleware
使用zkweb中间件

Namespace: Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IAppBuilder UseZKWeb(
    this IAppBuilder app,
    string websiteRootDirectory
)
<ExtensionAttribute>
Public Shared Function UseZKWeb (
    app As IAppBuilder,
    websiteRootDirectory As String
) As IAppBuilder
public:
[ExtensionAttribute]
static IAppBuilder^ UseZKWeb(
    IAppBuilder^ app,
    String^ websiteRootDirectory
)
[<ExtensionAttribute>]
static member UseZKWeb :
        app : IAppBuilder *
        websiteRootDirectory : string -> IAppBuilder

Parameters

app
Type: IAppBuilder
application builder
websiteRootDirectory
Type: SystemString
website root directory

Return Value

Type: IAppBuilder

[Missing <returns> documentation for "M:Owin.OwinBuilderExtensions.UseZKWeb(Owin.IAppBuilder,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IAppBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OwinBuilderExtensions Class
UseZKWeb Overload
Owin Namespace


OwinBuilderExtensions.UseZKWeb(TApplication) Method (IAppBuilder, String)

OwinBuilderExtensionsUseZKWebTApplication Method (IAppBuilder, String)
Use zkweb middleware
使用zkweb中间件

Namespace: Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IAppBuilder UseZKWeb<TApplication>(
    this IAppBuilder app,
    string websiteRootDirectory
)
where TApplication : new(), IApplication

<ExtensionAttribute>
Public Shared Function UseZKWeb(Of TApplication As {New, IApplication}) (
    app As IAppBuilder,
    websiteRootDirectory As String
) As IAppBuilder
public:
[ExtensionAttribute]
generic<typename TApplication>
where TApplication : gcnew(), IApplication
static IAppBuilder^ UseZKWeb(
    IAppBuilder^ app,
    String^ websiteRootDirectory
)
[<ExtensionAttribute>]
static member UseZKWeb :
        app : IAppBuilder *
        websiteRootDirectory : string -> IAppBuilder  when 'TApplication : new() and IApplication

Parameters

app
Type: IAppBuilder
application builder
websiteRootDirectory
Type: SystemString
website root directory

Type Parameters

TApplication
application type

Return Value

Type: IAppBuilder

[Missing <returns> documentation for "M:Owin.OwinBuilderExtensions.UseZKWeb``1(Owin.IAppBuilder,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IAppBuilder. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

OwinBuilderExtensions Class
UseZKWeb Overload
Owin Namespace


ZKWeb Namespaces

[Missing <summary> documentation for "G:ZKWeb"]

Namespaces
Namespace | Description
ZKWeb |
ZKWeb.Cache |
ZKWeb.Database |
ZKWeb.Hosting |
ZKWeb.Localize |
ZKWeb.Logging |
ZKWeb.ORM |
ZKWeb.Plugin |
ZKWeb.Serialize |
ZKWeb.Server |
ZKWeb.Storage |
ZKWeb.Templating |
ZKWeb.Testing |
ZKWeb.Tests |
ZKWeb.Web |


ZKWeb Namespace

[Missing <summary> documentation for "N:ZKWeb"]

Classes
 | Class | Description
Public class | Application | Main Application 主应用


Application Class
Main Application
主应用
Inheritance Hierarchy
SystemObject
ZKWebApplication

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class Application
Public NotInheritable Class Application
public ref class Application abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Application =  class end

The Application type exposes the following members.

Properties
Name | Description
FullVersion | ZKWeb Version String ZKWeb的版本字符串
InProgressRequests | In progress requests 处理中的请求数量
Instance | Application Instance 应用的实例
Ioc | The IoC Container Instance IoC容器的实例
Version | ZKWeb Version Object ZKWeb的版本对象
Top
Methods
Name | Description
Initialize(String) | Intialize application with DefaultApplication 初始化默认应用
InitializeTApplication(String) | Intialize application with specificed application type 初始化指定应用
OnError | Handle http error Method "Response.End" will be called if processing completed without errors 处理Http错误 如果处理成功完成将会调用"Response.End"函数
OnRequest | Handle http request Method "Response.End" will be called if processing completed without errors 处理Http请求 如果处理成功完成将会调用"Response.End"函数 ///
OverrideIoc | Override IoC container, only affect the thread calling this method Overrided container will inherit original container, Alter overrided container will not affect original container. 重载当前线程中的IoC容器, 只影响调用此函数的线程 重载后的容器会继承原始容器的内容, 并且修改重载后的容器不会影响原始容器
Top
See Also

Reference

ZKWeb Namespace


Application Properties

The Application type exposes the following members.

Properties
Name | Description
FullVersion | ZKWeb Version String ZKWeb的版本字符串
InProgressRequests | In progress requests 处理中的请求数量
Instance | Application Instance 应用的实例
Ioc | The IoC Container Instance IoC容器的实例
Version | ZKWeb Version Object ZKWeb的版本对象
Top
See Also

Reference

Application Class
ZKWeb Namespace


Application.FullVersion Property

ApplicationFullVersion Property

ZKWeb Version String
ZKWeb的版本字符串

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string FullVersion { get; }
Public Shared ReadOnly Property FullVersion As String
    Get
public:
static property String^ FullVersion {
    String^ get ();
}
static member FullVersion : string with get

Property Value

Type: String
See Also

Reference

Application Class
ZKWeb Namespace


Application.InProgressRequests Property

ApplicationInProgressRequests Property

In progress requests
处理中的请求数量

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static int InProgressRequests { get; }
Public Shared ReadOnly Property InProgressRequests As Integer
    Get
public:
static property int InProgressRequests {
    int get ();
}
static member InProgressRequests : int with get

Property Value

Type: Int32
See Also

Reference

Application Class
ZKWeb Namespace


Application.Instance Property

ApplicationInstance Property

Application Instance
应用的实例

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IApplication Instance { get; set; }
Public Shared Property Instance As IApplication
    Get
    Set
public:
static property IApplication^ Instance {
    IApplication^ get ();
    void set (IApplication^ value);
}
static member Instance : IApplication with get, set

Property Value

Type: IApplication
See Also

Reference

Application Class
ZKWeb Namespace


Application.Ioc Property

ApplicationIoc Property

The IoC Container Instance
IoC容器的实例

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IContainer Ioc { get; }
Public Shared ReadOnly Property Ioc As IContainer
    Get
public:
static property IContainer^ Ioc {
    IContainer^ get ();
}
static member Ioc : IContainer with get

Property Value

Type: IContainer
See Also

Reference

Application Class
ZKWeb Namespace


Application.Version Property

ApplicationVersion Property

ZKWeb Version Object
ZKWeb的版本对象

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Version Version { get; }
Public Shared ReadOnly Property Version As Version
    Get
public:
static property Version^ Version {
    Version^ get ();
}
static member Version : Version with get

Property Value

Type: Version
See Also

Reference

Application Class
ZKWeb Namespace


Application Methods

The Application type exposes the following members.

Methods
Name | Description
Initialize(String) | Intialize application with DefaultApplication 初始化默认应用
InitializeTApplication(String) | Intialize application with specificed application type 初始化指定应用
OnError | Handle http error Method "Response.End" will be called if processing completed without errors 处理Http错误 如果处理成功完成将会调用"Response.End"函数
OnRequest | Handle http request Method "Response.End" will be called if processing completed without errors 处理Http请求 如果处理成功完成将会调用"Response.End"函数 ///
OverrideIoc | Override IoC container, only affect the thread calling this method Overrided container will inherit original container, Alter overrided container will not affect original container. 重载当前线程中的IoC容器, 只影响调用此函数的线程 重载后的容器会继承原始容器的内容, 并且修改重载后的容器不会影响原始容器
Top
See Also

Reference

Application Class
ZKWeb Namespace


Application.Initialize Method

ApplicationInitialize Method

Overload List
Name | Description
Initialize(String) | Intialize application with DefaultApplication 初始化默认应用
InitializeTApplication(String) | Intialize application with specificed application type 初始化指定应用
Top
See Also

Reference

Application Class
ZKWeb Namespace


Application.Initialize Method (String)

ApplicationInitialize Method (String)
Intialize application with DefaultApplication
初始化默认应用

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Initialize(
    string websiteRootDirectory
)
Public Shared Sub Initialize (
    websiteRootDirectory As String
)
public:
static void Initialize(
    String^ websiteRootDirectory
)
static member Initialize :
        websiteRootDirectory : string -> unit

Parameters

websiteRootDirectory
Type: SystemString

[Missing <param name="websiteRootDirectory"/> documentation for "M:ZKWeb.Application.Initialize(System.String)"]

See Also

Reference

Application Class
Initialize Overload
ZKWeb Namespace


Application.Initialize(TApplication) Method (String)

ApplicationInitializeTApplication Method (String)
Intialize application with specificed application type
初始化指定应用

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Initialize<TApplication>(
    string websiteRootDirectory
)
where TApplication : new(), IApplication

Public Shared Sub Initialize(Of TApplication As {New, IApplication}) (
    websiteRootDirectory As String
)
public:
generic<typename TApplication>
where TApplication : gcnew(), IApplication
static void Initialize(
    String^ websiteRootDirectory
)
static member Initialize :
        websiteRootDirectory : string -> unit  when 'TApplication : new() and IApplication

Parameters

websiteRootDirectory
Type: SystemString

[Missing <param name="websiteRootDirectory"/> documentation for "M:ZKWeb.Application.Initialize``1(System.String)"]

Type Parameters

TApplication

[Missing <typeparam name="TApplication"/> documentation for "M:ZKWeb.Application.Initialize``1(System.String)"]

See Also

Reference

Application Class
Initialize Overload
ZKWeb Namespace


Application.OnError Method

ApplicationOnError Method

Handle http error
Method "Response.End" will be called if processing completed without errors
处理Http错误
如果处理成功完成将会调用"Response.End"函数

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void OnError(
    IHttpContext context,
    Exception ex
)
Public Shared Sub OnError (
    context As IHttpContext,
    ex As Exception
)
public:
static void OnError(
    IHttpContext^ context,
    Exception^ ex
)
static member OnError :
        context : IHttpContext *
        ex : Exception -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Application.OnError(ZKWebStandard.Web.IHttpContext,System.Exception)"]

ex
Type: SystemException

[Missing <param name="ex"/> documentation for "M:ZKWeb.Application.OnError(ZKWebStandard.Web.IHttpContext,System.Exception)"]

See Also

Reference

Application Class
ZKWeb Namespace


Application.OnRequest Method

ApplicationOnRequest Method

Handle http request
Method "Response.End" will be called if processing completed without errors 处理Http请求
如果处理成功完成将会调用"Response.End"函数
///

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void OnRequest(
    IHttpContext context
)
Public Shared Sub OnRequest (
    context As IHttpContext
)
public:
static void OnRequest(
    IHttpContext^ context
)
static member OnRequest :
        context : IHttpContext -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Application.OnRequest(ZKWebStandard.Web.IHttpContext)"]

See Also

Reference

Application Class
ZKWeb Namespace


Application.OverrideIoc Method

ApplicationOverrideIoc Method

Override IoC container, only affect the thread calling this method
Overrided container will inherit original container,
Alter overrided container will not affect original container.
重载当前线程中的IoC容器, 只影响调用此函数的线程
重载后的容器会继承原始容器的内容, 并且修改重载后的容器不会影响原始容器

Namespace: ZKWeb
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable OverrideIoc()
Public Shared Function OverrideIoc As IDisposable
public:
static IDisposable^ OverrideIoc()
static member OverrideIoc : unit -> IDisposable

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Application.OverrideIoc"]

See Also

Reference

Application Class
ZKWeb Namespace


ZKWeb.Cache Namespaces

[Missing <summary> documentation for "G:ZKWeb.Cache"]

Namespaces
Namespace | Description
ZKWeb.Cache |
ZKWeb.Cache.Policies |


ZKWeb.Cache Namespace

[Missing <summary> documentation for "N:ZKWeb.Cache"]

Classes
 | Class | Description
 | AutomaticCacheCleaner | Automatically clean the cache according to the preset conditions 按预置条件自动清理缓存
 | CacheFactory | Factory used to generate a key-value cache instance 用于生成一个键值缓存实例的工厂类
 | CacheFactoryOptions | Options used to generate the cache instance 用于生成缓存实例的参数
 | IsolatedKeyValueCacheTKey, TValue | Key-value cache supports isolate values by given policies 支持按策略隔离值的键值缓存类
Public class | IsolatedMemoryCacheTKey, TValue | Obsolete. This class should no longer be used Please use ICacheFactory 这个类不应该再被使用, 请使用ICacheFactory
Structures
 | Structure | Description
Public structure | IsolatedCacheKeyTKey | Cache key type that combines original cache key and isolation key 缓存键类型，用于合并原始缓存键和隔离键 Benchmark (性能测试) - struct Store 1.5s/1000000 times, Load 0.7s/1000000 times - class Store 2.0s/1000000 times, Load 0.7s/1000000 times
Interfaces
Interface | Description
ICacheCleaner | The interface used to trigger the cache cleanup logic 用于触发缓存清理逻辑的接口
ICacheFactory | Factory interface used to generate a key-value cache instance 用于生成一个键值缓存实例的工厂接口
ICacheIsolationPolicy | Cache isolation policy 缓存隔离策略
Enumerations
 | Enumeration | Description
Public enumeration | CacheLifetime | The lifecycle of the cache 缓存的生命周期


AutomaticCacheCleaner Class
Automatically clean the cache according to the preset conditions
按预置条件自动清理缓存
Inheritance Hierarchy
SystemObject
ZKWeb.CacheAutomaticCacheCleaner

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class AutomaticCacheCleaner
Public Class AutomaticCacheCleaner
public ref class AutomaticCacheCleaner
type AutomaticCacheCleaner =  class end

The AutomaticCacheCleaner type exposes the following members.

Constructors
 | Name | Description
Public method | AutomaticCacheCleaner | Initializes a new instance of the AutomaticCacheCleaner class
Top
Methods
 | Name | Description
Protected method | Start | Start clean thread 启动清理线程
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
AutomaticCacheCleaner.Start();
See Also

Reference

ZKWeb.Cache Namespace


AutomaticCacheCleaner Constructor

Initializes a new instance of the AutomaticCacheCleaner class

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AutomaticCacheCleaner()
Public Sub New
public:
AutomaticCacheCleaner()
new : unit -> AutomaticCacheCleaner
See Also

Reference

AutomaticCacheCleaner Class
ZKWeb.Cache Namespace


AutomaticCacheCleaner Methods

The AutomaticCacheCleaner type exposes the following members.

Methods
 | Name | Description
Protected method | Start | Start clean thread 启动清理线程
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AutomaticCacheCleaner Class
ZKWeb.Cache Namespace


AutomaticCacheCleaner.Start Method

AutomaticCacheCleanerStart Method

Start clean thread
启动清理线程

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Start()
Protected Overridable Sub Start
protected:
virtual void Start()
abstract Start : unit -> unit
override Start : unit -> unit
See Also

Reference

AutomaticCacheCleaner Class
ZKWeb.Cache Namespace


CacheFactory Class
Factory used to generate a key-value cache instance
用于生成一个键值缓存实例的工厂类
Inheritance Hierarchy
SystemObject
ZKWeb.CacheCacheFactory

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class CacheFactory : ICacheFactory
Friend Class CacheFactory
    Implements ICacheFactory
internal ref class CacheFactory : ICacheFactory
type CacheFactory =
    class
        interface ICacheFactory
    end

The CacheFactory type exposes the following members.

Constructors
 | Name | Description
Public method | CacheFactory | Initializes a new instance of the CacheFactory class
Top
Methods
 | Name | Description
Public method | CreateCacheTKey, TValue | Create cache instance 创建缓存实例
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var cacheFactory = Application.Ioc.Resolve<ICacheFactory>();

// create simple key value cache
var simpleCache = cacheFactory.CreateCache<int, int>();

// create device isolated key value cache
var options = CacheFactoryOptions.Default.WithIsolationPolicies("Device");
var isolatedCache = cacheFactory.CreateCache<int, int>(options);
See Also

Reference

ZKWeb.Cache Namespace
ZKWeb.CacheCacheFactoryOptions


CacheFactory Constructor

Initializes a new instance of the CacheFactory class

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheFactory()
Public Sub New
public:
CacheFactory()
new : unit -> CacheFactory
See Also

Reference

CacheFactory Class
ZKWeb.Cache Namespace


CacheFactory Methods

The CacheFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateCacheTKey, TValue | Create cache instance 创建缓存实例
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CacheFactory Class
ZKWeb.Cache Namespace


CacheFactory.CreateCache(TKey, TValue) Method

CacheFactoryCreateCacheTKey, TValue Method

Create cache instance
创建缓存实例

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IKeyValueCache<TKey, TValue> CreateCache<TKey, TValue>(
    CacheFactoryOptions options = null
)

Public Overridable Function CreateCache(Of TKey, TValue) (
    Optional options As CacheFactoryOptions = Nothing
) As IKeyValueCache(Of TKey, TValue)
public:
generic<typename TKey, typename TValue>
virtual IKeyValueCache<TKey, TValue>^ CreateCache(
    CacheFactoryOptions^ options = nullptr
)
abstract CreateCache :
        ?options : CacheFactoryOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> IKeyValueCache<'TKey, 'TValue>
override CreateCache :
        ?options : CacheFactoryOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> IKeyValueCache<'TKey, 'TValue>

Parameters

options (Optional)
Type: ZKWeb.CacheCacheFactoryOptions
Options used to generate the cache instance

Type Parameters

TKey

[Missing <typeparam name="TKey"/> documentation for "M:ZKWeb.Cache.CacheFactory.CreateCache``2(ZKWeb.Cache.CacheFactoryOptions)"]

TValue

[Missing <typeparam name="TValue"/> documentation for "M:ZKWeb.Cache.CacheFactory.CreateCache``2(ZKWeb.Cache.CacheFactoryOptions)"]

Return Value

Type: IKeyValueCache TKey, TValue

[Missing <returns> documentation for "M:ZKWeb.Cache.CacheFactory.CreateCache``2(ZKWeb.Cache.CacheFactoryOptions)"]

Implements

ICacheFactoryCreateCacheTKey, TValue(CacheFactoryOptions)
See Also

Reference

CacheFactory Class
ZKWeb.Cache Namespace


CacheFactoryOptions Class
Options used to generate the cache instance
用于生成缓存实例的参数
Inheritance Hierarchy
SystemObject
ZKWeb.CacheCacheFactoryOptions

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class CacheFactoryOptions
Public Class CacheFactoryOptions
public ref class CacheFactoryOptions
type CacheFactoryOptions =  class end

The CacheFactoryOptions type exposes the following members.

Constructors
 | Name | Description
Public method | CacheFactoryOptions | Initialize 初始化
Top
Properties
 | Name | Description
 | Default | Get default options 获取默认参数
Public property | IsolationPolicies | The isolation policies of the cache 缓存的隔离策略
Public property | Lifetime | The lifecycle of the cache 缓存的生命周期
Top
Methods
 | Name | Description
Public method | WithIsolationPolicies(IEnumerableString) | Set the isolation policies of the cache by their names 根据策略的名称设置缓存的隔离策略
Public method | WithIsolationPolicies(String) | Set the isolation policies of the cache by their names 根据策略的名称设置缓存的隔离策略
Public method | WithIsolationPolicies(IListICacheIsolationPolicy) | Set the isolation policies of the cache by their instances 根据策略的实例设置缓存的隔离策略
Public method | WithIsolationPolicies(ICacheIsolationPolicy) | Set the isolation policies of the cache by their instances 根据策略的实例设置缓存的隔离策略
Public method | WithLifetime | Set the lifecycle of the cache 设置缓存的生命周期
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var options = CacheFactoryOptions.Default.WithIsolationPolicies("Device");
See Also

Reference

ZKWeb.Cache Namespace
ZKWeb.CacheCacheFactory


CacheFactoryOptions Constructor

Initialize
初始化

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheFactoryOptions()
Public Sub New
public:
CacheFactoryOptions()
new : unit -> CacheFactoryOptions
See Also

Reference

CacheFactoryOptions Class
ZKWeb.Cache Namespace


CacheFactoryOptions Properties

The CacheFactoryOptions type exposes the following members.

Properties
 | Name | Description
 | Default | Get default options 获取默认参数
Public property | IsolationPolicies | The isolation policies of the cache 缓存的隔离策略
Public property | Lifetime | The lifecycle of the cache 缓存的生命周期
Top
See Also

Reference

CacheFactoryOptions Class
ZKWeb.Cache Namespace


CacheFactoryOptions.Default Property

CacheFactoryOptionsDefault Property

Get default options
获取默认参数

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static CacheFactoryOptions Default { get; }
Public Shared ReadOnly Property Default As CacheFactoryOptions
    Get
public:
static property CacheFactoryOptions^ Default {
    CacheFactoryOptions^ get ();
}
static member Default : CacheFactoryOptions with get

Property Value

Type: CacheFactoryOptions
See Also

Reference

CacheFactoryOptions Class
ZKWeb.Cache Namespace


CacheFactoryOptions.IsolationPolicies Property

CacheFactoryOptionsIsolationPolicies Property

The isolation policies of the cache
缓存的隔离策略

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<ICacheIsolationPolicy> IsolationPolicies { get; set; }
Public Property IsolationPolicies As IList(Of ICacheIsolationPolicy)
    Get
    Set
public:
property IList<ICacheIsolationPolicy^>^ IsolationPolicies {
    IList<ICacheIsolationPolicy^>^ get ();
    void set (IList<ICacheIsolationPolicy^>^ value);
}
member IsolationPolicies : IList<ICacheIsolationPolicy> with get, set

Property Value

Type: IList ICacheIsolationPolicy
See Also

Reference

CacheFactoryOptions Class
ZKWeb.Cache Namespace


CacheFactoryOptions.Lifetime Property

CacheFactoryOptionsLifetime Property

The lifecycle of the cache
缓存的生命周期

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheLifetime Lifetime { get; set; }
Public Property Lifetime As CacheLifetime
    Get
    Set
public:
property CacheLifetime Lifetime {
    CacheLifetime get ();
    void set (CacheLifetime value);
}
member Lifetime : CacheLifetime with get, set

Property Value

Type: CacheLifetime
See Also

Reference

CacheFactoryOptions Class
ZKWeb.Cache Namespace


CacheFactoryOptions Methods

The CacheFactoryOptions type exposes the following members.

Methods
 | Name | Description
Public method | WithIsolationPolicies(IEnumerableString) | Set the isolation policies of the cache by their names 根据策略的名称设置缓存的隔离策略
Public method | WithIsolationPolicies(String) | Set the isolation policies of the cache by their names 根据策略的名称设置缓存的隔离策略
Public method | WithIsolationPolicies(IListICacheIsolationPolicy) | Set the isolation policies of the cache by their instances 根据策略的实例设置缓存的隔离策略
Public method | WithIsolationPolicies(ICacheIsolationPolicy) | Set the isolation policies of the cache by their instances 根据策略的实例设置缓存的隔离策略
Public method | WithLifetime | Set the lifecycle of the cache 设置缓存的生命周期
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CacheFactoryOptions Class
ZKWeb.Cache Namespace


CacheFactoryOptions.WithIsolationPolicies Method

CacheFactoryOptionsWithIsolationPolicies Method

Overload List
 | Name | Description
Public method | WithIsolationPolicies(IEnumerableString) | Set the isolation policies of the cache by their names 根据策略的名称设置缓存的隔离策略
Public method | WithIsolationPolicies(String) | Set the isolation policies of the cache by their names 根据策略的名称设置缓存的隔离策略
Public method | WithIsolationPolicies(IListICacheIsolationPolicy) | Set the isolation policies of the cache by their instances 根据策略的实例设置缓存的隔离策略
Public method | WithIsolationPolicies(ICacheIsolationPolicy) | Set the isolation policies of the cache by their instances 根据策略的实例设置缓存的隔离策略
Top
See Also

Reference

CacheFactoryOptions Class
ZKWeb.Cache Namespace


CacheFactoryOptions.WithIsolationPolicies Method (IEnumerable(String))

CacheFactoryOptionsWithIsolationPolicies Method (IEnumerableString)
Set the isolation policies of the cache by their names
根据策略的名称设置缓存的隔离策略

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheFactoryOptions WithIsolationPolicies(
    IEnumerable<string> isolationPolicyNames
)
Public Function WithIsolationPolicies (
    isolationPolicyNames As IEnumerable(Of String)
) As CacheFactoryOptions
public:
CacheFactoryOptions^ WithIsolationPolicies(
    IEnumerable<String^>^ isolationPolicyNames
)
member WithIsolationPolicies :
        isolationPolicyNames : IEnumerable<string> -> CacheFactoryOptions

Parameters

isolationPolicyNames
Type: System.Collections.GenericIEnumerable String
Isolation policy names

Return Value

Type: CacheFactoryOptions

[Missing <returns> documentation for "M:ZKWeb.Cache.CacheFactoryOptions.WithIsolationPolicies(System.Collections.Generic.IEnumerable{System.String})"]

See Also

Reference

CacheFactoryOptions Class
WithIsolationPolicies Overload
ZKWeb.Cache Namespace


CacheFactoryOptions.WithIsolationPolicies Method (String[])

CacheFactoryOptionsWithIsolationPolicies Method (String)
Set the isolation policies of the cache by their names
根据策略的名称设置缓存的隔离策略

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheFactoryOptions WithIsolationPolicies(
    params string[] isolationPolicyNames
)
Public Function WithIsolationPolicies (
    ParamArray isolationPolicyNames As String()
) As CacheFactoryOptions
public:
CacheFactoryOptions^ WithIsolationPolicies(
    ... array<String^>^ isolationPolicyNames
)
member WithIsolationPolicies :
        isolationPolicyNames : string[] -> CacheFactoryOptions

Parameters

isolationPolicyNames
Type: SystemString
Isolation policy names

Return Value

Type: CacheFactoryOptions

[Missing <returns> documentation for "M:ZKWeb.Cache.CacheFactoryOptions.WithIsolationPolicies(System.String[])"]

See Also

Reference

CacheFactoryOptions Class
WithIsolationPolicies Overload
ZKWeb.Cache Namespace


CacheFactoryOptions.WithIsolationPolicies Method (IList(ICacheIsolationPolicy))

CacheFactoryOptionsWithIsolationPolicies Method (IListICacheIsolationPolicy)
Set the isolation policies of the cache by their instances
根据策略的实例设置缓存的隔离策略

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheFactoryOptions WithIsolationPolicies(
    IList<ICacheIsolationPolicy> isolationPolicies
)
Public Function WithIsolationPolicies (
    isolationPolicies As IList(Of ICacheIsolationPolicy)
) As CacheFactoryOptions
public:
CacheFactoryOptions^ WithIsolationPolicies(
    IList<ICacheIsolationPolicy^>^ isolationPolicies
)
member WithIsolationPolicies :
        isolationPolicies : IList<ICacheIsolationPolicy> -> CacheFactoryOptions

Parameters

isolationPolicies
Type: System.Collections.GenericIList ICacheIsolationPolicy
Isolation policies

Return Value

Type: CacheFactoryOptions

[Missing <returns> documentation for "M:ZKWeb.Cache.CacheFactoryOptions.WithIsolationPolicies(System.Collections.Generic.IList{ZKWeb.Cache.ICacheIsolationPolicy})"]

See Also

Reference

CacheFactoryOptions Class
WithIsolationPolicies Overload
ZKWeb.Cache Namespace


CacheFactoryOptions.WithIsolationPolicies Method (ICacheIsolationPolicy[])

CacheFactoryOptionsWithIsolationPolicies Method (ICacheIsolationPolicy)
Set the isolation policies of the cache by their instances
根据策略的实例设置缓存的隔离策略

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheFactoryOptions WithIsolationPolicies(
    params ICacheIsolationPolicy[] isolationPolicies
)
Public Function WithIsolationPolicies (
    ParamArray isolationPolicies As ICacheIsolationPolicy()
) As CacheFactoryOptions
public:
CacheFactoryOptions^ WithIsolationPolicies(
    ... array<ICacheIsolationPolicy^>^ isolationPolicies
)
member WithIsolationPolicies :
        isolationPolicies : ICacheIsolationPolicy[] -> CacheFactoryOptions

Parameters

isolationPolicies
Type: ZKWeb.CacheICacheIsolationPolicy
Isolation policies

Return Value

Type: CacheFactoryOptions

[Missing <returns> documentation for "M:ZKWeb.Cache.CacheFactoryOptions.WithIsolationPolicies(ZKWeb.Cache.ICacheIsolationPolicy[])"]

See Also

Reference

CacheFactoryOptions Class
WithIsolationPolicies Overload
ZKWeb.Cache Namespace


CacheFactoryOptions.WithLifetime Method

CacheFactoryOptionsWithLifetime Method

Set the lifecycle of the cache
设置缓存的生命周期

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheFactoryOptions WithLifetime(
    CacheLifetime lifetime
)
Public Function WithLifetime (
    lifetime As CacheLifetime
) As CacheFactoryOptions
public:
CacheFactoryOptions^ WithLifetime(
    CacheLifetime lifetime
)
member WithLifetime :
        lifetime : CacheLifetime -> CacheFactoryOptions

Parameters

lifetime
Type: ZKWeb.CacheCacheLifetime
Cache lifetime

Return Value

Type: CacheFactoryOptions

[Missing <returns> documentation for "M:ZKWeb.Cache.CacheFactoryOptions.WithLifetime(ZKWeb.Cache.CacheLifetime)"]

See Also

Reference

CacheFactoryOptions Class
ZKWeb.Cache Namespace


CacheLifetime Enumeration
The lifecycle of the cache
缓存的生命周期

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public enum CacheLifetime
Public Enumeration CacheLifetime
public enum class CacheLifetime
type CacheLifetime
Members
Member name | Value | Description
Singleton | 0 | Singleton 单例
PerHttpContext | 1 | Follow the http context 跟随Http上下文
See Also

Reference

ZKWeb.Cache Namespace


ICacheCleaner Interface
The interface used to trigger the cache cleanup logic
用于触发缓存清理逻辑的接口

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ICacheCleaner
Public Interface ICacheCleaner
public interface class ICacheCleaner
type ICacheCleaner =  interface end

The ICacheCleaner type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | Clean cache 清理缓存
Top
Examples
You can use the following code to free some memory
你可以使用以下的代码来释放一些内存
C#
Copy
Application.Ioc.ResolveMany<ICacheCleaner>().ForEach(c => c.ClearCache());
See Also

Reference

ZKWeb.Cache Namespace


ICacheCleaner Methods

The ICacheCleaner type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | Clean cache 清理缓存
Top
See Also

Reference

ICacheCleaner Interface
ZKWeb.Cache Namespace


ICacheCleaner.ClearCache Method

ICacheCleanerClearCache Method

Clean cache
清理缓存

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void ClearCache()
Sub ClearCache
void ClearCache()
abstract ClearCache : unit -> unit
See Also

Reference

ICacheCleaner Interface
ZKWeb.Cache Namespace


ICacheFactory Interface
Factory interface used to generate a key-value cache instance
用于生成一个键值缓存实例的工厂接口

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ICacheFactory
Public Interface ICacheFactory
public interface class ICacheFactory
type ICacheFactory =  interface end

The ICacheFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateCacheTKey, TValue | Create cache instance 创建缓存实例
Top
Examples
C#
Copy
var cacheFactory = Application.Ioc.Resolve<ICacheFactory>();

// create simple key value cache
var simpleCache = cacheFactory.CreateCache<int, int>();

// create device isolated key value cache
var options = CacheFactoryOptions.Default.WithIsolationPolicies("Device");
var isolatedCache = cacheFactory.CreateCache<int, int>(options);
See Also

Reference

ZKWeb.Cache Namespace
ZKWeb.CacheCacheFactoryOptions


ICacheFactory Methods

The ICacheFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateCacheTKey, TValue | Create cache instance 创建缓存实例
Top
See Also

Reference

ICacheFactory Interface
ZKWeb.Cache Namespace


ICacheFactory.CreateCache(TKey, TValue) Method

ICacheFactoryCreateCacheTKey, TValue Method

Create cache instance
创建缓存实例

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IKeyValueCache<TKey, TValue> CreateCache<TKey, TValue>(
    CacheFactoryOptions options = null
)

Function CreateCache(Of TKey, TValue) (
    Optional options As CacheFactoryOptions = Nothing
) As IKeyValueCache(Of TKey, TValue)
generic<typename TKey, typename TValue>
IKeyValueCache<TKey, TValue>^ CreateCache(
    CacheFactoryOptions^ options = nullptr
)
abstract CreateCache :
        ?options : CacheFactoryOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> IKeyValueCache<'TKey, 'TValue>

Parameters

options (Optional)
Type: ZKWeb.CacheCacheFactoryOptions
Cache factory options

Type Parameters

TKey
Key type
TValue
Value type

Return Value

Type: IKeyValueCache TKey, TValue

[Missing <returns> documentation for "M:ZKWeb.Cache.ICacheFactory.CreateCache``2(ZKWeb.Cache.CacheFactoryOptions)"]

See Also

Reference

ICacheFactory Interface
ZKWeb.Cache Namespace


ICacheIsolationPolicy Interface
Cache isolation policy
缓存隔离策略

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ICacheIsolationPolicy
Public Interface ICacheIsolationPolicy
public interface class ICacheIsolationPolicy
type ICacheIsolationPolicy =  interface end

The ICacheIsolationPolicy type exposes the following members.

Methods
 | Name | Description
Public method | GetIsolationKey | Get isolation key 获取隔离键
Top
Examples
If you need to select a policy by name, please provide the key when registering with the IoC container
如果你需要按名称来选择策略，请在注册到IoC容器时提供key
C#
Copy
public class CacheIsolateByDevice : ICacheIsolationPolicy {
    public object GetIsolationKey() {
        return HttpManager.CurrentContext.GetClientDevice();
    }
}

Application.Ioc.RegisterMany<CacheIsolateByDevice>(ReuseType.Singleton, serviceKey: "Device");
See Also

Reference

ZKWeb.Cache Namespace
ZKWeb.CacheCacheFactory
ZKWeb.CacheCacheFactoryOptions


ICacheIsolationPolicy Methods

The ICacheIsolationPolicy type exposes the following members.

Methods
 | Name | Description
Public method | GetIsolationKey | Get isolation key 获取隔离键
Top
See Also

Reference

ICacheIsolationPolicy Interface
ZKWeb.Cache Namespace


ICacheIsolationPolicy.GetIsolationKey Method

ICacheIsolationPolicyGetIsolationKey Method

Get isolation key
获取隔离键

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Object GetIsolationKey()
Function GetIsolationKey As Object
Object^ GetIsolationKey()
abstract GetIsolationKey : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Cache.ICacheIsolationPolicy.GetIsolationKey"]

See Also

Reference

ICacheIsolationPolicy Interface
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey) Structure

IsolatedCacheKeyTKey Structure
Cache key type that combines original cache key and isolation key
缓存键类型，用于合并原始缓存键和隔离键
Benchmark (性能测试)
- struct Store 1.5s/1000000 times, Load 0.7s/1000000 times
- class Store 2.0s/1000000 times, Load 0.7s/1000000 times

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public struct IsolatedCacheKey<TKey> : IEquatable<IsolatedCacheKey<TKey>>

Public Structure IsolatedCacheKey(Of TKey)
    Implements IEquatable(Of IsolatedCacheKey(Of TKey))
generic<typename TKey>
public value class IsolatedCacheKey : IEquatable<IsolatedCacheKey<TKey>>
[<SealedAttribute>]
type IsolatedCacheKey<'TKey> =
    struct
        interface IEquatable<IsolatedCacheKey<'TKey>>
    end

Type Parameters

TKey
Original cache key type

The IsolatedCacheKeyTKey type exposes the following members.

Constructors
 | Name | Description
Public method | IsolatedCacheKeyTKey | Initialize 初始化
Top
Properties
 | Name | Description
Public property | IsolationKeys | Isolation keys 隔离键列表
Public property | Key | Original cache key 原始缓存键
Top
Methods
 | Name | Description
Public method | Equals(Object) | Check whether the instances are equal 检查实例是否相等 (Overrides ValueTypeEquals(Object).)
Public method | Equals(IsolatedCacheKeyTKey) | Check whether the instances are equal 检查实例是否相等
Public method | GetHashCode | Generate hash of this instance 生成这个实例的哈希值 (Overrides ValueTypeGetHashCode.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Cache Namespace


IsolatedCacheKey(TKey) Constructor

IsolatedCacheKeyTKey Constructor

Initialize
初始化

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IsolatedCacheKey(
    TKey key,
    IList<Object> isolationKeys
)
Public Sub New (
    key As TKey,
    isolationKeys As IList(Of Object)
)
public:
IsolatedCacheKey(
    TKey key,
    IList<Object^>^ isolationKeys
)
new :
        key : 'TKey *
        isolationKeys : IList<Object> -> IsolatedCacheKey

Parameters

key
Type: TKey
Original cache key
isolationKeys
Type: System.Collections.GenericIList Object
Isolation keys
See Also

Reference

IsolatedCacheKeyTKey Structure
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey) Properties

IsolatedCacheKeyTKey Properties

The IsolatedCacheKeyTKey generic type exposes the following members.

Properties
 | Name | Description
Public property | IsolationKeys | Isolation keys 隔离键列表
Public property | Key | Original cache key 原始缓存键
Top
See Also

Reference

IsolatedCacheKeyTKey Structure
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey).IsolationKeys Property

IsolatedCacheKeyTKeyIsolationKeys Property

Isolation keys
隔离键列表

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<Object> IsolationKeys { get; }
Public ReadOnly Property IsolationKeys As IList(Of Object)
    Get
public:
property IList<Object^>^ IsolationKeys {
    IList<Object^>^ get ();
}
member IsolationKeys : IList<Object> with get

Property Value

Type: IList Object
See Also

Reference

IsolatedCacheKeyTKey Structure
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey).Key Property

IsolatedCacheKeyTKeyKey Property

Original cache key
原始缓存键

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TKey Key { get; }
Public ReadOnly Property Key As TKey
    Get
public:
property TKey Key {
    TKey get ();
}
member Key : 'TKey with get

Property Value

Type: TKey
See Also

Reference

IsolatedCacheKeyTKey Structure
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey) Methods

IsolatedCacheKeyTKey Methods

The IsolatedCacheKeyTKey generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals(Object) | Check whether the instances are equal 检查实例是否相等 (Overrides ValueTypeEquals(Object).)
Public method | Equals(IsolatedCacheKeyTKey) | Check whether the instances are equal 检查实例是否相等
Public method | GetHashCode | Generate hash of this instance 生成这个实例的哈希值 (Overrides ValueTypeGetHashCode.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IsolatedCacheKeyTKey Structure
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey).Equals Method

IsolatedCacheKeyTKeyEquals Method

Overload List
 | Name | Description
Public method | Equals(Object) | Check whether the instances are equal 检查实例是否相等 (Overrides ValueTypeEquals(Object).)
Public method | Equals(IsolatedCacheKeyTKey) | Check whether the instances are equal 检查实例是否相等
Top
See Also

Reference

IsolatedCacheKeyTKey Structure
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey).Equals Method (Object)

IsolatedCacheKeyTKeyEquals Method (Object)
Check whether the instances are equal
检查实例是否相等

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
Object compare to

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Cache.IsolatedCacheKey`1.Equals(System.Object)"]

See Also

Reference

IsolatedCacheKeyTKey Structure
Equals Overload
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey).Equals Method (IsolatedCacheKey(TKey))

IsolatedCacheKeyTKeyEquals Method (IsolatedCacheKeyTKey)
Check whether the instances are equal
检查实例是否相等

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    IsolatedCacheKey<TKey> obj
)
Public Function Equals (
    obj As IsolatedCacheKey(Of TKey)
) As Boolean
public:
virtual bool Equals(
    IsolatedCacheKey<TKey> obj
) sealed
abstract Equals :
        obj : IsolatedCacheKey<'TKey> -> bool
override Equals :
        obj : IsolatedCacheKey<'TKey> -> bool

Parameters

obj
Type: ZKWeb.CacheIsolatedCacheKey TKey
Object compare to

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Cache.IsolatedCacheKey`1.Equals(ZKWeb.Cache.IsolatedCacheKey{`0})"]

Implements

IEquatableTEquals(T)
See Also

Reference

IsolatedCacheKeyTKey Structure
Equals Overload
ZKWeb.Cache Namespace


IsolatedCacheKey(TKey).GetHashCode Method

IsolatedCacheKeyTKeyGetHashCode Method

Generate hash of this instance
生成这个实例的哈希值

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWeb.Cache.IsolatedCacheKey`1.GetHashCode"]

See Also

Reference

IsolatedCacheKeyTKey Structure
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue) Class

IsolatedKeyValueCacheTKey, TValue Class
Key-value cache supports isolate values by given policies
支持按策略隔离值的键值缓存类
Inheritance Hierarchy
SystemObject
ZKWeb.CacheIsolatedKeyValueCacheTKey, TValue
ZKWeb.CacheIsolatedMemoryCacheTKey, TValue

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class IsolatedKeyValueCache<TKey, TValue> : IKeyValueCache<TKey, TValue>

Public Class IsolatedKeyValueCache(Of TKey, TValue)
    Implements IKeyValueCache(Of TKey, TValue)
generic<typename TKey, typename TValue>
public ref class IsolatedKeyValueCache : IKeyValueCache<TKey, TValue>
type IsolatedKeyValueCache<'TKey, 'TValue> =
    class
        interface IKeyValueCache<'TKey, 'TValue>
    end

Type Parameters

TKey
Original key type
TValue
Value type

The IsolatedKeyValueCacheTKey, TValue type exposes the following members.

Constructors
 | Name | Description
Public method | IsolatedKeyValueCacheTKey, TValue | Initialize 初始化
Top
Properties
 | Name | Description
Public property | IsolationPolicies | The isolation policies of the cache 缓存隔离策略
Public property | UnderlyingCache | Underlying cache instance 下层缓存实例
Top
Methods
 | Name | Description
Public method | Clear | Remove all cache values 删除所有缓存值
Public method | Count | Get how many values are cached 获取缓存了多少个值
Public method | GenerateKey | Generate actual cache key from original cache key and isolation keys 根据原始缓存键和隔离键生成实际缓存键
Public method | Put | Put value to cache 插入值到缓存
Public method | Remove | Remove cached value 删除缓存值
Public method | TryGetValue | Try to get cached value Return false if there no value or it's expired 尝试获取缓存值，如果无值或者已过期则返回false
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var policies = new List<ICacheIsolationPolicy>();
policies.Add(new CacheIsolateByDevice());
policies.Add(new CacheIsolateByLocale());
var underlyingCache = new MemoryCache<IsolatedCacheKey$ltint>, int>();

var cache = new IsolatedKeyValueCache<int, int>(policies, underlyingCache);

// under mobile request
{ cache.Put(1, 100, TimeSpan.FromSeconds(30)); }

// under desktop request
{ cache.Put(1, 101, TimeSpan.FromSeconds(30)); }

// if request is from mobile, cached will be 100, otherwise it will be 101
int cached;
var success = cache.TryGetValue(1, out cached);
See Also

Reference

ZKWeb.Cache Namespace
ZKWeb.CacheCacheFactory
ZKWeb.CacheCacheFactoryOptions


IsolatedKeyValueCache(TKey, TValue) Constructor

IsolatedKeyValueCacheTKey, TValue Constructor

Initialize
初始化

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IsolatedKeyValueCache(
    IList<ICacheIsolationPolicy> isolationPolicies,
    IKeyValueCache<IsolatedCacheKey<TKey>, TValue> underlyingCache
)
Public Sub New (
    isolationPolicies As IList(Of ICacheIsolationPolicy),
    underlyingCache As IKeyValueCache(Of IsolatedCacheKey(Of TKey), TValue)
)
public:
IsolatedKeyValueCache(
    IList<ICacheIsolationPolicy^>^ isolationPolicies,
    IKeyValueCache<IsolatedCacheKey<TKey>, TValue>^ underlyingCache
)
new :
        isolationPolicies : IList<ICacheIsolationPolicy> *
        underlyingCache : IKeyValueCache<IsolatedCacheKey<'TKey>, 'TValue> -> IsolatedKeyValueCache

Parameters

isolationPolicies
Type: System.Collections.GenericIList ICacheIsolationPolicy
The isolation policies of the cache
underlyingCache
Type: ZKWebStandard.CollectionsIKeyValueCache IsolatedCacheKey TKey , TValue
Underlying cache instance
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue) Properties

IsolatedKeyValueCacheTKey, TValue Properties

The IsolatedKeyValueCacheTKey, TValue generic type exposes the following members.

Properties
 | Name | Description
Public property | IsolationPolicies | The isolation policies of the cache 缓存隔离策略
Public property | UnderlyingCache | Underlying cache instance 下层缓存实例
Top
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue).IsolationPolicies Property

IsolatedKeyValueCacheTKey, TValueIsolationPolicies Property

The isolation policies of the cache
缓存隔离策略

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<ICacheIsolationPolicy> IsolationPolicies { get; protected set; }
Public Property IsolationPolicies As IList(Of ICacheIsolationPolicy)
    Get
    Protected Set
public:
property IList<ICacheIsolationPolicy^>^ IsolationPolicies {
    IList<ICacheIsolationPolicy^>^ get ();
    protected: void set (IList<ICacheIsolationPolicy^>^ value);
}
member IsolationPolicies : IList<ICacheIsolationPolicy> with get, set

Property Value

Type: IList ICacheIsolationPolicy
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue).UnderlyingCache Property

IsolatedKeyValueCacheTKey, TValueUnderlyingCache Property

Underlying cache instance
下层缓存实例

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IKeyValueCache<IsolatedCacheKey<TKey>, TValue> UnderlyingCache { get; protected set; }
Public Property UnderlyingCache As IKeyValueCache(Of IsolatedCacheKey(Of TKey), TValue)
    Get
    Protected Set
public:
property IKeyValueCache<IsolatedCacheKey<TKey>, TValue>^ UnderlyingCache {
    IKeyValueCache<IsolatedCacheKey<TKey>, TValue>^ get ();
    protected: void set (IKeyValueCache<IsolatedCacheKey<TKey>, TValue>^ value);
}
member UnderlyingCache : IKeyValueCache<IsolatedCacheKey<'TKey>, 'TValue> with get, set

Property Value

Type: IKeyValueCache IsolatedCacheKey TKey , TValue
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue) Methods

IsolatedKeyValueCacheTKey, TValue Methods

The IsolatedKeyValueCacheTKey, TValue generic type exposes the following members.

Methods
 | Name | Description
Public method | Clear | Remove all cache values 删除所有缓存值
Public method | Count | Get how many values are cached 获取缓存了多少个值
Public method | GenerateKey | Generate actual cache key from original cache key and isolation keys 根据原始缓存键和隔离键生成实际缓存键
Public method | Put | Put value to cache 插入值到缓存
Public method | Remove | Remove cached value 删除缓存值
Public method | TryGetValue | Try to get cached value Return false if there no value or it's expired 尝试获取缓存值，如果无值或者已过期则返回false
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue).Clear Method

IsolatedKeyValueCacheTKey, TValueClear Method

Remove all cache values
删除所有缓存值

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Clear()
Public Sub Clear
public:
virtual void Clear() sealed
abstract Clear : unit -> unit
override Clear : unit -> unit

Implements

IKeyValueCacheTKey, TValueClear
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue).Count Method

IsolatedKeyValueCacheTKey, TValueCount Method

Get how many values are cached
获取缓存了多少个值

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int Count()
Public Function Count As Integer
public:
virtual int Count() sealed
abstract Count : unit -> int
override Count : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.Count"]

Implements

IKeyValueCacheTKey, TValueCount
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue).GenerateKey Method

IsolatedKeyValueCacheTKey, TValueGenerateKey Method

Generate actual cache key from original cache key and isolation keys
根据原始缓存键和隔离键生成实际缓存键

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IsolatedCacheKey<TKey> GenerateKey(
    TKey key
)
Public Function GenerateKey (
    key As TKey
) As IsolatedCacheKey(Of TKey)
public:
IsolatedCacheKey<TKey> GenerateKey(
    TKey key
)
member GenerateKey :
        key : 'TKey -> IsolatedCacheKey<'TKey>

Parameters

key
Type: TKey

[Missing <param name="key"/> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.GenerateKey(`0)"]

Return Value

Type: IsolatedCacheKey TKey

[Missing <returns> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.GenerateKey(`0)"]

See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue).Put Method

IsolatedKeyValueCacheTKey, TValuePut Method

Put value to cache
插入值到缓存

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Put(
    TKey key,
    TValue value,
    TimeSpan keepTime
)
Public Sub Put (
    key As TKey,
    value As TValue,
    keepTime As TimeSpan
)
public:
virtual void Put(
    TKey key,
    TValue value,
    TimeSpan keepTime
) sealed
abstract Put :
        key : 'TKey *
        value : 'TValue *
        keepTime : TimeSpan -> unit
override Put :
        key : 'TKey *
        value : 'TValue *
        keepTime : TimeSpan -> unit

Parameters

key
Type: TKey

[Missing <param name="key"/> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.Put(`0,`1,System.TimeSpan)"]

value
Type: TValue

[Missing <param name="value"/> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.Put(`0,`1,System.TimeSpan)"]

keepTime
Type: SystemTimeSpan

[Missing <param name="keepTime"/> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.Put(`0,`1,System.TimeSpan)"]

Implements

IKeyValueCacheTKey, TValuePut(TKey, TValue, TimeSpan)
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue).Remove Method

IsolatedKeyValueCacheTKey, TValueRemove Method

Remove cached value
删除缓存值

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Remove(
    TKey key
)
Public Sub Remove (
    key As TKey
)
public:
virtual void Remove(
    TKey key
) sealed
abstract Remove :
        key : 'TKey -> unit
override Remove :
        key : 'TKey -> unit

Parameters

key
Type: TKey

[Missing <param name="key"/> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.Remove(`0)"]

Implements

IKeyValueCacheTKey, TValueRemove(TKey)
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedKeyValueCache(TKey, TValue).TryGetValue Method

IsolatedKeyValueCacheTKey, TValueTryGetValue Method

Try to get cached value
Return false if there no value or it's expired
尝试获取缓存值，如果无值或者已过期则返回false

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool TryGetValue(
    TKey key,
    out TValue value
)
Public Function TryGetValue (
    key As TKey,
    <OutAttribute> ByRef value As TValue
) As Boolean
public:
virtual bool TryGetValue(
    TKey key,
    [OutAttribute] TValue% value
) sealed
abstract TryGetValue :
        key : 'TKey *
        value : 'TValue byref -> bool
override TryGetValue :
        key : 'TKey *
        value : 'TValue byref -> bool

Parameters

key
Type: TKey

[Missing <param name="key"/> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.TryGetValue(`0,`1@)"]

value
Type: TValue

[Missing <param name="value"/> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.TryGetValue(`0,`1@)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Cache.IsolatedKeyValueCache`2.TryGetValue(`0,`1@)"]

Implements

IKeyValueCacheTKey, TValueTryGetValue(TKey, TValue)
See Also

Reference

IsolatedKeyValueCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedMemoryCache(TKey, TValue) Class

IsolatedMemoryCacheTKey, TValue Class

Note: This API is now obsolete.

This class should no longer be used
Please use ICacheFactory
这个类不应该再被使用, 请使用ICacheFactory
Inheritance Hierarchy
SystemObject
ZKWeb.CacheIsolatedKeyValueCache TKey, TValue
ZKWeb.CacheIsolatedMemoryCacheTKey, TValue

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("This class should no longer be used, Please use ICacheFactory")]
public class IsolatedMemoryCache<TKey, TValue> : IsolatedKeyValueCache<TKey, TValue>

<ObsoleteAttribute("This class should no longer be used, Please use ICacheFactory")>
Public Class IsolatedMemoryCache(Of TKey, TValue)
    Inherits IsolatedKeyValueCache(Of TKey, TValue)
[ObsoleteAttribute(L"This class should no longer be used, Please use ICacheFactory")]
generic<typename TKey, typename TValue>
public ref class IsolatedMemoryCache : public IsolatedKeyValueCache<TKey, TValue>
[<ObsoleteAttribute("This class should no longer be used, Please use ICacheFactory")>]
type IsolatedMemoryCache<'TKey, 'TValue> =
    class
        inherit IsolatedKeyValueCache<'TKey, 'TValue>
    end

Type Parameters

TKey
Original key type
TValue
Value type

The IsolatedMemoryCacheTKey, TValue type exposes the following members.

Constructors
 | Name | Description
Public method | IsolatedMemoryCacheTKey, TValue(IEnumerableString) | Initialize 初始化
Public method | IsolatedMemoryCacheTKey, TValue(String) | Initialize 初始化
Public method | IsolatedMemoryCacheTKey, TValue(IListICacheIsolationPolicy) | Initialize 初始化
Public method | IsolatedMemoryCacheTKey, TValue(ICacheIsolationPolicy) | Initialize 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Cache Namespace


IsolatedMemoryCache(TKey, TValue) Constructor

IsolatedMemoryCacheTKey, TValue Constructor

Overload List
 | Name | Description
Public method | IsolatedMemoryCacheTKey, TValue(IEnumerableString) | Initialize 初始化
Public method | IsolatedMemoryCacheTKey, TValue(String) | Initialize 初始化
Public method | IsolatedMemoryCacheTKey, TValue(IListICacheIsolationPolicy) | Initialize 初始化
Public method | IsolatedMemoryCacheTKey, TValue(ICacheIsolationPolicy) | Initialize 初始化
Top
See Also

Reference

IsolatedMemoryCacheTKey, TValue Class
ZKWeb.Cache Namespace


IsolatedMemoryCache(TKey, TValue) Constructor (IEnumerable(String))

IsolatedMemoryCacheTKey, TValue Constructor (IEnumerableString)
Initialize
初始化

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IsolatedMemoryCache(
    IEnumerable<string> isolationPolicyNames
)
Public Sub New (
    isolationPolicyNames As IEnumerable(Of String)
)
public:
IsolatedMemoryCache(
    IEnumerable<String^>^ isolationPolicyNames
)
new :
        isolationPolicyNames : IEnumerable<string> -> IsolatedMemoryCache

Parameters

isolationPolicyNames
Type: System.Collections.GenericIEnumerable String
Cache isolation policy names, resolve by IoC container
See Also

Reference

IsolatedMemoryCacheTKey, TValue Class
IsolatedMemoryCacheTKey, TValue Overload
ZKWeb.Cache Namespace


IsolatedMemoryCache(TKey, TValue) Constructor (String[])

IsolatedMemoryCacheTKey, TValue Constructor (String)
Initialize
初始化

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IsolatedMemoryCache(
    params string[] isolationPolicyNames
)
Public Sub New (
    ParamArray isolationPolicyNames As String()
)
public:
IsolatedMemoryCache(
    ... array<String^>^ isolationPolicyNames
)
new :
        isolationPolicyNames : string[] -> IsolatedMemoryCache

Parameters

isolationPolicyNames
Type: SystemString
Cache isolation policy names, resolve by IoC container
See Also

Reference

IsolatedMemoryCacheTKey, TValue Class
IsolatedMemoryCacheTKey, TValue Overload
ZKWeb.Cache Namespace


IsolatedMemoryCache(TKey, TValue) Constructor (IList(ICacheIsolationPolicy))

IsolatedMemoryCacheTKey, TValue Constructor (IListICacheIsolationPolicy)
Initialize
初始化

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IsolatedMemoryCache(
    IList<ICacheIsolationPolicy> isolationPolicies
)
Public Sub New (
    isolationPolicies As IList(Of ICacheIsolationPolicy)
)
public:
IsolatedMemoryCache(
    IList<ICacheIsolationPolicy^>^ isolationPolicies
)
new :
        isolationPolicies : IList<ICacheIsolationPolicy> -> IsolatedMemoryCache

Parameters

isolationPolicies
Type: System.Collections.GenericIList ICacheIsolationPolicy
Cache isolation policies
See Also

Reference

IsolatedMemoryCacheTKey, TValue Class
IsolatedMemoryCacheTKey, TValue Overload
ZKWeb.Cache Namespace


IsolatedMemoryCache(TKey, TValue) Constructor (ICacheIsolationPolicy[])

IsolatedMemoryCacheTKey, TValue Constructor (ICacheIsolationPolicy)
Initialize
初始化

Namespace: ZKWeb.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IsolatedMemoryCache(
    params ICacheIsolationPolicy[] isolationPolicies
)
Public Sub New (
    ParamArray isolationPolicies As ICacheIsolationPolicy()
)
public:
IsolatedMemoryCache(
    ... array<ICacheIsolationPolicy^>^ isolationPolicies
)
new :
        isolationPolicies : ICacheIsolationPolicy[] -> IsolatedMemoryCache

Parameters

isolationPolicies
Type: ZKWeb.CacheICacheIsolationPolicy
Cache isolation policies
See Also

Reference

IsolatedMemoryCacheTKey, TValue Class
IsolatedMemoryCacheTKey, TValue Overload
ZKWeb.Cache Namespace


IsolatedMemoryCache(TKey, TValue) Methods

IsolatedMemoryCacheTKey, TValue Methods

The IsolatedMemoryCacheTKey, TValue generic type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IsolatedMemoryCacheTKey, TValue Class
ZKWeb.Cache Namespace


ZKWeb.Cache.Policies Namespace

[Missing <summary> documentation for "N:ZKWeb.Cache.Policies"]

Classes
 | Class | Description
Public class | CacheIsolateByDevice | Isolate cache by client device type, eg Desktop or Mobile 按客户端的设备类型隔离缓存, 例如Desktop或者Mobile
Public class | CacheIsolateByLocale | Isolate cache by language and timezone 按语言和时区隔离缓存
Public class | CacheIsolateByUrl | Isolate cache by http request url and parameters 根据Http请求的Url和参数隔离缓存


CacheIsolateByDevice Class
Isolate cache by client device type, eg Desktop or Mobile
按客户端的设备类型隔离缓存, 例如Desktop或者Mobile
Inheritance Hierarchy
SystemObject
ZKWeb.Cache.PoliciesCacheIsolateByDevice

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class CacheIsolateByDevice : ICacheIsolationPolicy
Public Class CacheIsolateByDevice
    Implements ICacheIsolationPolicy
public ref class CacheIsolateByDevice : ICacheIsolationPolicy
type CacheIsolateByDevice =
    class
        interface ICacheIsolationPolicy
    end

The CacheIsolateByDevice type exposes the following members.

Constructors
 | Name | Description
Public method | CacheIsolateByDevice | Initializes a new instance of the CacheIsolateByDevice class
Top
Methods
 | Name | Description
Public method | GetIsolationKey | Get isolation key 获取隔离键
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Cache.Policies Namespace
ZKWeb.CacheCacheFactory
ZKWeb.CacheCacheFactoryOptions


CacheIsolateByDevice Constructor

Initializes a new instance of the CacheIsolateByDevice class

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheIsolateByDevice()
Public Sub New
public:
CacheIsolateByDevice()
new : unit -> CacheIsolateByDevice
See Also

Reference

CacheIsolateByDevice Class
ZKWeb.Cache.Policies Namespace


CacheIsolateByDevice Methods

The CacheIsolateByDevice type exposes the following members.

Methods
 | Name | Description
Public method | GetIsolationKey | Get isolation key 获取隔离键
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CacheIsolateByDevice Class
ZKWeb.Cache.Policies Namespace


CacheIsolateByDevice.GetIsolationKey Method

CacheIsolateByDeviceGetIsolationKey Method

Get isolation key
获取隔离键

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object GetIsolationKey()
Public Function GetIsolationKey As Object
public:
virtual Object^ GetIsolationKey() sealed
abstract GetIsolationKey : unit -> Object
override GetIsolationKey : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Cache.Policies.CacheIsolateByDevice.GetIsolationKey"]

Implements

ICacheIsolationPolicyGetIsolationKey
See Also

Reference

CacheIsolateByDevice Class
ZKWeb.Cache.Policies Namespace


CacheIsolateByLocale Class
Isolate cache by language and timezone
按语言和时区隔离缓存
Inheritance Hierarchy
SystemObject
ZKWeb.Cache.PoliciesCacheIsolateByLocale

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class CacheIsolateByLocale : ICacheIsolationPolicy
Public Class CacheIsolateByLocale
    Implements ICacheIsolationPolicy
public ref class CacheIsolateByLocale : ICacheIsolationPolicy
type CacheIsolateByLocale =
    class
        interface ICacheIsolationPolicy
    end

The CacheIsolateByLocale type exposes the following members.

Constructors
 | Name | Description
Public method | CacheIsolateByLocale | Initializes a new instance of the CacheIsolateByLocale class
Top
Methods
 | Name | Description
Public method | GetIsolationKey | Get isolation key 获取隔离键
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Cache.Policies Namespace
ZKWeb.CacheCacheFactory
ZKWeb.CacheCacheFactoryOptions


CacheIsolateByLocale Constructor

Initializes a new instance of the CacheIsolateByLocale class

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheIsolateByLocale()
Public Sub New
public:
CacheIsolateByLocale()
new : unit -> CacheIsolateByLocale
See Also

Reference

CacheIsolateByLocale Class
ZKWeb.Cache.Policies Namespace


CacheIsolateByLocale Methods

The CacheIsolateByLocale type exposes the following members.

Methods
 | Name | Description
Public method | GetIsolationKey | Get isolation key 获取隔离键
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CacheIsolateByLocale Class
ZKWeb.Cache.Policies Namespace


CacheIsolateByLocale.GetIsolationKey Method

CacheIsolateByLocaleGetIsolationKey Method

Get isolation key
获取隔离键

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object GetIsolationKey()
Public Function GetIsolationKey As Object
public:
virtual Object^ GetIsolationKey() sealed
abstract GetIsolationKey : unit -> Object
override GetIsolationKey : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Cache.Policies.CacheIsolateByLocale.GetIsolationKey"]

Implements

ICacheIsolationPolicyGetIsolationKey
See Also

Reference

CacheIsolateByLocale Class
ZKWeb.Cache.Policies Namespace


CacheIsolateByUrl Class
Isolate cache by http request url and parameters
根据Http请求的Url和参数隔离缓存
Inheritance Hierarchy
SystemObject
ZKWeb.Cache.PoliciesCacheIsolateByUrl

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class CacheIsolateByUrl : ICacheIsolationPolicy
Public Class CacheIsolateByUrl
    Implements ICacheIsolationPolicy
public ref class CacheIsolateByUrl : ICacheIsolationPolicy
type CacheIsolateByUrl =
    class
        interface ICacheIsolationPolicy
    end

The CacheIsolateByUrl type exposes the following members.

Constructors
 | Name | Description
Public method | CacheIsolateByUrl | Initializes a new instance of the CacheIsolateByUrl class
Top
Methods
 | Name | Description
Public method | GetIsolationKey | Get isolation key 获取隔离键
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Cache.Policies Namespace
ZKWeb.CacheCacheFactory
ZKWeb.CacheCacheFactoryOptions


CacheIsolateByUrl Constructor

Initializes a new instance of the CacheIsolateByUrl class

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheIsolateByUrl()
Public Sub New
public:
CacheIsolateByUrl()
new : unit -> CacheIsolateByUrl
See Also

Reference

CacheIsolateByUrl Class
ZKWeb.Cache.Policies Namespace


CacheIsolateByUrl Methods

The CacheIsolateByUrl type exposes the following members.

Methods
 | Name | Description
Public method | GetIsolationKey | Get isolation key 获取隔离键
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CacheIsolateByUrl Class
ZKWeb.Cache.Policies Namespace


CacheIsolateByUrl.GetIsolationKey Method

CacheIsolateByUrlGetIsolationKey Method

Get isolation key
获取隔离键

Namespace: ZKWeb.Cache.Policies
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object GetIsolationKey()
Public Function GetIsolationKey As Object
public:
virtual Object^ GetIsolationKey() sealed
abstract GetIsolationKey : unit -> Object
override GetIsolationKey : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Cache.Policies.CacheIsolateByUrl.GetIsolationKey"]

Implements

ICacheIsolationPolicyGetIsolationKey
See Also

Reference

CacheIsolateByUrl Class
ZKWeb.Cache.Policies Namespace


ZKWeb.Database Namespace

[Missing <summary> documentation for "N:ZKWeb.Database"]

Classes
 | Class | Description
 | DatabaseManager | Database manager 数据库管理器
Public class | EntityMappingOptions | The mapping options of the entity field 实体字段的映射选项
Interfaces
 | Interface | Description
 | IDatabaseContext | Interface for database context 数据库上下文的接口
Public interface | IDatabaseContextFactory | Interface for database context factory 数据库上下文生成器的接口
 | IDatabaseInitializeHandler | Interface used to customize the processing of the database initialization 用于自定义数据库初始化时的处理的接口
Public interface | IEntity | Non-generic interface of entity 实体的非泛型接口
 | IEntityTPrimaryKey | Generic interface of entity 实体的泛型接口
 | IEntityMappingBuilderT | Interface used to define an entity-to-database mapping 用于定义实体到数据库映射的接口
Public interface | IEntityMappingProvider | Empty base interface 空的基础接口
 | IEntityMappingProviderT | Interface used to alter the entity mapping builder You should define this when you define an new entity 用于构建实体映射的接口 你应该在定义一个新的实体时同时定义这个提供器
 | IEntityOperationHandlerT | Interface for handling entity modification and deletion 用于处理实体修改和删除的接口


DatabaseManager Class
Database manager
数据库管理器
Inheritance Hierarchy
SystemObject
ZKWeb.DatabaseDatabaseManager

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DatabaseManager
Public Class DatabaseManager
public ref class DatabaseManager
type DatabaseManager =  class end

The DatabaseManager type exposes the following members.

Constructors
 | Name | Description
Public method | DatabaseManager | Initializes a new instance of the DatabaseManager class
Top
Properties
 | Name | Description
Protected property | DefaultContextFactory | Default database context factory 默认的数据库上下文生成器
Top
Methods
 | Name | Description
Public method | CreateContext | Create database context from the default factory 使用默认的生成器创建数据库上下文
 | CreateContextFactor | Create database context factory from the given parameters 根据传入的参数创建数据库上下文生成器
Protected method | Initialize | Initialize database manager 初始化数据库管理器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
Copy
var databaseManager = Application.Ioc.Resolve<DatabaseManager>();
using (var context = databaseManager.CreateContext()) {
    var data = new ExampleTable() {
        Name = "test",
        CreateTime = DateTime.UtcNow,
        Deleted = false
    };
    context.Save(ref data);
}
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseIDatabaseContext
ZKWeb.DatabaseIDatabaseContextFactory


DatabaseManager Constructor

Initializes a new instance of the DatabaseManager class

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DatabaseManager()
Public Sub New
public:
DatabaseManager()
new : unit -> DatabaseManager
See Also

Reference

DatabaseManager Class
ZKWeb.Database Namespace


DatabaseManager Properties

The DatabaseManager type exposes the following members.

Properties
 | Name | Description
Protected property | DefaultContextFactory | Default database context factory 默认的数据库上下文生成器
Top
See Also

Reference

DatabaseManager Class
ZKWeb.Database Namespace


DatabaseManager.DefaultContextFactory Property

DatabaseManagerDefaultContextFactory Property

Default database context factory
默认的数据库上下文生成器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IDatabaseContextFactory DefaultContextFactory { get; set; }
Protected Overridable Property DefaultContextFactory As IDatabaseContextFactory
    Get
    Set
protected:
virtual property IDatabaseContextFactory^ DefaultContextFactory {
    IDatabaseContextFactory^ get ();
    void set (IDatabaseContextFactory^ value);
}
abstract DefaultContextFactory : IDatabaseContextFactory with get, set
override DefaultContextFactory : IDatabaseContextFactory with get, set

Property Value

Type: IDatabaseContextFactory
See Also

Reference

DatabaseManager Class
ZKWeb.Database Namespace


DatabaseManager Methods

The DatabaseManager type exposes the following members.

Methods
 | Name | Description
Public method | CreateContext | Create database context from the default factory 使用默认的生成器创建数据库上下文
 | CreateContextFactor | Create database context factory from the given parameters 根据传入的参数创建数据库上下文生成器
Protected method | Initialize | Initialize database manager 初始化数据库管理器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DatabaseManager Class
ZKWeb.Database Namespace


DatabaseManager.CreateContext Method

DatabaseManagerCreateContext Method

Create database context from the default factory
使用默认的生成器创建数据库上下文

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDatabaseContext CreateContext()
Public Overridable Function CreateContext As IDatabaseContext
public:
virtual IDatabaseContext^ CreateContext()
abstract CreateContext : unit -> IDatabaseContext
override CreateContext : unit -> IDatabaseContext

Return Value

Type: IDatabaseContext

[Missing <returns> documentation for "M:ZKWeb.Database.DatabaseManager.CreateContext"]

See Also

Reference

DatabaseManager Class
ZKWeb.Database Namespace


DatabaseManager.CreateContextFactor Method

DatabaseManagerCreateContextFactor Method

Create database context factory from the given parameters
根据传入的参数创建数据库上下文生成器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IDatabaseContextFactory CreateContextFactor(
    string orm,
    string database,
    string connectionString
)
Public Shared Function CreateContextFactor (
    orm As String,
    database As String,
    connectionString As String
) As IDatabaseContextFactory
public:
static IDatabaseContextFactory^ CreateContextFactor(
    String^ orm,
    String^ database,
    String^ connectionString
)
static member CreateContextFactor :
        orm : string *
        database : string *
        connectionString : string -> IDatabaseContextFactory

Parameters

orm
Type: SystemString
Object relational mapper
database
Type: SystemString
Database name
connectionString
Type: SystemString
Database connection string

Return Value

Type: IDatabaseContextFactory

[Missing <returns> documentation for "M:ZKWeb.Database.DatabaseManager.CreateContextFactor(System.String,System.String,System.String)"]

See Also

Reference

DatabaseManager Class
ZKWeb.Database Namespace


DatabaseManager.Initialize Method

DatabaseManagerInitialize Method

Initialize database manager
初始化数据库管理器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Initialize()
Protected Overridable Sub Initialize
protected:
virtual void Initialize()
abstract Initialize : unit -> unit
override Initialize : unit -> unit
See Also

Reference

DatabaseManager Class
ZKWeb.Database Namespace


EntityMappingOptions Class
The mapping options of the entity field
实体字段的映射选项
Inheritance Hierarchy
SystemObject
ZKWeb.DatabaseEntityMappingOptions

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class EntityMappingOptions
Public Class EntityMappingOptions
public ref class EntityMappingOptions
type EntityMappingOptions =  class end

The EntityMappingOptions type exposes the following members.

Constructors
 | Name | Description
Public method | EntityMappingOptions | Initializes a new instance of the EntityMappingOptions class
Top
Properties
 | Name | Description
Public property | CascadeDelete | Enable cascade delete 是否开启级联删除
Public property | Column | Custom column name 自定义列名
Public property | CustomSqlType | Custom sql type 自定义sql类型
Public property | Index | Create index with this name 是否使用此名称创建索引
Public property | Length | Custom field length 自定义字段长度
Public property | Navigation | Custom navigation property on the other side for References, HasMany, HasManyToMany If this option is empty, it will be detected automatically 自定义的导航属性, 用于指定References, HasMany, HasManyToMany的另一边实体中的属性名称 如果这个选项空白, 则会自动检测该属性
Public property | Nullable | Allow this field to be null 是否允许这个字段等于null
Public property | Unique | Create unique index 是否创建唯一键
Public property | WithSerialization | Member will serialize (eg: as json) before store into database, and deserialize after retrieve from database if it is true 如果开启了此选项是, 则会在保存成员时序列化(例如json), 并在获取成员时反序列化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Database Namespace


EntityMappingOptions Constructor

Initializes a new instance of the EntityMappingOptions class

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EntityMappingOptions()
Public Sub New
public:
EntityMappingOptions()
new : unit -> EntityMappingOptions
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions Properties

The EntityMappingOptions type exposes the following members.

Properties
 | Name | Description
Public property | CascadeDelete | Enable cascade delete 是否开启级联删除
Public property | Column | Custom column name 自定义列名
Public property | CustomSqlType | Custom sql type 自定义sql类型
Public property | Index | Create index with this name 是否使用此名称创建索引
Public property | Length | Custom field length 自定义字段长度
Public property | Navigation | Custom navigation property on the other side for References, HasMany, HasManyToMany If this option is empty, it will be detected automatically 自定义的导航属性, 用于指定References, HasMany, HasManyToMany的另一边实体中的属性名称 如果这个选项空白, 则会自动检测该属性
Public property | Nullable | Allow this field to be null 是否允许这个字段等于null
Public property | Unique | Create unique index 是否创建唯一键
Public property | WithSerialization | Member will serialize (eg: as json) before store into database, and deserialize after retrieve from database if it is true 如果开启了此选项是, 则会在保存成员时序列化(例如json), 并在获取成员时反序列化
Top
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.CascadeDelete Property

EntityMappingOptionsCascadeDelete Property

Enable cascade delete
是否开启级联删除

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<bool> CascadeDelete { get; set; }
Public Property CascadeDelete As Nullable(Of Boolean)
    Get
    Set
public:
property Nullable<bool> CascadeDelete {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
member CascadeDelete : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.Column Property

EntityMappingOptionsColumn Property

Custom column name
自定义列名

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Column { get; set; }
Public Property Column As String
    Get
    Set
public:
property String^ Column {
    String^ get ();
    void set (String^ value);
}
member Column : string with get, set

Property Value

Type: String
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.CustomSqlType Property

EntityMappingOptionsCustomSqlType Property

Custom sql type
自定义sql类型

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string CustomSqlType { get; set; }
Public Property CustomSqlType As String
    Get
    Set
public:
property String^ CustomSqlType {
    String^ get ();
    void set (String^ value);
}
member CustomSqlType : string with get, set

Property Value

Type: String
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.Index Property

EntityMappingOptionsIndex Property

Create index with this name
是否使用此名称创建索引

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Index { get; set; }
Public Property Index As String
    Get
    Set
public:
property String^ Index {
    String^ get ();
    void set (String^ value);
}
member Index : string with get, set

Property Value

Type: String
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.Length Property

EntityMappingOptionsLength Property

Custom field length
自定义字段长度

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> Length { get; set; }
Public Property Length As Nullable(Of Long)
    Get
    Set
public:
property Nullable<long long> Length {
    Nullable<long long> get ();
    void set (Nullable<long long> value);
}
member Length : Nullable<int64> with get, set

Property Value

Type: Nullable Int64
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.Navigation Property

EntityMappingOptionsNavigation Property

Custom navigation property on the other side for References, HasMany, HasManyToMany
If this option is empty, it will be detected automatically
自定义的导航属性, 用于指定References, HasMany, HasManyToMany的另一边实体中的属性名称
如果这个选项空白, 则会自动检测该属性

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Navigation { get; set; }
Public Property Navigation As String
    Get
    Set
public:
property String^ Navigation {
    String^ get ();
    void set (String^ value);
}
member Navigation : string with get, set

Property Value

Type: String
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.Nullable Property

EntityMappingOptionsNullable Property

Allow this field to be null
是否允许这个字段等于null

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<bool> Nullable { get; set; }
Public Property Nullable As Nullable(Of Boolean)
    Get
    Set
public:
property Nullable<bool> Nullable {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
member Nullable : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.Unique Property

EntityMappingOptionsUnique Property

Create unique index
是否创建唯一键

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<bool> Unique { get; set; }
Public Property Unique As Nullable(Of Boolean)
    Get
    Set
public:
property Nullable<bool> Unique {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
member Unique : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions.WithSerialization Property

EntityMappingOptionsWithSerialization Property

Member will serialize (eg: as json) before store into database,
and deserialize after retrieve from database if it is true
如果开启了此选项是, 则会在保存成员时序列化(例如json), 并在获取成员时反序列化

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<bool> WithSerialization { get; set; }
Public Property WithSerialization As Nullable(Of Boolean)
    Get
    Set
public:
property Nullable<bool> WithSerialization {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
member WithSerialization : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


EntityMappingOptions Methods

The EntityMappingOptions type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

EntityMappingOptions Class
ZKWeb.Database Namespace


IDatabaseContext Interface
Interface for database context
数据库上下文的接口

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IDatabaseContext : IDisposable
Public Interface IDatabaseContext
    Inherits IDisposable
public interface class IDatabaseContext : IDisposable
type IDatabaseContext =
    interface
        interface IDisposable
    end

The IDatabaseContext type exposes the following members.

Properties
 | Name | Description
 | Database | Database type 数据库类型
Public property | DbConnection | Underlying database connection It may return any types of object or just return null 下层的数据库连接 它可能返回任何类型的对象或返回null
 | ORM | ORM name ORM名称
Top
Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities Return how many entities been deleted It should notify registered handlers of IEntityOperationHandler 批量删除实体 返回删除的实体数量 它应该通知注册的IEntityOperationHandler处理器
Public method | BatchSaveT | Batch save entities It should notify registered handlers of IEntityOperationHandler Update action should be executed between BeforeSave and AfterSave method 批量保存实体 它应该通知注册的IEntityOperationHandler处理器 更新函数应该在BeforeSave和AfterSave函数之间执行
Public method | BatchUpdateT | Batch update entities Return how many entities been updated It should notify registered handlers of IEntityOperationHandler 批量更新实体 返回更新的实体数量 它应该通知注册的IEntityOperationHandler处理器
Public method | BeginTransaction | Begin a transaction It should support nested calls Only the outermost call will actually create the transaction, and the inner call will only increase the counter Attention: Not all ORMs support this feature 开始一个事务 它应该支持嵌套调用 只有最外层的调用会实际的创建事务, 里层的调用只会增加计数器 注意: 不是所有ORM都支持这个功能
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Public method | DeleteT | Delete entity from database It should notify registered handlers of IEntityOperationHandler 删除数据库中的实体 它应该通知注册的IEntityOperationHandler处理器
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way It wouldn't call registered handlers of IEntityOperationHandler 快速批量删除实体 它不会通知注册的IEntityOperationHandler处理器
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way It wouldn't call registered handlers of IEntityOperationHandler 快速批量保存实体 它不会通知注册的IEntityOperationHandler处理器
Public method | FinishTransaction | Finish the transaction It should support nested calls Only the outermost call will commit the transaction, and the inner call will only reduce the counter Attention: Not all ORMs support this feature 结束一个事务 它应该支持嵌套调用 只有最外层的调用会提交事务, 里层的调用只会减少计数器 注意: 不是所有ORM都支持这个功能
Public method | GetT | Get single entity that matched the given predicate It should return null if no matched entity found 获取符合传入条件的单个实体 如果无符合条件的实体应该返回null
Public method | QueryT | Get the query object for specific entity type 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database No operation handlers will be called parameter "query" and "parameters" are ORM and Database specified 执行一个原生的查询操作 不会调用操作处理器 参数"query"和"parameters"的类型根据ORM和数据库而定
Public method | RawUpdate | Perform a raw update to database No operation handlers will be called parameter "query" and "parameters" are ORM and Database specified 执行一个原生的更新操作 不会调用操作处理器 参数"query"和"parameters"的类型根据ORM和数据库而定
Public method | SaveT | Save entity to database It should notify registered handlers of IEntityOperationHandler Update action should be executed between BeforeSave and AfterSave method 保存实体到数据库 它应该通知注册的IEntityOperationHandler处理器 更新函数应该在BeforeSave和AfterSave函数之间执行
Top
Examples
Example for insert enity
添加实体的示例
Copy
var databaseManager = Application.Ioc.Resolve<DatabaseManager>();
using (var context = databaseManager.CreateContext()) {
    var data = new ExampleTable() {
        Name = "test",
        CreateTime = DateTime.UtcNow,
        Deleted = false
    };
    context.Save(ref data);
}
Example for update entity
修改实体的示例
C#
Copy
var databaseManager = Application.Ioc.Resolve<DatabaseManager>();
using (var context = databaseManager.CreateContext()) {
    var data = context.Get<ExampleTable>(t => t.name == "test");
    context.Save(ref data, d => d.Name = "updated");
}
Example for query entities
查询实体的示例
C#
Copy
var databaseManager = Application.Ioc.Resolve<DatabaseManager>();
using (var context = databaseManager.CreateContext()) {
    var notUpdated = context.Query<ExampleTable>().Where(t => t.Name != "updated").ToList();
}
Example for delete entities
删除数据的示例
C#
Copy
var databaseManager = Application.Ioc.Resolve<DatabaseManager>();
using (var context = databaseManager.CreateContext()) {
    long deleted = context.BatchDelete<ExampleTable>(d => d.Name == "updated");
}
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseIDatabaseContextFactory
ZKWeb.DatabaseDatabaseManager


IDatabaseContext Properties

The IDatabaseContext type exposes the following members.

Properties
 | Name | Description
 | Database | Database type 数据库类型
Public property | DbConnection | Underlying database connection It may return any types of object or just return null 下层的数据库连接 它可能返回任何类型的对象或返回null
 | ORM | ORM name ORM名称
Top
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.Database Property

IDatabaseContextDatabase Property

Database type
数据库类型

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Database { get; }
ReadOnly Property Database As String
    Get
property String^ Database {
    String^ get ();
}
abstract Database : string with get

Property Value

Type: String
Examples
MSSQL, SQLite
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.DbConnection Property

IDatabaseContextDbConnection Property

Underlying database connection
It may return any types of object or just return null
下层的数据库连接
它可能返回任何类型的对象或返回null

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Object DbConnection { get; }
ReadOnly Property DbConnection As Object
    Get
property Object^ DbConnection {
    Object^ get ();
}
abstract DbConnection : Object with get

Property Value

Type: Object
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.ORM Property

IDatabaseContextORM Property

ORM name
ORM名称

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string ORM { get; }
ReadOnly Property ORM As String
    Get
property String^ ORM {
    String^ get ();
}
abstract ORM : string with get

Property Value

Type: String
Examples
NHibernate, EFCore
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext Methods

The IDatabaseContext type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities Return how many entities been deleted It should notify registered handlers of IEntityOperationHandler 批量删除实体 返回删除的实体数量 它应该通知注册的IEntityOperationHandler处理器
Public method | BatchSaveT | Batch save entities It should notify registered handlers of IEntityOperationHandler Update action should be executed between BeforeSave and AfterSave method 批量保存实体 它应该通知注册的IEntityOperationHandler处理器 更新函数应该在BeforeSave和AfterSave函数之间执行
Public method | BatchUpdateT | Batch update entities Return how many entities been updated It should notify registered handlers of IEntityOperationHandler 批量更新实体 返回更新的实体数量 它应该通知注册的IEntityOperationHandler处理器
Public method | BeginTransaction | Begin a transaction It should support nested calls Only the outermost call will actually create the transaction, and the inner call will only increase the counter Attention: Not all ORMs support this feature 开始一个事务 它应该支持嵌套调用 只有最外层的调用会实际的创建事务, 里层的调用只会增加计数器 注意: 不是所有ORM都支持这个功能
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Public method | DeleteT | Delete entity from database It should notify registered handlers of IEntityOperationHandler 删除数据库中的实体 它应该通知注册的IEntityOperationHandler处理器
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way It wouldn't call registered handlers of IEntityOperationHandler 快速批量删除实体 它不会通知注册的IEntityOperationHandler处理器
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way It wouldn't call registered handlers of IEntityOperationHandler 快速批量保存实体 它不会通知注册的IEntityOperationHandler处理器
Public method | FinishTransaction | Finish the transaction It should support nested calls Only the outermost call will commit the transaction, and the inner call will only reduce the counter Attention: Not all ORMs support this feature 结束一个事务 它应该支持嵌套调用 只有最外层的调用会提交事务, 里层的调用只会减少计数器 注意: 不是所有ORM都支持这个功能
Public method | GetT | Get single entity that matched the given predicate It should return null if no matched entity found 获取符合传入条件的单个实体 如果无符合条件的实体应该返回null
Public method | QueryT | Get the query object for specific entity type 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database No operation handlers will be called parameter "query" and "parameters" are ORM and Database specified 执行一个原生的查询操作 不会调用操作处理器 参数"query"和"parameters"的类型根据ORM和数据库而定
Public method | RawUpdate | Perform a raw update to database No operation handlers will be called parameter "query" and "parameters" are ORM and Database specified 执行一个原生的更新操作 不会调用操作处理器 参数"query"和"parameters"的类型根据ORM和数据库而定
Public method | SaveT | Save entity to database It should notify registered handlers of IEntityOperationHandler Update action should be executed between BeforeSave and AfterSave method 保存实体到数据库 它应该通知注册的IEntityOperationHandler处理器 更新函数应该在BeforeSave和AfterSave函数之间执行
Top
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.BatchDelete(T) Method

IDatabaseContextBatchDeleteT Method

Batch delete entities
Return how many entities been deleted
It should notify registered handlers of IEntityOperationHandler
批量删除实体
返回删除的实体数量
它应该通知注册的IEntityOperationHandler处理器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
long BatchDelete<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> beforeDelete = null
)
where T : class, IEntity

Function BatchDelete(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    Optional beforeDelete As Action(Of T) = Nothing
) As Long
generic<typename T>
where T : ref class, IEntity
long long BatchDelete(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ beforeDelete = nullptr
)
abstract BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        ?beforeDelete : Action<'T>
(* Defaults:
        let _beforeDelete = defaultArg beforeDelete null
*)
-> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean
The predicate
beforeDelete (Optional)
Type: SystemAction T
Action before delete

Type Parameters

T
Entity Type

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.BatchSave(T) Method

IDatabaseContextBatchSaveT Method

Batch save entities
It should notify registered handlers of IEntityOperationHandler
Update action should be executed between BeforeSave and AfterSave method
批量保存实体
它应该通知注册的IEntityOperationHandler处理器
更新函数应该在BeforeSave和AfterSave函数之间执行

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void BatchSave<T>(
    ref IEnumerable<T> entities,
    Action<T> update = null
)
where T : class, IEntity

Sub BatchSave(Of T As {Class, IEntity}) (
    ByRef entities As IEnumerable(Of T),
    Optional update As Action(Of T) = Nothing
)
generic<typename T>
where T : ref class, IEntity
void BatchSave(
    IEnumerable<T>^% entities,
    Action<T>^ update = nullptr
)
abstract BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entities
Type: System.Collections.GenericIEnumerable T
Entity objects
update (Optional)
Type: SystemAction T
Update action

Type Parameters

T
Entity Type
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.BatchUpdate(T) Method

IDatabaseContextBatchUpdateT Method

Batch update entities
Return how many entities been updated
It should notify registered handlers of IEntityOperationHandler
批量更新实体
返回更新的实体数量
它应该通知注册的IEntityOperationHandler处理器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
long BatchUpdate<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> update
)
where T : class, IEntity

Function BatchUpdate(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    update As Action(Of T)
) As Long
generic<typename T>
where T : ref class, IEntity
long long BatchUpdate(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ update
)
abstract BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean
The predicate
update
Type: SystemAction T
Update action

Type Parameters

T
Entity Type

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.BeginTransaction Method

IDatabaseContextBeginTransaction Method

Begin a transaction
It should support nested calls
Only the outermost call will actually create the transaction, and the inner call will only increase the counter
Attention: Not all ORMs support this feature
开始一个事务
它应该支持嵌套调用
只有最外层的调用会实际的创建事务, 里层的调用只会增加计数器
注意: 不是所有ORM都支持这个功能

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel = null
)
Sub BeginTransaction (
    Optional isolationLevel As Nullable(Of IsolationLevel) = Nothing
)
void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel = nullptr
)
abstract BeginTransaction :
        ?isolationLevel : Nullable<IsolationLevel>
(* Defaults:
        let _isolationLevel = defaultArg isolationLevel null
*)
-> unit

Parameters

isolationLevel (Optional)
Type: SystemNullable IsolationLevel
The isolation level
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.Count(T) Method

IDatabaseContextCountT Method

Get how many entities that matched the given predicate
获取符合传入条件的实体数量

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
long Count<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Function Count(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
generic<typename T>
where T : ref class, IEntity
long long Count(
    Expression<Func<T, bool>^>^ predicate
)
abstract Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean
The predicate

Type Parameters

T
Entity Type

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.Delete(T) Method

IDatabaseContextDeleteT Method

Delete entity from database
It should notify registered handlers of IEntityOperationHandler
删除数据库中的实体
它应该通知注册的IEntityOperationHandler处理器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Delete<T>(
    T entity
)
where T : class, IEntity

Sub Delete(Of T As {Class, IEntity}) (
    entity As T
)
generic<typename T>
where T : ref class, IEntity
void Delete(
    T entity
)
abstract Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T
Entity object

Type Parameters

T
Entity Type
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.FastBatchDelete(T, TPrimaryKey) Method

IDatabaseContextFastBatchDeleteT, TPrimaryKey Method

Batch delete entities in faster way
It wouldn't call registered handlers of IEntityOperationHandler
快速批量删除实体
它不会通知注册的IEntityOperationHandler处理器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
long FastBatchDelete<T, TPrimaryKey>(
    Expression<Func<T, bool>> predicate
)
where T : class, new(), Object, IEntity<TPrimaryKey>

Function FastBatchDelete(Of T As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
generic<typename T, typename TPrimaryKey>
where T : ref class, gcnew(), Object, IEntity<TPrimaryKey>
long long FastBatchDelete(
    Expression<Func<T, bool>^>^ predicate
)
abstract FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean
The predicate

Type Parameters

T
Entity type
TPrimaryKey
Primary key type

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.FastBatchSave(T, TPrimaryKey) Method

IDatabaseContextFastBatchSaveT, TPrimaryKey Method

Batch save entities in faster way
It wouldn't call registered handlers of IEntityOperationHandler
快速批量保存实体
它不会通知注册的IEntityOperationHandler处理器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void FastBatchSave<T, TPrimaryKey>(
    IEnumerable<T> entities
)
where T : class, Object, IEntity<TPrimaryKey>

Sub FastBatchSave(Of T As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    entities As IEnumerable(Of T)
)
generic<typename T, typename TPrimaryKey>
where T : ref class, Object, IEntity<TPrimaryKey>
void FastBatchSave(
    IEnumerable<T>^ entities
)
abstract FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>

Parameters

entities
Type: System.Collections.GenericIEnumerable T
Entity objects

Type Parameters

T
Entity type
TPrimaryKey
Primary key type
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.FinishTransaction Method

IDatabaseContextFinishTransaction Method

Finish the transaction
It should support nested calls
Only the outermost call will commit the transaction, and the inner call will only reduce the counter
Attention: Not all ORMs support this feature
结束一个事务
它应该支持嵌套调用
只有最外层的调用会提交事务, 里层的调用只会减少计数器
注意: 不是所有ORM都支持这个功能

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void FinishTransaction()
Sub FinishTransaction
void FinishTransaction()
abstract FinishTransaction : unit -> unit
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.Get(T) Method

IDatabaseContextGetT Method

Get single entity that matched the given predicate
It should return null if no matched entity found
获取符合传入条件的单个实体
如果无符合条件的实体应该返回null

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
T Get<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Function Get(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As T
generic<typename T>
where T : ref class, IEntity
T Get(
    Expression<Func<T, bool>^>^ predicate
)
abstract Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean
The predicate

Type Parameters

T
Entity Type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.Query(T) Method

IDatabaseContextQueryT Method

Get the query object for specific entity type
获取指定实体类型的查询对象

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IQueryable<T> Query<T>()
where T : class, IEntity

Function Query(Of T As {Class, IEntity}) As IQueryable(Of T)
generic<typename T>
where T : ref class, IEntity
IQueryable<T>^ Query()
abstract Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity

Type Parameters

T
Entity Type

Return Value

Type: IQueryable T

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContext.Query``1"]

See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.RawQuery(T) Method

IDatabaseContextRawQueryT Method

Perform a raw query to database
No operation handlers will be called
parameter "query" and "parameters" are ORM and Database specified
执行一个原生的查询操作
不会调用操作处理器
参数"query"和"parameters"的类型根据ORM和数据库而定

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<T> RawQuery<T>(
    Object query,
    Object parameters
)
where T : class

Function RawQuery(Of T As Class) (
    query As Object,
    parameters As Object
) As IEnumerable(Of T)
generic<typename T>
where T : ref class
IEnumerable<T>^ RawQuery(
    Object^ query,
    Object^ parameters
)
abstract RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct

Parameters

query
Type: SystemObject
Query object (eg: string)
parameters
Type: SystemObject
Query parameters (eg: SqlParameter[])

Type Parameters

T
Entity Type

Return Value

Type: IEnumerable T

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContext.RawQuery``1(System.Object,System.Object)"]

See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.RawUpdate Method

IDatabaseContextRawUpdate Method

Perform a raw update to database
No operation handlers will be called
parameter "query" and "parameters" are ORM and Database specified
执行一个原生的更新操作
不会调用操作处理器
参数"query"和"parameters"的类型根据ORM和数据库而定

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
long RawUpdate(
    Object query,
    Object parameters
)
Function RawUpdate (
    query As Object,
    parameters As Object
) As Long
long long RawUpdate(
    Object^ query,
    Object^ parameters
)
abstract RawUpdate :
        query : Object *
        parameters : Object -> int64

Parameters

query
Type: SystemObject
Query object (eg: string)
parameters
Type: SystemObject
Query parameters (eg: IDictionary[String, object])

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContext.RawUpdate(System.Object,System.Object)"]

See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContext.Save(T) Method

IDatabaseContextSaveT Method

Save entity to database
It should notify registered handlers of IEntityOperationHandler
Update action should be executed between BeforeSave and AfterSave method
保存实体到数据库
它应该通知注册的IEntityOperationHandler处理器
更新函数应该在BeforeSave和AfterSave函数之间执行

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Save<T>(
    ref T entity,
    Action<T> update = null
)
where T : class, IEntity

Sub Save(Of T As {Class, IEntity}) (
    ByRef entity As T,
    Optional update As Action(Of T) = Nothing
)
generic<typename T>
where T : ref class, IEntity
void Save(
    T% entity,
    Action<T>^ update = nullptr
)
abstract Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T
Entity object, may get replaced if not tracked by ORM
update (Optional)
Type: SystemAction T
Update action

Type Parameters

T
Entity Type
See Also

Reference

IDatabaseContext Interface
ZKWeb.Database Namespace


IDatabaseContextFactory Interface
Interface for database context factory
数据库上下文生成器的接口

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IDatabaseContextFactory
Public Interface IDatabaseContextFactory
public interface class IDatabaseContextFactory
type IDatabaseContextFactory =  interface end

The IDatabaseContextFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateContext | Create database context 创建数据库上下文
Top
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseIDatabaseContext
ZKWeb.DatabaseDatabaseManager


IDatabaseContextFactory Methods

The IDatabaseContextFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateContext | Create database context 创建数据库上下文
Top
See Also

Reference

IDatabaseContextFactory Interface
ZKWeb.Database Namespace


IDatabaseContextFactory.CreateContext Method

IDatabaseContextFactoryCreateContext Method

Create database context
创建数据库上下文

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IDatabaseContext CreateContext()
Function CreateContext As IDatabaseContext
IDatabaseContext^ CreateContext()
abstract CreateContext : unit -> IDatabaseContext

Return Value

Type: IDatabaseContext

[Missing <returns> documentation for "M:ZKWeb.Database.IDatabaseContextFactory.CreateContext"]

See Also

Reference

IDatabaseContextFactory Interface
ZKWeb.Database Namespace


IDatabaseInitializeHandler Interface
Interface used to customize the processing of the database initialization
用于自定义数据库初始化时的处理的接口

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IDatabaseInitializeHandler
Public Interface IDatabaseInitializeHandler
public interface class IDatabaseInitializeHandler
type IDatabaseInitializeHandler =  interface end

The IDatabaseInitializeHandler type exposes the following members.

Methods
 | Name | Description
Public method | ConvertTableName | Convert table name Attention: Not all ORMs support this feature 转换表名称 注意: 不是所有的ORM都支持这项功能
Top
Examples
Copy
[ExportMany]
public class DatabaseInitializeHandler : IDatabaseInitializeHandler {
    public void ConvertTableName(ref string tableName) {
        tableName = "ZKWeb_" + tableName;
    }
}
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseDatabaseManager
ZKWeb.DatabaseIDatabaseContextFactory


IDatabaseInitializeHandler Methods

The IDatabaseInitializeHandler type exposes the following members.

Methods
 | Name | Description
Public method | ConvertTableName | Convert table name Attention: Not all ORMs support this feature 转换表名称 注意: 不是所有的ORM都支持这项功能
Top
See Also

Reference

IDatabaseInitializeHandler Interface
ZKWeb.Database Namespace


IDatabaseInitializeHandler.ConvertTableName Method

IDatabaseInitializeHandlerConvertTableName Method

Convert table name
Attention: Not all ORMs support this feature
转换表名称
注意: 不是所有的ORM都支持这项功能

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void ConvertTableName(
    ref string tableName
)
Sub ConvertTableName (
    ByRef tableName As String
)
void ConvertTableName(
    String^% tableName
)
abstract ConvertTableName :
        tableName : string byref -> unit

Parameters

tableName
Type: SystemString
The table name
See Also

Reference

IDatabaseInitializeHandler Interface
ZKWeb.Database Namespace


IEntity Interface
Non-generic interface of entity
实体的非泛型接口

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntity
Public Interface IEntity
public interface class IEntity
type IEntity =  interface end
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseIEntityMappingProvider
ZKWeb.DatabaseIDatabaseContext
ZKWeb.DatabaseIEntityTPrimaryKey


IEntity(TPrimaryKey) Interface

IEntityTPrimaryKey Interface
Generic interface of entity
实体的泛型接口

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntity<TPrimaryKey> : IEntity

Public Interface IEntity(Of TPrimaryKey)
    Inherits IEntity
generic<typename TPrimaryKey>
public interface class IEntity : IEntity
type IEntity<'TPrimaryKey> =
    interface
        interface IEntity
    end

Type Parameters

TPrimaryKey
Primary key type

The IEntityTPrimaryKey type exposes the following members.

Properties
 | Name | Description
Public property | Id | Primary key 主键
Top
Examples
C#
Copy
[ExportMany]
public class ExampleTable : IEntity<long>, IEntityMappingProvider<ExampleTable> {
       public virtual long Id { get; set; }
       public virtual string Name { get; set; }
       public virtual DateTime CreateTime { get; set; }

       public virtual void Configure(IEntityMappingBuilder<ExampleTable> builder) {
           builder.Id(e => e.Id);
           builder.Map(e => e.Name);
           builder.Map(e => e.CreateTime);
       }
}
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseIEntityMappingProvider
ZKWeb.DatabaseIDatabaseContext
ZKWeb.DatabaseIEntity


IEntity(TPrimaryKey) Properties

IEntityTPrimaryKey Properties

The IEntityTPrimaryKey generic type exposes the following members.

Properties
 | Name | Description
Public property | Id | Primary key 主键
Top
See Also

Reference

IEntityTPrimaryKey Interface
ZKWeb.Database Namespace


IEntity(TPrimaryKey).Id Property

IEntityTPrimaryKeyId Property

Primary key
主键

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
TPrimaryKey Id { get; set; }
Property Id As TPrimaryKey
    Get
    Set
property TPrimaryKey Id {
    TPrimaryKey get ();
    void set (TPrimaryKey value);
}
abstract Id : 'TPrimaryKey with get, set

Property Value

Type: TPrimaryKey
See Also

Reference

IEntityTPrimaryKey Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T) Interface

IEntityMappingBuilderT Interface
Interface used to define an entity-to-database mapping
用于定义实体到数据库映射的接口

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntityMappingBuilder<T>
where T : class, IEntity

Public Interface IEntityMappingBuilder(Of T As {Class, IEntity})
generic<typename T>
where T : ref class, IEntity
public interface class IEntityMappingBuilder
type IEntityMappingBuilder<'T when 'T : not struct and IEntity> =  interface end

Type Parameters

T
Entity Type

The IEntityMappingBuilderT type exposes the following members.

Properties
 | Name | Description
Public property | ORM | ORM name ORM名称
Top
Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Examples
C#
Copy
[ExportMany]
public class ExampleTable : IEntity<long>, IEntityMappingProvider<ExampleTable> {
       public virtual long Id { get; set; }
       public virtual string Name { get; set; }
       public virtual DateTime CreateTime { get; set; }

       public virtual void Configure(IEntityMappingBuilder<ExampleTable> builder) {
           builder.Id(e => e.Id);
           builder.Map(e => e.Name);
           builder.Map(e => e.CreateTime);
       }
}
See Also

Reference

ZKWeb.Database Namespace


IEntityMappingBuilder(T) Properties

IEntityMappingBuilderT Properties

The IEntityMappingBuilderT generic type exposes the following members.

Properties
 | Name | Description
Public property | ORM | ORM name ORM名称
Top
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T).ORM Property

IEntityMappingBuilderTORM Property

ORM name
ORM名称

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string ORM { get; }
ReadOnly Property ORM As String
    Get
property String^ ORM {
    String^ get ();
}
abstract ORM : string with get

Property Value

Type: String
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T) Methods

IEntityMappingBuilderT Methods

The IEntityMappingBuilderT generic type exposes the following members.

Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T).HasMany(TChild) Method

IEntityMappingBuilderTHasManyTChild Method

Maps a collection of entities as a one-to-many relationship.
创建到实体集合的映射, 这是一对多的关系

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void HasMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options = null
)
where TChild : class

Sub HasMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    Optional options As EntityMappingOptions = Nothing
)
generic<typename TChild>
where TChild : ref class
void HasMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
)
abstract HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild
Expression that access the collection member
options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions
Mapping options

Type Parameters

TChild
Child entity type
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T).HasManyToMany(TChild) Method

IEntityMappingBuilderTHasManyToManyTChild Method

Maps a collection of entities as a many-to-many relationship.
创建到实体集合的映射, 这是多对多的关系

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void HasManyToMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options = null
)
where TChild : class

Sub HasManyToMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    Optional options As EntityMappingOptions = Nothing
)
generic<typename TChild>
where TChild : ref class
void HasManyToMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
)
abstract HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild
Expression that access the collection member
options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions
Mapping options

Type Parameters

TChild
Child entity type
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T).Id(TPrimaryKey) Method

IEntityMappingBuilderTIdTPrimaryKey Method

Specify the primary key for this entity
指定实体的主键

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Id<TPrimaryKey>(
    Expression<Func<T, TPrimaryKey>> memberExpression,
    EntityMappingOptions options = null
)

Sub Id(Of TPrimaryKey) (
    memberExpression As Expression(Of Func(Of T, TPrimaryKey)),
    Optional options As EntityMappingOptions = Nothing
)
generic<typename TPrimaryKey>
void Id(
    Expression<Func<T, TPrimaryKey>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
)
abstract Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TPrimaryKey
Expression that access the primary key
options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions
Mapping options

Type Parameters

TPrimaryKey
Primary key type
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T).Map(TMember) Method

IEntityMappingBuilderTMapTMember Method

Create a member mapping
创建成员映射

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Map<TMember>(
    Expression<Func<T, TMember>> memberExpression,
    EntityMappingOptions options = null
)

Sub Map(Of TMember) (
    memberExpression As Expression(Of Func(Of T, TMember)),
    Optional options As EntityMappingOptions = Nothing
)
generic<typename TMember>
void Map(
    Expression<Func<T, TMember>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
)
abstract Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TMember
Expression that access the member
options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions
Mapping options

Type Parameters

TMember
Member type
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T).References(TOther) Method

IEntityMappingBuilderTReferencesTOther Method

Create a reference to another entity, this is a many-to-one relationship.
创建到其他实体的映射, 这是多对一的关系

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void References<TOther>(
    Expression<Func<T, TOther>> memberExpression,
    EntityMappingOptions options = null
)
where TOther : class

Sub References(Of TOther As Class) (
    memberExpression As Expression(Of Func(Of T, TOther)),
    Optional options As EntityMappingOptions = Nothing
)
generic<typename TOther>
where TOther : ref class
void References(
    Expression<Func<T, TOther>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
)
abstract References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TOther : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TOther
Expression that access the reference member
options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions
Mapping options

Type Parameters

TOther
Other entity type
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingBuilder(T).TableName Method

IEntityMappingBuilderTTableName Method

Specify the custom table name
指定自定义表名

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void TableName(
    string tableName
)
Sub TableName (
    tableName As String
)
void TableName(
    String^ tableName
)
abstract TableName :
        tableName : string -> unit

Parameters

tableName
Type: SystemString
The table name
See Also

Reference

IEntityMappingBuilderT Interface
ZKWeb.Database Namespace


IEntityMappingProvider Interface
Empty base interface
空的基础接口

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntityMappingProvider
Public Interface IEntityMappingProvider
public interface class IEntityMappingProvider
type IEntityMappingProvider =  interface end
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseIEntityMappingProviderT


IEntityMappingProvider(T) Interface

IEntityMappingProviderT Interface
Interface used to alter the entity mapping builder
You should define this when you define an new entity
用于构建实体映射的接口
你应该在定义一个新的实体时同时定义这个提供器

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntityMappingProvider<T> : IEntityMappingProvider
where T : class, IEntity

Public Interface IEntityMappingProvider(Of T As {Class, IEntity})
    Inherits IEntityMappingProvider
generic<typename T>
where T : ref class, IEntity
public interface class IEntityMappingProvider : IEntityMappingProvider
type IEntityMappingProvider<'T when 'T : not struct and IEntity> =
    interface
        interface IEntityMappingProvider
    end

Type Parameters

T
Entity Type

The IEntityMappingProviderT type exposes the following members.

Methods
 | Name | Description
Public method | Configure | Configure entity mapping 配置实体映射
Top
Examples
C#
Copy
[ExportMany]
public class ExampleTable : IEntity<long>, IEntityMappingProvider<ExampleTable> {
       public virtual long Id { get; set; }
       public virtual string Name { get; set; }
       public virtual DateTime CreateTime { get; set; }

       public virtual void Configure(IEntityMappingBuilder<ExampleTable> builder) {
           builder.Id(e => e.Id);
           builder.Map(e => e.Name);
           builder.Map(e => e.CreateTime);
       }
}
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseIEntityTPrimaryKey
ZKWeb.DatabaseIEntityMappingBuilderT


IEntityMappingProvider(T) Methods

IEntityMappingProviderT Methods

The IEntityMappingProviderT generic type exposes the following members.

Methods
 | Name | Description
Public method | Configure | Configure entity mapping 配置实体映射
Top
See Also

Reference

IEntityMappingProviderT Interface
ZKWeb.Database Namespace


IEntityMappingProvider(T).Configure Method

IEntityMappingProviderTConfigure Method

Configure entity mapping
配置实体映射

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Configure(
    IEntityMappingBuilder<T> builder
)
Sub Configure (
    builder As IEntityMappingBuilder(Of T)
)
void Configure(
    IEntityMappingBuilder<T>^ builder
)
abstract Configure :
        builder : IEntityMappingBuilder<'T> -> unit

Parameters

builder
Type: ZKWeb.DatabaseIEntityMappingBuilder T
Entity mapping builder
See Also

Reference

IEntityMappingProviderT Interface
ZKWeb.Database Namespace


IEntityOperationHandler(T) Interface

IEntityOperationHandlerT Interface
Interface for handling entity modification and deletion
用于处理实体修改和删除的接口

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IEntityOperationHandler<T>
where T : class, IEntity

Public Interface IEntityOperationHandler(Of T As {Class, IEntity})
generic<typename T>
where T : ref class, IEntity
public interface class IEntityOperationHandler
type IEntityOperationHandler<'T when 'T : not struct and IEntity> =  interface end

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "T:ZKWeb.Database.IEntityOperationHandler`1"]

The IEntityOperationHandlerT type exposes the following members.

Methods
 | Name | Description
Public method | AfterDelete | Execute after deleted 删除后的处理
Public method | AfterSave | Execute after saved 保存后(修改后)的处理
Public method | BeforeDelete | Execute before delete 删除前的处理
Public method | BeforeSave | Execute before save 保存前(修改前)的处理
Top
Examples
C#
Copy
[ExportMany]
public class ExampleEntityOperationHandler : IEntityOperationHandler<ExampleTable> {
       private long IdBeforeSave { get; set; }
        private string NameBeforeSave { get; set; }

       public void BeforeSave(IDatabaseContext context, ExampleTable data) {
           IdBeforeSave = data.Id;
           NameBeforeSave = data.Name;
       }

       public void AfterSave(IDatabaseContext context, ExampleTable data) {
           var logManager = Application.Ioc.Resolve<LogManager>();
           if (IdBeforeSave <= 0) {
               logManager.LogDebug(string.Format("example data inserted, id is {0}", data.Id));
           } else if (NameBeforeSave != data.Name) {
               logManager.LogDebug(string.Format("example data name changed, id is {0}", data.Id));
           }
       }

       public void BeforeDelete(IDatabaseContext context, ExampleTable data) {
       }

       public void AfterDelete(IDatabaseContext context, ExampleTable data) {
           var logManager = Application.Ioc.Resolve<LogManager>();
           logManager.LogDebug(string.Format("example data deleted, id is {0}", data.Id));
       }
}
See Also

Reference

ZKWeb.Database Namespace
ZKWeb.DatabaseIDatabaseContext
ZKWeb.DatabaseIEntityTPrimaryKey
ZKWeb.DatabaseDatabaseManager


IEntityOperationHandler(T) Methods

IEntityOperationHandlerT Methods

The IEntityOperationHandlerT generic type exposes the following members.

Methods
 | Name | Description
Public method | AfterDelete | Execute after deleted 删除后的处理
Public method | AfterSave | Execute after saved 保存后(修改后)的处理
Public method | BeforeDelete | Execute before delete 删除前的处理
Public method | BeforeSave | Execute before save 保存前(修改前)的处理
Top
See Also

Reference

IEntityOperationHandlerT Interface
ZKWeb.Database Namespace


IEntityOperationHandler(T).AfterDelete Method

IEntityOperationHandlerTAfterDelete Method

Execute after deleted
删除后的处理

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void AfterDelete(
    IDatabaseContext context,
    T entity
)
Sub AfterDelete (
    context As IDatabaseContext,
    entity As T
)
void AfterDelete(
    IDatabaseContext^ context,
    T entity
)
abstract AfterDelete :
        context : IDatabaseContext *
        entity : 'T -> unit

Parameters

context
Type: ZKWeb.DatabaseIDatabaseContext
Database context
entity
Type: T
Entity object
See Also

Reference

IEntityOperationHandlerT Interface
ZKWeb.Database Namespace


IEntityOperationHandler(T).AfterSave Method

IEntityOperationHandlerTAfterSave Method

Execute after saved
保存后(修改后)的处理

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void AfterSave(
    IDatabaseContext context,
    T entity
)
Sub AfterSave (
    context As IDatabaseContext,
    entity As T
)
void AfterSave(
    IDatabaseContext^ context,
    T entity
)
abstract AfterSave :
        context : IDatabaseContext *
        entity : 'T -> unit

Parameters

context
Type: ZKWeb.DatabaseIDatabaseContext
Database context
entity
Type: T
Entity object
See Also

Reference

IEntityOperationHandlerT Interface
ZKWeb.Database Namespace


IEntityOperationHandler(T).BeforeDelete Method

IEntityOperationHandlerTBeforeDelete Method

Execute before delete
删除前的处理

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void BeforeDelete(
    IDatabaseContext context,
    T entity
)
Sub BeforeDelete (
    context As IDatabaseContext,
    entity As T
)
void BeforeDelete(
    IDatabaseContext^ context,
    T entity
)
abstract BeforeDelete :
        context : IDatabaseContext *
        entity : 'T -> unit

Parameters

context
Type: ZKWeb.DatabaseIDatabaseContext
Database context
entity
Type: T
Entity object
See Also

Reference

IEntityOperationHandlerT Interface
ZKWeb.Database Namespace


IEntityOperationHandler(T).BeforeSave Method

IEntityOperationHandlerTBeforeSave Method

Execute before save
保存前(修改前)的处理

Namespace: ZKWeb.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void BeforeSave(
    IDatabaseContext context,
    T entity
)
Sub BeforeSave (
    context As IDatabaseContext,
    entity As T
)
void BeforeSave(
    IDatabaseContext^ context,
    T entity
)
abstract BeforeSave :
        context : IDatabaseContext *
        entity : 'T -> unit

Parameters

context
Type: ZKWeb.DatabaseIDatabaseContext
Database context
entity
Type: T
Entity object
See Also

Reference

IEntityOperationHandlerT Interface
ZKWeb.Database Namespace


ZKWeb.Hosting Namespaces

[Missing <summary> documentation for "G:ZKWeb.Hosting"]

Namespaces
Namespace | Description
ZKWeb.Hosting.AspNet |
ZKWeb.Hosting.AspNetCore |
ZKWeb.Hosting.Owin |


ZKWeb.Hosting.AspNet Namespace

[Missing <summary> documentation for "N:ZKWeb.Hosting.AspNet"]

Classes
 | Class | Description
Protected class | AspNetHttpContextWrapper | Http context wrapper for Asp.Net Asp.Net Http上下文的包装类
Protected class | AspNetHttpPostedFileWrapper | Http posted file wrapper for Asp.Net Asp.Net 提交文件的包装类
Protected class | AspNetHttpRequestWrapper | Http request wrapper for Asp.net Asp.Net Http请求的包装类
Protected class | AspNetHttpResponseWrapper | Http response wrapper for Asp.Net Asp.Net Http回应的包装类
Protected class | AspNetWebsiteStopper | Asp.Net website stopper Asp.Net网站停止器
Public class | GlobalBase | Base application class for Asp.Net Asp.Net的基础应用类
Public class | GlobalBaseTApplication | Base application class for Asp.Net Asp.Net的基础应用类


AspNetHttpContextWrapper Class
Http context wrapper for Asp.Net
Asp.Net Http上下文的包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetAspNetHttpContextWrapper

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class AspNetHttpContextWrapper : IHttpContext
Friend Class AspNetHttpContextWrapper
    Implements IHttpContext
internal ref class AspNetHttpContextWrapper : IHttpContext
type AspNetHttpContextWrapper =
    class
        interface IHttpContext
    end

The AspNetHttpContextWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | AspNetHttpContextWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ChildItems | Http context bound items Items from original context is not using 与Http上下文绑定的数据 原始上下文中的Items不会使用
Protected property | ChildRequest | Wrapped http request 包装后的Http请求
Protected property | ChildResponse | Wrapped http response 包装后的Http回应
Public property | Items |
Protected property | OriginalContext | Original http context 原始的Http上下文
Public property | Request |
Public property | Response |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AspNetHttpContextWrapper(
    HttpContext originalContext
)
Public Sub New (
    originalContext As HttpContext
)
public:
AspNetHttpContextWrapper(
    HttpContext^ originalContext
)
new :
        originalContext : HttpContext -> AspNetHttpContextWrapper

Parameters

originalContext
Type: System.WebHttpContext
Orignal http context
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper Properties

The AspNetHttpContextWrapper type exposes the following members.

Properties
 | Name | Description
Public property | ChildItems | Http context bound items Items from original context is not using 与Http上下文绑定的数据 原始上下文中的Items不会使用
Protected property | ChildRequest | Wrapped http request 包装后的Http请求
Protected property | ChildResponse | Wrapped http response 包装后的Http回应
Public property | Items |
Protected property | OriginalContext | Original http context 原始的Http上下文
Public property | Request |
Public property | Response |
Top
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper.ChildItems Property

AspNetHttpContextWrapperChildItems Property

Http context bound items
Items from original context is not using
与Http上下文绑定的数据
原始上下文中的Items不会使用

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Dictionary<Object, Object> ChildItems { get; set; }
Public Property ChildItems As Dictionary(Of Object, Object)
    Get
    Set
public:
property Dictionary<Object^, Object^>^ ChildItems {
    Dictionary<Object^, Object^>^ get ();
    void set (Dictionary<Object^, Object^>^ value);
}
member ChildItems : Dictionary<Object, Object> with get, set

Property Value

Type: Dictionary Object, Object
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper.ChildRequest Property

AspNetHttpContextWrapperChildRequest Property

Wrapped http request
包装后的Http请求

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected AspNetHttpRequestWrapper ChildRequest { get; set; }
Protected Property ChildRequest As AspNetHttpRequestWrapper
    Get
    Set
protected:
property AspNetHttpRequestWrapper^ ChildRequest {
    AspNetHttpRequestWrapper^ get ();
    void set (AspNetHttpRequestWrapper^ value);
}
member ChildRequest : AspNetHttpRequestWrapper with get, set

Property Value

Type: AspNetHttpRequestWrapper
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper.ChildResponse Property

AspNetHttpContextWrapperChildResponse Property

Wrapped http response
包装后的Http回应

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected AspNetHttpResponseWrapper ChildResponse { get; set; }
Protected Property ChildResponse As AspNetHttpResponseWrapper
    Get
    Set
protected:
property AspNetHttpResponseWrapper^ ChildResponse {
    AspNetHttpResponseWrapper^ get ();
    void set (AspNetHttpResponseWrapper^ value);
}
member ChildResponse : AspNetHttpResponseWrapper with get, set

Property Value

Type: AspNetHttpResponseWrapper
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper.Items Property

AspNetHttpContextWrapperItems Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpContextWrapper.Items"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Object, Object> Items { get; }
Public ReadOnly Property Items As IDictionary(Of Object, Object)
    Get
public:
virtual property IDictionary<Object^, Object^>^ Items {
    IDictionary<Object^, Object^>^ get () sealed;
}
abstract Items : IDictionary<Object, Object> with get
override Items : IDictionary<Object, Object> with get

Property Value

Type: IDictionary Object, Object

Implements

IHttpContextItems
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper.OriginalContext Property

AspNetHttpContextWrapperOriginalContext Property

Original http context
原始的Http上下文

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpContext OriginalContext { get; set; }
Protected Property OriginalContext As HttpContext
    Get
    Set
protected:
property HttpContext^ OriginalContext {
    HttpContext^ get ();
    void set (HttpContext^ value);
}
member OriginalContext : HttpContext with get, set

Property Value

Type: HttpContext
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper.Request Property

AspNetHttpContextWrapperRequest Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpContextWrapper.Request"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpRequest Request { get; }
Public ReadOnly Property Request As IHttpRequest
    Get
public:
virtual property IHttpRequest^ Request {
    IHttpRequest^ get () sealed;
}
abstract Request : IHttpRequest with get
override Request : IHttpRequest with get

Property Value

Type: IHttpRequest

Implements

IHttpContextRequest
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper.Response Property

AspNetHttpContextWrapperResponse Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpContextWrapper.Response"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpResponse Response { get; }
Public ReadOnly Property Response As IHttpResponse
    Get
public:
virtual property IHttpResponse^ Response {
    IHttpResponse^ get () sealed;
}
abstract Response : IHttpResponse with get
override Response : IHttpResponse with get

Property Value

Type: IHttpResponse

Implements

IHttpContextResponse
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpContextWrapper Methods

The AspNetHttpContextWrapper type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

AspNetHttpContextWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper Class
Http posted file wrapper for Asp.Net
Asp.Net 提交文件的包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetAspNetHttpPostedFileWrapper

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class AspNetHttpPostedFileWrapper : IHttpPostedFile
Friend Class AspNetHttpPostedFileWrapper
    Implements IHttpPostedFile
internal ref class AspNetHttpPostedFileWrapper : IHttpPostedFile
type AspNetHttpPostedFileWrapper =
    class
        interface IHttpPostedFile
    end

The AspNetHttpPostedFileWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | AspNetHttpPostedFileWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ContentType |
Public property | FileName |
Public property | Length |
Protected property | OriginalFile | Original posted file 原始的提交文件
Top
Methods
 | Name | Description
Public method | OpenReadStream |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AspNetHttpPostedFileWrapper(
    HttpPostedFile originalFile
)
Public Sub New (
    originalFile As HttpPostedFile
)
public:
AspNetHttpPostedFileWrapper(
    HttpPostedFile^ originalFile
)
new :
        originalFile : HttpPostedFile -> AspNetHttpPostedFileWrapper

Parameters

originalFile
Type: System.WebHttpPostedFile
Original posted file
See Also

Reference

AspNetHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper Properties

The AspNetHttpPostedFileWrapper type exposes the following members.

Properties
 | Name | Description
Public property | ContentType |
Public property | FileName |
Public property | Length |
Protected property | OriginalFile | Original posted file 原始的提交文件
Top
See Also

Reference

AspNetHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper.ContentType Property

AspNetHttpPostedFileWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpPostedFileWrapper.ContentType"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; }
Public ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get () sealed;
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpPostedFileContentType
See Also

Reference

AspNetHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper.FileName Property

AspNetHttpPostedFileWrapperFileName Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpPostedFileWrapper.FileName"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string FileName { get; }
Public ReadOnly Property FileName As String
    Get
public:
virtual property String^ FileName {
    String^ get () sealed;
}
abstract FileName : string with get
override FileName : string with get

Property Value

Type: String

Implements

IHttpPostedFileFileName
See Also

Reference

AspNetHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper.Length Property

AspNetHttpPostedFileWrapperLength Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpPostedFileWrapper.Length"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Length { get; }
Public ReadOnly Property Length As Long
    Get
public:
virtual property long long Length {
    long long get () sealed;
}
abstract Length : int64 with get
override Length : int64 with get

Property Value

Type: Int64

Implements

IHttpPostedFileLength
See Also

Reference

AspNetHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper.OriginalFile Property

AspNetHttpPostedFileWrapperOriginalFile Property

Original posted file
原始的提交文件

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpPostedFile OriginalFile { get; set; }
Protected Property OriginalFile As HttpPostedFile
    Get
    Set
protected:
property HttpPostedFile^ OriginalFile {
    HttpPostedFile^ get ();
    void set (HttpPostedFile^ value);
}
member OriginalFile : HttpPostedFile with get, set

Property Value

Type: HttpPostedFile
See Also

Reference

AspNetHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper Methods

The AspNetHttpPostedFileWrapper type exposes the following members.

Methods
 | Name | Description
Public method | OpenReadStream |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AspNetHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpPostedFileWrapper.OpenReadStream Method

AspNetHttpPostedFileWrapperOpenReadStream Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpPostedFileWrapper.OpenReadStream"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream OpenReadStream()
Public Function OpenReadStream As Stream
public:
virtual Stream^ OpenReadStream() sealed
abstract OpenReadStream : unit -> Stream
override OpenReadStream : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpPostedFileWrapper.OpenReadStream"]

Implements

IHttpPostedFileOpenReadStream
See Also

Reference

AspNetHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper Class
Http request wrapper for Asp.net
Asp.Net Http请求的包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetAspNetHttpRequestWrapper

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class AspNetHttpRequestWrapper : IHttpRequest
Friend Class AspNetHttpRequestWrapper
    Implements IHttpRequest
internal ref class AspNetHttpRequestWrapper : IHttpRequest
type AspNetHttpRequestWrapper =
    class
        interface IHttpRequest
    end

The AspNetHttpRequestWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | AspNetHttpRequestWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Body |
Public property | ContentLength |
Public property | ContentType |
Public property | Host |
Public property | HttpContext |
Public property | IsHttps |
Public property | Method |
Protected property | OriginalRequest | Original http request 原始的Http请求
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | Path |
Public property | Protocol |
Public property | QueryString |
Public property | RemoteIpAddress |
Public property | RemotePort |
Public property | Scheme |
Top
Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AspNetHttpRequestWrapper(
    AspNetHttpContextWrapper parentContext,
    HttpRequest originalRequest
)
Public Sub New (
    parentContext As AspNetHttpContextWrapper,
    originalRequest As HttpRequest
)
public:
AspNetHttpRequestWrapper(
    AspNetHttpContextWrapper^ parentContext,
    HttpRequest^ originalRequest
)
new :
        parentContext : AspNetHttpContextWrapper *
        originalRequest : HttpRequest -> AspNetHttpRequestWrapper

Parameters

parentContext
Type: ZKWeb.Hosting.AspNetAspNetHttpContextWrapper
Parent http context
originalRequest
Type: System.WebHttpRequest
Original http request
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper Properties

The AspNetHttpRequestWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Body |
Public property | ContentLength |
Public property | ContentType |
Public property | Host |
Public property | HttpContext |
Public property | IsHttps |
Public property | Method |
Protected property | OriginalRequest | Original http request 原始的Http请求
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | Path |
Public property | Protocol |
Public property | QueryString |
Public property | RemoteIpAddress |
Public property | RemotePort |
Public property | Scheme |
Top
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.Body Property

AspNetHttpRequestWrapperBody Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.Body"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream Body { get; }
Public ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get () sealed;
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpRequestBody
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.ContentLength Property

AspNetHttpRequestWrapperContentLength Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.ContentLength"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> ContentLength { get; }
Public ReadOnly Property ContentLength As Nullable(Of Long)
    Get
public:
virtual property Nullable<long long> ContentLength {
    Nullable<long long> get () sealed;
}
abstract ContentLength : Nullable<int64> with get
override ContentLength : Nullable<int64> with get

Property Value

Type: Nullable Int64

Implements

IHttpRequestContentLength
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.ContentType Property

AspNetHttpRequestWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.ContentType"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; }
Public ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get () sealed;
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpRequestContentType
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.Host Property

AspNetHttpRequestWrapperHost Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.Host"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Host { get; }
Public ReadOnly Property Host As String
    Get
public:
virtual property String^ Host {
    String^ get () sealed;
}
abstract Host : string with get
override Host : string with get

Property Value

Type: String

Implements

IHttpRequestHost
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.HttpContext Property

AspNetHttpRequestWrapperHttpContext Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.HttpContext"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext HttpContext { get; }
Public ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get () sealed;
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpRequestHttpContext
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.IsHttps Property

AspNetHttpRequestWrapperIsHttps Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.IsHttps"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool IsHttps { get; }
Public ReadOnly Property IsHttps As Boolean
    Get
public:
virtual property bool IsHttps {
    bool get () sealed;
}
abstract IsHttps : bool with get
override IsHttps : bool with get

Property Value

Type: Boolean

Implements

IHttpRequestIsHttps
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.Method Property

AspNetHttpRequestWrapperMethod Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.Method"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Method { get; }
Public ReadOnly Property Method As String
    Get
public:
virtual property String^ Method {
    String^ get () sealed;
}
abstract Method : string with get
override Method : string with get

Property Value

Type: String

Implements

IHttpRequestMethod
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.OriginalRequest Property

AspNetHttpRequestWrapperOriginalRequest Property

Original http request
原始的Http请求

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpRequest OriginalRequest { get; set; }
Protected Property OriginalRequest As HttpRequest
    Get
    Set
protected:
property HttpRequest^ OriginalRequest {
    HttpRequest^ get ();
    void set (HttpRequest^ value);
}
member OriginalRequest : HttpRequest with get, set

Property Value

Type: HttpRequest
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.ParentContext Property

AspNetHttpRequestWrapperParentContext Property

Parent http context
所属的Http上下文

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected AspNetHttpContextWrapper ParentContext { get; set; }
Protected Property ParentContext As AspNetHttpContextWrapper
    Get
    Set
protected:
property AspNetHttpContextWrapper^ ParentContext {
    AspNetHttpContextWrapper^ get ();
    void set (AspNetHttpContextWrapper^ value);
}
member ParentContext : AspNetHttpContextWrapper with get, set

Property Value

Type: AspNetHttpContextWrapper
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.Path Property

AspNetHttpRequestWrapperPath Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.Path"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Path { get; }
Public ReadOnly Property Path As String
    Get
public:
virtual property String^ Path {
    String^ get () sealed;
}
abstract Path : string with get
override Path : string with get

Property Value

Type: String

Implements

IHttpRequestPath
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.Protocol Property

AspNetHttpRequestWrapperProtocol Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.Protocol"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Protocol { get; }
Public ReadOnly Property Protocol As String
    Get
public:
virtual property String^ Protocol {
    String^ get () sealed;
}
abstract Protocol : string with get
override Protocol : string with get

Property Value

Type: String

Implements

IHttpRequestProtocol
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.QueryString Property

AspNetHttpRequestWrapperQueryString Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.QueryString"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string QueryString { get; }
Public ReadOnly Property QueryString As String
    Get
public:
virtual property String^ QueryString {
    String^ get () sealed;
}
abstract QueryString : string with get
override QueryString : string with get

Property Value

Type: String

Implements

IHttpRequestQueryString
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.RemoteIpAddress Property

AspNetHttpRequestWrapperRemoteIpAddress Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.RemoteIpAddress"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IPAddress RemoteIpAddress { get; }
Public ReadOnly Property RemoteIpAddress As IPAddress
    Get
public:
virtual property IPAddress^ RemoteIpAddress {
    IPAddress^ get () sealed;
}
abstract RemoteIpAddress : IPAddress with get
override RemoteIpAddress : IPAddress with get

Property Value

Type: IPAddress

Implements

IHttpRequestRemoteIpAddress
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.RemotePort Property

AspNetHttpRequestWrapperRemotePort Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.RemotePort"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int RemotePort { get; }
Public ReadOnly Property RemotePort As Integer
    Get
public:
virtual property int RemotePort {
    int get () sealed;
}
abstract RemotePort : int with get
override RemotePort : int with get

Property Value

Type: Int32

Implements

IHttpRequestRemotePort
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.Scheme Property

AspNetHttpRequestWrapperScheme Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.Scheme"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Scheme { get; }
Public ReadOnly Property Scheme As String
    Get
public:
virtual property String^ Scheme {
    String^ get () sealed;
}
abstract Scheme : string with get
override Scheme : string with get

Property Value

Type: String

Implements

IHttpRequestScheme
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper Methods

The AspNetHttpRequestWrapper type exposes the following members.

Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetCookie Method

AspNetHttpRequestWrapperGetCookie Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetCookie(System.String)"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string GetCookie(
    string key
)
Public Function GetCookie (
    key As String
) As String
public:
virtual String^ GetCookie(
    String^ key
) sealed
abstract GetCookie :
        key : string -> string
override GetCookie :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetCookie(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetCookie(System.String)"]

Implements

IHttpRequestGetCookie(String)
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetCookies Method

AspNetHttpRequestWrapperGetCookies Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetCookies"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, string>> GetCookies()
Public Function GetCookies As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetCookies() sealed
abstract GetCookies : unit -> IEnumerable<Pair<string, string>>
override GetCookies : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetCookies"]

Implements

IHttpRequestGetCookies
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetFormValue Method

AspNetHttpRequestWrapperGetFormValue Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetFormValue(System.String)"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> GetFormValue(
    string key
)
Public Function GetFormValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetFormValue(
    String^ key
) sealed
abstract GetFormValue :
        key : string -> IList<string>
override GetFormValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetFormValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetFormValue(System.String)"]

Implements

IHttpRequestGetFormValue(String)
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetFormValues Method

AspNetHttpRequestWrapperGetFormValues Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetFormValues"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IList<string>>> GetFormValues()
Public Function GetFormValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetFormValues() sealed
abstract GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetFormValues"]

Implements

IHttpRequestGetFormValues
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetHeader Method

AspNetHttpRequestWrapperGetHeader Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetHeader(System.String)"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string GetHeader(
    string key
)
Public Function GetHeader (
    key As String
) As String
public:
virtual String^ GetHeader(
    String^ key
) sealed
abstract GetHeader :
        key : string -> string
override GetHeader :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetHeader(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetHeader(System.String)"]

Implements

IHttpRequestGetHeader(String)
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetHeaders Method

AspNetHttpRequestWrapperGetHeaders Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetHeaders"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, string>> GetHeaders()
Public Function GetHeaders As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetHeaders() sealed
abstract GetHeaders : unit -> IEnumerable<Pair<string, string>>
override GetHeaders : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetHeaders"]

Implements

IHttpRequestGetHeaders
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetPostedFile Method

AspNetHttpRequestWrapperGetPostedFile Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetPostedFile(System.String)"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile GetPostedFile(
    string key
)
Public Function GetPostedFile (
    key As String
) As IHttpPostedFile
public:
virtual IHttpPostedFile^ GetPostedFile(
    String^ key
) sealed
abstract GetPostedFile :
        key : string -> IHttpPostedFile
override GetPostedFile :
        key : string -> IHttpPostedFile

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetPostedFile(System.String)"]

Return Value

Type: IHttpPostedFile

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetPostedFile(System.String)"]

Implements

IHttpRequestGetPostedFile(String)
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetPostedFiles Method

AspNetHttpRequestWrapperGetPostedFiles Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetPostedFiles"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IHttpPostedFile>> GetPostedFiles()
Public Function GetPostedFiles As IEnumerable(Of Pair(Of String, IHttpPostedFile))
public:
virtual IEnumerable<Pair<String^, IHttpPostedFile^>>^ GetPostedFiles() sealed
abstract GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>
override GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>

Return Value

Type: IEnumerable Pair String, IHttpPostedFile

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetPostedFiles"]

Implements

IHttpRequestGetPostedFiles
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetQueryValue Method

AspNetHttpRequestWrapperGetQueryValue Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetQueryValue(System.String)"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> GetQueryValue(
    string key
)
Public Function GetQueryValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetQueryValue(
    String^ key
) sealed
abstract GetQueryValue :
        key : string -> IList<string>
override GetQueryValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetQueryValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetQueryValue(System.String)"]

Implements

IHttpRequestGetQueryValue(String)
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpRequestWrapper.GetQueryValues Method

AspNetHttpRequestWrapperGetQueryValues Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetQueryValues"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IList<string>>> GetQueryValues()
Public Function GetQueryValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetQueryValues() sealed
abstract GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpRequestWrapper.GetQueryValues"]

Implements

IHttpRequestGetQueryValues
See Also

Reference

AspNetHttpRequestWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper Class
Http response wrapper for Asp.Net
Asp.Net Http回应的包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetAspNetHttpResponseWrapper

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class AspNetHttpResponseWrapper : IHttpResponse
Friend Class AspNetHttpResponseWrapper
    Implements IHttpResponse
internal ref class AspNetHttpResponseWrapper : IHttpResponse
type AspNetHttpResponseWrapper =
    class
        interface IHttpResponse
    end

The AspNetHttpResponseWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | AspNetHttpResponseWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Body |
Public property | ContentType |
Public property | HttpContext |
Protected property | OriginalResponse | Original http response 原始的Http回应
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | StatusCode |
Top
Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AspNetHttpResponseWrapper(
    AspNetHttpContextWrapper parentContext,
    HttpResponse originalResponse
)
Public Sub New (
    parentContext As AspNetHttpContextWrapper,
    originalResponse As HttpResponse
)
public:
AspNetHttpResponseWrapper(
    AspNetHttpContextWrapper^ parentContext,
    HttpResponse^ originalResponse
)
new :
        parentContext : AspNetHttpContextWrapper *
        originalResponse : HttpResponse -> AspNetHttpResponseWrapper

Parameters

parentContext
Type: ZKWeb.Hosting.AspNetAspNetHttpContextWrapper
Parent http context
originalResponse
Type: System.WebHttpResponse
Original http response
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper Properties

The AspNetHttpResponseWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Body |
Public property | ContentType |
Public property | HttpContext |
Protected property | OriginalResponse | Original http response 原始的Http回应
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | StatusCode |
Top
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.Body Property

AspNetHttpResponseWrapperBody Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.Body"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream Body { get; }
Public ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get () sealed;
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpResponseBody
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.ContentType Property

AspNetHttpResponseWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.ContentType"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; set; }
Public Property ContentType As String
    Get
    Set
public:
virtual property String^ ContentType {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract ContentType : string with get, set
override ContentType : string with get, set

Property Value

Type: String

Implements

IHttpResponseContentType
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.HttpContext Property

AspNetHttpResponseWrapperHttpContext Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.HttpContext"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext HttpContext { get; }
Public ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get () sealed;
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpResponseHttpContext
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.OriginalResponse Property

AspNetHttpResponseWrapperOriginalResponse Property

Original http response
原始的Http回应

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpResponse OriginalResponse { get; set; }
Protected Property OriginalResponse As HttpResponse
    Get
    Set
protected:
property HttpResponse^ OriginalResponse {
    HttpResponse^ get ();
    void set (HttpResponse^ value);
}
member OriginalResponse : HttpResponse with get, set

Property Value

Type: HttpResponse
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.ParentContext Property

AspNetHttpResponseWrapperParentContext Property

Parent http context
所属的Http上下文

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected AspNetHttpContextWrapper ParentContext { get; set; }
Protected Property ParentContext As AspNetHttpContextWrapper
    Get
    Set
protected:
property AspNetHttpContextWrapper^ ParentContext {
    AspNetHttpContextWrapper^ get ();
    void set (AspNetHttpContextWrapper^ value);
}
member ParentContext : AspNetHttpContextWrapper with get, set

Property Value

Type: AspNetHttpContextWrapper
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.StatusCode Property

AspNetHttpResponseWrapperStatusCode Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.StatusCode"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int StatusCode { get; set; }
Public Property StatusCode As Integer
    Get
    Set
public:
virtual property int StatusCode {
    int get () sealed;
    void set (int value) sealed;
}
abstract StatusCode : int with get, set
override StatusCode : int with get, set

Property Value

Type: Int32

Implements

IHttpResponseStatusCode
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper Methods

The AspNetHttpResponseWrapper type exposes the following members.

Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.AddHeader Method

AspNetHttpResponseWrapperAddHeader Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.AddHeader(System.String,System.String)"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void AddHeader(
    string key,
    string value
)
Public Sub AddHeader (
    key As String,
    value As String
)
public:
virtual void AddHeader(
    String^ key,
    String^ value
) sealed
abstract AddHeader :
        key : string *
        value : string -> unit
override AddHeader :
        key : string *
        value : string -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.AddHeader(System.String,System.String)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.AddHeader(System.String,System.String)"]

Implements

IHttpResponseAddHeader(String, String)
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.End Method

AspNetHttpResponseWrapperEnd Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.End"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void End()
Public Sub End
public:
virtual void End() sealed
abstract End : unit -> unit
override End : unit -> unit

Implements

IHttpResponseEnd
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.Redirect Method

AspNetHttpResponseWrapperRedirect Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Redirect(
    string url,
    bool permanent
)
Public Sub Redirect (
    url As String,
    permanent As Boolean
)
public:
virtual void Redirect(
    String^ url,
    bool permanent
) sealed
abstract Redirect :
        url : string *
        permanent : bool -> unit
override Redirect :
        url : string *
        permanent : bool -> unit

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

permanent
Type: SystemBoolean

[Missing <param name="permanent"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

Implements

IHttpResponseRedirect(String, Boolean)
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetHttpResponseWrapper.SetCookie Method

AspNetHttpResponseWrapperSetCookie Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetCookie(
    string key,
    string value,
    HttpCookieOptions options
)
Public Sub SetCookie (
    key As String,
    value As String,
    options As HttpCookieOptions
)
public:
virtual void SetCookie(
    String^ key,
    String^ value,
    HttpCookieOptions^ options
) sealed
abstract SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit
override SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

options
Type: ZKWebStandard.WebHttpCookieOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.Hosting.AspNet.AspNetHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Implements

IHttpResponseSetCookie(String, String, HttpCookieOptions)
See Also

Reference

AspNetHttpResponseWrapper Class
ZKWeb.Hosting.AspNet Namespace


AspNetWebsiteStopper Class
Asp.Net website stopper
Asp.Net网站停止器
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetAspNetWebsiteStopper

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class AspNetWebsiteStopper : IWebsiteStopper
Friend Class AspNetWebsiteStopper
    Implements IWebsiteStopper
internal ref class AspNetWebsiteStopper : IWebsiteStopper
type AspNetWebsiteStopper =
    class
        interface IWebsiteStopper
    end

The AspNetWebsiteStopper type exposes the following members.

Constructors
 | Name | Description
Public method | AspNetWebsiteStopper | Initializes a new instance of the AspNetWebsiteStopper class
Top
Methods
 | Name | Description
Public method | StopWebsite | Unload app doamin 卸载AppDomain
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNet Namespace


AspNetWebsiteStopper Constructor

Initializes a new instance of the AspNetWebsiteStopper class

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AspNetWebsiteStopper()
Public Sub New
public:
AspNetWebsiteStopper()
new : unit -> AspNetWebsiteStopper
See Also

Reference

AspNetWebsiteStopper Class
ZKWeb.Hosting.AspNet Namespace


AspNetWebsiteStopper Methods

The AspNetWebsiteStopper type exposes the following members.

Methods
 | Name | Description
Public method | StopWebsite | Unload app doamin 卸载AppDomain
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AspNetWebsiteStopper Class
ZKWeb.Hosting.AspNet Namespace


AspNetWebsiteStopper.StopWebsite Method

AspNetWebsiteStopperStopWebsite Method

Unload app doamin
卸载AppDomain

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void StopWebsite()
Public Sub StopWebsite
public:
virtual void StopWebsite() sealed
abstract StopWebsite : unit -> unit
override StopWebsite : unit -> unit

Implements

IWebsiteStopperStopWebsite
See Also

Reference

AspNetWebsiteStopper Class
ZKWeb.Hosting.AspNet Namespace


GlobalBase Class
Base application class for Asp.Net
Asp.Net的基础应用类
Inheritance Hierarchy
SystemObject
System.WebHttpApplication
ZKWeb.Hosting.AspNetGlobalBase DefaultApplication
ZKWeb.Hosting.AspNetGlobalBase

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class GlobalBase : GlobalBase<DefaultApplication>
Public MustInherit Class GlobalBase
    Inherits GlobalBase(Of DefaultApplication)
public ref class GlobalBase abstract : public GlobalBase<DefaultApplication^>
[<AbstractClassAttribute>]
type GlobalBase =
    class
        inherit GlobalBase<DefaultApplication>
    end

The GlobalBase type exposes the following members.

Constructors
 | Name | Description
Protected method | GlobalBase | Initializes a new instance of the GlobalBase class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNet Namespace


GlobalBase Constructor

Initializes a new instance of the GlobalBase class

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected GlobalBase()
Protected Sub New
protected:
GlobalBase()
new : unit -> GlobalBase
See Also

Reference

GlobalBase Class
ZKWeb.Hosting.AspNet Namespace


GlobalBase Methods

The GlobalBase type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

GlobalBase Class
ZKWeb.Hosting.AspNet Namespace


GlobalBase(TApplication) Class

GlobalBaseTApplication Class
Base application class for Asp.Net
Asp.Net的基础应用类
Inheritance Hierarchy
SystemObject
System.WebHttpApplication
ZKWeb.Hosting.AspNetGlobalBaseTApplication
ZKWeb.Hosting.AspNetGlobalBase

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class GlobalBase<TApplication> : HttpApplication
where TApplication : new(), IApplication

Public MustInherit Class GlobalBase(Of TApplication As {New, IApplication})
    Inherits HttpApplication
generic<typename TApplication>
where TApplication : gcnew(), IApplication
public ref class GlobalBase abstract : public HttpApplication
[<AbstractClassAttribute>]
type GlobalBase<'TApplication when 'TApplication : new() and IApplication> =
    class
        inherit HttpApplication
    end

Type Parameters

TApplication
Application type

The GlobalBaseTApplication type exposes the following members.

Constructors
 | Name | Description
Protected method | GlobalBaseTApplication | Initializes a new instance of the GlobalBaseTApplication class
Top
Methods
 | Name | Description
Protected method | Application_BeginRequest | On http request 收到Http请求时的处理
Protected method | Application_Start | On website start 网站启动时的处理
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNet Namespace


GlobalBase(TApplication) Constructor

GlobalBaseTApplication Constructor

Initializes a new instance of the GlobalBaseTApplication class

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected GlobalBase()
Protected Sub New
protected:
GlobalBase()
new : unit -> GlobalBase
See Also

Reference

GlobalBaseTApplication Class
ZKWeb.Hosting.AspNet Namespace


GlobalBase(TApplication) Methods

GlobalBaseTApplication Methods

The GlobalBaseTApplication generic type exposes the following members.

Methods
 | Name | Description
Protected method | Application_BeginRequest | On http request 收到Http请求时的处理
Protected method | Application_Start | On website start 网站启动时的处理
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

GlobalBaseTApplication Class
ZKWeb.Hosting.AspNet Namespace


GlobalBase(TApplication).Application_BeginRequest Method

GlobalBaseTApplicationApplication_BeginRequest Method

On http request
收到Http请求时的处理

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Application_BeginRequest(
    Object sender,
    EventArgs e
)
Protected Overridable Sub Application_BeginRequest (
    sender As Object,
    e As EventArgs
)
protected:
virtual void Application_BeginRequest(
    Object^ sender,
    EventArgs^ e
)
abstract Application_BeginRequest :
        sender : Object *
        e : EventArgs -> unit
override Application_BeginRequest :
        sender : Object *
        e : EventArgs -> unit

Parameters

sender
Type: SystemObject

[Missing <param name="sender"/> documentation for "M:ZKWeb.Hosting.AspNet.GlobalBase`1.Application_BeginRequest(System.Object,System.EventArgs)"]

e
Type: SystemEventArgs

[Missing <param name="e"/> documentation for "M:ZKWeb.Hosting.AspNet.GlobalBase`1.Application_BeginRequest(System.Object,System.EventArgs)"]

See Also

Reference

GlobalBaseTApplication Class
ZKWeb.Hosting.AspNet Namespace


GlobalBase(TApplication).Application_Start Method

GlobalBaseTApplicationApplication_Start Method

On website start
网站启动时的处理

Namespace: ZKWeb.Hosting.AspNet
Assembly: ZKWeb.Hosting.AspNet (in ZKWeb.Hosting.AspNet.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Application_Start(
    Object sender,
    EventArgs e
)
Protected Overridable Sub Application_Start (
    sender As Object,
    e As EventArgs
)
protected:
virtual void Application_Start(
    Object^ sender,
    EventArgs^ e
)
abstract Application_Start :
        sender : Object *
        e : EventArgs -> unit
override Application_Start :
        sender : Object *
        e : EventArgs -> unit

Parameters

sender
Type: SystemObject

[Missing <param name="sender"/> documentation for "M:ZKWeb.Hosting.AspNet.GlobalBase`1.Application_Start(System.Object,System.EventArgs)"]

e
Type: SystemEventArgs

[Missing <param name="e"/> documentation for "M:ZKWeb.Hosting.AspNet.GlobalBase`1.Application_Start(System.Object,System.EventArgs)"]

See Also

Reference

GlobalBaseTApplication Class
ZKWeb.Hosting.AspNet Namespace


ZKWeb.Hosting.AspNetCore Namespace

[Missing <summary> documentation for "N:ZKWeb.Hosting.AspNetCore"]

Classes
 | Class | Description
Protected class | CoreHttpContextWrapper | Http context wrapper for Asp.Net Core Asp.Net Core的Http上下文包装类
Protected class | CoreHttpPostedFileWrapper | Posted file wrapper for Asp.Net Core Asp.net Core的提交文件包装类
Protected class | CoreHttpRequestWrapper | Http request wrapper for Asp.net Core Asp.net Core的Http请求包装类
Protected class | CoreHttpResponseEndException | Reponse end exception for Asp.Net Core Asp.Net Core使用的代表请求结束的例外
Protected class | CoreHttpResponseWrapper | Http response wrapper for Asp.Net Core Asp.Net Core的Http回应包装类
Protected class | CoreWebsiteStopper | Asp.Net Core website stopper Asp.Net Core的网站停止器
Public class | StartupBase | Base startup class for Asp.Net Core Asp.Net Core的启动类的基类
Public class | StartupBaseTApplication | Base startup class for Asp.Net Core Asp.Net Core的启动类的基类


CoreHttpContextWrapper Class
Http context wrapper for Asp.Net Core
Asp.Net Core的Http上下文包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetCoreCoreHttpContextWrapper

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class CoreHttpContextWrapper : IHttpContext
Friend Class CoreHttpContextWrapper
    Implements IHttpContext
internal ref class CoreHttpContextWrapper : IHttpContext
type CoreHttpContextWrapper =
    class
        interface IHttpContext
    end

The CoreHttpContextWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | CoreHttpContextWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | ChildRequest | Wrapped http request 包装后的Http请求
Protected property | ChildResponse | Wrapped http response 包装后的Http回应
Public property | Connection |
Protected property | CoreContext | Original http context 原始的Http上下文
Public property | Items |
Public property | Request |
Public property | Response |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CoreHttpContextWrapper(
    HttpContext coreContext
)
Public Sub New (
    coreContext As HttpContext
)
public:
CoreHttpContextWrapper(
    HttpContext^ coreContext
)
new :
        coreContext : HttpContext -> CoreHttpContextWrapper

Parameters

coreContext
Type: HttpContext
Asp.Net Core http context
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper Properties

The CoreHttpContextWrapper type exposes the following members.

Properties
 | Name | Description
Protected property | ChildRequest | Wrapped http request 包装后的Http请求
Protected property | ChildResponse | Wrapped http response 包装后的Http回应
Public property | Connection |
Protected property | CoreContext | Original http context 原始的Http上下文
Public property | Items |
Public property | Request |
Public property | Response |
Top
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper.ChildRequest Property

CoreHttpContextWrapperChildRequest Property

Wrapped http request
包装后的Http请求

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected CoreHttpRequestWrapper ChildRequest { get; set; }
Protected Property ChildRequest As CoreHttpRequestWrapper
    Get
    Set
protected:
property CoreHttpRequestWrapper^ ChildRequest {
    CoreHttpRequestWrapper^ get ();
    void set (CoreHttpRequestWrapper^ value);
}
member ChildRequest : CoreHttpRequestWrapper with get, set

Property Value

Type: CoreHttpRequestWrapper
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper.ChildResponse Property

CoreHttpContextWrapperChildResponse Property

Wrapped http response
包装后的Http回应

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected CoreHttpResponseWrapper ChildResponse { get; set; }
Protected Property ChildResponse As CoreHttpResponseWrapper
    Get
    Set
protected:
property CoreHttpResponseWrapper^ ChildResponse {
    CoreHttpResponseWrapper^ get ();
    void set (CoreHttpResponseWrapper^ value);
}
member ChildResponse : CoreHttpResponseWrapper with get, set

Property Value

Type: CoreHttpResponseWrapper
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper.Connection Property

CoreHttpContextWrapperConnection Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpContextWrapper.Connection"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ConnectionInfo Connection { get; }
Public ReadOnly Property Connection As ConnectionInfo
    Get
public:
property ConnectionInfo^ Connection {
    ConnectionInfo^ get ();
}
member Connection : ConnectionInfo with get

Property Value

Type: ConnectionInfo
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper.CoreContext Property

CoreHttpContextWrapperCoreContext Property

Original http context
原始的Http上下文

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpContext CoreContext { get; set; }
Protected Property CoreContext As HttpContext
    Get
    Set
protected:
property HttpContext^ CoreContext {
    HttpContext^ get ();
    void set (HttpContext^ value);
}
member CoreContext : HttpContext with get, set

Property Value

Type: HttpContext
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper.Items Property

CoreHttpContextWrapperItems Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpContextWrapper.Items"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Object, Object> Items { get; }
Public ReadOnly Property Items As IDictionary(Of Object, Object)
    Get
public:
virtual property IDictionary<Object^, Object^>^ Items {
    IDictionary<Object^, Object^>^ get () sealed;
}
abstract Items : IDictionary<Object, Object> with get
override Items : IDictionary<Object, Object> with get

Property Value

Type: IDictionary Object, Object

Implements

IHttpContextItems
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper.Request Property

CoreHttpContextWrapperRequest Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpContextWrapper.Request"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpRequest Request { get; }
Public ReadOnly Property Request As IHttpRequest
    Get
public:
virtual property IHttpRequest^ Request {
    IHttpRequest^ get () sealed;
}
abstract Request : IHttpRequest with get
override Request : IHttpRequest with get

Property Value

Type: IHttpRequest

Implements

IHttpContextRequest
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper.Response Property

CoreHttpContextWrapperResponse Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpContextWrapper.Response"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpResponse Response { get; }
Public ReadOnly Property Response As IHttpResponse
    Get
public:
virtual property IHttpResponse^ Response {
    IHttpResponse^ get () sealed;
}
abstract Response : IHttpResponse with get
override Response : IHttpResponse with get

Property Value

Type: IHttpResponse

Implements

IHttpContextResponse
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpContextWrapper Methods

The CoreHttpContextWrapper type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

CoreHttpContextWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper Class
Posted file wrapper for Asp.Net Core
Asp.net Core的提交文件包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetCoreCoreHttpPostedFileWrapper

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class CoreHttpPostedFileWrapper : IHttpPostedFile
Friend Class CoreHttpPostedFileWrapper
    Implements IHttpPostedFile
internal ref class CoreHttpPostedFileWrapper : IHttpPostedFile
type CoreHttpPostedFileWrapper =
    class
        interface IHttpPostedFile
    end

The CoreHttpPostedFileWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | CoreHttpPostedFileWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ContentType |
Protected property | CoreFile | Form file object 表单文件对象
Public property | FileName |
Public property | Length |
Top
Methods
 | Name | Description
Public method | OpenReadStream |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CoreHttpPostedFileWrapper(
    IFormFile coreFile
)
Public Sub New (
    coreFile As IFormFile
)
public:
CoreHttpPostedFileWrapper(
    IFormFile^ coreFile
)
new :
        coreFile : IFormFile -> CoreHttpPostedFileWrapper

Parameters

coreFile
Type: IFormFile
Form file object
See Also

Reference

CoreHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper Properties

The CoreHttpPostedFileWrapper type exposes the following members.

Properties
 | Name | Description
Public property | ContentType |
Protected property | CoreFile | Form file object 表单文件对象
Public property | FileName |
Public property | Length |
Top
See Also

Reference

CoreHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper.ContentType Property

CoreHttpPostedFileWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpPostedFileWrapper.ContentType"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; }
Public ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get () sealed;
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpPostedFileContentType
See Also

Reference

CoreHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper.CoreFile Property

CoreHttpPostedFileWrapperCoreFile Property

Form file object
表单文件对象

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IFormFile CoreFile { get; set; }
Protected Property CoreFile As IFormFile
    Get
    Set
protected:
property IFormFile^ CoreFile {
    IFormFile^ get ();
    void set (IFormFile^ value);
}
member CoreFile : IFormFile with get, set

Property Value

Type: IFormFile
See Also

Reference

CoreHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper.FileName Property

CoreHttpPostedFileWrapperFileName Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpPostedFileWrapper.FileName"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string FileName { get; }
Public ReadOnly Property FileName As String
    Get
public:
virtual property String^ FileName {
    String^ get () sealed;
}
abstract FileName : string with get
override FileName : string with get

Property Value

Type: String

Implements

IHttpPostedFileFileName
See Also

Reference

CoreHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper.Length Property

CoreHttpPostedFileWrapperLength Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpPostedFileWrapper.Length"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Length { get; }
Public ReadOnly Property Length As Long
    Get
public:
virtual property long long Length {
    long long get () sealed;
}
abstract Length : int64 with get
override Length : int64 with get

Property Value

Type: Int64

Implements

IHttpPostedFileLength
See Also

Reference

CoreHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper Methods

The CoreHttpPostedFileWrapper type exposes the following members.

Methods
 | Name | Description
Public method | OpenReadStream |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CoreHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpPostedFileWrapper.OpenReadStream Method

CoreHttpPostedFileWrapperOpenReadStream Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpPostedFileWrapper.OpenReadStream"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream OpenReadStream()
Public Function OpenReadStream As Stream
public:
virtual Stream^ OpenReadStream() sealed
abstract OpenReadStream : unit -> Stream
override OpenReadStream : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpPostedFileWrapper.OpenReadStream"]

Implements

IHttpPostedFileOpenReadStream
See Also

Reference

CoreHttpPostedFileWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper Class
Http request wrapper for Asp.net Core
Asp.net Core的Http请求包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetCoreCoreHttpRequestWrapper

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class CoreHttpRequestWrapper : IHttpRequest
Friend Class CoreHttpRequestWrapper
    Implements IHttpRequest
internal ref class CoreHttpRequestWrapper : IHttpRequest
type CoreHttpRequestWrapper =
    class
        interface IHttpRequest
    end

The CoreHttpRequestWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | CoreHttpRequestWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Body |
Protected property | ContainsFormValues | Detect request contains form values It's necessary for Asp.Net Core And because ContentType ain't arrived when construct, it should be a lazy value 检测请求是否包含表单值 Asp.Net Core需要这项检查 并且因为构建这个实例时ContentType尚未收到, 它应该是一个懒值
Public property | ContentLength |
Public property | ContentType |
Protected property | CoreRequest | Original http request 原始的Http请求
Public property | Host |
Public property | HttpContext |
Public property | IsHttps |
Public property | Method |
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | Path |
Public property | Protocol |
Public property | QueryString |
Public property | RemoteIpAddress |
Public property | RemotePort |
Public property | Scheme |
Top
Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CoreHttpRequestWrapper(
    CoreHttpContextWrapper parentContext,
    HttpRequest coreRequest
)
Public Sub New (
    parentContext As CoreHttpContextWrapper,
    coreRequest As HttpRequest
)
public:
CoreHttpRequestWrapper(
    CoreHttpContextWrapper^ parentContext,
    HttpRequest^ coreRequest
)
new :
        parentContext : CoreHttpContextWrapper *
        coreRequest : HttpRequest -> CoreHttpRequestWrapper

Parameters

parentContext
Type: ZKWeb.Hosting.AspNetCoreCoreHttpContextWrapper
Parent context
coreRequest
Type: HttpRequest
Original http request
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper Properties

The CoreHttpRequestWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Body |
Protected property | ContainsFormValues | Detect request contains form values It's necessary for Asp.Net Core And because ContentType ain't arrived when construct, it should be a lazy value 检测请求是否包含表单值 Asp.Net Core需要这项检查 并且因为构建这个实例时ContentType尚未收到, 它应该是一个懒值
Public property | ContentLength |
Public property | ContentType |
Protected property | CoreRequest | Original http request 原始的Http请求
Public property | Host |
Public property | HttpContext |
Public property | IsHttps |
Public property | Method |
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | Path |
Public property | Protocol |
Public property | QueryString |
Public property | RemoteIpAddress |
Public property | RemotePort |
Public property | Scheme |
Top
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.Body Property

CoreHttpRequestWrapperBody Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.Body"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream Body { get; }
Public ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get () sealed;
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpRequestBody
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.ContainsFormValues Property

CoreHttpRequestWrapperContainsFormValues Property

Detect request contains form values
It's necessary for Asp.Net Core
And because ContentType ain't arrived when construct, it should be a lazy value
检测请求是否包含表单值
Asp.Net Core需要这项检查
并且因为构建这个实例时ContentType尚未收到, 它应该是一个懒值

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Lazy<bool> ContainsFormValues { get; set; }
Protected Property ContainsFormValues As Lazy(Of Boolean)
    Get
    Set
protected:
property Lazy<bool>^ ContainsFormValues {
    Lazy<bool>^ get ();
    void set (Lazy<bool>^ value);
}
member ContainsFormValues : Lazy<bool> with get, set

Property Value

Type: Lazy Boolean
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.ContentLength Property

CoreHttpRequestWrapperContentLength Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.ContentLength"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> ContentLength { get; }
Public ReadOnly Property ContentLength As Nullable(Of Long)
    Get
public:
virtual property Nullable<long long> ContentLength {
    Nullable<long long> get () sealed;
}
abstract ContentLength : Nullable<int64> with get
override ContentLength : Nullable<int64> with get

Property Value

Type: Nullable Int64

Implements

IHttpRequestContentLength
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.ContentType Property

CoreHttpRequestWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.ContentType"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; }
Public ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get () sealed;
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpRequestContentType
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.CoreRequest Property

CoreHttpRequestWrapperCoreRequest Property

Original http request
原始的Http请求

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpRequest CoreRequest { get; set; }
Protected Property CoreRequest As HttpRequest
    Get
    Set
protected:
property HttpRequest^ CoreRequest {
    HttpRequest^ get ();
    void set (HttpRequest^ value);
}
member CoreRequest : HttpRequest with get, set

Property Value

Type: HttpRequest
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.Host Property

CoreHttpRequestWrapperHost Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.Host"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Host { get; }
Public ReadOnly Property Host As String
    Get
public:
virtual property String^ Host {
    String^ get () sealed;
}
abstract Host : string with get
override Host : string with get

Property Value

Type: String

Implements

IHttpRequestHost
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.HttpContext Property

CoreHttpRequestWrapperHttpContext Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.HttpContext"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext HttpContext { get; }
Public ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get () sealed;
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpRequestHttpContext
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.IsHttps Property

CoreHttpRequestWrapperIsHttps Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.IsHttps"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool IsHttps { get; }
Public ReadOnly Property IsHttps As Boolean
    Get
public:
virtual property bool IsHttps {
    bool get () sealed;
}
abstract IsHttps : bool with get
override IsHttps : bool with get

Property Value

Type: Boolean

Implements

IHttpRequestIsHttps
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.Method Property

CoreHttpRequestWrapperMethod Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.Method"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Method { get; }
Public ReadOnly Property Method As String
    Get
public:
virtual property String^ Method {
    String^ get () sealed;
}
abstract Method : string with get
override Method : string with get

Property Value

Type: String

Implements

IHttpRequestMethod
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.ParentContext Property

CoreHttpRequestWrapperParentContext Property

Parent http context
所属的Http上下文

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected CoreHttpContextWrapper ParentContext { get; set; }
Protected Property ParentContext As CoreHttpContextWrapper
    Get
    Set
protected:
property CoreHttpContextWrapper^ ParentContext {
    CoreHttpContextWrapper^ get ();
    void set (CoreHttpContextWrapper^ value);
}
member ParentContext : CoreHttpContextWrapper with get, set

Property Value

Type: CoreHttpContextWrapper
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.Path Property

CoreHttpRequestWrapperPath Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.Path"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Path { get; }
Public ReadOnly Property Path As String
    Get
public:
virtual property String^ Path {
    String^ get () sealed;
}
abstract Path : string with get
override Path : string with get

Property Value

Type: String

Implements

IHttpRequestPath
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.Protocol Property

CoreHttpRequestWrapperProtocol Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.Protocol"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Protocol { get; }
Public ReadOnly Property Protocol As String
    Get
public:
virtual property String^ Protocol {
    String^ get () sealed;
}
abstract Protocol : string with get
override Protocol : string with get

Property Value

Type: String

Implements

IHttpRequestProtocol
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.QueryString Property

CoreHttpRequestWrapperQueryString Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.QueryString"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string QueryString { get; }
Public ReadOnly Property QueryString As String
    Get
public:
virtual property String^ QueryString {
    String^ get () sealed;
}
abstract QueryString : string with get
override QueryString : string with get

Property Value

Type: String

Implements

IHttpRequestQueryString
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.RemoteIpAddress Property

CoreHttpRequestWrapperRemoteIpAddress Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.RemoteIpAddress"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IPAddress RemoteIpAddress { get; }
Public ReadOnly Property RemoteIpAddress As IPAddress
    Get
public:
virtual property IPAddress^ RemoteIpAddress {
    IPAddress^ get () sealed;
}
abstract RemoteIpAddress : IPAddress with get
override RemoteIpAddress : IPAddress with get

Property Value

Type: IPAddress

Implements

IHttpRequestRemoteIpAddress
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.RemotePort Property

CoreHttpRequestWrapperRemotePort Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.RemotePort"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int RemotePort { get; }
Public ReadOnly Property RemotePort As Integer
    Get
public:
virtual property int RemotePort {
    int get () sealed;
}
abstract RemotePort : int with get
override RemotePort : int with get

Property Value

Type: Int32

Implements

IHttpRequestRemotePort
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.Scheme Property

CoreHttpRequestWrapperScheme Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.Scheme"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Scheme { get; }
Public ReadOnly Property Scheme As String
    Get
public:
virtual property String^ Scheme {
    String^ get () sealed;
}
abstract Scheme : string with get
override Scheme : string with get

Property Value

Type: String

Implements

IHttpRequestScheme
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper Methods

The CoreHttpRequestWrapper type exposes the following members.

Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetCookie Method

CoreHttpRequestWrapperGetCookie Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetCookie(System.String)"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string GetCookie(
    string key
)
Public Function GetCookie (
    key As String
) As String
public:
virtual String^ GetCookie(
    String^ key
) sealed
abstract GetCookie :
        key : string -> string
override GetCookie :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetCookie(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetCookie(System.String)"]

Implements

IHttpRequestGetCookie(String)
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetCookies Method

CoreHttpRequestWrapperGetCookies Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetCookies"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, string>> GetCookies()
Public Function GetCookies As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetCookies() sealed
abstract GetCookies : unit -> IEnumerable<Pair<string, string>>
override GetCookies : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetCookies"]

Implements

IHttpRequestGetCookies
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetFormValue Method

CoreHttpRequestWrapperGetFormValue Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetFormValue(System.String)"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> GetFormValue(
    string key
)
Public Function GetFormValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetFormValue(
    String^ key
) sealed
abstract GetFormValue :
        key : string -> IList<string>
override GetFormValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetFormValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetFormValue(System.String)"]

Implements

IHttpRequestGetFormValue(String)
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetFormValues Method

CoreHttpRequestWrapperGetFormValues Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetFormValues"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IList<string>>> GetFormValues()
Public Function GetFormValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetFormValues() sealed
abstract GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetFormValues"]

Implements

IHttpRequestGetFormValues
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetHeader Method

CoreHttpRequestWrapperGetHeader Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetHeader(System.String)"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string GetHeader(
    string key
)
Public Function GetHeader (
    key As String
) As String
public:
virtual String^ GetHeader(
    String^ key
) sealed
abstract GetHeader :
        key : string -> string
override GetHeader :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetHeader(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetHeader(System.String)"]

Implements

IHttpRequestGetHeader(String)
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetHeaders Method

CoreHttpRequestWrapperGetHeaders Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetHeaders"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, string>> GetHeaders()
Public Function GetHeaders As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetHeaders() sealed
abstract GetHeaders : unit -> IEnumerable<Pair<string, string>>
override GetHeaders : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetHeaders"]

Implements

IHttpRequestGetHeaders
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetPostedFile Method

CoreHttpRequestWrapperGetPostedFile Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetPostedFile(System.String)"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile GetPostedFile(
    string key
)
Public Function GetPostedFile (
    key As String
) As IHttpPostedFile
public:
virtual IHttpPostedFile^ GetPostedFile(
    String^ key
) sealed
abstract GetPostedFile :
        key : string -> IHttpPostedFile
override GetPostedFile :
        key : string -> IHttpPostedFile

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetPostedFile(System.String)"]

Return Value

Type: IHttpPostedFile

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetPostedFile(System.String)"]

Implements

IHttpRequestGetPostedFile(String)
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetPostedFiles Method

CoreHttpRequestWrapperGetPostedFiles Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetPostedFiles"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IHttpPostedFile>> GetPostedFiles()
Public Function GetPostedFiles As IEnumerable(Of Pair(Of String, IHttpPostedFile))
public:
virtual IEnumerable<Pair<String^, IHttpPostedFile^>>^ GetPostedFiles() sealed
abstract GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>
override GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>

Return Value

Type: IEnumerable Pair String, IHttpPostedFile

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetPostedFiles"]

Implements

IHttpRequestGetPostedFiles
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetQueryValue Method

CoreHttpRequestWrapperGetQueryValue Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetQueryValue(System.String)"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> GetQueryValue(
    string key
)
Public Function GetQueryValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetQueryValue(
    String^ key
) sealed
abstract GetQueryValue :
        key : string -> IList<string>
override GetQueryValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetQueryValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetQueryValue(System.String)"]

Implements

IHttpRequestGetQueryValue(String)
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpRequestWrapper.GetQueryValues Method

CoreHttpRequestWrapperGetQueryValues Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetQueryValues"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IList<string>>> GetQueryValues()
Public Function GetQueryValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetQueryValues() sealed
abstract GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpRequestWrapper.GetQueryValues"]

Implements

IHttpRequestGetQueryValues
See Also

Reference

CoreHttpRequestWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseEndException Class
Reponse end exception for Asp.Net Core
Asp.Net Core使用的代表请求结束的例外
Inheritance Hierarchy
SystemObject
SystemException
ZKWeb.Hosting.AspNetCoreCoreHttpResponseEndException

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class CoreHttpResponseEndException : Exception
Friend Class CoreHttpResponseEndException
    Inherits Exception
internal ref class CoreHttpResponseEndException : public Exception
type CoreHttpResponseEndException =
    class
        inherit Exception
    end

The CoreHttpResponseEndException type exposes the following members.

Constructors
 | Name | Description
Public method | CoreHttpResponseEndException | Initializes a new instance of the CoreHttpResponseEndException class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseEndException Constructor

Initializes a new instance of the CoreHttpResponseEndException class

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CoreHttpResponseEndException()
Public Sub New
public:
CoreHttpResponseEndException()
new : unit -> CoreHttpResponseEndException
See Also

Reference

CoreHttpResponseEndException Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseEndException Methods

The CoreHttpResponseEndException type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

CoreHttpResponseEndException Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper Class
Http response wrapper for Asp.Net Core
Asp.Net Core的Http回应包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetCoreCoreHttpResponseWrapper

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class CoreHttpResponseWrapper : IHttpResponse
Friend Class CoreHttpResponseWrapper
    Implements IHttpResponse
internal ref class CoreHttpResponseWrapper : IHttpResponse
type CoreHttpResponseWrapper =
    class
        interface IHttpResponse
    end

The CoreHttpResponseWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | CoreHttpResponseWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Body |
Public property | ContentType |
Protected property | CoreResponse | Original http response 原始的Http回应
Public property | HttpContext |
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | StatusCode |
Top
Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CoreHttpResponseWrapper(
    CoreHttpContextWrapper parentContext,
    HttpResponse coreResponse
)
Public Sub New (
    parentContext As CoreHttpContextWrapper,
    coreResponse As HttpResponse
)
public:
CoreHttpResponseWrapper(
    CoreHttpContextWrapper^ parentContext,
    HttpResponse^ coreResponse
)
new :
        parentContext : CoreHttpContextWrapper *
        coreResponse : HttpResponse -> CoreHttpResponseWrapper

Parameters

parentContext
Type: ZKWeb.Hosting.AspNetCoreCoreHttpContextWrapper
Parent http context
coreResponse
Type: HttpResponse
Original http response
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper Properties

The CoreHttpResponseWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Body |
Public property | ContentType |
Protected property | CoreResponse | Original http response 原始的Http回应
Public property | HttpContext |
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | StatusCode |
Top
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.Body Property

CoreHttpResponseWrapperBody Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.Body"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream Body { get; }
Public ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get () sealed;
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpResponseBody
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.ContentType Property

CoreHttpResponseWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.ContentType"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; set; }
Public Property ContentType As String
    Get
    Set
public:
virtual property String^ ContentType {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract ContentType : string with get, set
override ContentType : string with get, set

Property Value

Type: String

Implements

IHttpResponseContentType
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.CoreResponse Property

CoreHttpResponseWrapperCoreResponse Property

Original http response
原始的Http回应

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpResponse CoreResponse { get; set; }
Protected Property CoreResponse As HttpResponse
    Get
    Set
protected:
property HttpResponse^ CoreResponse {
    HttpResponse^ get ();
    void set (HttpResponse^ value);
}
member CoreResponse : HttpResponse with get, set

Property Value

Type: HttpResponse
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.HttpContext Property

CoreHttpResponseWrapperHttpContext Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.HttpContext"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext HttpContext { get; }
Public ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get () sealed;
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpResponseHttpContext
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.ParentContext Property

CoreHttpResponseWrapperParentContext Property

Parent http context
所属的Http上下文

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected CoreHttpContextWrapper ParentContext { get; set; }
Protected Property ParentContext As CoreHttpContextWrapper
    Get
    Set
protected:
property CoreHttpContextWrapper^ ParentContext {
    CoreHttpContextWrapper^ get ();
    void set (CoreHttpContextWrapper^ value);
}
member ParentContext : CoreHttpContextWrapper with get, set

Property Value

Type: CoreHttpContextWrapper
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.StatusCode Property

CoreHttpResponseWrapperStatusCode Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.StatusCode"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int StatusCode { get; set; }
Public Property StatusCode As Integer
    Get
    Set
public:
virtual property int StatusCode {
    int get () sealed;
    void set (int value) sealed;
}
abstract StatusCode : int with get, set
override StatusCode : int with get, set

Property Value

Type: Int32

Implements

IHttpResponseStatusCode
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper Methods

The CoreHttpResponseWrapper type exposes the following members.

Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.AddHeader Method

CoreHttpResponseWrapperAddHeader Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.AddHeader(System.String,System.String)"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void AddHeader(
    string key,
    string value
)
Public Sub AddHeader (
    key As String,
    value As String
)
public:
virtual void AddHeader(
    String^ key,
    String^ value
) sealed
abstract AddHeader :
        key : string *
        value : string -> unit
override AddHeader :
        key : string *
        value : string -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.AddHeader(System.String,System.String)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.AddHeader(System.String,System.String)"]

Implements

IHttpResponseAddHeader(String, String)
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.End Method

CoreHttpResponseWrapperEnd Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.End"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void End()
Public Sub End
public:
virtual void End() sealed
abstract End : unit -> unit
override End : unit -> unit

Implements

IHttpResponseEnd
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.Redirect Method

CoreHttpResponseWrapperRedirect Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Redirect(
    string url,
    bool permanent
)
Public Sub Redirect (
    url As String,
    permanent As Boolean
)
public:
virtual void Redirect(
    String^ url,
    bool permanent
) sealed
abstract Redirect :
        url : string *
        permanent : bool -> unit
override Redirect :
        url : string *
        permanent : bool -> unit

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

permanent
Type: SystemBoolean

[Missing <param name="permanent"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

Implements

IHttpResponseRedirect(String, Boolean)
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreHttpResponseWrapper.SetCookie Method

CoreHttpResponseWrapperSetCookie Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetCookie(
    string key,
    string value,
    HttpCookieOptions options
)
Public Sub SetCookie (
    key As String,
    value As String,
    options As HttpCookieOptions
)
public:
virtual void SetCookie(
    String^ key,
    String^ value,
    HttpCookieOptions^ options
) sealed
abstract SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit
override SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

options
Type: ZKWebStandard.WebHttpCookieOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.Hosting.AspNetCore.CoreHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Implements

IHttpResponseSetCookie(String, String, HttpCookieOptions)
See Also

Reference

CoreHttpResponseWrapper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreWebsiteStopper Class
Asp.Net Core website stopper
Asp.Net Core的网站停止器
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetCoreCoreWebsiteStopper

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class CoreWebsiteStopper : IWebsiteStopper
Friend Class CoreWebsiteStopper
    Implements IWebsiteStopper
internal ref class CoreWebsiteStopper : IWebsiteStopper
type CoreWebsiteStopper =
    class
        interface IWebsiteStopper
    end

The CoreWebsiteStopper type exposes the following members.

Constructors
 | Name | Description
Public method | CoreWebsiteStopper | Initializes a new instance of the CoreWebsiteStopper class
Top
Methods
 | Name | Description
Public method | StopWebsite | Stop application 停止应用程序
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNetCore Namespace


CoreWebsiteStopper Constructor

Initializes a new instance of the CoreWebsiteStopper class

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CoreWebsiteStopper()
Public Sub New
public:
CoreWebsiteStopper()
new : unit -> CoreWebsiteStopper
See Also

Reference

CoreWebsiteStopper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreWebsiteStopper Methods

The CoreWebsiteStopper type exposes the following members.

Methods
 | Name | Description
Public method | StopWebsite | Stop application 停止应用程序
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CoreWebsiteStopper Class
ZKWeb.Hosting.AspNetCore Namespace


CoreWebsiteStopper.StopWebsite Method

CoreWebsiteStopperStopWebsite Method

Stop application
停止应用程序

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void StopWebsite()
Public Sub StopWebsite
public:
virtual void StopWebsite() sealed
abstract StopWebsite : unit -> unit
override StopWebsite : unit -> unit

Implements

IWebsiteStopperStopWebsite
See Also

Reference

CoreWebsiteStopper Class
ZKWeb.Hosting.AspNetCore Namespace


StartupBase Class
Base startup class for Asp.Net Core
Asp.Net Core的启动类的基类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetCoreStartupBase DefaultApplication
ZKWeb.Hosting.AspNetCoreStartupBase

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class StartupBase : StartupBase<DefaultApplication>
Public MustInherit Class StartupBase
    Inherits StartupBase(Of DefaultApplication)
public ref class StartupBase abstract : public StartupBase<DefaultApplication^>
[<AbstractClassAttribute>]
type StartupBase =
    class
        inherit StartupBase<DefaultApplication>
    end

The StartupBase type exposes the following members.

Constructors
 | Name | Description
Protected method | StartupBase | Initializes a new instance of the StartupBase class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNetCore Namespace


StartupBase Constructor

Initializes a new instance of the StartupBase class

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected StartupBase()
Protected Sub New
protected:
StartupBase()
new : unit -> StartupBase
See Also

Reference

StartupBase Class
ZKWeb.Hosting.AspNetCore Namespace


StartupBase Methods

The StartupBase type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

StartupBase Class
ZKWeb.Hosting.AspNetCore Namespace


StartupBase(TApplication) Class

StartupBaseTApplication Class
Base startup class for Asp.Net Core
Asp.Net Core的启动类的基类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.AspNetCoreStartupBaseTApplication
ZKWeb.Hosting.AspNetCoreStartupBase

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class StartupBase<TApplication>
where TApplication : new(), IApplication

Public MustInherit Class StartupBase(Of TApplication As {New, IApplication})
generic<typename TApplication>
where TApplication : gcnew(), IApplication
public ref class StartupBase abstract
[<AbstractClassAttribute>]
type StartupBase<'TApplication when 'TApplication : new() and IApplication> =  class end

Type Parameters

TApplication

[Missing <typeparam name="TApplication"/> documentation for "T:ZKWeb.Hosting.AspNetCore.StartupBase`1"]

The StartupBaseTApplication type exposes the following members.

Constructors
 | Name | Description
Protected method | StartupBaseTApplication | Initializes a new instance of the StartupBaseTApplication class
Top
Methods
 | Name | Description
Public method | Configure | Configure application 配置应用程序
Protected method | ConfigureMiddlewares | Allow child class to configure other middlewares before zkweb middleware 允许子类配置其他在zkweb之前的中间件
Public method | GetWebsiteRootDirectory | Get website root directory 获取网站根目录
Protected method | StopApplicationAfter | Stop application after error reported to browser 在网站报告错误给浏览器后停止网站 (延迟一段时间)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.AspNetCore Namespace


StartupBase(TApplication) Constructor

StartupBaseTApplication Constructor

Initializes a new instance of the StartupBaseTApplication class

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected StartupBase()
Protected Sub New
protected:
StartupBase()
new : unit -> StartupBase
See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.AspNetCore Namespace


StartupBase(TApplication) Methods

StartupBaseTApplication Methods

The StartupBaseTApplication generic type exposes the following members.

Methods
 | Name | Description
Public method | Configure | Configure application 配置应用程序
Protected method | ConfigureMiddlewares | Allow child class to configure other middlewares before zkweb middleware 允许子类配置其他在zkweb之前的中间件
Public method | GetWebsiteRootDirectory | Get website root directory 获取网站根目录
Protected method | StopApplicationAfter | Stop application after error reported to browser 在网站报告错误给浏览器后停止网站 (延迟一段时间)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.AspNetCore Namespace


StartupBase(TApplication).Configure Method

StartupBaseTApplicationConfigure Method

Configure application
配置应用程序

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    IApplicationBuilder app
)
Public Overridable Sub Configure (
    app As IApplicationBuilder
)
public:
virtual void Configure(
    IApplicationBuilder^ app
)
abstract Configure :
        app : IApplicationBuilder -> unit
override Configure :
        app : IApplicationBuilder -> unit

Parameters

app
Type: IApplicationBuilder

[Missing <param name="app"/> documentation for "M:ZKWeb.Hosting.AspNetCore.StartupBase`1.Configure(Microsoft.AspNetCore.Builder.IApplicationBuilder)"]

See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.AspNetCore Namespace


StartupBase(TApplication).ConfigureMiddlewares Method

StartupBaseTApplicationConfigureMiddlewares Method

Allow child class to configure other middlewares before zkweb middleware
允许子类配置其他在zkweb之前的中间件

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void ConfigureMiddlewares(
    IApplicationBuilder app
)
Protected Overridable Sub ConfigureMiddlewares (
    app As IApplicationBuilder
)
protected:
virtual void ConfigureMiddlewares(
    IApplicationBuilder^ app
)
abstract ConfigureMiddlewares :
        app : IApplicationBuilder -> unit
override ConfigureMiddlewares :
        app : IApplicationBuilder -> unit

Parameters

app
Type: IApplicationBuilder

[Missing <param name="app"/> documentation for "M:ZKWeb.Hosting.AspNetCore.StartupBase`1.ConfigureMiddlewares(Microsoft.AspNetCore.Builder.IApplicationBuilder)"]

See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.AspNetCore Namespace


StartupBase(TApplication).GetWebsiteRootDirectory Method

StartupBaseTApplicationGetWebsiteRootDirectory Method

Get website root directory
获取网站根目录

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetWebsiteRootDirectory()
Public Overridable Function GetWebsiteRootDirectory As String
public:
virtual String^ GetWebsiteRootDirectory()
abstract GetWebsiteRootDirectory : unit -> string
override GetWebsiteRootDirectory : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.AspNetCore.StartupBase`1.GetWebsiteRootDirectory"]

See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.AspNetCore Namespace


StartupBase(TApplication).StopApplicationAfter Method

StartupBaseTApplicationStopApplicationAfter Method

Stop application after error reported to browser
在网站报告错误给浏览器后停止网站 (延迟一段时间)

Namespace: ZKWeb.Hosting.AspNetCore
Assembly: ZKWeb.Hosting.AspNetCore (in ZKWeb.Hosting.AspNetCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void StopApplicationAfter(
    IApplicationBuilder app,
    int milliseconds
)
Protected Overridable Sub StopApplicationAfter (
    app As IApplicationBuilder,
    milliseconds As Integer
)
protected:
virtual void StopApplicationAfter(
    IApplicationBuilder^ app,
    int milliseconds
)
abstract StopApplicationAfter :
        app : IApplicationBuilder *
        milliseconds : int -> unit
override StopApplicationAfter :
        app : IApplicationBuilder *
        milliseconds : int -> unit

Parameters

app
Type: IApplicationBuilder

[Missing <param name="app"/> documentation for "M:ZKWeb.Hosting.AspNetCore.StartupBase`1.StopApplicationAfter(Microsoft.AspNetCore.Builder.IApplicationBuilder,System.Int32)"]

milliseconds
Type: SystemInt32

[Missing <param name="milliseconds"/> documentation for "M:ZKWeb.Hosting.AspNetCore.StartupBase`1.StopApplicationAfter(Microsoft.AspNetCore.Builder.IApplicationBuilder,System.Int32)"]

See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.AspNetCore Namespace


ZKWeb.Hosting.Owin Namespace

[Missing <summary> documentation for "N:ZKWeb.Hosting.Owin"]

Classes
 | Class | Description
Protected class | OwinHttpContextWrapper | Http context wrapper for Owin Owin的Http上下文的包装类
Protected class | OwinHttpPostedFileWrapper | Http poested file wrapper for Owin Owin的提交文件的包装类
Protected class | OwinHttpRequestWrapper | Http request wrapper for Owin Owin的Http请求的包装类
Protected class | OwinHttpResponseEndException | Http response end exception for Owin Owin中表示Http回应结束的例外
Protected class | OwinHttpResponseWrapper | Http response wrapper for Owin Owin的Http回应的包装类
Public class | OwinWebsiteStopper | Owin website stopper Owin的网站停止器
Public class | StartupBase | Base startup class for owin Owin的启动类的基类
Public class | StartupBaseTApplication | Base startup class for owin Owin的启动类的基类


OwinHttpContextWrapper Class
Http context wrapper for Owin
Owin的Http上下文的包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.OwinOwinHttpContextWrapper

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class OwinHttpContextWrapper : IHttpContext
Friend Class OwinHttpContextWrapper
    Implements IHttpContext
internal ref class OwinHttpContextWrapper : IHttpContext
type OwinHttpContextWrapper =
    class
        interface IHttpContext
    end

The OwinHttpContextWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | OwinHttpContextWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | ChildItems | Http context bound items Http上下文绑定的数据
Protected property | ChildRequest | Wrapped http request 包装后的Http请求
Protected property | ChildResponse | Wrapped http response 包装后的Http回应
Public property | Items |
Protected property | OwinContext | Original Http context 原始的Http上下文
Public property | Request |
Public property | Response |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public OwinHttpContextWrapper(
    IOwinContext owinContext
)
Public Sub New (
    owinContext As IOwinContext
)
public:
OwinHttpContextWrapper(
    IOwinContext^ owinContext
)
new :
        owinContext : IOwinContext -> OwinHttpContextWrapper

Parameters

owinContext
Type: IOwinContext
Original http context
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper Properties

The OwinHttpContextWrapper type exposes the following members.

Properties
 | Name | Description
Protected property | ChildItems | Http context bound items Http上下文绑定的数据
Protected property | ChildRequest | Wrapped http request 包装后的Http请求
Protected property | ChildResponse | Wrapped http response 包装后的Http回应
Public property | Items |
Protected property | OwinContext | Original Http context 原始的Http上下文
Public property | Request |
Public property | Response |
Top
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper.ChildItems Property

OwinHttpContextWrapperChildItems Property

Http context bound items
Http上下文绑定的数据

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Dictionary<Object, Object> ChildItems { get; set; }
Protected Property ChildItems As Dictionary(Of Object, Object)
    Get
    Set
protected:
property Dictionary<Object^, Object^>^ ChildItems {
    Dictionary<Object^, Object^>^ get ();
    void set (Dictionary<Object^, Object^>^ value);
}
member ChildItems : Dictionary<Object, Object> with get, set

Property Value

Type: Dictionary Object, Object
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper.ChildRequest Property

OwinHttpContextWrapperChildRequest Property

Wrapped http request
包装后的Http请求

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected OwinHttpRequestWrapper ChildRequest { get; set; }
Protected Property ChildRequest As OwinHttpRequestWrapper
    Get
    Set
protected:
property OwinHttpRequestWrapper^ ChildRequest {
    OwinHttpRequestWrapper^ get ();
    void set (OwinHttpRequestWrapper^ value);
}
member ChildRequest : OwinHttpRequestWrapper with get, set

Property Value

Type: OwinHttpRequestWrapper
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper.ChildResponse Property

OwinHttpContextWrapperChildResponse Property

Wrapped http response
包装后的Http回应

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected OwinHttpResponseWrapper ChildResponse { get; set; }
Protected Property ChildResponse As OwinHttpResponseWrapper
    Get
    Set
protected:
property OwinHttpResponseWrapper^ ChildResponse {
    OwinHttpResponseWrapper^ get ();
    void set (OwinHttpResponseWrapper^ value);
}
member ChildResponse : OwinHttpResponseWrapper with get, set

Property Value

Type: OwinHttpResponseWrapper
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper.Items Property

OwinHttpContextWrapperItems Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpContextWrapper.Items"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Object, Object> Items { get; }
Public ReadOnly Property Items As IDictionary(Of Object, Object)
    Get
public:
virtual property IDictionary<Object^, Object^>^ Items {
    IDictionary<Object^, Object^>^ get () sealed;
}
abstract Items : IDictionary<Object, Object> with get
override Items : IDictionary<Object, Object> with get

Property Value

Type: IDictionary Object, Object

Implements

IHttpContextItems
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper.OwinContext Property

OwinHttpContextWrapperOwinContext Property

Original Http context
原始的Http上下文

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IOwinContext OwinContext { get; set; }
Protected Property OwinContext As IOwinContext
    Get
    Set
protected:
property IOwinContext^ OwinContext {
    IOwinContext^ get ();
    void set (IOwinContext^ value);
}
member OwinContext : IOwinContext with get, set

Property Value

Type: IOwinContext
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper.Request Property

OwinHttpContextWrapperRequest Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpContextWrapper.Request"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpRequest Request { get; }
Public ReadOnly Property Request As IHttpRequest
    Get
public:
virtual property IHttpRequest^ Request {
    IHttpRequest^ get () sealed;
}
abstract Request : IHttpRequest with get
override Request : IHttpRequest with get

Property Value

Type: IHttpRequest

Implements

IHttpContextRequest
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper.Response Property

OwinHttpContextWrapperResponse Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpContextWrapper.Response"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpResponse Response { get; }
Public ReadOnly Property Response As IHttpResponse
    Get
public:
virtual property IHttpResponse^ Response {
    IHttpResponse^ get () sealed;
}
abstract Response : IHttpResponse with get
override Response : IHttpResponse with get

Property Value

Type: IHttpResponse

Implements

IHttpContextResponse
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpContextWrapper Methods

The OwinHttpContextWrapper type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

OwinHttpContextWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper Class
Http poested file wrapper for Owin
Owin的提交文件的包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.OwinOwinHttpPostedFileWrapper

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class OwinHttpPostedFileWrapper : IHttpPostedFile
Friend Class OwinHttpPostedFileWrapper
    Implements IHttpPostedFile
internal ref class OwinHttpPostedFileWrapper : IHttpPostedFile
type OwinHttpPostedFileWrapper =
    class
        interface IHttpPostedFile
    end

The OwinHttpPostedFileWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | OwinHttpPostedFileWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ContentType |
Public property | FileName |
Public property | Length |
Protected property | OwinFile | Http content object Http内容的对象
Top
Methods
 | Name | Description
Public method | OpenReadStream |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public OwinHttpPostedFileWrapper(
    HttpContent owinFile
)
Public Sub New (
    owinFile As HttpContent
)
public:
OwinHttpPostedFileWrapper(
    HttpContent^ owinFile
)
new :
        owinFile : HttpContent -> OwinHttpPostedFileWrapper

Parameters

owinFile
Type: System.Net.HttpHttpContent
Http content object
See Also

Reference

OwinHttpPostedFileWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper Properties

The OwinHttpPostedFileWrapper type exposes the following members.

Properties
 | Name | Description
Public property | ContentType |
Public property | FileName |
Public property | Length |
Protected property | OwinFile | Http content object Http内容的对象
Top
See Also

Reference

OwinHttpPostedFileWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper.ContentType Property

OwinHttpPostedFileWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpPostedFileWrapper.ContentType"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; }
Public ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get () sealed;
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpPostedFileContentType
See Also

Reference

OwinHttpPostedFileWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper.FileName Property

OwinHttpPostedFileWrapperFileName Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpPostedFileWrapper.FileName"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string FileName { get; }
Public ReadOnly Property FileName As String
    Get
public:
virtual property String^ FileName {
    String^ get () sealed;
}
abstract FileName : string with get
override FileName : string with get

Property Value

Type: String

Implements

IHttpPostedFileFileName
See Also

Reference

OwinHttpPostedFileWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper.Length Property

OwinHttpPostedFileWrapperLength Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpPostedFileWrapper.Length"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Length { get; }
Public ReadOnly Property Length As Long
    Get
public:
virtual property long long Length {
    long long get () sealed;
}
abstract Length : int64 with get
override Length : int64 with get

Property Value

Type: Int64

Implements

IHttpPostedFileLength
See Also

Reference

OwinHttpPostedFileWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper.OwinFile Property

OwinHttpPostedFileWrapperOwinFile Property

Http content object
Http内容的对象

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpContent OwinFile { get; set; }
Protected Property OwinFile As HttpContent
    Get
    Set
protected:
property HttpContent^ OwinFile {
    HttpContent^ get ();
    void set (HttpContent^ value);
}
member OwinFile : HttpContent with get, set

Property Value

Type: HttpContent
See Also

Reference

OwinHttpPostedFileWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper Methods

The OwinHttpPostedFileWrapper type exposes the following members.

Methods
 | Name | Description
Public method | OpenReadStream |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

OwinHttpPostedFileWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpPostedFileWrapper.OpenReadStream Method

OwinHttpPostedFileWrapperOpenReadStream Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpPostedFileWrapper.OpenReadStream"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream OpenReadStream()
Public Function OpenReadStream As Stream
public:
virtual Stream^ OpenReadStream() sealed
abstract OpenReadStream : unit -> Stream
override OpenReadStream : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpPostedFileWrapper.OpenReadStream"]

Implements

IHttpPostedFileOpenReadStream
See Also

Reference

OwinHttpPostedFileWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper Class
Http request wrapper for Owin
Owin的Http请求的包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.OwinOwinHttpRequestWrapper

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class OwinHttpRequestWrapper : IHttpRequest
Friend Class OwinHttpRequestWrapper
    Implements IHttpRequest
internal ref class OwinHttpRequestWrapper : IHttpRequest
type OwinHttpRequestWrapper =
    class
        interface IHttpRequest
    end

The OwinHttpRequestWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | OwinHttpRequestWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Body |
Public property | ContentLength |
Public property | ContentType |
Public property | Host |
Protected property | HttpContentReadResults | Read contents Because contents can only read once, it need a variable to store previous read result 已读取的内容 因为内容只能读取一次, 需要一个值来保存之前读取的结果
Public property | HttpContext |
Public property | IsHttps |
Public property | Method |
Protected property | OwinContent | Http content object, used for read form contents Http内容对象, 用于读取内容
Protected property | OwinFormCollection | Owin form collection Owin的表单集合
Protected property | OwinMultipartFormCollection | Owin multipart form collection Owin的multipart表单集合
Protected property | OwinRequest | Original http request 原始的Http请求
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | Path |
Public property | Protocol |
Public property | QueryString |
Public property | RemoteIpAddress |
Public property | RemotePort |
Public property | Scheme |
Top
Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Protected method | ReadHttpContentAsString |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public OwinHttpRequestWrapper(
    OwinHttpContextWrapper parentContext,
    IOwinRequest owinRequest
)
Public Sub New (
    parentContext As OwinHttpContextWrapper,
    owinRequest As IOwinRequest
)
public:
OwinHttpRequestWrapper(
    OwinHttpContextWrapper^ parentContext,
    IOwinRequest^ owinRequest
)
new :
        parentContext : OwinHttpContextWrapper *
        owinRequest : IOwinRequest -> OwinHttpRequestWrapper

Parameters

parentContext
Type: ZKWeb.Hosting.OwinOwinHttpContextWrapper
Parent context
owinRequest
Type: IOwinRequest
Original http request
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper Properties

The OwinHttpRequestWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Body |
Public property | ContentLength |
Public property | ContentType |
Public property | Host |
Protected property | HttpContentReadResults | Read contents Because contents can only read once, it need a variable to store previous read result 已读取的内容 因为内容只能读取一次, 需要一个值来保存之前读取的结果
Public property | HttpContext |
Public property | IsHttps |
Public property | Method |
Protected property | OwinContent | Http content object, used for read form contents Http内容对象, 用于读取内容
Protected property | OwinFormCollection | Owin form collection Owin的表单集合
Protected property | OwinMultipartFormCollection | Owin multipart form collection Owin的multipart表单集合
Protected property | OwinRequest | Original http request 原始的Http请求
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | Path |
Public property | Protocol |
Public property | QueryString |
Public property | RemoteIpAddress |
Public property | RemotePort |
Public property | Scheme |
Top
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.Body Property

OwinHttpRequestWrapperBody Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.Body"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream Body { get; }
Public ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get () sealed;
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpRequestBody
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.ContentLength Property

OwinHttpRequestWrapperContentLength Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.ContentLength"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> ContentLength { get; }
Public ReadOnly Property ContentLength As Nullable(Of Long)
    Get
public:
virtual property Nullable<long long> ContentLength {
    Nullable<long long> get () sealed;
}
abstract ContentLength : Nullable<int64> with get
override ContentLength : Nullable<int64> with get

Property Value

Type: Nullable Int64

Implements

IHttpRequestContentLength
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.ContentType Property

OwinHttpRequestWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.ContentType"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; }
Public ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get () sealed;
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpRequestContentType
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.Host Property

OwinHttpRequestWrapperHost Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.Host"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Host { get; }
Public ReadOnly Property Host As String
    Get
public:
virtual property String^ Host {
    String^ get () sealed;
}
abstract Host : string with get
override Host : string with get

Property Value

Type: String

Implements

IHttpRequestHost
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.HttpContentReadResults Property

OwinHttpRequestWrapperHttpContentReadResults Property

Read contents
Because contents can only read once, it need a variable to store previous read result
已读取的内容
因为内容只能读取一次, 需要一个值来保存之前读取的结果

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Dictionary<HttpContent, string> HttpContentReadResults { get; set; }
Protected Property HttpContentReadResults As Dictionary(Of HttpContent, String)
    Get
    Set
protected:
property Dictionary<HttpContent^, String^>^ HttpContentReadResults {
    Dictionary<HttpContent^, String^>^ get ();
    void set (Dictionary<HttpContent^, String^>^ value);
}
member HttpContentReadResults : Dictionary<HttpContent, string> with get, set

Property Value

Type: Dictionary HttpContent, String
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.HttpContext Property

OwinHttpRequestWrapperHttpContext Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.HttpContext"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext HttpContext { get; }
Public ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get () sealed;
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpRequestHttpContext
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.IsHttps Property

OwinHttpRequestWrapperIsHttps Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.IsHttps"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool IsHttps { get; }
Public ReadOnly Property IsHttps As Boolean
    Get
public:
virtual property bool IsHttps {
    bool get () sealed;
}
abstract IsHttps : bool with get
override IsHttps : bool with get

Property Value

Type: Boolean

Implements

IHttpRequestIsHttps
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.Method Property

OwinHttpRequestWrapperMethod Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.Method"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Method { get; }
Public ReadOnly Property Method As String
    Get
public:
virtual property String^ Method {
    String^ get () sealed;
}
abstract Method : string with get
override Method : string with get

Property Value

Type: String

Implements

IHttpRequestMethod
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.OwinContent Property

OwinHttpRequestWrapperOwinContent Property

Http content object, used for read form contents
Http内容对象, 用于读取内容

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HttpContent OwinContent { get; set; }
Protected Property OwinContent As HttpContent
    Get
    Set
protected:
property HttpContent^ OwinContent {
    HttpContent^ get ();
    void set (HttpContent^ value);
}
member OwinContent : HttpContent with get, set

Property Value

Type: HttpContent
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.OwinFormCollection Property

OwinHttpRequestWrapperOwinFormCollection Property

Owin form collection
Owin的表单集合

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Lazy<NameValueCollection> OwinFormCollection { get; set; }
Protected Property OwinFormCollection As Lazy(Of NameValueCollection)
    Get
    Set
protected:
property Lazy<NameValueCollection^>^ OwinFormCollection {
    Lazy<NameValueCollection^>^ get ();
    void set (Lazy<NameValueCollection^>^ value);
}
member OwinFormCollection : Lazy<NameValueCollection> with get, set

Property Value

Type: Lazy NameValueCollection
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.OwinMultipartFormCollection Property

OwinHttpRequestWrapperOwinMultipartFormCollection Property

Owin multipart form collection
Owin的multipart表单集合

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Lazy<Dictionary<string, IList<HttpContent>>> OwinMultipartFormCollection { get; set; }
Protected Property OwinMultipartFormCollection As Lazy(Of Dictionary(Of String, IList(Of HttpContent)))
    Get
    Set
protected:
property Lazy<Dictionary<String^, IList<HttpContent^>^>^>^ OwinMultipartFormCollection {
    Lazy<Dictionary<String^, IList<HttpContent^>^>^>^ get ();
    void set (Lazy<Dictionary<String^, IList<HttpContent^>^>^>^ value);
}
member OwinMultipartFormCollection : Lazy<Dictionary<string, IList<HttpContent>>> with get, set

Property Value

Type: Lazy Dictionary String, IList HttpContent
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.OwinRequest Property

OwinHttpRequestWrapperOwinRequest Property

Original http request
原始的Http请求

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IOwinRequest OwinRequest { get; set; }
Protected Property OwinRequest As IOwinRequest
    Get
    Set
protected:
property IOwinRequest^ OwinRequest {
    IOwinRequest^ get ();
    void set (IOwinRequest^ value);
}
member OwinRequest : IOwinRequest with get, set

Property Value

Type: IOwinRequest
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.ParentContext Property

OwinHttpRequestWrapperParentContext Property

Parent http context
所属的Http上下文

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected OwinHttpContextWrapper ParentContext { get; set; }
Protected Property ParentContext As OwinHttpContextWrapper
    Get
    Set
protected:
property OwinHttpContextWrapper^ ParentContext {
    OwinHttpContextWrapper^ get ();
    void set (OwinHttpContextWrapper^ value);
}
member ParentContext : OwinHttpContextWrapper with get, set

Property Value

Type: OwinHttpContextWrapper
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.Path Property

OwinHttpRequestWrapperPath Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.Path"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Path { get; }
Public ReadOnly Property Path As String
    Get
public:
virtual property String^ Path {
    String^ get () sealed;
}
abstract Path : string with get
override Path : string with get

Property Value

Type: String

Implements

IHttpRequestPath
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.Protocol Property

OwinHttpRequestWrapperProtocol Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.Protocol"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Protocol { get; }
Public ReadOnly Property Protocol As String
    Get
public:
virtual property String^ Protocol {
    String^ get () sealed;
}
abstract Protocol : string with get
override Protocol : string with get

Property Value

Type: String

Implements

IHttpRequestProtocol
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.QueryString Property

OwinHttpRequestWrapperQueryString Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.QueryString"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string QueryString { get; }
Public ReadOnly Property QueryString As String
    Get
public:
virtual property String^ QueryString {
    String^ get () sealed;
}
abstract QueryString : string with get
override QueryString : string with get

Property Value

Type: String

Implements

IHttpRequestQueryString
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.RemoteIpAddress Property

OwinHttpRequestWrapperRemoteIpAddress Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.RemoteIpAddress"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IPAddress RemoteIpAddress { get; }
Public ReadOnly Property RemoteIpAddress As IPAddress
    Get
public:
virtual property IPAddress^ RemoteIpAddress {
    IPAddress^ get () sealed;
}
abstract RemoteIpAddress : IPAddress with get
override RemoteIpAddress : IPAddress with get

Property Value

Type: IPAddress

Implements

IHttpRequestRemoteIpAddress
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.RemotePort Property

OwinHttpRequestWrapperRemotePort Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.RemotePort"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int RemotePort { get; }
Public ReadOnly Property RemotePort As Integer
    Get
public:
virtual property int RemotePort {
    int get () sealed;
}
abstract RemotePort : int with get
override RemotePort : int with get

Property Value

Type: Int32

Implements

IHttpRequestRemotePort
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.Scheme Property

OwinHttpRequestWrapperScheme Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.Scheme"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Scheme { get; }
Public ReadOnly Property Scheme As String
    Get
public:
virtual property String^ Scheme {
    String^ get () sealed;
}
abstract Scheme : string with get
override Scheme : string with get

Property Value

Type: String

Implements

IHttpRequestScheme
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper Methods

The OwinHttpRequestWrapper type exposes the following members.

Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Protected method | ReadHttpContentAsString |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetCookie Method

OwinHttpRequestWrapperGetCookie Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetCookie(System.String)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string GetCookie(
    string key
)
Public Function GetCookie (
    key As String
) As String
public:
virtual String^ GetCookie(
    String^ key
) sealed
abstract GetCookie :
        key : string -> string
override GetCookie :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetCookie(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetCookie(System.String)"]

Implements

IHttpRequestGetCookie(String)
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetCookies Method

OwinHttpRequestWrapperGetCookies Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetCookies"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, string>> GetCookies()
Public Function GetCookies As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetCookies() sealed
abstract GetCookies : unit -> IEnumerable<Pair<string, string>>
override GetCookies : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetCookies"]

Implements

IHttpRequestGetCookies
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetFormValue Method

OwinHttpRequestWrapperGetFormValue Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetFormValue(System.String)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> GetFormValue(
    string key
)
Public Function GetFormValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetFormValue(
    String^ key
) sealed
abstract GetFormValue :
        key : string -> IList<string>
override GetFormValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetFormValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetFormValue(System.String)"]

Implements

IHttpRequestGetFormValue(String)
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetFormValues Method

OwinHttpRequestWrapperGetFormValues Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetFormValues"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IList<string>>> GetFormValues()
Public Function GetFormValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetFormValues() sealed
abstract GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetFormValues"]

Implements

IHttpRequestGetFormValues
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetHeader Method

OwinHttpRequestWrapperGetHeader Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetHeader(System.String)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string GetHeader(
    string key
)
Public Function GetHeader (
    key As String
) As String
public:
virtual String^ GetHeader(
    String^ key
) sealed
abstract GetHeader :
        key : string -> string
override GetHeader :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetHeader(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetHeader(System.String)"]

Implements

IHttpRequestGetHeader(String)
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetHeaders Method

OwinHttpRequestWrapperGetHeaders Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetHeaders"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, string>> GetHeaders()
Public Function GetHeaders As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetHeaders() sealed
abstract GetHeaders : unit -> IEnumerable<Pair<string, string>>
override GetHeaders : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetHeaders"]

Implements

IHttpRequestGetHeaders
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetPostedFile Method

OwinHttpRequestWrapperGetPostedFile Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetPostedFile(System.String)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile GetPostedFile(
    string key
)
Public Function GetPostedFile (
    key As String
) As IHttpPostedFile
public:
virtual IHttpPostedFile^ GetPostedFile(
    String^ key
) sealed
abstract GetPostedFile :
        key : string -> IHttpPostedFile
override GetPostedFile :
        key : string -> IHttpPostedFile

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetPostedFile(System.String)"]

Return Value

Type: IHttpPostedFile

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetPostedFile(System.String)"]

Implements

IHttpRequestGetPostedFile(String)
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetPostedFiles Method

OwinHttpRequestWrapperGetPostedFiles Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetPostedFiles"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IHttpPostedFile>> GetPostedFiles()
Public Function GetPostedFiles As IEnumerable(Of Pair(Of String, IHttpPostedFile))
public:
virtual IEnumerable<Pair<String^, IHttpPostedFile^>>^ GetPostedFiles() sealed
abstract GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>
override GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>

Return Value

Type: IEnumerable Pair String, IHttpPostedFile

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetPostedFiles"]

Implements

IHttpRequestGetPostedFiles
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetQueryValue Method

OwinHttpRequestWrapperGetQueryValue Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetQueryValue(System.String)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> GetQueryValue(
    string key
)
Public Function GetQueryValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetQueryValue(
    String^ key
) sealed
abstract GetQueryValue :
        key : string -> IList<string>
override GetQueryValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetQueryValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetQueryValue(System.String)"]

Implements

IHttpRequestGetQueryValue(String)
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.GetQueryValues Method

OwinHttpRequestWrapperGetQueryValues Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetQueryValues"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Pair<string, IList<string>>> GetQueryValues()
Public Function GetQueryValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetQueryValues() sealed
abstract GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.GetQueryValues"]

Implements

IHttpRequestGetQueryValues
See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpRequestWrapper.ReadHttpContentAsString Method

OwinHttpRequestWrapperReadHttpContentAsString Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.ReadHttpContentAsString(System.Net.Http.HttpContent)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string ReadHttpContentAsString(
    HttpContent content
)
Protected Function ReadHttpContentAsString (
    content As HttpContent
) As String
protected:
String^ ReadHttpContentAsString(
    HttpContent^ content
)
member ReadHttpContentAsString :
        content : HttpContent -> string

Parameters

content
Type: System.Net.HttpHttpContent

[Missing <param name="content"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.ReadHttpContentAsString(System.Net.Http.HttpContent)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpRequestWrapper.ReadHttpContentAsString(System.Net.Http.HttpContent)"]

See Also

Reference

OwinHttpRequestWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseEndException Class
Http response end exception for Owin
Owin中表示Http回应结束的例外
Inheritance Hierarchy
SystemObject
SystemException
ZKWeb.Hosting.OwinOwinHttpResponseEndException

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class OwinHttpResponseEndException : Exception
Friend Class OwinHttpResponseEndException
    Inherits Exception
internal ref class OwinHttpResponseEndException : public Exception
type OwinHttpResponseEndException =
    class
        inherit Exception
    end

The OwinHttpResponseEndException type exposes the following members.

Constructors
 | Name | Description
Public method | OwinHttpResponseEndException | Initializes a new instance of the OwinHttpResponseEndException class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.Owin Namespace


OwinHttpResponseEndException Constructor

Initializes a new instance of the OwinHttpResponseEndException class

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public OwinHttpResponseEndException()
Public Sub New
public:
OwinHttpResponseEndException()
new : unit -> OwinHttpResponseEndException
See Also

Reference

OwinHttpResponseEndException Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseEndException Methods

The OwinHttpResponseEndException type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

OwinHttpResponseEndException Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper Class
Http response wrapper for Owin
Owin的Http回应的包装类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.OwinOwinHttpResponseWrapper

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class OwinHttpResponseWrapper : IHttpResponse
Friend Class OwinHttpResponseWrapper
    Implements IHttpResponse
internal ref class OwinHttpResponseWrapper : IHttpResponse
type OwinHttpResponseWrapper =
    class
        interface IHttpResponse
    end

The OwinHttpResponseWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | OwinHttpResponseWrapper | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Body |
Public property | ContentType |
Public property | HttpContext |
Protected property | OwinResponse | Original http response 原始的Http回应
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | StatusCode |
Top
Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper Constructor

Initialize
初始化

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public OwinHttpResponseWrapper(
    OwinHttpContextWrapper parentContext,
    IOwinResponse owinResponse
)
Public Sub New (
    parentContext As OwinHttpContextWrapper,
    owinResponse As IOwinResponse
)
public:
OwinHttpResponseWrapper(
    OwinHttpContextWrapper^ parentContext,
    IOwinResponse^ owinResponse
)
new :
        parentContext : OwinHttpContextWrapper *
        owinResponse : IOwinResponse -> OwinHttpResponseWrapper

Parameters

parentContext
Type: ZKWeb.Hosting.OwinOwinHttpContextWrapper
Parent http context
owinResponse
Type: IOwinResponse
Original http response
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper Properties

The OwinHttpResponseWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Body |
Public property | ContentType |
Public property | HttpContext |
Protected property | OwinResponse | Original http response 原始的Http回应
Protected property | ParentContext | Parent http context 所属的Http上下文
Public property | StatusCode |
Top
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.Body Property

OwinHttpResponseWrapperBody Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.Body"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream Body { get; }
Public ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get () sealed;
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpResponseBody
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.ContentType Property

OwinHttpResponseWrapperContentType Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.ContentType"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; set; }
Public Property ContentType As String
    Get
    Set
public:
virtual property String^ ContentType {
    String^ get () sealed;
    void set (String^ value) sealed;
}
abstract ContentType : string with get, set
override ContentType : string with get, set

Property Value

Type: String

Implements

IHttpResponseContentType
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.HttpContext Property

OwinHttpResponseWrapperHttpContext Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.HttpContext"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext HttpContext { get; }
Public ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get () sealed;
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpResponseHttpContext
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.OwinResponse Property

OwinHttpResponseWrapperOwinResponse Property

Original http response
原始的Http回应

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IOwinResponse OwinResponse { get; set; }
Protected Property OwinResponse As IOwinResponse
    Get
    Set
protected:
property IOwinResponse^ OwinResponse {
    IOwinResponse^ get ();
    void set (IOwinResponse^ value);
}
member OwinResponse : IOwinResponse with get, set

Property Value

Type: IOwinResponse
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.ParentContext Property

OwinHttpResponseWrapperParentContext Property

Parent http context
所属的Http上下文

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected OwinHttpContextWrapper ParentContext { get; set; }
Protected Property ParentContext As OwinHttpContextWrapper
    Get
    Set
protected:
property OwinHttpContextWrapper^ ParentContext {
    OwinHttpContextWrapper^ get ();
    void set (OwinHttpContextWrapper^ value);
}
member ParentContext : OwinHttpContextWrapper with get, set

Property Value

Type: OwinHttpContextWrapper
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.StatusCode Property

OwinHttpResponseWrapperStatusCode Property

[Missing <summary> documentation for "P:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.StatusCode"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int StatusCode { get; set; }
Public Property StatusCode As Integer
    Get
    Set
public:
virtual property int StatusCode {
    int get () sealed;
    void set (int value) sealed;
}
abstract StatusCode : int with get, set
override StatusCode : int with get, set

Property Value

Type: Int32

Implements

IHttpResponseStatusCode
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper Methods

The OwinHttpResponseWrapper type exposes the following members.

Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.AddHeader Method

OwinHttpResponseWrapperAddHeader Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.AddHeader(System.String,System.String)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void AddHeader(
    string key,
    string value
)
Public Sub AddHeader (
    key As String,
    value As String
)
public:
virtual void AddHeader(
    String^ key,
    String^ value
) sealed
abstract AddHeader :
        key : string *
        value : string -> unit
override AddHeader :
        key : string *
        value : string -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.AddHeader(System.String,System.String)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.AddHeader(System.String,System.String)"]

Implements

IHttpResponseAddHeader(String, String)
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.End Method

OwinHttpResponseWrapperEnd Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.End"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void End()
Public Sub End
public:
virtual void End() sealed
abstract End : unit -> unit
override End : unit -> unit

Implements

IHttpResponseEnd
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.Redirect Method

OwinHttpResponseWrapperRedirect Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Redirect(
    string url,
    bool permanent
)
Public Sub Redirect (
    url As String,
    permanent As Boolean
)
public:
virtual void Redirect(
    String^ url,
    bool permanent
) sealed
abstract Redirect :
        url : string *
        permanent : bool -> unit
override Redirect :
        url : string *
        permanent : bool -> unit

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

permanent
Type: SystemBoolean

[Missing <param name="permanent"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.Redirect(System.String,System.Boolean)"]

Implements

IHttpResponseRedirect(String, Boolean)
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinHttpResponseWrapper.SetCookie Method

OwinHttpResponseWrapperSetCookie Method

[Missing <summary> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetCookie(
    string key,
    string value,
    HttpCookieOptions options
)
Public Sub SetCookie (
    key As String,
    value As String,
    options As HttpCookieOptions
)
public:
virtual void SetCookie(
    String^ key,
    String^ value,
    HttpCookieOptions^ options
) sealed
abstract SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit
override SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

options
Type: ZKWebStandard.WebHttpCookieOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.Hosting.Owin.OwinHttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Implements

IHttpResponseSetCookie(String, String, HttpCookieOptions)
See Also

Reference

OwinHttpResponseWrapper Class
ZKWeb.Hosting.Owin Namespace


OwinWebsiteStopper Class
Owin website stopper
Owin的网站停止器
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.OwinOwinWebsiteStopper

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class OwinWebsiteStopper : IWebsiteStopper
Public Class OwinWebsiteStopper
    Implements IWebsiteStopper
public ref class OwinWebsiteStopper : IWebsiteStopper
type OwinWebsiteStopper =
    class
        interface IWebsiteStopper
    end

The OwinWebsiteStopper type exposes the following members.

Constructors
 | Name | Description
Public method | OwinWebsiteStopper | Initializes a new instance of the OwinWebsiteStopper class
Top
Methods
 | Name | Description
Public method | StopWebsite | Unload app domain 卸载AppDomain
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.Owin Namespace


OwinWebsiteStopper Constructor

Initializes a new instance of the OwinWebsiteStopper class

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public OwinWebsiteStopper()
Public Sub New
public:
OwinWebsiteStopper()
new : unit -> OwinWebsiteStopper
See Also

Reference

OwinWebsiteStopper Class
ZKWeb.Hosting.Owin Namespace


OwinWebsiteStopper Methods

The OwinWebsiteStopper type exposes the following members.

Methods
 | Name | Description
Public method | StopWebsite | Unload app domain 卸载AppDomain
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

OwinWebsiteStopper Class
ZKWeb.Hosting.Owin Namespace


OwinWebsiteStopper.StopWebsite Method

OwinWebsiteStopperStopWebsite Method

Unload app domain
卸载AppDomain

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void StopWebsite()
Public Sub StopWebsite
public:
virtual void StopWebsite() sealed
abstract StopWebsite : unit -> unit
override StopWebsite : unit -> unit

Implements

IWebsiteStopperStopWebsite
See Also

Reference

OwinWebsiteStopper Class
ZKWeb.Hosting.Owin Namespace


StartupBase Class
Base startup class for owin
Owin的启动类的基类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.OwinStartupBase DefaultApplication
ZKWeb.Hosting.OwinStartupBase

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class StartupBase : StartupBase<DefaultApplication>
Public MustInherit Class StartupBase
    Inherits StartupBase(Of DefaultApplication)
public ref class StartupBase abstract : public StartupBase<DefaultApplication^>
[<AbstractClassAttribute>]
type StartupBase =
    class
        inherit StartupBase<DefaultApplication>
    end

The StartupBase type exposes the following members.

Constructors
 | Name | Description
Protected method | StartupBase | Initializes a new instance of the StartupBase class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.Owin Namespace


StartupBase Constructor

Initializes a new instance of the StartupBase class

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected StartupBase()
Protected Sub New
protected:
StartupBase()
new : unit -> StartupBase
See Also

Reference

StartupBase Class
ZKWeb.Hosting.Owin Namespace


StartupBase Methods

The StartupBase type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

StartupBase Class
ZKWeb.Hosting.Owin Namespace


StartupBase(TApplication) Class

StartupBaseTApplication Class
Base startup class for owin
Owin的启动类的基类
Inheritance Hierarchy
SystemObject
ZKWeb.Hosting.OwinStartupBaseTApplication
ZKWeb.Hosting.OwinStartupBase

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class StartupBase<TApplication>
where TApplication : new(), IApplication

Public MustInherit Class StartupBase(Of TApplication As {New, IApplication})
generic<typename TApplication>
where TApplication : gcnew(), IApplication
public ref class StartupBase abstract
[<AbstractClassAttribute>]
type StartupBase<'TApplication when 'TApplication : new() and IApplication> =  class end

Type Parameters

TApplication

[Missing <typeparam name="TApplication"/> documentation for "T:ZKWeb.Hosting.Owin.StartupBase`1"]

The StartupBaseTApplication type exposes the following members.

Constructors
 | Name | Description
Protected method | StartupBaseTApplication | Initializes a new instance of the StartupBaseTApplication class
Top
Methods
 | Name | Description
Public method | Configuration | Configure application 配置应用程序
Protected method | ConfigureMiddlewares | Allow child class to configure other middlewares before zkweb middleware 允许子类配置其他在zkweb之前的中间件
Public method | GetWebsiteRootDirectory | Get website root directory 获取网站根目录
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Hosting.Owin Namespace


StartupBase(TApplication) Constructor

StartupBaseTApplication Constructor

Initializes a new instance of the StartupBaseTApplication class

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected StartupBase()
Protected Sub New
protected:
StartupBase()
new : unit -> StartupBase
See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.Owin Namespace


StartupBase(TApplication) Methods

StartupBaseTApplication Methods

The StartupBaseTApplication generic type exposes the following members.

Methods
 | Name | Description
Public method | Configuration | Configure application 配置应用程序
Protected method | ConfigureMiddlewares | Allow child class to configure other middlewares before zkweb middleware 允许子类配置其他在zkweb之前的中间件
Public method | GetWebsiteRootDirectory | Get website root directory 获取网站根目录
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.Owin Namespace


StartupBase(TApplication).Configuration Method

StartupBaseTApplicationConfiguration Method

Configure application
配置应用程序

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configuration(
    IAppBuilder app
)
Public Overridable Sub Configuration (
    app As IAppBuilder
)
public:
virtual void Configuration(
    IAppBuilder^ app
)
abstract Configuration :
        app : IAppBuilder -> unit
override Configuration :
        app : IAppBuilder -> unit

Parameters

app
Type: IAppBuilder
Owin application
See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.Owin Namespace


StartupBase(TApplication).ConfigureMiddlewares Method

StartupBaseTApplicationConfigureMiddlewares Method

Allow child class to configure other middlewares before zkweb middleware
允许子类配置其他在zkweb之前的中间件

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void ConfigureMiddlewares(
    IAppBuilder app
)
Protected Overridable Sub ConfigureMiddlewares (
    app As IAppBuilder
)
protected:
virtual void ConfigureMiddlewares(
    IAppBuilder^ app
)
abstract ConfigureMiddlewares :
        app : IAppBuilder -> unit
override ConfigureMiddlewares :
        app : IAppBuilder -> unit

Parameters

app
Type: IAppBuilder

[Missing <param name="app"/> documentation for "M:ZKWeb.Hosting.Owin.StartupBase`1.ConfigureMiddlewares(Owin.IAppBuilder)"]

See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.Owin Namespace


StartupBase(TApplication).GetWebsiteRootDirectory Method

StartupBaseTApplicationGetWebsiteRootDirectory Method

Get website root directory
获取网站根目录

Namespace: ZKWeb.Hosting.Owin
Assembly: ZKWeb.Hosting.Owin (in ZKWeb.Hosting.Owin.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetWebsiteRootDirectory()
Public Overridable Function GetWebsiteRootDirectory As String
public:
virtual String^ GetWebsiteRootDirectory()
abstract GetWebsiteRootDirectory : unit -> string
override GetWebsiteRootDirectory : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Hosting.Owin.StartupBase`1.GetWebsiteRootDirectory"]

See Also

Reference

StartupBaseTApplication Class
ZKWeb.Hosting.Owin Namespace


ZKWeb.Localize Namespaces

[Missing <summary> documentation for "G:ZKWeb.Localize"]

Namespaces
Namespace | Description
ZKWeb.Localize |
ZKWeb.Localize.JsonConverters |


ZKWeb.Localize Namespace

[Missing <summary> documentation for "N:ZKWeb.Localize"]

Classes
Class | Description
TranslateManager | Translate manager 翻译管理器
Structures
Structure | Description
T | A class wrap original text and return translated text Translation will perform when calling ToString This class can convert to string implicit, or use ToString explicit 用于包装原文并返回译文的类 翻译会在调用ToString函数时执行 这个类可以隐式转换到string, 也可以显式调用ToString函数
Interfaces
Interface | Description
ILanguage | Interface for language 语言的接口
ITranslateProvider | Interface for providing text translation 用于提供文本翻译的接口


ILanguage Interface
Interface for language
语言的接口

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ILanguage
Public Interface ILanguage
public interface class ILanguage
type ILanguage =  interface end

The ILanguage type exposes the following members.

Properties
 | Name | Description
Public property | Name | ISO language name，eg: zh-CN ISO语言名称, 例如: zh-CN
Top
Examples
C#
Copy
[ExportMany]
public class Chinese : ILanguage {
    public string Name { get { return "zh-CN"; } }
}
See Also

Reference

ZKWeb.Localize Namespace
ZKWeb.LocalizeTranslateManager


ILanguage Properties

The ILanguage type exposes the following members.

Properties
 | Name | Description
Public property | Name | ISO language name，eg: zh-CN ISO语言名称, 例如: zh-CN
Top
See Also

Reference

ILanguage Interface
ZKWeb.Localize Namespace


ILanguage.Name Property

ILanguageName Property

ISO language name，eg: zh-CN
ISO语言名称, 例如: zh-CN

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get
property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

ILanguage Interface
ZKWeb.Localize Namespace


ITranslateProvider Interface
Interface for providing text translation
用于提供文本翻译的接口

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ITranslateProvider
Public Interface ITranslateProvider
public interface class ITranslateProvider
type ITranslateProvider =  interface end

The ITranslateProvider type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate | Determine this provider can translate text to the given language 判断这个提供器是否可以翻译文本到指定的语言
Public method | Translate | Translate text It should return null if it can't translate the text 翻译文本 在不能翻译该文本时应该返回null
Top
Examples
Copy
[ExportMany, SingletonReuse]
   public class zh_CN : ITranslateProvider {
       private static HashSet<string> Codes = new HashSet<string>() { "zh-CN" };
       private static Dictionary<string, string> Translates = new Dictionary<string, string>()
       {
           { "Example", "示例" }
       };

       public bool CanTranslate(string code) {
           return Codes.Contains(code);
       }

       public string Translate(string text) {
           return Translates.GetOrDefault(text);
       }
   }
See Also

Reference

ZKWeb.Localize Namespace
ZKWeb.LocalizeTranslateManager
ZKWeb.LocalizeT


ITranslateProvider Methods

The ITranslateProvider type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate | Determine this provider can translate text to the given language 判断这个提供器是否可以翻译文本到指定的语言
Public method | Translate | Translate text It should return null if it can't translate the text 翻译文本 在不能翻译该文本时应该返回null
Top
See Also

Reference

ITranslateProvider Interface
ZKWeb.Localize Namespace


ITranslateProvider.CanTranslate Method

ITranslateProviderCanTranslate Method

Determine this provider can translate text to the given language
判断这个提供器是否可以翻译文本到指定的语言

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
bool CanTranslate(
    string code
)
Function CanTranslate (
    code As String
) As Boolean
bool CanTranslate(
    String^ code
)
abstract CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString
Language code

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Localize.ITranslateProvider.CanTranslate(System.String)"]

See Also

Reference

ITranslateProvider Interface
ZKWeb.Localize Namespace


ITranslateProvider.Translate Method

ITranslateProviderTranslate Method

Translate text
It should return null if it can't translate the text
翻译文本
在不能翻译该文本时应该返回null

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Translate(
    string text
)
Function Translate (
    text As String
) As String
String^ Translate(
    String^ text
)
abstract Translate :
        text : string -> string

Parameters

text
Type: SystemString
Original text

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Localize.ITranslateProvider.Translate(System.String)"]

See Also

Reference

ITranslateProvider Interface
ZKWeb.Localize Namespace


T Structure
A class wrap original text and return translated text
Translation will perform when calling ToString
This class can convert to string implicit, or use ToString explicit
用于包装原文并返回译文的类
翻译会在调用ToString函数时执行
这个类可以隐式转换到string, 也可以显式调用ToString函数

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public struct T : ILiquidizable
Public Structure T
    Implements ILiquidizable
public value class T : ILiquidizable
[<SealedAttribute>]
type T =
    struct
        interface ILiquidizable
    end

The T type exposes the following members.

Constructors
 | Name | Description
Public method | T(String) | Get the translation of text 获取文本的翻译
Public method | T(String, Object) | Get the translation of formatted text 获取格式化的文本的翻译
Top
Methods
 | Name | Description
Public method | ToString | Get translated text 获取翻译后的文本 (Overrides ValueTypeToString.)
Top
Operators
Name | Description
(T to String) | Get translated text 获取翻译后的文本
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
string translated = new T("Original");
See Also

Reference

ZKWeb.Localize Namespace
ZKWeb.LocalizeITranslateProvider
ZKWeb.LocalizeTranslateManager


T Constructor

Overload List
 | Name | Description
Public method | T(String) | Get the translation of text 获取文本的翻译
Public method | T(String, Object) | Get the translation of formatted text 获取格式化的文本的翻译
Top
See Also

Reference

T Structure
ZKWeb.Localize Namespace


T Constructor (String)
Get the translation of text
获取文本的翻译

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T(
    string text
)
Public Sub New (
    text As String
)
public:
T(
    String^ text
)
new :
        text : string -> T

Parameters

text
Type: SystemString
Original text
See Also

Reference

T Structure
T Overload
ZKWeb.Localize Namespace


T Constructor (String, Object[])

T Constructor (String, Object)
Get the translation of formatted text
获取格式化的文本的翻译

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T(
    string text,
    params Object[] parameters
)
Public Sub New (
    text As String,
    ParamArray parameters As Object()
)
public:
T(
    String^ text,
    ... array<Object^>^ parameters
)
new :
        text : string *
        parameters : Object[] -> T

Parameters

text
Type: SystemString
Original text
parameters
Type: SystemObject
Format parameters
See Also

Reference

T Structure
T Overload
ZKWeb.Localize Namespace


T Methods

The T type exposes the following members.

Methods
 | Name | Description
Public method | ToString | Get translated text 获取翻译后的文本 (Overrides ValueTypeToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

T Structure
ZKWeb.Localize Namespace


T.ToString Method

TToString Method

Get translated text
获取翻译后的文本

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Localize.T.ToString"]

See Also

Reference

T Structure
ZKWeb.Localize Namespace


T Type Conversions

The T type exposes the following members.

Operators
Name | Description
(T to String) | Get translated text 获取翻译后的文本
Top
See Also

Reference

T Structure
ZKWeb.Localize Namespace


T Implicit Conversion (T to String)

T Conversion (T to String)
Get translated text
获取翻译后的文本

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static implicit operator string (
    T t
)
Public Shared Widening Operator CType (
    t As T
) As String
static implicit operator String^ (
    T t
)
F# does not support the declaration of new casting operators.

Parameters

t
Type: ZKWeb.LocalizeT
This object

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Localize.T.op_Implicit(ZKWeb.Localize.T)~System.String"]

See Also

Reference

T Structure
ZKWeb.Localize Namespace


TranslateManager Class
Translate manager
翻译管理器
Inheritance Hierarchy
SystemObject
ZKWeb.LocalizeTranslateManager

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TranslateManager : ICacheCleaner
Public Class TranslateManager
    Implements ICacheCleaner
public ref class TranslateManager : ICacheCleaner
type TranslateManager =
    class
        interface ICacheCleaner
    end

The TranslateManager type exposes the following members.

Constructors
 | Name | Description
Public method | TranslateManager | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | TranslateCache | Translated text cache { (Language, Orignal text): Translated text, ... } 已翻译文本的缓存
Public property | TranslateCacheTime | Translated text cache time Default is 3s, able to override from website configuration 已翻译文本的缓存时间 默认是15秒, 可以使用网站配置覆盖
Protected property | TranslateProvidersCache | Translate provider cache { Language: Providers, ... } 翻译提供器的缓存
Top
Methods
 | Name | Description
Public method | ClearCache | Clear cache 清理缓存
Public method | GetTranslateProviders | Get translate providers for the given language 获取指定语言的翻译提供器列表
Public method | Translate(String) | Translate text into the language of the runtime environment 翻译文本到运行环境中的语言
Public method | Translate(String, String) | Translate text to the specified language 翻译文本到指定的语言
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var translateManager = Application.Ioc.Resolve<TranslateManager>();
var translated = translateManager.Translate("Original");
See Also

Reference

ZKWeb.Localize Namespace
ZKWeb.LocalizeT
ZKWeb.LocalizeITranslateProvider


TranslateManager Constructor

Initialize
初始化

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TranslateManager()
Public Sub New
public:
TranslateManager()
new : unit -> TranslateManager
See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager Properties

The TranslateManager type exposes the following members.

Properties
 | Name | Description
Protected property | TranslateCache | Translated text cache { (Language, Orignal text): Translated text, ... } 已翻译文本的缓存
Public property | TranslateCacheTime | Translated text cache time Default is 3s, able to override from website configuration 已翻译文本的缓存时间 默认是15秒, 可以使用网站配置覆盖
Protected property | TranslateProvidersCache | Translate provider cache { Language: Providers, ... } 翻译提供器的缓存
Top
See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager.TranslateCache Property

TranslateManagerTranslateCache Property

Translated text cache
{ (Language, Orignal text): Translated text, ... }
已翻译文本的缓存

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<Pair<string, string>, string> TranslateCache { get; set; }
Protected Property TranslateCache As IKeyValueCache(Of Pair(Of String, String), String)
    Get
    Set
protected:
property IKeyValueCache<Pair<String^, String^>, String^>^ TranslateCache {
    IKeyValueCache<Pair<String^, String^>, String^>^ get ();
    void set (IKeyValueCache<Pair<String^, String^>, String^>^ value);
}
member TranslateCache : IKeyValueCache<Pair<string, string>, string> with get, set

Property Value

Type: IKeyValueCache Pair String, String , String
See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager.TranslateCacheTime Property

TranslateManagerTranslateCacheTime Property

Translated text cache time
Default is 3s, able to override from website configuration
已翻译文本的缓存时间
默认是15秒, 可以使用网站配置覆盖

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan TranslateCacheTime { get; set; }
Public Property TranslateCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan TranslateCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member TranslateCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager.TranslateProvidersCache Property

TranslateManagerTranslateProvidersCache Property

Translate provider cache
{ Language: Providers, ... }
翻译提供器的缓存

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, List<ITranslateProvider>> TranslateProvidersCache { get; set; }
Protected Property TranslateProvidersCache As IKeyValueCache(Of String, List(Of ITranslateProvider))
    Get
    Set
protected:
property IKeyValueCache<String^, List<ITranslateProvider^>^>^ TranslateProvidersCache {
    IKeyValueCache<String^, List<ITranslateProvider^>^>^ get ();
    void set (IKeyValueCache<String^, List<ITranslateProvider^>^>^ value);
}
member TranslateProvidersCache : IKeyValueCache<string, List<ITranslateProvider>> with get, set

Property Value

Type: IKeyValueCache String, List ITranslateProvider
See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager Methods

The TranslateManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | Clear cache 清理缓存
Public method | GetTranslateProviders | Get translate providers for the given language 获取指定语言的翻译提供器列表
Public method | Translate(String) | Translate text into the language of the runtime environment 翻译文本到运行环境中的语言
Public method | Translate(String, String) | Translate text to the specified language 翻译文本到指定的语言
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager.ClearCache Method

TranslateManagerClearCache Method

Clear cache
清理缓存

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleanerClearCache
See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager.GetTranslateProviders Method

TranslateManagerGetTranslateProviders Method

Get translate providers for the given language
获取指定语言的翻译提供器列表

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual List<ITranslateProvider> GetTranslateProviders(
    string code
)
Public Overridable Function GetTranslateProviders (
    code As String
) As List(Of ITranslateProvider)
public:
virtual List<ITranslateProvider^>^ GetTranslateProviders(
    String^ code
)
abstract GetTranslateProviders :
        code : string -> List<ITranslateProvider>
override GetTranslateProviders :
        code : string -> List<ITranslateProvider>

Parameters

code
Type: SystemString
Language code, eg: zh-CN

Return Value

Type: List ITranslateProvider

[Missing <returns> documentation for "M:ZKWeb.Localize.TranslateManager.GetTranslateProviders(System.String)"]

See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager.Translate Method

TranslateManagerTranslate Method

Overload List
 | Name | Description
Public method | Translate(String) | Translate text into the language of the runtime environment 翻译文本到运行环境中的语言
Public method | Translate(String, String) | Translate text to the specified language 翻译文本到指定的语言
Top
See Also

Reference

TranslateManager Class
ZKWeb.Localize Namespace


TranslateManager.Translate Method (String)

TranslateManagerTranslate Method (String)
Translate text into the language of the runtime environment
翻译文本到运行环境中的语言

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Translate(
    string text
)
Public Overridable Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
)
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString
Original text

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Localize.TranslateManager.Translate(System.String)"]

See Also

Reference

TranslateManager Class
Translate Overload
ZKWeb.Localize Namespace


TranslateManager.Translate Method (String, String)

TranslateManagerTranslate Method (String, String)
Translate text to the specified language
翻译文本到指定的语言

Namespace: ZKWeb.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Translate(
    string text,
    string code
)
Public Overridable Function Translate (
    text As String,
    code As String
) As String
public:
virtual String^ Translate(
    String^ text,
    String^ code
)
abstract Translate :
        text : string *
        code : string -> string
override Translate :
        text : string *
        code : string -> string

Parameters

text
Type: SystemString
Original text
code
Type: SystemString
Language code, eg: zh-CN

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Localize.TranslateManager.Translate(System.String,System.String)"]

See Also

Reference

TranslateManager Class
Translate Overload
ZKWeb.Localize Namespace


ZKWeb.Localize.JsonConverters Namespace

[Missing <summary> documentation for "N:ZKWeb.Localize.JsonConverters"]

Classes
 | Class | Description
Public class | TJsonConverter | Support serialize and deserialize T with json 支持json序列化和反序列化T类型


TJsonConverter Class
Support serialize and deserialize T with json
支持json序列化和反序列化T类型
Inheritance Hierarchy
SystemObject
JsonConverter
ZKWeb.Localize.JsonConvertersTJsonConverter

Namespace: ZKWeb.Localize.JsonConverters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TJsonConverter : JsonConverter
Public Class TJsonConverter
    Inherits JsonConverter
public ref class TJsonConverter : public JsonConverter
type TJsonConverter =
    class
        inherit JsonConverter
    end

The TJsonConverter type exposes the following members.

Constructors
 | Name | Description
Public method | TJsonConverter | Initializes a new instance of the TJsonConverter class
Top
Methods
 | Name | Description
Public method | CanConvert | Determine the given type can use this conveter 岸段类型是否可以用这个转换器 (Overrides JsonConverter.CanConvert(Type).)
Public method | ReadJson | Read json as object 把json转换为对象 (Overrides JsonConverter.ReadJson(JsonReader, Type, Object, JsonSerializer).)
Public method | WriteJson | Write object to json 把对象转换为json (Overrides JsonConverter.WriteJson(JsonWriter, Object, JsonSerializer).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Localize.JsonConverters Namespace


TJsonConverter Constructor

Initializes a new instance of the TJsonConverter class

Namespace: ZKWeb.Localize.JsonConverters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TJsonConverter()
Public Sub New
public:
TJsonConverter()
new : unit -> TJsonConverter
See Also

Reference

TJsonConverter Class
ZKWeb.Localize.JsonConverters Namespace


TJsonConverter Methods

The TJsonConverter type exposes the following members.

Methods
 | Name | Description
Public method | CanConvert | Determine the given type can use this conveter 岸段类型是否可以用这个转换器 (Overrides JsonConverter.CanConvert(Type).)
Public method | ReadJson | Read json as object 把json转换为对象 (Overrides JsonConverter.ReadJson(JsonReader, Type, Object, JsonSerializer).)
Public method | WriteJson | Write object to json 把对象转换为json (Overrides JsonConverter.WriteJson(JsonWriter, Object, JsonSerializer).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TJsonConverter Class
ZKWeb.Localize.JsonConverters Namespace


TJsonConverter.CanConvert Method

TJsonConverterCanConvert Method

Determine the given type can use this conveter
岸段类型是否可以用这个转换器

Namespace: ZKWeb.Localize.JsonConverters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override bool CanConvert(
    Type objectType
)
Public Overrides Function CanConvert (
    objectType As Type
) As Boolean
public:
virtual bool CanConvert(
    Type^ objectType
) override
abstract CanConvert :
        objectType : Type -> bool
override CanConvert :
        objectType : Type -> bool

Parameters

objectType
Type: SystemType

[Missing <param name="objectType"/> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.CanConvert(System.Type)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.CanConvert(System.Type)"]

See Also

Reference

TJsonConverter Class
ZKWeb.Localize.JsonConverters Namespace


TJsonConverter.ReadJson Method

TJsonConverterReadJson Method

Read json as object
把json转换为对象

Namespace: ZKWeb.Localize.JsonConverters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Object ReadJson(
    JsonReader reader,
    Type objectType,
    Object existingValue,
    JsonSerializer serializer
)
Public Overrides Function ReadJson (
    reader As JsonReader,
    objectType As Type,
    existingValue As Object,
    serializer As JsonSerializer
) As Object
public:
virtual Object^ ReadJson(
    JsonReader^ reader,
    Type^ objectType,
    Object^ existingValue,
    JsonSerializer^ serializer
) override
abstract ReadJson :
        reader : JsonReader *
        objectType : Type *
        existingValue : Object *
        serializer : JsonSerializer -> Object
override ReadJson :
        reader : JsonReader *
        objectType : Type *
        existingValue : Object *
        serializer : JsonSerializer -> Object

Parameters

reader
Type: JsonReader

[Missing <param name="reader"/> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.ReadJson(Newtonsoft.Json.JsonReader,System.Type,System.Object,Newtonsoft.Json.JsonSerializer)"]

objectType
Type: SystemType

[Missing <param name="objectType"/> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.ReadJson(Newtonsoft.Json.JsonReader,System.Type,System.Object,Newtonsoft.Json.JsonSerializer)"]

existingValue
Type: SystemObject

[Missing <param name="existingValue"/> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.ReadJson(Newtonsoft.Json.JsonReader,System.Type,System.Object,Newtonsoft.Json.JsonSerializer)"]

serializer
Type: JsonSerializer

[Missing <param name="serializer"/> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.ReadJson(Newtonsoft.Json.JsonReader,System.Type,System.Object,Newtonsoft.Json.JsonSerializer)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.ReadJson(Newtonsoft.Json.JsonReader,System.Type,System.Object,Newtonsoft.Json.JsonSerializer)"]

See Also

Reference

TJsonConverter Class
ZKWeb.Localize.JsonConverters Namespace


TJsonConverter.WriteJson Method

TJsonConverterWriteJson Method

Write object to json
把对象转换为json

Namespace: ZKWeb.Localize.JsonConverters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void WriteJson(
    JsonWriter writer,
    Object value,
    JsonSerializer serializer
)
Public Overrides Sub WriteJson (
    writer As JsonWriter,
    value As Object,
    serializer As JsonSerializer
)
public:
virtual void WriteJson(
    JsonWriter^ writer,
    Object^ value,
    JsonSerializer^ serializer
) override
abstract WriteJson :
        writer : JsonWriter *
        value : Object *
        serializer : JsonSerializer -> unit
override WriteJson :
        writer : JsonWriter *
        value : Object *
        serializer : JsonSerializer -> unit

Parameters

writer
Type: JsonWriter

[Missing <param name="writer"/> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.WriteJson(Newtonsoft.Json.JsonWriter,System.Object,Newtonsoft.Json.JsonSerializer)"]

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.WriteJson(Newtonsoft.Json.JsonWriter,System.Object,Newtonsoft.Json.JsonSerializer)"]

serializer
Type: JsonSerializer

[Missing <param name="serializer"/> documentation for "M:ZKWeb.Localize.JsonConverters.TJsonConverter.WriteJson(Newtonsoft.Json.JsonWriter,System.Object,Newtonsoft.Json.JsonSerializer)"]

See Also

Reference

TJsonConverter Class
ZKWeb.Localize.JsonConverters Namespace


ZKWeb.Logging Namespace

[Missing <summary> documentation for "N:ZKWeb.Logging"]

Classes
Class | Description
LogManager | Log manager 日志管理器


LogManager Class
Log manager
日志管理器
Inheritance Hierarchy
SystemObject
ZKWeb.LoggingLogManager

Namespace: ZKWeb.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class LogManager
Public Class LogManager
public ref class LogManager
type LogManager =  class end

The LogManager type exposes the following members.

Constructors
 | Name | Description
Public method | LogManager | Initializes a new instance of the LogManager class
Top
Methods
 | Name | Description
Public method | Log | Log message to file 记录日志到文件
Public method | LogDebug | Log debug level message 记录除错等级的信息
Public method | LogError | Log error level message 记录错误等级的信息
Public method | LogInfo | Log information level message 记录一般等级的信息
Public method | LogTransaction | Log transaction (releated to money) message 记录交易(关系到钱财的)信息
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var logManager = Application.Ioc.Resolve<LogManager>();
logManager.LogDebug("debug message");
See Also

Reference

ZKWeb.Logging Namespace


LogManager Constructor

Initializes a new instance of the LogManager class

Namespace: ZKWeb.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LogManager()
Public Sub New
public:
LogManager()
new : unit -> LogManager
See Also

Reference

LogManager Class
ZKWeb.Logging Namespace


LogManager Methods

The LogManager type exposes the following members.

Methods
 | Name | Description
Public method | Log | Log message to file 记录日志到文件
Public method | LogDebug | Log debug level message 记录除错等级的信息
Public method | LogError | Log error level message 记录错误等级的信息
Public method | LogInfo | Log information level message 记录一般等级的信息
Public method | LogTransaction | Log transaction (releated to money) message 记录交易(关系到钱财的)信息
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LogManager Class
ZKWeb.Logging Namespace


LogManager.Log Method

LogManagerLog Method

Log message to file
记录日志到文件

Namespace: ZKWeb.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Log(
    string filename,
    string message
)
Public Overridable Sub Log (
    filename As String,
    message As String
)
public:
virtual void Log(
    String^ filename,
    String^ message
)
abstract Log :
        filename : string *
        message : string -> unit
override Log :
        filename : string *
        message : string -> unit

Parameters

filename
Type: SystemString

[Missing <param name="filename"/> documentation for "M:ZKWeb.Logging.LogManager.Log(System.String,System.String)"]

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:ZKWeb.Logging.LogManager.Log(System.String,System.String)"]

See Also

Reference

LogManager Class
ZKWeb.Logging Namespace


LogManager.LogDebug Method

LogManagerLogDebug Method

Log debug level message
记录除错等级的信息

Namespace: ZKWeb.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void LogDebug(
    string message,
    string memberName = null
)
Public Overridable Sub LogDebug (
    message As String,
    Optional memberName As String = Nothing
)
public:
virtual void LogDebug(
    String^ message,
    String^ memberName = nullptr
)
abstract LogDebug :
        message : string *
        ?memberName : string
(* Defaults:
        let _memberName = defaultArg memberName null
*)
-> unit
override LogDebug :
        message : string *
        ?memberName : string
(* Defaults:
        let _memberName = defaultArg memberName null
*)
-> unit

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:ZKWeb.Logging.LogManager.LogDebug(System.String,System.String)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWeb.Logging.LogManager.LogDebug(System.String,System.String)"]

See Also

Reference

LogManager Class
ZKWeb.Logging Namespace


LogManager.LogError Method

LogManagerLogError Method

Log error level message
记录错误等级的信息

Namespace: ZKWeb.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void LogError(
    string message,
    string memberName = null,
    string filePath = null,
    int lineNumber = 0
)
Public Overridable Sub LogError (
    message As String,
    Optional memberName As String = Nothing,
    Optional filePath As String = Nothing,
    Optional lineNumber As Integer = 0
)
public:
virtual void LogError(
    String^ message,
    String^ memberName = nullptr,
    String^ filePath = nullptr,
    int lineNumber = 0
)
abstract LogError :
        message : string *
        ?memberName : string *
        ?filePath : string *
        ?lineNumber : int
(* Defaults:
        let _memberName = defaultArg memberName null
        let _filePath = defaultArg filePath null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit
override LogError :
        message : string *
        ?memberName : string *
        ?filePath : string *
        ?lineNumber : int
(* Defaults:
        let _memberName = defaultArg memberName null
        let _filePath = defaultArg filePath null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:ZKWeb.Logging.LogManager.LogError(System.String,System.String,System.String,System.Int32)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWeb.Logging.LogManager.LogError(System.String,System.String,System.String,System.Int32)"]

filePath (Optional)
Type: SystemString

[Missing <param name="filePath"/> documentation for "M:ZKWeb.Logging.LogManager.LogError(System.String,System.String,System.String,System.Int32)"]

lineNumber (Optional)
Type: SystemInt32

[Missing <param name="lineNumber"/> documentation for "M:ZKWeb.Logging.LogManager.LogError(System.String,System.String,System.String,System.Int32)"]

See Also

Reference

LogManager Class
ZKWeb.Logging Namespace


LogManager.LogInfo Method

LogManagerLogInfo Method

Log information level message
记录一般等级的信息

Namespace: ZKWeb.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void LogInfo(
    string message,
    string memberName = null
)
Public Overridable Sub LogInfo (
    message As String,
    Optional memberName As String = Nothing
)
public:
virtual void LogInfo(
    String^ message,
    String^ memberName = nullptr
)
abstract LogInfo :
        message : string *
        ?memberName : string
(* Defaults:
        let _memberName = defaultArg memberName null
*)
-> unit
override LogInfo :
        message : string *
        ?memberName : string
(* Defaults:
        let _memberName = defaultArg memberName null
*)
-> unit

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:ZKWeb.Logging.LogManager.LogInfo(System.String,System.String)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWeb.Logging.LogManager.LogInfo(System.String,System.String)"]

See Also

Reference

LogManager Class
ZKWeb.Logging Namespace


LogManager.LogTransaction Method

LogManagerLogTransaction Method

Log transaction (releated to money) message
记录交易(关系到钱财的)信息

Namespace: ZKWeb.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void LogTransaction(
    string message,
    string memberName = null
)
Public Overridable Sub LogTransaction (
    message As String,
    Optional memberName As String = Nothing
)
public:
virtual void LogTransaction(
    String^ message,
    String^ memberName = nullptr
)
abstract LogTransaction :
        message : string *
        ?memberName : string
(* Defaults:
        let _memberName = defaultArg memberName null
*)
-> unit
override LogTransaction :
        message : string *
        ?memberName : string
(* Defaults:
        let _memberName = defaultArg memberName null
*)
-> unit

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:ZKWeb.Logging.LogManager.LogTransaction(System.String,System.String)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWeb.Logging.LogManager.LogTransaction(System.String,System.String)"]

See Also

Reference

LogManager Class
ZKWeb.Logging Namespace


ZKWeb.ORM Namespaces

[Missing <summary> documentation for "G:ZKWeb.ORM"]

Namespaces
Namespace | Description
ZKWeb.ORM.Dapper |
ZKWeb.ORM.EFCore |
ZKWeb.ORM.InMemory |
ZKWeb.ORM.MongoDB |
ZKWeb.ORM.NHibernate |


ZKWeb.ORM.Dapper Namespaces

[Missing <summary> documentation for "G:ZKWeb.ORM.Dapper"]

Namespaces
Namespace | Description
ZKWeb.ORM.Dapper |
ZKWeb.ORM.Dapper.PropertyResolver |
ZKWeb.ORM.Dapper.TypeHandlers |


ZKWeb.ORM.Dapper Namespace

[Missing <summary> documentation for "N:ZKWeb.ORM.Dapper"]

Classes
 | Class | Description
Public class | DapperDatabaseContext | Dapper database context Dapper的数据库上下文
Public class | DapperDatabaseContextFactory | Dapper database context factory Attention: There no database migration support for dapper, you should create the database scheme manually or use other ORM as a bootstrap And because dapper not support relational mapping at all, you need explicit create join tables Dapper的数据库上下文生成器 注意: Dapper不支持数据库迁移 你应该手动创建好数据库表, 或者先用其他ORM创建 并且因为Dapper不支持关系映射, 你应该明确的创建join使用的表
Public class | DapperEntityMappingBuilderT | Defines a mapping for an entity 定义一个实体的映射
Public class | DapperEntityMappings | Dapper entity mappings Dapper的实体映射集合
Interfaces
 | Interface | Description
Public interface | IDapperEntityMapping | The non-generic interface for entity mapping 非泛型的实体映射定义的接口


DapperDatabaseContext Class
Dapper database context
Dapper的数据库上下文
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.DapperDapperDatabaseContext

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DapperDatabaseContext : IDatabaseContext,
    IDisposable
Public Class DapperDatabaseContext
    Implements IDatabaseContext, IDisposable
public ref class DapperDatabaseContext : IDatabaseContext,
    IDisposable
type DapperDatabaseContext =
    class
        interface IDatabaseContext
        interface IDisposable
    end

The DapperDatabaseContext type exposes the following members.

Constructors
 | Name | Description
Public method | DapperDatabaseContext | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | Connection | Database connection 数据库连接
Public property | Database | Database type 数据库类型
Public property | DbConnection | Underlying database connection 返回底层的数据库连接
Public property | Mappings | Dapper entity mappings Dapper的实体映射
Public property | ORM | ORM name ORM名称
Protected property | Transaction | Database transaction 数据库事务
Top
Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities Attention: It's slow, you should use RawUpdate 批量删除实体 注意: 它很慢, 你应该使用RawUpdate
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities Attention: It's slow, you should use RawUpdate 批量更新实体 注意: 它很慢, 你应该使用RawUpdate
Public method | BeginTransaction | Begin a transaction 开始一个事务
Public method | CountT | Get how many entities that matched the given predicate Attention: It's slow, you should use RawQuery 获取符合传入条件的实体数量 注意: 它很慢, 你应该使用RawQuery
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Dispose connection and transaction 销毁连接和事务
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way Attention: It's still slow, you should use RawUpdate 快速批量删除实体 注意: 它仍然很慢, 你应该使用RawUpdate
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体 注意: 它仍然很慢, 你应该使用RawUpdate
Protected method | Finalize | Finalize 析构函数 (Overrides ObjectFinalize.)
Public method | FinishTransaction | Finish the transaction 结束一个事务
Public method | GetT | Get single entity that matched the given predicate It should return null if no matched entity found 获取符合传入条件的单个实体 如果无符合条件的实体应该返回null
Protected method | InsertOrUpdateT | Insert or update entity 插入或更新实体
Public method | QueryT | Get the query object for specific entity type Attention: It's slow, you should use RawQuery 获取指定实体类型的查询对象 注意: 它很慢, 你应该使用RawQuery
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Fields
 | Name | Description
 | ConstORM |
Protected field | databaseType |
Protected field | TransactionLevel | Transaction level counter 事务嵌套计数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DapperDatabaseContext(
    DapperEntityMappings mappings,
    string database,
    string connectionString
)
Public Sub New (
    mappings As DapperEntityMappings,
    database As String,
    connectionString As String
)
public:
DapperDatabaseContext(
    DapperEntityMappings^ mappings,
    String^ database,
    String^ connectionString
)
new :
        mappings : DapperEntityMappings *
        database : string *
        connectionString : string -> DapperDatabaseContext

Parameters

mappings
Type: ZKWeb.ORM.DapperDapperEntityMappings
Dapper entity mappings
database
Type: SystemString
Database type
connectionString
Type: SystemString
Connection string
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext Properties

The DapperDatabaseContext type exposes the following members.

Properties
 | Name | Description
Protected property | Connection | Database connection 数据库连接
Public property | Database | Database type 数据库类型
Public property | DbConnection | Underlying database connection 返回底层的数据库连接
Public property | Mappings | Dapper entity mappings Dapper的实体映射
Public property | ORM | ORM name ORM名称
Protected property | Transaction | Database transaction 数据库事务
Top
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Connection Property

DapperDatabaseContextConnection Property

Database connection
数据库连接

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IDbConnection Connection { get; set; }
Protected Property Connection As IDbConnection
    Get
    Set
protected:
property IDbConnection^ Connection {
    IDbConnection^ get ();
    void set (IDbConnection^ value);
}
member Connection : IDbConnection with get, set

Property Value

Type: IDbConnection
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Database Property

DapperDatabaseContextDatabase Property

Database type
数据库类型

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Database { get; }
Public ReadOnly Property Database As String
    Get
public:
virtual property String^ Database {
    String^ get () sealed;
}
abstract Database : string with get
override Database : string with get

Property Value

Type: String

Implements

IDatabaseContextDatabase
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.DbConnection Property

DapperDatabaseContextDbConnection Property

Underlying database connection
返回底层的数据库连接

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object DbConnection { get; }
Public ReadOnly Property DbConnection As Object
    Get
public:
virtual property Object^ DbConnection {
    Object^ get () sealed;
}
abstract DbConnection : Object with get
override DbConnection : Object with get

Property Value

Type: Object

Implements

IDatabaseContextDbConnection
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Mappings Property

DapperDatabaseContextMappings Property

Dapper entity mappings
Dapper的实体映射

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DapperEntityMappings Mappings { get; protected set; }
Public Property Mappings As DapperEntityMappings
    Get
    Protected Set
public:
property DapperEntityMappings^ Mappings {
    DapperEntityMappings^ get ();
    protected: void set (DapperEntityMappings^ value);
}
member Mappings : DapperEntityMappings with get, set

Property Value

Type: DapperEntityMappings
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.ORM Property

DapperDatabaseContextORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IDatabaseContextORM
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Transaction Property

DapperDatabaseContextTransaction Property

Database transaction
数据库事务

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IDbTransaction Transaction { get; set; }
Protected Property Transaction As IDbTransaction
    Get
    Set
protected:
property IDbTransaction^ Transaction {
    IDbTransaction^ get ();
    void set (IDbTransaction^ value);
}
member Transaction : IDbTransaction with get, set

Property Value

Type: IDbTransaction
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext Methods

The DapperDatabaseContext type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities Attention: It's slow, you should use RawUpdate 批量删除实体 注意: 它很慢, 你应该使用RawUpdate
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities Attention: It's slow, you should use RawUpdate 批量更新实体 注意: 它很慢, 你应该使用RawUpdate
Public method | BeginTransaction | Begin a transaction 开始一个事务
Public method | CountT | Get how many entities that matched the given predicate Attention: It's slow, you should use RawQuery 获取符合传入条件的实体数量 注意: 它很慢, 你应该使用RawQuery
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Dispose connection and transaction 销毁连接和事务
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way Attention: It's still slow, you should use RawUpdate 快速批量删除实体 注意: 它仍然很慢, 你应该使用RawUpdate
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体 注意: 它仍然很慢, 你应该使用RawUpdate
Protected method | Finalize | Finalize 析构函数 (Overrides ObjectFinalize.)
Public method | FinishTransaction | Finish the transaction 结束一个事务
Public method | GetT | Get single entity that matched the given predicate It should return null if no matched entity found 获取符合传入条件的单个实体 如果无符合条件的实体应该返回null
Protected method | InsertOrUpdateT | Insert or update entity 插入或更新实体
Public method | QueryT | Get the query object for specific entity type Attention: It's slow, you should use RawQuery 获取指定实体类型的查询对象 注意: 它很慢, 你应该使用RawQuery
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.BatchDelete(T) Method

DapperDatabaseContextBatchDeleteT Method

Batch delete entities
Attention: It's slow, you should use RawUpdate
批量删除实体
注意: 它很慢, 你应该使用RawUpdate

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchDelete<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> beforeDelete
)
where T : class, IEntity

Public Function BatchDelete(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    beforeDelete As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchDelete(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ beforeDelete
) sealed
abstract BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

beforeDelete
Type: SystemAction T

[Missing <param name="beforeDelete"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchDeleteT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.BatchSave(T) Method

DapperDatabaseContextBatchSaveT Method

Batch save entities
批量保存实体

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BatchSave<T>(
    ref IEnumerable<T> entities,
    Action<T> update = null
)
where T : class, IEntity

Public Sub BatchSave(Of T As {Class, IEntity}) (
    ByRef entities As IEnumerable(Of T),
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void BatchSave(
    IEnumerable<T>^% entities,
    Action<T>^ update = nullptr
) sealed
abstract BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Implements

IDatabaseContextBatchSaveT(IEnumerableT, ActionT)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.BatchUpdate(T) Method

DapperDatabaseContextBatchUpdateT Method

Batch update entities
Attention: It's slow, you should use RawUpdate
批量更新实体
注意: 它很慢, 你应该使用RawUpdate

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchUpdate<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> update
)
where T : class, IEntity

Public Function BatchUpdate(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    update As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchUpdate(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ update
) sealed
abstract BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

update
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchUpdateT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.BeginTransaction Method

DapperDatabaseContextBeginTransaction Method

Begin a transaction
开始一个事务

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel = null
)
Public Sub BeginTransaction (
    Optional isolationLevel As Nullable(Of IsolationLevel) = Nothing
)
public:
virtual void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel = nullptr
) sealed
abstract BeginTransaction :
        ?isolationLevel : Nullable<IsolationLevel>
(* Defaults:
        let _isolationLevel = defaultArg isolationLevel null
*)
-> unit
override BeginTransaction :
        ?isolationLevel : Nullable<IsolationLevel>
(* Defaults:
        let _isolationLevel = defaultArg isolationLevel null
*)
-> unit

Parameters

isolationLevel (Optional)
Type: SystemNullable IsolationLevel

[Missing <param name="isolationLevel"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.BeginTransaction(System.Nullable{System.Data.IsolationLevel})"]

Implements

IDatabaseContextBeginTransaction(NullableIsolationLevel)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Count(T) Method

DapperDatabaseContextCountT Method

Get how many entities that matched the given predicate
Attention: It's slow, you should use RawQuery
获取符合传入条件的实体数量
注意: 它很慢, 你应该使用RawQuery

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Count<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Count(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long Count(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity
override Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextCountT(ExpressionFuncT, Boolean)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Delete(T) Method

DapperDatabaseContextDeleteT Method

Delete entity from database
删除数据库中的实体

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Delete<T>(
    T entity
)
where T : class, IEntity

Public Sub Delete(Of T As {Class, IEntity}) (
    entity As T
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Delete(
    T entity
) sealed
abstract Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity
override Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Delete``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Delete``1(``0)"]

Implements

IDatabaseContextDeleteT(T)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Dispose Method

DapperDatabaseContextDispose Method

Dispose connection and transaction
销毁连接和事务

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.FastBatchDelete(T, TPrimaryKey) Method

DapperDatabaseContextFastBatchDeleteT, TPrimaryKey Method

Batch delete entities in faster way
Attention: It's still slow, you should use RawUpdate
快速批量删除实体
注意: 它仍然很慢, 你应该使用RawUpdate

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long FastBatchDelete<T, TPrimaryKey>(
    Expression<Func<T, bool>> predicate
)
where T : class, new(), Object, IEntity<TPrimaryKey>

Public Function FastBatchDelete(Of T As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, gcnew(), Object, IEntity<TPrimaryKey>
virtual long long FastBatchDelete(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>
override FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextFastBatchDeleteT, TPrimaryKey(ExpressionFuncT, Boolean)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.FastBatchSave(T, TPrimaryKey) Method

DapperDatabaseContextFastBatchSaveT, TPrimaryKey Method

Batch save entities in faster way
快速批量保存实体
注意: 它仍然很慢, 你应该使用RawUpdate

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FastBatchSave<T, TPrimaryKey>(
    IEnumerable<T> entities
)
where T : class, Object, IEntity<TPrimaryKey>

Public Sub FastBatchSave(Of T As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    entities As IEnumerable(Of T)
)
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, Object, IEntity<TPrimaryKey>
virtual void FastBatchSave(
    IEnumerable<T>^ entities
) sealed
abstract FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>
override FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Implements

IDatabaseContextFastBatchSaveT, TPrimaryKey(IEnumerableT)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Finalize Method

DapperDatabaseContextFinalize Method

Finalize
析构函数

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override void Finalize()
Protected Overrides Sub Finalize
protected:
virtual void Finalize() override
abstract Finalize : unit -> unit
override Finalize : unit -> unit

Implements

ObjectFinalize
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.FinishTransaction Method

DapperDatabaseContextFinishTransaction Method

Finish the transaction
结束一个事务

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FinishTransaction()
Public Sub FinishTransaction
public:
virtual void FinishTransaction() sealed
abstract FinishTransaction : unit -> unit
override FinishTransaction : unit -> unit

Implements

IDatabaseContextFinishTransaction
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Get(T) Method

DapperDatabaseContextGetT Method

Get single entity that matched the given predicate
It should return null if no matched entity found
获取符合传入条件的单个实体
如果无符合条件的实体应该返回null

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T Get<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Get(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As T
public:
generic<typename T>
where T : ref class, IEntity
virtual T Get(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity
override Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextGetT(ExpressionFuncT, Boolean)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.InsertOrUpdate(T) Method

DapperDatabaseContextInsertOrUpdateT Method

Insert or update entity
插入或更新实体

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void InsertOrUpdate<T>(
    T entity
)
where T : class, IEntity

Protected Sub InsertOrUpdate(Of T As {Class, IEntity}) (
    entity As T
)
protected:
generic<typename T>
where T : ref class, IEntity
void InsertOrUpdate(
    T entity
)
member InsertOrUpdate :
        entity : 'T -> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.InsertOrUpdate``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.InsertOrUpdate``1(``0)"]

See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Query(T) Method

DapperDatabaseContextQueryT Method

Get the query object for specific entity type
Attention: It's slow, you should use RawQuery
获取指定实体类型的查询对象
注意: 它很慢, 你应该使用RawQuery

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IQueryable<T> Query<T>()
where T : class, IEntity

Public Function Query(Of T As {Class, IEntity}) As IQueryable(Of T)
public:
generic<typename T>
where T : ref class, IEntity
virtual IQueryable<T>^ Query() sealed
abstract Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity
override Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Query``1"]

Return Value

Type: IQueryable T

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Query``1"]

Implements

IDatabaseContextQueryT
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.RawQuery(T) Method

DapperDatabaseContextRawQueryT Method

Perform a raw query to database
执行一个原生的查询操作

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<T> RawQuery<T>(
    Object query,
    Object parameters
)
where T : class

Public Function RawQuery(Of T As Class) (
    query As Object,
    parameters As Object
) As IEnumerable(Of T)
public:
generic<typename T>
where T : ref class
virtual IEnumerable<T>^ RawQuery(
    Object^ query,
    Object^ parameters
) sealed
abstract RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct
override RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.RawQuery``1(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Return Value

Type: IEnumerable T

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Implements

IDatabaseContextRawQueryT(Object, Object)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.RawUpdate Method

DapperDatabaseContextRawUpdate Method

Perform a raw update to database
执行一个原生的更新操作

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long RawUpdate(
    Object query,
    Object parameters
)
Public Function RawUpdate (
    query As Object,
    parameters As Object
) As Long
public:
virtual long long RawUpdate(
    Object^ query,
    Object^ parameters
) sealed
abstract RawUpdate :
        query : Object *
        parameters : Object -> int64
override RawUpdate :
        query : Object *
        parameters : Object -> int64

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.RawUpdate(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.RawUpdate(System.Object,System.Object)"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.RawUpdate(System.Object,System.Object)"]

Implements

IDatabaseContextRawUpdate(Object, Object)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.Save(T) Method

DapperDatabaseContextSaveT Method

Save entity to database
保存实体到数据库

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Save<T>(
    ref T entity,
    Action<T> update = null
)
where T : class, IEntity

Public Sub Save(Of T As {Class, IEntity}) (
    ByRef entity As T,
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Save(
    T% entity,
    Action<T>^ update = nullptr
) sealed
abstract Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Save``1(``0@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Save``1(``0@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContext.Save``1(``0@,System.Action{``0})"]

Implements

IDatabaseContextSaveT(T, ActionT)
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext Fields

The DapperDatabaseContext type exposes the following members.

Fields
 | Name | Description
 | ConstORM |
Protected field | databaseType |
Protected field | TransactionLevel | Transaction level counter 事务嵌套计数
Top
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.ConstORM Field

DapperDatabaseContextConstORM Field

[Missing <summary> documentation for "F:ZKWeb.ORM.Dapper.DapperDatabaseContext.ConstORM"]

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstORM = "Dapper"
Public Const ConstORM As String = "Dapper"
public:
literal String^ ConstORM = "Dapper"
static val mutable ConstORM: string

Field Value

Type: String
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.databaseType Field

DapperDatabaseContextdatabaseType Field

[Missing <summary> documentation for "F:ZKWeb.ORM.Dapper.DapperDatabaseContext.databaseType"]

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string databaseType
Protected databaseType As String
protected:
String^ databaseType
val mutable databaseType: string

Field Value

Type: String
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContext.TransactionLevel Field

DapperDatabaseContextTransactionLevel Field
Transaction level counter
事务嵌套计数

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected int TransactionLevel
Protected TransactionLevel As Integer
protected:
int TransactionLevel
val mutable TransactionLevel: int

Field Value

Type: Int32
See Also

Reference

DapperDatabaseContext Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContextFactory Class
Dapper database context factory
Attention:
There no database migration support for dapper,
you should create the database scheme manually or use other ORM as a bootstrap
And because dapper not support relational mapping at all, you need explicit create join tables
Dapper的数据库上下文生成器
注意:
Dapper不支持数据库迁移
你应该手动创建好数据库表, 或者先用其他ORM创建
并且因为Dapper不支持关系映射, 你应该明确的创建join使用的表
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.DapperDapperDatabaseContextFactory

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DapperDatabaseContextFactory : IDatabaseContextFactory
Public Class DapperDatabaseContextFactory
    Implements IDatabaseContextFactory
public ref class DapperDatabaseContextFactory : IDatabaseContextFactory
type DapperDatabaseContextFactory =
    class
        interface IDatabaseContextFactory
    end

The DapperDatabaseContextFactory type exposes the following members.

Constructors
 | Name | Description
Public method | DapperDatabaseContextFactory | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ConnectionString | Connection string 连接字符串
Public property | Database | Database type 数据库类型
Public property | Mappings | Dapper entity mappings Dapper的实体映射
Top
Methods
 | Name | Description
Public method | CreateContext | Create a database context 创建数据库上下文
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.Dapper Namespace


DapperDatabaseContextFactory Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DapperDatabaseContextFactory(
    string database,
    string connectionString
)
Public Sub New (
    database As String,
    connectionString As String
)
public:
DapperDatabaseContextFactory(
    String^ database,
    String^ connectionString
)
new :
        database : string *
        connectionString : string -> DapperDatabaseContextFactory

Parameters

database
Type: SystemString
Database type
connectionString
Type: SystemString
Connection string
See Also

Reference

DapperDatabaseContextFactory Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContextFactory Properties

The DapperDatabaseContextFactory type exposes the following members.

Properties
 | Name | Description
Public property | ConnectionString | Connection string 连接字符串
Public property | Database | Database type 数据库类型
Public property | Mappings | Dapper entity mappings Dapper的实体映射
Top
See Also

Reference

DapperDatabaseContextFactory Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContextFactory.ConnectionString Property

DapperDatabaseContextFactoryConnectionString Property

Connection string
连接字符串

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ConnectionString { get; protected set; }
Public Property ConnectionString As String
    Get
    Protected Set
public:
property String^ ConnectionString {
    String^ get ();
    protected: void set (String^ value);
}
member ConnectionString : string with get, set

Property Value

Type: String
See Also

Reference

DapperDatabaseContextFactory Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContextFactory.Database Property

DapperDatabaseContextFactoryDatabase Property

Database type
数据库类型

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Database { get; protected set; }
Public Property Database As String
    Get
    Protected Set
public:
property String^ Database {
    String^ get ();
    protected: void set (String^ value);
}
member Database : string with get, set

Property Value

Type: String
See Also

Reference

DapperDatabaseContextFactory Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContextFactory.Mappings Property

DapperDatabaseContextFactoryMappings Property

Dapper entity mappings
Dapper的实体映射

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DapperEntityMappings Mappings { get; protected set; }
Public Property Mappings As DapperEntityMappings
    Get
    Protected Set
public:
property DapperEntityMappings^ Mappings {
    DapperEntityMappings^ get ();
    protected: void set (DapperEntityMappings^ value);
}
member Mappings : DapperEntityMappings with get, set

Property Value

Type: DapperEntityMappings
See Also

Reference

DapperDatabaseContextFactory Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContextFactory Methods

The DapperDatabaseContextFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateContext | Create a database context 创建数据库上下文
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DapperDatabaseContextFactory Class
ZKWeb.ORM.Dapper Namespace


DapperDatabaseContextFactory.CreateContext Method

DapperDatabaseContextFactoryCreateContext Method

Create a database context
创建数据库上下文

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDatabaseContext CreateContext()
Public Function CreateContext As IDatabaseContext
public:
virtual IDatabaseContext^ CreateContext() sealed
abstract CreateContext : unit -> IDatabaseContext
override CreateContext : unit -> IDatabaseContext

Return Value

Type: IDatabaseContext

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperDatabaseContextFactory.CreateContext"]

Implements

IDatabaseContextFactoryCreateContext
See Also

Reference

DapperDatabaseContextFactory Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T) Class

DapperEntityMappingBuilderT Class
Defines a mapping for an entity
定义一个实体的映射
Inheritance Hierarchy
SystemObject
EntityMapBaseT, DommelPropertyMap
DommelEntityMapT
ZKWeb.ORM.DapperDapperEntityMappingBuilderT

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DapperEntityMappingBuilder<T> : DommelEntityMap<T>,
    IEntityMappingBuilder<T>, IDapperEntityMapping
where T : class, IEntity

Public Class DapperEntityMappingBuilder(Of T As {Class, IEntity})
    Inherits DommelEntityMap(Of T)
    Implements IEntityMappingBuilder(Of T), IDapperEntityMapping
generic<typename T>
where T : ref class, IEntity
public ref class DapperEntityMappingBuilder : public DommelEntityMap<T>,
    IEntityMappingBuilder<T>, IDapperEntityMapping
type DapperEntityMappingBuilder<'T when 'T : not struct and IEntity> =
    class
        inherit DommelEntityMap<'T>
        interface IEntityMappingBuilder<'T>
        interface IDapperEntityMapping
    end

Type Parameters

T
Entity type

The DapperEntityMappingBuilderT type exposes the following members.

Constructors
 | Name | Description
Public method | DapperEntityMappingBuilderT | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | CustomTableName | Custom table name 自定义表名
Public property | EntityType | Entity type 实体类型
Public property | IdMember | Id member Id成员
Public property | OrdinaryMembers | Ordinary members 普通成员列表
Public property | ORM | ORM name ORM名称
Top
Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Top
Fields
 | Name | Description
Protected field | idMember |
Protected field | ordinaryMembers |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T) Constructor

DapperEntityMappingBuilderT Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DapperEntityMappingBuilder()
Public Sub New
public:
DapperEntityMappingBuilder()
new : unit -> DapperEntityMappingBuilder
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T) Properties

DapperEntityMappingBuilderT Properties

The DapperEntityMappingBuilderT generic type exposes the following members.

Properties
 | Name | Description
Protected property | CustomTableName | Custom table name 自定义表名
Public property | EntityType | Entity type 实体类型
Public property | IdMember | Id member Id成员
Public property | OrdinaryMembers | Ordinary members 普通成员列表
Public property | ORM | ORM name ORM名称
Top
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).CustomTableName Property

DapperEntityMappingBuilderTCustomTableName Property

Custom table name
自定义表名

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string CustomTableName { get; set; }
Protected Property CustomTableName As String
    Get
    Set
protected:
property String^ CustomTableName {
    String^ get ();
    void set (String^ value);
}
member CustomTableName : string with get, set

Property Value

Type: String
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).EntityType Property

DapperEntityMappingBuilderTEntityType Property

Entity type
实体类型

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Type EntityType { get; }
Public ReadOnly Property EntityType As Type
    Get
public:
virtual property Type^ EntityType {
    Type^ get () sealed;
}
abstract EntityType : Type with get
override EntityType : Type with get

Property Value

Type: Type

Implements

IDapperEntityMappingEntityType
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).IdMember Property

DapperEntityMappingBuilderTIdMember Property

Id member
Id成员

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MemberInfo IdMember { get; }
Public ReadOnly Property IdMember As MemberInfo
    Get
public:
virtual property MemberInfo^ IdMember {
    MemberInfo^ get () sealed;
}
abstract IdMember : MemberInfo with get
override IdMember : MemberInfo with get

Property Value

Type: MemberInfo

Implements

IDapperEntityMappingIdMember
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).OrdinaryMembers Property

DapperEntityMappingBuilderTOrdinaryMembers Property

Ordinary members
普通成员列表

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<MemberInfo> OrdinaryMembers { get; }
Public ReadOnly Property OrdinaryMembers As IEnumerable(Of MemberInfo)
    Get
public:
virtual property IEnumerable<MemberInfo^>^ OrdinaryMembers {
    IEnumerable<MemberInfo^>^ get () sealed;
}
abstract OrdinaryMembers : IEnumerable<MemberInfo> with get
override OrdinaryMembers : IEnumerable<MemberInfo> with get

Property Value

Type: IEnumerable MemberInfo

Implements

IDapperEntityMappingOrdinaryMembers
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).ORM Property

DapperEntityMappingBuilderTORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IEntityMappingBuilderTORM
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T) Methods

DapperEntityMappingBuilderT Methods

The DapperEntityMappingBuilderT generic type exposes the following members.

Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).HasMany(TChild) Method

DapperEntityMappingBuilderTHasManyTChild Method

Maps a collection of entities as a one-to-many relationship.
创建到实体集合的映射, 这是一对多的关系

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options
)
where TChild : class

Public Sub HasMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    options As EntityMappingOptions
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct
override HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).HasManyToMany(TChild) Method

DapperEntityMappingBuilderTHasManyToManyTChild Method

Maps a collection of entities as a many-to-many relationship.
创建到实体集合的映射, 这是多对多的关系

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasManyToMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options = null
)
where TChild : class

Public Sub HasManyToMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    Optional options As EntityMappingOptions = Nothing
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasManyToMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
) sealed
abstract HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct
override HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyToManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).Id(TPrimaryKey) Method

DapperEntityMappingBuilderTIdTPrimaryKey Method

Specify the primary key for this entity
指定实体的主键

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Id<TPrimaryKey>(
    Expression<Func<T, TPrimaryKey>> memberExpression,
    EntityMappingOptions options
)

Public Sub Id(Of TPrimaryKey) (
    memberExpression As Expression(Of Func(Of T, TPrimaryKey)),
    options As EntityMappingOptions
)
public:
generic<typename TPrimaryKey>
virtual void Id(
    Expression<Func<T, TPrimaryKey>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit
override Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TPrimaryKey

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTIdTPrimaryKey(ExpressionFuncT, TPrimaryKey, EntityMappingOptions)
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).Map(TMember) Method

DapperEntityMappingBuilderTMapTMember Method

Create a member mapping
创建成员映射

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Map<TMember>(
    Expression<Func<T, TMember>> memberExpression,
    EntityMappingOptions options
)

Public Sub Map(Of TMember) (
    memberExpression As Expression(Of Func(Of T, TMember)),
    options As EntityMappingOptions
)
public:
generic<typename TMember>
virtual void Map(
    Expression<Func<T, TMember>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        options : EntityMappingOptions -> unit
override Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TMember

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TMember

[Missing <typeparam name="TMember"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTMapTMember(ExpressionFuncT, TMember, EntityMappingOptions)
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).References(TOther) Method

DapperEntityMappingBuilderTReferencesTOther Method

Create a reference to another entity, this is a many-to-one relationship.
创建到其他实体的映射, 这是多对一的关系

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void References<TOther>(
    Expression<Func<T, TOther>> memberExpression,
    EntityMappingOptions options
)
where TOther : class

Public Sub References(Of TOther As Class) (
    memberExpression As Expression(Of Func(Of T, TOther)),
    options As EntityMappingOptions
)
public:
generic<typename TOther>
where TOther : ref class
virtual void References(
    Expression<Func<T, TOther>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        options : EntityMappingOptions -> unit  when 'TOther : not struct
override References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        options : EntityMappingOptions -> unit  when 'TOther : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TOther

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TOther

[Missing <typeparam name="TOther"/> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTReferencesTOther(ExpressionFuncT, TOther, EntityMappingOptions)
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T) Fields

DapperEntityMappingBuilderT Fields

The DapperEntityMappingBuilderT generic type exposes the following members.

Fields
 | Name | Description
Protected field | idMember |
Protected field | ordinaryMembers |
Top
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).idMember Field

DapperEntityMappingBuilderTidMember Field

[Missing <summary> documentation for "F:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.idMember"]

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected MemberInfo idMember
Protected idMember As MemberInfo
protected:
MemberInfo^ idMember
val mutable idMember: MemberInfo

Field Value

Type: MemberInfo
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappingBuilder(T).ordinaryMembers Field

DapperEntityMappingBuilderTordinaryMembers Field

[Missing <summary> documentation for "F:ZKWeb.ORM.Dapper.DapperEntityMappingBuilder`1.ordinaryMembers"]

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IList<MemberInfo> ordinaryMembers
Protected ordinaryMembers As IList(Of MemberInfo)
protected:
IList<MemberInfo^>^ ordinaryMembers
val mutable ordinaryMembers: IList<MemberInfo>

Field Value

Type: IList MemberInfo
See Also

Reference

DapperEntityMappingBuilderT Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappings Class
Dapper entity mappings
Dapper的实体映射集合
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.DapperDapperEntityMappings

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DapperEntityMappings
Public Class DapperEntityMappings
public ref class DapperEntityMappings
type DapperEntityMappings =  class end

The DapperEntityMappings type exposes the following members.

Constructors
 | Name | Description
Public method | DapperEntityMappings | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Mappings | Type to mapping definition 类型到映射的定义
Top
Methods
 | Name | Description
Public method | GetMapping | Get mapping for entity type 获取实体类型对应的映射
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.Dapper Namespace


DapperEntityMappings Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DapperEntityMappings()
Public Sub New
public:
DapperEntityMappings()
new : unit -> DapperEntityMappings
See Also

Reference

DapperEntityMappings Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappings Properties

The DapperEntityMappings type exposes the following members.

Properties
 | Name | Description
Public property | Mappings | Type to mapping definition 类型到映射的定义
Top
See Also

Reference

DapperEntityMappings Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappings.Mappings Property

DapperEntityMappingsMappings Property

Type to mapping definition
类型到映射的定义

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ConcurrentDictionary<Type, IDapperEntityMapping> Mappings { get; protected set; }
Public Property Mappings As ConcurrentDictionary(Of Type, IDapperEntityMapping)
    Get
    Protected Set
public:
property ConcurrentDictionary<Type^, IDapperEntityMapping^>^ Mappings {
    ConcurrentDictionary<Type^, IDapperEntityMapping^>^ get ();
    protected: void set (ConcurrentDictionary<Type^, IDapperEntityMapping^>^ value);
}
member Mappings : ConcurrentDictionary<Type, IDapperEntityMapping> with get, set

Property Value

Type: ConcurrentDictionary Type, IDapperEntityMapping
See Also

Reference

DapperEntityMappings Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappings Methods

The DapperEntityMappings type exposes the following members.

Methods
 | Name | Description
Public method | GetMapping | Get mapping for entity type 获取实体类型对应的映射
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DapperEntityMappings Class
ZKWeb.ORM.Dapper Namespace


DapperEntityMappings.GetMapping Method

DapperEntityMappingsGetMapping Method

Get mapping for entity type
获取实体类型对应的映射

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDapperEntityMapping GetMapping(
    Type type
)
Public Function GetMapping (
    type As Type
) As IDapperEntityMapping
public:
IDapperEntityMapping^ GetMapping(
    Type^ type
)
member GetMapping :
        type : Type -> IDapperEntityMapping

Parameters

type
Type: SystemType
Entity type

Return Value

Type: IDapperEntityMapping

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.DapperEntityMappings.GetMapping(System.Type)"]

See Also

Reference

DapperEntityMappings Class
ZKWeb.ORM.Dapper Namespace


IDapperEntityMapping Interface
The non-generic interface for entity mapping
非泛型的实体映射定义的接口

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IDapperEntityMapping
Public Interface IDapperEntityMapping
public interface class IDapperEntityMapping
type IDapperEntityMapping =  interface end

The IDapperEntityMapping type exposes the following members.

Properties
 | Name | Description
Public property | EntityType | The entity type 实体类型
Public property | IdMember | Id member Id成员
Public property | OrdinaryMembers | Ordinary members, not releated to other entities 普通成员, 与其他实体无关的成员
Public property | TableName | The table name 表名
Top
See Also

Reference

ZKWeb.ORM.Dapper Namespace


IDapperEntityMapping Properties

The IDapperEntityMapping type exposes the following members.

Properties
 | Name | Description
Public property | EntityType | The entity type 实体类型
Public property | IdMember | Id member Id成员
Public property | OrdinaryMembers | Ordinary members, not releated to other entities 普通成员, 与其他实体无关的成员
Public property | TableName | The table name 表名
Top
See Also

Reference

IDapperEntityMapping Interface
ZKWeb.ORM.Dapper Namespace


IDapperEntityMapping.EntityType Property

IDapperEntityMappingEntityType Property

The entity type
实体类型

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Type EntityType { get; }
ReadOnly Property EntityType As Type
    Get
property Type^ EntityType {
    Type^ get ();
}
abstract EntityType : Type with get

Property Value

Type: Type
See Also

Reference

IDapperEntityMapping Interface
ZKWeb.ORM.Dapper Namespace


IDapperEntityMapping.IdMember Property

IDapperEntityMappingIdMember Property

Id member
Id成员

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
MemberInfo IdMember { get; }
ReadOnly Property IdMember As MemberInfo
    Get
property MemberInfo^ IdMember {
    MemberInfo^ get ();
}
abstract IdMember : MemberInfo with get

Property Value

Type: MemberInfo
See Also

Reference

IDapperEntityMapping Interface
ZKWeb.ORM.Dapper Namespace


IDapperEntityMapping.OrdinaryMembers Property

IDapperEntityMappingOrdinaryMembers Property

Ordinary members, not releated to other entities
普通成员, 与其他实体无关的成员

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<MemberInfo> OrdinaryMembers { get; }
ReadOnly Property OrdinaryMembers As IEnumerable(Of MemberInfo)
    Get
property IEnumerable<MemberInfo^>^ OrdinaryMembers {
    IEnumerable<MemberInfo^>^ get ();
}
abstract OrdinaryMembers : IEnumerable<MemberInfo> with get

Property Value

Type: IEnumerable MemberInfo
See Also

Reference

IDapperEntityMapping Interface
ZKWeb.ORM.Dapper Namespace


IDapperEntityMapping.TableName Property

IDapperEntityMappingTableName Property

The table name
表名

Namespace: ZKWeb.ORM.Dapper
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string TableName { get; }
ReadOnly Property TableName As String
    Get
property String^ TableName {
    String^ get ();
}
abstract TableName : string with get

Property Value

Type: String
See Also

Reference

IDapperEntityMapping Interface
ZKWeb.ORM.Dapper Namespace


ZKWeb.ORM.Dapper.PropertyResolver Namespace

[Missing <summary> documentation for "N:ZKWeb.ORM.Dapper.PropertyResolver"]

Classes
 | Class | Description
Public class | ZKWebPropertyResolver | Replace dommel property resolver don't filter complex types 替换dommel的属性解决器 不过滤复杂类型


ZKWebPropertyResolver Class
Replace dommel property resolver
don't filter complex types
替换dommel的属性解决器
不过滤复杂类型
Inheritance Hierarchy
SystemObject
PropertyResolverBase
DommelPropertyResolver
ZKWeb.ORM.Dapper.PropertyResolverZKWebPropertyResolver

Namespace: ZKWeb.ORM.Dapper.PropertyResolver
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ZKWebPropertyResolver : DommelPropertyResolver
Public Class ZKWebPropertyResolver
    Inherits DommelPropertyResolver
public ref class ZKWebPropertyResolver : public DommelPropertyResolver
type ZKWebPropertyResolver =
    class
        inherit DommelPropertyResolver
    end

The ZKWebPropertyResolver type exposes the following members.

Constructors
 | Name | Description
Public method | ZKWebPropertyResolver | Initializes a new instance of the ZKWebPropertyResolver class
Top
Methods
 | Name | Description
Protected method | FilterComplexTypes | Don't filter complex types 不过滤复杂类型 (Overrides DommelPropertyResolver.FilterComplexTypes(IEnumerablePropertyInfo).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.Dapper.PropertyResolver Namespace


ZKWebPropertyResolver Constructor

Initializes a new instance of the ZKWebPropertyResolver class

Namespace: ZKWeb.ORM.Dapper.PropertyResolver
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ZKWebPropertyResolver()
Public Sub New
public:
ZKWebPropertyResolver()
new : unit -> ZKWebPropertyResolver
See Also

Reference

ZKWebPropertyResolver Class
ZKWeb.ORM.Dapper.PropertyResolver Namespace


ZKWebPropertyResolver Methods

The ZKWebPropertyResolver type exposes the following members.

Methods
 | Name | Description
Protected method | FilterComplexTypes | Don't filter complex types 不过滤复杂类型 (Overrides DommelPropertyResolver.FilterComplexTypes(IEnumerablePropertyInfo).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebPropertyResolver Class
ZKWeb.ORM.Dapper.PropertyResolver Namespace


ZKWebPropertyResolver.FilterComplexTypes Method

ZKWebPropertyResolverFilterComplexTypes Method

Don't filter complex types
不过滤复杂类型

Namespace: ZKWeb.ORM.Dapper.PropertyResolver
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override IEnumerable<PropertyInfo> FilterComplexTypes(
    IEnumerable<PropertyInfo> properties
)
Protected Overrides Function FilterComplexTypes (
    properties As IEnumerable(Of PropertyInfo)
) As IEnumerable(Of PropertyInfo)
protected:
virtual IEnumerable<PropertyInfo^>^ FilterComplexTypes(
    IEnumerable<PropertyInfo^>^ properties
) override
abstract FilterComplexTypes :
        properties : IEnumerable<PropertyInfo> -> IEnumerable<PropertyInfo>
override FilterComplexTypes :
        properties : IEnumerable<PropertyInfo> -> IEnumerable<PropertyInfo>

Parameters

properties
Type: System.Collections.GenericIEnumerable PropertyInfo

[Missing <param name="properties"/> documentation for "M:ZKWeb.ORM.Dapper.PropertyResolver.ZKWebPropertyResolver.FilterComplexTypes(System.Collections.Generic.IEnumerable{System.Reflection.PropertyInfo})"]

Return Value

Type: IEnumerable PropertyInfo

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.PropertyResolver.ZKWebPropertyResolver.FilterComplexTypes(System.Collections.Generic.IEnumerable{System.Reflection.PropertyInfo})"]

See Also

Reference

ZKWebPropertyResolver Class
ZKWeb.ORM.Dapper.PropertyResolver Namespace


ZKWeb.ORM.Dapper.TypeHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.ORM.Dapper.TypeHandlers"]

Classes
 | Class | Description
Public class | GuidTypeHandler | Handle guid type It's needed because mysql use varchar for guid 处理guid类型
Public class | JsonSerializedTypeHandlerT | Handle json serialized type 处理json序列化的类型
Public class | TypeHandlerRegistrator | Dapper type handler registrator 注册dapper类型处理器


GuidTypeHandler Class
Handle guid type
It's needed because mysql use varchar for guid
处理guid类型

Inheritance Hierarchy
SystemObject
TypeHandlerGuid
ZKWeb.ORM.Dapper.TypeHandlersGuidTypeHandler

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class GuidTypeHandler : TypeHandler<Guid>
Public Class GuidTypeHandler
    Inherits TypeHandler(Of Guid)
public ref class GuidTypeHandler : public TypeHandler<Guid>
type GuidTypeHandler =
    class
        inherit TypeHandler<Guid>
    end

The GuidTypeHandler type exposes the following members.

Constructors
 | Name | Description
Public method | GuidTypeHandler | Initializes a new instance of the GuidTypeHandler class
Top
Methods
 | Name | Description
Public method | Parse | Convert value to guid field 转换值到guid字段 (Overrides TypeHandler.Parse(Object).)
Public method | SetValue | Convert guid field to value 转换值到guid字段 (Overrides TypeHandler.SetValue(IDbDataParameter, UTP).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.Dapper.TypeHandlers Namespace


GuidTypeHandler Constructor

Initializes a new instance of the GuidTypeHandler class

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public GuidTypeHandler()
Public Sub New
public:
GuidTypeHandler()
new : unit -> GuidTypeHandler
See Also

Reference

GuidTypeHandler Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


GuidTypeHandler Methods

The GuidTypeHandler type exposes the following members.

Methods
 | Name | Description
Public method | Parse | Convert value to guid field 转换值到guid字段 (Overrides TypeHandler.Parse(Object).)
Public method | SetValue | Convert guid field to value 转换值到guid字段 (Overrides TypeHandler.SetValue(IDbDataParameter, UTP).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

GuidTypeHandler Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


GuidTypeHandler.Parse Method

GuidTypeHandlerParse Method

Convert value to guid field
转换值到guid字段

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Guid Parse(
    Object value
)
Public Overrides Function Parse (
    value As Object
) As Guid
public:
virtual Guid Parse(
    Object^ value
) override
abstract Parse :
        value : Object -> Guid
override Parse :
        value : Object -> Guid

Parameters

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.GuidTypeHandler.Parse(System.Object)"]

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.GuidTypeHandler.Parse(System.Object)"]

See Also

Reference

GuidTypeHandler Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


GuidTypeHandler.SetValue Method

GuidTypeHandlerSetValue Method

Convert guid field to value
转换值到guid字段

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void SetValue(
    IDbDataParameter parameter,
    Guid value
)
Public Overrides Sub SetValue (
    parameter As IDbDataParameter,
    value As Guid
)
public:
virtual void SetValue(
    IDbDataParameter^ parameter,
    Guid value
) override
abstract SetValue :
        parameter : IDbDataParameter *
        value : Guid -> unit
override SetValue :
        parameter : IDbDataParameter *
        value : Guid -> unit

Parameters

parameter
Type: System.DataIDbDataParameter

[Missing <param name="parameter"/> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.GuidTypeHandler.SetValue(System.Data.IDbDataParameter,System.Guid)"]

value
Type: SystemGuid

[Missing <param name="value"/> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.GuidTypeHandler.SetValue(System.Data.IDbDataParameter,System.Guid)"]

See Also

Reference

GuidTypeHandler Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


JsonSerializedTypeHandler(T) Class

JsonSerializedTypeHandlerT Class
Handle json serialized type
处理json序列化的类型
Inheritance Hierarchy
SystemObject
TypeHandlerT
StringTypeHandlerT
ZKWeb.ORM.Dapper.TypeHandlersJsonSerializedTypeHandlerT

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class JsonSerializedTypeHandler<T> : StringTypeHandler<T>
where T : new()

Public Class JsonSerializedTypeHandler(Of T As New)
    Inherits StringTypeHandler(Of T)
generic<typename T>
where T : gcnew()
public ref class JsonSerializedTypeHandler : public StringTypeHandler<T>
type JsonSerializedTypeHandler<'T when 'T : new()> =
    class
        inherit StringTypeHandler<'T>
    end

Type Parameters

T
Json serialized type

The JsonSerializedTypeHandlerT type exposes the following members.

Constructors
 | Name | Description
Public method | JsonSerializedTypeHandlerT | Initializes a new instance of the JsonSerializedTypeHandlerT class
Top
Methods
 | Name | Description
Protected method | Format | Serialize to json 序列化到json (Overrides StringTypeHandler.Format(UTP).)
Protected method | Parse | Parse from json 从json解析 (Overrides StringTypeHandler.Parse(String).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.Dapper.TypeHandlers Namespace


JsonSerializedTypeHandler(T) Constructor

JsonSerializedTypeHandlerT Constructor

Initializes a new instance of the JsonSerializedTypeHandlerT class

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public JsonSerializedTypeHandler()
Public Sub New
public:
JsonSerializedTypeHandler()
new : unit -> JsonSerializedTypeHandler
See Also

Reference

JsonSerializedTypeHandlerT Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


JsonSerializedTypeHandler(T) Methods

JsonSerializedTypeHandlerT Methods

The JsonSerializedTypeHandlerT generic type exposes the following members.

Methods
 | Name | Description
Protected method | Format | Serialize to json 序列化到json (Overrides StringTypeHandler.Format(UTP).)
Protected method | Parse | Parse from json 从json解析 (Overrides StringTypeHandler.Parse(String).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

JsonSerializedTypeHandlerT Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


JsonSerializedTypeHandler(T).Format Method

JsonSerializedTypeHandlerTFormat Method

Serialize to json
序列化到json

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override string Format(
    T value
)
Protected Overrides Function Format (
    value As T
) As String
protected:
virtual String^ Format(
    T value
) override
abstract Format :
        value : 'T -> string
override Format :
        value : 'T -> string

Parameters

value
Type: T

[Missing <param name="value"/> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.JsonSerializedTypeHandler`1.Format(`0)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.JsonSerializedTypeHandler`1.Format(`0)"]

See Also

Reference

JsonSerializedTypeHandlerT Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


JsonSerializedTypeHandler(T).Parse Method

JsonSerializedTypeHandlerTParse Method

Parse from json
从json解析

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override T Parse(
    string value
)
Protected Overrides Function Parse (
    value As String
) As T
protected:
virtual T Parse(
    String^ value
) override
abstract Parse :
        value : string -> 'T
override Parse :
        value : string -> 'T

Parameters

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.JsonSerializedTypeHandler`1.Parse(System.String)"]

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.JsonSerializedTypeHandler`1.Parse(System.String)"]

See Also

Reference

JsonSerializedTypeHandlerT Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


TypeHandlerRegistrator Class
Dapper type handler registrator
注册dapper类型处理器
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.Dapper.TypeHandlersTypeHandlerRegistrator

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class TypeHandlerRegistrator
Public NotInheritable Class TypeHandlerRegistrator
public ref class TypeHandlerRegistrator abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type TypeHandlerRegistrator =  class end

The TypeHandlerRegistrator type exposes the following members.

Methods
Name | Description
Register | Register dapper type handler 注册dapper类型处理器
RegisterJsonSerializedType | Register dapper type handler for json serialized type 注册dapper类型处理器, 用于json序列化的类型
Top
See Also

Reference

ZKWeb.ORM.Dapper.TypeHandlers Namespace


TypeHandlerRegistrator Methods

The TypeHandlerRegistrator type exposes the following members.

Methods
Name | Description
Register | Register dapper type handler 注册dapper类型处理器
RegisterJsonSerializedType | Register dapper type handler for json serialized type 注册dapper类型处理器, 用于json序列化的类型
Top
See Also

Reference

TypeHandlerRegistrator Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


TypeHandlerRegistrator.Register Method

TypeHandlerRegistratorRegister Method

Register dapper type handler
注册dapper类型处理器

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Register(
    Type type,
    ITypeHandler handler
)
Public Shared Sub Register (
    type As Type,
    handler As ITypeHandler
)
public:
static void Register(
    Type^ type,
    ITypeHandler^ handler
)
static member Register :
        type : Type *
        handler : ITypeHandler -> unit

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.TypeHandlerRegistrator.Register(System.Type,Dapper.SqlMapper.ITypeHandler)"]

handler
Type: ITypeHandler

[Missing <param name="handler"/> documentation for "M:ZKWeb.ORM.Dapper.TypeHandlers.TypeHandlerRegistrator.Register(System.Type,Dapper.SqlMapper.ITypeHandler)"]

See Also

Reference

TypeHandlerRegistrator Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


TypeHandlerRegistrator.RegisterJsonSerializedType Method

TypeHandlerRegistratorRegisterJsonSerializedType Method

Register dapper type handler for json serialized type
注册dapper类型处理器, 用于json序列化的类型

Namespace: ZKWeb.ORM.Dapper.TypeHandlers
Assembly: ZKWeb.ORM.Dapper (in ZKWeb.ORM.Dapper.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void RegisterJsonSerializedType(
    Type type
)
Public Shared Sub RegisterJsonSerializedType (
    type As Type
)
public:
static void RegisterJsonSerializedType(
    Type^ type
)
static member RegisterJsonSerializedType :
        type : Type -> unit

Parameters

type
Type: SystemType
Serialized type
See Also

Reference

TypeHandlerRegistrator Class
ZKWeb.ORM.Dapper.TypeHandlers Namespace


ZKWeb.ORM.EFCore Namespace

[Missing <summary> documentation for "N:ZKWeb.ORM.EFCore"]

Classes
 | Class | Description
Public class | EFCoreDatabaseContext | Entity Framework Core database context Entity Framework Core的数据库上下文
Public class | EFCoreDatabaseContextBase | A base database context only contains migration history table 一个数据库上下文的基类, 只包含迁移历史表
Public class | EFCoreDatabaseContextFactory | Entity Framework Core database context factory Entity Framework Core的数据库上下文生成器
Public class | EFCoreEntityMappingBuilderT | Entity Framework Core entity mapping builder Entity Framework Core的实体映射构建器
Public class | EFCoreExtraConfigKeys | Extra website configuration keys for EFCore EFCore使用的网站的附加配置键
Public class | EFCoreMigrationHistory | Custom migration history entity 自定义的迁移历史实体


EFCoreDatabaseContext Class
Entity Framework Core database context
Entity Framework Core的数据库上下文
Inheritance Hierarchy
SystemObject
DbContext
ZKWeb.ORM.EFCoreEFCoreDatabaseContextBase
ZKWeb.ORM.EFCoreEFCoreDatabaseContext

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class EFCoreDatabaseContext : EFCoreDatabaseContextBase,
    IDatabaseContext, IDisposable
Public Class EFCoreDatabaseContext
    Inherits EFCoreDatabaseContextBase
    Implements IDatabaseContext, IDisposable
public ref class EFCoreDatabaseContext : public EFCoreDatabaseContextBase,
    IDatabaseContext, IDisposable
type EFCoreDatabaseContext =
    class
        inherit EFCoreDatabaseContextBase
        interface IDatabaseContext
        interface IDisposable
    end

The EFCoreDatabaseContext type exposes the following members.

Constructors
 | Name | Description
Public method | EFCoreDatabaseContext | Initialize 初始化
Top
Properties
 | Name | Description
Public property | DbConnection | Underlying database connection 底层的数据库连接
Public property | ORM | ORM name ORM名称
Protected property | Transaction | Entity Framework Core transaction Entity Framework Core的事务
Top
Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities 批量删除实体
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities 批量更新实体
Public method | BeginTransaction | Begin a transaction 开始一个事务
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Dispose context and transaction 销毁上下文和事务 (Overrides DbContext.Dispose.)
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way 快速批量删除实体
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体
Public method | FinishTransaction | Finish the transaction 结束一个事务
Public method | GetT | Get single entity that matched the given predicate It should return null if no matched entity found 获取符合传入条件的单个实体 如果无符合条件的实体应该返回null
Protected method | InsertOrUpdateT | Insert or update entity 插入或更新实体
Protected method | OnModelCreating | Configure entity model 配置实体模型 (Overrides EFCoreDatabaseContextBaseOnModelCreating(ModelBuilder).)
Public method | QueryT | Get the query object for specific entity type 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Fields
 | Name | Description
 | ConstORM |
Protected field | databaseType |
Protected field | TransactionLevel | Transaction level counter 事务的嵌套计数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EFCoreDatabaseContext(
    string database,
    string connectionString
)
Public Sub New (
    database As String,
    connectionString As String
)
public:
EFCoreDatabaseContext(
    String^ database,
    String^ connectionString
)
new :
        database : string *
        connectionString : string -> EFCoreDatabaseContext

Parameters

database
Type: SystemString
Database type
connectionString
Type: SystemString
Connection string
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext Properties

The EFCoreDatabaseContext type exposes the following members.

Properties
 | Name | Description
Public property | DbConnection | Underlying database connection 底层的数据库连接
Public property | ORM | ORM name ORM名称
Protected property | Transaction | Entity Framework Core transaction Entity Framework Core的事务
Top
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.DbConnection Property

EFCoreDatabaseContextDbConnection Property

Underlying database connection
底层的数据库连接

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object DbConnection { get; }
Public ReadOnly Property DbConnection As Object
    Get
public:
virtual property Object^ DbConnection {
    Object^ get () sealed;
}
abstract DbConnection : Object with get
override DbConnection : Object with get

Property Value

Type: Object

Implements

IDatabaseContextDbConnection
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.ORM Property

EFCoreDatabaseContextORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IDatabaseContextORM
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.Transaction Property

EFCoreDatabaseContextTransaction Property

Entity Framework Core transaction
Entity Framework Core的事务

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IDbContextTransaction Transaction { get; set; }
Protected Property Transaction As IDbContextTransaction
    Get
    Set
protected:
property IDbContextTransaction^ Transaction {
    IDbContextTransaction^ get ();
    void set (IDbContextTransaction^ value);
}
member Transaction : IDbContextTransaction with get, set

Property Value

Type: IDbContextTransaction
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext Methods

The EFCoreDatabaseContext type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities 批量删除实体
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities 批量更新实体
Public method | BeginTransaction | Begin a transaction 开始一个事务
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Dispose context and transaction 销毁上下文和事务 (Overrides DbContext.Dispose.)
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way 快速批量删除实体
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体
Public method | FinishTransaction | Finish the transaction 结束一个事务
Public method | GetT | Get single entity that matched the given predicate It should return null if no matched entity found 获取符合传入条件的单个实体 如果无符合条件的实体应该返回null
Protected method | InsertOrUpdateT | Insert or update entity 插入或更新实体
Protected method | OnModelCreating | Configure entity model 配置实体模型 (Overrides EFCoreDatabaseContextBaseOnModelCreating(ModelBuilder).)
Public method | QueryT | Get the query object for specific entity type 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.BatchDelete(T) Method

EFCoreDatabaseContextBatchDeleteT Method

Batch delete entities
批量删除实体

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchDelete<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> beforeDelete
)
where T : class, IEntity

Public Function BatchDelete(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    beforeDelete As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchDelete(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ beforeDelete
) sealed
abstract BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

beforeDelete
Type: SystemAction T

[Missing <param name="beforeDelete"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchDeleteT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.BatchSave(T) Method

EFCoreDatabaseContextBatchSaveT Method

Batch save entities
批量保存实体

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BatchSave<T>(
    ref IEnumerable<T> entities,
    Action<T> update = null
)
where T : class, IEntity

Public Sub BatchSave(Of T As {Class, IEntity}) (
    ByRef entities As IEnumerable(Of T),
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void BatchSave(
    IEnumerable<T>^% entities,
    Action<T>^ update = nullptr
) sealed
abstract BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Implements

IDatabaseContextBatchSaveT(IEnumerableT, ActionT)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.BatchUpdate(T) Method

EFCoreDatabaseContextBatchUpdateT Method

Batch update entities
批量更新实体

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchUpdate<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> update
)
where T : class, IEntity

Public Function BatchUpdate(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    update As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchUpdate(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ update
) sealed
abstract BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

update
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchUpdateT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.BeginTransaction Method

EFCoreDatabaseContextBeginTransaction Method

Begin a transaction
开始一个事务

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel = null
)
Public Sub BeginTransaction (
    Optional isolationLevel As Nullable(Of IsolationLevel) = Nothing
)
public:
virtual void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel = nullptr
) sealed
abstract BeginTransaction :
        ?isolationLevel : Nullable<IsolationLevel>
(* Defaults:
        let _isolationLevel = defaultArg isolationLevel null
*)
-> unit
override BeginTransaction :
        ?isolationLevel : Nullable<IsolationLevel>
(* Defaults:
        let _isolationLevel = defaultArg isolationLevel null
*)
-> unit

Parameters

isolationLevel (Optional)
Type: SystemNullable IsolationLevel

[Missing <param name="isolationLevel"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.BeginTransaction(System.Nullable{System.Data.IsolationLevel})"]

Implements

IDatabaseContextBeginTransaction(NullableIsolationLevel)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.Count(T) Method

EFCoreDatabaseContextCountT Method

Get how many entities that matched the given predicate
获取符合传入条件的实体数量

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Count<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Count(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long Count(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity
override Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextCountT(ExpressionFuncT, Boolean)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.Delete(T) Method

EFCoreDatabaseContextDeleteT Method

Delete entity from database
删除数据库中的实体

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Delete<T>(
    T entity
)
where T : class, IEntity

Public Sub Delete(Of T As {Class, IEntity}) (
    entity As T
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Delete(
    T entity
) sealed
abstract Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity
override Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Delete``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Delete``1(``0)"]

Implements

IDatabaseContextDeleteT(T)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.Dispose Method

EFCoreDatabaseContextDispose Method

Dispose context and transaction
销毁上下文和事务

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void Dispose()
Public Overrides Sub Dispose
public:
virtual void Dispose() override
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
IDisposableDispose
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.FastBatchDelete(T, TPrimaryKey) Method

EFCoreDatabaseContextFastBatchDeleteT, TPrimaryKey Method

Batch delete entities in faster way
快速批量删除实体

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long FastBatchDelete<T, TPrimaryKey>(
    Expression<Func<T, bool>> predicate
)
where T : class, new(), Object, IEntity<TPrimaryKey>

Public Function FastBatchDelete(Of T As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, gcnew(), Object, IEntity<TPrimaryKey>
virtual long long FastBatchDelete(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>
override FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextFastBatchDeleteT, TPrimaryKey(ExpressionFuncT, Boolean)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.FastBatchSave(T, TPrimaryKey) Method

EFCoreDatabaseContextFastBatchSaveT, TPrimaryKey Method

Batch save entities in faster way
快速批量保存实体

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FastBatchSave<T, TPrimaryKey>(
    IEnumerable<T> entities
)
where T : class, Object, IEntity<TPrimaryKey>

Public Sub FastBatchSave(Of T As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    entities As IEnumerable(Of T)
)
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, Object, IEntity<TPrimaryKey>
virtual void FastBatchSave(
    IEnumerable<T>^ entities
) sealed
abstract FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>
override FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Implements

IDatabaseContextFastBatchSaveT, TPrimaryKey(IEnumerableT)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.FinishTransaction Method

EFCoreDatabaseContextFinishTransaction Method

Finish the transaction
结束一个事务

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FinishTransaction()
Public Sub FinishTransaction
public:
virtual void FinishTransaction() sealed
abstract FinishTransaction : unit -> unit
override FinishTransaction : unit -> unit

Implements

IDatabaseContextFinishTransaction
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.Get(T) Method

EFCoreDatabaseContextGetT Method

Get single entity that matched the given predicate
It should return null if no matched entity found
获取符合传入条件的单个实体
如果无符合条件的实体应该返回null

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T Get<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Get(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As T
public:
generic<typename T>
where T : ref class, IEntity
virtual T Get(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity
override Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextGetT(ExpressionFuncT, Boolean)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.InsertOrUpdate(T) Method

EFCoreDatabaseContextInsertOrUpdateT Method

Insert or update entity
插入或更新实体

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void InsertOrUpdate<T>(
    T entity,
    Action<T> update = null
)
where T : class, IEntity

Protected Sub InsertOrUpdate(Of T As {Class, IEntity}) (
    entity As T,
    Optional update As Action(Of T) = Nothing
)
protected:
generic<typename T>
where T : ref class, IEntity
void InsertOrUpdate(
    T entity,
    Action<T>^ update = nullptr
)
member InsertOrUpdate :
        entity : 'T *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.InsertOrUpdate``1(``0,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.InsertOrUpdate``1(``0,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.InsertOrUpdate``1(``0,System.Action{``0})"]

See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.OnModelCreating Method

EFCoreDatabaseContextOnModelCreating Method

Configure entity model
配置实体模型

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnModelCreating(
    ModelBuilder modelBuilder
)
Protected Overrides Sub OnModelCreating (
    modelBuilder As ModelBuilder
)
protected:
virtual void OnModelCreating(
    ModelBuilder^ modelBuilder
) override
abstract OnModelCreating :
        modelBuilder : ModelBuilder -> unit
override OnModelCreating :
        modelBuilder : ModelBuilder -> unit

Parameters

modelBuilder
Type: ModelBuilder
Model builder
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.Query(T) Method

EFCoreDatabaseContextQueryT Method

Get the query object for specific entity type
获取指定实体类型的查询对象

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IQueryable<T> Query<T>()
where T : class, IEntity

Public Function Query(Of T As {Class, IEntity}) As IQueryable(Of T)
public:
generic<typename T>
where T : ref class, IEntity
virtual IQueryable<T>^ Query() sealed
abstract Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity
override Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Query``1"]

Return Value

Type: IQueryable T

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Query``1"]

Implements

IDatabaseContextQueryT
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.RawQuery(T) Method

EFCoreDatabaseContextRawQueryT Method

Perform a raw query to database
执行一个原生的查询操作

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<T> RawQuery<T>(
    Object query,
    Object parameters
)
where T : class

Public Function RawQuery(Of T As Class) (
    query As Object,
    parameters As Object
) As IEnumerable(Of T)
public:
generic<typename T>
where T : ref class
virtual IEnumerable<T>^ RawQuery(
    Object^ query,
    Object^ parameters
) sealed
abstract RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct
override RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.RawQuery``1(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Return Value

Type: IEnumerable T

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Implements

IDatabaseContextRawQueryT(Object, Object)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.RawUpdate Method

EFCoreDatabaseContextRawUpdate Method

Perform a raw update to database
执行一个原生的更新操作

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long RawUpdate(
    Object query,
    Object parameters
)
Public Function RawUpdate (
    query As Object,
    parameters As Object
) As Long
public:
virtual long long RawUpdate(
    Object^ query,
    Object^ parameters
) sealed
abstract RawUpdate :
        query : Object *
        parameters : Object -> int64
override RawUpdate :
        query : Object *
        parameters : Object -> int64

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.RawUpdate(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.RawUpdate(System.Object,System.Object)"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.RawUpdate(System.Object,System.Object)"]

Implements

IDatabaseContextRawUpdate(Object, Object)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.Save(T) Method

EFCoreDatabaseContextSaveT Method

Save entity to database
保存实体到数据库

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Save<T>(
    ref T entity,
    Action<T> update = null
)
where T : class, IEntity

Public Sub Save(Of T As {Class, IEntity}) (
    ByRef entity As T,
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Save(
    T% entity,
    Action<T>^ update = nullptr
) sealed
abstract Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Save``1(``0@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Save``1(``0@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.Save``1(``0@,System.Action{``0})"]

Implements

IDatabaseContextSaveT(T, ActionT)
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext Fields

The EFCoreDatabaseContext type exposes the following members.

Fields
 | Name | Description
 | ConstORM |
Protected field | databaseType |
Protected field | TransactionLevel | Transaction level counter 事务的嵌套计数
Top
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.ConstORM Field

EFCoreDatabaseContextConstORM Field

[Missing <summary> documentation for "F:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.ConstORM"]

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal const string ConstORM = "EFCore"
Friend Const ConstORM As String = "EFCore"
internal:
literal String^ ConstORM = "EFCore"
static val mutable internal ConstORM: string

Field Value

Type: String
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.databaseType Field

EFCoreDatabaseContextdatabaseType Field

[Missing <summary> documentation for "F:ZKWeb.ORM.EFCore.EFCoreDatabaseContext.databaseType"]

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string databaseType
Protected databaseType As String
protected:
String^ databaseType
val mutable databaseType: string

Field Value

Type: String
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContext.TransactionLevel Field

EFCoreDatabaseContextTransactionLevel Field
Transaction level counter
事务的嵌套计数

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected int TransactionLevel
Protected TransactionLevel As Integer
protected:
int TransactionLevel
val mutable TransactionLevel: int

Field Value

Type: Int32
See Also

Reference

EFCoreDatabaseContext Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextBase Class
A base database context only contains migration history table
一个数据库上下文的基类, 只包含迁移历史表
Inheritance Hierarchy
SystemObject
DbContext
ZKWeb.ORM.EFCoreEFCoreDatabaseContextBase
ZKWeb.ORM.EFCoreEFCoreDatabaseContext

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class EFCoreDatabaseContextBase : DbContext
Public Class EFCoreDatabaseContextBase
    Inherits DbContext
public ref class EFCoreDatabaseContextBase : public DbContext
type EFCoreDatabaseContextBase =
    class
        inherit DbContext
    end

The EFCoreDatabaseContextBase type exposes the following members.

Constructors
 | Name | Description
Public method | EFCoreDatabaseContextBase | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | ConnectionString | Connection string 连接字符串
Protected property | DatabaseName | Database type 数据库类型
Top
Methods
 | Name | Description
Protected method | OnConfiguring | Configure context options 配置上下文选项 (Overrides DbContext.OnConfiguring(DbContextOptionsBuilder).)
Protected method | OnModelCreating | Configure entity model 配置实体模型 (Overrides DbContext.OnModelCreating(ModelBuilder).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextBase Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EFCoreDatabaseContextBase(
    string database,
    string connectionString
)
Public Sub New (
    database As String,
    connectionString As String
)
public:
EFCoreDatabaseContextBase(
    String^ database,
    String^ connectionString
)
new :
        database : string *
        connectionString : string -> EFCoreDatabaseContextBase

Parameters

database
Type: SystemString
Database type
connectionString
Type: SystemString
Connection string
See Also

Reference

EFCoreDatabaseContextBase Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextBase Properties

The EFCoreDatabaseContextBase type exposes the following members.

Properties
 | Name | Description
Protected property | ConnectionString | Connection string 连接字符串
Protected property | DatabaseName | Database type 数据库类型
Top
See Also

Reference

EFCoreDatabaseContextBase Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextBase.ConnectionString Property

EFCoreDatabaseContextBaseConnectionString Property

Connection string
连接字符串

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string ConnectionString { get; set; }
Protected Property ConnectionString As String
    Get
    Set
protected:
property String^ ConnectionString {
    String^ get ();
    void set (String^ value);
}
member ConnectionString : string with get, set

Property Value

Type: String
See Also

Reference

EFCoreDatabaseContextBase Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextBase.DatabaseName Property

EFCoreDatabaseContextBaseDatabaseName Property

Database type
数据库类型

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string DatabaseName { get; set; }
Protected Property DatabaseName As String
    Get
    Set
protected:
property String^ DatabaseName {
    String^ get ();
    void set (String^ value);
}
member DatabaseName : string with get, set

Property Value

Type: String
See Also

Reference

EFCoreDatabaseContextBase Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextBase Methods

The EFCoreDatabaseContextBase type exposes the following members.

Methods
 | Name | Description
Protected method | OnConfiguring | Configure context options 配置上下文选项 (Overrides DbContext.OnConfiguring(DbContextOptionsBuilder).)
Protected method | OnModelCreating | Configure entity model 配置实体模型 (Overrides DbContext.OnModelCreating(ModelBuilder).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

EFCoreDatabaseContextBase Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextBase.OnConfiguring Method

EFCoreDatabaseContextBaseOnConfiguring Method

Configure context options
配置上下文选项

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnConfiguring(
    DbContextOptionsBuilder optionsBuilder
)
Protected Overrides Sub OnConfiguring (
    optionsBuilder As DbContextOptionsBuilder
)
protected:
virtual void OnConfiguring(
    DbContextOptionsBuilder^ optionsBuilder
) override
abstract OnConfiguring :
        optionsBuilder : DbContextOptionsBuilder -> unit
override OnConfiguring :
        optionsBuilder : DbContextOptionsBuilder -> unit

Parameters

optionsBuilder
Type: DbContextOptionsBuilder
Options builder
See Also

Reference

EFCoreDatabaseContextBase Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextBase.OnModelCreating Method

EFCoreDatabaseContextBaseOnModelCreating Method

Configure entity model
配置实体模型

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override void OnModelCreating(
    ModelBuilder modelBuilder
)
Protected Overrides Sub OnModelCreating (
    modelBuilder As ModelBuilder
)
protected:
virtual void OnModelCreating(
    ModelBuilder^ modelBuilder
) override
abstract OnModelCreating :
        modelBuilder : ModelBuilder -> unit
override OnModelCreating :
        modelBuilder : ModelBuilder -> unit

Parameters

modelBuilder
Type: ModelBuilder
Model builder
See Also

Reference

EFCoreDatabaseContextBase Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory Class
Entity Framework Core database context factory
Entity Framework Core的数据库上下文生成器
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.EFCoreEFCoreDatabaseContextFactory

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class EFCoreDatabaseContextFactory : IDatabaseContextFactory
Public Class EFCoreDatabaseContextFactory
    Implements IDatabaseContextFactory
public ref class EFCoreDatabaseContextFactory : IDatabaseContextFactory
type EFCoreDatabaseContextFactory =
    class
        interface IDatabaseContextFactory
    end

The EFCoreDatabaseContextFactory type exposes the following members.

Constructors
 | Name | Description
Public method | EFCoreDatabaseContextFactory | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | ConnectionString | Connection string 连接字符串
Protected property | Database | Database type 数据库类型
Top
Methods
 | Name | Description
Public method | CreateContext | Create database context 创建数据库上下文
Protected method | MigrateDatabase | Perform database migration 迁移数据库
Protected method | MigrateRelationalDatabase | Create and apply the migration for relational database 创建并迁移关系数据库中的数据库 See: https://github.com/aspnet/EntityFramework/blob/master/src/Microsoft.EntityFrameworkCore.Relational/Storage/RelationalDatabaseCreator.cs
Top
Fields
Name | Description
ModelSnapshotClassPrefix | Class name prefix for model snapshot 模型快照的类名前缀
ModelSnapshotFilePrefix | Filename prefix for model snapshot 模型快照的文件名前缀
ModelSnapshotNamespace | Namespace for model snapshot 模型快照的命名空间
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EFCoreDatabaseContextFactory(
    string database,
    string connectionString
)
Public Sub New (
    database As String,
    connectionString As String
)
public:
EFCoreDatabaseContextFactory(
    String^ database,
    String^ connectionString
)
new :
        database : string *
        connectionString : string -> EFCoreDatabaseContextFactory

Parameters

database
Type: SystemString
Database type
connectionString
Type: SystemString
Connection string
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory Properties

The EFCoreDatabaseContextFactory type exposes the following members.

Properties
 | Name | Description
Protected property | ConnectionString | Connection string 连接字符串
Protected property | Database | Database type 数据库类型
Top
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory.ConnectionString Property

EFCoreDatabaseContextFactoryConnectionString Property

Connection string
连接字符串

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string ConnectionString { get; set; }
Protected Property ConnectionString As String
    Get
    Set
protected:
property String^ ConnectionString {
    String^ get ();
    void set (String^ value);
}
member ConnectionString : string with get, set

Property Value

Type: String
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory.Database Property

EFCoreDatabaseContextFactoryDatabase Property

Database type
数据库类型

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string Database { get; set; }
Protected Property Database As String
    Get
    Set
protected:
property String^ Database {
    String^ get ();
    void set (String^ value);
}
member Database : string with get, set

Property Value

Type: String
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory Methods

The EFCoreDatabaseContextFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateContext | Create database context 创建数据库上下文
Protected method | MigrateDatabase | Perform database migration 迁移数据库
Protected method | MigrateRelationalDatabase | Create and apply the migration for relational database 创建并迁移关系数据库中的数据库 See: https://github.com/aspnet/EntityFramework/blob/master/src/Microsoft.EntityFrameworkCore.Relational/Storage/RelationalDatabaseCreator.cs
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory.CreateContext Method

EFCoreDatabaseContextFactoryCreateContext Method

Create database context
创建数据库上下文

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDatabaseContext CreateContext()
Public Function CreateContext As IDatabaseContext
public:
virtual IDatabaseContext^ CreateContext() sealed
abstract CreateContext : unit -> IDatabaseContext
override CreateContext : unit -> IDatabaseContext

Return Value

Type: IDatabaseContext

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreDatabaseContextFactory.CreateContext"]

Implements

IDatabaseContextFactoryCreateContext
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory.MigrateDatabase Method

EFCoreDatabaseContextFactoryMigrateDatabase Method

Perform database migration
迁移数据库

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void MigrateDatabase()
Protected Sub MigrateDatabase
protected:
void MigrateDatabase()
member MigrateDatabase : unit -> unit
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory.MigrateRelationalDatabase Method

EFCoreDatabaseContextFactoryMigrateRelationalDatabase Method

Create and apply the migration for relational database
创建并迁移关系数据库中的数据库
See: https://github.com/aspnet/EntityFramework/blob/master/src/Microsoft.EntityFrameworkCore.Relational/Storage/RelationalDatabaseCreator.cs

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void MigrateRelationalDatabase(
    DbContext context,
    IModel initialModel
)
Protected Sub MigrateRelationalDatabase (
    context As DbContext,
    initialModel As IModel
)
protected:
void MigrateRelationalDatabase(
    DbContext^ context,
    IModel^ initialModel
)
member MigrateRelationalDatabase :
        context : DbContext *
        initialModel : IModel -> unit

Parameters

context
Type: DbContext
Entity Framework Core database context
initialModel
Type: IModel
Initial model, only contains migration history
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory Fields

The EFCoreDatabaseContextFactory type exposes the following members.

Fields
Name | Description
ModelSnapshotClassPrefix | Class name prefix for model snapshot 模型快照的类名前缀
ModelSnapshotFilePrefix | Filename prefix for model snapshot 模型快照的文件名前缀
ModelSnapshotNamespace | Namespace for model snapshot 模型快照的命名空间
Top
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory.ModelSnapshotClassPrefix Field

EFCoreDatabaseContextFactoryModelSnapshotClassPrefix Field
Class name prefix for model snapshot
模型快照的类名前缀

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected const string ModelSnapshotClassPrefix = "Migration_"
Protected Const ModelSnapshotClassPrefix As String = "Migration_"
protected:
literal String^ ModelSnapshotClassPrefix = "Migration_"
static val mutable ModelSnapshotClassPrefix: string

Field Value

Type: String
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory.ModelSnapshotFilePrefix Field

EFCoreDatabaseContextFactoryModelSnapshotFilePrefix Field
Filename prefix for model snapshot
模型快照的文件名前缀

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected const string ModelSnapshotFilePrefix = "EFModelSnapshot_"
Protected Const ModelSnapshotFilePrefix As String = "EFModelSnapshot_"
protected:
literal String^ ModelSnapshotFilePrefix = "EFModelSnapshot_"
static val mutable ModelSnapshotFilePrefix: string

Field Value

Type: String
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreDatabaseContextFactory.ModelSnapshotNamespace Field

EFCoreDatabaseContextFactoryModelSnapshotNamespace Field
Namespace for model snapshot
模型快照的命名空间

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected const string ModelSnapshotNamespace = "ZKWeb.ORM.EFCore.Migrations"
Protected Const ModelSnapshotNamespace As String = "ZKWeb.ORM.EFCore.Migrations"
protected:
literal String^ ModelSnapshotNamespace = "ZKWeb.ORM.EFCore.Migrations"
static val mutable ModelSnapshotNamespace: string

Field Value

Type: String
See Also

Reference

EFCoreDatabaseContextFactory Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T) Class

EFCoreEntityMappingBuilderT Class
Entity Framework Core entity mapping builder
Entity Framework Core的实体映射构建器
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.EFCoreEFCoreEntityMappingBuilderT

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class EFCoreEntityMappingBuilder<T> : IEntityMappingBuilder<T>
where T : class, IEntity

Public Class EFCoreEntityMappingBuilder(Of T As {Class, IEntity})
    Implements IEntityMappingBuilder(Of T)
generic<typename T>
where T : ref class, IEntity
public ref class EFCoreEntityMappingBuilder : IEntityMappingBuilder<T>
type EFCoreEntityMappingBuilder<'T when 'T : not struct and IEntity> =
    class
        interface IEntityMappingBuilder<'T>
    end

Type Parameters

T
Entity type

The EFCoreEntityMappingBuilderT type exposes the following members.

Constructors
 | Name | Description
Public method | EFCoreEntityMappingBuilderT | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Builder | Entity Framework's native builder 原生的EF实体映射构建器
Protected property | CustomTableName | Custom table name 自定义表名
Public property | ORM | ORM name ORM名称
Top
Methods
 | Name | Description
Protected method | GetNavigationPropertyNameTOther, TNavigationType | Use navigation property name from options, or Automatic determine navigation property name on the other side 从选项获取导航属性名称 或自动检测另一端的导航属性
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T) Constructor

EFCoreEntityMappingBuilderT Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EFCoreEntityMappingBuilder(
    ModelBuilder builder
)
Public Sub New (
    builder As ModelBuilder
)
public:
EFCoreEntityMappingBuilder(
    ModelBuilder^ builder
)
new :
        builder : ModelBuilder -> EFCoreEntityMappingBuilder

Parameters

builder
Type: ModelBuilder
Model builder
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T) Properties

EFCoreEntityMappingBuilderT Properties

The EFCoreEntityMappingBuilderT generic type exposes the following members.

Properties
 | Name | Description
Public property | Builder | Entity Framework's native builder 原生的EF实体映射构建器
Protected property | CustomTableName | Custom table name 自定义表名
Public property | ORM | ORM name ORM名称
Top
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).Builder Property

EFCoreEntityMappingBuilderTBuilder Property

Entity Framework's native builder
原生的EF实体映射构建器

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EntityTypeBuilder<T> Builder { get; protected set; }
Public Property Builder As EntityTypeBuilder(Of T)
    Get
    Protected Set
public:
property EntityTypeBuilder<T>^ Builder {
    EntityTypeBuilder<T>^ get ();
    protected: void set (EntityTypeBuilder<T>^ value);
}
member Builder : EntityTypeBuilder<'T> with get, set

Property Value

Type: EntityTypeBuilderT
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).CustomTableName Property

EFCoreEntityMappingBuilderTCustomTableName Property

Custom table name
自定义表名

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string CustomTableName { get; set; }
Protected Property CustomTableName As String
    Get
    Set
protected:
property String^ CustomTableName {
    String^ get ();
    void set (String^ value);
}
member CustomTableName : string with get, set

Property Value

Type: String
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).ORM Property

EFCoreEntityMappingBuilderTORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IEntityMappingBuilderTORM
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T) Methods

EFCoreEntityMappingBuilderT Methods

The EFCoreEntityMappingBuilderT generic type exposes the following members.

Methods
 | Name | Description
Protected method | GetNavigationPropertyNameTOther, TNavigationType | Use navigation property name from options, or Automatic determine navigation property name on the other side 从选项获取导航属性名称 或自动检测另一端的导航属性
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).GetNavigationPropertyName(TOther, TNavigationType) Method

EFCoreEntityMappingBuilderTGetNavigationPropertyNameTOther, TNavigationType Method

Use navigation property name from options, or
Automatic determine navigation property name on the other side
从选项获取导航属性名称
或自动检测另一端的导航属性

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string GetNavigationPropertyName<TOther, TNavigationType>(
    EntityMappingOptions options
)

Protected Function GetNavigationPropertyName(Of TOther, TNavigationType) (
    options As EntityMappingOptions
) As String
protected:
generic<typename TOther, typename TNavigationType>
String^ GetNavigationPropertyName(
    EntityMappingOptions^ options
)
member GetNavigationPropertyName :
        options : EntityMappingOptions -> string

Parameters

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.GetNavigationPropertyName``2(ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TOther

[Missing <typeparam name="TOther"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.GetNavigationPropertyName``2(ZKWeb.Database.EntityMappingOptions)"]

TNavigationType

[Missing <typeparam name="TNavigationType"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.GetNavigationPropertyName``2(ZKWeb.Database.EntityMappingOptions)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.GetNavigationPropertyName``2(ZKWeb.Database.EntityMappingOptions)"]

See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).HasMany(TChild) Method

EFCoreEntityMappingBuilderTHasManyTChild Method

Maps a collection of entities as a one-to-many relationship.
创建到实体集合的映射, 这是一对多的关系

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options
)
where TChild : class

Public Sub HasMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    options As EntityMappingOptions
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct
override HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).HasManyToMany(TChild) Method

EFCoreEntityMappingBuilderTHasManyToManyTChild Method

Maps a collection of entities as a many-to-many relationship.
创建到实体集合的映射, 这是多对多的关系

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasManyToMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options
)
where TChild : class

Public Sub HasManyToMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    options As EntityMappingOptions
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasManyToMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct
override HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyToManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).Id(TPrimaryKey) Method

EFCoreEntityMappingBuilderTIdTPrimaryKey Method

Specify the primary key for this entity
指定实体的主键

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Id<TPrimaryKey>(
    Expression<Func<T, TPrimaryKey>> memberExpression,
    EntityMappingOptions options
)

Public Sub Id(Of TPrimaryKey) (
    memberExpression As Expression(Of Func(Of T, TPrimaryKey)),
    options As EntityMappingOptions
)
public:
generic<typename TPrimaryKey>
virtual void Id(
    Expression<Func<T, TPrimaryKey>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit
override Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TPrimaryKey

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTIdTPrimaryKey(ExpressionFuncT, TPrimaryKey, EntityMappingOptions)
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).Map(TMember) Method

EFCoreEntityMappingBuilderTMapTMember Method

Create a member mapping
创建成员映射

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Map<TMember>(
    Expression<Func<T, TMember>> memberExpression,
    EntityMappingOptions options
)

Public Sub Map(Of TMember) (
    memberExpression As Expression(Of Func(Of T, TMember)),
    options As EntityMappingOptions
)
public:
generic<typename TMember>
virtual void Map(
    Expression<Func<T, TMember>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        options : EntityMappingOptions -> unit
override Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TMember

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TMember

[Missing <typeparam name="TMember"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTMapTMember(ExpressionFuncT, TMember, EntityMappingOptions)
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).References(TOther) Method

EFCoreEntityMappingBuilderTReferencesTOther Method

Create a reference to another entity, this is a many-to-one relationship.
创建到其他实体的映射, 这是多对一的关系

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void References<TOther>(
    Expression<Func<T, TOther>> memberExpression,
    EntityMappingOptions options
)
where TOther : class

Public Sub References(Of TOther As Class) (
    memberExpression As Expression(Of Func(Of T, TOther)),
    options As EntityMappingOptions
)
public:
generic<typename TOther>
where TOther : ref class
virtual void References(
    Expression<Func<T, TOther>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        options : EntityMappingOptions -> unit  when 'TOther : not struct
override References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        options : EntityMappingOptions -> unit  when 'TOther : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TOther

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TOther

[Missing <typeparam name="TOther"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTReferencesTOther(ExpressionFuncT, TOther, EntityMappingOptions)
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreEntityMappingBuilder(T).TableName Method

EFCoreEntityMappingBuilderTTableName Method

Specify the custom table name
指定自定义表名

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void TableName(
    string tableName
)
Public Sub TableName (
    tableName As String
)
public:
virtual void TableName(
    String^ tableName
) sealed
abstract TableName :
        tableName : string -> unit
override TableName :
        tableName : string -> unit

Parameters

tableName
Type: SystemString

[Missing <param name="tableName"/> documentation for "M:ZKWeb.ORM.EFCore.EFCoreEntityMappingBuilder`1.TableName(System.String)"]

Implements

IEntityMappingBuilderTTableName(String)
See Also

Reference

EFCoreEntityMappingBuilderT Class
ZKWeb.ORM.EFCore Namespace


EFCoreExtraConfigKeys Class
Extra website configuration keys for EFCore
EFCore使用的网站的附加配置键
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.EFCoreEFCoreExtraConfigKeys

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class EFCoreExtraConfigKeys
Public NotInheritable Class EFCoreExtraConfigKeys
public ref class EFCoreExtraConfigKeys abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type EFCoreExtraConfigKeys =  class end

The EFCoreExtraConfigKeys type exposes the following members.

Fields
Name | Description
DisableEFCoreDatabaseAutoMigration | Disable database auto migration for EFCore 禁用EFCore的数据库自动迁移
Top
See Also

Reference

ZKWeb.ORM.EFCore Namespace


EFCoreExtraConfigKeys Fields

The EFCoreExtraConfigKeys type exposes the following members.

Fields
Name | Description
DisableEFCoreDatabaseAutoMigration | Disable database auto migration for EFCore 禁用EFCore的数据库自动迁移
Top
See Also

Reference

EFCoreExtraConfigKeys Class
ZKWeb.ORM.EFCore Namespace


EFCoreExtraConfigKeys.DisableEFCoreDatabaseAutoMigration Field

EFCoreExtraConfigKeysDisableEFCoreDatabaseAutoMigration Field
Disable database auto migration for EFCore
禁用EFCore的数据库自动迁移

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string DisableEFCoreDatabaseAutoMigration = "ZKWeb.DisableEFCoreDatabaseAutoMigration"
Public Const DisableEFCoreDatabaseAutoMigration As String = "ZKWeb.DisableEFCoreDatabaseAutoMigration"
public:
literal String^ DisableEFCoreDatabaseAutoMigration = "ZKWeb.DisableEFCoreDatabaseAutoMigration"
static val mutable DisableEFCoreDatabaseAutoMigration: string

Field Value

Type: String
See Also

Reference

EFCoreExtraConfigKeys Class
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory Class
Custom migration history entity
自定义的迁移历史实体
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.EFCoreEFCoreMigrationHistory

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class EFCoreMigrationHistory
Public Class EFCoreMigrationHistory
public ref class EFCoreMigrationHistory
type EFCoreMigrationHistory =  class end

The EFCoreMigrationHistory type exposes the following members.

Constructors
 | Name | Description
Public method | EFCoreMigrationHistory | Initialize 初始化
Public method | EFCoreMigrationHistory(String) | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Model | Model snapshot 模型快照
Public property | ProductVersion | Entity Framework Core product version Entity Framework Core的产品版本
Public property | Revision | Migration revision 迁移版本
Top
Methods
 | Name | Description
Public method | Configure | Configure entity model 配置实体模型
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory Constructor

Overload List
 | Name | Description
Public method | EFCoreMigrationHistory | Initialize 初始化
Public method | EFCoreMigrationHistory(String) | Initialize 初始化
Top
See Also

Reference

EFCoreMigrationHistory Class
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EFCoreMigrationHistory()
Public Sub New
public:
EFCoreMigrationHistory()
new : unit -> EFCoreMigrationHistory
See Also

Reference

EFCoreMigrationHistory Class
EFCoreMigrationHistory Overload
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory Constructor (String)
Initialize
初始化

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EFCoreMigrationHistory(
    string model
)
Public Sub New (
    model As String
)
public:
EFCoreMigrationHistory(
    String^ model
)
new :
        model : string -> EFCoreMigrationHistory

Parameters

model
Type: SystemString
Model snapshot
See Also

Reference

EFCoreMigrationHistory Class
EFCoreMigrationHistory Overload
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory Properties

The EFCoreMigrationHistory type exposes the following members.

Properties
 | Name | Description
Public property | Model | Model snapshot 模型快照
Public property | ProductVersion | Entity Framework Core product version Entity Framework Core的产品版本
Public property | Revision | Migration revision 迁移版本
Top
See Also

Reference

EFCoreMigrationHistory Class
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory.Model Property

EFCoreMigrationHistoryModel Property

Model snapshot
模型快照

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Model { get; set; }
Public Overridable Property Model As String
    Get
    Set
public:
virtual property String^ Model {
    String^ get ();
    void set (String^ value);
}
abstract Model : string with get, set
override Model : string with get, set

Property Value

Type: String
See Also

Reference

EFCoreMigrationHistory Class
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory.ProductVersion Property

EFCoreMigrationHistoryProductVersion Property

Entity Framework Core product version
Entity Framework Core的产品版本

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ProductVersion { get; set; }
Public Overridable Property ProductVersion As String
    Get
    Set
public:
virtual property String^ ProductVersion {
    String^ get ();
    void set (String^ value);
}
abstract ProductVersion : string with get, set
override ProductVersion : string with get, set

Property Value

Type: String
See Also

Reference

EFCoreMigrationHistory Class
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory.Revision Property

EFCoreMigrationHistoryRevision Property

Migration revision
迁移版本

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual int Revision { get; set; }
Public Overridable Property Revision As Integer
    Get
    Set
public:
virtual property int Revision {
    int get ();
    void set (int value);
}
abstract Revision : int with get, set
override Revision : int with get, set

Property Value

Type: Int32
See Also

Reference

EFCoreMigrationHistory Class
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory Methods

The EFCoreMigrationHistory type exposes the following members.

Methods
 | Name | Description
Public method | Configure | Configure entity model 配置实体模型
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

EFCoreMigrationHistory Class
ZKWeb.ORM.EFCore Namespace


EFCoreMigrationHistory.Configure Method

EFCoreMigrationHistoryConfigure Method

Configure entity model
配置实体模型

Namespace: ZKWeb.ORM.EFCore
Assembly: ZKWeb.ORM.EFCore (in ZKWeb.ORM.EFCore.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Configure(
    ModelBuilder builder
)
Public Overridable Sub Configure (
    builder As ModelBuilder
)
public:
virtual void Configure(
    ModelBuilder^ builder
)
abstract Configure :
        builder : ModelBuilder -> unit
override Configure :
        builder : ModelBuilder -> unit

Parameters

builder
Type: ModelBuilder
Model builder
See Also

Reference

EFCoreMigrationHistory Class
ZKWeb.ORM.EFCore Namespace


ZKWeb.ORM.InMemory Namespace

[Missing <summary> documentation for "N:ZKWeb.ORM.InMemory"]

Classes
 | Class | Description
Public class | InMemoryDatabaseContext | InMemory database context 内存数据库的上下文
Public class | InMemoryDatabaseContextFactory | InMemory database context factory This factory hold a memory database for all context it created 内存数据库的上下文生成器 这个生成器应该包含一个内存数据库供所有生成的上下文使用
Public class | InMemoryDatabaseStore | A simple memory database store It shouldn't use in production environment, The performance will be very poor 一个简单的内存数据库储存 它不应该用在生产环境 性能会很差
Public class | InMemoryEntityMappingBuilderT | Defines a mapping for an entity 定义实体的映射
Interfaces
 | Interface | Description
Public interface | IInMemoryEntityMapping | The non-generic interface for entity mapping 实体映射的非泛型接口


IInMemoryEntityMapping Interface
The non-generic interface for entity mapping
实体映射的非泛型接口

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IInMemoryEntityMapping
Public Interface IInMemoryEntityMapping
public interface class IInMemoryEntityMapping
type IInMemoryEntityMapping =  interface end

The IInMemoryEntityMapping type exposes the following members.

Properties
 | Name | Description
Public property | EntityType | The entity type 实体类型
Public property | IdMember | Id member Id成员
Public property | ManyToManyMembers | Many-to-many members, it should be a collection 多对多的成员, 应该是集合类型
Public property | ManyToOneMembers | Many-to-one members 多对一的成员
Public property | OneToManyMembers | One-to-many members, it should be a collection 一对多的成员, 应该是集合类型
Public property | OrdinaryMembers | Ordinary members, not releated to other entities 普通成员, 与其他实体无关的成员
Top
See Also

Reference

ZKWeb.ORM.InMemory Namespace


IInMemoryEntityMapping Properties

The IInMemoryEntityMapping type exposes the following members.

Properties
 | Name | Description
Public property | EntityType | The entity type 实体类型
Public property | IdMember | Id member Id成员
Public property | ManyToManyMembers | Many-to-many members, it should be a collection 多对多的成员, 应该是集合类型
Public property | ManyToOneMembers | Many-to-one members 多对一的成员
Public property | OneToManyMembers | One-to-many members, it should be a collection 一对多的成员, 应该是集合类型
Public property | OrdinaryMembers | Ordinary members, not releated to other entities 普通成员, 与其他实体无关的成员
Top
See Also

Reference

IInMemoryEntityMapping Interface
ZKWeb.ORM.InMemory Namespace


IInMemoryEntityMapping.EntityType Property

IInMemoryEntityMappingEntityType Property

The entity type
实体类型

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Type EntityType { get; }
ReadOnly Property EntityType As Type
    Get
property Type^ EntityType {
    Type^ get ();
}
abstract EntityType : Type with get

Property Value

Type: Type
See Also

Reference

IInMemoryEntityMapping Interface
ZKWeb.ORM.InMemory Namespace


IInMemoryEntityMapping.IdMember Property

IInMemoryEntityMappingIdMember Property

Id member
Id成员

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
MemberInfo IdMember { get; set; }
Property IdMember As MemberInfo
    Get
    Set
property MemberInfo^ IdMember {
    MemberInfo^ get ();
    void set (MemberInfo^ value);
}
abstract IdMember : MemberInfo with get, set

Property Value

Type: MemberInfo
See Also

Reference

IInMemoryEntityMapping Interface
ZKWeb.ORM.InMemory Namespace


IInMemoryEntityMapping.ManyToManyMembers Property

IInMemoryEntityMappingManyToManyMembers Property

Many-to-many members, it should be a collection
多对多的成员, 应该是集合类型

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IList<MemberInfo> ManyToManyMembers { get; set; }
Property ManyToManyMembers As IList(Of MemberInfo)
    Get
    Set
property IList<MemberInfo^>^ ManyToManyMembers {
    IList<MemberInfo^>^ get ();
    void set (IList<MemberInfo^>^ value);
}
abstract ManyToManyMembers : IList<MemberInfo> with get, set

Property Value

Type: IList MemberInfo
See Also

Reference

IInMemoryEntityMapping Interface
ZKWeb.ORM.InMemory Namespace


IInMemoryEntityMapping.ManyToOneMembers Property

IInMemoryEntityMappingManyToOneMembers Property

Many-to-one members
多对一的成员

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IList<MemberInfo> ManyToOneMembers { get; set; }
Property ManyToOneMembers As IList(Of MemberInfo)
    Get
    Set
property IList<MemberInfo^>^ ManyToOneMembers {
    IList<MemberInfo^>^ get ();
    void set (IList<MemberInfo^>^ value);
}
abstract ManyToOneMembers : IList<MemberInfo> with get, set

Property Value

Type: IList MemberInfo
See Also

Reference

IInMemoryEntityMapping Interface
ZKWeb.ORM.InMemory Namespace


IInMemoryEntityMapping.OneToManyMembers Property

IInMemoryEntityMappingOneToManyMembers Property

One-to-many members, it should be a collection
一对多的成员, 应该是集合类型

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IList<MemberInfo> OneToManyMembers { get; set; }
Property OneToManyMembers As IList(Of MemberInfo)
    Get
    Set
property IList<MemberInfo^>^ OneToManyMembers {
    IList<MemberInfo^>^ get ();
    void set (IList<MemberInfo^>^ value);
}
abstract OneToManyMembers : IList<MemberInfo> with get, set

Property Value

Type: IList MemberInfo
See Also

Reference

IInMemoryEntityMapping Interface
ZKWeb.ORM.InMemory Namespace


IInMemoryEntityMapping.OrdinaryMembers Property

IInMemoryEntityMappingOrdinaryMembers Property

Ordinary members, not releated to other entities
普通成员, 与其他实体无关的成员

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IList<MemberInfo> OrdinaryMembers { get; set; }
Property OrdinaryMembers As IList(Of MemberInfo)
    Get
    Set
property IList<MemberInfo^>^ OrdinaryMembers {
    IList<MemberInfo^>^ get ();
    void set (IList<MemberInfo^>^ value);
}
abstract OrdinaryMembers : IList<MemberInfo> with get, set

Property Value

Type: IList MemberInfo
See Also

Reference

IInMemoryEntityMapping Interface
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext Class
InMemory database context
内存数据库的上下文
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.InMemoryInMemoryDatabaseContext

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class InMemoryDatabaseContext : IDatabaseContext,
    IDisposable
Public Class InMemoryDatabaseContext
    Implements IDatabaseContext, IDisposable
public ref class InMemoryDatabaseContext : IDatabaseContext,
    IDisposable
type InMemoryDatabaseContext =
    class
        interface IDatabaseContext
        interface IDisposable
    end

The InMemoryDatabaseContext type exposes the following members.

Constructors
 | Name | Description
Public method | InMemoryDatabaseContext | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Database | Database type 数据库类型
Public property | DbConnection | Underlying database connection 底层的数据库连接
Public property | ORM | ORM name ORM名称
Protected property | Store | The database object 数据库对象
Top
Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities 批量删除实体
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities 批量更新实体
Public method | BeginTransaction | Do Nothing 不做任何事情
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Do Nothing 不做任何事情
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way 快速批量删除实体
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体
Public method | FinishTransaction | Do Nothing 不做任何事情
Public method | GetT | Get single entity that matched the given predicate 获取符合传入条件的单个实体
Public method | QueryT | Get the query object for specific entity type 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Fields
Name | Description
ConstORM |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public InMemoryDatabaseContext(
    InMemoryDatabaseStore store
)
Public Sub New (
    store As InMemoryDatabaseStore
)
public:
InMemoryDatabaseContext(
    InMemoryDatabaseStore^ store
)
new :
        store : InMemoryDatabaseStore -> InMemoryDatabaseContext

Parameters

store
Type: ZKWeb.ORM.InMemoryInMemoryDatabaseStore

[Missing <param name="store"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.#ctor(ZKWeb.ORM.InMemory.InMemoryDatabaseStore)"]

See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext Properties

The InMemoryDatabaseContext type exposes the following members.

Properties
 | Name | Description
Public property | Database | Database type 数据库类型
Public property | DbConnection | Underlying database connection 底层的数据库连接
Public property | ORM | ORM name ORM名称
Protected property | Store | The database object 数据库对象
Top
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.Database Property

InMemoryDatabaseContextDatabase Property

Database type
数据库类型

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Database { get; }
Public ReadOnly Property Database As String
    Get
public:
virtual property String^ Database {
    String^ get () sealed;
}
abstract Database : string with get
override Database : string with get

Property Value

Type: String

Implements

IDatabaseContextDatabase
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.DbConnection Property

InMemoryDatabaseContextDbConnection Property

Underlying database connection
底层的数据库连接

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object DbConnection { get; }
Public ReadOnly Property DbConnection As Object
    Get
public:
virtual property Object^ DbConnection {
    Object^ get () sealed;
}
abstract DbConnection : Object with get
override DbConnection : Object with get

Property Value

Type: Object

Implements

IDatabaseContextDbConnection
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.ORM Property

InMemoryDatabaseContextORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IDatabaseContextORM
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.Store Property

InMemoryDatabaseContextStore Property

The database object
数据库对象

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected InMemoryDatabaseStore Store { get; set; }
Protected Property Store As InMemoryDatabaseStore
    Get
    Set
protected:
property InMemoryDatabaseStore^ Store {
    InMemoryDatabaseStore^ get ();
    void set (InMemoryDatabaseStore^ value);
}
member Store : InMemoryDatabaseStore with get, set

Property Value

Type: InMemoryDatabaseStore
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext Methods

The InMemoryDatabaseContext type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities 批量删除实体
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities 批量更新实体
Public method | BeginTransaction | Do Nothing 不做任何事情
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Do Nothing 不做任何事情
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way 快速批量删除实体
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体
Public method | FinishTransaction | Do Nothing 不做任何事情
Public method | GetT | Get single entity that matched the given predicate 获取符合传入条件的单个实体
Public method | QueryT | Get the query object for specific entity type 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.BatchDelete(T) Method

InMemoryDatabaseContextBatchDeleteT Method

Batch delete entities
批量删除实体

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchDelete<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> beforeDelete
)
where T : class, IEntity

Public Function BatchDelete(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    beforeDelete As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchDelete(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ beforeDelete
) sealed
abstract BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

beforeDelete
Type: SystemAction T

[Missing <param name="beforeDelete"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchDeleteT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.BatchSave(T) Method

InMemoryDatabaseContextBatchSaveT Method

Batch save entities
批量保存实体

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BatchSave<T>(
    ref IEnumerable<T> entities,
    Action<T> update = null
)
where T : class, IEntity

Public Sub BatchSave(Of T As {Class, IEntity}) (
    ByRef entities As IEnumerable(Of T),
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void BatchSave(
    IEnumerable<T>^% entities,
    Action<T>^ update = nullptr
) sealed
abstract BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Implements

IDatabaseContextBatchSaveT(IEnumerableT, ActionT)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.BatchUpdate(T) Method

InMemoryDatabaseContextBatchUpdateT Method

Batch update entities
批量更新实体

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchUpdate<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> update
)
where T : class, IEntity

Public Function BatchUpdate(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    update As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchUpdate(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ update
) sealed
abstract BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

update
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchUpdateT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.BeginTransaction Method

InMemoryDatabaseContextBeginTransaction Method

Do Nothing
不做任何事情

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel
)
Public Sub BeginTransaction (
    isolationLevel As Nullable(Of IsolationLevel)
)
public:
virtual void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel
) sealed
abstract BeginTransaction :
        isolationLevel : Nullable<IsolationLevel> -> unit
override BeginTransaction :
        isolationLevel : Nullable<IsolationLevel> -> unit

Parameters

isolationLevel
Type: SystemNullable IsolationLevel

[Missing <param name="isolationLevel"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.BeginTransaction(System.Nullable{System.Data.IsolationLevel})"]

Implements

IDatabaseContextBeginTransaction(NullableIsolationLevel)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.Count(T) Method

InMemoryDatabaseContextCountT Method

Get how many entities that matched the given predicate
获取符合传入条件的实体数量

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Count<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Count(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long Count(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity
override Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextCountT(ExpressionFuncT, Boolean)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.Delete(T) Method

InMemoryDatabaseContextDeleteT Method

Delete entity from database
删除数据库中的实体

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Delete<T>(
    T entity
)
where T : class, IEntity

Public Sub Delete(Of T As {Class, IEntity}) (
    entity As T
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Delete(
    T entity
) sealed
abstract Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity
override Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Delete``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Delete``1(``0)"]

Implements

IDatabaseContextDeleteT(T)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.Dispose Method

InMemoryDatabaseContextDispose Method

Do Nothing
不做任何事情

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.FastBatchDelete(T, TPrimaryKey) Method

InMemoryDatabaseContextFastBatchDeleteT, TPrimaryKey Method

Batch delete entities in faster way
快速批量删除实体

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long FastBatchDelete<T, TPrimaryKey>(
    Expression<Func<T, bool>> predicate
)
where T : class, new(), Object, IEntity<TPrimaryKey>

Public Function FastBatchDelete(Of T As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, gcnew(), Object, IEntity<TPrimaryKey>
virtual long long FastBatchDelete(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>
override FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextFastBatchDeleteT, TPrimaryKey(ExpressionFuncT, Boolean)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.FastBatchSave(T, TPrimaryKey) Method

InMemoryDatabaseContextFastBatchSaveT, TPrimaryKey Method

Batch save entities in faster way
快速批量保存实体

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FastBatchSave<T, TPrimaryKey>(
    IEnumerable<T> entities
)
where T : class, Object, IEntity<TPrimaryKey>

Public Sub FastBatchSave(Of T As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    entities As IEnumerable(Of T)
)
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, Object, IEntity<TPrimaryKey>
virtual void FastBatchSave(
    IEnumerable<T>^ entities
) sealed
abstract FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>
override FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Implements

IDatabaseContextFastBatchSaveT, TPrimaryKey(IEnumerableT)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.FinishTransaction Method

InMemoryDatabaseContextFinishTransaction Method

Do Nothing
不做任何事情

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FinishTransaction()
Public Sub FinishTransaction
public:
virtual void FinishTransaction() sealed
abstract FinishTransaction : unit -> unit
override FinishTransaction : unit -> unit

Implements

IDatabaseContextFinishTransaction
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.Get(T) Method

InMemoryDatabaseContextGetT Method

Get single entity that matched the given predicate
获取符合传入条件的单个实体

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T Get<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Get(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As T
public:
generic<typename T>
where T : ref class, IEntity
virtual T Get(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity
override Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextGetT(ExpressionFuncT, Boolean)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.Query(T) Method

InMemoryDatabaseContextQueryT Method

Get the query object for specific entity type
获取指定实体类型的查询对象

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IQueryable<T> Query<T>()
where T : class, IEntity

Public Function Query(Of T As {Class, IEntity}) As IQueryable(Of T)
public:
generic<typename T>
where T : ref class, IEntity
virtual IQueryable<T>^ Query() sealed
abstract Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity
override Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Query``1"]

Return Value

Type: IQueryable T

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Query``1"]

Implements

IDatabaseContextQueryT
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.RawQuery(T) Method

InMemoryDatabaseContextRawQueryT Method

Perform a raw query to database
执行一个原生的查询操作

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<T> RawQuery<T>(
    Object query,
    Object parameters
)
where T : class

Public Function RawQuery(Of T As Class) (
    query As Object,
    parameters As Object
) As IEnumerable(Of T)
public:
generic<typename T>
where T : ref class
virtual IEnumerable<T>^ RawQuery(
    Object^ query,
    Object^ parameters
) sealed
abstract RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct
override RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.RawQuery``1(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Return Value

Type: IEnumerable T

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Implements

IDatabaseContextRawQueryT(Object, Object)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.RawUpdate Method

InMemoryDatabaseContextRawUpdate Method

Perform a raw update to database
执行一个原生的更新操作

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long RawUpdate(
    Object query,
    Object parameters
)
Public Function RawUpdate (
    query As Object,
    parameters As Object
) As Long
public:
virtual long long RawUpdate(
    Object^ query,
    Object^ parameters
) sealed
abstract RawUpdate :
        query : Object *
        parameters : Object -> int64
override RawUpdate :
        query : Object *
        parameters : Object -> int64

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.RawUpdate(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.RawUpdate(System.Object,System.Object)"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.RawUpdate(System.Object,System.Object)"]

Implements

IDatabaseContextRawUpdate(Object, Object)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.Save(T) Method

InMemoryDatabaseContextSaveT Method

Save entity to database
保存实体到数据库

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Save<T>(
    ref T entity,
    Action<T> update = null
)
where T : class, IEntity

Public Sub Save(Of T As {Class, IEntity}) (
    ByRef entity As T,
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Save(
    T% entity,
    Action<T>^ update = nullptr
) sealed
abstract Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Save``1(``0@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Save``1(``0@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.Save``1(``0@,System.Action{``0})"]

Implements

IDatabaseContextSaveT(T, ActionT)
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext Fields

The InMemoryDatabaseContext type exposes the following members.

Fields
Name | Description
ConstORM |
Top
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContext.ConstORM Field

InMemoryDatabaseContextConstORM Field

[Missing <summary> documentation for "F:ZKWeb.ORM.InMemory.InMemoryDatabaseContext.ConstORM"]

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstORM = "InMemory"
Public Const ConstORM As String = "InMemory"
public:
literal String^ ConstORM = "InMemory"
static val mutable ConstORM: string

Field Value

Type: String
See Also

Reference

InMemoryDatabaseContext Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContextFactory Class
InMemory database context factory
This factory hold a memory database for all context it created
内存数据库的上下文生成器
这个生成器应该包含一个内存数据库供所有生成的上下文使用
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.InMemoryInMemoryDatabaseContextFactory

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class InMemoryDatabaseContextFactory : IDatabaseContextFactory
Public Class InMemoryDatabaseContextFactory
    Implements IDatabaseContextFactory
public ref class InMemoryDatabaseContextFactory : IDatabaseContextFactory
type InMemoryDatabaseContextFactory =
    class
        interface IDatabaseContextFactory
    end

The InMemoryDatabaseContextFactory type exposes the following members.

Constructors
 | Name | Description
Public method | InMemoryDatabaseContextFactory | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | Store | The store object 储存对象
Top
Methods
 | Name | Description
Public method | CreateContext | Create a database context 创建数据库上下文
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContextFactory Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public InMemoryDatabaseContextFactory(
    string database,
    string connectionString
)
Public Sub New (
    database As String,
    connectionString As String
)
public:
InMemoryDatabaseContextFactory(
    String^ database,
    String^ connectionString
)
new :
        database : string *
        connectionString : string -> InMemoryDatabaseContextFactory

Parameters

database
Type: SystemString
Not using
connectionString
Type: SystemString
Not using
See Also

Reference

InMemoryDatabaseContextFactory Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContextFactory Properties

The InMemoryDatabaseContextFactory type exposes the following members.

Properties
 | Name | Description
Protected property | Store | The store object 储存对象
Top
See Also

Reference

InMemoryDatabaseContextFactory Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContextFactory.Store Property

InMemoryDatabaseContextFactoryStore Property

The store object
储存对象

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected InMemoryDatabaseStore Store { get; set; }
Protected Property Store As InMemoryDatabaseStore
    Get
    Set
protected:
property InMemoryDatabaseStore^ Store {
    InMemoryDatabaseStore^ get ();
    void set (InMemoryDatabaseStore^ value);
}
member Store : InMemoryDatabaseStore with get, set

Property Value

Type: InMemoryDatabaseStore
See Also

Reference

InMemoryDatabaseContextFactory Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContextFactory Methods

The InMemoryDatabaseContextFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateContext | Create a database context 创建数据库上下文
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

InMemoryDatabaseContextFactory Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseContextFactory.CreateContext Method

InMemoryDatabaseContextFactoryCreateContext Method

Create a database context
创建数据库上下文

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDatabaseContext CreateContext()
Public Function CreateContext As IDatabaseContext
public:
virtual IDatabaseContext^ CreateContext() sealed
abstract CreateContext : unit -> IDatabaseContext
override CreateContext : unit -> IDatabaseContext

Return Value

Type: IDatabaseContext

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseContextFactory.CreateContext"]

Implements

IDatabaseContextFactoryCreateContext
See Also

Reference

InMemoryDatabaseContextFactory Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore Class
A simple memory database store
It shouldn't use in production environment,
The performance will be very poor
一个简单的内存数据库储存
它不应该用在生产环境
性能会很差
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.InMemoryInMemoryDatabaseStore

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class InMemoryDatabaseStore
Public Class InMemoryDatabaseStore
public ref class InMemoryDatabaseStore
type InMemoryDatabaseStore =  class end

The InMemoryDatabaseStore type exposes the following members.

Constructors
 | Name | Description
Public method | InMemoryDatabaseStore | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | Mappings | Type to mapping definition 类型到映射的定义
Protected property | PrimaryKeySequence | Type to primary key sequence, only for integer type 类型到主键的序号, 只供int主键使用
Protected property | PrimaryKeySequenceLock | The lock for the sequence increment 增加序号时使用的锁
Protected property | Store | Data store 数据储存 { Type: { key: object } }
Top
Methods
 | Name | Description
Public method | EnsurePrimaryKeyT | If an entity have a integer or guid primary key, and it's empty, then generate a new primary key for it. Return the final primary key. 如果实体有一个数值或者guid主键, 并且主键为空 则生成一个新的主键 返回最终的主键
Public method | GetEntityStore | Get data store for specified type 获取类型对应的数据储存
Public method | GetPrimaryKeyT | Get the primary key object from entity 获取实体的主键对象
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public InMemoryDatabaseStore()
Public Sub New
public:
InMemoryDatabaseStore()
new : unit -> InMemoryDatabaseStore
See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore Properties

The InMemoryDatabaseStore type exposes the following members.

Properties
 | Name | Description
Protected property | Mappings | Type to mapping definition 类型到映射的定义
Protected property | PrimaryKeySequence | Type to primary key sequence, only for integer type 类型到主键的序号, 只供int主键使用
Protected property | PrimaryKeySequenceLock | The lock for the sequence increment 增加序号时使用的锁
Protected property | Store | Data store 数据储存 { Type: { key: object } }
Top
See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore.Mappings Property

InMemoryDatabaseStoreMappings Property

Type to mapping definition
类型到映射的定义

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ConcurrentDictionary<Type, IInMemoryEntityMapping> Mappings { get; set; }
Protected Property Mappings As ConcurrentDictionary(Of Type, IInMemoryEntityMapping)
    Get
    Set
protected:
property ConcurrentDictionary<Type^, IInMemoryEntityMapping^>^ Mappings {
    ConcurrentDictionary<Type^, IInMemoryEntityMapping^>^ get ();
    void set (ConcurrentDictionary<Type^, IInMemoryEntityMapping^>^ value);
}
member Mappings : ConcurrentDictionary<Type, IInMemoryEntityMapping> with get, set

Property Value

Type: ConcurrentDictionary Type, IInMemoryEntityMapping
See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore.PrimaryKeySequence Property

InMemoryDatabaseStorePrimaryKeySequence Property

Type to primary key sequence, only for integer type
类型到主键的序号, 只供int主键使用

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ConcurrentDictionary<Type, long> PrimaryKeySequence { get; set; }
Protected Property PrimaryKeySequence As ConcurrentDictionary(Of Type, Long)
    Get
    Set
protected:
property ConcurrentDictionary<Type^, long long>^ PrimaryKeySequence {
    ConcurrentDictionary<Type^, long long>^ get ();
    void set (ConcurrentDictionary<Type^, long long>^ value);
}
member PrimaryKeySequence : ConcurrentDictionary<Type, int64> with get, set

Property Value

Type: ConcurrentDictionary Type, Int64
See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore.PrimaryKeySequenceLock Property

InMemoryDatabaseStorePrimaryKeySequenceLock Property

The lock for the sequence increment
增加序号时使用的锁

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Object PrimaryKeySequenceLock { get; set; }
Protected Property PrimaryKeySequenceLock As Object
    Get
    Set
protected:
property Object^ PrimaryKeySequenceLock {
    Object^ get ();
    void set (Object^ value);
}
member PrimaryKeySequenceLock : Object with get, set

Property Value

Type: Object
See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore.Store Property

InMemoryDatabaseStoreStore Property

Data store
数据储存
{ Type: { key: object } }

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ConcurrentDictionary<Type, ConcurrentDictionary<Object, Object>> Store { get; set; }
Protected Property Store As ConcurrentDictionary(Of Type, ConcurrentDictionary(Of Object, Object))
    Get
    Set
protected:
property ConcurrentDictionary<Type^, ConcurrentDictionary<Object^, Object^>^>^ Store {
    ConcurrentDictionary<Type^, ConcurrentDictionary<Object^, Object^>^>^ get ();
    void set (ConcurrentDictionary<Type^, ConcurrentDictionary<Object^, Object^>^>^ value);
}
member Store : ConcurrentDictionary<Type, ConcurrentDictionary<Object, Object>> with get, set

Property Value

Type: ConcurrentDictionary Type, ConcurrentDictionary Object, Object
See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore Methods

The InMemoryDatabaseStore type exposes the following members.

Methods
 | Name | Description
Public method | EnsurePrimaryKeyT | If an entity have a integer or guid primary key, and it's empty, then generate a new primary key for it. Return the final primary key. 如果实体有一个数值或者guid主键, 并且主键为空 则生成一个新的主键 返回最终的主键
Public method | GetEntityStore | Get data store for specified type 获取类型对应的数据储存
Public method | GetPrimaryKeyT | Get the primary key object from entity 获取实体的主键对象
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore.EnsurePrimaryKey(T) Method

InMemoryDatabaseStoreEnsurePrimaryKeyT Method

If an entity have a integer or guid primary key, and it's empty,
then generate a new primary key for it.
Return the final primary key.
如果实体有一个数值或者guid主键, 并且主键为空
则生成一个新的主键
返回最终的主键

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object EnsurePrimaryKey<T>(
    T entity
)

Public Function EnsurePrimaryKey(Of T) (
    entity As T
) As Object
public:
generic<typename T>
Object^ EnsurePrimaryKey(
    T entity
)
member EnsurePrimaryKey :
        entity : 'T -> Object

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseStore.EnsurePrimaryKey``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseStore.EnsurePrimaryKey``1(``0)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseStore.EnsurePrimaryKey``1(``0)"]

See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore.GetEntityStore Method

InMemoryDatabaseStoreGetEntityStore Method

Get data store for specified type
获取类型对应的数据储存

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Object, Object> GetEntityStore(
    Type entityType
)
Public Function GetEntityStore (
    entityType As Type
) As IDictionary(Of Object, Object)
public:
IDictionary<Object^, Object^>^ GetEntityStore(
    Type^ entityType
)
member GetEntityStore :
        entityType : Type -> IDictionary<Object, Object>

Parameters

entityType
Type: SystemType
Entity type

Return Value

Type: IDictionary Object, Object

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseStore.GetEntityStore(System.Type)"]

See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryDatabaseStore.GetPrimaryKey(T) Method

InMemoryDatabaseStoreGetPrimaryKeyT Method

Get the primary key object from entity
获取实体的主键对象

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object GetPrimaryKey<T>(
    T entity
)

Public Function GetPrimaryKey(Of T) (
    entity As T
) As Object
public:
generic<typename T>
Object^ GetPrimaryKey(
    T entity
)
member GetPrimaryKey :
        entity : 'T -> Object

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseStore.GetPrimaryKey``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseStore.GetPrimaryKey``1(``0)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.ORM.InMemory.InMemoryDatabaseStore.GetPrimaryKey``1(``0)"]

See Also

Reference

InMemoryDatabaseStore Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T) Class

InMemoryEntityMappingBuilderT Class
Defines a mapping for an entity
定义实体的映射
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.InMemoryInMemoryEntityMappingBuilderT

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class InMemoryEntityMappingBuilder<T> : IEntityMappingBuilder<T>,
    IInMemoryEntityMapping
where T : class, IEntity

Public Class InMemoryEntityMappingBuilder(Of T As {Class, IEntity})
    Implements IEntityMappingBuilder(Of T), IInMemoryEntityMapping
generic<typename T>
where T : ref class, IEntity
public ref class InMemoryEntityMappingBuilder : IEntityMappingBuilder<T>,
    IInMemoryEntityMapping
type InMemoryEntityMappingBuilder<'T when 'T : not struct and IEntity> =
    class
        interface IEntityMappingBuilder<'T>
        interface IInMemoryEntityMapping
    end

Type Parameters

T
Entity type

The InMemoryEntityMappingBuilderT type exposes the following members.

Constructors
 | Name | Description
Public method | InMemoryEntityMappingBuilderT | Initialize 初始化
Top
Properties
 | Name | Description
Public property | EntityType | Entity type 实体类型
Public property | IdMember | Id member Id成员
Public property | ManyToManyMembers | Many-to-many members 多对多的成员列表
Public property | ManyToOneMembers | Many-to-one members 多对一的成员列表
Public property | OneToManyMembers | One-to-many embers 一对多的成员列表
Public property | OrdinaryMembers | Ordinary members 普通成员列表
Public property | ORM | ORM name ORM名称
Top
Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T) Constructor

InMemoryEntityMappingBuilderT Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public InMemoryEntityMappingBuilder()
Public Sub New
public:
InMemoryEntityMappingBuilder()
new : unit -> InMemoryEntityMappingBuilder
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T) Properties

InMemoryEntityMappingBuilderT Properties

The InMemoryEntityMappingBuilderT generic type exposes the following members.

Properties
 | Name | Description
Public property | EntityType | Entity type 实体类型
Public property | IdMember | Id member Id成员
Public property | ManyToManyMembers | Many-to-many members 多对多的成员列表
Public property | ManyToOneMembers | Many-to-one members 多对一的成员列表
Public property | OneToManyMembers | One-to-many embers 一对多的成员列表
Public property | OrdinaryMembers | Ordinary members 普通成员列表
Public property | ORM | ORM name ORM名称
Top
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).EntityType Property

InMemoryEntityMappingBuilderTEntityType Property

Entity type
实体类型

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Type EntityType { get; }
Public ReadOnly Property EntityType As Type
    Get
public:
virtual property Type^ EntityType {
    Type^ get () sealed;
}
abstract EntityType : Type with get
override EntityType : Type with get

Property Value

Type: Type

Implements

IInMemoryEntityMappingEntityType
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).IdMember Property

InMemoryEntityMappingBuilderTIdMember Property

Id member
Id成员

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MemberInfo IdMember { get; set; }
Public Property IdMember As MemberInfo
    Get
    Set
public:
virtual property MemberInfo^ IdMember {
    MemberInfo^ get () sealed;
    void set (MemberInfo^ value) sealed;
}
abstract IdMember : MemberInfo with get, set
override IdMember : MemberInfo with get, set

Property Value

Type: MemberInfo

Implements

IInMemoryEntityMappingIdMember
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).ManyToManyMembers Property

InMemoryEntityMappingBuilderTManyToManyMembers Property

Many-to-many members
多对多的成员列表

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<MemberInfo> ManyToManyMembers { get; set; }
Public Property ManyToManyMembers As IList(Of MemberInfo)
    Get
    Set
public:
virtual property IList<MemberInfo^>^ ManyToManyMembers {
    IList<MemberInfo^>^ get () sealed;
    void set (IList<MemberInfo^>^ value) sealed;
}
abstract ManyToManyMembers : IList<MemberInfo> with get, set
override ManyToManyMembers : IList<MemberInfo> with get, set

Property Value

Type: IList MemberInfo

Implements

IInMemoryEntityMappingManyToManyMembers
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).ManyToOneMembers Property

InMemoryEntityMappingBuilderTManyToOneMembers Property

Many-to-one members
多对一的成员列表

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<MemberInfo> ManyToOneMembers { get; set; }
Public Property ManyToOneMembers As IList(Of MemberInfo)
    Get
    Set
public:
virtual property IList<MemberInfo^>^ ManyToOneMembers {
    IList<MemberInfo^>^ get () sealed;
    void set (IList<MemberInfo^>^ value) sealed;
}
abstract ManyToOneMembers : IList<MemberInfo> with get, set
override ManyToOneMembers : IList<MemberInfo> with get, set

Property Value

Type: IList MemberInfo

Implements

IInMemoryEntityMappingManyToOneMembers
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).OneToManyMembers Property

InMemoryEntityMappingBuilderTOneToManyMembers Property

One-to-many embers
一对多的成员列表

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<MemberInfo> OneToManyMembers { get; set; }
Public Property OneToManyMembers As IList(Of MemberInfo)
    Get
    Set
public:
virtual property IList<MemberInfo^>^ OneToManyMembers {
    IList<MemberInfo^>^ get () sealed;
    void set (IList<MemberInfo^>^ value) sealed;
}
abstract OneToManyMembers : IList<MemberInfo> with get, set
override OneToManyMembers : IList<MemberInfo> with get, set

Property Value

Type: IList MemberInfo

Implements

IInMemoryEntityMappingOneToManyMembers
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).OrdinaryMembers Property

InMemoryEntityMappingBuilderTOrdinaryMembers Property

Ordinary members
普通成员列表

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<MemberInfo> OrdinaryMembers { get; set; }
Public Property OrdinaryMembers As IList(Of MemberInfo)
    Get
    Set
public:
virtual property IList<MemberInfo^>^ OrdinaryMembers {
    IList<MemberInfo^>^ get () sealed;
    void set (IList<MemberInfo^>^ value) sealed;
}
abstract OrdinaryMembers : IList<MemberInfo> with get, set
override OrdinaryMembers : IList<MemberInfo> with get, set

Property Value

Type: IList MemberInfo

Implements

IInMemoryEntityMappingOrdinaryMembers
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).ORM Property

InMemoryEntityMappingBuilderTORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IEntityMappingBuilderTORM
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T) Methods

InMemoryEntityMappingBuilderT Methods

The InMemoryEntityMappingBuilderT generic type exposes the following members.

Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).HasMany(TChild) Method

InMemoryEntityMappingBuilderTHasManyTChild Method

Maps a collection of entities as a one-to-many relationship.
创建到实体集合的映射, 这是一对多的关系

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options
)
where TChild : class

Public Sub HasMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    options As EntityMappingOptions
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct
override HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).HasManyToMany(TChild) Method

InMemoryEntityMappingBuilderTHasManyToManyTChild Method

Maps a collection of entities as a many-to-many relationship.
创建到实体集合的映射, 这是多对多的关系

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasManyToMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options = null
)
where TChild : class

Public Sub HasManyToMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    Optional options As EntityMappingOptions = Nothing
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasManyToMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
) sealed
abstract HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct
override HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyToManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).Id(TPrimaryKey) Method

InMemoryEntityMappingBuilderTIdTPrimaryKey Method

Specify the primary key for this entity
指定实体的主键

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Id<TPrimaryKey>(
    Expression<Func<T, TPrimaryKey>> memberExpression,
    EntityMappingOptions options
)

Public Sub Id(Of TPrimaryKey) (
    memberExpression As Expression(Of Func(Of T, TPrimaryKey)),
    options As EntityMappingOptions
)
public:
generic<typename TPrimaryKey>
virtual void Id(
    Expression<Func<T, TPrimaryKey>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit
override Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TPrimaryKey

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTIdTPrimaryKey(ExpressionFuncT, TPrimaryKey, EntityMappingOptions)
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).Map(TMember) Method

InMemoryEntityMappingBuilderTMapTMember Method

Create a member mapping
创建成员映射

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Map<TMember>(
    Expression<Func<T, TMember>> memberExpression,
    EntityMappingOptions options
)

Public Sub Map(Of TMember) (
    memberExpression As Expression(Of Func(Of T, TMember)),
    options As EntityMappingOptions
)
public:
generic<typename TMember>
virtual void Map(
    Expression<Func<T, TMember>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        options : EntityMappingOptions -> unit
override Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TMember

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TMember

[Missing <typeparam name="TMember"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTMapTMember(ExpressionFuncT, TMember, EntityMappingOptions)
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).References(TOther) Method

InMemoryEntityMappingBuilderTReferencesTOther Method

Create a reference to another entity, this is a many-to-one relationship.
创建到其他实体的映射, 这是多对一的关系

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void References<TOther>(
    Expression<Func<T, TOther>> memberExpression,
    EntityMappingOptions options
)
where TOther : class

Public Sub References(Of TOther As Class) (
    memberExpression As Expression(Of Func(Of T, TOther)),
    options As EntityMappingOptions
)
public:
generic<typename TOther>
where TOther : ref class
virtual void References(
    Expression<Func<T, TOther>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        options : EntityMappingOptions -> unit  when 'TOther : not struct
override References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        options : EntityMappingOptions -> unit  when 'TOther : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TOther

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TOther

[Missing <typeparam name="TOther"/> documentation for "M:ZKWeb.ORM.InMemory.InMemoryEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTReferencesTOther(ExpressionFuncT, TOther, EntityMappingOptions)
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


InMemoryEntityMappingBuilder(T).TableName Method

InMemoryEntityMappingBuilderTTableName Method

Specify the custom table name
指定自定义表名

Namespace: ZKWeb.ORM.InMemory
Assembly: ZKWeb.ORM.InMemory (in ZKWeb.ORM.InMemory.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void TableName(
    string tableName
)
Public Sub TableName (
    tableName As String
)
public:
virtual void TableName(
    String^ tableName
) sealed
abstract TableName :
        tableName : string -> unit
override TableName :
        tableName : string -> unit

Parameters

tableName
Type: SystemString
The table name

Implements

IEntityMappingBuilderTTableName(String)
See Also

Reference

InMemoryEntityMappingBuilderT Class
ZKWeb.ORM.InMemory Namespace


ZKWeb.ORM.MongoDB Namespace

[Missing <summary> documentation for "N:ZKWeb.ORM.MongoDB"]

Classes
 | Class | Description
Public class | MongoDBDatabaseContext | MongoDB database context MongoDB的数据库上下文
Public class | MongoDBDatabaseContextFactory | MongoDB database context factory MongoDB doesn't need to migrate database scheme MongoDB的数据库上下文生成器 MongoDB不需要迁移数据库
Public class | MongoDBEntityMappingBuilderT | MongoDB entity mapping builder Attention: The entity type can only be mapped once, the following mapping configuration will be ignored MongoDB的实体映射构建器 注意: 各个实体类型全局只能映射一次, 后面的映射会被忽略
Public class | MongoDBEntityMappings | MongoDB entity mappings MongoDB的实体映射集合
Interfaces
 | Interface | Description
Public interface | IMongoDBEntityMapping | Interface for MongoDB entity mapping MongoDB的实体映射接口


IMongoDBEntityMapping Interface
Interface for MongoDB entity mapping
MongoDB的实体映射接口

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IMongoDBEntityMapping
Public Interface IMongoDBEntityMapping
public interface class IMongoDBEntityMapping
type IMongoDBEntityMapping =  interface end

The IMongoDBEntityMapping type exposes the following members.

Properties
 | Name | Description
Public property | CollectionName | Collection name 集合名词
Public property | IdMember | Id member Id成员
Public property | OrdinaryMembers | Ordinary members, not releated to other entities 普通成员, 和其他实体无关的成员
Top
See Also

Reference

ZKWeb.ORM.MongoDB Namespace


IMongoDBEntityMapping Properties

The IMongoDBEntityMapping type exposes the following members.

Properties
 | Name | Description
Public property | CollectionName | Collection name 集合名词
Public property | IdMember | Id member Id成员
Public property | OrdinaryMembers | Ordinary members, not releated to other entities 普通成员, 和其他实体无关的成员
Top
See Also

Reference

IMongoDBEntityMapping Interface
ZKWeb.ORM.MongoDB Namespace


IMongoDBEntityMapping.CollectionName Property

IMongoDBEntityMappingCollectionName Property

Collection name
集合名词

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string CollectionName { get; }
ReadOnly Property CollectionName As String
    Get
property String^ CollectionName {
    String^ get ();
}
abstract CollectionName : string with get

Property Value

Type: String
See Also

Reference

IMongoDBEntityMapping Interface
ZKWeb.ORM.MongoDB Namespace


IMongoDBEntityMapping.IdMember Property

IMongoDBEntityMappingIdMember Property

Id member
Id成员

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
MemberInfo IdMember { get; }
ReadOnly Property IdMember As MemberInfo
    Get
property MemberInfo^ IdMember {
    MemberInfo^ get ();
}
abstract IdMember : MemberInfo with get

Property Value

Type: MemberInfo
See Also

Reference

IMongoDBEntityMapping Interface
ZKWeb.ORM.MongoDB Namespace


IMongoDBEntityMapping.OrdinaryMembers Property

IMongoDBEntityMappingOrdinaryMembers Property

Ordinary members, not releated to other entities
普通成员, 和其他实体无关的成员

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<MemberInfo> OrdinaryMembers { get; }
ReadOnly Property OrdinaryMembers As IEnumerable(Of MemberInfo)
    Get
property IEnumerable<MemberInfo^>^ OrdinaryMembers {
    IEnumerable<MemberInfo^>^ get ();
}
abstract OrdinaryMembers : IEnumerable<MemberInfo> with get

Property Value

Type: IEnumerable MemberInfo
See Also

Reference

IMongoDBEntityMapping Interface
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext Class
MongoDB database context
MongoDB的数据库上下文
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.MongoDBMongoDBDatabaseContext

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class MongoDBDatabaseContext : IDatabaseContext,
    IDisposable
Public Class MongoDBDatabaseContext
    Implements IDatabaseContext, IDisposable
public ref class MongoDBDatabaseContext : IDatabaseContext,
    IDisposable
type MongoDBDatabaseContext =
    class
        interface IDatabaseContext
        interface IDisposable
    end

The MongoDBDatabaseContext type exposes the following members.

Constructors
 | Name | Description
Public method | MongoDBDatabaseContext | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Database | Database type Same as ORM name 数据库类型 和ORM名称一样
Public property | DbConnection | Underlying database connection 底层的数据库连接
Protected property | Mappings | MongoDB entity mappings MongoDB的实体映射集合
Protected property | MongoDatabase | Database object 数据库对象
Public property | ORM | ORM name ORM名称
Top
Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities 批量删除实体
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities 批量更新实体
Public method | BeginTransaction | Do Nothing 不做任何事情
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Do nothing 不做任何事情
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way 快速批量删除实体
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体
Public method | FinishTransaction | Do Nothing 不做任何事情
Public method | GetT | Get single entity that matched the given predicate It should return null if no matched entity found 获取符合传入条件的单个实体 如果无符合条件的实体应该返回null
Protected method | GetCollectionT | Get mongo collection 获取数据集合
Protected method | MakeIdExpressionT | Make expression for filter entity by id Result is (e => e.Id == entity.Id) 生成根据实体Id过滤的表达式 结果是 (e => e.Id == entity.Id)
Public method | QueryT | Get the query object for specific entity type 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Fields
Name | Description
ConstORM |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MongoDBDatabaseContext(
    MongoUrl connectionUrl,
    MongoDBEntityMappings mappings
)
Public Sub New (
    connectionUrl As MongoUrl,
    mappings As MongoDBEntityMappings
)
public:
MongoDBDatabaseContext(
    MongoUrl^ connectionUrl,
    MongoDBEntityMappings^ mappings
)
new :
        connectionUrl : MongoUrl *
        mappings : MongoDBEntityMappings -> MongoDBDatabaseContext

Parameters

connectionUrl
Type: MongoUrl
Connection url
mappings
Type: ZKWeb.ORM.MongoDBMongoDBEntityMappings
Dapper entity mappings
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext Properties

The MongoDBDatabaseContext type exposes the following members.

Properties
 | Name | Description
Public property | Database | Database type Same as ORM name 数据库类型 和ORM名称一样
Public property | DbConnection | Underlying database connection 底层的数据库连接
Protected property | Mappings | MongoDB entity mappings MongoDB的实体映射集合
Protected property | MongoDatabase | Database object 数据库对象
Public property | ORM | ORM name ORM名称
Top
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.Database Property

MongoDBDatabaseContextDatabase Property

Database type
Same as ORM name
数据库类型
和ORM名称一样

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Database { get; }
Public ReadOnly Property Database As String
    Get
public:
virtual property String^ Database {
    String^ get () sealed;
}
abstract Database : string with get
override Database : string with get

Property Value

Type: String

Implements

IDatabaseContextDatabase
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.DbConnection Property

MongoDBDatabaseContextDbConnection Property

Underlying database connection
底层的数据库连接

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object DbConnection { get; }
Public ReadOnly Property DbConnection As Object
    Get
public:
virtual property Object^ DbConnection {
    Object^ get () sealed;
}
abstract DbConnection : Object with get
override DbConnection : Object with get

Property Value

Type: Object

Implements

IDatabaseContextDbConnection
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.Mappings Property

MongoDBDatabaseContextMappings Property

MongoDB entity mappings
MongoDB的实体映射集合

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected MongoDBEntityMappings Mappings { get; set; }
Protected Property Mappings As MongoDBEntityMappings
    Get
    Set
protected:
property MongoDBEntityMappings^ Mappings {
    MongoDBEntityMappings^ get ();
    void set (MongoDBEntityMappings^ value);
}
member Mappings : MongoDBEntityMappings with get, set

Property Value

Type: MongoDBEntityMappings
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.MongoDatabase Property

MongoDBDatabaseContextMongoDatabase Property

Database object
数据库对象

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IMongoDatabase MongoDatabase { get; set; }
Protected Property MongoDatabase As IMongoDatabase
    Get
    Set
protected:
property IMongoDatabase^ MongoDatabase {
    IMongoDatabase^ get ();
    void set (IMongoDatabase^ value);
}
member MongoDatabase : IMongoDatabase with get, set

Property Value

Type: IMongoDatabase
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.ORM Property

MongoDBDatabaseContextORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IDatabaseContextORM
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext Methods

The MongoDBDatabaseContext type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities 批量删除实体
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities 批量更新实体
Public method | BeginTransaction | Do Nothing 不做任何事情
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Do nothing 不做任何事情
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way 快速批量删除实体
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体
Public method | FinishTransaction | Do Nothing 不做任何事情
Public method | GetT | Get single entity that matched the given predicate It should return null if no matched entity found 获取符合传入条件的单个实体 如果无符合条件的实体应该返回null
Protected method | GetCollectionT | Get mongo collection 获取数据集合
Protected method | MakeIdExpressionT | Make expression for filter entity by id Result is (e => e.Id == entity.Id) 生成根据实体Id过滤的表达式 结果是 (e => e.Id == entity.Id)
Public method | QueryT | Get the query object for specific entity type 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.BatchDelete(T) Method

MongoDBDatabaseContextBatchDeleteT Method

Batch delete entities
批量删除实体

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchDelete<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> beforeDelete
)
where T : class, IEntity

Public Function BatchDelete(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    beforeDelete As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchDelete(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ beforeDelete
) sealed
abstract BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

beforeDelete
Type: SystemAction T

[Missing <param name="beforeDelete"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchDeleteT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.BatchSave(T) Method

MongoDBDatabaseContextBatchSaveT Method

Batch save entities
批量保存实体

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BatchSave<T>(
    ref IEnumerable<T> entities,
    Action<T> update = null
)
where T : class, IEntity

Public Sub BatchSave(Of T As {Class, IEntity}) (
    ByRef entities As IEnumerable(Of T),
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void BatchSave(
    IEnumerable<T>^% entities,
    Action<T>^ update = nullptr
) sealed
abstract BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Implements

IDatabaseContextBatchSaveT(IEnumerableT, ActionT)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.BatchUpdate(T) Method

MongoDBDatabaseContextBatchUpdateT Method

Batch update entities
批量更新实体

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchUpdate<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> update
)
where T : class, IEntity

Public Function BatchUpdate(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    update As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchUpdate(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ update
) sealed
abstract BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

update
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchUpdateT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.BeginTransaction Method

MongoDBDatabaseContextBeginTransaction Method

Do Nothing
不做任何事情

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel = null
)
Public Sub BeginTransaction (
    Optional isolationLevel As Nullable(Of IsolationLevel) = Nothing
)
public:
virtual void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel = nullptr
) sealed
abstract BeginTransaction :
        ?isolationLevel : Nullable<IsolationLevel>
(* Defaults:
        let _isolationLevel = defaultArg isolationLevel null
*)
-> unit
override BeginTransaction :
        ?isolationLevel : Nullable<IsolationLevel>
(* Defaults:
        let _isolationLevel = defaultArg isolationLevel null
*)
-> unit

Parameters

isolationLevel (Optional)
Type: SystemNullable IsolationLevel

[Missing <param name="isolationLevel"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.BeginTransaction(System.Nullable{System.Data.IsolationLevel})"]

Implements

IDatabaseContextBeginTransaction(NullableIsolationLevel)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.Count(T) Method

MongoDBDatabaseContextCountT Method

Get how many entities that matched the given predicate
获取符合传入条件的实体数量

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Count<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Count(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long Count(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity
override Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextCountT(ExpressionFuncT, Boolean)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.Delete(T) Method

MongoDBDatabaseContextDeleteT Method

Delete entity from database
删除数据库中的实体

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Delete<T>(
    T entity
)
where T : class, IEntity

Public Sub Delete(Of T As {Class, IEntity}) (
    entity As T
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Delete(
    T entity
) sealed
abstract Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity
override Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Delete``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Delete``1(``0)"]

Implements

IDatabaseContextDeleteT(T)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.Dispose Method

MongoDBDatabaseContextDispose Method

Do nothing
不做任何事情

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.FastBatchDelete(T, TPrimaryKey) Method

MongoDBDatabaseContextFastBatchDeleteT, TPrimaryKey Method

Batch delete entities in faster way
快速批量删除实体

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long FastBatchDelete<T, TPrimaryKey>(
    Expression<Func<T, bool>> predicate
)
where T : class, new(), Object, IEntity<TPrimaryKey>

Public Function FastBatchDelete(Of T As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, gcnew(), Object, IEntity<TPrimaryKey>
virtual long long FastBatchDelete(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>
override FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextFastBatchDeleteT, TPrimaryKey(ExpressionFuncT, Boolean)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.FastBatchSave(T, TPrimaryKey) Method

MongoDBDatabaseContextFastBatchSaveT, TPrimaryKey Method

Batch save entities in faster way
快速批量保存实体

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FastBatchSave<T, TPrimaryKey>(
    IEnumerable<T> entities
)
where T : class, Object, IEntity<TPrimaryKey>

Public Sub FastBatchSave(Of T As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    entities As IEnumerable(Of T)
)
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, Object, IEntity<TPrimaryKey>
virtual void FastBatchSave(
    IEnumerable<T>^ entities
) sealed
abstract FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>
override FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Implements

IDatabaseContextFastBatchSaveT, TPrimaryKey(IEnumerableT)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.FinishTransaction Method

MongoDBDatabaseContextFinishTransaction Method

Do Nothing
不做任何事情

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FinishTransaction()
Public Sub FinishTransaction
public:
virtual void FinishTransaction() sealed
abstract FinishTransaction : unit -> unit
override FinishTransaction : unit -> unit

Implements

IDatabaseContextFinishTransaction
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.Get(T) Method

MongoDBDatabaseContextGetT Method

Get single entity that matched the given predicate
It should return null if no matched entity found
获取符合传入条件的单个实体
如果无符合条件的实体应该返回null

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T Get<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Get(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As T
public:
generic<typename T>
where T : ref class, IEntity
virtual T Get(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity
override Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextGetT(ExpressionFuncT, Boolean)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.GetCollection(T) Method

MongoDBDatabaseContextGetCollectionT Method

Get mongo collection
获取数据集合

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IMongoCollection<T> GetCollection<T>()
where T : class

Protected Function GetCollection(Of T As Class) As IMongoCollection(Of T)
protected:
generic<typename T>
where T : ref class
IMongoCollection<T>^ GetCollection()
member GetCollection : unit -> IMongoCollection<'T>  when 'T : not struct

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.GetCollection``1"]

Return Value

Type: IMongoCollectionT

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.GetCollection``1"]

See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.MakeIdExpression(T) Method

MongoDBDatabaseContextMakeIdExpressionT Method

Make expression for filter entity by id
Result is (e => e.Id == entity.Id)
生成根据实体Id过滤的表达式
结果是 (e => e.Id == entity.Id)

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Expression<Func<T, bool>> MakeIdExpression<T>(
    T entity
)

Protected Function MakeIdExpression(Of T) (
    entity As T
) As Expression(Of Func(Of T, Boolean))
protected:
generic<typename T>
Expression<Func<T, bool>^>^ MakeIdExpression(
    T entity
)
member MakeIdExpression :
        entity : 'T -> Expression<Func<'T, bool>>

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.MakeIdExpression``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.MakeIdExpression``1(``0)"]

Return Value

Type: Expression Func T, Boolean

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.MakeIdExpression``1(``0)"]

See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.Query(T) Method

MongoDBDatabaseContextQueryT Method

Get the query object for specific entity type
获取指定实体类型的查询对象

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IQueryable<T> Query<T>()
where T : class, IEntity

Public Function Query(Of T As {Class, IEntity}) As IQueryable(Of T)
public:
generic<typename T>
where T : ref class, IEntity
virtual IQueryable<T>^ Query() sealed
abstract Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity
override Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Query``1"]

Return Value

Type: IQueryable T

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Query``1"]

Implements

IDatabaseContextQueryT
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.RawQuery(T) Method

MongoDBDatabaseContextRawQueryT Method

Perform a raw query to database
执行一个原生的查询操作

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<T> RawQuery<T>(
    Object query,
    Object parameters
)
where T : class

Public Function RawQuery(Of T As Class) (
    query As Object,
    parameters As Object
) As IEnumerable(Of T)
public:
generic<typename T>
where T : ref class
virtual IEnumerable<T>^ RawQuery(
    Object^ query,
    Object^ parameters
) sealed
abstract RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct
override RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.RawQuery``1(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Return Value

Type: IEnumerable T

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Implements

IDatabaseContextRawQueryT(Object, Object)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.RawUpdate Method

MongoDBDatabaseContextRawUpdate Method

Perform a raw update to database
执行一个原生的更新操作

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long RawUpdate(
    Object query,
    Object parameters
)
Public Function RawUpdate (
    query As Object,
    parameters As Object
) As Long
public:
virtual long long RawUpdate(
    Object^ query,
    Object^ parameters
) sealed
abstract RawUpdate :
        query : Object *
        parameters : Object -> int64
override RawUpdate :
        query : Object *
        parameters : Object -> int64

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.RawUpdate(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.RawUpdate(System.Object,System.Object)"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.RawUpdate(System.Object,System.Object)"]

Implements

IDatabaseContextRawUpdate(Object, Object)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.Save(T) Method

MongoDBDatabaseContextSaveT Method

Save entity to database
保存实体到数据库

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Save<T>(
    ref T entity,
    Action<T> update = null
)
where T : class, IEntity

Public Sub Save(Of T As {Class, IEntity}) (
    ByRef entity As T,
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Save(
    T% entity,
    Action<T>^ update = nullptr
) sealed
abstract Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Save``1(``0@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Save``1(``0@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.Save``1(``0@,System.Action{``0})"]

Implements

IDatabaseContextSaveT(T, ActionT)
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext Fields

The MongoDBDatabaseContext type exposes the following members.

Fields
Name | Description
ConstORM |
Top
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContext.ConstORM Field

MongoDBDatabaseContextConstORM Field

[Missing <summary> documentation for "F:ZKWeb.ORM.MongoDB.MongoDBDatabaseContext.ConstORM"]

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstORM = "MongoDB"
Public Const ConstORM As String = "MongoDB"
public:
literal String^ ConstORM = "MongoDB"
static val mutable ConstORM: string

Field Value

Type: String
See Also

Reference

MongoDBDatabaseContext Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContextFactory Class
MongoDB database context factory
MongoDB doesn't need to migrate database scheme
MongoDB的数据库上下文生成器
MongoDB不需要迁移数据库
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.MongoDBMongoDBDatabaseContextFactory

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class MongoDBDatabaseContextFactory : IDatabaseContextFactory
Public Class MongoDBDatabaseContextFactory
    Implements IDatabaseContextFactory
public ref class MongoDBDatabaseContextFactory : IDatabaseContextFactory
type MongoDBDatabaseContextFactory =
    class
        interface IDatabaseContextFactory
    end

The MongoDBDatabaseContextFactory type exposes the following members.

Constructors
 | Name | Description
Public method | MongoDBDatabaseContextFactory | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | ConnectionUrl | Connection url 连接字符串
Protected property | Mappings | MongoDB entity mappings MongoDB的实体映射
Top
Methods
 | Name | Description
Public method | CreateContext | Create database context 创建数据库上下文
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContextFactory Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MongoDBDatabaseContextFactory(
    string database,
    string connectionString
)
Public Sub New (
    database As String,
    connectionString As String
)
public:
MongoDBDatabaseContextFactory(
    String^ database,
    String^ connectionString
)
new :
        database : string *
        connectionString : string -> MongoDBDatabaseContextFactory

Parameters

database
Type: SystemString
Database type
connectionString
Type: SystemString
Connection string
See Also

Reference

MongoDBDatabaseContextFactory Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContextFactory Properties

The MongoDBDatabaseContextFactory type exposes the following members.

Properties
 | Name | Description
Protected property | ConnectionUrl | Connection url 连接字符串
Protected property | Mappings | MongoDB entity mappings MongoDB的实体映射
Top
See Also

Reference

MongoDBDatabaseContextFactory Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContextFactory.ConnectionUrl Property

MongoDBDatabaseContextFactoryConnectionUrl Property

Connection url
连接字符串

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected MongoUrl ConnectionUrl { get; set; }
Protected Property ConnectionUrl As MongoUrl
    Get
    Set
protected:
property MongoUrl^ ConnectionUrl {
    MongoUrl^ get ();
    void set (MongoUrl^ value);
}
member ConnectionUrl : MongoUrl with get, set

Property Value

Type: MongoUrl
See Also

Reference

MongoDBDatabaseContextFactory Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContextFactory.Mappings Property

MongoDBDatabaseContextFactoryMappings Property

MongoDB entity mappings
MongoDB的实体映射

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected MongoDBEntityMappings Mappings { get; set; }
Protected Property Mappings As MongoDBEntityMappings
    Get
    Set
protected:
property MongoDBEntityMappings^ Mappings {
    MongoDBEntityMappings^ get ();
    void set (MongoDBEntityMappings^ value);
}
member Mappings : MongoDBEntityMappings with get, set

Property Value

Type: MongoDBEntityMappings
See Also

Reference

MongoDBDatabaseContextFactory Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContextFactory Methods

The MongoDBDatabaseContextFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateContext | Create database context 创建数据库上下文
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MongoDBDatabaseContextFactory Class
ZKWeb.ORM.MongoDB Namespace


MongoDBDatabaseContextFactory.CreateContext Method

MongoDBDatabaseContextFactoryCreateContext Method

Create database context
创建数据库上下文

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDatabaseContext CreateContext()
Public Function CreateContext As IDatabaseContext
public:
virtual IDatabaseContext^ CreateContext() sealed
abstract CreateContext : unit -> IDatabaseContext
override CreateContext : unit -> IDatabaseContext

Return Value

Type: IDatabaseContext

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBDatabaseContextFactory.CreateContext"]

Implements

IDatabaseContextFactoryCreateContext
See Also

Reference

MongoDBDatabaseContextFactory Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T) Class

MongoDBEntityMappingBuilderT Class
MongoDB entity mapping builder
Attention: The entity type can only be mapped once, the following mapping configuration will be ignored
MongoDB的实体映射构建器
注意: 各个实体类型全局只能映射一次, 后面的映射会被忽略
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.MongoDBMongoDBEntityMappingBuilderT

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class MongoDBEntityMappingBuilder<T> : IEntityMappingBuilder<T>,
    IMongoDBEntityMapping
where T : class, IEntity

Public Class MongoDBEntityMappingBuilder(Of T As {Class, IEntity})
    Implements IEntityMappingBuilder(Of T), IMongoDBEntityMapping
generic<typename T>
where T : ref class, IEntity
public ref class MongoDBEntityMappingBuilder : IEntityMappingBuilder<T>,
    IMongoDBEntityMapping
type MongoDBEntityMappingBuilder<'T when 'T : not struct and IEntity> =
    class
        interface IEntityMappingBuilder<'T>
        interface IMongoDBEntityMapping
    end

Type Parameters

T
Entity type

The MongoDBEntityMappingBuilderT type exposes the following members.

Constructors
 | Name | Description
Public method | MongoDBEntityMappingBuilderT | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | CollectionActions | Actions perform to data collection 应用到数据集合的操作
Public property | CollectionName | Collection name 数据集合名词
Public property | IdMember | Id member Id成员
Protected property | MapActions | Actions perform to bson class mapping 应用到Bson类型映射的操作
Public property | OrdinaryMembers | Ordinary members 普通成员
Public property | ORM | ORM name ORM名称
Top
Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Fields
 | Name | Description
Protected field | collectionName |
Protected field | idMember |
Protected field | ordinaryMembers |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T) Constructor

MongoDBEntityMappingBuilderT Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MongoDBEntityMappingBuilder(
    IMongoDatabase database
)
Public Sub New (
    database As IMongoDatabase
)
public:
MongoDBEntityMappingBuilder(
    IMongoDatabase^ database
)
new :
        database : IMongoDatabase -> MongoDBEntityMappingBuilder

Parameters

database
Type: IMongoDatabase
Database object
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T) Properties

MongoDBEntityMappingBuilderT Properties

The MongoDBEntityMappingBuilderT generic type exposes the following members.

Properties
 | Name | Description
Protected property | CollectionActions | Actions perform to data collection 应用到数据集合的操作
Public property | CollectionName | Collection name 数据集合名词
Public property | IdMember | Id member Id成员
Protected property | MapActions | Actions perform to bson class mapping 应用到Bson类型映射的操作
Public property | OrdinaryMembers | Ordinary members 普通成员
Public property | ORM | ORM name ORM名称
Top
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).CollectionActions Property

MongoDBEntityMappingBuilderTCollectionActions Property

Actions perform to data collection
应用到数据集合的操作

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IList<Action<IMongoCollection<T>>> CollectionActions { get; set; }
Protected Property CollectionActions As IList(Of Action(Of IMongoCollection(Of T)))
    Get
    Set
protected:
property IList<Action<IMongoCollection<T>^>^>^ CollectionActions {
    IList<Action<IMongoCollection<T>^>^>^ get ();
    void set (IList<Action<IMongoCollection<T>^>^>^ value);
}
member CollectionActions : IList<Action<IMongoCollection<'T>>> with get, set

Property Value

Type: IList Action IMongoCollectionT
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).CollectionName Property

MongoDBEntityMappingBuilderTCollectionName Property

Collection name
数据集合名词

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string CollectionName { get; }
Public ReadOnly Property CollectionName As String
    Get
public:
virtual property String^ CollectionName {
    String^ get () sealed;
}
abstract CollectionName : string with get
override CollectionName : string with get

Property Value

Type: String

Implements

IMongoDBEntityMappingCollectionName
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).IdMember Property

MongoDBEntityMappingBuilderTIdMember Property

Id member
Id成员

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MemberInfo IdMember { get; }
Public ReadOnly Property IdMember As MemberInfo
    Get
public:
virtual property MemberInfo^ IdMember {
    MemberInfo^ get () sealed;
}
abstract IdMember : MemberInfo with get
override IdMember : MemberInfo with get

Property Value

Type: MemberInfo

Implements

IMongoDBEntityMappingIdMember
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).MapActions Property

MongoDBEntityMappingBuilderTMapActions Property

Actions perform to bson class mapping
应用到Bson类型映射的操作

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IList<Action<BsonClassMap<T>>> MapActions { get; set; }
Protected Property MapActions As IList(Of Action(Of BsonClassMap(Of T)))
    Get
    Set
protected:
property IList<Action<BsonClassMap<T>^>^>^ MapActions {
    IList<Action<BsonClassMap<T>^>^>^ get ();
    void set (IList<Action<BsonClassMap<T>^>^>^ value);
}
member MapActions : IList<Action<BsonClassMap<'T>>> with get, set

Property Value

Type: IList Action BsonClassMapT
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).OrdinaryMembers Property

MongoDBEntityMappingBuilderTOrdinaryMembers Property

Ordinary members
普通成员

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<MemberInfo> OrdinaryMembers { get; }
Public ReadOnly Property OrdinaryMembers As IEnumerable(Of MemberInfo)
    Get
public:
virtual property IEnumerable<MemberInfo^>^ OrdinaryMembers {
    IEnumerable<MemberInfo^>^ get () sealed;
}
abstract OrdinaryMembers : IEnumerable<MemberInfo> with get
override OrdinaryMembers : IEnumerable<MemberInfo> with get

Property Value

Type: IEnumerable MemberInfo

Implements

IMongoDBEntityMappingOrdinaryMembers
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).ORM Property

MongoDBEntityMappingBuilderTORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IEntityMappingBuilderTORM
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T) Methods

MongoDBEntityMappingBuilderT Methods

The MongoDBEntityMappingBuilderT generic type exposes the following members.

Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).HasMany(TChild) Method

MongoDBEntityMappingBuilderTHasManyTChild Method

Maps a collection of entities as a one-to-many relationship.
创建到实体集合的映射, 这是一对多的关系

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options
)
where TChild : class

Public Sub HasMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    options As EntityMappingOptions
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct
override HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        options : EntityMappingOptions -> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).HasManyToMany(TChild) Method

MongoDBEntityMappingBuilderTHasManyToManyTChild Method

Maps a collection of entities as a many-to-many relationship.
创建到实体集合的映射, 这是多对多的关系

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasManyToMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options = null
)
where TChild : class

Public Sub HasManyToMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    Optional options As EntityMappingOptions = Nothing
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasManyToMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
) sealed
abstract HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct
override HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyToManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).Id(TPrimaryKey) Method

MongoDBEntityMappingBuilderTIdTPrimaryKey Method

Specify the primary key for this entity
指定实体的主键

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Id<TPrimaryKey>(
    Expression<Func<T, TPrimaryKey>> memberExpression,
    EntityMappingOptions options
)

Public Sub Id(Of TPrimaryKey) (
    memberExpression As Expression(Of Func(Of T, TPrimaryKey)),
    options As EntityMappingOptions
)
public:
generic<typename TPrimaryKey>
virtual void Id(
    Expression<Func<T, TPrimaryKey>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit
override Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TPrimaryKey

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTIdTPrimaryKey(ExpressionFuncT, TPrimaryKey, EntityMappingOptions)
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).Map(TMember) Method

MongoDBEntityMappingBuilderTMapTMember Method

Create a member mapping
创建成员映射

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Map<TMember>(
    Expression<Func<T, TMember>> memberExpression,
    EntityMappingOptions options
)

Public Sub Map(Of TMember) (
    memberExpression As Expression(Of Func(Of T, TMember)),
    options As EntityMappingOptions
)
public:
generic<typename TMember>
virtual void Map(
    Expression<Func<T, TMember>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        options : EntityMappingOptions -> unit
override Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TMember

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TMember

[Missing <typeparam name="TMember"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTMapTMember(ExpressionFuncT, TMember, EntityMappingOptions)
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).References(TOther) Method

MongoDBEntityMappingBuilderTReferencesTOther Method

Create a reference to another entity, this is a many-to-one relationship.
创建到其他实体的映射, 这是多对一的关系

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void References<TOther>(
    Expression<Func<T, TOther>> memberExpression,
    EntityMappingOptions options
)
where TOther : class

Public Sub References(Of TOther As Class) (
    memberExpression As Expression(Of Func(Of T, TOther)),
    options As EntityMappingOptions
)
public:
generic<typename TOther>
where TOther : ref class
virtual void References(
    Expression<Func<T, TOther>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        options : EntityMappingOptions -> unit  when 'TOther : not struct
override References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        options : EntityMappingOptions -> unit  when 'TOther : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TOther

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TOther

[Missing <typeparam name="TOther"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTReferencesTOther(ExpressionFuncT, TOther, EntityMappingOptions)
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).TableName Method

MongoDBEntityMappingBuilderTTableName Method

Specify the custom table name
指定自定义表名

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void TableName(
    string tableName
)
Public Sub TableName (
    tableName As String
)
public:
virtual void TableName(
    String^ tableName
) sealed
abstract TableName :
        tableName : string -> unit
override TableName :
        tableName : string -> unit

Parameters

tableName
Type: SystemString

[Missing <param name="tableName"/> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.TableName(System.String)"]

Implements

IEntityMappingBuilderTTableName(String)
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T) Fields

MongoDBEntityMappingBuilderT Fields

The MongoDBEntityMappingBuilderT generic type exposes the following members.

Fields
 | Name | Description
Protected field | collectionName |
Protected field | idMember |
Protected field | ordinaryMembers |
Top
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).collectionName Field

MongoDBEntityMappingBuilderTcollectionName Field

[Missing <summary> documentation for "F:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.collectionName"]

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string collectionName
Protected collectionName As String
protected:
String^ collectionName
val mutable collectionName: string

Field Value

Type: String
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).idMember Field

MongoDBEntityMappingBuilderTidMember Field

[Missing <summary> documentation for "F:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.idMember"]

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected MemberInfo idMember
Protected idMember As MemberInfo
protected:
MemberInfo^ idMember
val mutable idMember: MemberInfo

Field Value

Type: MemberInfo
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappingBuilder(T).ordinaryMembers Field

MongoDBEntityMappingBuilderTordinaryMembers Field

[Missing <summary> documentation for "F:ZKWeb.ORM.MongoDB.MongoDBEntityMappingBuilder`1.ordinaryMembers"]

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IList<MemberInfo> ordinaryMembers
Protected ordinaryMembers As IList(Of MemberInfo)
protected:
IList<MemberInfo^>^ ordinaryMembers
val mutable ordinaryMembers: IList<MemberInfo>

Field Value

Type: IList MemberInfo
See Also

Reference

MongoDBEntityMappingBuilderT Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappings Class
MongoDB entity mappings
MongoDB的实体映射集合
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.MongoDBMongoDBEntityMappings

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class MongoDBEntityMappings
Public Class MongoDBEntityMappings
public ref class MongoDBEntityMappings
type MongoDBEntityMappings =  class end

The MongoDBEntityMappings type exposes the following members.

Constructors
 | Name | Description
Public method | MongoDBEntityMappings | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | Mappings | Type to mapping definition 类型到映射的定义
Top
Methods
 | Name | Description
Public method | GetMapping | Get mapping for entity type 获取实体类型对应的映射
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappings Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MongoDBEntityMappings(
    MongoUrl connectionUrl
)
Public Sub New (
    connectionUrl As MongoUrl
)
public:
MongoDBEntityMappings(
    MongoUrl^ connectionUrl
)
new :
        connectionUrl : MongoUrl -> MongoDBEntityMappings

Parameters

connectionUrl
Type: MongoUrl
Connection url
See Also

Reference

MongoDBEntityMappings Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappings Properties

The MongoDBEntityMappings type exposes the following members.

Properties
 | Name | Description
Protected property | Mappings | Type to mapping definition 类型到映射的定义
Top
See Also

Reference

MongoDBEntityMappings Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappings.Mappings Property

MongoDBEntityMappingsMappings Property

Type to mapping definition
类型到映射的定义

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ConcurrentDictionary<Type, IMongoDBEntityMapping> Mappings { get; set; }
Protected Property Mappings As ConcurrentDictionary(Of Type, IMongoDBEntityMapping)
    Get
    Set
protected:
property ConcurrentDictionary<Type^, IMongoDBEntityMapping^>^ Mappings {
    ConcurrentDictionary<Type^, IMongoDBEntityMapping^>^ get ();
    void set (ConcurrentDictionary<Type^, IMongoDBEntityMapping^>^ value);
}
member Mappings : ConcurrentDictionary<Type, IMongoDBEntityMapping> with get, set

Property Value

Type: ConcurrentDictionary Type, IMongoDBEntityMapping
See Also

Reference

MongoDBEntityMappings Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappings Methods

The MongoDBEntityMappings type exposes the following members.

Methods
 | Name | Description
Public method | GetMapping | Get mapping for entity type 获取实体类型对应的映射
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MongoDBEntityMappings Class
ZKWeb.ORM.MongoDB Namespace


MongoDBEntityMappings.GetMapping Method

MongoDBEntityMappingsGetMapping Method

Get mapping for entity type
获取实体类型对应的映射

Namespace: ZKWeb.ORM.MongoDB
Assembly: ZKWeb.ORM.MongoDB (in ZKWeb.ORM.MongoDB.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IMongoDBEntityMapping GetMapping(
    Type type
)
Public Function GetMapping (
    type As Type
) As IMongoDBEntityMapping
public:
IMongoDBEntityMapping^ GetMapping(
    Type^ type
)
member GetMapping :
        type : Type -> IMongoDBEntityMapping

Parameters

type
Type: SystemType
Entity type

Return Value

Type: IMongoDBEntityMapping

[Missing <returns> documentation for "M:ZKWeb.ORM.MongoDB.MongoDBEntityMappings.GetMapping(System.Type)"]

See Also

Reference

MongoDBEntityMappings Class
ZKWeb.ORM.MongoDB Namespace


ZKWeb.ORM.NHibernate Namespace

[Missing <summary> documentation for "N:ZKWeb.ORM.NHibernate"]

Classes
 | Class | Description
Public class | BetterPostgreSQLConfiguration | Better postgre sql configuration 更好的PostgreSQL配置类
Public class | BetterPostgreSQLDialect | Better pgsql dialect What's improved - Support Guid type 更好的pgsql配置 改进点 - 支持Guid类型
Public class | NHibernateDatabaseContext | NHibernate database context Nhibernate的数据库上下文
Public class | NHibernateDatabaseContextFactory | NHibernate database context factory NHibernate的数据库上下文生成器
Public class | NHibernateEntityMappingBuilderT | Defines a mapping for an entity 定义指定类型的映射 See: http://stackoverflow.com/questions/1152060/nhibernate-cascade-save-update
Public class | NHibernateExtraConfigKeys | Extra website configuration keys for NHibernate NHibernate使用的网站的附加配置键
Public class | NHibernateJsonSerializedTypeT | Use json serialize before store into database and use json deserialize after retrieve from database. It value retrieve from database is null, it will create a new object instead. 保存到数据库前使用Json序列化 从数据库获取后使用Json反序列化 如果从数据库得到的值是null, 它会new一个代替


BetterPostgreSQLConfiguration Class
Better postgre sql configuration
更好的PostgreSQL配置类
Inheritance Hierarchy
SystemObject
PersistenceConfigurationPostgreSQLConfiguration, PostgreSQLConnectionStringBuilder
PostgreSQLConfiguration
ZKWeb.ORM.NHibernateBetterPostgreSQLConfiguration

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class BetterPostgreSQLConfiguration : PostgreSQLConfiguration
Public Class BetterPostgreSQLConfiguration
    Inherits PostgreSQLConfiguration
public ref class BetterPostgreSQLConfiguration : public PostgreSQLConfiguration
type BetterPostgreSQLConfiguration =
    class
        inherit PostgreSQLConfiguration
    end

The BetterPostgreSQLConfiguration type exposes the following members.

Constructors
 | Name | Description
Public method | BetterPostgreSQLConfiguration | Initializes a new instance of the BetterPostgreSQLConfiguration class
Top
Properties
Name | Description
Better | Better configuration 获取更好的配置
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.NHibernate Namespace


BetterPostgreSQLConfiguration Constructor

Initializes a new instance of the BetterPostgreSQLConfiguration class

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public BetterPostgreSQLConfiguration()
Public Sub New
public:
BetterPostgreSQLConfiguration()
new : unit -> BetterPostgreSQLConfiguration
See Also

Reference

BetterPostgreSQLConfiguration Class
ZKWeb.ORM.NHibernate Namespace


BetterPostgreSQLConfiguration Properties

The BetterPostgreSQLConfiguration type exposes the following members.

Properties
Name | Description
Better | Better configuration 获取更好的配置
Top
See Also

Reference

BetterPostgreSQLConfiguration Class
ZKWeb.ORM.NHibernate Namespace


BetterPostgreSQLConfiguration.Better Property

BetterPostgreSQLConfigurationBetter Property

Better configuration
获取更好的配置

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static PostgreSQLConfiguration Better { get; }
Public Shared ReadOnly Property Better As PostgreSQLConfiguration
    Get
public:
static property PostgreSQLConfiguration^ Better {
    PostgreSQLConfiguration^ get ();
}
static member Better : PostgreSQLConfiguration with get

Property Value

Type: PostgreSQLConfiguration
See Also

Reference

BetterPostgreSQLConfiguration Class
ZKWeb.ORM.NHibernate Namespace


BetterPostgreSQLConfiguration Methods

The BetterPostgreSQLConfiguration type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

BetterPostgreSQLConfiguration Class
ZKWeb.ORM.NHibernate Namespace


BetterPostgreSQLDialect Class
Better pgsql dialect
What's improved
- Support Guid type
更好的pgsql配置
改进点
- 支持Guid类型
Inheritance Hierarchy
SystemObject
Dialect
PostgreSQLDialect
ZKWeb.ORM.NHibernateBetterPostgreSQLDialect

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class BetterPostgreSQLDialect : PostgreSQLDialect
Public Class BetterPostgreSQLDialect
    Inherits PostgreSQLDialect
public ref class BetterPostgreSQLDialect : public PostgreSQLDialect
type BetterPostgreSQLDialect =
    class
        inherit PostgreSQLDialect
    end

The BetterPostgreSQLDialect type exposes the following members.

Constructors
 | Name | Description
Public method | BetterPostgreSQLDialect | Initialize 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.NHibernate Namespace


BetterPostgreSQLDialect Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public BetterPostgreSQLDialect()
Public Sub New
public:
BetterPostgreSQLDialect()
new : unit -> BetterPostgreSQLDialect
See Also

Reference

BetterPostgreSQLDialect Class
ZKWeb.ORM.NHibernate Namespace


BetterPostgreSQLDialect Methods

The BetterPostgreSQLDialect type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

BetterPostgreSQLDialect Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext Class
NHibernate database context
Nhibernate的数据库上下文
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.NHibernateNHibernateDatabaseContext

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class NHibernateDatabaseContext : IDatabaseContext,
    IDisposable
Public Class NHibernateDatabaseContext
    Implements IDatabaseContext, IDisposable
public ref class NHibernateDatabaseContext : IDatabaseContext,
    IDisposable
type NHibernateDatabaseContext =
    class
        interface IDatabaseContext
        interface IDisposable
    end

The NHibernateDatabaseContext type exposes the following members.

Constructors
 | Name | Description
Public method | NHibernateDatabaseContext | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Database | Database type 数据库类型
Public property | DbConnection | Underlying database connection 底层的数据库连接
Public property | ORM | ORM name ORM名称
Protected property | Session | NHibernate session NHibernate的会话
Protected property | Transaction | NHibernate transaction, maybe null if not used NHibernate的事务, 不使用时等于null
Top
Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities 批量删除实体
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities 批量更新实体
Public method | BeginTransaction | Begin a transaction 开始一个事务
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Protected method | CreateSQLQuery | Create a sql query from query string and parameters 根据查询字符串和参数创建SQL查询
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Dispose nhibernate session and transaction 销毁NHibernate会话和事务
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way 快速批量删除实体
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体
Protected method | Finalize | Finalize 析构函数 (Overrides ObjectFinalize.)
Public method | FinishTransaction | Finish the transaction 结束一个事务
Public method | GetT | Get single entity that matched the given predicate 获取符合传入条件的单个实体
Public method | QueryT | Get the query object for specific entity 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Fields
 | Name | Description
 | ConstORM |
Protected field | databaseType |
Protected field | TransactionLevel | Transaction level counter 事务嵌套计数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public NHibernateDatabaseContext(
    ISession session,
    string database
)
Public Sub New (
    session As ISession,
    database As String
)
public:
NHibernateDatabaseContext(
    ISession^ session,
    String^ database
)
new :
        session : ISession *
        database : string -> NHibernateDatabaseContext

Parameters

session
Type: ISession
NHibernate session
database
Type: SystemString
Database type
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext Properties

The NHibernateDatabaseContext type exposes the following members.

Properties
 | Name | Description
Public property | Database | Database type 数据库类型
Public property | DbConnection | Underlying database connection 底层的数据库连接
Public property | ORM | ORM name ORM名称
Protected property | Session | NHibernate session NHibernate的会话
Protected property | Transaction | NHibernate transaction, maybe null if not used NHibernate的事务, 不使用时等于null
Top
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Database Property

NHibernateDatabaseContextDatabase Property

Database type
数据库类型

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Database { get; }
Public ReadOnly Property Database As String
    Get
public:
virtual property String^ Database {
    String^ get () sealed;
}
abstract Database : string with get
override Database : string with get

Property Value

Type: String

Implements

IDatabaseContextDatabase
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.DbConnection Property

NHibernateDatabaseContextDbConnection Property

Underlying database connection
底层的数据库连接

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object DbConnection { get; }
Public ReadOnly Property DbConnection As Object
    Get
public:
virtual property Object^ DbConnection {
    Object^ get () sealed;
}
abstract DbConnection : Object with get
override DbConnection : Object with get

Property Value

Type: Object

Implements

IDatabaseContextDbConnection
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.ORM Property

NHibernateDatabaseContextORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IDatabaseContextORM
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Session Property

NHibernateDatabaseContextSession Property

NHibernate session
NHibernate的会话

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ISession Session { get; set; }
Protected Property Session As ISession
    Get
    Set
protected:
property ISession^ Session {
    ISession^ get ();
    void set (ISession^ value);
}
member Session : ISession with get, set

Property Value

Type: ISession
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Transaction Property

NHibernateDatabaseContextTransaction Property

NHibernate transaction, maybe null if not used
NHibernate的事务, 不使用时等于null

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ITransaction Transaction { get; set; }
Protected Property Transaction As ITransaction
    Get
    Set
protected:
property ITransaction^ Transaction {
    ITransaction^ get ();
    void set (ITransaction^ value);
}
member Transaction : ITransaction with get, set

Property Value

Type: ITransaction
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext Methods

The NHibernateDatabaseContext type exposes the following members.

Methods
 | Name | Description
Public method | BatchDeleteT | Batch delete entities 批量删除实体
Public method | BatchSaveT | Batch save entities 批量保存实体
Public method | BatchUpdateT | Batch update entities 批量更新实体
Public method | BeginTransaction | Begin a transaction 开始一个事务
Public method | CountT | Get how many entities that matched the given predicate 获取符合传入条件的实体数量
Protected method | CreateSQLQuery | Create a sql query from query string and parameters 根据查询字符串和参数创建SQL查询
Public method | DeleteT | Delete entity from database 删除数据库中的实体
Public method | Dispose | Dispose nhibernate session and transaction 销毁NHibernate会话和事务
Public method | FastBatchDeleteT, TPrimaryKey | Batch delete entities in faster way 快速批量删除实体
Public method | FastBatchSaveT, TPrimaryKey | Batch save entities in faster way 快速批量保存实体
Protected method | Finalize | Finalize 析构函数 (Overrides ObjectFinalize.)
Public method | FinishTransaction | Finish the transaction 结束一个事务
Public method | GetT | Get single entity that matched the given predicate 获取符合传入条件的单个实体
Public method | QueryT | Get the query object for specific entity 获取指定实体类型的查询对象
Public method | RawQueryT | Perform a raw query to database 执行一个原生的查询操作
Public method | RawUpdate | Perform a raw update to database 执行一个原生的更新操作
Public method | SaveT | Save entity to database 保存实体到数据库
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.BatchDelete(T) Method

NHibernateDatabaseContextBatchDeleteT Method

Batch delete entities
批量删除实体

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchDelete<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> beforeDelete
)
where T : class, IEntity

Public Function BatchDelete(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    beforeDelete As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchDelete(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ beforeDelete
) sealed
abstract BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchDelete :
        predicate : Expression<Func<'T, bool>> *
        beforeDelete : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

beforeDelete
Type: SystemAction T

[Missing <param name="beforeDelete"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchDelete``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchDeleteT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.BatchSave(T) Method

NHibernateDatabaseContextBatchSaveT Method

Batch save entities
批量保存实体

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BatchSave<T>(
    ref IEnumerable<T> entities,
    Action<T> update = null
)
where T : class, IEntity

Public Sub BatchSave(Of T As {Class, IEntity}) (
    ByRef entities As IEnumerable(Of T),
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void BatchSave(
    IEnumerable<T>^% entities,
    Action<T>^ update = nullptr
) sealed
abstract BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override BatchSave :
        entities : IEnumerable<'T> byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchSave``1(System.Collections.Generic.IEnumerable{``0}@,System.Action{``0})"]

Implements

IDatabaseContextBatchSaveT(IEnumerableT, ActionT)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.BatchUpdate(T) Method

NHibernateDatabaseContextBatchUpdateT Method

Batch update entities
批量更新实体

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long BatchUpdate<T>(
    Expression<Func<T, bool>> predicate,
    Action<T> update
)
where T : class, IEntity

Public Function BatchUpdate(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean)),
    update As Action(Of T)
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long BatchUpdate(
    Expression<Func<T, bool>^>^ predicate,
    Action<T>^ update
) sealed
abstract BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity
override BatchUpdate :
        predicate : Expression<Func<'T, bool>> *
        update : Action<'T> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

update
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BatchUpdate``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}},System.Action{``0})"]

Implements

IDatabaseContextBatchUpdateT(ExpressionFuncT, Boolean, ActionT)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.BeginTransaction Method

NHibernateDatabaseContextBeginTransaction Method

Begin a transaction
开始一个事务

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel
)
Public Sub BeginTransaction (
    isolationLevel As Nullable(Of IsolationLevel)
)
public:
virtual void BeginTransaction(
    Nullable<IsolationLevel> isolationLevel
) sealed
abstract BeginTransaction :
        isolationLevel : Nullable<IsolationLevel> -> unit
override BeginTransaction :
        isolationLevel : Nullable<IsolationLevel> -> unit

Parameters

isolationLevel
Type: SystemNullable IsolationLevel

[Missing <param name="isolationLevel"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.BeginTransaction(System.Nullable{System.Data.IsolationLevel})"]

Implements

IDatabaseContextBeginTransaction(NullableIsolationLevel)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Count(T) Method

NHibernateDatabaseContextCountT Method

Get how many entities that matched the given predicate
获取符合传入条件的实体数量

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Count<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Count(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T>
where T : ref class, IEntity
virtual long long Count(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity
override Count :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Count``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextCountT(ExpressionFuncT, Boolean)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.CreateSQLQuery Method

NHibernateDatabaseContextCreateSQLQuery Method

Create a sql query from query string and parameters
根据查询字符串和参数创建SQL查询

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IQuery CreateSQLQuery(
    Object query,
    Object parameters
)
Protected Function CreateSQLQuery (
    query As Object,
    parameters As Object
) As IQuery
protected:
IQuery^ CreateSQLQuery(
    Object^ query,
    Object^ parameters
)
member CreateSQLQuery :
        query : Object *
        parameters : Object -> IQuery

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.CreateSQLQuery(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.CreateSQLQuery(System.Object,System.Object)"]

Return Value

Type: IQuery

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.CreateSQLQuery(System.Object,System.Object)"]

See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Delete(T) Method

NHibernateDatabaseContextDeleteT Method

Delete entity from database
删除数据库中的实体

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Delete<T>(
    T entity
)
where T : class, IEntity

Public Sub Delete(Of T As {Class, IEntity}) (
    entity As T
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Delete(
    T entity
) sealed
abstract Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity
override Delete :
        entity : 'T -> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Delete``1(``0)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Delete``1(``0)"]

Implements

IDatabaseContextDeleteT(T)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Dispose Method

NHibernateDatabaseContextDispose Method

Dispose nhibernate session and transaction
销毁NHibernate会话和事务

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.FastBatchDelete(T, TPrimaryKey) Method

NHibernateDatabaseContextFastBatchDeleteT, TPrimaryKey Method

Batch delete entities in faster way
快速批量删除实体

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long FastBatchDelete<T, TPrimaryKey>(
    Expression<Func<T, bool>> predicate
)
where T : class, new(), Object, IEntity<TPrimaryKey>

Public Function FastBatchDelete(Of T As {Class, New, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    predicate As Expression(Of Func(Of T, Boolean))
) As Long
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, gcnew(), Object, IEntity<TPrimaryKey>
virtual long long FastBatchDelete(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>
override FastBatchDelete :
        predicate : Expression<Func<'T, bool>> -> int64  when 'T : not struct, new() and Object and IEntity<'TPrimaryKey>

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.FastBatchDelete``2(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextFastBatchDeleteT, TPrimaryKey(ExpressionFuncT, Boolean)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.FastBatchSave(T, TPrimaryKey) Method

NHibernateDatabaseContextFastBatchSaveT, TPrimaryKey Method

Batch save entities in faster way
快速批量保存实体

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FastBatchSave<T, TPrimaryKey>(
    IEnumerable<T> entities
)
where T : class, Object, IEntity<TPrimaryKey>

Public Sub FastBatchSave(Of T As {Class, Object, IEntity(Of TPrimaryKey)}, TPrimaryKey) (
    entities As IEnumerable(Of T)
)
public:
generic<typename T, typename TPrimaryKey>
where T : ref class, Object, IEntity<TPrimaryKey>
virtual void FastBatchSave(
    IEnumerable<T>^ entities
) sealed
abstract FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>
override FastBatchSave :
        entities : IEnumerable<'T> -> unit  when 'T : not struct and Object and IEntity<'TPrimaryKey>

Parameters

entities
Type: System.Collections.GenericIEnumerable T

[Missing <param name="entities"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.FastBatchSave``2(System.Collections.Generic.IEnumerable{``0})"]

Implements

IDatabaseContextFastBatchSaveT, TPrimaryKey(IEnumerableT)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Finalize Method

NHibernateDatabaseContextFinalize Method

Finalize
析构函数

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override void Finalize()
Protected Overrides Sub Finalize
protected:
virtual void Finalize() override
abstract Finalize : unit -> unit
override Finalize : unit -> unit

Implements

ObjectFinalize
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.FinishTransaction Method

NHibernateDatabaseContextFinishTransaction Method

Finish the transaction
结束一个事务

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FinishTransaction()
Public Sub FinishTransaction
public:
virtual void FinishTransaction() sealed
abstract FinishTransaction : unit -> unit
override FinishTransaction : unit -> unit

Implements

IDatabaseContextFinishTransaction
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Get(T) Method

NHibernateDatabaseContextGetT Method

Get single entity that matched the given predicate
获取符合传入条件的单个实体

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T Get<T>(
    Expression<Func<T, bool>> predicate
)
where T : class, IEntity

Public Function Get(Of T As {Class, IEntity}) (
    predicate As Expression(Of Func(Of T, Boolean))
) As T
public:
generic<typename T>
where T : ref class, IEntity
virtual T Get(
    Expression<Func<T, bool>^>^ predicate
) sealed
abstract Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity
override Get :
        predicate : Expression<Func<'T, bool>> -> 'T  when 'T : not struct and IEntity

Parameters

predicate
Type: System.Linq.ExpressionsExpression Func T, Boolean

[Missing <param name="predicate"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Get``1(System.Linq.Expressions.Expression{System.Func{``0,System.Boolean}})"]

Implements

IDatabaseContextGetT(ExpressionFuncT, Boolean)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Query(T) Method

NHibernateDatabaseContextQueryT Method

Get the query object for specific entity
获取指定实体类型的查询对象

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IQueryable<T> Query<T>()
where T : class, IEntity

Public Function Query(Of T As {Class, IEntity}) As IQueryable(Of T)
public:
generic<typename T>
where T : ref class, IEntity
virtual IQueryable<T>^ Query() sealed
abstract Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity
override Query : unit -> IQueryable<'T>  when 'T : not struct and IEntity

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Query``1"]

Return Value

Type: IQueryable T

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Query``1"]

Implements

IDatabaseContextQueryT
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.RawQuery(T) Method

NHibernateDatabaseContextRawQueryT Method

Perform a raw query to database
执行一个原生的查询操作

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<T> RawQuery<T>(
    Object query,
    Object parameters
)
where T : class

Public Function RawQuery(Of T As Class) (
    query As Object,
    parameters As Object
) As IEnumerable(Of T)
public:
generic<typename T>
where T : ref class
virtual IEnumerable<T>^ RawQuery(
    Object^ query,
    Object^ parameters
) sealed
abstract RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct
override RawQuery :
        query : Object *
        parameters : Object -> IEnumerable<'T>  when 'T : not struct

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.RawQuery``1(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Return Value

Type: IEnumerable T

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.RawQuery``1(System.Object,System.Object)"]

Implements

IDatabaseContextRawQueryT(Object, Object)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.RawUpdate Method

NHibernateDatabaseContextRawUpdate Method

Perform a raw update to database
执行一个原生的更新操作

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long RawUpdate(
    Object query,
    Object parameters
)
Public Function RawUpdate (
    query As Object,
    parameters As Object
) As Long
public:
virtual long long RawUpdate(
    Object^ query,
    Object^ parameters
) sealed
abstract RawUpdate :
        query : Object *
        parameters : Object -> int64
override RawUpdate :
        query : Object *
        parameters : Object -> int64

Parameters

query
Type: SystemObject

[Missing <param name="query"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.RawUpdate(System.Object,System.Object)"]

parameters
Type: SystemObject

[Missing <param name="parameters"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.RawUpdate(System.Object,System.Object)"]

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.RawUpdate(System.Object,System.Object)"]

Implements

IDatabaseContextRawUpdate(Object, Object)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.Save(T) Method

NHibernateDatabaseContextSaveT Method

Save entity to database
保存实体到数据库

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Save<T>(
    ref T entity,
    Action<T> update = null
)
where T : class, IEntity

Public Sub Save(Of T As {Class, IEntity}) (
    ByRef entity As T,
    Optional update As Action(Of T) = Nothing
)
public:
generic<typename T>
where T : ref class, IEntity
virtual void Save(
    T% entity,
    Action<T>^ update = nullptr
) sealed
abstract Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity
override Save :
        entity : 'T byref *
        ?update : Action<'T>
(* Defaults:
        let _update = defaultArg update null
*)
-> unit  when 'T : not struct and IEntity

Parameters

entity
Type: T

[Missing <param name="entity"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Save``1(``0@,System.Action{``0})"]

update (Optional)
Type: SystemAction T

[Missing <param name="update"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Save``1(``0@,System.Action{``0})"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.Save``1(``0@,System.Action{``0})"]

Implements

IDatabaseContextSaveT(T, ActionT)
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext Fields

The NHibernateDatabaseContext type exposes the following members.

Fields
 | Name | Description
 | ConstORM |
Protected field | databaseType |
Protected field | TransactionLevel | Transaction level counter 事务嵌套计数
Top
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.ConstORM Field

NHibernateDatabaseContextConstORM Field

[Missing <summary> documentation for "F:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.ConstORM"]

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string ConstORM = "NHibernate"
Public Const ConstORM As String = "NHibernate"
public:
literal String^ ConstORM = "NHibernate"
static val mutable ConstORM: string

Field Value

Type: String
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.databaseType Field

NHibernateDatabaseContextdatabaseType Field

[Missing <summary> documentation for "F:ZKWeb.ORM.NHibernate.NHibernateDatabaseContext.databaseType"]

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string databaseType
Protected databaseType As String
protected:
String^ databaseType
val mutable databaseType: string

Field Value

Type: String
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContext.TransactionLevel Field

NHibernateDatabaseContextTransactionLevel Field
Transaction level counter
事务嵌套计数

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected int TransactionLevel
Protected TransactionLevel As Integer
protected:
int TransactionLevel
val mutable TransactionLevel: int

Field Value

Type: Int32
See Also

Reference

NHibernateDatabaseContext Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory Class
NHibernate database context factory
NHibernate的数据库上下文生成器
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.NHibernateNHibernateDatabaseContextFactory

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class NHibernateDatabaseContextFactory : IDatabaseContextFactory
Public Class NHibernateDatabaseContextFactory
    Implements IDatabaseContextFactory
public ref class NHibernateDatabaseContextFactory : IDatabaseContextFactory
type NHibernateDatabaseContextFactory =
    class
        interface IDatabaseContextFactory
    end

The NHibernateDatabaseContextFactory type exposes the following members.

Constructors
 | Name | Description
Public method | NHibernateDatabaseContextFactory | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | ConnectionString | Connection string 连接字符串
Protected property | Database | Database type 数据库类型
Protected property | SessionFactory | NHibernate session factory NHibernate的会话生成器
Top
Methods
 | Name | Description
Public method | CreateContext | Create database context 创建数据库上下文
Protected method | MigrateDatabase | Perform database migration 迁移数据库
Top
Fields
Name | Description
BatchSize | Batch size 批量操作的命令数量
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public NHibernateDatabaseContextFactory(
    string database,
    string connectionString
)
Public Sub New (
    database As String,
    connectionString As String
)
public:
NHibernateDatabaseContextFactory(
    String^ database,
    String^ connectionString
)
new :
        database : string *
        connectionString : string -> NHibernateDatabaseContextFactory

Parameters

database
Type: SystemString
Database type
connectionString
Type: SystemString
Connection string
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory Properties

The NHibernateDatabaseContextFactory type exposes the following members.

Properties
 | Name | Description
Protected property | ConnectionString | Connection string 连接字符串
Protected property | Database | Database type 数据库类型
Protected property | SessionFactory | NHibernate session factory NHibernate的会话生成器
Top
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory.ConnectionString Property

NHibernateDatabaseContextFactoryConnectionString Property

Connection string
连接字符串

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string ConnectionString { get; set; }
Protected Property ConnectionString As String
    Get
    Set
protected:
property String^ ConnectionString {
    String^ get ();
    void set (String^ value);
}
member ConnectionString : string with get, set

Property Value

Type: String
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory.Database Property

NHibernateDatabaseContextFactoryDatabase Property

Database type
数据库类型

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string Database { get; set; }
Protected Property Database As String
    Get
    Set
protected:
property String^ Database {
    String^ get ();
    void set (String^ value);
}
member Database : string with get, set

Property Value

Type: String
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory.SessionFactory Property

NHibernateDatabaseContextFactorySessionFactory Property

NHibernate session factory
NHibernate的会话生成器

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ISessionFactory SessionFactory { get; set; }
Protected Property SessionFactory As ISessionFactory
    Get
    Set
protected:
property ISessionFactory^ SessionFactory {
    ISessionFactory^ get ();
    void set (ISessionFactory^ value);
}
member SessionFactory : ISessionFactory with get, set

Property Value

Type: ISessionFactory
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory Methods

The NHibernateDatabaseContextFactory type exposes the following members.

Methods
 | Name | Description
Public method | CreateContext | Create database context 创建数据库上下文
Protected method | MigrateDatabase | Perform database migration 迁移数据库
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory.CreateContext Method

NHibernateDatabaseContextFactoryCreateContext Method

Create database context
创建数据库上下文

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDatabaseContext CreateContext()
Public Function CreateContext As IDatabaseContext
public:
virtual IDatabaseContext^ CreateContext() sealed
abstract CreateContext : unit -> IDatabaseContext
override CreateContext : unit -> IDatabaseContext

Return Value

Type: IDatabaseContext

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContextFactory.CreateContext"]

Implements

IDatabaseContextFactoryCreateContext
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory.MigrateDatabase Method

NHibernateDatabaseContextFactoryMigrateDatabase Method

Perform database migration
迁移数据库

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void MigrateDatabase(
    string database,
    string connectionString,
    FluentConfiguration configuration
)
Protected Sub MigrateDatabase (
    database As String,
    connectionString As String,
    configuration As FluentConfiguration
)
protected:
void MigrateDatabase(
    String^ database,
    String^ connectionString,
    FluentConfiguration^ configuration
)
member MigrateDatabase :
        database : string *
        connectionString : string *
        configuration : FluentConfiguration -> unit

Parameters

database
Type: SystemString

[Missing <param name="database"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContextFactory.MigrateDatabase(System.String,System.String,FluentNHibernate.Cfg.FluentConfiguration)"]

connectionString
Type: SystemString

[Missing <param name="connectionString"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContextFactory.MigrateDatabase(System.String,System.String,FluentNHibernate.Cfg.FluentConfiguration)"]

configuration
Type: FluentConfiguration

[Missing <param name="configuration"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateDatabaseContextFactory.MigrateDatabase(System.String,System.String,FluentNHibernate.Cfg.FluentConfiguration)"]

See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory Fields

The NHibernateDatabaseContextFactory type exposes the following members.

Fields
Name | Description
BatchSize | Batch size 批量操作的命令数量
Top
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateDatabaseContextFactory.BatchSize Field

NHibernateDatabaseContextFactoryBatchSize Field
Batch size
批量操作的命令数量

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected const int BatchSize = 1024
Protected Const BatchSize As Integer = 1024
protected:
literal int BatchSize = 1024
static val mutable BatchSize: int

Field Value

Type: Int32
See Also

Reference

NHibernateDatabaseContextFactory Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T) Class

NHibernateEntityMappingBuilderT Class
Defines a mapping for an entity
定义指定类型的映射
See: http://stackoverflow.com/questions/1152060/nhibernate-cascade-save-update
Inheritance Hierarchy
SystemObject
ClasslikeMapBaseT
ClassMapT
ZKWeb.ORM.NHibernateNHibernateEntityMappingBuilderT

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class NHibernateEntityMappingBuilder<T> : ClassMap<T>,
    IEntityMappingBuilder<T>
where T : class, IEntity

Public Class NHibernateEntityMappingBuilder(Of T As {Class, IEntity})
    Inherits ClassMap(Of T)
    Implements IEntityMappingBuilder(Of T)
generic<typename T>
where T : ref class, IEntity
public ref class NHibernateEntityMappingBuilder : public ClassMap<T>,
    IEntityMappingBuilder<T>
type NHibernateEntityMappingBuilder<'T when 'T : not struct and IEntity> =
    class
        inherit ClassMap<'T>
        interface IEntityMappingBuilder<'T>
    end

Type Parameters

T
Entity type

The NHibernateEntityMappingBuilderT type exposes the following members.

Constructors
 | Name | Description
Public method | NHibernateEntityMappingBuilderT | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | CustomTableName | Custom table name 自定义表名
Public property | ORM | ORM name ORM名称
Top
Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T) Constructor

NHibernateEntityMappingBuilderT Constructor

Initialize
初始化

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public NHibernateEntityMappingBuilder()
Public Sub New
public:
NHibernateEntityMappingBuilder()
new : unit -> NHibernateEntityMappingBuilder
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T) Properties

NHibernateEntityMappingBuilderT Properties

The NHibernateEntityMappingBuilderT generic type exposes the following members.

Properties
 | Name | Description
Protected property | CustomTableName | Custom table name 自定义表名
Public property | ORM | ORM name ORM名称
Top
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T).CustomTableName Property

NHibernateEntityMappingBuilderTCustomTableName Property

Custom table name
自定义表名

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string CustomTableName { get; set; }
Protected Property CustomTableName As String
    Get
    Set
protected:
property String^ CustomTableName {
    String^ get ();
    void set (String^ value);
}
member CustomTableName : string with get, set

Property Value

Type: String
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T).ORM Property

NHibernateEntityMappingBuilderTORM Property

ORM name
ORM名称

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; }
Public ReadOnly Property ORM As String
    Get
public:
virtual property String^ ORM {
    String^ get () sealed;
}
abstract ORM : string with get
override ORM : string with get

Property Value

Type: String

Implements

IEntityMappingBuilderTORM
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T) Methods

NHibernateEntityMappingBuilderT Methods

The NHibernateEntityMappingBuilderT generic type exposes the following members.

Methods
 | Name | Description
Public method | HasManyTChild | Maps a collection of entities as a one-to-many relationship. 创建到实体集合的映射, 这是一对多的关系
Public method | HasManyToManyTChild | Maps a collection of entities as a many-to-many relationship. 创建到实体集合的映射, 这是多对多的关系
Public method | IdTPrimaryKey | Specify the primary key for this entity 指定实体的主键
Public method | MapTMember | Create a member mapping 创建成员映射
Public method | ReferencesTOther | Create a reference to another entity, this is a many-to-one relationship. 创建到其他实体的映射, 这是多对一的关系
Public method | TableName | Specify the custom table name 指定自定义表名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T).HasMany(TChild) Method

NHibernateEntityMappingBuilderTHasManyTChild Method

Maps a collection of entities as a one-to-many relationship.
创建到实体集合的映射, 这是一对多的关系

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options = null
)
where TChild : class

Public Sub HasMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    Optional options As EntityMappingOptions = Nothing
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
) sealed
abstract HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct
override HasMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.HasMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T).HasManyToMany(TChild) Method

NHibernateEntityMappingBuilderTHasManyToManyTChild Method

Maps a collection of entities as a many-to-many relationship.
创建到实体集合的映射, 这是多对多的关系

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HasManyToMany<TChild>(
    Expression<Func<T, IEnumerable<TChild>>> memberExpression,
    EntityMappingOptions options = null
)
where TChild : class

Public Sub HasManyToMany(Of TChild As Class) (
    memberExpression As Expression(Of Func(Of T, IEnumerable(Of TChild))),
    Optional options As EntityMappingOptions = Nothing
)
public:
generic<typename TChild>
where TChild : ref class
virtual void HasManyToMany(
    Expression<Func<T, IEnumerable<TChild>^>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
) sealed
abstract HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct
override HasManyToMany :
        memberExpression : Expression<Func<'T, IEnumerable<'TChild>>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TChild : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, IEnumerable TChild

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TChild

[Missing <typeparam name="TChild"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.HasManyToMany``1(System.Linq.Expressions.Expression{System.Func{`0,System.Collections.Generic.IEnumerable{``0}}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTHasManyToManyTChild(ExpressionFuncT, IEnumerableTChild, EntityMappingOptions)
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T).Id(TPrimaryKey) Method

NHibernateEntityMappingBuilderTIdTPrimaryKey Method

Specify the primary key for this entity
指定实体的主键

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Id<TPrimaryKey>(
    Expression<Func<T, TPrimaryKey>> memberExpression,
    EntityMappingOptions options
)

Public Sub Id(Of TPrimaryKey) (
    memberExpression As Expression(Of Func(Of T, TPrimaryKey)),
    options As EntityMappingOptions
)
public:
generic<typename TPrimaryKey>
virtual void Id(
    Expression<Func<T, TPrimaryKey>^>^ memberExpression,
    EntityMappingOptions^ options
) sealed
abstract Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit
override Id :
        memberExpression : Expression<Func<'T, 'TPrimaryKey>> *
        options : EntityMappingOptions -> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TPrimaryKey

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TPrimaryKey

[Missing <typeparam name="TPrimaryKey"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.Id``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTIdTPrimaryKey(ExpressionFuncT, TPrimaryKey, EntityMappingOptions)
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T).Map(TMember) Method

NHibernateEntityMappingBuilderTMapTMember Method

Create a member mapping
创建成员映射

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Map<TMember>(
    Expression<Func<T, TMember>> memberExpression,
    EntityMappingOptions options = null
)

Public Sub Map(Of TMember) (
    memberExpression As Expression(Of Func(Of T, TMember)),
    Optional options As EntityMappingOptions = Nothing
)
public:
generic<typename TMember>
virtual void Map(
    Expression<Func<T, TMember>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
) sealed
abstract Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit
override Map :
        memberExpression : Expression<Func<'T, 'TMember>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TMember

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TMember

[Missing <typeparam name="TMember"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.Map``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTMapTMember(ExpressionFuncT, TMember, EntityMappingOptions)
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T).References(TOther) Method

NHibernateEntityMappingBuilderTReferencesTOther Method

Create a reference to another entity, this is a many-to-one relationship.
创建到其他实体的映射, 这是多对一的关系

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void References<TOther>(
    Expression<Func<T, TOther>> memberExpression,
    EntityMappingOptions options = null
)
where TOther : class

Public Sub References(Of TOther As Class) (
    memberExpression As Expression(Of Func(Of T, TOther)),
    Optional options As EntityMappingOptions = Nothing
)
public:
generic<typename TOther>
where TOther : ref class
virtual void References(
    Expression<Func<T, TOther>^>^ memberExpression,
    EntityMappingOptions^ options = nullptr
) sealed
abstract References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TOther : not struct
override References :
        memberExpression : Expression<Func<'T, 'TOther>> *
        ?options : EntityMappingOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit  when 'TOther : not struct

Parameters

memberExpression
Type: System.Linq.ExpressionsExpression Func T, TOther

[Missing <param name="memberExpression"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

options (Optional)
Type: ZKWeb.DatabaseEntityMappingOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Type Parameters

TOther

[Missing <typeparam name="TOther"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateEntityMappingBuilder`1.References``1(System.Linq.Expressions.Expression{System.Func{`0,``0}},ZKWeb.Database.EntityMappingOptions)"]

Implements

IEntityMappingBuilderTReferencesTOther(ExpressionFuncT, TOther, EntityMappingOptions)
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateEntityMappingBuilder(T).TableName Method

NHibernateEntityMappingBuilderTTableName Method

Specify the custom table name
指定自定义表名

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void TableName(
    string tableName
)
Public Sub TableName (
    tableName As String
)
public:
virtual void TableName(
    String^ tableName
) sealed
abstract TableName :
        tableName : string -> unit
override TableName :
        tableName : string -> unit

Parameters

tableName
Type: SystemString
The table name

Implements

IEntityMappingBuilderTTableName(String)
See Also

Reference

NHibernateEntityMappingBuilderT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateExtraConfigKeys Class
Extra website configuration keys for NHibernate
NHibernate使用的网站的附加配置键
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.NHibernateNHibernateExtraConfigKeys

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class NHibernateExtraConfigKeys
Public NotInheritable Class NHibernateExtraConfigKeys
public ref class NHibernateExtraConfigKeys abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type NHibernateExtraConfigKeys =  class end

The NHibernateExtraConfigKeys type exposes the following members.

Fields
Name | Description
DisableNHibernateDatabaseAutoMigration | Disable database auto migration for NHibernate 禁用NHibernate的数据库自动迁移
Top
See Also

Reference

ZKWeb.ORM.NHibernate Namespace


NHibernateExtraConfigKeys Fields

The NHibernateExtraConfigKeys type exposes the following members.

Fields
Name | Description
DisableNHibernateDatabaseAutoMigration | Disable database auto migration for NHibernate 禁用NHibernate的数据库自动迁移
Top
See Also

Reference

NHibernateExtraConfigKeys Class
ZKWeb.ORM.NHibernate Namespace


NHibernateExtraConfigKeys.DisableNHibernateDatabaseAutoMigration Field

NHibernateExtraConfigKeysDisableNHibernateDatabaseAutoMigration Field
Disable database auto migration for NHibernate
禁用NHibernate的数据库自动迁移

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string DisableNHibernateDatabaseAutoMigration = "ZKWeb.DisableNHibernateDatabaseAutoMigration"
Public Const DisableNHibernateDatabaseAutoMigration As String = "ZKWeb.DisableNHibernateDatabaseAutoMigration"
public:
literal String^ DisableNHibernateDatabaseAutoMigration = "ZKWeb.DisableNHibernateDatabaseAutoMigration"
static val mutable DisableNHibernateDatabaseAutoMigration: string

Field Value

Type: String
See Also

Reference

NHibernateExtraConfigKeys Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T) Class

NHibernateJsonSerializedTypeT Class
Use json serialize before store into database and
use json deserialize after retrieve from database.
It value retrieve from database is null, it will create a new object instead.
保存到数据库前使用Json序列化
从数据库获取后使用Json反序列化
如果从数据库得到的值是null, 它会new一个代替
Inheritance Hierarchy
SystemObject
ZKWeb.ORM.NHibernateNHibernateJsonSerializedTypeT

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class NHibernateJsonSerializedType<T> : IUserType
where T : class, new()

Public Class NHibernateJsonSerializedType(Of T As {Class, New})
    Implements IUserType
generic<typename T>
where T : ref class, gcnew()
public ref class NHibernateJsonSerializedType : IUserType
type NHibernateJsonSerializedType<'T when 'T : not struct, new()> =
    class
        interface IUserType
    end

Type Parameters

T
Member type

The NHibernateJsonSerializedTypeT type exposes the following members.

Constructors
 | Name | Description
Public method | NHibernateJsonSerializedTypeT | Initializes a new instance of the NHibernateJsonSerializedTypeT class
Top
Properties
 | Name | Description
Public property | IsMutable | Is mutable 数据是否可变
Public property | ReturnedType | The return type of NullSafeGet NullSafeGet的返回类型
Public property | SqlTypes | The sql type SQL类型
Top
Methods
 | Name | Description
Public method | Assemble | Assemble after loaded from cache 从缓存取出后的处理
Public method | DeepCopy | Deep copy the value 深度复制值
Public method | Disassemble | Disassemble before store to cache 保存到缓存前的处理
Public method | Equals | Check it's equals 检查是否相等
Public method | GetHashCode | Get hash code 获取校验码
Public method | NullSafeGet | Deserialize value after retrieve from database, if it's null then return a new object 从数据库获取后反序列化值 如果等于null则返回一个新对象
Public method | NullSafeSet | Serialize value before store into database 保存到数据库前序列化值
Public method | Replace | The behavior of replace member value, just ignore the exist value 替换成员值时的处理, 直接忽略原值
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T) Constructor

NHibernateJsonSerializedTypeT Constructor

Initializes a new instance of the NHibernateJsonSerializedTypeT class

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public NHibernateJsonSerializedType()
Public Sub New
public:
NHibernateJsonSerializedType()
new : unit -> NHibernateJsonSerializedType
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T) Properties

NHibernateJsonSerializedTypeT Properties

The NHibernateJsonSerializedTypeT generic type exposes the following members.

Properties
 | Name | Description
Public property | IsMutable | Is mutable 数据是否可变
Public property | ReturnedType | The return type of NullSafeGet NullSafeGet的返回类型
Public property | SqlTypes | The sql type SQL类型
Top
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).IsMutable Property

NHibernateJsonSerializedTypeTIsMutable Property

Is mutable
数据是否可变

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool IsMutable { get; }
Public ReadOnly Property IsMutable As Boolean
    Get
public:
virtual property bool IsMutable {
    bool get () sealed;
}
abstract IsMutable : bool with get
override IsMutable : bool with get

Property Value

Type: Boolean

Implements

IUserType.IsMutable
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).ReturnedType Property

NHibernateJsonSerializedTypeTReturnedType Property

The return type of NullSafeGet
NullSafeGet的返回类型

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Type ReturnedType { get; }
Public ReadOnly Property ReturnedType As Type
    Get
public:
virtual property Type^ ReturnedType {
    Type^ get () sealed;
}
abstract ReturnedType : Type with get
override ReturnedType : Type with get

Property Value

Type: Type

Implements

IUserType.ReturnedType
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).SqlTypes Property

NHibernateJsonSerializedTypeTSqlTypes Property

The sql type
SQL类型

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public SqlType[] SqlTypes { get; }
Public ReadOnly Property SqlTypes As SqlType()
    Get
public:
virtual property array<SqlType^>^ SqlTypes {
    array<SqlType^>^ get () sealed;
}
abstract SqlTypes : SqlType[] with get
override SqlTypes : SqlType[] with get

Property Value

Type: SqlType

Implements

IUserType.SqlTypes
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T) Methods

NHibernateJsonSerializedTypeT Methods

The NHibernateJsonSerializedTypeT generic type exposes the following members.

Methods
 | Name | Description
Public method | Assemble | Assemble after loaded from cache 从缓存取出后的处理
Public method | DeepCopy | Deep copy the value 深度复制值
Public method | Disassemble | Disassemble before store to cache 保存到缓存前的处理
Public method | Equals | Check it's equals 检查是否相等
Public method | GetHashCode | Get hash code 获取校验码
Public method | NullSafeGet | Deserialize value after retrieve from database, if it's null then return a new object 从数据库获取后反序列化值 如果等于null则返回一个新对象
Public method | NullSafeSet | Serialize value before store into database 保存到数据库前序列化值
Public method | Replace | The behavior of replace member value, just ignore the exist value 替换成员值时的处理, 直接忽略原值
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).Assemble Method

NHibernateJsonSerializedTypeTAssemble Method

Assemble after loaded from cache
从缓存取出后的处理

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Assemble(
    Object cached,
    Object owner
)
Public Function Assemble (
    cached As Object,
    owner As Object
) As Object
public:
virtual Object^ Assemble(
    Object^ cached,
    Object^ owner
) sealed
abstract Assemble :
        cached : Object *
        owner : Object -> Object
override Assemble :
        cached : Object *
        owner : Object -> Object

Parameters

cached
Type: SystemObject

[Missing <param name="cached"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Assemble(System.Object,System.Object)"]

owner
Type: SystemObject

[Missing <param name="owner"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Assemble(System.Object,System.Object)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Assemble(System.Object,System.Object)"]

Implements

IUserType.Assemble(Object, Object)
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).DeepCopy Method

NHibernateJsonSerializedTypeTDeepCopy Method

Deep copy the value
深度复制值

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object DeepCopy(
    Object value
)
Public Function DeepCopy (
    value As Object
) As Object
public:
virtual Object^ DeepCopy(
    Object^ value
) sealed
abstract DeepCopy :
        value : Object -> Object
override DeepCopy :
        value : Object -> Object

Parameters

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.DeepCopy(System.Object)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.DeepCopy(System.Object)"]

Implements

IUserType.DeepCopy(Object)
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).Disassemble Method

NHibernateJsonSerializedTypeTDisassemble Method

Disassemble before store to cache
保存到缓存前的处理

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Disassemble(
    Object value
)
Public Function Disassemble (
    value As Object
) As Object
public:
virtual Object^ Disassemble(
    Object^ value
) sealed
abstract Disassemble :
        value : Object -> Object
override Disassemble :
        value : Object -> Object

Parameters

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Disassemble(System.Object)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Disassemble(System.Object)"]

Implements

IUserType.Disassemble(Object)
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).Equals Method

NHibernateJsonSerializedTypeTEquals Method

Check it's equals
检查是否相等

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    Object x,
    Object y
)
Public Function Equals (
    x As Object,
    y As Object
) As Boolean
public:
virtual bool Equals(
    Object^ x,
    Object^ y
) sealed
abstract Equals :
        x : Object *
        y : Object -> bool
override Equals :
        x : Object *
        y : Object -> bool

Parameters

x
Type: SystemObject

[Missing <param name="x"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Equals(System.Object,System.Object)"]

y
Type: SystemObject

[Missing <param name="y"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Equals(System.Object,System.Object)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Equals(System.Object,System.Object)"]

Implements

IUserType.Equals(Object, Object)
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).GetHashCode Method

NHibernateJsonSerializedTypeTGetHashCode Method

Get hash code
获取校验码

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int GetHashCode(
    Object x
)
Public Function GetHashCode (
    x As Object
) As Integer
public:
virtual int GetHashCode(
    Object^ x
) sealed
abstract GetHashCode :
        x : Object -> int
override GetHashCode :
        x : Object -> int

Parameters

x
Type: SystemObject

[Missing <param name="x"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.GetHashCode(System.Object)"]

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.GetHashCode(System.Object)"]

Implements

IUserType.GetHashCode(Object)
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).NullSafeGet Method

NHibernateJsonSerializedTypeTNullSafeGet Method

Deserialize value after retrieve from database,
if it's null then return a new object
从数据库获取后反序列化值
如果等于null则返回一个新对象

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object NullSafeGet(
    IDataReader rs,
    string[] names,
    Object owner
)
Public Function NullSafeGet (
    rs As IDataReader,
    names As String(),
    owner As Object
) As Object
public:
virtual Object^ NullSafeGet(
    IDataReader^ rs,
    array<String^>^ names,
    Object^ owner
) sealed
abstract NullSafeGet :
        rs : IDataReader *
        names : string[] *
        owner : Object -> Object
override NullSafeGet :
        rs : IDataReader *
        names : string[] *
        owner : Object -> Object

Parameters

rs
Type: System.DataIDataReader

[Missing <param name="rs"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.NullSafeGet(System.Data.IDataReader,System.String[],System.Object)"]

names
Type: SystemString

[Missing <param name="names"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.NullSafeGet(System.Data.IDataReader,System.String[],System.Object)"]

owner
Type: SystemObject

[Missing <param name="owner"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.NullSafeGet(System.Data.IDataReader,System.String[],System.Object)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.NullSafeGet(System.Data.IDataReader,System.String[],System.Object)"]

Implements

IUserType.NullSafeGet(IDataReader, String, Object)
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).NullSafeSet Method

NHibernateJsonSerializedTypeTNullSafeSet Method

Serialize value before store into database
保存到数据库前序列化值

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void NullSafeSet(
    IDbCommand cmd,
    Object value,
    int index
)
Public Sub NullSafeSet (
    cmd As IDbCommand,
    value As Object,
    index As Integer
)
public:
virtual void NullSafeSet(
    IDbCommand^ cmd,
    Object^ value,
    int index
) sealed
abstract NullSafeSet :
        cmd : IDbCommand *
        value : Object *
        index : int -> unit
override NullSafeSet :
        cmd : IDbCommand *
        value : Object *
        index : int -> unit

Parameters

cmd
Type: System.DataIDbCommand

[Missing <param name="cmd"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.NullSafeSet(System.Data.IDbCommand,System.Object,System.Int32)"]

value
Type: SystemObject

[Missing <param name="value"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.NullSafeSet(System.Data.IDbCommand,System.Object,System.Int32)"]

index
Type: SystemInt32

[Missing <param name="index"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.NullSafeSet(System.Data.IDbCommand,System.Object,System.Int32)"]

Implements

IUserType.NullSafeSet(IDbCommand, Object, Int32)
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


NHibernateJsonSerializedType(T).Replace Method

NHibernateJsonSerializedTypeTReplace Method

The behavior of replace member value, just ignore the exist value
替换成员值时的处理, 直接忽略原值

Namespace: ZKWeb.ORM.NHibernate
Assembly: ZKWeb.ORM.NHibernate (in ZKWeb.ORM.NHibernate.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Replace(
    Object original,
    Object target,
    Object owner
)
Public Function Replace (
    original As Object,
    target As Object,
    owner As Object
) As Object
public:
virtual Object^ Replace(
    Object^ original,
    Object^ target,
    Object^ owner
) sealed
abstract Replace :
        original : Object *
        target : Object *
        owner : Object -> Object
override Replace :
        original : Object *
        target : Object *
        owner : Object -> Object

Parameters

original
Type: SystemObject

[Missing <param name="original"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Replace(System.Object,System.Object,System.Object)"]

target
Type: SystemObject

[Missing <param name="target"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Replace(System.Object,System.Object,System.Object)"]

owner
Type: SystemObject

[Missing <param name="owner"/> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Replace(System.Object,System.Object,System.Object)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.ORM.NHibernate.NHibernateJsonSerializedType`1.Replace(System.Object,System.Object,System.Object)"]

Implements

IUserType.Replace(Object, Object, Object)
See Also

Reference

NHibernateJsonSerializedTypeT Class
ZKWeb.ORM.NHibernate Namespace


ZKWeb.Plugin Namespaces

[Missing <summary> documentation for "G:ZKWeb.Plugin"]

Namespaces
Namespace | Description
ZKWeb.Plugin |
ZKWeb.Plugin.AssemblyLoaders |
ZKWeb.Plugin.CompilerServices |


ZKWeb.Plugin Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugin"]

Classes
 | Class | Description
Public class | PluginInfo | Plugin information 插件信息
Public class | PluginInfoExtensions | Plugin information extension methods 插件信息的扩展函数
Public class | PluginManager | Plugin manager 插件管理器
Public class | PluginReloader | Automatic reload plugins and website configuration It will determine the following files are changed then reload the website after 自动重新加载插件和网站配置 它会检测以下文件是否有改变, 并在它们改变后重启网站 - {Plugin directory}/*.cs - {Plugin directory}/*.json - {Plugin directory}/*.dll - App_Data/*.json (No recursion) - App_Data/*.ddl (No recursion)
Interfaces
Interface | Description
IPlugin | Interface used to perform processing after the plugin loads 用于在插件加载后执行处理的接口


IPlugin Interface
Interface used to perform processing after the plugin loads
用于在插件加载后执行处理的接口

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IPlugin
Public Interface IPlugin
public interface class IPlugin
type IPlugin =  interface end
Examples
C#
Copy
[ExportMany]
public class Plugin : IPlugin {
    Plugin() { Console.WriteLine("plugin loaded"); }
}
See Also

Reference

ZKWeb.Plugin Namespace


PluginInfo Class
Plugin information
插件信息
Inheritance Hierarchy
SystemObject
ZKWeb.PluginPluginInfo

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class PluginInfo
Public Class PluginInfo
public ref class PluginInfo
type PluginInfo =  class end

The PluginInfo type exposes the following members.

Constructors
 | Name | Description
Public method | PluginInfo | Initializes a new instance of the PluginInfo class
Top
Properties
 | Name | Description
Public property | Assembly | Plugin assembly Maybe null if the plugin not contains dll or didn't loaded 插件程序集 如果插件未包含dll或者未加载, 这个成员会等于null
Public property | Dependencies | Dependent other plugins 依赖的其他插件
Public property | Description | Plugin description 插件描述
Public property | Directory | Plugin directory 插件所在目录
Public property | Extra | Extra information 附加信息
Public property | Name | Plugin name 插件名称
Public property | References | Reference assembly names 引用的程序集
Public property | Version | Version string Format: "major.minor.build any string" 版本字符串
Top
Methods
Name | Description
FromDirectory | Get plugin information from directory 从文件夹获取插件信息
Top
Extension Methods
 | Name | Description
Public Extension Method | AssemblyPath | Get assembly file path 获取程序集文件的路径 (Defined by PluginInfoExtensions.)
Public Extension Method | AssemblyPdbPath | Get pdb file path 获取pdb文件的路径 (Defined by PluginInfoExtensions.)
Public Extension Method | BinDirectory | Get binary directory Path contains target platform name 获取程序集目录的路径 路径会包含平台名称 (Defined by PluginInfoExtensions.)
Public Extension Method | Compile | Compile plugin 编译插件 (Defined by PluginInfoExtensions.)
Public Extension Method | CompileInfoPath | Get compile infomation path Contains source code paths and it's modify time, use to determine if recompile is needed 获取编译信息的路径 编译信息包含了源代码列表和它的修改时间, 用于检测是否需要重新编译 (Defined by PluginInfoExtensions.)
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | DirectoryName | Get directory name 获取目录名称 (Defined by PluginInfoExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ReferenceAssemblyPath | Get assembly path from plugin's reference directory Return null if not found 从插件的引用目录获取引用程序集的路径 如果找不到则返回null (Defined by PluginInfoExtensions.)
Public Extension Method | SourceDirectory | Get source directory 获取源代码目录的路径 (Defined by PluginInfoExtensions.)
Public Extension Method | SourceFiles | Get source files 获取源代码列表 (Defined by PluginInfoExtensions.)
Public Extension Method | VersionObject | Get plugin version objects Return an empty version if parse failed 获取插件的版本对象 如果解析失败则返回空版本 (Defined by PluginInfoExtensions.)
Top
See Also

Reference

ZKWeb.Plugin Namespace


PluginInfo Constructor

Initializes a new instance of the PluginInfo class

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PluginInfo()
Public Sub New
public:
PluginInfo()
new : unit -> PluginInfo
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo Properties

The PluginInfo type exposes the following members.

Properties
 | Name | Description
Public property | Assembly | Plugin assembly Maybe null if the plugin not contains dll or didn't loaded 插件程序集 如果插件未包含dll或者未加载, 这个成员会等于null
Public property | Dependencies | Dependent other plugins 依赖的其他插件
Public property | Description | Plugin description 插件描述
Public property | Directory | Plugin directory 插件所在目录
Public property | Extra | Extra information 附加信息
Public property | Name | Plugin name 插件名称
Public property | References | Reference assembly names 引用的程序集
Public property | Version | Version string Format: "major.minor.build any string" 版本字符串
Top
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.Assembly Property

PluginInfoAssembly Property

Plugin assembly
Maybe null if the plugin not contains dll or didn't loaded
插件程序集
如果插件未包含dll或者未加载, 这个成员会等于null

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Assembly Assembly { get; set; }
Public Property Assembly As Assembly
    Get
    Set
public:
property Assembly^ Assembly {
    Assembly^ get ();
    void set (Assembly^ value);
}
member Assembly : Assembly with get, set

Property Value

Type: Assembly
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.Dependencies Property

PluginInfoDependencies Property

Dependent other plugins
依赖的其他插件

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> Dependencies { get; set; }
Public Property Dependencies As IList(Of String)
    Get
    Set
public:
property IList<String^>^ Dependencies {
    IList<String^>^ get ();
    void set (IList<String^>^ value);
}
member Dependencies : IList<string> with get, set

Property Value

Type: IList String
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.Description Property

PluginInfoDescription Property

Plugin description
插件描述

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.Directory Property

PluginInfoDirectory Property

Plugin directory
插件所在目录

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Directory { get; set; }
Public Property Directory As String
    Get
    Set
public:
property String^ Directory {
    String^ get ();
    void set (String^ value);
}
member Directory : string with get, set

Property Value

Type: String
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.Extra Property

PluginInfoExtra Property

Extra information
附加信息

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> Extra { get; set; }
Public Property Extra As IDictionary(Of String, Object)
    Get
    Set
public:
property IDictionary<String^, Object^>^ Extra {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
member Extra : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.Name Property

PluginInfoName Property

Plugin name
插件名称

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.References Property

PluginInfoReferences Property

Reference assembly names
引用的程序集

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> References { get; set; }
Public Property References As IList(Of String)
    Get
    Set
public:
property IList<String^>^ References {
    IList<String^>^ get ();
    void set (IList<String^>^ value);
}
member References : IList<string> with get, set

Property Value

Type: IList String
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.Version Property

PluginInfoVersion Property

Version string
Format: "major.minor.build any string"
版本字符串

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Version { get; set; }
Public Property Version As String
    Get
    Set
public:
property String^ Version {
    String^ get ();
    void set (String^ value);
}
member Version : string with get, set

Property Value

Type: String
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo Methods

The PluginInfo type exposes the following members.

Methods
Name | Description
FromDirectory | Get plugin information from directory 从文件夹获取插件信息
Top
Extension Methods
 | Name | Description
Public Extension Method | AssemblyPath | Get assembly file path 获取程序集文件的路径 (Defined by PluginInfoExtensions.)
Public Extension Method | AssemblyPdbPath | Get pdb file path 获取pdb文件的路径 (Defined by PluginInfoExtensions.)
Public Extension Method | BinDirectory | Get binary directory Path contains target platform name 获取程序集目录的路径 路径会包含平台名称 (Defined by PluginInfoExtensions.)
Public Extension Method | Compile | Compile plugin 编译插件 (Defined by PluginInfoExtensions.)
Public Extension Method | CompileInfoPath | Get compile infomation path Contains source code paths and it's modify time, use to determine if recompile is needed 获取编译信息的路径 编译信息包含了源代码列表和它的修改时间, 用于检测是否需要重新编译 (Defined by PluginInfoExtensions.)
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | DirectoryName | Get directory name 获取目录名称 (Defined by PluginInfoExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ReferenceAssemblyPath | Get assembly path from plugin's reference directory Return null if not found 从插件的引用目录获取引用程序集的路径 如果找不到则返回null (Defined by PluginInfoExtensions.)
Public Extension Method | SourceDirectory | Get source directory 获取源代码目录的路径 (Defined by PluginInfoExtensions.)
Public Extension Method | SourceFiles | Get source files 获取源代码列表 (Defined by PluginInfoExtensions.)
Public Extension Method | VersionObject | Get plugin version objects Return an empty version if parse failed 获取插件的版本对象 如果解析失败则返回空版本 (Defined by PluginInfoExtensions.)
Top
See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfo.FromDirectory Method

PluginInfoFromDirectory Method

Get plugin information from directory
从文件夹获取插件信息

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static PluginInfo FromDirectory(
    string dir
)
Public Shared Function FromDirectory (
    dir As String
) As PluginInfo
public:
static PluginInfo^ FromDirectory(
    String^ dir
)
static member FromDirectory :
        dir : string -> PluginInfo

Parameters

dir
Type: SystemString
Directory

Return Value

Type: PluginInfo

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfo.FromDirectory(System.String)"]

See Also

Reference

PluginInfo Class
ZKWeb.Plugin Namespace


PluginInfoExtensions Class
Plugin information extension methods
插件信息的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.PluginPluginInfoExtensions

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class PluginInfoExtensions
<ExtensionAttribute>
Public NotInheritable Class PluginInfoExtensions
[ExtensionAttribute]
public ref class PluginInfoExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type PluginInfoExtensions =  class end

The PluginInfoExtensions type exposes the following members.

Methods
Name | Description
AssemblyPath | Get assembly file path 获取程序集文件的路径
AssemblyPdbPath | Get pdb file path 获取pdb文件的路径
BinDirectory | Get binary directory Path contains target platform name 获取程序集目录的路径 路径会包含平台名称
Compile | Compile plugin 编译插件
CompileInfoPath | Get compile infomation path Contains source code paths and it's modify time, use to determine if recompile is needed 获取编译信息的路径 编译信息包含了源代码列表和它的修改时间, 用于检测是否需要重新编译
DirectoryName | Get directory name 获取目录名称
ReferenceAssemblyPath | Get assembly path from plugin's reference directory Return null if not found 从插件的引用目录获取引用程序集的路径 如果找不到则返回null
SourceDirectory | Get source directory 获取源代码目录的路径
SourceFiles | Get source files 获取源代码列表
VersionObject | Get plugin version objects Return an empty version if parse failed 获取插件的版本对象 如果解析失败则返回空版本
Top
See Also

Reference

ZKWeb.Plugin Namespace


PluginInfoExtensions Methods

The PluginInfoExtensions type exposes the following members.

Methods
Name | Description
AssemblyPath | Get assembly file path 获取程序集文件的路径
AssemblyPdbPath | Get pdb file path 获取pdb文件的路径
BinDirectory | Get binary directory Path contains target platform name 获取程序集目录的路径 路径会包含平台名称
Compile | Compile plugin 编译插件
CompileInfoPath | Get compile infomation path Contains source code paths and it's modify time, use to determine if recompile is needed 获取编译信息的路径 编译信息包含了源代码列表和它的修改时间, 用于检测是否需要重新编译
DirectoryName | Get directory name 获取目录名称
ReferenceAssemblyPath | Get assembly path from plugin's reference directory Return null if not found 从插件的引用目录获取引用程序集的路径 如果找不到则返回null
SourceDirectory | Get source directory 获取源代码目录的路径
SourceFiles | Get source files 获取源代码列表
VersionObject | Get plugin version objects Return an empty version if parse failed 获取插件的版本对象 如果解析失败则返回空版本
Top
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.AssemblyPath Method

PluginInfoExtensionsAssemblyPath Method

Get assembly file path
获取程序集文件的路径

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string AssemblyPath(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Function AssemblyPath (
    info As PluginInfo
) As String
public:
[ExtensionAttribute]
static String^ AssemblyPath(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member AssemblyPath :
        info : PluginInfo -> string

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.AssemblyPath(ZKWeb.Plugin.PluginInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.AssemblyPdbPath Method

PluginInfoExtensionsAssemblyPdbPath Method

Get pdb file path
获取pdb文件的路径

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string AssemblyPdbPath(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Function AssemblyPdbPath (
    info As PluginInfo
) As String
public:
[ExtensionAttribute]
static String^ AssemblyPdbPath(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member AssemblyPdbPath :
        info : PluginInfo -> string

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.AssemblyPdbPath(ZKWeb.Plugin.PluginInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.BinDirectory Method

PluginInfoExtensionsBinDirectory Method

Get binary directory
Path contains target platform name
获取程序集目录的路径
路径会包含平台名称

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string BinDirectory(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Function BinDirectory (
    info As PluginInfo
) As String
public:
[ExtensionAttribute]
static String^ BinDirectory(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member BinDirectory :
        info : PluginInfo -> string

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.BinDirectory(ZKWeb.Plugin.PluginInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.Compile Method

PluginInfoExtensionsCompile Method

Compile plugin
编译插件

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Compile(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Sub Compile (
    info As PluginInfo
)
public:
[ExtensionAttribute]
static void Compile(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member Compile :
        info : PluginInfo -> unit

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.CompileInfoPath Method

PluginInfoExtensionsCompileInfoPath Method

Get compile infomation path
Contains source code paths and it's modify time,
use to determine if recompile is needed
获取编译信息的路径
编译信息包含了源代码列表和它的修改时间, 用于检测是否需要重新编译

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string CompileInfoPath(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Function CompileInfoPath (
    info As PluginInfo
) As String
public:
[ExtensionAttribute]
static String^ CompileInfoPath(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member CompileInfoPath :
        info : PluginInfo -> string

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.CompileInfoPath(ZKWeb.Plugin.PluginInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.DirectoryName Method

PluginInfoExtensionsDirectoryName Method

Get directory name
获取目录名称

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string DirectoryName(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Function DirectoryName (
    info As PluginInfo
) As String
public:
[ExtensionAttribute]
static String^ DirectoryName(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member DirectoryName :
        info : PluginInfo -> string

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.DirectoryName(ZKWeb.Plugin.PluginInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.ReferenceAssemblyPath Method

PluginInfoExtensionsReferenceAssemblyPath Method

Get assembly path from plugin's reference directory
Return null if not found
从插件的引用目录获取引用程序集的路径
如果找不到则返回null

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string ReferenceAssemblyPath(
    this PluginInfo info,
    string assemblyName
)
<ExtensionAttribute>
Public Shared Function ReferenceAssemblyPath (
    info As PluginInfo,
    assemblyName As String
) As String
public:
[ExtensionAttribute]
static String^ ReferenceAssemblyPath(
    PluginInfo^ info,
    String^ assemblyName
)
[<ExtensionAttribute>]
static member ReferenceAssemblyPath :
        info : PluginInfo *
        assemblyName : string -> string

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information
assemblyName
Type: SystemString
Assembly name

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.ReferenceAssemblyPath(ZKWeb.Plugin.PluginInfo,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.SourceDirectory Method

PluginInfoExtensionsSourceDirectory Method

Get source directory
获取源代码目录的路径

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string SourceDirectory(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Function SourceDirectory (
    info As PluginInfo
) As String
public:
[ExtensionAttribute]
static String^ SourceDirectory(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member SourceDirectory :
        info : PluginInfo -> string

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.SourceDirectory(ZKWeb.Plugin.PluginInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.SourceFiles Method

PluginInfoExtensionsSourceFiles Method

Get source files
获取源代码列表

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string[] SourceFiles(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Function SourceFiles (
    info As PluginInfo
) As String()
public:
[ExtensionAttribute]
static array<String^>^ SourceFiles(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member SourceFiles :
        info : PluginInfo -> string[]

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.SourceFiles(ZKWeb.Plugin.PluginInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginInfoExtensions.VersionObject Method

PluginInfoExtensionsVersionObject Method

Get plugin version objects
Return an empty version if parse failed
获取插件的版本对象
如果解析失败则返回空版本

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Version VersionObject(
    this PluginInfo info
)
<ExtensionAttribute>
Public Shared Function VersionObject (
    info As PluginInfo
) As Version
public:
[ExtensionAttribute]
static Version^ VersionObject(
    PluginInfo^ info
)
[<ExtensionAttribute>]
static member VersionObject :
        info : PluginInfo -> Version

Parameters

info
Type: ZKWeb.PluginPluginInfo
Plugin information

Return Value

Type: Version

[Missing <returns> documentation for "M:ZKWeb.Plugin.PluginInfoExtensions.VersionObject(ZKWeb.Plugin.PluginInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type PluginInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

PluginInfoExtensions Class
ZKWeb.Plugin Namespace


PluginManager Class
Plugin manager
插件管理器
Inheritance Hierarchy
SystemObject
ZKWeb.PluginPluginManager

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class PluginManager
Public Class PluginManager
public ref class PluginManager
type PluginManager =  class end

The PluginManager type exposes the following members.

Constructors
 | Name | Description
Public method | PluginManager | Initialize 初始化
Top
Properties
 | Name | Description
Public property | PluginAssemblies | Plugin assemblies 插件程序集列表
Public property | Plugins | Plugins 插件列表
Top
Methods
 | Name | Description
Protected method | Initialize | Load all plugins Flow - Get plugin names from website configuration - Load plugin information from it's directory - Use roslyn compile service compile the source files to assembly - Load compiled assembly - Register types in assembly to IoC container Attention - IPlugin will not initliaze here because we may need initialize database before you should invoke IPlugin manually after calling this method 加载所有插件 流程 - 从网站配置获取插件名称列表 - 从插件目录加载插件信息 - 使用roslyn编译服务编译插件源代码到程序集 - 加载编译后的程序集 - 注册程序集中的类型到IoC容器 注意 - 插件不会在这里初始化, 因为我们可能需要在这之前初始化数据库 你需要在调用这个函数后手动调用IPlugin接口
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Plugin Namespace


PluginManager Constructor

Initialize
初始化

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PluginManager()
Public Sub New
public:
PluginManager()
new : unit -> PluginManager
See Also

Reference

PluginManager Class
ZKWeb.Plugin Namespace


PluginManager Properties

The PluginManager type exposes the following members.

Properties
 | Name | Description
Public property | PluginAssemblies | Plugin assemblies 插件程序集列表
Public property | Plugins | Plugins 插件列表
Top
See Also

Reference

PluginManager Class
ZKWeb.Plugin Namespace


PluginManager.PluginAssemblies Property

PluginManagerPluginAssemblies Property

Plugin assemblies
插件程序集列表

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<Assembly> PluginAssemblies { get; protected set; }
Public Overridable Property PluginAssemblies As IList(Of Assembly)
    Get
    Protected Set
public:
virtual property IList<Assembly^>^ PluginAssemblies {
    IList<Assembly^>^ get ();
    protected: void set (IList<Assembly^>^ value);
}
abstract PluginAssemblies : IList<Assembly> with get, set
override PluginAssemblies : IList<Assembly> with get, set

Property Value

Type: IList Assembly
See Also

Reference

PluginManager Class
ZKWeb.Plugin Namespace


PluginManager.Plugins Property

PluginManagerPlugins Property

Plugins
插件列表

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<PluginInfo> Plugins { get; protected set; }
Public Overridable Property Plugins As IList(Of PluginInfo)
    Get
    Protected Set
public:
virtual property IList<PluginInfo^>^ Plugins {
    IList<PluginInfo^>^ get ();
    protected: void set (IList<PluginInfo^>^ value);
}
abstract Plugins : IList<PluginInfo> with get, set
override Plugins : IList<PluginInfo> with get, set

Property Value

Type: IList PluginInfo
See Also

Reference

PluginManager Class
ZKWeb.Plugin Namespace


PluginManager Methods

The PluginManager type exposes the following members.

Methods
 | Name | Description
Protected method | Initialize | Load all plugins Flow - Get plugin names from website configuration - Load plugin information from it's directory - Use roslyn compile service compile the source files to assembly - Load compiled assembly - Register types in assembly to IoC container Attention - IPlugin will not initliaze here because we may need initialize database before you should invoke IPlugin manually after calling this method 加载所有插件 流程 - 从网站配置获取插件名称列表 - 从插件目录加载插件信息 - 使用roslyn编译服务编译插件源代码到程序集 - 加载编译后的程序集 - 注册程序集中的类型到IoC容器 注意 - 插件不会在这里初始化, 因为我们可能需要在这之前初始化数据库 你需要在调用这个函数后手动调用IPlugin接口
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PluginManager Class
ZKWeb.Plugin Namespace


PluginManager.Initialize Method

PluginManagerInitialize Method

Load all plugins
Flow
- Get plugin names from website configuration
- Load plugin information from it's directory
- Use roslyn compile service compile the source files to assembly
- Load compiled assembly
- Register types in assembly to IoC container
Attention
- IPlugin will not initliaze here because we may need initialize database before
you should invoke IPlugin manually after calling this method
加载所有插件
流程
- 从网站配置获取插件名称列表
- 从插件目录加载插件信息
- 使用roslyn编译服务编译插件源代码到程序集
- 加载编译后的程序集
- 注册程序集中的类型到IoC容器
注意
- 插件不会在这里初始化, 因为我们可能需要在这之前初始化数据库
你需要在调用这个函数后手动调用IPlugin接口

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Initialize()
Protected Overridable Sub Initialize
protected:
virtual void Initialize()
abstract Initialize : unit -> unit
override Initialize : unit -> unit
See Also

Reference

PluginManager Class
ZKWeb.Plugin Namespace


PluginReloader Class
Automatic reload plugins and website configuration
It will determine the following files are changed then reload the website after
自动重新加载插件和网站配置
它会检测以下文件是否有改变, 并在它们改变后重启网站
- {Plugin directory}/*.cs
- {Plugin directory}/*.json
- {Plugin directory}/*.dll
- App_Data/*.json (No recursion)
- App_Data/*.ddl (No recursion)
Inheritance Hierarchy
SystemObject
ZKWeb.PluginPluginReloader

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class PluginReloader
Public Class PluginReloader
public ref class PluginReloader
type PluginReloader =  class end

The PluginReloader type exposes the following members.

Constructors
 | Name | Description
Public method | PluginReloader | Initializes a new instance of the PluginReloader class
Top
Methods
 | Name | Description
Protected method | Start | Start reloader 启动重加载器
 | StopWebsite | Stop website 停止网站
Top
Fields
Name | Description
Stopping | Is website stopping 是否正在停止网站
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Plugin Namespace


PluginReloader Constructor

Initializes a new instance of the PluginReloader class

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PluginReloader()
Public Sub New
public:
PluginReloader()
new : unit -> PluginReloader
See Also

Reference

PluginReloader Class
ZKWeb.Plugin Namespace


PluginReloader Methods

The PluginReloader type exposes the following members.

Methods
 | Name | Description
Protected method | Start | Start reloader 启动重加载器
 | StopWebsite | Stop website 停止网站
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PluginReloader Class
ZKWeb.Plugin Namespace


PluginReloader.Start Method

PluginReloaderStart Method

Start reloader
启动重加载器

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Start()
Protected Overridable Sub Start
protected:
virtual void Start()
abstract Start : unit -> unit
override Start : unit -> unit
See Also

Reference

PluginReloader Class
ZKWeb.Plugin Namespace


PluginReloader.StopWebsite Method

PluginReloaderStopWebsite Method

Stop website
停止网站

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected static void StopWebsite()
Protected Shared Sub StopWebsite
protected:
static void StopWebsite()
static member StopWebsite : unit -> unit
See Also

Reference

PluginReloader Class
ZKWeb.Plugin Namespace


PluginReloader Fields

The PluginReloader type exposes the following members.

Fields
Name | Description
Stopping | Is website stopping 是否正在停止网站
Top
See Also

Reference

PluginReloader Class
ZKWeb.Plugin Namespace


PluginReloader.Stopping Field

PluginReloaderStopping Field
Is website stopping
是否正在停止网站

Namespace: ZKWeb.Plugin
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected static int Stopping
Protected Shared Stopping As Integer
protected:
static int Stopping
static val mutable Stopping: int

Field Value

Type: Int32
See Also

Reference

PluginReloader Class
ZKWeb.Plugin Namespace


ZKWeb.Plugin.AssemblyLoaders Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugin.AssemblyLoaders"]

Classes
 | Class | Description
Protected class | AssemblyLoaderBase | Base class of assembly loader 程序集加载器的基类
Protected class | NetAssemblyLoader | Assembly loader for .Net Framework .Net Framework使用的程序集加载器
Interfaces
Interface | Description
IAssemblyLoader | Interface of assembly loader 程序加载器的接口


AssemblyLoaderBase Class
Base class of assembly loader
程序集加载器的基类
Inheritance Hierarchy
SystemObject
ZKWeb.Plugin.AssemblyLoadersAssemblyLoaderBase
ZKWeb.Plugin.AssemblyLoadersNetAssemblyLoader

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal abstract class AssemblyLoaderBase : IAssemblyLoader
Friend MustInherit Class AssemblyLoaderBase
    Implements IAssemblyLoader
internal ref class AssemblyLoaderBase abstract : IAssemblyLoader
[<AbstractClassAttribute>]
type AssemblyLoaderBase =
    class
        interface IAssemblyLoader
    end

The AssemblyLoaderBase type exposes the following members.

Constructors
 | Name | Description
Public method | AssemblyLoaderBase | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | LoadedAssemblies | Loaded assemblies 已加载的程序集
Protected property | ReplacementAssemblies | Replacement assemblies 程序集的替代设置
Top
Methods
 | Name | Description
Public method | GetLoadedAssemblies | Get loaded assemblies Except wrapper assemblies and dynamic assemblies 获取已加载的程序集 排除包装用的程序集和动态程序集
Protected method | HandleLoadedAssembly | Handle loaded assembly Preload it's dependencies 处理已加载的程序集 预加载它的引用项
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集
Public method | Load(String) | Load assembly by name 根据名称加载程序集
Public method | LoadFile | Load assembly from file path 根据文件路径加载程序集
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase Constructor

Initialize
初始化

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AssemblyLoaderBase()
Public Sub New
public:
AssemblyLoaderBase()
new : unit -> AssemblyLoaderBase
See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase Properties

The AssemblyLoaderBase type exposes the following members.

Properties
 | Name | Description
Protected property | LoadedAssemblies | Loaded assemblies 已加载的程序集
Protected property | ReplacementAssemblies | Replacement assemblies 程序集的替代设置
Top
See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.LoadedAssemblies Property

AssemblyLoaderBaseLoadedAssemblies Property

Loaded assemblies
已加载的程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual ISet<Assembly> LoadedAssemblies { get; set; }
Protected Overridable Property LoadedAssemblies As ISet(Of Assembly)
    Get
    Set
protected:
virtual property ISet<Assembly^>^ LoadedAssemblies {
    ISet<Assembly^>^ get ();
    void set (ISet<Assembly^>^ value);
}
abstract LoadedAssemblies : ISet<Assembly> with get, set
override LoadedAssemblies : ISet<Assembly> with get, set

Property Value

Type: ISet Assembly
See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.ReplacementAssemblies Property

AssemblyLoaderBaseReplacementAssemblies Property

Replacement assemblies
程序集的替代设置

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IDictionary<string, string> ReplacementAssemblies { get; set; }
Protected Property ReplacementAssemblies As IDictionary(Of String, String)
    Get
    Set
protected:
property IDictionary<String^, String^>^ ReplacementAssemblies {
    IDictionary<String^, String^>^ get ();
    void set (IDictionary<String^, String^>^ value);
}
member ReplacementAssemblies : IDictionary<string, string> with get, set

Property Value

Type: IDictionary String, String
See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase Methods

The AssemblyLoaderBase type exposes the following members.

Methods
 | Name | Description
Public method | GetLoadedAssemblies | Get loaded assemblies Except wrapper assemblies and dynamic assemblies 获取已加载的程序集 排除包装用的程序集和动态程序集
Protected method | HandleLoadedAssembly | Handle loaded assembly Preload it's dependencies 处理已加载的程序集 预加载它的引用项
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集
Public method | Load(String) | Load assembly by name 根据名称加载程序集
Public method | LoadFile | Load assembly from file path 根据文件路径加载程序集
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.GetLoadedAssemblies Method

AssemblyLoaderBaseGetLoadedAssemblies Method

Get loaded assemblies
Except wrapper assemblies and dynamic assemblies
获取已加载的程序集
排除包装用的程序集和动态程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<Assembly> GetLoadedAssemblies()
Public Overridable Function GetLoadedAssemblies As IList(Of Assembly)
public:
virtual IList<Assembly^>^ GetLoadedAssemblies()
abstract GetLoadedAssemblies : unit -> IList<Assembly>
override GetLoadedAssemblies : unit -> IList<Assembly>

Return Value

Type: IList Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.GetLoadedAssemblies"]

Implements

IAssemblyLoaderGetLoadedAssemblies
See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.HandleLoadedAssembly Method

AssemblyLoaderBaseHandleLoadedAssembly Method

Handle loaded assembly
Preload it's dependencies
处理已加载的程序集
预加载它的引用项

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual Assembly HandleLoadedAssembly(
    Assembly assembly
)
Protected Overridable Function HandleLoadedAssembly (
    assembly As Assembly
) As Assembly
protected:
virtual Assembly^ HandleLoadedAssembly(
    Assembly^ assembly
)
abstract HandleLoadedAssembly :
        assembly : Assembly -> Assembly
override HandleLoadedAssembly :
        assembly : Assembly -> Assembly

Parameters

assembly
Type: System.ReflectionAssembly
Assembly

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.HandleLoadedAssembly(System.Reflection.Assembly)"]

See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.Load Method

AssemblyLoaderBaseLoad Method

Overload List
 | Name | Description
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集
Public method | Load(String) | Load assembly by name 根据名称加载程序集
Top
See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.Load Method (Byte[])

AssemblyLoaderBaseLoad Method (Byte)
Load assembly from it's binary contents
根据二进制内容加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract Assembly Load(
    byte[] rawAssembly
)
Public MustOverride Function Load (
    rawAssembly As Byte()
) As Assembly
public:
virtual Assembly^ Load(
    array<unsigned char>^ rawAssembly
) abstract
abstract Load :
        rawAssembly : byte[] -> Assembly

Parameters

rawAssembly
Type: SystemByte

[Missing <param name="rawAssembly"/> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.Load(System.Byte[])"]

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.Load(System.Byte[])"]

Implements

IAssemblyLoaderLoad(Byte)
See Also

Reference

AssemblyLoaderBase Class
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.Load Method (AssemblyName)

AssemblyLoaderBaseLoad Method (AssemblyName)
Load assembly by name object
根据名称对象加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract Assembly Load(
    AssemblyName assemblyName
)
Public MustOverride Function Load (
    assemblyName As AssemblyName
) As Assembly
public:
virtual Assembly^ Load(
    AssemblyName^ assemblyName
) abstract
abstract Load :
        assemblyName : AssemblyName -> Assembly

Parameters

assemblyName
Type: System.ReflectionAssemblyName

[Missing <param name="assemblyName"/> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.Load(System.Reflection.AssemblyName)"]

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.Load(System.Reflection.AssemblyName)"]

Implements

IAssemblyLoaderLoad(AssemblyName)
See Also

Reference

AssemblyLoaderBase Class
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.Load Method (String)

AssemblyLoaderBaseLoad Method (String)
Load assembly by name
根据名称加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract Assembly Load(
    string name
)
Public MustOverride Function Load (
    name As String
) As Assembly
public:
virtual Assembly^ Load(
    String^ name
) abstract
abstract Load :
        name : string -> Assembly

Parameters

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.Load(System.String)"]

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.Load(System.String)"]

Implements

IAssemblyLoaderLoad(String)
See Also

Reference

AssemblyLoaderBase Class
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


AssemblyLoaderBase.LoadFile Method

AssemblyLoaderBaseLoadFile Method

Load assembly from file path
根据文件路径加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract Assembly LoadFile(
    string path
)
Public MustOverride Function LoadFile (
    path As String
) As Assembly
public:
virtual Assembly^ LoadFile(
    String^ path
) abstract
abstract LoadFile :
        path : string -> Assembly

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.LoadFile(System.String)"]

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.AssemblyLoaderBase.LoadFile(System.String)"]

Implements

IAssemblyLoaderLoadFile(String)
See Also

Reference

AssemblyLoaderBase Class
ZKWeb.Plugin.AssemblyLoaders Namespace


IAssemblyLoader Interface
Interface of assembly loader
程序加载器的接口

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IAssemblyLoader
Public Interface IAssemblyLoader
public interface class IAssemblyLoader
type IAssemblyLoader =  interface end

The IAssemblyLoader type exposes the following members.

Methods
 | Name | Description
Public method | GetLoadedAssemblies | Get loaded assemblies It should exclude wrapper assemblies and dynamic assemblies 获取已加载的程序集 它应该排除包装用的程序集和动态程序集
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集
Public method | Load(String) | Load assembly by name 根据名称加载程序集
Public method | LoadFile | Load assembly from file path 根据文件路径加载程序集
Top
Examples
C#
Copy
var assemblyLoader = Application.Ioc.Resolve<IAssemblyLoader>();
var assembly = assemblyLoader.Load("System.DrawingCore");
See Also

Reference

ZKWeb.Plugin.AssemblyLoaders Namespace


IAssemblyLoader Methods

The IAssemblyLoader type exposes the following members.

Methods
 | Name | Description
Public method | GetLoadedAssemblies | Get loaded assemblies It should exclude wrapper assemblies and dynamic assemblies 获取已加载的程序集 它应该排除包装用的程序集和动态程序集
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集
Public method | Load(String) | Load assembly by name 根据名称加载程序集
Public method | LoadFile | Load assembly from file path 根据文件路径加载程序集
Top
See Also

Reference

IAssemblyLoader Interface
ZKWeb.Plugin.AssemblyLoaders Namespace


IAssemblyLoader.GetLoadedAssemblies Method

IAssemblyLoaderGetLoadedAssemblies Method

Get loaded assemblies
It should exclude wrapper assemblies and dynamic assemblies
获取已加载的程序集
它应该排除包装用的程序集和动态程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IList<Assembly> GetLoadedAssemblies()
Function GetLoadedAssemblies As IList(Of Assembly)
IList<Assembly^>^ GetLoadedAssemblies()
abstract GetLoadedAssemblies : unit -> IList<Assembly>

Return Value

Type: IList Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.IAssemblyLoader.GetLoadedAssemblies"]

See Also

Reference

IAssemblyLoader Interface
ZKWeb.Plugin.AssemblyLoaders Namespace


IAssemblyLoader.Load Method

IAssemblyLoaderLoad Method

Overload List
 | Name | Description
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集
Public method | Load(String) | Load assembly by name 根据名称加载程序集
Top
See Also

Reference

IAssemblyLoader Interface
ZKWeb.Plugin.AssemblyLoaders Namespace


IAssemblyLoader.Load Method (Byte[])

IAssemblyLoaderLoad Method (Byte)
Load assembly from it's binary contents
根据二进制内容加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Assembly Load(
    byte[] rawAssembly
)
Function Load (
    rawAssembly As Byte()
) As Assembly
Assembly^ Load(
    array<unsigned char>^ rawAssembly
)
abstract Load :
        rawAssembly : byte[] -> Assembly

Parameters

rawAssembly
Type: SystemByte
Assembly binary contents

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.IAssemblyLoader.Load(System.Byte[])"]

See Also

Reference

IAssemblyLoader Interface
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


IAssemblyLoader.Load Method (AssemblyName)

IAssemblyLoaderLoad Method (AssemblyName)
Load assembly by name object
根据名称对象加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Assembly Load(
    AssemblyName assemblyName
)
Function Load (
    assemblyName As AssemblyName
) As Assembly
Assembly^ Load(
    AssemblyName^ assemblyName
)
abstract Load :
        assemblyName : AssemblyName -> Assembly

Parameters

assemblyName
Type: System.ReflectionAssemblyName
Assembly name object

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.IAssemblyLoader.Load(System.Reflection.AssemblyName)"]

See Also

Reference

IAssemblyLoader Interface
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


IAssemblyLoader.Load Method (String)

IAssemblyLoaderLoad Method (String)
Load assembly by name
根据名称加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Assembly Load(
    string name
)
Function Load (
    name As String
) As Assembly
Assembly^ Load(
    String^ name
)
abstract Load :
        name : string -> Assembly

Parameters

name
Type: SystemString
Assembly name, in short or full

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.IAssemblyLoader.Load(System.String)"]

See Also

Reference

IAssemblyLoader Interface
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


IAssemblyLoader.LoadFile Method

IAssemblyLoaderLoadFile Method

Load assembly from file path
根据文件路径加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Assembly LoadFile(
    string path
)
Function LoadFile (
    path As String
) As Assembly
Assembly^ LoadFile(
    String^ path
)
abstract LoadFile :
        path : string -> Assembly

Parameters

path
Type: SystemString
Assembly file path

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.IAssemblyLoader.LoadFile(System.String)"]

See Also

Reference

IAssemblyLoader Interface
ZKWeb.Plugin.AssemblyLoaders Namespace


NetAssemblyLoader Class
Assembly loader for .Net Framework
.Net Framework使用的程序集加载器
Inheritance Hierarchy
SystemObject
ZKWeb.Plugin.AssemblyLoadersAssemblyLoaderBase
ZKWeb.Plugin.AssemblyLoadersNetAssemblyLoader

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class NetAssemblyLoader : AssemblyLoaderBase
Friend Class NetAssemblyLoader
    Inherits AssemblyLoaderBase
internal ref class NetAssemblyLoader : public AssemblyLoaderBase
type NetAssemblyLoader =
    class
        inherit AssemblyLoaderBase
    end

The NetAssemblyLoader type exposes the following members.

Constructors
 | Name | Description
Public method | NetAssemblyLoader | Initialize 初始化
Top
Methods
 | Name | Description
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集 (Overrides AssemblyLoaderBaseLoad(Byte).)
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集 (Overrides AssemblyLoaderBaseLoad(AssemblyName).)
Public method | Load(String) | Load assembly by name 根据名称加载程序集 (Overrides AssemblyLoaderBaseLoad(String).)
Public method | LoadFile | Load assembly from file path 根据文件路径加载程序集 (Overrides AssemblyLoaderBaseLoadFile(String).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Plugin.AssemblyLoaders Namespace


NetAssemblyLoader Constructor

Initialize
初始化

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public NetAssemblyLoader()
Public Sub New
public:
NetAssemblyLoader()
new : unit -> NetAssemblyLoader
See Also

Reference

NetAssemblyLoader Class
ZKWeb.Plugin.AssemblyLoaders Namespace


NetAssemblyLoader Methods

The NetAssemblyLoader type exposes the following members.

Methods
 | Name | Description
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集 (Overrides AssemblyLoaderBaseLoad(Byte).)
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集 (Overrides AssemblyLoaderBaseLoad(AssemblyName).)
Public method | Load(String) | Load assembly by name 根据名称加载程序集 (Overrides AssemblyLoaderBaseLoad(String).)
Public method | LoadFile | Load assembly from file path 根据文件路径加载程序集 (Overrides AssemblyLoaderBaseLoadFile(String).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

NetAssemblyLoader Class
ZKWeb.Plugin.AssemblyLoaders Namespace


NetAssemblyLoader.Load Method

NetAssemblyLoaderLoad Method

Overload List
 | Name | Description
Public method | Load(Byte) | Load assembly from it's binary contents 根据二进制内容加载程序集 (Overrides AssemblyLoaderBaseLoad(Byte).)
Public method | Load(AssemblyName) | Load assembly by name object 根据名称对象加载程序集 (Overrides AssemblyLoaderBaseLoad(AssemblyName).)
Public method | Load(String) | Load assembly by name 根据名称加载程序集 (Overrides AssemblyLoaderBaseLoad(String).)
Top
See Also

Reference

NetAssemblyLoader Class
ZKWeb.Plugin.AssemblyLoaders Namespace


NetAssemblyLoader.Load Method (Byte[])

NetAssemblyLoaderLoad Method (Byte)
Load assembly from it's binary contents
根据二进制内容加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Assembly Load(
    byte[] rawAssembly
)
Public Overrides Function Load (
    rawAssembly As Byte()
) As Assembly
public:
virtual Assembly^ Load(
    array<unsigned char>^ rawAssembly
) override
abstract Load :
        rawAssembly : byte[] -> Assembly
override Load :
        rawAssembly : byte[] -> Assembly

Parameters

rawAssembly
Type: SystemByte

[Missing <param name="rawAssembly"/> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.NetAssemblyLoader.Load(System.Byte[])"]

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.NetAssemblyLoader.Load(System.Byte[])"]

Implements

IAssemblyLoaderLoad(Byte)
See Also

Reference

NetAssemblyLoader Class
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


NetAssemblyLoader.Load Method (AssemblyName)

NetAssemblyLoaderLoad Method (AssemblyName)
Load assembly by name object
根据名称对象加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Assembly Load(
    AssemblyName assemblyName
)
Public Overrides Function Load (
    assemblyName As AssemblyName
) As Assembly
public:
virtual Assembly^ Load(
    AssemblyName^ assemblyName
) override
abstract Load :
        assemblyName : AssemblyName -> Assembly
override Load :
        assemblyName : AssemblyName -> Assembly

Parameters

assemblyName
Type: System.ReflectionAssemblyName

[Missing <param name="assemblyName"/> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.NetAssemblyLoader.Load(System.Reflection.AssemblyName)"]

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.NetAssemblyLoader.Load(System.Reflection.AssemblyName)"]

Implements

IAssemblyLoaderLoad(AssemblyName)
See Also

Reference

NetAssemblyLoader Class
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


NetAssemblyLoader.Load Method (String)

NetAssemblyLoaderLoad Method (String)
Load assembly by name
根据名称加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Assembly Load(
    string name
)
Public Overrides Function Load (
    name As String
) As Assembly
public:
virtual Assembly^ Load(
    String^ name
) override
abstract Load :
        name : string -> Assembly
override Load :
        name : string -> Assembly

Parameters

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.NetAssemblyLoader.Load(System.String)"]

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.NetAssemblyLoader.Load(System.String)"]

Implements

IAssemblyLoaderLoad(String)
See Also

Reference

NetAssemblyLoader Class
Load Overload
ZKWeb.Plugin.AssemblyLoaders Namespace


NetAssemblyLoader.LoadFile Method

NetAssemblyLoaderLoadFile Method

Load assembly from file path
根据文件路径加载程序集

Namespace: ZKWeb.Plugin.AssemblyLoaders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Assembly LoadFile(
    string path
)
Public Overrides Function LoadFile (
    path As String
) As Assembly
public:
virtual Assembly^ LoadFile(
    String^ path
) override
abstract LoadFile :
        path : string -> Assembly
override LoadFile :
        path : string -> Assembly

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.NetAssemblyLoader.LoadFile(System.String)"]

Return Value

Type: Assembly

[Missing <returns> documentation for "M:ZKWeb.Plugin.AssemblyLoaders.NetAssemblyLoader.LoadFile(System.String)"]

Implements

IAssemblyLoaderLoadFile(String)
See Also

Reference

NetAssemblyLoader Class
ZKWeb.Plugin.AssemblyLoaders Namespace


ZKWeb.Plugin.CompilerServices Namespace

[Missing <summary> documentation for "N:ZKWeb.Plugin.CompilerServices"]

Classes
 | Class | Description
Public class | CompilationException | Exception for compilation error 表示编译错误的例外
Public class | CompilationOptions | Compilation options 编译选项
Protected class | RoslynCompilerService | Roslyn compiler service 基于Roslyn的编译服务
Interfaces
 | Interface | Description
Public interface | ICompilerService | Interface of compiler service 编译服务的接口


CompilationException Class
Exception for compilation error
表示编译错误的例外
Inheritance Hierarchy
SystemObject
SystemException
ZKWeb.Plugin.CompilerServicesCompilationException

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class CompilationException : Exception
Public Class CompilationException
    Inherits Exception
public ref class CompilationException : public Exception
type CompilationException =
    class
        inherit Exception
    end

The CompilationException type exposes the following members.

Constructors
 | Name | Description
Public method | CompilationException | Initialize 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

ZKWeb.Plugin.CompilerServices Namespace


CompilationException Constructor

Initialize
初始化

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CompilationException(
    string message
)
Public Sub New (
    message As String
)
public:
CompilationException(
    String^ message
)
new :
        message : string -> CompilationException

Parameters

message
Type: SystemString
Error message
See Also

Reference

CompilationException Class
ZKWeb.Plugin.CompilerServices Namespace


CompilationException Methods

The CompilationException type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

CompilationException Class
ZKWeb.Plugin.CompilerServices Namespace


CompilationOptions Class
Compilation options
编译选项
Inheritance Hierarchy
SystemObject
ZKWeb.Plugin.CompilerServicesCompilationOptions

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class CompilationOptions
Public Class CompilationOptions
public ref class CompilationOptions
type CompilationOptions =  class end

The CompilationOptions type exposes the following members.

Constructors
 | Name | Description
Public method | CompilationOptions | Initialize 初始化
Top
Properties
 | Name | Description
Public property | GeneratePdbFile | Generate pdb file or not Debuggers require pdb file to debug, Default is true 是否生成pdb文件 调试器调试时需要pdb文件, 默认值是true
Public property | Release | Compile with release mode It may make some break point not work as excepted, Default is false 使用发布模式编译 它可能让某些断点不像预期一样工作, 默认值是false
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Plugin.CompilerServices Namespace


CompilationOptions Constructor

Initialize
初始化

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CompilationOptions()
Public Sub New
public:
CompilationOptions()
new : unit -> CompilationOptions
See Also

Reference

CompilationOptions Class
ZKWeb.Plugin.CompilerServices Namespace


CompilationOptions Properties

The CompilationOptions type exposes the following members.

Properties
 | Name | Description
Public property | GeneratePdbFile | Generate pdb file or not Debuggers require pdb file to debug, Default is true 是否生成pdb文件 调试器调试时需要pdb文件, 默认值是true
Public property | Release | Compile with release mode It may make some break point not work as excepted, Default is false 使用发布模式编译 它可能让某些断点不像预期一样工作, 默认值是false
Top
See Also

Reference

CompilationOptions Class
ZKWeb.Plugin.CompilerServices Namespace


CompilationOptions.GeneratePdbFile Property

CompilationOptionsGeneratePdbFile Property

Generate pdb file or not
Debuggers require pdb file to debug, Default is true
是否生成pdb文件
调试器调试时需要pdb文件, 默认值是true

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool GeneratePdbFile { get; set; }
Public Property GeneratePdbFile As Boolean
    Get
    Set
public:
property bool GeneratePdbFile {
    bool get ();
    void set (bool value);
}
member GeneratePdbFile : bool with get, set

Property Value

Type: Boolean
See Also

Reference

CompilationOptions Class
ZKWeb.Plugin.CompilerServices Namespace


CompilationOptions.Release Property

CompilationOptionsRelease Property

Compile with release mode
It may make some break point not work as excepted, Default is false
使用发布模式编译
它可能让某些断点不像预期一样工作, 默认值是false

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool Release { get; set; }
Public Property Release As Boolean
    Get
    Set
public:
property bool Release {
    bool get ();
    void set (bool value);
}
member Release : bool with get, set

Property Value

Type: Boolean
See Also

Reference

CompilationOptions Class
ZKWeb.Plugin.CompilerServices Namespace


CompilationOptions Methods

The CompilationOptions type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CompilationOptions Class
ZKWeb.Plugin.CompilerServices Namespace


ICompilerService Interface
Interface of compiler service
编译服务的接口

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ICompilerService
Public Interface ICompilerService
public interface class ICompilerService
type ICompilerService =  interface end

The ICompilerService type exposes the following members.

Properties
 | Name | Description
Public property | TargetPlatform | Target platform name, net or netstandard 目标平台的名称, net或netstandard
Top
Methods
 | Name | Description
Public method | Compile | Compile source files to assembly 编译源代码到程序集
Top
See Also

Reference

ZKWeb.Plugin.CompilerServices Namespace


ICompilerService Properties

The ICompilerService type exposes the following members.

Properties
 | Name | Description
Public property | TargetPlatform | Target platform name, net or netstandard 目标平台的名称, net或netstandard
Top
See Also

Reference

ICompilerService Interface
ZKWeb.Plugin.CompilerServices Namespace


ICompilerService.TargetPlatform Property

ICompilerServiceTargetPlatform Property

Target platform name, net or netstandard
目标平台的名称, net或netstandard

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string TargetPlatform { get; }
ReadOnly Property TargetPlatform As String
    Get
property String^ TargetPlatform {
    String^ get ();
}
abstract TargetPlatform : string with get

Return Value

Type: String
See Also

Reference

ICompilerService Interface
ZKWeb.Plugin.CompilerServices Namespace


ICompilerService Methods

The ICompilerService type exposes the following members.

Methods
 | Name | Description
Public method | Compile | Compile source files to assembly 编译源代码到程序集
Top
See Also

Reference

ICompilerService Interface
ZKWeb.Plugin.CompilerServices Namespace


ICompilerService.Compile Method

ICompilerServiceCompile Method

Compile source files to assembly
编译源代码到程序集

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Compile(
    IList<string> sourceFiles,
    string assemblyName,
    string assemblyPath,
    CompilationOptions options = null
)
Sub Compile (
    sourceFiles As IList(Of String),
    assemblyName As String,
    assemblyPath As String,
    Optional options As CompilationOptions = Nothing
)
void Compile(
    IList<String^>^ sourceFiles,
    String^ assemblyName,
    String^ assemblyPath,
    CompilationOptions^ options = nullptr
)
abstract Compile :
        sourceFiles : IList<string> *
        assemblyName : string *
        assemblyPath : string *
        ?options : CompilationOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit

Parameters

sourceFiles
Type: System.Collections.GenericIList String
Source file paths
assemblyName
Type: SystemString
Assembly name
assemblyPath
Type: SystemString
Assembly file path
options (Optional)
Type: ZKWeb.Plugin.CompilerServicesCompilationOptions
Compilation options
See Also

Reference

ICompilerService Interface
ZKWeb.Plugin.CompilerServices Namespace


RoslynCompilerService Class
Roslyn compiler service
基于Roslyn的编译服务
Inheritance Hierarchy
SystemObject
ZKWeb.Plugin.CompilerServicesRoslynCompilerService

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class RoslynCompilerService : ICompilerService
Friend Class RoslynCompilerService
    Implements ICompilerService
internal ref class RoslynCompilerService : ICompilerService
type RoslynCompilerService =
    class
        interface ICompilerService
    end

The RoslynCompilerService type exposes the following members.

Constructors
 | Name | Description
Public method | RoslynCompilerService | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | LoadedNamespaces | Loaded namespaces, for reducing load time 已加载的命名空间, 用于减少加载时间
Public property | TargetPlatform | Target platform name, net or netstandard 目标平台的名称, net或netstandard
Top
Methods
 | Name | Description
Public method | Compile | Compile source files to assembly 编译源代码到程序集
Protected method | LoadAssembliesFromUsings | Find all using directive And try to load the namespace as assembly 寻找源代码中的所有using指令 并尝试加载命名空间对应的程序集
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Plugin.CompilerServices Namespace


RoslynCompilerService Constructor

Initialize
初始化

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public RoslynCompilerService()
Public Sub New
public:
RoslynCompilerService()
new : unit -> RoslynCompilerService
See Also

Reference

RoslynCompilerService Class
ZKWeb.Plugin.CompilerServices Namespace


RoslynCompilerService Properties

The RoslynCompilerService type exposes the following members.

Properties
 | Name | Description
Protected property | LoadedNamespaces | Loaded namespaces, for reducing load time 已加载的命名空间, 用于减少加载时间
Public property | TargetPlatform | Target platform name, net or netstandard 目标平台的名称, net或netstandard
Top
See Also

Reference

RoslynCompilerService Class
ZKWeb.Plugin.CompilerServices Namespace


RoslynCompilerService.LoadedNamespaces Property

RoslynCompilerServiceLoadedNamespaces Property

Loaded namespaces, for reducing load time
已加载的命名空间, 用于减少加载时间

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected HashSet<string> LoadedNamespaces { get; set; }
Protected Property LoadedNamespaces As HashSet(Of String)
    Get
    Set
protected:
property HashSet<String^>^ LoadedNamespaces {
    HashSet<String^>^ get ();
    void set (HashSet<String^>^ value);
}
member LoadedNamespaces : HashSet<string> with get, set

Property Value

Type: HashSet String
See Also

Reference

RoslynCompilerService Class
ZKWeb.Plugin.CompilerServices Namespace


RoslynCompilerService.TargetPlatform Property

RoslynCompilerServiceTargetPlatform Property

Target platform name, net or netstandard
目标平台的名称, net或netstandard

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string TargetPlatform { get; }
Public ReadOnly Property TargetPlatform As String
    Get
public:
virtual property String^ TargetPlatform {
    String^ get () sealed;
}
abstract TargetPlatform : string with get
override TargetPlatform : string with get

Property Value

Type: String

Implements

ICompilerServiceTargetPlatform
See Also

Reference

RoslynCompilerService Class
ZKWeb.Plugin.CompilerServices Namespace


RoslynCompilerService Methods

The RoslynCompilerService type exposes the following members.

Methods
 | Name | Description
Public method | Compile | Compile source files to assembly 编译源代码到程序集
Protected method | LoadAssembliesFromUsings | Find all using directive And try to load the namespace as assembly 寻找源代码中的所有using指令 并尝试加载命名空间对应的程序集
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

RoslynCompilerService Class
ZKWeb.Plugin.CompilerServices Namespace


RoslynCompilerService.Compile Method

RoslynCompilerServiceCompile Method

Compile source files to assembly
编译源代码到程序集

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Compile(
    IList<string> sourceFiles,
    string assemblyName,
    string assemblyPath,
    CompilationOptions options
)
Public Sub Compile (
    sourceFiles As IList(Of String),
    assemblyName As String,
    assemblyPath As String,
    options As CompilationOptions
)
public:
virtual void Compile(
    IList<String^>^ sourceFiles,
    String^ assemblyName,
    String^ assemblyPath,
    CompilationOptions^ options
) sealed
abstract Compile :
        sourceFiles : IList<string> *
        assemblyName : string *
        assemblyPath : string *
        options : CompilationOptions -> unit
override Compile :
        sourceFiles : IList<string> *
        assemblyName : string *
        assemblyPath : string *
        options : CompilationOptions -> unit

Parameters

sourceFiles
Type: System.Collections.GenericIList String

[Missing <param name="sourceFiles"/> documentation for "M:ZKWeb.Plugin.CompilerServices.RoslynCompilerService.Compile(System.Collections.Generic.IList{System.String},System.String,System.String,ZKWeb.Plugin.CompilerServices.CompilationOptions)"]

assemblyName
Type: SystemString

[Missing <param name="assemblyName"/> documentation for "M:ZKWeb.Plugin.CompilerServices.RoslynCompilerService.Compile(System.Collections.Generic.IList{System.String},System.String,System.String,ZKWeb.Plugin.CompilerServices.CompilationOptions)"]

assemblyPath
Type: SystemString

[Missing <param name="assemblyPath"/> documentation for "M:ZKWeb.Plugin.CompilerServices.RoslynCompilerService.Compile(System.Collections.Generic.IList{System.String},System.String,System.String,ZKWeb.Plugin.CompilerServices.CompilationOptions)"]

options
Type: ZKWeb.Plugin.CompilerServicesCompilationOptions

[Missing <param name="options"/> documentation for "M:ZKWeb.Plugin.CompilerServices.RoslynCompilerService.Compile(System.Collections.Generic.IList{System.String},System.String,System.String,ZKWeb.Plugin.CompilerServices.CompilationOptions)"]

Implements

ICompilerServiceCompile(IListString, String, String, CompilationOptions)
See Also

Reference

RoslynCompilerService Class
ZKWeb.Plugin.CompilerServices Namespace


RoslynCompilerService.LoadAssembliesFromUsings Method

RoslynCompilerServiceLoadAssembliesFromUsings Method

Find all using directive
And try to load the namespace as assembly
寻找源代码中的所有using指令
并尝试加载命名空间对应的程序集

Namespace: ZKWeb.Plugin.CompilerServices
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void LoadAssembliesFromUsings(
    IList<SyntaxTree> syntaxTrees
)
Protected Sub LoadAssembliesFromUsings (
    syntaxTrees As IList(Of SyntaxTree)
)
protected:
void LoadAssembliesFromUsings(
    IList<SyntaxTree^>^ syntaxTrees
)
member LoadAssembliesFromUsings :
        syntaxTrees : IList<SyntaxTree> -> unit

Parameters

syntaxTrees
Type: System.Collections.GenericIList SyntaxTree
Syntax trees
See Also

Reference

RoslynCompilerService Class
ZKWeb.Plugin.CompilerServices Namespace


ZKWeb.Serialize Namespace

[Missing <summary> documentation for "N:ZKWeb.Serialize"]

Classes
 | Class | Description
Public class | JsonNetInitializer | Set Json.Net's default settings 修改Json.Net的默认设置


JsonNetInitializer Class
Set Json.Net's default settings
修改Json.Net的默认设置
Inheritance Hierarchy
SystemObject
ZKWeb.SerializeJsonNetInitializer

Namespace: ZKWeb.Serialize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class JsonNetInitializer
Public Class JsonNetInitializer
public ref class JsonNetInitializer
type JsonNetInitializer =  class end

The JsonNetInitializer type exposes the following members.

Constructors
 | Name | Description
Public method | JsonNetInitializer | Initializes a new instance of the JsonNetInitializer class
Top
Methods
 | Name | Description
Protected method | Initialize | Set Json.Net's default settings 修改Json.Net的默认设置
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Serialize Namespace


JsonNetInitializer Constructor

Initializes a new instance of the JsonNetInitializer class

Namespace: ZKWeb.Serialize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public JsonNetInitializer()
Public Sub New
public:
JsonNetInitializer()
new : unit -> JsonNetInitializer
See Also

Reference

JsonNetInitializer Class
ZKWeb.Serialize Namespace


JsonNetInitializer Methods

The JsonNetInitializer type exposes the following members.

Methods
 | Name | Description
Protected method | Initialize | Set Json.Net's default settings 修改Json.Net的默认设置
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

JsonNetInitializer Class
ZKWeb.Serialize Namespace


JsonNetInitializer.Initialize Method

JsonNetInitializerInitialize Method

Set Json.Net's default settings
修改Json.Net的默认设置

Namespace: ZKWeb.Serialize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Initialize()
Protected Overridable Sub Initialize
protected:
virtual void Initialize()
abstract Initialize : unit -> unit
override Initialize : unit -> unit
See Also

Reference

JsonNetInitializer Class
ZKWeb.Serialize Namespace


ZKWeb.Server Namespace

[Missing <summary> documentation for "N:ZKWeb.Server"]

Classes
 | Class | Description
Public class | ConfigManager | Obsolete. Renamed to WebsiteConfigManager 已更名为WebsiteConfigManager
Public class | DefaultApplication | Default application implementation 默认应用类
Protected class | ExtraConfigKeys | Extra website configuration keys 网站的附加配置键
Public class | PathConfig | Obsolete. This class should no longer be used Please use IFileStorage or LocalPathConfig 这个类不应该再被使用, 请使用IFileStorage或LocalPathConfig
Public class | PathManager | Obsolete. This class should no longer be used Please use IFileStorage or LocalPathManager 这个类不应该再被使用, 请使用IFileStorage或LocalPathManager
Public class | WebsiteConfig | Website configuration 网站配置
 | WebsiteConfigManager | Website config manager 网站配置管理器
Interfaces
 | Interface | Description
Public interface | IApplication | Interface of application class 应用类的接口


ConfigManager Class

Note: This API is now obsolete.

Renamed to WebsiteConfigManager
已更名为WebsiteConfigManager
Inheritance Hierarchy
SystemObject
ZKWeb.ServerConfigManager

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("Renamed to WebsiteConfigManager")]
public class ConfigManager
<ObsoleteAttribute("Renamed to WebsiteConfigManager")>
Public Class ConfigManager
[ObsoleteAttribute(L"Renamed to WebsiteConfigManager")]
public ref class ConfigManager
[<ObsoleteAttribute("Renamed to WebsiteConfigManager")>]
type ConfigManager =  class end

The ConfigManager type exposes the following members.

Constructors
 | Name | Description
Public method | ConfigManager | Initializes a new instance of the ConfigManager class
Top
Properties
 | Name | Description
Public property | WebsiteConfig | Website configuration 网站配置
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Server Namespace


ConfigManager Constructor

Initializes a new instance of the ConfigManager class

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ConfigManager()
Public Sub New
public:
ConfigManager()
new : unit -> ConfigManager
See Also

Reference

ConfigManager Class
ZKWeb.Server Namespace


ConfigManager Properties

The ConfigManager type exposes the following members.

Properties
 | Name | Description
Public property | WebsiteConfig | Website configuration 网站配置
Top
See Also

Reference

ConfigManager Class
ZKWeb.Server Namespace


ConfigManager.WebsiteConfig Property

ConfigManagerWebsiteConfig Property

Website configuration
网站配置

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual WebsiteConfig WebsiteConfig { get; }
Public Overridable ReadOnly Property WebsiteConfig As WebsiteConfig
    Get
public:
virtual property WebsiteConfig^ WebsiteConfig {
    WebsiteConfig^ get ();
}
abstract WebsiteConfig : WebsiteConfig with get
override WebsiteConfig : WebsiteConfig with get

Property Value

Type: WebsiteConfig
See Also

Reference

ConfigManager Class
ZKWeb.Server Namespace


ConfigManager Methods

The ConfigManager type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ConfigManager Class
ZKWeb.Server Namespace


DefaultApplication Class
Default application implementation
默认应用类
Inheritance Hierarchy
SystemObject
ZKWeb.ServerDefaultApplication

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultApplication : IApplication
Public Class DefaultApplication
    Implements IApplication
public ref class DefaultApplication : IApplication
type DefaultApplication =
    class
        interface IApplication
    end

The DefaultApplication type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultApplication | Initializes a new instance of the DefaultApplication class
Top
Properties
 | Name | Description
Public property | FullVersion | ZKWeb Version String ZKWeb的版本字符串
Public property | InProgressRequests | In progress requests 处理中的请求数量
Public property | Ioc | The IoC Container Instance IoC容器的实例
Public property | Version | ZKWeb Version Object ZKWeb的版本对象
Protected property | WebsiteRootDirectory | Website root directory 网站根目录的路径
Top
Methods
 | Name | Description
Public method | Initialize | Intialize main application 初始化主应用
Protected method | InitializeContainer | Register components to the default container 注册组件到默认的容器
Protected method | InitializeCoreComponents | Initialize core components 初始化核心组件
Protected method | InitializePlugins | Initialize plugins 初始化插件
Protected method | LogEmergencyError | Log emergency error 记录紧急错误
Public method | OnError | Handle http request 处理Http请求
Public method | OnRequest | Handle http error 处理Http错误
Public method | OverrideIoc | Override IoC container 重载当前线程中的IoC容器
Protected method | StartServices | Start core services 开启核心服务
Top
Fields
 | Name | Description
Protected field | defaultIoc | Default IoC Container 默认的IoC容器
Protected field | initialized | Initialize Flag 初始化标记
Protected field | inProgressRequests | In progress requests 处理中的请求数量
Protected field | overrideIoc | Overrided IoC Container 在当前线程中重载的IoC容器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Server Namespace


DefaultApplication Constructor

Initializes a new instance of the DefaultApplication class

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DefaultApplication()
Public Sub New
public:
DefaultApplication()
new : unit -> DefaultApplication
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication Properties

The DefaultApplication type exposes the following members.

Properties
 | Name | Description
Public property | FullVersion | ZKWeb Version String ZKWeb的版本字符串
Public property | InProgressRequests | In progress requests 处理中的请求数量
Public property | Ioc | The IoC Container Instance IoC容器的实例
Public property | Version | ZKWeb Version Object ZKWeb的版本对象
Protected property | WebsiteRootDirectory | Website root directory 网站根目录的路径
Top
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.FullVersion Property

DefaultApplicationFullVersion Property

ZKWeb Version String
ZKWeb的版本字符串

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string FullVersion { get; }
Public Overridable ReadOnly Property FullVersion As String
    Get
public:
virtual property String^ FullVersion {
    String^ get ();
}
abstract FullVersion : string with get
override FullVersion : string with get

Property Value

Type: String

Implements

IApplicationFullVersion
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.InProgressRequests Property

DefaultApplicationInProgressRequests Property

In progress requests
处理中的请求数量

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual int InProgressRequests { get; }
Public Overridable ReadOnly Property InProgressRequests As Integer
    Get
public:
virtual property int InProgressRequests {
    int get ();
}
abstract InProgressRequests : int with get
override InProgressRequests : int with get

Property Value

Type: Int32

Implements

IApplicationInProgressRequests
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.Ioc Property

DefaultApplicationIoc Property

The IoC Container Instance
IoC容器的实例

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IContainer Ioc { get; }
Public Overridable ReadOnly Property Ioc As IContainer
    Get
public:
virtual property IContainer^ Ioc {
    IContainer^ get ();
}
abstract Ioc : IContainer with get
override Ioc : IContainer with get

Property Value

Type: IContainer

Implements

IApplicationIoc
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.Version Property

DefaultApplicationVersion Property

ZKWeb Version Object
ZKWeb的版本对象

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Version Version { get; }
Public Overridable ReadOnly Property Version As Version
    Get
public:
virtual property Version^ Version {
    Version^ get ();
}
abstract Version : Version with get
override Version : Version with get

Property Value

Type: Version

Implements

IApplicationVersion
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.WebsiteRootDirectory Property

DefaultApplicationWebsiteRootDirectory Property

Website root directory
网站根目录的路径

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string WebsiteRootDirectory { get; set; }
Protected Property WebsiteRootDirectory As String
    Get
    Set
protected:
property String^ WebsiteRootDirectory {
    String^ get ();
    void set (String^ value);
}
member WebsiteRootDirectory : string with get, set

Property Value

Type: String
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication Methods

The DefaultApplication type exposes the following members.

Methods
 | Name | Description
Public method | Initialize | Intialize main application 初始化主应用
Protected method | InitializeContainer | Register components to the default container 注册组件到默认的容器
Protected method | InitializeCoreComponents | Initialize core components 初始化核心组件
Protected method | InitializePlugins | Initialize plugins 初始化插件
Protected method | LogEmergencyError | Log emergency error 记录紧急错误
Public method | OnError | Handle http request 处理Http请求
Public method | OnRequest | Handle http error 处理Http错误
Public method | OverrideIoc | Override IoC container 重载当前线程中的IoC容器
Protected method | StartServices | Start core services 开启核心服务
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.Initialize Method

DefaultApplicationInitialize Method

Intialize main application
初始化主应用

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Initialize(
    string websiteRootDirectory
)
Public Overridable Sub Initialize (
    websiteRootDirectory As String
)
public:
virtual void Initialize(
    String^ websiteRootDirectory
)
abstract Initialize :
        websiteRootDirectory : string -> unit
override Initialize :
        websiteRootDirectory : string -> unit

Parameters

websiteRootDirectory
Type: SystemString

[Missing <param name="websiteRootDirectory"/> documentation for "M:ZKWeb.Server.DefaultApplication.Initialize(System.String)"]

Implements

IApplicationInitialize(String)
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.InitializeContainer Method

DefaultApplicationInitializeContainer Method

Register components to the default container
注册组件到默认的容器

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void InitializeContainer()
Protected Overridable Sub InitializeContainer
protected:
virtual void InitializeContainer()
abstract InitializeContainer : unit -> unit
override InitializeContainer : unit -> unit
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.InitializeCoreComponents Method

DefaultApplicationInitializeCoreComponents Method

Initialize core components
初始化核心组件

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void InitializeCoreComponents()
Protected Overridable Sub InitializeCoreComponents
protected:
virtual void InitializeCoreComponents()
abstract InitializeCoreComponents : unit -> unit
override InitializeCoreComponents : unit -> unit
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.InitializePlugins Method

DefaultApplicationInitializePlugins Method

Initialize plugins
初始化插件

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void InitializePlugins()
Protected Overridable Sub InitializePlugins
protected:
virtual void InitializePlugins()
abstract InitializePlugins : unit -> unit
override InitializePlugins : unit -> unit
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.LogEmergencyError Method

DefaultApplicationLogEmergencyError Method

Log emergency error
记录紧急错误

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void LogEmergencyError(
    string message
)
Protected Overridable Sub LogEmergencyError (
    message As String
)
protected:
virtual void LogEmergencyError(
    String^ message
)
abstract LogEmergencyError :
        message : string -> unit
override LogEmergencyError :
        message : string -> unit

Parameters

message
Type: SystemString

[Missing <param name="message"/> documentation for "M:ZKWeb.Server.DefaultApplication.LogEmergencyError(System.String)"]

See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.OnError Method

DefaultApplicationOnError Method

Handle http request
处理Http请求

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnError(
    IHttpContext context,
    Exception ex
)
Public Overridable Sub OnError (
    context As IHttpContext,
    ex As Exception
)
public:
virtual void OnError(
    IHttpContext^ context,
    Exception^ ex
)
abstract OnError :
        context : IHttpContext *
        ex : Exception -> unit
override OnError :
        context : IHttpContext *
        ex : Exception -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Server.DefaultApplication.OnError(ZKWebStandard.Web.IHttpContext,System.Exception)"]

ex
Type: SystemException

[Missing <param name="ex"/> documentation for "M:ZKWeb.Server.DefaultApplication.OnError(ZKWebStandard.Web.IHttpContext,System.Exception)"]

Implements

IApplicationOnError(IHttpContext, Exception)
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.OnRequest Method

DefaultApplicationOnRequest Method

Handle http error
处理Http错误

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnRequest(
    IHttpContext context
)
Public Overridable Sub OnRequest (
    context As IHttpContext
)
public:
virtual void OnRequest(
    IHttpContext^ context
)
abstract OnRequest :
        context : IHttpContext -> unit
override OnRequest :
        context : IHttpContext -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext

[Missing <param name="context"/> documentation for "M:ZKWeb.Server.DefaultApplication.OnRequest(ZKWebStandard.Web.IHttpContext)"]

Implements

IApplicationOnRequest(IHttpContext)
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.OverrideIoc Method

DefaultApplicationOverrideIoc Method

Override IoC container
重载当前线程中的IoC容器

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDisposable OverrideIoc()
Public Overridable Function OverrideIoc As IDisposable
public:
virtual IDisposable^ OverrideIoc()
abstract OverrideIoc : unit -> IDisposable
override OverrideIoc : unit -> IDisposable

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Server.DefaultApplication.OverrideIoc"]

Implements

IApplicationOverrideIoc
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.StartServices Method

DefaultApplicationStartServices Method

Start core services
开启核心服务

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void StartServices()
Protected Overridable Sub StartServices
protected:
virtual void StartServices()
abstract StartServices : unit -> unit
override StartServices : unit -> unit
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication Fields

The DefaultApplication type exposes the following members.

Fields
 | Name | Description
Protected field | defaultIoc | Default IoC Container 默认的IoC容器
Protected field | initialized | Initialize Flag 初始化标记
Protected field | inProgressRequests | In progress requests 处理中的请求数量
Protected field | overrideIoc | Overrided IoC Container 在当前线程中重载的IoC容器
Top
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.defaultIoc Field

DefaultApplicationdefaultIoc Field
Default IoC Container 默认的IoC容器

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IContainer defaultIoc
Protected defaultIoc As IContainer
protected:
IContainer^ defaultIoc
val mutable defaultIoc: IContainer

Field Value

Type: IContainer
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.initialized Field

DefaultApplicationinitialized Field
Initialize Flag
初始化标记

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected int initialized
Protected initialized As Integer
protected:
int initialized
val mutable initialized: int

Field Value

Type: Int32
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.inProgressRequests Field

DefaultApplicationinProgressRequests Field
In progress requests
处理中的请求数量

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected int inProgressRequests
Protected inProgressRequests As Integer
protected:
int inProgressRequests
val mutable inProgressRequests: int

Field Value

Type: Int32
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


DefaultApplication.overrideIoc Field

DefaultApplicationoverrideIoc Field
Overrided IoC Container 在当前线程中重载的IoC容器

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ThreadLocal<IContainer> overrideIoc
Protected overrideIoc As ThreadLocal(Of IContainer)
protected:
ThreadLocal<IContainer^>^ overrideIoc
val mutable overrideIoc: ThreadLocal<IContainer>

Field Value

Type: ThreadLocal IContainer
See Also

Reference

DefaultApplication Class
ZKWeb.Server Namespace


ExtraConfigKeys Class
Extra website configuration keys
网站的附加配置键
Inheritance Hierarchy
SystemObject
ZKWeb.ServerExtraConfigKeys

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal static class ExtraConfigKeys
Friend NotInheritable Class ExtraConfigKeys
internal ref class ExtraConfigKeys abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ExtraConfigKeys =  class end

The ExtraConfigKeys type exposes the following members.

Fields
Name | Description
CleanCacheCheckInterval | Automatic cache cleaner check interval, in seconds 自动清理缓存的检查时间间隔, 单位是秒
ClearCacheAfterUsedMemoryMoreThan | Clear cache after used memory more than this value, in MB 在使用内存超过这个值时自动清理缓存, 单位是MB
CompilePluginsWithReleaseConfiguration | Compile plugins with release configuration Sometimes it will make debugging with plugins not work 使用发布模式编译插件 它会导致有时候不能对插件进行调试
CustomWidgetsCacheTime | Custom widget list cache time, in seconds 自定义模块模块列表的缓存时间, 单位是秒
DisplayFullExceptionForRequest | Dispay full exception for http request 是否在http请求发生错误时显示完整的例外信息
DisplayFullExceptionForTemplate | Display full exception for template rendering 是否在模板描画发生错误时显示完整的例外信息
ResourcePathCacheTime | Resource file path cache time, in seconds 资源路径的缓存时间, 单位是秒
TemplateCacheTime | Parsed template object cache time, in seconds 已解析的模板对象的缓存时间, 单位是秒
TemplatePathCacheTime | Template path cache time, in seconds 模板路径的缓存时间, 单位是秒
TemporaryDatabaseConnectionString | Connection string for temporary database, Default is empty 临时数据库试用的连接字符串, 默认是空白
TemporaryDatabaseORM | ORM for temporary database, Default is "InMemory" 临时数据库使用的ORM, 默认是"InMemory"
TemporaryDatabaseType | Database type for temporary database, Default is empty 临时数据库使用的数据库类型, 默认是空白
TranslateCacheTime | Translated text cache time, in seconds 翻译文本的缓存时间, 单位是秒
WidgetInfoCacheTime | Widget information cache time, in seconds 模板模块的信息的缓存时间, 单位是秒
Top
See Also

Reference

ZKWeb.Server Namespace


ExtraConfigKeys Fields

The ExtraConfigKeys type exposes the following members.

Fields
Name | Description
CleanCacheCheckInterval | Automatic cache cleaner check interval, in seconds 自动清理缓存的检查时间间隔, 单位是秒
ClearCacheAfterUsedMemoryMoreThan | Clear cache after used memory more than this value, in MB 在使用内存超过这个值时自动清理缓存, 单位是MB
CompilePluginsWithReleaseConfiguration | Compile plugins with release configuration Sometimes it will make debugging with plugins not work 使用发布模式编译插件 它会导致有时候不能对插件进行调试
CustomWidgetsCacheTime | Custom widget list cache time, in seconds 自定义模块模块列表的缓存时间, 单位是秒
DisplayFullExceptionForRequest | Dispay full exception for http request 是否在http请求发生错误时显示完整的例外信息
DisplayFullExceptionForTemplate | Display full exception for template rendering 是否在模板描画发生错误时显示完整的例外信息
ResourcePathCacheTime | Resource file path cache time, in seconds 资源路径的缓存时间, 单位是秒
TemplateCacheTime | Parsed template object cache time, in seconds 已解析的模板对象的缓存时间, 单位是秒
TemplatePathCacheTime | Template path cache time, in seconds 模板路径的缓存时间, 单位是秒
TemporaryDatabaseConnectionString | Connection string for temporary database, Default is empty 临时数据库试用的连接字符串, 默认是空白
TemporaryDatabaseORM | ORM for temporary database, Default is "InMemory" 临时数据库使用的ORM, 默认是"InMemory"
TemporaryDatabaseType | Database type for temporary database, Default is empty 临时数据库使用的数据库类型, 默认是空白
TranslateCacheTime | Translated text cache time, in seconds 翻译文本的缓存时间, 单位是秒
WidgetInfoCacheTime | Widget information cache time, in seconds 模板模块的信息的缓存时间, 单位是秒
Top
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.CleanCacheCheckInterval Field

ExtraConfigKeysCleanCacheCheckInterval Field
Automatic cache cleaner check interval, in seconds
自动清理缓存的检查时间间隔, 单位是秒

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string CleanCacheCheckInterval = "ZKWeb.CleanCacheCheckInterval"
Public Const CleanCacheCheckInterval As String = "ZKWeb.CleanCacheCheckInterval"
public:
literal String^ CleanCacheCheckInterval = "ZKWeb.CleanCacheCheckInterval"
static val mutable CleanCacheCheckInterval: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.ClearCacheAfterUsedMemoryMoreThan Field

ExtraConfigKeysClearCacheAfterUsedMemoryMoreThan Field
Clear cache after used memory more than this value, in MB
在使用内存超过这个值时自动清理缓存, 单位是MB

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string ClearCacheAfterUsedMemoryMoreThan = "ZKWeb.ClearCacheAfterUsedMemoryMoreThan"
Public Const ClearCacheAfterUsedMemoryMoreThan As String = "ZKWeb.ClearCacheAfterUsedMemoryMoreThan"
public:
literal String^ ClearCacheAfterUsedMemoryMoreThan = "ZKWeb.ClearCacheAfterUsedMemoryMoreThan"
static val mutable ClearCacheAfterUsedMemoryMoreThan: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.CompilePluginsWithReleaseConfiguration Field

ExtraConfigKeysCompilePluginsWithReleaseConfiguration Field
Compile plugins with release configuration
Sometimes it will make debugging with plugins not work
使用发布模式编译插件
它会导致有时候不能对插件进行调试

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string CompilePluginsWithReleaseConfiguration = "ZKWeb.CompilePluginsWithReleaseConfiguration"
Public Const CompilePluginsWithReleaseConfiguration As String = "ZKWeb.CompilePluginsWithReleaseConfiguration"
public:
literal String^ CompilePluginsWithReleaseConfiguration = "ZKWeb.CompilePluginsWithReleaseConfiguration"
static val mutable CompilePluginsWithReleaseConfiguration: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.CustomWidgetsCacheTime Field

ExtraConfigKeysCustomWidgetsCacheTime Field
Custom widget list cache time, in seconds
自定义模块模块列表的缓存时间, 单位是秒

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string CustomWidgetsCacheTime = "ZKWeb.CustomWidgetsCacheTime"
Public Const CustomWidgetsCacheTime As String = "ZKWeb.CustomWidgetsCacheTime"
public:
literal String^ CustomWidgetsCacheTime = "ZKWeb.CustomWidgetsCacheTime"
static val mutable CustomWidgetsCacheTime: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.DisplayFullExceptionForRequest Field

ExtraConfigKeysDisplayFullExceptionForRequest Field
Dispay full exception for http request
是否在http请求发生错误时显示完整的例外信息

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string DisplayFullExceptionForRequest = "ZKWeb.DisplayFullExceptionForRequest"
Public Const DisplayFullExceptionForRequest As String = "ZKWeb.DisplayFullExceptionForRequest"
public:
literal String^ DisplayFullExceptionForRequest = "ZKWeb.DisplayFullExceptionForRequest"
static val mutable DisplayFullExceptionForRequest: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.DisplayFullExceptionForTemplate Field

ExtraConfigKeysDisplayFullExceptionForTemplate Field
Display full exception for template rendering
是否在模板描画发生错误时显示完整的例外信息

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string DisplayFullExceptionForTemplate = "ZKWeb.DisplayFullExceptionForTemplate"
Public Const DisplayFullExceptionForTemplate As String = "ZKWeb.DisplayFullExceptionForTemplate"
public:
literal String^ DisplayFullExceptionForTemplate = "ZKWeb.DisplayFullExceptionForTemplate"
static val mutable DisplayFullExceptionForTemplate: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.ResourcePathCacheTime Field

ExtraConfigKeysResourcePathCacheTime Field
Resource file path cache time, in seconds
资源路径的缓存时间, 单位是秒

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string ResourcePathCacheTime = "ZKWeb.ResourcePathCacheTime"
Public Const ResourcePathCacheTime As String = "ZKWeb.ResourcePathCacheTime"
public:
literal String^ ResourcePathCacheTime = "ZKWeb.ResourcePathCacheTime"
static val mutable ResourcePathCacheTime: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.TemplateCacheTime Field

ExtraConfigKeysTemplateCacheTime Field
Parsed template object cache time, in seconds
已解析的模板对象的缓存时间, 单位是秒

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string TemplateCacheTime = "ZKWeb.TemplateCacheTime"
Public Const TemplateCacheTime As String = "ZKWeb.TemplateCacheTime"
public:
literal String^ TemplateCacheTime = "ZKWeb.TemplateCacheTime"
static val mutable TemplateCacheTime: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.TemplatePathCacheTime Field

ExtraConfigKeysTemplatePathCacheTime Field
Template path cache time, in seconds
模板路径的缓存时间, 单位是秒

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string TemplatePathCacheTime = "ZKWeb.TemplatePathCacheTime"
Public Const TemplatePathCacheTime As String = "ZKWeb.TemplatePathCacheTime"
public:
literal String^ TemplatePathCacheTime = "ZKWeb.TemplatePathCacheTime"
static val mutable TemplatePathCacheTime: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.TemporaryDatabaseConnectionString Field

ExtraConfigKeysTemporaryDatabaseConnectionString Field
Connection string for temporary database, Default is empty
临时数据库试用的连接字符串, 默认是空白

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string TemporaryDatabaseConnectionString = "ZKWeb.TemporaryDatabaseConnectionString"
Public Const TemporaryDatabaseConnectionString As String = "ZKWeb.TemporaryDatabaseConnectionString"
public:
literal String^ TemporaryDatabaseConnectionString = "ZKWeb.TemporaryDatabaseConnectionString"
static val mutable TemporaryDatabaseConnectionString: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.TemporaryDatabaseORM Field

ExtraConfigKeysTemporaryDatabaseORM Field
ORM for temporary database, Default is "InMemory"
临时数据库使用的ORM, 默认是"InMemory"

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string TemporaryDatabaseORM = "ZKWeb.TemporaryDatabaseORM"
Public Const TemporaryDatabaseORM As String = "ZKWeb.TemporaryDatabaseORM"
public:
literal String^ TemporaryDatabaseORM = "ZKWeb.TemporaryDatabaseORM"
static val mutable TemporaryDatabaseORM: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.TemporaryDatabaseType Field

ExtraConfigKeysTemporaryDatabaseType Field
Database type for temporary database, Default is empty
临时数据库使用的数据库类型, 默认是空白

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string TemporaryDatabaseType = "ZKWeb.TemporaryDatabaseType"
Public Const TemporaryDatabaseType As String = "ZKWeb.TemporaryDatabaseType"
public:
literal String^ TemporaryDatabaseType = "ZKWeb.TemporaryDatabaseType"
static val mutable TemporaryDatabaseType: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.TranslateCacheTime Field

ExtraConfigKeysTranslateCacheTime Field
Translated text cache time, in seconds
翻译文本的缓存时间, 单位是秒

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string TranslateCacheTime = "ZKWeb.TranslateCacheTime"
Public Const TranslateCacheTime As String = "ZKWeb.TranslateCacheTime"
public:
literal String^ TranslateCacheTime = "ZKWeb.TranslateCacheTime"
static val mutable TranslateCacheTime: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


ExtraConfigKeys.WidgetInfoCacheTime Field

ExtraConfigKeysWidgetInfoCacheTime Field
Widget information cache time, in seconds
模板模块的信息的缓存时间, 单位是秒

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string WidgetInfoCacheTime = "ZKWeb.WidgetInfoCacheTime"
Public Const WidgetInfoCacheTime As String = "ZKWeb.WidgetInfoCacheTime"
public:
literal String^ WidgetInfoCacheTime = "ZKWeb.WidgetInfoCacheTime"
static val mutable WidgetInfoCacheTime: string

Field Value

Type: String
See Also

Reference

ExtraConfigKeys Class
ZKWeb.Server Namespace


IApplication Interface
Interface of application class
应用类的接口

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IApplication
Public Interface IApplication
public interface class IApplication
type IApplication =  interface end

The IApplication type exposes the following members.

Properties
 | Name | Description
Public property | FullVersion | ZKWeb Version String ZKWeb的版本字符串
Public property | InProgressRequests | In progress requests 处理中的请求数量
Public property | Ioc | The IoC Container Instance IoC容器的实例
Public property | Version | ZKWeb Version Object ZKWeb的版本对象
Top
Methods
 | Name | Description
Public method | Initialize | Intialize main application 初始化主应用
Public method | OnError | Handle http error Method "Response.End" will be called if processing completed without errors 处理Http错误 如果处理成功完成将会调用"Response.End"函数
Public method | OnRequest | Handle http request Method "Response.End" will be called if processing completed without errors 处理Http请求 如果处理成功完成将会调用"Response.End"函数
Public method | OverrideIoc | Override IoC container, only affect the thread calling this method Overrided container will inherit original container, Alter overrided container will not affect original container. 重载当前线程中的IoC容器, 只影响调用此函数的线程 重载后的容器会继承原始容器的内容, 并且修改重载后的容器不会影响原始容器
Top
See Also

Reference

ZKWeb.Server Namespace


IApplication Properties

The IApplication type exposes the following members.

Properties
 | Name | Description
Public property | FullVersion | ZKWeb Version String ZKWeb的版本字符串
Public property | InProgressRequests | In progress requests 处理中的请求数量
Public property | Ioc | The IoC Container Instance IoC容器的实例
Public property | Version | ZKWeb Version Object ZKWeb的版本对象
Top
See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication.FullVersion Property

IApplicationFullVersion Property

ZKWeb Version String
ZKWeb的版本字符串

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string FullVersion { get; }
ReadOnly Property FullVersion As String
    Get
property String^ FullVersion {
    String^ get ();
}
abstract FullVersion : string with get

Property Value

Type: String
See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication.InProgressRequests Property

IApplicationInProgressRequests Property

In progress requests
处理中的请求数量

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
int InProgressRequests { get; }
ReadOnly Property InProgressRequests As Integer
    Get
property int InProgressRequests {
    int get ();
}
abstract InProgressRequests : int with get

Property Value

Type: Int32
See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication.Ioc Property

IApplicationIoc Property

The IoC Container Instance
IoC容器的实例

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IContainer Ioc { get; }
ReadOnly Property Ioc As IContainer
    Get
property IContainer^ Ioc {
    IContainer^ get ();
}
abstract Ioc : IContainer with get

Property Value

Type: IContainer
See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication.Version Property

IApplicationVersion Property

ZKWeb Version Object
ZKWeb的版本对象

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Version Version { get; }
ReadOnly Property Version As Version
    Get
property Version^ Version {
    Version^ get ();
}
abstract Version : Version with get

Property Value

Type: Version
See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication Methods

The IApplication type exposes the following members.

Methods
 | Name | Description
Public method | Initialize | Intialize main application 初始化主应用
Public method | OnError | Handle http error Method "Response.End" will be called if processing completed without errors 处理Http错误 如果处理成功完成将会调用"Response.End"函数
Public method | OnRequest | Handle http request Method "Response.End" will be called if processing completed without errors 处理Http请求 如果处理成功完成将会调用"Response.End"函数
Public method | OverrideIoc | Override IoC container, only affect the thread calling this method Overrided container will inherit original container, Alter overrided container will not affect original container. 重载当前线程中的IoC容器, 只影响调用此函数的线程 重载后的容器会继承原始容器的内容, 并且修改重载后的容器不会影响原始容器
Top
See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication.Initialize Method

IApplicationInitialize Method

Intialize main application
初始化主应用

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Initialize(
    string websiteRootDirectory
)
Sub Initialize (
    websiteRootDirectory As String
)
void Initialize(
    String^ websiteRootDirectory
)
abstract Initialize :
        websiteRootDirectory : string -> unit

Parameters

websiteRootDirectory
Type: SystemString

[Missing <param name="websiteRootDirectory"/> documentation for "M:ZKWeb.Server.IApplication.Initialize(System.String)"]

See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication.OnError Method

IApplicationOnError Method

Handle http error
Method "Response.End" will be called if processing completed without errors
处理Http错误
如果处理成功完成将会调用"Response.End"函数

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnError(
    IHttpContext context,
    Exception ex
)
Sub OnError (
    context As IHttpContext,
    ex As Exception
)
void OnError(
    IHttpContext^ context,
    Exception^ ex
)
abstract OnError :
        context : IHttpContext *
        ex : Exception -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
ex
Type: SystemException
Exception object
See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication.OnRequest Method

IApplicationOnRequest Method

Handle http request
Method "Response.End" will be called if processing completed without errors 处理Http请求
如果处理成功完成将会调用"Response.End"函数

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnRequest(
    IHttpContext context
)
Sub OnRequest (
    context As IHttpContext
)
void OnRequest(
    IHttpContext^ context
)
abstract OnRequest :
        context : IHttpContext -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


IApplication.OverrideIoc Method

IApplicationOverrideIoc Method

Override IoC container, only affect the thread calling this method
Overrided container will inherit original container,
Alter overrided container will not affect original container.
重载当前线程中的IoC容器, 只影响调用此函数的线程
重载后的容器会继承原始容器的内容, 并且修改重载后的容器不会影响原始容器

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IDisposable OverrideIoc()
Function OverrideIoc As IDisposable
IDisposable^ OverrideIoc()
abstract OverrideIoc : unit -> IDisposable

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Server.IApplication.OverrideIoc"]

See Also

Reference

IApplication Interface
ZKWeb.Server Namespace


PathConfig Class

Note: This API is now obsolete.

This class should no longer be used
Please use IFileStorage or LocalPathConfig
这个类不应该再被使用, 请使用IFileStorage或LocalPathConfig
Inheritance Hierarchy
SystemObject
ZKWeb.ServerPathConfig

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("This class should no longer be used, please use IFileStorage or LocalPathConfig")]
public class PathConfig
<ObsoleteAttribute("This class should no longer be used, please use IFileStorage or LocalPathConfig")>
Public Class PathConfig
[ObsoleteAttribute(L"This class should no longer be used, please use IFileStorage or LocalPathConfig")]
public ref class PathConfig
[<ObsoleteAttribute("This class should no longer be used, please use IFileStorage or LocalPathConfig")>]
type PathConfig =  class end

The PathConfig type exposes the following members.

Constructors
 | Name | Description
Public method | PathConfig | Initializes a new instance of the PathConfig class
Top
Properties
 | Name | Description
Public property | AppDataDirectory |
Protected property | Config |
Public property | DeviceSpecializedTemplateDirectoryNameFormat |
Public property | LogsDirectory |
Public property | PluginInfoFilename |
Public property | TemplateDirectoryName |
Public property | WebsiteConfigPath |
Public property | WebsiteRootDirectory |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Server Namespace


PathConfig Constructor

Initializes a new instance of the PathConfig class

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PathConfig()
Public Sub New
public:
PathConfig()
new : unit -> PathConfig
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig Properties

The PathConfig type exposes the following members.

Properties
 | Name | Description
Public property | AppDataDirectory |
Protected property | Config |
Public property | DeviceSpecializedTemplateDirectoryNameFormat |
Public property | LogsDirectory |
Public property | PluginInfoFilename |
Public property | TemplateDirectoryName |
Public property | WebsiteConfigPath |
Public property | WebsiteRootDirectory |
Top
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig.AppDataDirectory Property

PathConfigAppDataDirectory Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathConfig.AppDataDirectory"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string AppDataDirectory { get; }
Public Overridable ReadOnly Property AppDataDirectory As String
    Get
public:
virtual property String^ AppDataDirectory {
    String^ get ();
}
abstract AppDataDirectory : string with get
override AppDataDirectory : string with get

Property Value

Type: String
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig.Config Property

PathConfigConfig Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathConfig.Config"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected LocalPathConfig Config { get; }
Protected ReadOnly Property Config As LocalPathConfig
    Get
protected:
property LocalPathConfig^ Config {
    LocalPathConfig^ get ();
}
member Config : LocalPathConfig with get

Property Value

Type: LocalPathConfig
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig.DeviceSpecializedTemplateDirectoryNameFormat Property

PathConfigDeviceSpecializedTemplateDirectoryNameFormat Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathConfig.DeviceSpecializedTemplateDirectoryNameFormat"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string DeviceSpecializedTemplateDirectoryNameFormat { get; }
Public Overridable ReadOnly Property DeviceSpecializedTemplateDirectoryNameFormat As String
    Get
public:
virtual property String^ DeviceSpecializedTemplateDirectoryNameFormat {
    String^ get ();
}
abstract DeviceSpecializedTemplateDirectoryNameFormat : string with get
override DeviceSpecializedTemplateDirectoryNameFormat : string with get

Property Value

Type: String
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig.LogsDirectory Property

PathConfigLogsDirectory Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathConfig.LogsDirectory"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string LogsDirectory { get; }
Public Overridable ReadOnly Property LogsDirectory As String
    Get
public:
virtual property String^ LogsDirectory {
    String^ get ();
}
abstract LogsDirectory : string with get
override LogsDirectory : string with get

Property Value

Type: String
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig.PluginInfoFilename Property

PathConfigPluginInfoFilename Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathConfig.PluginInfoFilename"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string PluginInfoFilename { get; }
Public Overridable ReadOnly Property PluginInfoFilename As String
    Get
public:
virtual property String^ PluginInfoFilename {
    String^ get ();
}
abstract PluginInfoFilename : string with get
override PluginInfoFilename : string with get

Property Value

Type: String
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig.TemplateDirectoryName Property

PathConfigTemplateDirectoryName Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathConfig.TemplateDirectoryName"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string TemplateDirectoryName { get; }
Public Overridable ReadOnly Property TemplateDirectoryName As String
    Get
public:
virtual property String^ TemplateDirectoryName {
    String^ get ();
}
abstract TemplateDirectoryName : string with get
override TemplateDirectoryName : string with get

Property Value

Type: String
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig.WebsiteConfigPath Property

PathConfigWebsiteConfigPath Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathConfig.WebsiteConfigPath"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string WebsiteConfigPath { get; }
Public Overridable ReadOnly Property WebsiteConfigPath As String
    Get
public:
virtual property String^ WebsiteConfigPath {
    String^ get ();
}
abstract WebsiteConfigPath : string with get
override WebsiteConfigPath : string with get

Property Value

Type: String
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig.WebsiteRootDirectory Property

PathConfigWebsiteRootDirectory Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathConfig.WebsiteRootDirectory"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string WebsiteRootDirectory { get; }
Public Overridable ReadOnly Property WebsiteRootDirectory As String
    Get
public:
virtual property String^ WebsiteRootDirectory {
    String^ get ();
}
abstract WebsiteRootDirectory : string with get
override WebsiteRootDirectory : string with get

Property Value

Type: String
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathConfig Methods

The PathConfig type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PathConfig Class
ZKWeb.Server Namespace


PathManager Class

Note: This API is now obsolete.

This class should no longer be used
Please use IFileStorage or LocalPathManager
这个类不应该再被使用, 请使用IFileStorage或LocalPathManager
Inheritance Hierarchy
SystemObject
ZKWeb.ServerPathManager

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("This class should no longer be used, please use IFileStorage or LocalPathManager")]
public class PathManager : ICacheCleaner
<ObsoleteAttribute("This class should no longer be used, please use IFileStorage or LocalPathManager")>
Public Class PathManager
    Implements ICacheCleaner
[ObsoleteAttribute(L"This class should no longer be used, please use IFileStorage or LocalPathManager")]
public ref class PathManager : ICacheCleaner
[<ObsoleteAttribute("This class should no longer be used, please use IFileStorage or LocalPathManager")>]
type PathManager =
    class
        interface ICacheCleaner
    end

The PathManager type exposes the following members.

Constructors
 | Name | Description
Public method | PathManager | Initializes a new instance of the PathManager class
Top
Properties
 | Name | Description
Public property | ResourcePathCacheTime |
Public property | TemplatePathCacheTime |
Top
Methods
 | Name | Description
Public method | ClearCache |
Public method | GetPluginDirectories |
Public method | GetResourceFullPath |
Public method | GetResourceFullPathCandidates |
Public method | GetStorageFullPath |
Public method | GetTemplateFullPath |
Public method | GetTemplateFullPathCandidates |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Server Namespace


PathManager Constructor

Initializes a new instance of the PathManager class

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PathManager()
Public Sub New
public:
PathManager()
new : unit -> PathManager
See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager Properties

The PathManager type exposes the following members.

Properties
 | Name | Description
Public property | ResourcePathCacheTime |
Public property | TemplatePathCacheTime |
Top
See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.ResourcePathCacheTime Property

PathManagerResourcePathCacheTime Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathManager.ResourcePathCacheTime"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ResourcePathCacheTime { get; }
Public ReadOnly Property ResourcePathCacheTime As TimeSpan
    Get
public:
property TimeSpan ResourcePathCacheTime {
    TimeSpan get ();
}
member ResourcePathCacheTime : TimeSpan with get

Property Value

Type: TimeSpan
See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.TemplatePathCacheTime Property

PathManagerTemplatePathCacheTime Property

[Missing <summary> documentation for "P:ZKWeb.Server.PathManager.TemplatePathCacheTime"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan TemplatePathCacheTime { get; }
Public ReadOnly Property TemplatePathCacheTime As TimeSpan
    Get
public:
property TimeSpan TemplatePathCacheTime {
    TimeSpan get ();
}
member TemplatePathCacheTime : TimeSpan with get

Property Value

Type: TimeSpan
See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager Methods

The PathManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache |
Public method | GetPluginDirectories |
Public method | GetResourceFullPath |
Public method | GetResourceFullPathCandidates |
Public method | GetStorageFullPath |
Public method | GetTemplateFullPath |
Public method | GetTemplateFullPathCandidates |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.ClearCache Method

PathManagerClearCache Method

[Missing <summary> documentation for "M:ZKWeb.Server.PathManager.ClearCache"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleanerClearCache
See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.GetPluginDirectories Method

PathManagerGetPluginDirectories Method

[Missing <summary> documentation for "M:ZKWeb.Server.PathManager.GetPluginDirectories"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<string> GetPluginDirectories()
Public Overridable Function GetPluginDirectories As IList(Of String)
public:
virtual IList<String^>^ GetPluginDirectories()
abstract GetPluginDirectories : unit -> IList<string>
override GetPluginDirectories : unit -> IList<string>

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Server.PathManager.GetPluginDirectories"]

See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.GetResourceFullPath Method

PathManagerGetResourceFullPath Method

[Missing <summary> documentation for "M:ZKWeb.Server.PathManager.GetResourceFullPath(System.String[])"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetResourceFullPath(
    params string[] pathParts
)
Public Overridable Function GetResourceFullPath (
    ParamArray pathParts As String()
) As String
public:
virtual String^ GetResourceFullPath(
    ... array<String^>^ pathParts
)
abstract GetResourceFullPath :
        pathParts : string[] -> string
override GetResourceFullPath :
        pathParts : string[] -> string

Parameters

pathParts
Type: SystemString

[Missing <param name="pathParts"/> documentation for "M:ZKWeb.Server.PathManager.GetResourceFullPath(System.String[])"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Server.PathManager.GetResourceFullPath(System.String[])"]

See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.GetResourceFullPathCandidates Method

PathManagerGetResourceFullPathCandidates Method

[Missing <summary> documentation for "M:ZKWeb.Server.PathManager.GetResourceFullPathCandidates(System.String[])"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<string> GetResourceFullPathCandidates(
    params string[] pathParts
)
Public Overridable Function GetResourceFullPathCandidates (
    ParamArray pathParts As String()
) As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetResourceFullPathCandidates(
    ... array<String^>^ pathParts
)
abstract GetResourceFullPathCandidates :
        pathParts : string[] -> IEnumerable<string>
override GetResourceFullPathCandidates :
        pathParts : string[] -> IEnumerable<string>

Parameters

pathParts
Type: SystemString

[Missing <param name="pathParts"/> documentation for "M:ZKWeb.Server.PathManager.GetResourceFullPathCandidates(System.String[])"]

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Server.PathManager.GetResourceFullPathCandidates(System.String[])"]

See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.GetStorageFullPath Method

PathManagerGetStorageFullPath Method

[Missing <summary> documentation for "M:ZKWeb.Server.PathManager.GetStorageFullPath(System.String[])"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetStorageFullPath(
    params string[] pathParts
)
Public Overridable Function GetStorageFullPath (
    ParamArray pathParts As String()
) As String
public:
virtual String^ GetStorageFullPath(
    ... array<String^>^ pathParts
)
abstract GetStorageFullPath :
        pathParts : string[] -> string
override GetStorageFullPath :
        pathParts : string[] -> string

Parameters

pathParts
Type: SystemString

[Missing <param name="pathParts"/> documentation for "M:ZKWeb.Server.PathManager.GetStorageFullPath(System.String[])"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Server.PathManager.GetStorageFullPath(System.String[])"]

See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.GetTemplateFullPath Method

PathManagerGetTemplateFullPath Method

[Missing <summary> documentation for "M:ZKWeb.Server.PathManager.GetTemplateFullPath(System.String)"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetTemplateFullPath(
    string path
)
Public Overridable Function GetTemplateFullPath (
    path As String
) As String
public:
virtual String^ GetTemplateFullPath(
    String^ path
)
abstract GetTemplateFullPath :
        path : string -> string
override GetTemplateFullPath :
        path : string -> string

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Server.PathManager.GetTemplateFullPath(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Server.PathManager.GetTemplateFullPath(System.String)"]

See Also

Reference

PathManager Class
ZKWeb.Server Namespace


PathManager.GetTemplateFullPathCandidates Method

PathManagerGetTemplateFullPathCandidates Method

[Missing <summary> documentation for "M:ZKWeb.Server.PathManager.GetTemplateFullPathCandidates(System.String)"]

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<string> GetTemplateFullPathCandidates(
    string path
)
Public Overridable Function GetTemplateFullPathCandidates (
    path As String
) As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetTemplateFullPathCandidates(
    String^ path
)
abstract GetTemplateFullPathCandidates :
        path : string -> IEnumerable<string>
override GetTemplateFullPathCandidates :
        path : string -> IEnumerable<string>

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Server.PathManager.GetTemplateFullPathCandidates(System.String)"]

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Server.PathManager.GetTemplateFullPathCandidates(System.String)"]

See Also

Reference

PathManager Class
ZKWeb.Server Namespace


WebsiteConfig Class
Website configuration
网站配置
Inheritance Hierarchy
SystemObject
ZKWeb.ServerWebsiteConfig

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class WebsiteConfig
Public Class WebsiteConfig
public ref class WebsiteConfig
type WebsiteConfig =  class end

The WebsiteConfig type exposes the following members.

Constructors
 | Name | Description
Public method | WebsiteConfig | Initializes a new instance of the WebsiteConfig class
Top
Properties
 | Name | Description
Public property | ConnectionString | Database connection string 数据库连接字符串
Public property | Database | Database name eg: PostgreSQL, SQLite, MySQL, MSSQL, MongoDB 数据库名称 例如: PostgreSQL, SQLite, MySQL, MSSQL, MongoDB
Public property | Extra | Other extra configuration 其他附加配置
Public property | ORM | Object relational mapper It will load the mapper assembly named "ZKWeb.ORM.{thisValue}" eg: NHibernate, InMemory ORM的名称 它会加载名称为"ZKWeb.ORM.{ORM名称}"的程序集 例如: NHibernate, InMemory
Public property | PluginDirectories | Directories use to find plugins It should be a relative path to website root If not specified "App_Data/Plugins" will be used 用于查找插件的目录列表 它应该基于网站根目录的相对路径 如果不指定则使用"App_Data/Plugins"
Public property | Plugins | Plugin names in the loading order 插件名称列表, 以加载顺序排列
Top
Methods
Name | Description
FromFile | Read website configuration from path 从指定路径读取网站配置
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Server Namespace


WebsiteConfig Constructor

Initializes a new instance of the WebsiteConfig class

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public WebsiteConfig()
Public Sub New
public:
WebsiteConfig()
new : unit -> WebsiteConfig
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig Properties

The WebsiteConfig type exposes the following members.

Properties
 | Name | Description
Public property | ConnectionString | Database connection string 数据库连接字符串
Public property | Database | Database name eg: PostgreSQL, SQLite, MySQL, MSSQL, MongoDB 数据库名称 例如: PostgreSQL, SQLite, MySQL, MSSQL, MongoDB
Public property | Extra | Other extra configuration 其他附加配置
Public property | ORM | Object relational mapper It will load the mapper assembly named "ZKWeb.ORM.{thisValue}" eg: NHibernate, InMemory ORM的名称 它会加载名称为"ZKWeb.ORM.{ORM名称}"的程序集 例如: NHibernate, InMemory
Public property | PluginDirectories | Directories use to find plugins It should be a relative path to website root If not specified "App_Data/Plugins" will be used 用于查找插件的目录列表 它应该基于网站根目录的相对路径 如果不指定则使用"App_Data/Plugins"
Public property | Plugins | Plugin names in the loading order 插件名称列表, 以加载顺序排列
Top
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig.ConnectionString Property

WebsiteConfigConnectionString Property

Database connection string
数据库连接字符串

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ConnectionString { get; set; }
Public Property ConnectionString As String
    Get
    Set
public:
property String^ ConnectionString {
    String^ get ();
    void set (String^ value);
}
member ConnectionString : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig.Database Property

WebsiteConfigDatabase Property

Database name
eg: PostgreSQL, SQLite, MySQL, MSSQL, MongoDB
数据库名称
例如: PostgreSQL, SQLite, MySQL, MSSQL, MongoDB

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Database { get; set; }
Public Property Database As String
    Get
    Set
public:
property String^ Database {
    String^ get ();
    void set (String^ value);
}
member Database : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig.Extra Property

WebsiteConfigExtra Property

Other extra configuration
其他附加配置

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> Extra { get; set; }
Public Property Extra As IDictionary(Of String, Object)
    Get
    Set
public:
property IDictionary<String^, Object^>^ Extra {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
member Extra : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig.ORM Property

WebsiteConfigORM Property

Object relational mapper
It will load the mapper assembly named "ZKWeb.ORM.{thisValue}"
eg: NHibernate, InMemory
ORM的名称
它会加载名称为"ZKWeb.ORM.{ORM名称}"的程序集
例如: NHibernate, InMemory

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ORM { get; set; }
Public Property ORM As String
    Get
    Set
public:
property String^ ORM {
    String^ get ();
    void set (String^ value);
}
member ORM : string with get, set

Property Value

Type: String
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig.PluginDirectories Property

WebsiteConfigPluginDirectories Property

Directories use to find plugins
It should be a relative path to website root
If not specified "App_Data/Plugins" will be used
用于查找插件的目录列表
它应该基于网站根目录的相对路径
如果不指定则使用"App_Data/Plugins"

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> PluginDirectories { get; set; }
Public Property PluginDirectories As IList(Of String)
    Get
    Set
public:
property IList<String^>^ PluginDirectories {
    IList<String^>^ get ();
    void set (IList<String^>^ value);
}
member PluginDirectories : IList<string> with get, set

Property Value

Type: IList String
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig.Plugins Property

WebsiteConfigPlugins Property

Plugin names in the loading order
插件名称列表, 以加载顺序排列

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> Plugins { get; set; }
Public Property Plugins As IList(Of String)
    Get
    Set
public:
property IList<String^>^ Plugins {
    IList<String^>^ get ();
    void set (IList<String^>^ value);
}
member Plugins : IList<string> with get, set

Property Value

Type: IList String
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig Methods

The WebsiteConfig type exposes the following members.

Methods
Name | Description
FromFile | Read website configuration from path 从指定路径读取网站配置
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfig.FromFile Method

WebsiteConfigFromFile Method

Read website configuration from path
从指定路径读取网站配置

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static WebsiteConfig FromFile(
    string path
)
Public Shared Function FromFile (
    path As String
) As WebsiteConfig
public:
static WebsiteConfig^ FromFile(
    String^ path
)
static member FromFile :
        path : string -> WebsiteConfig

Parameters

path
Type: SystemString
Configuration path

Return Value

Type: WebsiteConfig

[Missing <returns> documentation for "M:ZKWeb.Server.WebsiteConfig.FromFile(System.String)"]

See Also

Reference

WebsiteConfig Class
ZKWeb.Server Namespace


WebsiteConfigManager Class
Website config manager
网站配置管理器
Inheritance Hierarchy
SystemObject
ZKWeb.ServerWebsiteConfigManager

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class WebsiteConfigManager
Public Class WebsiteConfigManager
public ref class WebsiteConfigManager
type WebsiteConfigManager =  class end

The WebsiteConfigManager type exposes the following members.

Constructors
 | Name | Description
Public method | WebsiteConfigManager | Initializes a new instance of the WebsiteConfigManager class
Top
Properties
 | Name | Description
Public property | WebsiteConfig | Website configuration 网站配置
Top
Methods
 | Name | Description
Protected method | Initialize | Load website configuration 加载网站配置
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var websiteConfigManager = Application.Ioc.Resolve<WebsiteConfigManager>();
var config = websiteConfigManager.WebsiteConfig();
See Also

Reference

ZKWeb.Server Namespace


WebsiteConfigManager Constructor

Initializes a new instance of the WebsiteConfigManager class

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public WebsiteConfigManager()
Public Sub New
public:
WebsiteConfigManager()
new : unit -> WebsiteConfigManager
See Also

Reference

WebsiteConfigManager Class
ZKWeb.Server Namespace


WebsiteConfigManager Properties

The WebsiteConfigManager type exposes the following members.

Properties
 | Name | Description
Public property | WebsiteConfig | Website configuration 网站配置
Top
See Also

Reference

WebsiteConfigManager Class
ZKWeb.Server Namespace


WebsiteConfigManager.WebsiteConfig Property

WebsiteConfigManagerWebsiteConfig Property

Website configuration
网站配置

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual WebsiteConfig WebsiteConfig { get; protected set; }
Public Overridable Property WebsiteConfig As WebsiteConfig
    Get
    Protected Set
public:
virtual property WebsiteConfig^ WebsiteConfig {
    WebsiteConfig^ get ();
    protected: void set (WebsiteConfig^ value);
}
abstract WebsiteConfig : WebsiteConfig with get, set
override WebsiteConfig : WebsiteConfig with get, set

Property Value

Type: WebsiteConfig
See Also

Reference

WebsiteConfigManager Class
ZKWeb.Server Namespace


WebsiteConfigManager Methods

The WebsiteConfigManager type exposes the following members.

Methods
 | Name | Description
Protected method | Initialize | Load website configuration 加载网站配置
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

WebsiteConfigManager Class
ZKWeb.Server Namespace


WebsiteConfigManager.Initialize Method

WebsiteConfigManagerInitialize Method

Load website configuration
加载网站配置

Namespace: ZKWeb.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Initialize()
Protected Overridable Sub Initialize
protected:
virtual void Initialize()
abstract Initialize : unit -> unit
override Initialize : unit -> unit
See Also

Reference

WebsiteConfigManager Class
ZKWeb.Server Namespace


ZKWeb.Storage Namespace

[Missing <summary> documentation for "N:ZKWeb.Storage"]

Classes
 | Class | Description
Public class | IFileEntryExtensions | File entry extension methods 文件的扩展函数
Public class | LocalDirectoryEntry | Local directory entry 本地文件系统上的目录
Public class | LocalFileEntry | Local file entry 本地文件系统上的文件
Protected class | LocalFileStorage | Local file storage 本地的文件系统
Public class | LocalPathConfig | Local path config It's better to use IFileStorage Unless you really want to access local file system 本地路径设置 一般情况最好使用IFileStorage, 除非你确实想访问本地文件系统
Public class | LocalPathManager | Local path manager It's better to use IFileStorage Unless you really want to access local file system 本地路径管理器 一般情况最好使用IFileStorage, 除非你确实想访问本地文件系统
Interfaces
 | Interface | Description
Public interface | IDirectoryEntry | Interface of directory entry 目录的接口
Public interface | IFileEntry | Interface of file entry 文件的接口
 | IFileStorage | Interface of file storage 文件系统的接口


IDirectoryEntry Interface
Interface of directory entry
目录的接口

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IDirectoryEntry
Public Interface IDirectoryEntry
public interface class IDirectoryEntry
type IDirectoryEntry =  interface end

The IDirectoryEntry type exposes the following members.

Properties
 | Name | Description
Public property | DirectoryName | Directory name 目录名称
Public property | Exists | Check if directory is exist 检查目录是否存在
Top
Methods
 | Name | Description
Public method | Delete | Delete this directory and all files under it 删除目录和目录下的所有文件
Public method | EnumerateDirectories | Enumerate directories 枚举目录下的目录
Public method | EnumerateFiles | Enumerate files 枚举目录下的文件
Top
See Also

Reference

ZKWeb.Storage Namespace
ZKWeb.StorageIFileStorage
ZKWeb.StorageIFileEntry


IDirectoryEntry Properties

The IDirectoryEntry type exposes the following members.

Properties
 | Name | Description
Public property | DirectoryName | Directory name 目录名称
Public property | Exists | Check if directory is exist 检查目录是否存在
Top
See Also

Reference

IDirectoryEntry Interface
ZKWeb.Storage Namespace


IDirectoryEntry.DirectoryName Property

IDirectoryEntryDirectoryName Property

Directory name
目录名称

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string DirectoryName { get; }
ReadOnly Property DirectoryName As String
    Get
property String^ DirectoryName {
    String^ get ();
}
abstract DirectoryName : string with get

Property Value

Type: String
See Also

Reference

IDirectoryEntry Interface
ZKWeb.Storage Namespace


IDirectoryEntry.Exists Property

IDirectoryEntryExists Property

Check if directory is exist
检查目录是否存在

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
bool Exists { get; }
ReadOnly Property Exists As Boolean
    Get
property bool Exists {
    bool get ();
}
abstract Exists : bool with get

Property Value

Type: Boolean
See Also

Reference

IDirectoryEntry Interface
ZKWeb.Storage Namespace


IDirectoryEntry Methods

The IDirectoryEntry type exposes the following members.

Methods
 | Name | Description
Public method | Delete | Delete this directory and all files under it 删除目录和目录下的所有文件
Public method | EnumerateDirectories | Enumerate directories 枚举目录下的目录
Public method | EnumerateFiles | Enumerate files 枚举目录下的文件
Top
See Also

Reference

IDirectoryEntry Interface
ZKWeb.Storage Namespace


IDirectoryEntry.Delete Method

IDirectoryEntryDelete Method

Delete this directory and all files under it
删除目录和目录下的所有文件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Delete()
Sub Delete
void Delete()
abstract Delete : unit -> unit
See Also

Reference

IDirectoryEntry Interface
ZKWeb.Storage Namespace


IDirectoryEntry.EnumerateDirectories Method

IDirectoryEntryEnumerateDirectories Method

Enumerate directories
枚举目录下的目录

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<IDirectoryEntry> EnumerateDirectories()
Function EnumerateDirectories As IEnumerable(Of IDirectoryEntry)
IEnumerable<IDirectoryEntry^>^ EnumerateDirectories()
abstract EnumerateDirectories : unit -> IEnumerable<IDirectoryEntry>

Return Value

Type: IEnumerable IDirectoryEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.IDirectoryEntry.EnumerateDirectories"]

See Also

Reference

IDirectoryEntry Interface
ZKWeb.Storage Namespace


IDirectoryEntry.EnumerateFiles Method

IDirectoryEntryEnumerateFiles Method

Enumerate files
枚举目录下的文件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<IFileEntry> EnumerateFiles()
Function EnumerateFiles As IEnumerable(Of IFileEntry)
IEnumerable<IFileEntry^>^ EnumerateFiles()
abstract EnumerateFiles : unit -> IEnumerable<IFileEntry>

Return Value

Type: IEnumerable IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.IDirectoryEntry.EnumerateFiles"]

See Also

Reference

IDirectoryEntry Interface
ZKWeb.Storage Namespace


IFileEntry Interface
Interface of file entry
文件的接口

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IFileEntry
Public Interface IFileEntry
public interface class IFileEntry
type IFileEntry =  interface end

The IFileEntry type exposes the following members.

Properties
 | Name | Description
Public property | CreationTimeUtc | Get file creation time in UTC, not available on *unix 获取文件的创建时间, *unix系统上不可用
Public property | Exists | Check if file is exist 检查文件是否存在
Public property | Filename | Filename, not included full path 文件名, 不包含完整路径
Public property | LastAccessTimeUtc | Get file last access time in UTC 获取文件的最后访问时间
Public property | LastWriteTimeUtc | Get file last write time in UTC 获取文件的最后写入时间
Public property | Length | Get file length in bytes 获取文件长度, 单位是字节
Public property | UniqueIdentifier | Unique identifier, dependents on file storage 唯一标识符, 根据文件系统而定
Top
Methods
 | Name | Description
Public method | Delete | Delete this file Exception is thrown if the action is not supported 删除文件 如果不支持则抛出例外
Public method | OpenAppend | Open file for append Exception is thrown if the action is not supported 打开文件用于追加内容 如果不支持则抛出例外
Public method | OpenRead | Open file for read Exception is thrown if the action is not supported 打开文件用于读取内容 如果不支持则抛出例外
Public method | OpenWrite | Open file for write Exception is thrown if the action is not supported 打开文件用于写入内容 如果不支持则抛出例外
Top
Extension Methods
 | Name | Description
Public Extension Method | AppendAllText | Append string to file 追加字符串到文件末尾 (Defined by IFileEntryExtensions.)
Public Extension Method | ReadAllBytes | Read file into byte array 读取文件到字节数组 (Defined by IFileEntryExtensions.)
Public Extension Method | ReadAllText | Read file into string 读取文件内容到字符串 (Defined by IFileEntryExtensions.)
Public Extension Method | WriteAllBytes | Write byte array to file 写入字节数组到文件 (Defined by IFileEntryExtensions.)
Public Extension Method | WriteAllText | Write string to file 写入字符串到文件 (Defined by IFileEntryExtensions.)
Top
See Also

Reference

ZKWeb.Storage Namespace
ZKWeb.StorageIFileStorage
ZKWeb.StorageIDirectoryEntry


IFileEntry Properties

The IFileEntry type exposes the following members.

Properties
 | Name | Description
Public property | CreationTimeUtc | Get file creation time in UTC, not available on *unix 获取文件的创建时间, *unix系统上不可用
Public property | Exists | Check if file is exist 检查文件是否存在
Public property | Filename | Filename, not included full path 文件名, 不包含完整路径
Public property | LastAccessTimeUtc | Get file last access time in UTC 获取文件的最后访问时间
Public property | LastWriteTimeUtc | Get file last write time in UTC 获取文件的最后写入时间
Public property | Length | Get file length in bytes 获取文件长度, 单位是字节
Public property | UniqueIdentifier | Unique identifier, dependents on file storage 唯一标识符, 根据文件系统而定
Top
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.CreationTimeUtc Property

IFileEntryCreationTimeUtc Property

Get file creation time in UTC, not available on *unix
获取文件的创建时间, *unix系统上不可用

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
DateTime CreationTimeUtc { get; }
ReadOnly Property CreationTimeUtc As DateTime
    Get
property DateTime CreationTimeUtc {
    DateTime get ();
}
abstract CreationTimeUtc : DateTime with get

Property Value

Type: DateTime
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.Exists Property

IFileEntryExists Property

Check if file is exist
检查文件是否存在

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
bool Exists { get; }
ReadOnly Property Exists As Boolean
    Get
property bool Exists {
    bool get ();
}
abstract Exists : bool with get

Property Value

Type: Boolean
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.Filename Property

IFileEntryFilename Property

Filename, not included full path
文件名, 不包含完整路径

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Filename { get; }
ReadOnly Property Filename As String
    Get
property String^ Filename {
    String^ get ();
}
abstract Filename : string with get

Property Value

Type: String
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.LastAccessTimeUtc Property

IFileEntryLastAccessTimeUtc Property

Get file last access time in UTC
获取文件的最后访问时间

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
DateTime LastAccessTimeUtc { get; }
ReadOnly Property LastAccessTimeUtc As DateTime
    Get
property DateTime LastAccessTimeUtc {
    DateTime get ();
}
abstract LastAccessTimeUtc : DateTime with get

Property Value

Type: DateTime
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.LastWriteTimeUtc Property

IFileEntryLastWriteTimeUtc Property

Get file last write time in UTC
获取文件的最后写入时间

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
DateTime LastWriteTimeUtc { get; }
ReadOnly Property LastWriteTimeUtc As DateTime
    Get
property DateTime LastWriteTimeUtc {
    DateTime get ();
}
abstract LastWriteTimeUtc : DateTime with get

Property Value

Type: DateTime
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.Length Property

IFileEntryLength Property

Get file length in bytes
获取文件长度, 单位是字节

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
long Length { get; }
ReadOnly Property Length As Long
    Get
property long long Length {
    long long get ();
}
abstract Length : int64 with get

Property Value

Type: Int64
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.UniqueIdentifier Property

IFileEntryUniqueIdentifier Property

Unique identifier, dependents on file storage
唯一标识符, 根据文件系统而定

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string UniqueIdentifier { get; }
ReadOnly Property UniqueIdentifier As String
    Get
property String^ UniqueIdentifier {
    String^ get ();
}
abstract UniqueIdentifier : string with get

Property Value

Type: String
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry Methods

The IFileEntry type exposes the following members.

Methods
 | Name | Description
Public method | Delete | Delete this file Exception is thrown if the action is not supported 删除文件 如果不支持则抛出例外
Public method | OpenAppend | Open file for append Exception is thrown if the action is not supported 打开文件用于追加内容 如果不支持则抛出例外
Public method | OpenRead | Open file for read Exception is thrown if the action is not supported 打开文件用于读取内容 如果不支持则抛出例外
Public method | OpenWrite | Open file for write Exception is thrown if the action is not supported 打开文件用于写入内容 如果不支持则抛出例外
Top
Extension Methods
 | Name | Description
Public Extension Method | AppendAllText | Append string to file 追加字符串到文件末尾 (Defined by IFileEntryExtensions.)
Public Extension Method | ReadAllBytes | Read file into byte array 读取文件到字节数组 (Defined by IFileEntryExtensions.)
Public Extension Method | ReadAllText | Read file into string 读取文件内容到字符串 (Defined by IFileEntryExtensions.)
Public Extension Method | WriteAllBytes | Write byte array to file 写入字节数组到文件 (Defined by IFileEntryExtensions.)
Public Extension Method | WriteAllText | Write string to file 写入字符串到文件 (Defined by IFileEntryExtensions.)
Top
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.Delete Method

IFileEntryDelete Method

Delete this file
Exception is thrown if the action is not supported
删除文件
如果不支持则抛出例外

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Delete()
Sub Delete
void Delete()
abstract Delete : unit -> unit
See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.OpenAppend Method

IFileEntryOpenAppend Method

Open file for append
Exception is thrown if the action is not supported
打开文件用于追加内容
如果不支持则抛出例外

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Stream OpenAppend()
Function OpenAppend As Stream
Stream^ OpenAppend()
abstract OpenAppend : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileEntry.OpenAppend"]

See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.OpenRead Method

IFileEntryOpenRead Method

Open file for read
Exception is thrown if the action is not supported
打开文件用于读取内容
如果不支持则抛出例外

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Stream OpenRead()
Function OpenRead As Stream
Stream^ OpenRead()
abstract OpenRead : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileEntry.OpenRead"]

See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntry.OpenWrite Method

IFileEntryOpenWrite Method

Open file for write
Exception is thrown if the action is not supported
打开文件用于写入内容
如果不支持则抛出例外

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Stream OpenWrite()
Function OpenWrite As Stream
Stream^ OpenWrite()
abstract OpenWrite : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileEntry.OpenWrite"]

See Also

Reference

IFileEntry Interface
ZKWeb.Storage Namespace


IFileEntryExtensions Class
File entry extension methods
文件的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.StorageIFileEntryExtensions

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IFileEntryExtensions
<ExtensionAttribute>
Public NotInheritable Class IFileEntryExtensions
[ExtensionAttribute]
public ref class IFileEntryExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IFileEntryExtensions =  class end

The IFileEntryExtensions type exposes the following members.

Methods
Name | Description
AppendAllText | Append string to file 追加字符串到文件末尾
ReadAllBytes | Read file into byte array 读取文件到字节数组
ReadAllText | Read file into string 读取文件内容到字符串
WriteAllBytes | Write byte array to file 写入字节数组到文件
WriteAllText | Write string to file 写入字符串到文件
Top
See Also

Reference

ZKWeb.Storage Namespace


IFileEntryExtensions Methods

The IFileEntryExtensions type exposes the following members.

Methods
Name | Description
AppendAllText | Append string to file 追加字符串到文件末尾
ReadAllBytes | Read file into byte array 读取文件到字节数组
ReadAllText | Read file into string 读取文件内容到字符串
WriteAllBytes | Write byte array to file 写入字节数组到文件
WriteAllText | Write string to file 写入字符串到文件
Top
See Also

Reference

IFileEntryExtensions Class
ZKWeb.Storage Namespace


IFileEntryExtensions.AppendAllText Method

IFileEntryExtensionsAppendAllText Method

Append string to file
追加字符串到文件末尾

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void AppendAllText(
    this IFileEntry entry,
    string value
)
<ExtensionAttribute>
Public Shared Sub AppendAllText (
    entry As IFileEntry,
    value As String
)
public:
[ExtensionAttribute]
static void AppendAllText(
    IFileEntry^ entry,
    String^ value
)
[<ExtensionAttribute>]
static member AppendAllText :
        entry : IFileEntry *
        value : string -> unit

Parameters

entry
Type: ZKWeb.StorageIFileEntry
File entry
value
Type: SystemString
String value

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IFileEntry. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IFileEntryExtensions Class
ZKWeb.Storage Namespace


IFileEntryExtensions.ReadAllBytes Method

IFileEntryExtensionsReadAllBytes Method

Read file into byte array
读取文件到字节数组

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static byte[] ReadAllBytes(
    this IFileEntry entry
)
<ExtensionAttribute>
Public Shared Function ReadAllBytes (
    entry As IFileEntry
) As Byte()
public:
[ExtensionAttribute]
static array<unsigned char>^ ReadAllBytes(
    IFileEntry^ entry
)
[<ExtensionAttribute>]
static member ReadAllBytes :
        entry : IFileEntry -> byte[]

Parameters

entry
Type: ZKWeb.StorageIFileEntry
File entry

Return Value

Type: Byte

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileEntryExtensions.ReadAllBytes(ZKWeb.Storage.IFileEntry)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IFileEntry. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IFileEntryExtensions Class
ZKWeb.Storage Namespace


IFileEntryExtensions.ReadAllText Method

IFileEntryExtensionsReadAllText Method

Read file into string
读取文件内容到字符串

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string ReadAllText(
    this IFileEntry entry
)
<ExtensionAttribute>
Public Shared Function ReadAllText (
    entry As IFileEntry
) As String
public:
[ExtensionAttribute]
static String^ ReadAllText(
    IFileEntry^ entry
)
[<ExtensionAttribute>]
static member ReadAllText :
        entry : IFileEntry -> string

Parameters

entry
Type: ZKWeb.StorageIFileEntry
File entry

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileEntryExtensions.ReadAllText(ZKWeb.Storage.IFileEntry)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IFileEntry. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IFileEntryExtensions Class
ZKWeb.Storage Namespace


IFileEntryExtensions.WriteAllBytes Method

IFileEntryExtensionsWriteAllBytes Method

Write byte array to file
写入字节数组到文件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void WriteAllBytes(
    this IFileEntry entry,
    byte[] bytes
)
<ExtensionAttribute>
Public Shared Sub WriteAllBytes (
    entry As IFileEntry,
    bytes As Byte()
)
public:
[ExtensionAttribute]
static void WriteAllBytes(
    IFileEntry^ entry,
    array<unsigned char>^ bytes
)
[<ExtensionAttribute>]
static member WriteAllBytes :
        entry : IFileEntry *
        bytes : byte[] -> unit

Parameters

entry
Type: ZKWeb.StorageIFileEntry
File entry
bytes
Type: SystemByte
Byte array

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IFileEntry. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IFileEntryExtensions Class
ZKWeb.Storage Namespace


IFileEntryExtensions.WriteAllText Method

IFileEntryExtensionsWriteAllText Method

Write string to file
写入字符串到文件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void WriteAllText(
    this IFileEntry entry,
    string value
)
<ExtensionAttribute>
Public Shared Sub WriteAllText (
    entry As IFileEntry,
    value As String
)
public:
[ExtensionAttribute]
static void WriteAllText(
    IFileEntry^ entry,
    String^ value
)
[<ExtensionAttribute>]
static member WriteAllText :
        entry : IFileEntry *
        value : string -> unit

Parameters

entry
Type: ZKWeb.StorageIFileEntry
File entry
value
Type: SystemString
String value

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IFileEntry. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IFileEntryExtensions Class
ZKWeb.Storage Namespace


IFileStorage Interface
Interface of file storage
文件系统的接口

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IFileStorage
Public Interface IFileStorage
public interface class IFileStorage
type IFileStorage =  interface end

The IFileStorage type exposes the following members.

Methods
 | Name | Description
Public method | GetResourceFile | Get resource file, it should be readonly 获取资源文件, 返回的文件应该是只读的
Public method | GetStorageDirectory | Get storage directory 获取储存目录
Public method | GetStorageFile | Get storage file 获取储存文件
Public method | GetTemplateFile | Get template file, it should be readonly 获取模板文件, 返回的文件应该是只读的
Top
Examples
Example of reading template file
读取模板文件的例子
C#
Copy
var fileStorage = Application.Ioc.Resolve<IFileStorage>();
var fileEntry = fileStorage.GetTemplateFile("abc.html");
var contents = fileEntry.ReadAllText();
Example of reading source file
获取资源文件的例子
C#
Copy
var fileStorage = Application.Ioc.Resolve<IFileStorage>();
var fileEntry = fileStorage.GetResourceFile("abc.jpg");
using (var stream = fileEntry.OpenRead()) { }
Example of saving storage file
写入储存文件的例子
C#
Copy
var fileStorage = Application.Ioc.Resolve<IFileStorage>();
var fileEntry = fileStorage.GetStorageFile("static", "abc.txt");
fileEntry.WriteAllText("test storage file");
Example of listing files under storage directory (not recursive)
列出储存文件夹下的文件的例子(非递归)
C#
Copy
var fileStorage = Application.Ioc.Resolve<IFileStorage>();
var directoryEntry = fileStorage.GetStorageDirectory("static");
var childFiles = directoryEntry.EnumerateFiles();
foreach (var file in childFiles) {
    console.WriteLine($"{file.Filename}: {file.ReadAllText()}")
}
See Also

Reference

ZKWeb.Storage Namespace


IFileStorage Methods

The IFileStorage type exposes the following members.

Methods
 | Name | Description
Public method | GetResourceFile | Get resource file, it should be readonly 获取资源文件, 返回的文件应该是只读的
Public method | GetStorageDirectory | Get storage directory 获取储存目录
Public method | GetStorageFile | Get storage file 获取储存文件
Public method | GetTemplateFile | Get template file, it should be readonly 获取模板文件, 返回的文件应该是只读的
Top
See Also

Reference

IFileStorage Interface
ZKWeb.Storage Namespace


IFileStorage.GetResourceFile Method

IFileStorageGetResourceFile Method

Get resource file, it should be readonly
获取资源文件, 返回的文件应该是只读的

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IFileEntry GetResourceFile(
    params string[] pathParts
)
Function GetResourceFile (
    ParamArray pathParts As String()
) As IFileEntry
IFileEntry^ GetResourceFile(
    ... array<String^>^ pathParts
)
abstract GetResourceFile :
        pathParts : string[] -> IFileEntry

Parameters

pathParts
Type: SystemString
Resource file path parts

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileStorage.GetResourceFile(System.String[])"]

See Also

Reference

IFileStorage Interface
ZKWeb.Storage Namespace


IFileStorage.GetStorageDirectory Method

IFileStorageGetStorageDirectory Method

Get storage directory
获取储存目录

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IDirectoryEntry GetStorageDirectory(
    params string[] pathParts
)
Function GetStorageDirectory (
    ParamArray pathParts As String()
) As IDirectoryEntry
IDirectoryEntry^ GetStorageDirectory(
    ... array<String^>^ pathParts
)
abstract GetStorageDirectory :
        pathParts : string[] -> IDirectoryEntry

Parameters

pathParts
Type: SystemString
Storage directory path parts

Return Value

Type: IDirectoryEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileStorage.GetStorageDirectory(System.String[])"]

See Also

Reference

IFileStorage Interface
ZKWeb.Storage Namespace


IFileStorage.GetStorageFile Method

IFileStorageGetStorageFile Method

Get storage file
获取储存文件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IFileEntry GetStorageFile(
    params string[] pathParts
)
Function GetStorageFile (
    ParamArray pathParts As String()
) As IFileEntry
IFileEntry^ GetStorageFile(
    ... array<String^>^ pathParts
)
abstract GetStorageFile :
        pathParts : string[] -> IFileEntry

Parameters

pathParts
Type: SystemString
Storage file path parts

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileStorage.GetStorageFile(System.String[])"]

See Also

Reference

IFileStorage Interface
ZKWeb.Storage Namespace


IFileStorage.GetTemplateFile Method

IFileStorageGetTemplateFile Method

Get template file, it should be readonly
获取模板文件, 返回的文件应该是只读的

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IFileEntry GetTemplateFile(
    string path
)
Function GetTemplateFile (
    path As String
) As IFileEntry
IFileEntry^ GetTemplateFile(
    String^ path
)
abstract GetTemplateFile :
        path : string -> IFileEntry

Parameters

path
Type: SystemString
Template file path

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.IFileStorage.GetTemplateFile(System.String)"]

See Also

Reference

IFileStorage Interface
ZKWeb.Storage Namespace


LocalDirectoryEntry Class
Local directory entry
本地文件系统上的目录
Inheritance Hierarchy
SystemObject
ZKWeb.StorageLocalDirectoryEntry

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class LocalDirectoryEntry : IDirectoryEntry
Public Class LocalDirectoryEntry
    Implements IDirectoryEntry
public ref class LocalDirectoryEntry : IDirectoryEntry
type LocalDirectoryEntry =
    class
        interface IDirectoryEntry
    end

The LocalDirectoryEntry type exposes the following members.

Constructors
 | Name | Description
Public method | LocalDirectoryEntry | Initialize 初始化
Top
Properties
 | Name | Description
Public property | DirectoryName | Directory name 目录名称
Public property | Exists | Check if directory is exist 检查目录是否存在
Top
Methods
 | Name | Description
Public method | Delete | Delete this directory and all files under it 删除目录和目录下的所有文件
Public method | EnumerateDirectories | Enumerate files 枚举目录下的文件
Public method | EnumerateFiles | Enumerate directories 枚举目录下的目录
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Storage Namespace
ZKWeb.StorageIFileStorage
ZKWeb.StorageIFileEntry


LocalDirectoryEntry Constructor

Initialize
初始化

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LocalDirectoryEntry(
    string fullPath
)
Public Sub New (
    fullPath As String
)
public:
LocalDirectoryEntry(
    String^ fullPath
)
new :
        fullPath : string -> LocalDirectoryEntry

Parameters

fullPath
Type: SystemString
Full path
See Also

Reference

LocalDirectoryEntry Class
ZKWeb.Storage Namespace


LocalDirectoryEntry Properties

The LocalDirectoryEntry type exposes the following members.

Properties
 | Name | Description
Public property | DirectoryName | Directory name 目录名称
Public property | Exists | Check if directory is exist 检查目录是否存在
Top
See Also

Reference

LocalDirectoryEntry Class
ZKWeb.Storage Namespace


LocalDirectoryEntry.DirectoryName Property

LocalDirectoryEntryDirectoryName Property

Directory name
目录名称

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string DirectoryName { get; }
Public ReadOnly Property DirectoryName As String
    Get
public:
virtual property String^ DirectoryName {
    String^ get () sealed;
}
abstract DirectoryName : string with get
override DirectoryName : string with get

Property Value

Type: String

Implements

IDirectoryEntryDirectoryName
See Also

Reference

LocalDirectoryEntry Class
ZKWeb.Storage Namespace


LocalDirectoryEntry.Exists Property

LocalDirectoryEntryExists Property

Check if directory is exist
检查目录是否存在

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool Exists { get; }
Public ReadOnly Property Exists As Boolean
    Get
public:
virtual property bool Exists {
    bool get () sealed;
}
abstract Exists : bool with get
override Exists : bool with get

Property Value

Type: Boolean

Implements

IDirectoryEntryExists
See Also

Reference

LocalDirectoryEntry Class
ZKWeb.Storage Namespace


LocalDirectoryEntry Methods

The LocalDirectoryEntry type exposes the following members.

Methods
 | Name | Description
Public method | Delete | Delete this directory and all files under it 删除目录和目录下的所有文件
Public method | EnumerateDirectories | Enumerate files 枚举目录下的文件
Public method | EnumerateFiles | Enumerate directories 枚举目录下的目录
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LocalDirectoryEntry Class
ZKWeb.Storage Namespace


LocalDirectoryEntry.Delete Method

LocalDirectoryEntryDelete Method

Delete this directory and all files under it
删除目录和目录下的所有文件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Delete()
Public Sub Delete
public:
virtual void Delete() sealed
abstract Delete : unit -> unit
override Delete : unit -> unit

Implements

IDirectoryEntryDelete
See Also

Reference

LocalDirectoryEntry Class
ZKWeb.Storage Namespace


LocalDirectoryEntry.EnumerateDirectories Method

LocalDirectoryEntryEnumerateDirectories Method

Enumerate files
枚举目录下的文件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<IDirectoryEntry> EnumerateDirectories()
Public Function EnumerateDirectories As IEnumerable(Of IDirectoryEntry)
public:
virtual IEnumerable<IDirectoryEntry^>^ EnumerateDirectories() sealed
abstract EnumerateDirectories : unit -> IEnumerable<IDirectoryEntry>
override EnumerateDirectories : unit -> IEnumerable<IDirectoryEntry>

Return Value

Type: IEnumerable IDirectoryEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalDirectoryEntry.EnumerateDirectories"]

Implements

IDirectoryEntryEnumerateDirectories
See Also

Reference

LocalDirectoryEntry Class
ZKWeb.Storage Namespace


LocalDirectoryEntry.EnumerateFiles Method

LocalDirectoryEntryEnumerateFiles Method

Enumerate directories
枚举目录下的目录

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<IFileEntry> EnumerateFiles()
Public Function EnumerateFiles As IEnumerable(Of IFileEntry)
public:
virtual IEnumerable<IFileEntry^>^ EnumerateFiles() sealed
abstract EnumerateFiles : unit -> IEnumerable<IFileEntry>
override EnumerateFiles : unit -> IEnumerable<IFileEntry>

Return Value

Type: IEnumerable IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalDirectoryEntry.EnumerateFiles"]

Implements

IDirectoryEntryEnumerateFiles
See Also

Reference

LocalDirectoryEntry Class
ZKWeb.Storage Namespace


LocalFileEntry Class
Local file entry
本地文件系统上的文件
Inheritance Hierarchy
SystemObject
ZKWeb.StorageLocalFileEntry

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class LocalFileEntry : IFileEntry
Public Class LocalFileEntry
    Implements IFileEntry
public ref class LocalFileEntry : IFileEntry
type LocalFileEntry =
    class
        interface IFileEntry
    end

The LocalFileEntry type exposes the following members.

Constructors
 | Name | Description
Public method | LocalFileEntry | Initialize 初始化
Top
Properties
 | Name | Description
Public property | CreationTimeUtc | Get file creation time in UTC, not available on *unix 获取文件的创建时间, *unix系统上不可用
Public property | Exists | Check if file is exist 检查文件是否存在
Public property | Filename | Filename, not included full path 文件名, 不包含完整路径
Public property | LastAccessTimeUtc | Get file last access time in UTC 获取文件的最后访问时间
Public property | LastWriteTimeUtc | Get file last write time in UTC 获取文件的最后写入时间
Public property | Length | Get file length in bytes 获取文件长度, 单位是字节
Public property | UniqueIdentifier | Unique identifier, dependents on file storage 唯一标识符, 根据文件系统而定
Top
Methods
 | Name | Description
Public method | Delete | Delete this file Exception is thrown if the action is not supported 删除文件 如果不支持则抛出例外
Public method | OpenAppend | Open file for append Exception is thrown if the action is not supported 打开文件用于追加内容 如果不支持则抛出例外
Public method | OpenRead | Open file for read Exception is thrown if the action is not supported 打开文件用于读取内容 如果不支持则抛出例外
Public method | OpenWrite | Open file for write Exception is thrown if the action is not supported 打开文件用于写入内容 如果不支持则抛出例外
Top
Extension Methods
 | Name | Description
Public Extension Method | AppendAllText | Append string to file 追加字符串到文件末尾 (Defined by IFileEntryExtensions.)
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ReadAllBytes | Read file into byte array 读取文件到字节数组 (Defined by IFileEntryExtensions.)
Public Extension Method | ReadAllText | Read file into string 读取文件内容到字符串 (Defined by IFileEntryExtensions.)
Public Extension Method | WriteAllBytes | Write byte array to file 写入字节数组到文件 (Defined by IFileEntryExtensions.)
Public Extension Method | WriteAllText | Write string to file 写入字符串到文件 (Defined by IFileEntryExtensions.)
Top
See Also

Reference

ZKWeb.Storage Namespace
ZKWeb.StorageIFileStorage
ZKWeb.StorageIDirectoryEntry


LocalFileEntry Constructor

Initialize
初始化

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LocalFileEntry(
    string fullPath,
    bool readOnly
)
Public Sub New (
    fullPath As String,
    readOnly As Boolean
)
public:
LocalFileEntry(
    String^ fullPath,
    bool readOnly
)
new :
        fullPath : string *
        readOnly : bool -> LocalFileEntry

Parameters

fullPath
Type: SystemString
Full path
readOnly
Type: SystemBoolean
Is file readonly
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry Properties

The LocalFileEntry type exposes the following members.

Properties
 | Name | Description
Public property | CreationTimeUtc | Get file creation time in UTC, not available on *unix 获取文件的创建时间, *unix系统上不可用
Public property | Exists | Check if file is exist 检查文件是否存在
Public property | Filename | Filename, not included full path 文件名, 不包含完整路径
Public property | LastAccessTimeUtc | Get file last access time in UTC 获取文件的最后访问时间
Public property | LastWriteTimeUtc | Get file last write time in UTC 获取文件的最后写入时间
Public property | Length | Get file length in bytes 获取文件长度, 单位是字节
Public property | UniqueIdentifier | Unique identifier, dependents on file storage 唯一标识符, 根据文件系统而定
Top
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.CreationTimeUtc Property

LocalFileEntryCreationTimeUtc Property

Get file creation time in UTC, not available on *unix
获取文件的创建时间, *unix系统上不可用

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DateTime CreationTimeUtc { get; }
Public ReadOnly Property CreationTimeUtc As DateTime
    Get
public:
virtual property DateTime CreationTimeUtc {
    DateTime get () sealed;
}
abstract CreationTimeUtc : DateTime with get
override CreationTimeUtc : DateTime with get

Property Value

Type: DateTime

Implements

IFileEntryCreationTimeUtc
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.Exists Property

LocalFileEntryExists Property

Check if file is exist
检查文件是否存在

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool Exists { get; }
Public ReadOnly Property Exists As Boolean
    Get
public:
virtual property bool Exists {
    bool get () sealed;
}
abstract Exists : bool with get
override Exists : bool with get

Property Value

Type: Boolean

Implements

IFileEntryExists
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.Filename Property

LocalFileEntryFilename Property

Filename, not included full path
文件名, 不包含完整路径

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Filename { get; }
Public ReadOnly Property Filename As String
    Get
public:
virtual property String^ Filename {
    String^ get () sealed;
}
abstract Filename : string with get
override Filename : string with get

Property Value

Type: String

Implements

IFileEntryFilename
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.LastAccessTimeUtc Property

LocalFileEntryLastAccessTimeUtc Property

Get file last access time in UTC
获取文件的最后访问时间

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DateTime LastAccessTimeUtc { get; }
Public ReadOnly Property LastAccessTimeUtc As DateTime
    Get
public:
virtual property DateTime LastAccessTimeUtc {
    DateTime get () sealed;
}
abstract LastAccessTimeUtc : DateTime with get
override LastAccessTimeUtc : DateTime with get

Property Value

Type: DateTime

Implements

IFileEntryLastAccessTimeUtc
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.LastWriteTimeUtc Property

LocalFileEntryLastWriteTimeUtc Property

Get file last write time in UTC
获取文件的最后写入时间

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DateTime LastWriteTimeUtc { get; }
Public ReadOnly Property LastWriteTimeUtc As DateTime
    Get
public:
virtual property DateTime LastWriteTimeUtc {
    DateTime get () sealed;
}
abstract LastWriteTimeUtc : DateTime with get
override LastWriteTimeUtc : DateTime with get

Property Value

Type: DateTime

Implements

IFileEntryLastWriteTimeUtc
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.Length Property

LocalFileEntryLength Property

Get file length in bytes
获取文件长度, 单位是字节

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Length { get; }
Public ReadOnly Property Length As Long
    Get
public:
virtual property long long Length {
    long long get () sealed;
}
abstract Length : int64 with get
override Length : int64 with get

Property Value

Type: Int64

Implements

IFileEntryLength
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.UniqueIdentifier Property

LocalFileEntryUniqueIdentifier Property

Unique identifier, dependents on file storage
唯一标识符, 根据文件系统而定

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string UniqueIdentifier { get; }
Public ReadOnly Property UniqueIdentifier As String
    Get
public:
virtual property String^ UniqueIdentifier {
    String^ get () sealed;
}
abstract UniqueIdentifier : string with get
override UniqueIdentifier : string with get

Property Value

Type: String

Implements

IFileEntryUniqueIdentifier
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry Methods

The LocalFileEntry type exposes the following members.

Methods
 | Name | Description
Public method | Delete | Delete this file Exception is thrown if the action is not supported 删除文件 如果不支持则抛出例外
Public method | OpenAppend | Open file for append Exception is thrown if the action is not supported 打开文件用于追加内容 如果不支持则抛出例外
Public method | OpenRead | Open file for read Exception is thrown if the action is not supported 打开文件用于读取内容 如果不支持则抛出例外
Public method | OpenWrite | Open file for write Exception is thrown if the action is not supported 打开文件用于写入内容 如果不支持则抛出例外
Top
Extension Methods
 | Name | Description
Public Extension Method | AppendAllText | Append string to file 追加字符串到文件末尾 (Defined by IFileEntryExtensions.)
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ReadAllBytes | Read file into byte array 读取文件到字节数组 (Defined by IFileEntryExtensions.)
Public Extension Method | ReadAllText | Read file into string 读取文件内容到字符串 (Defined by IFileEntryExtensions.)
Public Extension Method | WriteAllBytes | Write byte array to file 写入字节数组到文件 (Defined by IFileEntryExtensions.)
Public Extension Method | WriteAllText | Write string to file 写入字符串到文件 (Defined by IFileEntryExtensions.)
Top
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.Delete Method

LocalFileEntryDelete Method

Delete this file
Exception is thrown if the action is not supported
删除文件
如果不支持则抛出例外

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Delete()
Public Sub Delete
public:
virtual void Delete() sealed
abstract Delete : unit -> unit
override Delete : unit -> unit

Implements

IFileEntryDelete
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.OpenAppend Method

LocalFileEntryOpenAppend Method

Open file for append
Exception is thrown if the action is not supported
打开文件用于追加内容
如果不支持则抛出例外

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream OpenAppend()
Public Function OpenAppend As Stream
public:
virtual Stream^ OpenAppend() sealed
abstract OpenAppend : unit -> Stream
override OpenAppend : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalFileEntry.OpenAppend"]

Implements

IFileEntryOpenAppend
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.OpenRead Method

LocalFileEntryOpenRead Method

Open file for read
Exception is thrown if the action is not supported
打开文件用于读取内容
如果不支持则抛出例外

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream OpenRead()
Public Function OpenRead As Stream
public:
virtual Stream^ OpenRead() sealed
abstract OpenRead : unit -> Stream
override OpenRead : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalFileEntry.OpenRead"]

Implements

IFileEntryOpenRead
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileEntry.OpenWrite Method

LocalFileEntryOpenWrite Method

Open file for write
Exception is thrown if the action is not supported
打开文件用于写入内容
如果不支持则抛出例外

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream OpenWrite()
Public Function OpenWrite As Stream
public:
virtual Stream^ OpenWrite() sealed
abstract OpenWrite : unit -> Stream
override OpenWrite : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalFileEntry.OpenWrite"]

Implements

IFileEntryOpenWrite
See Also

Reference

LocalFileEntry Class
ZKWeb.Storage Namespace


LocalFileStorage Class
Local file storage
本地的文件系统
Inheritance Hierarchy
SystemObject
ZKWeb.StorageLocalFileStorage

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class LocalFileStorage : IFileStorage
Friend Class LocalFileStorage
    Implements IFileStorage
internal ref class LocalFileStorage : IFileStorage
type LocalFileStorage =
    class
        interface IFileStorage
    end

The LocalFileStorage type exposes the following members.

Constructors
 | Name | Description
Public method | LocalFileStorage | Initializes a new instance of the LocalFileStorage class
Top
Methods
 | Name | Description
Public method | GetResourceFile | Get resource file, it should be readonly 获取资源文件, 返回的文件应该是只读的
Public method | GetStorageDirectory | Get storage directory 获取储存目录
Public method | GetStorageFile | Get storage file 获取储存文件
Public method | GetTemplateFile | Get template file, it should be readonly 获取模板文件, 返回的文件应该是只读的
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Storage Namespace


LocalFileStorage Constructor

Initializes a new instance of the LocalFileStorage class

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LocalFileStorage()
Public Sub New
public:
LocalFileStorage()
new : unit -> LocalFileStorage
See Also

Reference

LocalFileStorage Class
ZKWeb.Storage Namespace


LocalFileStorage Methods

The LocalFileStorage type exposes the following members.

Methods
 | Name | Description
Public method | GetResourceFile | Get resource file, it should be readonly 获取资源文件, 返回的文件应该是只读的
Public method | GetStorageDirectory | Get storage directory 获取储存目录
Public method | GetStorageFile | Get storage file 获取储存文件
Public method | GetTemplateFile | Get template file, it should be readonly 获取模板文件, 返回的文件应该是只读的
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LocalFileStorage Class
ZKWeb.Storage Namespace


LocalFileStorage.GetResourceFile Method

LocalFileStorageGetResourceFile Method

Get resource file, it should be readonly
获取资源文件, 返回的文件应该是只读的

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IFileEntry GetResourceFile(
    params string[] pathParts
)
Public Function GetResourceFile (
    ParamArray pathParts As String()
) As IFileEntry
public:
virtual IFileEntry^ GetResourceFile(
    ... array<String^>^ pathParts
) sealed
abstract GetResourceFile :
        pathParts : string[] -> IFileEntry
override GetResourceFile :
        pathParts : string[] -> IFileEntry

Parameters

pathParts
Type: SystemString

[Missing <param name="pathParts"/> documentation for "M:ZKWeb.Storage.LocalFileStorage.GetResourceFile(System.String[])"]

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalFileStorage.GetResourceFile(System.String[])"]

Implements

IFileStorageGetResourceFile(String)
See Also

Reference

LocalFileStorage Class
ZKWeb.Storage Namespace


LocalFileStorage.GetStorageDirectory Method

LocalFileStorageGetStorageDirectory Method

Get storage directory
获取储存目录

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDirectoryEntry GetStorageDirectory(
    params string[] pathParts
)
Public Function GetStorageDirectory (
    ParamArray pathParts As String()
) As IDirectoryEntry
public:
virtual IDirectoryEntry^ GetStorageDirectory(
    ... array<String^>^ pathParts
) sealed
abstract GetStorageDirectory :
        pathParts : string[] -> IDirectoryEntry
override GetStorageDirectory :
        pathParts : string[] -> IDirectoryEntry

Parameters

pathParts
Type: SystemString

[Missing <param name="pathParts"/> documentation for "M:ZKWeb.Storage.LocalFileStorage.GetStorageDirectory(System.String[])"]

Return Value

Type: IDirectoryEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalFileStorage.GetStorageDirectory(System.String[])"]

Implements

IFileStorageGetStorageDirectory(String)
See Also

Reference

LocalFileStorage Class
ZKWeb.Storage Namespace


LocalFileStorage.GetStorageFile Method

LocalFileStorageGetStorageFile Method

Get storage file
获取储存文件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IFileEntry GetStorageFile(
    params string[] pathParts
)
Public Function GetStorageFile (
    ParamArray pathParts As String()
) As IFileEntry
public:
virtual IFileEntry^ GetStorageFile(
    ... array<String^>^ pathParts
) sealed
abstract GetStorageFile :
        pathParts : string[] -> IFileEntry
override GetStorageFile :
        pathParts : string[] -> IFileEntry

Parameters

pathParts
Type: SystemString

[Missing <param name="pathParts"/> documentation for "M:ZKWeb.Storage.LocalFileStorage.GetStorageFile(System.String[])"]

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalFileStorage.GetStorageFile(System.String[])"]

Implements

IFileStorageGetStorageFile(String)
See Also

Reference

LocalFileStorage Class
ZKWeb.Storage Namespace


LocalFileStorage.GetTemplateFile Method

LocalFileStorageGetTemplateFile Method

Get template file, it should be readonly
获取模板文件, 返回的文件应该是只读的

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IFileEntry GetTemplateFile(
    string path
)
Public Function GetTemplateFile (
    path As String
) As IFileEntry
public:
virtual IFileEntry^ GetTemplateFile(
    String^ path
) sealed
abstract GetTemplateFile :
        path : string -> IFileEntry
override GetTemplateFile :
        path : string -> IFileEntry

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Storage.LocalFileStorage.GetTemplateFile(System.String)"]

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalFileStorage.GetTemplateFile(System.String)"]

Implements

IFileStorageGetTemplateFile(String)
See Also

Reference

LocalFileStorage Class
ZKWeb.Storage Namespace


LocalPathConfig Class
Local path config
It's better to use IFileStorage
Unless you really want to access local file system
本地路径设置
一般情况最好使用IFileStorage, 除非你确实想访问本地文件系统
Inheritance Hierarchy
SystemObject
ZKWeb.StorageLocalPathConfig

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class LocalPathConfig
Public Class LocalPathConfig
public ref class LocalPathConfig
type LocalPathConfig =  class end

The LocalPathConfig type exposes the following members.

Constructors
 | Name | Description
Public method | LocalPathConfig | Initializes a new instance of the LocalPathConfig class
Top
Properties
 | Name | Description
Public property | AppDataDirectory | App_Data directory App_Data目录的路径
Public property | DeviceSpecializedTemplateDirectoryNameFormat | Device specialized template directory name format (with string.Format) Under App_Data or plugin directories 设备专用的模板文件名的格式字符串(使用string.Format) 在App_Data目录或插件目录下
Public property | PluginInfoFilename | Filename that store plugin information Under plugin directory 储存插件信息的文件名 在插件目录下
Public property | TemplateDirectoryName | Template directory name, only the name Under App_Data or plugin directories 模板文件夹的文件名, 仅名称 在App_Data目录或插件目录下
Public property | WebsiteConfigPath | Website configuration path 网站配置的路径
Public property | WebsiteRootDirectory | Website root directory 网站根目录的路径
Top
Methods
 | Name | Description
Protected method | Initialize | Initialize 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Storage Namespace


LocalPathConfig Constructor

Initializes a new instance of the LocalPathConfig class

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LocalPathConfig()
Public Sub New
public:
LocalPathConfig()
new : unit -> LocalPathConfig
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig Properties

The LocalPathConfig type exposes the following members.

Properties
 | Name | Description
Public property | AppDataDirectory | App_Data directory App_Data目录的路径
Public property | DeviceSpecializedTemplateDirectoryNameFormat | Device specialized template directory name format (with string.Format) Under App_Data or plugin directories 设备专用的模板文件名的格式字符串(使用string.Format) 在App_Data目录或插件目录下
Public property | PluginInfoFilename | Filename that store plugin information Under plugin directory 储存插件信息的文件名 在插件目录下
Public property | TemplateDirectoryName | Template directory name, only the name Under App_Data or plugin directories 模板文件夹的文件名, 仅名称 在App_Data目录或插件目录下
Public property | WebsiteConfigPath | Website configuration path 网站配置的路径
Public property | WebsiteRootDirectory | Website root directory 网站根目录的路径
Top
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig.AppDataDirectory Property

LocalPathConfigAppDataDirectory Property

App_Data directory
App_Data目录的路径

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string AppDataDirectory { get; protected set; }
Public Overridable Property AppDataDirectory As String
    Get
    Protected Set
public:
virtual property String^ AppDataDirectory {
    String^ get ();
    protected: void set (String^ value);
}
abstract AppDataDirectory : string with get, set
override AppDataDirectory : string with get, set

Property Value

Type: String
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig.DeviceSpecializedTemplateDirectoryNameFormat Property

LocalPathConfigDeviceSpecializedTemplateDirectoryNameFormat Property

Device specialized template directory name format (with string.Format)
Under App_Data or plugin directories
设备专用的模板文件名的格式字符串(使用string.Format)
在App_Data目录或插件目录下

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string DeviceSpecializedTemplateDirectoryNameFormat { get; protected set; }
Public Overridable Property DeviceSpecializedTemplateDirectoryNameFormat As String
    Get
    Protected Set
public:
virtual property String^ DeviceSpecializedTemplateDirectoryNameFormat {
    String^ get ();
    protected: void set (String^ value);
}
abstract DeviceSpecializedTemplateDirectoryNameFormat : string with get, set
override DeviceSpecializedTemplateDirectoryNameFormat : string with get, set

Property Value

Type: String
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig.PluginInfoFilename Property

LocalPathConfigPluginInfoFilename Property

Filename that store plugin information
Under plugin directory
储存插件信息的文件名
在插件目录下

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string PluginInfoFilename { get; protected set; }
Public Overridable Property PluginInfoFilename As String
    Get
    Protected Set
public:
virtual property String^ PluginInfoFilename {
    String^ get ();
    protected: void set (String^ value);
}
abstract PluginInfoFilename : string with get, set
override PluginInfoFilename : string with get, set

Property Value

Type: String
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig.TemplateDirectoryName Property

LocalPathConfigTemplateDirectoryName Property

Template directory name, only the name
Under App_Data or plugin directories
模板文件夹的文件名, 仅名称
在App_Data目录或插件目录下

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string TemplateDirectoryName { get; protected set; }
Public Overridable Property TemplateDirectoryName As String
    Get
    Protected Set
public:
virtual property String^ TemplateDirectoryName {
    String^ get ();
    protected: void set (String^ value);
}
abstract TemplateDirectoryName : string with get, set
override TemplateDirectoryName : string with get, set

Property Value

Type: String
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig.WebsiteConfigPath Property

LocalPathConfigWebsiteConfigPath Property

Website configuration path
网站配置的路径

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string WebsiteConfigPath { get; protected set; }
Public Overridable Property WebsiteConfigPath As String
    Get
    Protected Set
public:
virtual property String^ WebsiteConfigPath {
    String^ get ();
    protected: void set (String^ value);
}
abstract WebsiteConfigPath : string with get, set
override WebsiteConfigPath : string with get, set

Property Value

Type: String
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig.WebsiteRootDirectory Property

LocalPathConfigWebsiteRootDirectory Property

Website root directory
网站根目录的路径

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string WebsiteRootDirectory { get; protected set; }
Public Overridable Property WebsiteRootDirectory As String
    Get
    Protected Set
public:
virtual property String^ WebsiteRootDirectory {
    String^ get ();
    protected: void set (String^ value);
}
abstract WebsiteRootDirectory : string with get, set
override WebsiteRootDirectory : string with get, set

Property Value

Type: String
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig Methods

The LocalPathConfig type exposes the following members.

Methods
 | Name | Description
Protected method | Initialize | Initialize 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathConfig.Initialize Method

LocalPathConfigInitialize Method

Initialize
初始化

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Initialize(
    string websiteRootDirectory
)
Protected Overridable Sub Initialize (
    websiteRootDirectory As String
)
protected:
virtual void Initialize(
    String^ websiteRootDirectory
)
abstract Initialize :
        websiteRootDirectory : string -> unit
override Initialize :
        websiteRootDirectory : string -> unit

Parameters

websiteRootDirectory
Type: SystemString

[Missing <param name="websiteRootDirectory"/> documentation for "M:ZKWeb.Storage.LocalPathConfig.Initialize(System.String)"]

See Also

Reference

LocalPathConfig Class
ZKWeb.Storage Namespace


LocalPathManager Class
Local path manager
It's better to use IFileStorage
Unless you really want to access local file system
本地路径管理器
一般情况最好使用IFileStorage, 除非你确实想访问本地文件系统
Inheritance Hierarchy
SystemObject
ZKWeb.StorageLocalPathManager

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class LocalPathManager : ICacheCleaner
Public Class LocalPathManager
    Implements ICacheCleaner
public ref class LocalPathManager : ICacheCleaner
type LocalPathManager =
    class
        interface ICacheCleaner
    end

The LocalPathManager type exposes the following members.

Constructors
 | Name | Description
Public method | LocalPathManager | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | ResourcePathCache | Resource path cache Isolated by client device 资源路径的缓存 按客户端设备类型隔离 { path: absolute path }
Public property | ResourcePathCacheTime | Resource path cache time Default is 2s, able to override from website configuration 资源路径的缓存时间 默认是2秒, 可以根据网站配置覆盖
Protected property | TemplatePathCache | Template path cache Isolated by client device 模板路径的缓存 按客户端设备类型隔离 { path: absolute path }
Public property | TemplatePathCacheTime | Template path cache time Default is 2s, able to override from website configuration 模板路径的缓存时间 默认是2秒, 可以根据网站配置覆盖
Top
Methods
 | Name | Description
Public method | ClearCache | Clear cache 清理缓存
Public method | GetPluginDirectories | Get plugin root directories in absolute path These directories are use to find plugins 获取保存插件的目录的绝对路径列表 这些路径会用于查找插件
Public method | GetResourceFullPath | Get resource full path Return null if resource file not found Result will cache for a short time 获取资源文件的完整路径 如果找不到则返回null 结果会在短暂的时间内缓存
Public method | GetResourceFullPathCandidates | Get resource full path candidates 获取资源文件的完整路径的候选列表 Path candidates - App_Data\{ResourcePath} - Iterate plugins in reverse order - {PluginDirectory}\{ResourcePath}
Public method | GetStorageFullPath | Get storage file or directory full path Return App_Data\{StoragePath} either exist or not exist 获取储存文件或文件夹的完整路径 返回App_Data\{储存路径}, 无论是否存在
Public method | GetTemplateFullPath | Get template full path Return null if template file not found Result will cache for a short time 获取模板文件的完整路径 如果找不到则返回null 结果会在短暂的时间内缓存
Public method | GetTemplateFullPathCandidates | Get template full path candidates 获取模板文件的完整路径候选列表 Rules 规则 Explicit plugin name 显式指定插件名称 - Format "PluginName:TemplatePath" - Example: "Common.Base:include/header.html" - Path candidates - {PluginDirectory}\templates.{device}\{TemplatePath} - {PluginDirectory}\templates\{TemplatePath} No Explicit plugin name 不指定插件名称 - Example "include/header.html" - Path candidates - App_Data\templates.{device}\{TemplatePath} - Iterate plugins in reverse order - {PluginDirectory}\templates.{device}\{TemplatePath} - App_Data\templates\{TemplatePath} - Iterate plugins in reverse order - {PluginDirectory}\templates\{TemplatePath}
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Storage Namespace


LocalPathManager Constructor

Initialize
初始化

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LocalPathManager()
Public Sub New
public:
LocalPathManager()
new : unit -> LocalPathManager
See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager Properties

The LocalPathManager type exposes the following members.

Properties
 | Name | Description
Protected property | ResourcePathCache | Resource path cache Isolated by client device 资源路径的缓存 按客户端设备类型隔离 { path: absolute path }
Public property | ResourcePathCacheTime | Resource path cache time Default is 2s, able to override from website configuration 资源路径的缓存时间 默认是2秒, 可以根据网站配置覆盖
Protected property | TemplatePathCache | Template path cache Isolated by client device 模板路径的缓存 按客户端设备类型隔离 { path: absolute path }
Public property | TemplatePathCacheTime | Template path cache time Default is 2s, able to override from website configuration 模板路径的缓存时间 默认是2秒, 可以根据网站配置覆盖
Top
See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.ResourcePathCache Property

LocalPathManagerResourcePathCache Property

Resource path cache
Isolated by client device
资源路径的缓存
按客户端设备类型隔离
{ path: absolute path }

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, string> ResourcePathCache { get; set; }
Protected Property ResourcePathCache As IKeyValueCache(Of String, String)
    Get
    Set
protected:
property IKeyValueCache<String^, String^>^ ResourcePathCache {
    IKeyValueCache<String^, String^>^ get ();
    void set (IKeyValueCache<String^, String^>^ value);
}
member ResourcePathCache : IKeyValueCache<string, string> with get, set

Property Value

Type: IKeyValueCache String, String
See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.ResourcePathCacheTime Property

LocalPathManagerResourcePathCacheTime Property

Resource path cache time
Default is 2s, able to override from website configuration
资源路径的缓存时间
默认是2秒, 可以根据网站配置覆盖

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan ResourcePathCacheTime { get; set; }
Public Property ResourcePathCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan ResourcePathCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member ResourcePathCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.TemplatePathCache Property

LocalPathManagerTemplatePathCache Property

Template path cache
Isolated by client device
模板路径的缓存
按客户端设备类型隔离
{ path: absolute path }

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, string> TemplatePathCache { get; set; }
Protected Property TemplatePathCache As IKeyValueCache(Of String, String)
    Get
    Set
protected:
property IKeyValueCache<String^, String^>^ TemplatePathCache {
    IKeyValueCache<String^, String^>^ get ();
    void set (IKeyValueCache<String^, String^>^ value);
}
member TemplatePathCache : IKeyValueCache<string, string> with get, set

Property Value

Type: IKeyValueCache String, String
See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.TemplatePathCacheTime Property

LocalPathManagerTemplatePathCacheTime Property

Template path cache time
Default is 2s, able to override from website configuration
模板路径的缓存时间
默认是2秒, 可以根据网站配置覆盖

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan TemplatePathCacheTime { get; set; }
Public Property TemplatePathCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan TemplatePathCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member TemplatePathCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager Methods

The LocalPathManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | Clear cache 清理缓存
Public method | GetPluginDirectories | Get plugin root directories in absolute path These directories are use to find plugins 获取保存插件的目录的绝对路径列表 这些路径会用于查找插件
Public method | GetResourceFullPath | Get resource full path Return null if resource file not found Result will cache for a short time 获取资源文件的完整路径 如果找不到则返回null 结果会在短暂的时间内缓存
Public method | GetResourceFullPathCandidates | Get resource full path candidates 获取资源文件的完整路径的候选列表 Path candidates - App_Data\{ResourcePath} - Iterate plugins in reverse order - {PluginDirectory}\{ResourcePath}
Public method | GetStorageFullPath | Get storage file or directory full path Return App_Data\{StoragePath} either exist or not exist 获取储存文件或文件夹的完整路径 返回App_Data\{储存路径}, 无论是否存在
Public method | GetTemplateFullPath | Get template full path Return null if template file not found Result will cache for a short time 获取模板文件的完整路径 如果找不到则返回null 结果会在短暂的时间内缓存
Public method | GetTemplateFullPathCandidates | Get template full path candidates 获取模板文件的完整路径候选列表 Rules 规则 Explicit plugin name 显式指定插件名称 - Format "PluginName:TemplatePath" - Example: "Common.Base:include/header.html" - Path candidates - {PluginDirectory}\templates.{device}\{TemplatePath} - {PluginDirectory}\templates\{TemplatePath} No Explicit plugin name 不指定插件名称 - Example "include/header.html" - Path candidates - App_Data\templates.{device}\{TemplatePath} - Iterate plugins in reverse order - {PluginDirectory}\templates.{device}\{TemplatePath} - App_Data\templates\{TemplatePath} - Iterate plugins in reverse order - {PluginDirectory}\templates\{TemplatePath}
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.ClearCache Method

LocalPathManagerClearCache Method

Clear cache
清理缓存

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleanerClearCache
See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.GetPluginDirectories Method

LocalPathManagerGetPluginDirectories Method

Get plugin root directories in absolute path
These directories are use to find plugins
获取保存插件的目录的绝对路径列表
这些路径会用于查找插件

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<string> GetPluginDirectories()
Public Overridable Function GetPluginDirectories As IList(Of String)
public:
virtual IList<String^>^ GetPluginDirectories()
abstract GetPluginDirectories : unit -> IList<string>
override GetPluginDirectories : unit -> IList<string>

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalPathManager.GetPluginDirectories"]

See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.GetResourceFullPath Method

LocalPathManagerGetResourceFullPath Method

Get resource full path
Return null if resource file not found
Result will cache for a short time
获取资源文件的完整路径
如果找不到则返回null
结果会在短暂的时间内缓存

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetResourceFullPath(
    params string[] pathParts
)
Public Overridable Function GetResourceFullPath (
    ParamArray pathParts As String()
) As String
public:
virtual String^ GetResourceFullPath(
    ... array<String^>^ pathParts
)
abstract GetResourceFullPath :
        pathParts : string[] -> string
override GetResourceFullPath :
        pathParts : string[] -> string

Parameters

pathParts
Type: SystemString
Resource path

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalPathManager.GetResourceFullPath(System.String[])"]

See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.GetResourceFullPathCandidates Method

LocalPathManagerGetResourceFullPathCandidates Method

Get resource full path candidates
获取资源文件的完整路径的候选列表
Path candidates
- App_Data\{ResourcePath}
- Iterate plugins in reverse order
- {PluginDirectory}\{ResourcePath}

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<string> GetResourceFullPathCandidates(
    params string[] pathParts
)
Public Overridable Function GetResourceFullPathCandidates (
    ParamArray pathParts As String()
) As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetResourceFullPathCandidates(
    ... array<String^>^ pathParts
)
abstract GetResourceFullPathCandidates :
        pathParts : string[] -> IEnumerable<string>
override GetResourceFullPathCandidates :
        pathParts : string[] -> IEnumerable<string>

Parameters

pathParts
Type: SystemString
Resource path

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalPathManager.GetResourceFullPathCandidates(System.String[])"]

See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.GetStorageFullPath Method

LocalPathManagerGetStorageFullPath Method

Get storage file or directory full path
Return App_Data\{StoragePath} either exist or not exist
获取储存文件或文件夹的完整路径
返回App_Data\{储存路径}, 无论是否存在

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetStorageFullPath(
    params string[] pathParts
)
Public Overridable Function GetStorageFullPath (
    ParamArray pathParts As String()
) As String
public:
virtual String^ GetStorageFullPath(
    ... array<String^>^ pathParts
)
abstract GetStorageFullPath :
        pathParts : string[] -> string
override GetStorageFullPath :
        pathParts : string[] -> string

Parameters

pathParts
Type: SystemString
Storage path

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalPathManager.GetStorageFullPath(System.String[])"]

See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.GetTemplateFullPath Method

LocalPathManagerGetTemplateFullPath Method

Get template full path
Return null if template file not found
Result will cache for a short time
获取模板文件的完整路径
如果找不到则返回null
结果会在短暂的时间内缓存

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetTemplateFullPath(
    string path
)
Public Overridable Function GetTemplateFullPath (
    path As String
) As String
public:
virtual String^ GetTemplateFullPath(
    String^ path
)
abstract GetTemplateFullPath :
        path : string -> string
override GetTemplateFullPath :
        path : string -> string

Parameters

path
Type: SystemString
Template path

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalPathManager.GetTemplateFullPath(System.String)"]

See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


LocalPathManager.GetTemplateFullPathCandidates Method

LocalPathManagerGetTemplateFullPathCandidates Method

Get template full path candidates
获取模板文件的完整路径候选列表
Rules
规则
Explicit plugin name
显式指定插件名称
- Format "PluginName:TemplatePath"
- Example: "Common.Base:include/header.html"
- Path candidates
- {PluginDirectory}\templates.{device}\{TemplatePath}
- {PluginDirectory}\templates\{TemplatePath}
No Explicit plugin name
不指定插件名称
- Example "include/header.html"
- Path candidates
- App_Data\templates.{device}\{TemplatePath}
- Iterate plugins in reverse order
- {PluginDirectory}\templates.{device}\{TemplatePath}
- App_Data\templates\{TemplatePath}
- Iterate plugins in reverse order
- {PluginDirectory}\templates\{TemplatePath}

Namespace: ZKWeb.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<string> GetTemplateFullPathCandidates(
    string path
)
Public Overridable Function GetTemplateFullPathCandidates (
    path As String
) As IEnumerable(Of String)
public:
virtual IEnumerable<String^>^ GetTemplateFullPathCandidates(
    String^ path
)
abstract GetTemplateFullPathCandidates :
        path : string -> IEnumerable<string>
override GetTemplateFullPathCandidates :
        path : string -> IEnumerable<string>

Parameters

path
Type: SystemString
Template path

Return Value

Type: IEnumerable String

[Missing <returns> documentation for "M:ZKWeb.Storage.LocalPathManager.GetTemplateFullPathCandidates(System.String)"]

See Also

Reference

LocalPathManager Class
ZKWeb.Storage Namespace


ZKWeb.Templating Namespaces

[Missing <summary> documentation for "G:ZKWeb.Templating"]

Namespaces
Namespace | Description
ZKWeb.Templating |
ZKWeb.Templating.DynamicContents |
ZKWeb.Templating.TemplateFilters |
ZKWeb.Templating.TemplateTags |


ZKWeb.Templating Namespace

[Missing <summary> documentation for "N:ZKWeb.Templating"]

Classes
 | Class | Description
Public class | TemplateFileSystem | Dotliquid template file system Dotliquid使用的模板文件系统
 | TemplateManager | Template manager 模板管理器 See: http://dotliquidmarkup.org/


TemplateFileSystem Class
Dotliquid template file system
Dotliquid使用的模板文件系统
Inheritance Hierarchy
SystemObject
ZKWeb.TemplatingTemplateFileSystem

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateFileSystem : IFileSystem,
    ICacheCleaner
Public Class TemplateFileSystem
    Implements IFileSystem, ICacheCleaner
public ref class TemplateFileSystem : IFileSystem,
    ICacheCleaner
type TemplateFileSystem =
    class
        interface IFileSystem
        interface ICacheCleaner
    end

The TemplateFileSystem type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateFileSystem | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | TemplateCache | Parsed template cache 已解析模板的缓存 { Full path: (Template object, Modify time) }
Public property | TemplateCacheTime | Parsed template cache time Default is 180s, able to override from website configuration 已解析模板的缓存时间 默认是180秒, 可以根据网站配置覆盖
Top
Methods
 | Name | Description
Public method | ClearCache | Clear cache 清理缓存
Public method | ReadTemplateFile | Read template object from path 从路径读取模板对象
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Templating Namespace
ZKWeb.TemplatingTemplateManager


TemplateFileSystem Constructor

Initialize
初始化

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateFileSystem()
Public Sub New
public:
TemplateFileSystem()
new : unit -> TemplateFileSystem
See Also

Reference

TemplateFileSystem Class
ZKWeb.Templating Namespace


TemplateFileSystem Properties

The TemplateFileSystem type exposes the following members.

Properties
 | Name | Description
Protected property | TemplateCache | Parsed template cache 已解析模板的缓存 { Full path: (Template object, Modify time) }
Public property | TemplateCacheTime | Parsed template cache time Default is 180s, able to override from website configuration 已解析模板的缓存时间 默认是180秒, 可以根据网站配置覆盖
Top
See Also

Reference

TemplateFileSystem Class
ZKWeb.Templating Namespace


TemplateFileSystem.TemplateCache Property

TemplateFileSystemTemplateCache Property

Parsed template cache
已解析模板的缓存
{ Full path: (Template object, Modify time) }

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, Pair<Template, DateTime>> TemplateCache { get; set; }
Protected Property TemplateCache As IKeyValueCache(Of String, Pair(Of Template, DateTime))
    Get
    Set
protected:
property IKeyValueCache<String^, Pair<Template^, DateTime>>^ TemplateCache {
    IKeyValueCache<String^, Pair<Template^, DateTime>>^ get ();
    void set (IKeyValueCache<String^, Pair<Template^, DateTime>>^ value);
}
member TemplateCache : IKeyValueCache<string, Pair<Template, DateTime>> with get, set

Property Value

Type: IKeyValueCache String, Pair Template, DateTime
See Also

Reference

TemplateFileSystem Class
ZKWeb.Templating Namespace


TemplateFileSystem.TemplateCacheTime Property

TemplateFileSystemTemplateCacheTime Property

Parsed template cache time
Default is 180s, able to override from website configuration
已解析模板的缓存时间
默认是180秒, 可以根据网站配置覆盖

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan TemplateCacheTime { get; set; }
Public Property TemplateCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan TemplateCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member TemplateCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

TemplateFileSystem Class
ZKWeb.Templating Namespace


TemplateFileSystem Methods

The TemplateFileSystem type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | Clear cache 清理缓存
Public method | ReadTemplateFile | Read template object from path 从路径读取模板对象
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateFileSystem Class
ZKWeb.Templating Namespace


TemplateFileSystem.ClearCache Method

TemplateFileSystemClearCache Method

Clear cache
清理缓存

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleanerClearCache
See Also

Reference

TemplateFileSystem Class
ZKWeb.Templating Namespace


TemplateFileSystem.ReadTemplateFile Method

TemplateFileSystemReadTemplateFile Method

Read template object from path
从路径读取模板对象

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Object ReadTemplateFile(
    Context context,
    string templateName
)
Public Overridable Function ReadTemplateFile (
    context As Context,
    templateName As String
) As Object
public:
virtual Object^ ReadTemplateFile(
    Context^ context,
    String^ templateName
)
abstract ReadTemplateFile :
        context : Context *
        templateName : string -> Object
override ReadTemplateFile :
        context : Context *
        templateName : string -> Object

Parameters

context
Type: Context
Template context
templateName
Type: SystemString
Template path

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateFileSystem.ReadTemplateFile(DotLiquid.Context,System.String)"]

Implements

IFileSystem.ReadTemplateFile(Context, String)
See Also

Reference

TemplateFileSystem Class
ZKWeb.Templating Namespace


TemplateManager Class
Template manager
模板管理器
See: http://dotliquidmarkup.org/
Inheritance Hierarchy
SystemObject
ZKWeb.TemplatingTemplateManager

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateManager
Public Class TemplateManager
public ref class TemplateManager
type TemplateManager =  class end

The TemplateManager type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateManager | Initializes a new instance of the TemplateManager class
Top
Methods
 | Name | Description
Public method | CreateHash | Create hash from object Please use this method to replace Hash.FromDictionary and Hash.FromAnonymousObject 创建Hash对象 请使用这个函数代替Hash.FromDictionary和Hash.FromAnonymousObject函数
Protected method | Initialize | Initialize 初始化
Public method | RenderTemplate(String, Object) | Render template to string 描画模板到字符串
Public method | RenderTemplate(String, Object, Stream) | Render template to stream 描画模板到数据流
Top
Fields
Name | Description
RegexCacheSize | Internal cache size use to improve regex performance 正则表达式的内部缓存大小, 用于改进性能
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var templateManager = Application.Ioc.Resolve<TemplateManager>();
var rendered = templateManager.RenderTemplate("index.html", null);
See Also

Reference

ZKWeb.Templating Namespace


TemplateManager Constructor

Initializes a new instance of the TemplateManager class

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateManager()
Public Sub New
public:
TemplateManager()
new : unit -> TemplateManager
See Also

Reference

TemplateManager Class
ZKWeb.Templating Namespace


TemplateManager Methods

The TemplateManager type exposes the following members.

Methods
 | Name | Description
Public method | CreateHash | Create hash from object Please use this method to replace Hash.FromDictionary and Hash.FromAnonymousObject 创建Hash对象 请使用这个函数代替Hash.FromDictionary和Hash.FromAnonymousObject函数
Protected method | Initialize | Initialize 初始化
Public method | RenderTemplate(String, Object) | Render template to string 描画模板到字符串
Public method | RenderTemplate(String, Object, Stream) | Render template to stream 描画模板到数据流
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateManager Class
ZKWeb.Templating Namespace


TemplateManager.CreateHash Method

TemplateManagerCreateHash Method

Create hash from object
Please use this method to replace Hash.FromDictionary and Hash.FromAnonymousObject
创建Hash对象
请使用这个函数代替Hash.FromDictionary和Hash.FromAnonymousObject函数

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Hash CreateHash(
    Object obj
)
Public Overridable Function CreateHash (
    obj As Object
) As Hash
public:
virtual Hash^ CreateHash(
    Object^ obj
)
abstract CreateHash :
        obj : Object -> Hash
override CreateHash :
        obj : Object -> Hash

Parameters

obj
Type: SystemObject
Object

Return Value

Type: Hash

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateManager.CreateHash(System.Object)"]

See Also

Reference

TemplateManager Class
ZKWeb.Templating Namespace


TemplateManager.Initialize Method

TemplateManagerInitialize Method

Initialize
初始化

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Initialize()
Protected Overridable Sub Initialize
protected:
virtual void Initialize()
abstract Initialize : unit -> unit
override Initialize : unit -> unit
See Also

Reference

TemplateManager Class
ZKWeb.Templating Namespace


TemplateManager.RenderTemplate Method

TemplateManagerRenderTemplate Method

Overload List
 | Name | Description
Public method | RenderTemplate(String, Object) | Render template to string 描画模板到字符串
Public method | RenderTemplate(String, Object, Stream) | Render template to stream 描画模板到数据流
Top
See Also

Reference

TemplateManager Class
ZKWeb.Templating Namespace


TemplateManager.RenderTemplate Method (String, Object)

TemplateManagerRenderTemplate Method (String, Object)
Render template to string
描画模板到字符串

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string RenderTemplate(
    string path,
    Object arguments
)
Public Overridable Function RenderTemplate (
    path As String,
    arguments As Object
) As String
public:
virtual String^ RenderTemplate(
    String^ path,
    Object^ arguments
)
abstract RenderTemplate :
        path : string *
        arguments : Object -> string
override RenderTemplate :
        path : string *
        arguments : Object -> string

Parameters

path
Type: SystemString
Template path
arguments
Type: SystemObject
Template arguments

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateManager.RenderTemplate(System.String,System.Object)"]

See Also

Reference

TemplateManager Class
RenderTemplate Overload
ZKWeb.Templating Namespace


TemplateManager.RenderTemplate Method (String, Object, Stream)

TemplateManagerRenderTemplate Method (String, Object, Stream)
Render template to stream
描画模板到数据流

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RenderTemplate(
    string path,
    Object arguments,
    Stream stream
)
Public Overridable Sub RenderTemplate (
    path As String,
    arguments As Object,
    stream As Stream
)
public:
virtual void RenderTemplate(
    String^ path,
    Object^ arguments,
    Stream^ stream
)
abstract RenderTemplate :
        path : string *
        arguments : Object *
        stream : Stream -> unit
override RenderTemplate :
        path : string *
        arguments : Object *
        stream : Stream -> unit

Parameters

path
Type: SystemString
Template path
arguments
Type: SystemObject
Template arguments
stream
Type: System.IOStream
Target stream
See Also

Reference

TemplateManager Class
RenderTemplate Overload
ZKWeb.Templating Namespace


TemplateManager Fields

The TemplateManager type exposes the following members.

Fields
Name | Description
RegexCacheSize | Internal cache size use to improve regex performance 正则表达式的内部缓存大小, 用于改进性能
Top
See Also

Reference

TemplateManager Class
ZKWeb.Templating Namespace


TemplateManager.RegexCacheSize Field

TemplateManagerRegexCacheSize Field
Internal cache size use to improve regex performance
正则表达式的内部缓存大小, 用于改进性能

Namespace: ZKWeb.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const int RegexCacheSize = 65535
Public Const RegexCacheSize As Integer = 65535
public:
literal int RegexCacheSize = 65535
static val mutable RegexCacheSize: int

Field Value

Type: Int32
See Also

Reference

TemplateManager Class
ZKWeb.Templating Namespace


ZKWeb.Templating.DynamicContents Namespace

[Missing <summary> documentation for "N:ZKWeb.Templating.DynamicContents"]

Classes
 | Class | Description
Public class | TemplateArea | Template area 模板区域
Public class | TemplateAreaExtensions | Template area extension methods 模板区域的扩展函数
Public class | TemplateAreaManager | Template area and widgets manager 模板区域和模块的管理器
Public class | TemplateWidget | Template widget Inside the template area, use to display dynamic contents 模板模块 在模块区域之内, 用于显示动态的内容
Public class | TemplateWidgetExtensions | Template widget extension methods 模板模块的扩展函数
Public class | TemplateWidgetInfo | Template widget information Desirialize from {WidgetPath}.widget 模板模块的信息 从{模块路径}.widget文件反序列化得到
Public class | TemplateWidgetInfoExtensions | Template widget information extension methods 模板模块的信息的扩展函数
Public class | TemplateWidgetRenderer | Built-in template widget renderer 内置的模板模块描画器
Interfaces
 | Interface | Description
Public interface | ITemplateWidgetRenderer | Template widget renderer 模板模块描画器


ITemplateWidgetRenderer Interface
Template widget renderer
模板模块描画器

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ITemplateWidgetRenderer
Public Interface ITemplateWidgetRenderer
public interface class ITemplateWidgetRenderer
type ITemplateWidgetRenderer =  interface end

The ITemplateWidgetRenderer type exposes the following members.

Methods
 | Name | Description
Public method | Render | Render widget Return render result 描画模板, 返回描画结果
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.TemplatingTemplateManager


ITemplateWidgetRenderer Methods

The ITemplateWidgetRenderer type exposes the following members.

Methods
 | Name | Description
Public method | Render | Render widget Return render result 描画模板, 返回描画结果
Top
See Also

Reference

ITemplateWidgetRenderer Interface
ZKWeb.Templating.DynamicContents Namespace


ITemplateWidgetRenderer.Render Method

ITemplateWidgetRendererRender Method

Render widget
Return render result
描画模板, 返回描画结果

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Render(
    Context context,
    TemplateWidget widget
)
Function Render (
    context As Context,
    widget As TemplateWidget
) As String
String^ Render(
    Context^ context,
    TemplateWidget^ widget
)
abstract Render :
        context : Context *
        widget : TemplateWidget -> string

Parameters

context
Type: Context
Template context
widget
Type: ZKWeb.Templating.DynamicContentsTemplateWidget
Template widget

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.ITemplateWidgetRenderer.Render(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

See Also

Reference

ITemplateWidgetRenderer Interface
ZKWeb.Templating.DynamicContents Namespace


TemplateArea Class
Template area
模板区域
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.DynamicContentsTemplateArea

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateArea
Public Class TemplateArea
public ref class TemplateArea
type TemplateArea =  class end

The TemplateArea type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateArea | Initialize 初始化
Top
Properties
 | Name | Description
Public property | DefaultWidgets | Default widgets 该区域下的默认模块列表
Public property | Id | Area Id 区域Id
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.Templating.DynamicContentsTemplateWidget
ZKWeb.Templating.DynamicContentsTemplateWidgetInfo
ZKWeb.Templating.DynamicContentsTemplateAreaManager


TemplateArea Constructor

Initialize
初始化

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateArea(
    string id
)
Public Sub New (
    id As String
)
public:
TemplateArea(
    String^ id
)
new :
        id : string -> TemplateArea

Parameters

id
Type: SystemString
Area id
See Also

Reference

TemplateArea Class
ZKWeb.Templating.DynamicContents Namespace


TemplateArea Properties

The TemplateArea type exposes the following members.

Properties
 | Name | Description
Public property | DefaultWidgets | Default widgets 该区域下的默认模块列表
Public property | Id | Area Id 区域Id
Top
See Also

Reference

TemplateArea Class
ZKWeb.Templating.DynamicContents Namespace


TemplateArea.DefaultWidgets Property

TemplateAreaDefaultWidgets Property

Default widgets
该区域下的默认模块列表

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<TemplateWidget> DefaultWidgets { get; set; }
Public Property DefaultWidgets As IList(Of TemplateWidget)
    Get
    Set
public:
property IList<TemplateWidget^>^ DefaultWidgets {
    IList<TemplateWidget^>^ get ();
    void set (IList<TemplateWidget^>^ value);
}
member DefaultWidgets : IList<TemplateWidget> with get, set

Property Value

Type: IList TemplateWidget
See Also

Reference

TemplateArea Class
ZKWeb.Templating.DynamicContents Namespace


TemplateArea.Id Property

TemplateAreaId Property

Area Id
区域Id

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Id { get; set; }
Public Property Id As String
    Get
    Set
public:
property String^ Id {
    String^ get ();
    void set (String^ value);
}
member Id : string with get, set

Property Value

Type: String
See Also

Reference

TemplateArea Class
ZKWeb.Templating.DynamicContents Namespace


TemplateArea Methods

The TemplateArea type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateArea Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaExtensions Class
Template area extension methods
模板区域的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.DynamicContentsTemplateAreaExtensions

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class TemplateAreaExtensions
<ExtensionAttribute>
Public NotInheritable Class TemplateAreaExtensions
[ExtensionAttribute]
public ref class TemplateAreaExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type TemplateAreaExtensions =  class end

The TemplateAreaExtensions type exposes the following members.

Methods
Name | Description
Add | Add widget 向模块列表中添加模块
AddAfter | Add widget after the specified widget If specified widget not found then add it to the back 在指定模块后插入模块 如果指定模块不存在则插入到结尾
AddBefore | Add widget before the specified widget If specified widget not found then add it to the front 在指定模块前插入模块 如果指定模块不存在则插入到开头
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.Templating.DynamicContentsTemplateArea


TemplateAreaExtensions Methods

The TemplateAreaExtensions type exposes the following members.

Methods
Name | Description
Add | Add widget 向模块列表中添加模块
AddAfter | Add widget after the specified widget If specified widget not found then add it to the back 在指定模块后插入模块 如果指定模块不存在则插入到结尾
AddBefore | Add widget before the specified widget If specified widget not found then add it to the front 在指定模块前插入模块 如果指定模块不存在则插入到开头
Top
See Also

Reference

TemplateAreaExtensions Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaExtensions.Add Method

TemplateAreaExtensionsAdd Method

Add widget
向模块列表中添加模块

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Add(
    this IList<TemplateWidget> widgets,
    string path,
    Object args = null
)
<ExtensionAttribute>
Public Shared Sub Add (
    widgets As IList(Of TemplateWidget),
    path As String,
    Optional args As Object = Nothing
)
public:
[ExtensionAttribute]
static void Add(
    IList<TemplateWidget^>^ widgets,
    String^ path,
    Object^ args = nullptr
)
[<ExtensionAttribute>]
static member Add :
        widgets : IList<TemplateWidget> *
        path : string *
        ?args : Object
(* Defaults:
        let _args = defaultArg args null
*)
-> unit

Parameters

widgets
Type: System.Collections.GenericIList TemplateWidget
Widgets
path
Type: SystemString
Widget path, must without extension
args (Optional)
Type: SystemObject
Arguments

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList TemplateWidget . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

TemplateAreaExtensions Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaExtensions.AddAfter Method

TemplateAreaExtensionsAddAfter Method

Add widget after the specified widget
If specified widget not found then add it to the back
在指定模块后插入模块
如果指定模块不存在则插入到结尾

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void AddAfter(
    this IList<TemplateWidget> widgets,
    string afterPath,
    string path,
    Object args = null
)
<ExtensionAttribute>
Public Shared Sub AddAfter (
    widgets As IList(Of TemplateWidget),
    afterPath As String,
    path As String,
    Optional args As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddAfter(
    IList<TemplateWidget^>^ widgets,
    String^ afterPath,
    String^ path,
    Object^ args = nullptr
)
[<ExtensionAttribute>]
static member AddAfter :
        widgets : IList<TemplateWidget> *
        afterPath : string *
        path : string *
        ?args : Object
(* Defaults:
        let _args = defaultArg args null
*)
-> unit

Parameters

widgets
Type: System.Collections.GenericIList TemplateWidget
Widgets
afterPath
Type: SystemString
Add after widget that path equals it
path
Type: SystemString
Widget path, must without extension
args (Optional)
Type: SystemObject
Arguments

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList TemplateWidget . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

TemplateAreaExtensions Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaExtensions.AddBefore Method

TemplateAreaExtensionsAddBefore Method

Add widget before the specified widget
If specified widget not found then add it to the front
在指定模块前插入模块
如果指定模块不存在则插入到开头

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void AddBefore(
    this IList<TemplateWidget> widgets,
    string beforePath,
    string path,
    Object args = null
)
<ExtensionAttribute>
Public Shared Sub AddBefore (
    widgets As IList(Of TemplateWidget),
    beforePath As String,
    path As String,
    Optional args As Object = Nothing
)
public:
[ExtensionAttribute]
static void AddBefore(
    IList<TemplateWidget^>^ widgets,
    String^ beforePath,
    String^ path,
    Object^ args = nullptr
)
[<ExtensionAttribute>]
static member AddBefore :
        widgets : IList<TemplateWidget> *
        beforePath : string *
        path : string *
        ?args : Object
(* Defaults:
        let _args = defaultArg args null
*)
-> unit

Parameters

widgets
Type: System.Collections.GenericIList TemplateWidget
Widgets
beforePath
Type: SystemString
Add before widget that path equals it
path
Type: SystemString
Widget path, must without extension
args (Optional)
Type: SystemObject
Arguments

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList TemplateWidget . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

TemplateAreaExtensions Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager Class
Template area and widgets manager
模板区域和模块的管理器
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.DynamicContentsTemplateAreaManager

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateAreaManager : ICacheCleaner
Public Class TemplateAreaManager
    Implements ICacheCleaner
public ref class TemplateAreaManager : ICacheCleaner
type TemplateAreaManager =
    class
        interface ICacheCleaner
    end

The TemplateAreaManager type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateAreaManager | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | Areas | Areas 区域列表 { Area id: Area }
Protected property | CustomWidgetsCache | Custom widgets cache Isolated by client device 自定义模块列表的缓存 根据客户端设备类型隔离 { Area id: custom widgets }
Public property | CustomWidgetsCacheTime | Custom widgets cache time Default is 2s, able to override from website configuration 自定义模块列表的缓存时间 默认是2秒, 可以根据网站配置覆盖
Protected property | WidgetInfoCache | Widget information cache Isolated by client device 模块信息的缓存 根据客户端设备类型隔离 { Widget path: widget information }
Public property | WidgetInfoCacheTime | Widget information cache time Default is 2s, able to override from website configuration 模块信息的缓存时间 默认是2秒, 可以根据网站配置覆盖
Protected property | WidgetRenderCache | Widget render result cache 模块描画结果的缓存 { Isolation policy: { Widget path and arguments: render result } }
Top
Methods
 | Name | Description
Public method | ClearCache | Clear cache 清理缓存
Public method | GetArea | Get area by id If not found then create a new area with the given id 根据Id获取区域 如果找不到则创建一个新的区域, 设置id为指定id并返回
Public method | GetCustomWidgets | Get custom widgets for the given area Return null if custom widgets are unspecified 获取指定区域的自定义模块列表 如果未指定自定义模块列表则返回null
Protected method | GetCustomWidgetsFile | Get json path that store custom widgets for the given area 获取保存指定区域的自定义模块列表的json文件 Path: App_Data/areas/{areaId}.widgets
Public method | GetWidgetInfo | Get widget information 获取模块信息
Public method | RenderWidget | Render widget Return render result 描画模块 返回描画结果
Public method | SetCustomWidgets | Set custom widgets for the given area If parameter "widgets" is null then remove the old list 设置指定区域的自定义模块列表 如果参数"widgets"是null则删除旧的列表
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.Templating.DynamicContentsTemplateArea
ZKWeb.Templating.DynamicContentsTemplateWidget
ZKWeb.Templating.DynamicContentsTemplateWidgetInfo


TemplateAreaManager Constructor

Initialize
初始化

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateAreaManager()
Public Sub New
public:
TemplateAreaManager()
new : unit -> TemplateAreaManager
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager Properties

The TemplateAreaManager type exposes the following members.

Properties
 | Name | Description
Protected property | Areas | Areas 区域列表 { Area id: Area }
Protected property | CustomWidgetsCache | Custom widgets cache Isolated by client device 自定义模块列表的缓存 根据客户端设备类型隔离 { Area id: custom widgets }
Public property | CustomWidgetsCacheTime | Custom widgets cache time Default is 2s, able to override from website configuration 自定义模块列表的缓存时间 默认是2秒, 可以根据网站配置覆盖
Protected property | WidgetInfoCache | Widget information cache Isolated by client device 模块信息的缓存 根据客户端设备类型隔离 { Widget path: widget information }
Public property | WidgetInfoCacheTime | Widget information cache time Default is 2s, able to override from website configuration 模块信息的缓存时间 默认是2秒, 可以根据网站配置覆盖
Protected property | WidgetRenderCache | Widget render result cache 模块描画结果的缓存 { Isolation policy: { Widget path and arguments: render result } }
Top
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.Areas Property

TemplateAreaManagerAreas Property

Areas
区域列表
{ Area id: Area }

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Dictionary<string, TemplateArea> Areas { get; set; }
Protected Property Areas As Dictionary(Of String, TemplateArea)
    Get
    Set
protected:
property Dictionary<String^, TemplateArea^>^ Areas {
    Dictionary<String^, TemplateArea^>^ get ();
    void set (Dictionary<String^, TemplateArea^>^ value);
}
member Areas : Dictionary<string, TemplateArea> with get, set

Property Value

Type: Dictionary String, TemplateArea
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.CustomWidgetsCache Property

TemplateAreaManagerCustomWidgetsCache Property

Custom widgets cache
Isolated by client device
自定义模块列表的缓存
根据客户端设备类型隔离
{ Area id: custom widgets }

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, IList<TemplateWidget>> CustomWidgetsCache { get; set; }
Protected Property CustomWidgetsCache As IKeyValueCache(Of String, IList(Of TemplateWidget))
    Get
    Set
protected:
property IKeyValueCache<String^, IList<TemplateWidget^>^>^ CustomWidgetsCache {
    IKeyValueCache<String^, IList<TemplateWidget^>^>^ get ();
    void set (IKeyValueCache<String^, IList<TemplateWidget^>^>^ value);
}
member CustomWidgetsCache : IKeyValueCache<string, IList<TemplateWidget>> with get, set

Property Value

Type: IKeyValueCache String, IList TemplateWidget
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.CustomWidgetsCacheTime Property

TemplateAreaManagerCustomWidgetsCacheTime Property

Custom widgets cache time
Default is 2s, able to override from website configuration
自定义模块列表的缓存时间
默认是2秒, 可以根据网站配置覆盖

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan CustomWidgetsCacheTime { get; set; }
Public Property CustomWidgetsCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan CustomWidgetsCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member CustomWidgetsCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.WidgetInfoCache Property

TemplateAreaManagerWidgetInfoCache Property

Widget information cache
Isolated by client device
模块信息的缓存
根据客户端设备类型隔离
{ Widget path: widget information }

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IKeyValueCache<string, TemplateWidgetInfo> WidgetInfoCache { get; set; }
Protected Property WidgetInfoCache As IKeyValueCache(Of String, TemplateWidgetInfo)
    Get
    Set
protected:
property IKeyValueCache<String^, TemplateWidgetInfo^>^ WidgetInfoCache {
    IKeyValueCache<String^, TemplateWidgetInfo^>^ get ();
    void set (IKeyValueCache<String^, TemplateWidgetInfo^>^ value);
}
member WidgetInfoCache : IKeyValueCache<string, TemplateWidgetInfo> with get, set

Property Value

Type: IKeyValueCache String, TemplateWidgetInfo
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.WidgetInfoCacheTime Property

TemplateAreaManagerWidgetInfoCacheTime Property

Widget information cache time
Default is 2s, able to override from website configuration
模块信息的缓存时间
默认是2秒, 可以根据网站配置覆盖

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan WidgetInfoCacheTime { get; set; }
Public Property WidgetInfoCacheTime As TimeSpan
    Get
    Set
public:
property TimeSpan WidgetInfoCacheTime {
    TimeSpan get ();
    void set (TimeSpan value);
}
member WidgetInfoCacheTime : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.WidgetRenderCache Property

TemplateAreaManagerWidgetRenderCache Property

Widget render result cache
模块描画结果的缓存
{ Isolation policy: { Widget path and arguments: render result } }

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ConcurrentDictionary<string, IKeyValueCache<string, string>> WidgetRenderCache { get; set; }
Protected Property WidgetRenderCache As ConcurrentDictionary(Of String, IKeyValueCache(Of String, String))
    Get
    Set
protected:
property ConcurrentDictionary<String^, IKeyValueCache<String^, String^>^>^ WidgetRenderCache {
    ConcurrentDictionary<String^, IKeyValueCache<String^, String^>^>^ get ();
    void set (ConcurrentDictionary<String^, IKeyValueCache<String^, String^>^>^ value);
}
member WidgetRenderCache : ConcurrentDictionary<string, IKeyValueCache<string, string>> with get, set

Property Value

Type: ConcurrentDictionary String, IKeyValueCache String, String
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager Methods

The TemplateAreaManager type exposes the following members.

Methods
 | Name | Description
Public method | ClearCache | Clear cache 清理缓存
Public method | GetArea | Get area by id If not found then create a new area with the given id 根据Id获取区域 如果找不到则创建一个新的区域, 设置id为指定id并返回
Public method | GetCustomWidgets | Get custom widgets for the given area Return null if custom widgets are unspecified 获取指定区域的自定义模块列表 如果未指定自定义模块列表则返回null
Protected method | GetCustomWidgetsFile | Get json path that store custom widgets for the given area 获取保存指定区域的自定义模块列表的json文件 Path: App_Data/areas/{areaId}.widgets
Public method | GetWidgetInfo | Get widget information 获取模块信息
Public method | RenderWidget | Render widget Return render result 描画模块 返回描画结果
Public method | SetCustomWidgets | Set custom widgets for the given area If parameter "widgets" is null then remove the old list 设置指定区域的自定义模块列表 如果参数"widgets"是null则删除旧的列表
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.ClearCache Method

TemplateAreaManagerClearCache Method

Clear cache
清理缓存

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void ClearCache()
Public Overridable Sub ClearCache
public:
virtual void ClearCache()
abstract ClearCache : unit -> unit
override ClearCache : unit -> unit

Implements

ICacheCleanerClearCache
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.GetArea Method

TemplateAreaManagerGetArea Method

Get area by id
If not found then create a new area with the given id
根据Id获取区域
如果找不到则创建一个新的区域, 设置id为指定id并返回

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual TemplateArea GetArea(
    string areaId
)
Public Overridable Function GetArea (
    areaId As String
) As TemplateArea
public:
virtual TemplateArea^ GetArea(
    String^ areaId
)
abstract GetArea :
        areaId : string -> TemplateArea
override GetArea :
        areaId : string -> TemplateArea

Parameters

areaId
Type: SystemString
Area id

Return Value

Type: TemplateArea

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateAreaManager.GetArea(System.String)"]

See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.GetCustomWidgets Method

TemplateAreaManagerGetCustomWidgets Method

Get custom widgets for the given area
Return null if custom widgets are unspecified
获取指定区域的自定义模块列表
如果未指定自定义模块列表则返回null

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<TemplateWidget> GetCustomWidgets(
    string areaId
)
Public Overridable Function GetCustomWidgets (
    areaId As String
) As IList(Of TemplateWidget)
public:
virtual IList<TemplateWidget^>^ GetCustomWidgets(
    String^ areaId
)
abstract GetCustomWidgets :
        areaId : string -> IList<TemplateWidget>
override GetCustomWidgets :
        areaId : string -> IList<TemplateWidget>

Parameters

areaId
Type: SystemString
Area id

Return Value

Type: IList TemplateWidget

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateAreaManager.GetCustomWidgets(System.String)"]

See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.GetCustomWidgetsFile Method

TemplateAreaManagerGetCustomWidgetsFile Method

Get json path that store custom widgets for the given area
获取保存指定区域的自定义模块列表的json文件
Path: App_Data/areas/{areaId}.widgets

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IFileEntry GetCustomWidgetsFile(
    string areaId
)
Protected Overridable Function GetCustomWidgetsFile (
    areaId As String
) As IFileEntry
protected:
virtual IFileEntry^ GetCustomWidgetsFile(
    String^ areaId
)
abstract GetCustomWidgetsFile :
        areaId : string -> IFileEntry
override GetCustomWidgetsFile :
        areaId : string -> IFileEntry

Parameters

areaId
Type: SystemString
Area id

Return Value

Type: IFileEntry

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateAreaManager.GetCustomWidgetsFile(System.String)"]

See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.GetWidgetInfo Method

TemplateAreaManagerGetWidgetInfo Method

Get widget information
获取模块信息

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual TemplateWidgetInfo GetWidgetInfo(
    string widgetPath
)
Public Overridable Function GetWidgetInfo (
    widgetPath As String
) As TemplateWidgetInfo
public:
virtual TemplateWidgetInfo^ GetWidgetInfo(
    String^ widgetPath
)
abstract GetWidgetInfo :
        widgetPath : string -> TemplateWidgetInfo
override GetWidgetInfo :
        widgetPath : string -> TemplateWidgetInfo

Parameters

widgetPath
Type: SystemString
Widget path

Return Value

Type: TemplateWidgetInfo

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateAreaManager.GetWidgetInfo(System.String)"]

See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.RenderWidget Method

TemplateAreaManagerRenderWidget Method

Render widget
Return render result
描画模块
返回描画结果

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string RenderWidget(
    Context context,
    TemplateWidget widget
)
Public Overridable Function RenderWidget (
    context As Context,
    widget As TemplateWidget
) As String
public:
virtual String^ RenderWidget(
    Context^ context,
    TemplateWidget^ widget
)
abstract RenderWidget :
        context : Context *
        widget : TemplateWidget -> string
override RenderWidget :
        context : Context *
        widget : TemplateWidget -> string

Parameters

context
Type: Context
Template context
widget
Type: ZKWeb.Templating.DynamicContentsTemplateWidget
Template widget

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateAreaManager.RenderWidget(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateAreaManager.SetCustomWidgets Method

TemplateAreaManagerSetCustomWidgets Method

Set custom widgets for the given area
If parameter "widgets" is null then remove the old list
设置指定区域的自定义模块列表
如果参数"widgets"是null则删除旧的列表

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SetCustomWidgets(
    string areaId,
    IList<TemplateWidget> widgets
)
Public Overridable Sub SetCustomWidgets (
    areaId As String,
    widgets As IList(Of TemplateWidget)
)
public:
virtual void SetCustomWidgets(
    String^ areaId,
    IList<TemplateWidget^>^ widgets
)
abstract SetCustomWidgets :
        areaId : string *
        widgets : IList<TemplateWidget> -> unit
override SetCustomWidgets :
        areaId : string *
        widgets : IList<TemplateWidget> -> unit

Parameters

areaId
Type: SystemString
Area id
widgets
Type: System.Collections.GenericIList TemplateWidget
Custom widgets
See Also

Reference

TemplateAreaManager Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidget Class
Template widget
Inside the template area, use to display dynamic contents
模板模块
在模块区域之内, 用于显示动态的内容
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.DynamicContentsTemplateWidget

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateWidget
Public Class TemplateWidget
public ref class TemplateWidget
type TemplateWidget =  class end

The TemplateWidget type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateWidget | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Args | Widget arguments It will open a scope let widget template use these variables eg: if arguments is { a: 123 }, then render template {{ a }} will output 123 模块参数 这里的参数可以在模板中使用 例如: 如果参数是 { a: 123 }, 则描画模板 {{ a }} 会输出123
Public property | ArgsJson | Serialize result of Args, cached 模块参数的序列化结果, 带缓存处理
Public property | Path | Widget path 模块路径
Top
Fields
 | Name | Description
Protected field | argsJson | Serialize result of Args 模块参数的序列化结果
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetCacheKey | Get cache key for template widget 获取模板模块的缓存键 (Defined by TemplateWidgetExtensions.)
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.Templating.DynamicContentsTemplateArea
ZKWeb.Templating.DynamicContentsTemplateAreaManager


TemplateWidget Constructor

Initialize
初始化

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateWidget(
    string path,
    Object args = null
)
Public Sub New (
    path As String,
    Optional args As Object = Nothing
)
public:
TemplateWidget(
    String^ path,
    Object^ args = nullptr
)
new :
        path : string *
        ?args : Object
(* Defaults:
        let _args = defaultArg args null
*)
-> TemplateWidget

Parameters

path
Type: SystemString
Widget path, must without extension
args (Optional)
Type: SystemObject
Widget arguments
See Also

Reference

TemplateWidget Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidget Properties

The TemplateWidget type exposes the following members.

Properties
 | Name | Description
Public property | Args | Widget arguments It will open a scope let widget template use these variables eg: if arguments is { a: 123 }, then render template {{ a }} will output 123 模块参数 这里的参数可以在模板中使用 例如: 如果参数是 { a: 123 }, 则描画模板 {{ a }} 会输出123
Public property | ArgsJson | Serialize result of Args, cached 模块参数的序列化结果, 带缓存处理
Public property | Path | Widget path 模块路径
Top
See Also

Reference

TemplateWidget Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidget.Args Property

TemplateWidgetArgs Property

Widget arguments
It will open a scope let widget template use these variables
eg: if arguments is { a: 123 }, then render template {{ a }} will output 123
模块参数
这里的参数可以在模板中使用
例如: 如果参数是 { a: 123 }, 则描画模板 {{ a }} 会输出123

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> Args { get; protected set; }
Public Property Args As IDictionary(Of String, Object)
    Get
    Protected Set
public:
property IDictionary<String^, Object^>^ Args {
    IDictionary<String^, Object^>^ get ();
    protected: void set (IDictionary<String^, Object^>^ value);
}
member Args : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

TemplateWidget Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidget.ArgsJson Property

TemplateWidgetArgsJson Property

Serialize result of Args, cached
模块参数的序列化结果, 带缓存处理

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ArgsJson { get; }
Public ReadOnly Property ArgsJson As String
    Get
public:
property String^ ArgsJson {
    String^ get ();
}
member ArgsJson : string with get

Property Value

Type: String
See Also

Reference

TemplateWidget Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidget.Path Property

TemplateWidgetPath Property

Widget path
模块路径

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Path { get; protected set; }
Public Property Path As String
    Get
    Protected Set
public:
property String^ Path {
    String^ get ();
    protected: void set (String^ value);
}
member Path : string with get, set

Property Value

Type: String
See Also

Reference

TemplateWidget Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidget Methods

The TemplateWidget type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetCacheKey | Get cache key for template widget 获取模板模块的缓存键 (Defined by TemplateWidgetExtensions.)
Top
See Also

Reference

TemplateWidget Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidget Fields

The TemplateWidget type exposes the following members.

Fields
 | Name | Description
Protected field | argsJson | Serialize result of Args 模块参数的序列化结果
Top
See Also

Reference

TemplateWidget Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidget.argsJson Field

TemplateWidgetargsJson Field
Serialize result of Args
模块参数的序列化结果

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string argsJson
Protected argsJson As String
protected:
String^ argsJson
val mutable argsJson: string

Field Value

Type: String
See Also

Reference

TemplateWidget Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetExtensions Class
Template widget extension methods
模板模块的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.DynamicContentsTemplateWidgetExtensions

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class TemplateWidgetExtensions
<ExtensionAttribute>
Public NotInheritable Class TemplateWidgetExtensions
[ExtensionAttribute]
public ref class TemplateWidgetExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type TemplateWidgetExtensions =  class end

The TemplateWidgetExtensions type exposes the following members.

Methods
Name | Description
GetCacheKey | Get cache key for template widget 获取模板模块的缓存键
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.Templating.DynamicContentsTemplateWidget


TemplateWidgetExtensions Methods

The TemplateWidgetExtensions type exposes the following members.

Methods
Name | Description
GetCacheKey | Get cache key for template widget 获取模板模块的缓存键
Top
See Also

Reference

TemplateWidgetExtensions Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetExtensions.GetCacheKey Method

TemplateWidgetExtensionsGetCacheKey Method

Get cache key for template widget
获取模板模块的缓存键

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string GetCacheKey(
    this TemplateWidget widget
)
<ExtensionAttribute>
Public Shared Function GetCacheKey (
    widget As TemplateWidget
) As String
public:
[ExtensionAttribute]
static String^ GetCacheKey(
    TemplateWidget^ widget
)
[<ExtensionAttribute>]
static member GetCacheKey :
        widget : TemplateWidget -> string

Parameters

widget
Type: ZKWeb.Templating.DynamicContentsTemplateWidget
Template widget

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetExtensions.GetCacheKey(ZKWeb.Templating.DynamicContents.TemplateWidget)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type TemplateWidget. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

TemplateWidgetExtensions Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo Class
Template widget information
Desirialize from {WidgetPath}.widget
模板模块的信息
从{模块路径}.widget文件反序列化得到
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.DynamicContentsTemplateWidgetInfo

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateWidgetInfo : ILiquidizable
Public Class TemplateWidgetInfo
    Implements ILiquidizable
public ref class TemplateWidgetInfo : ILiquidizable
type TemplateWidgetInfo =
    class
        interface ILiquidizable
    end

The TemplateWidgetInfo type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateWidgetInfo | Initializes a new instance of the TemplateWidgetInfo class
Top
Properties
 | Name | Description
 | Arguments | Argument information list 模板模块的参数列表
 | CacheBy | Cache isolation policies, separated by comma 缓存隔离策略, 使用逗号分割
 | CacheTime | Cache time, in seconds 缓存时间, 单位是秒
Public property | Description | Widget description 模块的描述
Public property | Extra | Extra data 附加数据
Public property | Name | Widget name 模块的名称
Public property | WidgetPath | Widget path, without extension 模块的路径, 不包含后缀名
Top
Methods
 | Name | Description
 | FromPath | Read template widget information from path 从文件路径读取模板模块的信息
Public method | ToLiquid | Support render to template 支持描画到模板
Top
Fields
Name | Description
HtmlExtension | Widget template file extension 模板的文件后缀名
InfoExtension | Widget information file extension 模板模块信息的文件后缀名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetCacheIsolationPolicyNames | Get cache isolation policy names With "Device" anyway even it's not in the configuration 获取缓存隔离策略的名称列表 会添加"Device"无论它是否在配置中 (Defined by TemplateWidgetInfoExtensions.)
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.Templating.DynamicContentsTemplateWidget
ZKWeb.Templating.DynamicContentsTemplateAreaManager


TemplateWidgetInfo Constructor

Initializes a new instance of the TemplateWidgetInfo class

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateWidgetInfo()
Public Sub New
public:
TemplateWidgetInfo()
new : unit -> TemplateWidgetInfo
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo Properties

The TemplateWidgetInfo type exposes the following members.

Properties
 | Name | Description
 | Arguments | Argument information list 模板模块的参数列表
 | CacheBy | Cache isolation policies, separated by comma 缓存隔离策略, 使用逗号分割
 | CacheTime | Cache time, in seconds 缓存时间, 单位是秒
Public property | Description | Widget description 模块的描述
Public property | Extra | Extra data 附加数据
Public property | Name | Widget name 模块的名称
Public property | WidgetPath | Widget path, without extension 模块的路径, 不包含后缀名
Top
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.Arguments Property

TemplateWidgetInfoArguments Property

Argument information list
模板模块的参数列表

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<IDictionary<string, Object>> Arguments { get; set; }
Public Property Arguments As IList(Of IDictionary(Of String, Object))
    Get
    Set
public:
property IList<IDictionary<String^, Object^>^>^ Arguments {
    IList<IDictionary<String^, Object^>^>^ get ();
    void set (IList<IDictionary<String^, Object^>^>^ value);
}
member Arguments : IList<IDictionary<string, Object>> with get, set

Property Value

Type: IList IDictionary String, Object
Examples
Copy
"Arguments": [
    { "Name": "DisplayText", "Type": "TextBox" },
    { "Name": "DisplayStyle", "Type": "DropdownList", "Provider": "ProviderName" },
]
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.CacheBy Property

TemplateWidgetInfoCacheBy Property

Cache isolation policies, separated by comma
缓存隔离策略, 使用逗号分割

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string CacheBy { get; set; }
Public Property CacheBy As String
    Get
    Set
public:
property String^ CacheBy {
    String^ get ();
    void set (String^ value);
}
member CacheBy : string with get, set

Property Value

Type: String
Examples
Locale,Url
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.CacheTime Property

TemplateWidgetInfoCacheTime Property

Cache time, in seconds
缓存时间, 单位是秒

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int CacheTime { get; set; }
Public Property CacheTime As Integer
    Get
    Set
public:
property int CacheTime {
    int get ();
    void set (int value);
}
member CacheTime : int with get, set

Property Value

Type: Int32
Examples
15
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.Description Property

TemplateWidgetInfoDescription Property

Widget description
模块的描述

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Description { get; set; }
Public Property Description As String
    Get
    Set
public:
property String^ Description {
    String^ get ();
    void set (String^ value);
}
member Description : string with get, set

Property Value

Type: String
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.Extra Property

TemplateWidgetInfoExtra Property

Extra data
附加数据

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, Object> Extra { get; set; }
Public Property Extra As IDictionary(Of String, Object)
    Get
    Set
public:
property IDictionary<String^, Object^>^ Extra {
    IDictionary<String^, Object^>^ get ();
    void set (IDictionary<String^, Object^>^ value);
}
member Extra : IDictionary<string, Object> with get, set

Property Value

Type: IDictionary String, Object
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.Name Property

TemplateWidgetInfoName Property

Widget name
模块的名称

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; set; }
Public Property Name As String
    Get
    Set
public:
property String^ Name {
    String^ get ();
    void set (String^ value);
}
member Name : string with get, set

Property Value

Type: String
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.WidgetPath Property

TemplateWidgetInfoWidgetPath Property

Widget path, without extension
模块的路径, 不包含后缀名

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string WidgetPath { get; set; }
Public Property WidgetPath As String
    Get
    Set
public:
property String^ WidgetPath {
    String^ get ();
    void set (String^ value);
}
member WidgetPath : string with get, set

Property Value

Type: String
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo Methods

The TemplateWidgetInfo type exposes the following members.

Methods
 | Name | Description
 | FromPath | Read template widget information from path 从文件路径读取模板模块的信息
Public method | ToLiquid | Support render to template 支持描画到模板
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetCacheIsolationPolicyNames | Get cache isolation policy names With "Device" anyway even it's not in the configuration 获取缓存隔离策略的名称列表 会添加"Device"无论它是否在配置中 (Defined by TemplateWidgetInfoExtensions.)
Top
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.FromPath Method

TemplateWidgetInfoFromPath Method

Read template widget information from path
从文件路径读取模板模块的信息

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TemplateWidgetInfo FromPath(
    string path
)
Public Shared Function FromPath (
    path As String
) As TemplateWidgetInfo
public:
static TemplateWidgetInfo^ FromPath(
    String^ path
)
static member FromPath :
        path : string -> TemplateWidgetInfo

Parameters

path
Type: SystemString
Widget path, must without extension

Return Value

Type: TemplateWidgetInfo

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetInfo.FromPath(System.String)"]

See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.ToLiquid Method

TemplateWidgetInfoToLiquid Method

Support render to template
支持描画到模板

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object ToLiquid()
Public Function ToLiquid As Object
public:
virtual Object^ ToLiquid() sealed
abstract ToLiquid : unit -> Object
override ToLiquid : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetInfo.ToLiquid"]

Implements

ILiquidizable.ToLiquid
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo Fields

The TemplateWidgetInfo type exposes the following members.

Fields
Name | Description
HtmlExtension | Widget template file extension 模板的文件后缀名
InfoExtension | Widget information file extension 模板模块信息的文件后缀名
Top
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.HtmlExtension Field

TemplateWidgetInfoHtmlExtension Field
Widget template file extension
模板的文件后缀名

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string HtmlExtension = ".html"
Public Const HtmlExtension As String = ".html"
public:
literal String^ HtmlExtension = ".html"
static val mutable HtmlExtension: string

Field Value

Type: String
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfo.InfoExtension Field

TemplateWidgetInfoInfoExtension Field
Widget information file extension
模板模块信息的文件后缀名

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string InfoExtension = ".widget"
Public Const InfoExtension As String = ".widget"
public:
literal String^ InfoExtension = ".widget"
static val mutable InfoExtension: string

Field Value

Type: String
See Also

Reference

TemplateWidgetInfo Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfoExtensions Class
Template widget information extension methods
模板模块的信息的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.DynamicContentsTemplateWidgetInfoExtensions

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class TemplateWidgetInfoExtensions
<ExtensionAttribute>
Public NotInheritable Class TemplateWidgetInfoExtensions
[ExtensionAttribute]
public ref class TemplateWidgetInfoExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type TemplateWidgetInfoExtensions =  class end

The TemplateWidgetInfoExtensions type exposes the following members.

Methods
Name | Description
GetCacheIsolationPolicyNames | Get cache isolation policy names With "Device" anyway even it's not in the configuration 获取缓存隔离策略的名称列表 会添加"Device"无论它是否在配置中
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.Templating.DynamicContentsTemplateWidgetInfo


TemplateWidgetInfoExtensions Methods

The TemplateWidgetInfoExtensions type exposes the following members.

Methods
Name | Description
GetCacheIsolationPolicyNames | Get cache isolation policy names With "Device" anyway even it's not in the configuration 获取缓存隔离策略的名称列表 会添加"Device"无论它是否在配置中
Top
See Also

Reference

TemplateWidgetInfoExtensions Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetInfoExtensions.GetCacheIsolationPolicyNames Method

TemplateWidgetInfoExtensionsGetCacheIsolationPolicyNames Method

Get cache isolation policy names
With "Device" anyway even it's not in the configuration
获取缓存隔离策略的名称列表
会添加"Device"无论它是否在配置中

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IList<string> GetCacheIsolationPolicyNames(
    this TemplateWidgetInfo info
)
<ExtensionAttribute>
Public Shared Function GetCacheIsolationPolicyNames (
    info As TemplateWidgetInfo
) As IList(Of String)
public:
[ExtensionAttribute]
static IList<String^>^ GetCacheIsolationPolicyNames(
    TemplateWidgetInfo^ info
)
[<ExtensionAttribute>]
static member GetCacheIsolationPolicyNames :
        info : TemplateWidgetInfo -> IList<string>

Parameters

info
Type: ZKWeb.Templating.DynamicContentsTemplateWidgetInfo
Widget information

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetInfoExtensions.GetCacheIsolationPolicyNames(ZKWeb.Templating.DynamicContents.TemplateWidgetInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type TemplateWidgetInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

TemplateWidgetInfoExtensions Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetRenderer Class
Built-in template widget renderer
内置的模板模块描画器
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.DynamicContentsTemplateWidgetRenderer

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateWidgetRenderer : ITemplateWidgetRenderer
Public Class TemplateWidgetRenderer
    Implements ITemplateWidgetRenderer
public ref class TemplateWidgetRenderer : ITemplateWidgetRenderer
type TemplateWidgetRenderer =
    class
        interface ITemplateWidgetRenderer
    end

The TemplateWidgetRenderer type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateWidgetRenderer | Initializes a new instance of the TemplateWidgetRenderer class
Top
Methods
 | Name | Description
Protected method | GetAfterHtml | Get html after widget contents 获取描画后的Html内容
Protected method | GetBeforeHtml | Get html before widget contents 获取描画前的Html内容
Public method | Render | Render widget Return render result 描画模板模块 返回描画结果
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Templating.DynamicContents Namespace
ZKWeb.Templating.DynamicContentsTemplateWidget
ZKWeb.Templating.DynamicContentsTemplateAreaManager


TemplateWidgetRenderer Constructor

Initializes a new instance of the TemplateWidgetRenderer class

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateWidgetRenderer()
Public Sub New
public:
TemplateWidgetRenderer()
new : unit -> TemplateWidgetRenderer
See Also

Reference

TemplateWidgetRenderer Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetRenderer Methods

The TemplateWidgetRenderer type exposes the following members.

Methods
 | Name | Description
Protected method | GetAfterHtml | Get html after widget contents 获取描画后的Html内容
Protected method | GetBeforeHtml | Get html before widget contents 获取描画前的Html内容
Public method | Render | Render widget Return render result 描画模板模块 返回描画结果
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateWidgetRenderer Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetRenderer.GetAfterHtml Method

TemplateWidgetRendererGetAfterHtml Method

Get html after widget contents
获取描画后的Html内容

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual string GetAfterHtml(
    Context context,
    TemplateWidget widget
)
Protected Overridable Function GetAfterHtml (
    context As Context,
    widget As TemplateWidget
) As String
protected:
virtual String^ GetAfterHtml(
    Context^ context,
    TemplateWidget^ widget
)
abstract GetAfterHtml :
        context : Context *
        widget : TemplateWidget -> string
override GetAfterHtml :
        context : Context *
        widget : TemplateWidget -> string

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.GetAfterHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

widget
Type: ZKWeb.Templating.DynamicContentsTemplateWidget

[Missing <param name="widget"/> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.GetAfterHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.GetAfterHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

See Also

Reference

TemplateWidgetRenderer Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetRenderer.GetBeforeHtml Method

TemplateWidgetRendererGetBeforeHtml Method

Get html before widget contents
获取描画前的Html内容

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual string GetBeforeHtml(
    Context context,
    TemplateWidget widget
)
Protected Overridable Function GetBeforeHtml (
    context As Context,
    widget As TemplateWidget
) As String
protected:
virtual String^ GetBeforeHtml(
    Context^ context,
    TemplateWidget^ widget
)
abstract GetBeforeHtml :
        context : Context *
        widget : TemplateWidget -> string
override GetBeforeHtml :
        context : Context *
        widget : TemplateWidget -> string

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.GetBeforeHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

widget
Type: ZKWeb.Templating.DynamicContentsTemplateWidget

[Missing <param name="widget"/> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.GetBeforeHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.GetBeforeHtml(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

See Also

Reference

TemplateWidgetRenderer Class
ZKWeb.Templating.DynamicContents Namespace


TemplateWidgetRenderer.Render Method

TemplateWidgetRendererRender Method

Render widget
Return render result
描画模板模块
返回描画结果

Namespace: ZKWeb.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Render(
    Context context,
    TemplateWidget widget
)
Public Function Render (
    context As Context,
    widget As TemplateWidget
) As String
public:
virtual String^ Render(
    Context^ context,
    TemplateWidget^ widget
) sealed
abstract Render :
        context : Context *
        widget : TemplateWidget -> string
override Render :
        context : Context *
        widget : TemplateWidget -> string

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.Render(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

widget
Type: ZKWeb.Templating.DynamicContentsTemplateWidget

[Missing <param name="widget"/> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.Render(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.DynamicContents.TemplateWidgetRenderer.Render(DotLiquid.Context,ZKWeb.Templating.DynamicContents.TemplateWidget)"]

Implements

ITemplateWidgetRendererRender(Context, TemplateWidget)
See Also

Reference

TemplateWidgetRenderer Class
ZKWeb.Templating.DynamicContents Namespace


ZKWeb.Templating.TemplateFilters Namespace

[Missing <summary> documentation for "N:ZKWeb.Templating.TemplateFilters"]

Classes
 | Class | Description
Public class | Filters | Dotliquid template filters Dotliquid模板使用的过滤器


Filters Class
Dotliquid template filters Dotliquid模板使用的过滤器
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.TemplateFiltersFilters

Namespace: ZKWeb.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class Filters
Public NotInheritable Class Filters
public ref class Filters abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Filters =  class end

The Filters type exposes the following members.

Methods
Name | Description
Format | Format string Support up to 8 parameters 格式化支付穿 最多支持8个参数
RawHtml | Render text as raw html 把文本作为html描画
Trans | Translate text 翻译文本
Top
See Also

Reference

ZKWeb.Templating.TemplateFilters Namespace
ZKWeb.TemplatingTemplateManager


Filters Methods

The Filters type exposes the following members.

Methods
Name | Description
Format | Format string Support up to 8 parameters 格式化支付穿 最多支持8个参数
RawHtml | Render text as raw html 把文本作为html描画
Trans | Translate text 翻译文本
Top
See Also

Reference

Filters Class
ZKWeb.Templating.TemplateFilters Namespace


Filters.Format Method

FiltersFormat Method

Format string
Support up to 8 parameters
格式化支付穿
最多支持8个参数

Namespace: ZKWeb.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string Format(
    string text,
    Object arg_0 = null,
    Object arg_1 = null,
    Object arg_2 = null,
    Object arg_3 = null,
    Object arg_4 = null,
    Object arg_5 = null,
    Object arg_6 = null,
    Object arg_7 = null
)
Public Shared Function Format (
    text As String,
    Optional arg_0 As Object = Nothing,
    Optional arg_1 As Object = Nothing,
    Optional arg_2 As Object = Nothing,
    Optional arg_3 As Object = Nothing,
    Optional arg_4 As Object = Nothing,
    Optional arg_5 As Object = Nothing,
    Optional arg_6 As Object = Nothing,
    Optional arg_7 As Object = Nothing
) As String
public:
static String^ Format(
    String^ text,
    Object^ arg_0 = nullptr,
    Object^ arg_1 = nullptr,
    Object^ arg_2 = nullptr,
    Object^ arg_3 = nullptr,
    Object^ arg_4 = nullptr,
    Object^ arg_5 = nullptr,
    Object^ arg_6 = nullptr,
    Object^ arg_7 = nullptr
)
static member Format :
        text : string *
        ?arg_0 : Object *
        ?arg_1 : Object *
        ?arg_2 : Object *
        ?arg_3 : Object *
        ?arg_4 : Object *
        ?arg_5 : Object *
        ?arg_6 : Object *
        ?arg_7 : Object
(* Defaults:
        let _arg_0 = defaultArg arg_0 null
        let _arg_1 = defaultArg arg_1 null
        let _arg_2 = defaultArg arg_2 null
        let _arg_3 = defaultArg arg_3 null
        let _arg_4 = defaultArg arg_4 null
        let _arg_5 = defaultArg arg_5 null
        let _arg_6 = defaultArg arg_6 null
        let _arg_7 = defaultArg arg_7 null
*)
-> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

arg_0 (Optional)
Type: SystemObject

[Missing <param name="arg_0"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

arg_1 (Optional)
Type: SystemObject

[Missing <param name="arg_1"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

arg_2 (Optional)
Type: SystemObject

[Missing <param name="arg_2"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

arg_3 (Optional)
Type: SystemObject

[Missing <param name="arg_3"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

arg_4 (Optional)
Type: SystemObject

[Missing <param name="arg_4"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

arg_5 (Optional)
Type: SystemObject

[Missing <param name="arg_5"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

arg_6 (Optional)
Type: SystemObject

[Missing <param name="arg_6"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

arg_7 (Optional)
Type: SystemObject

[Missing <param name="arg_7"/> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Format(System.String,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object,System.Object)"]

Examples
Copy
{{ "name is [0], age is [1]" | format: name, age }}
See Also

Reference

Filters Class
ZKWeb.Templating.TemplateFilters Namespace


Filters.RawHtml Method

FiltersRawHtml Method

Render text as raw html
把文本作为html描画

Namespace: ZKWeb.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Object RawHtml(
    string text
)
Public Shared Function RawHtml (
    text As String
) As Object
public:
static Object^ RawHtml(
    String^ text
)
static member RawHtml :
        text : string -> Object

Parameters

text
Type: SystemString
Html text

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.RawHtml(System.String)"]

Examples
Copy
{{ variable | raw_html }}
See Also

Reference

Filters Class
ZKWeb.Templating.TemplateFilters Namespace


Filters.Trans Method

FiltersTrans Method

Translate text
翻译文本

Namespace: ZKWeb.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string Trans(
    string text
)
Public Shared Function Trans (
    text As String
) As String
public:
static String^ Trans(
    String^ text
)
static member Trans :
        text : string -> string

Parameters

text
Type: SystemString
Original text

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateFilters.Filters.Trans(System.String)"]

Examples
Copy
{{ text | trans }}
{{ "fixed text" | trans }}
See Also

Reference

Filters Class
ZKWeb.Templating.TemplateFilters Namespace


ZKWeb.Templating.TemplateTags Namespace

[Missing <summary> documentation for "N:ZKWeb.Templating.TemplateTags"]

Classes
 | Class | Description
 | Area | Dotliquid area tag Id must be unique in all templates Flow - Render custom widgets if it's specified, otherwise - Render default widgets 区域标签 Id必须在所有模板中唯一 流程 - 如果有定义自定义模块则描画自定义模块, 否则 - 描画默认模块
 | Fetch | Set template variable from action execute result Action can be get or post, will automatic detect Url can contains variables, variable can be - "*query": all query arguments from the visiting url - key: variable from template context - key: argument from visiting url If the action return JsonResult or PlainResult, the result will be the returned object, Otherwise it will be the rendered text of the result (binary data is unsupported) 根据Action结果设置模板变量 Action可以是GET或POST, 会自动检测 Url可以包含变量, 变量可以是 - "*query": 当前请求的所有查询参数 - 当前模板中的其他变量 - 当前请求中的参数 如果Action返回JsonResult或者PlainResult, 则结果会是返回的对象 否则结果会是描画出来的文本 (不支持二进制数据)
Protected class | FetchFetchHttpContext | Simulated http context 模拟的Http上下文
Protected class | FetchFetchHttpRequest | Simulated http request 模拟的Http请求
 | HtmlLang | Display the language code 显示当前语言代码
 | RawHtml | Render text as raw html 把文本作为Html描画


Area Class
Dotliquid area tag
Id must be unique in all templates
Flow
- Render custom widgets if it's specified, otherwise
- Render default widgets
区域标签
Id必须在所有模板中唯一
流程
- 如果有定义自定义模块则描画自定义模块, 否则
- 描画默认模块
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Templating.TemplateTagsArea

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class Area : Tag
Public Class Area
    Inherits Tag
public ref class Area : public Tag
type Area =
    class
        inherit Tag
    end

The Area type exposes the following members.

Constructors
 | Name | Description
Public method | Area | Initializes a new instance of the Area class
Top
Properties
 | Name | Description
Public property | AreaId | Area id 区域Id
 | CurrentAreaIdKey | Key name use to store area id Use to detect nested area 储存区域Id的键名 用于检测区域是否嵌套
Top
Methods
 | Name | Description
Public method | Initialize | Initialize 初始化 (Overrides Tag.Initialize(String, String, ListString).)
Public method | Render | Render tag 描画标签 (Overrides Tag.Render(Context, TextWriter).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
Copy
{% area test_area %}
Copy
Generates html
<div class='template_area' area_id='test_area'>
    <div class='template_widget'></div>
    <div class='template_widget'></div>
    <div class='template_widget'></div>
</div>
See Also

Reference

ZKWeb.Templating.TemplateTags Namespace
ZKWeb.TemplatingTemplateManager


Area Constructor

Initializes a new instance of the Area class

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Area()
Public Sub New
public:
Area()
new : unit -> Area
See Also

Reference

Area Class
ZKWeb.Templating.TemplateTags Namespace


Area Properties

The Area type exposes the following members.

Properties
 | Name | Description
Public property | AreaId | Area id 区域Id
 | CurrentAreaIdKey | Key name use to store area id Use to detect nested area 储存区域Id的键名 用于检测区域是否嵌套
Top
See Also

Reference

Area Class
ZKWeb.Templating.TemplateTags Namespace


Area.AreaId Property

AreaAreaId Property

Area id
区域Id

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string AreaId { get; protected set; }
Public Property AreaId As String
    Get
    Protected Set
public:
property String^ AreaId {
    String^ get ();
    protected: void set (String^ value);
}
member AreaId : string with get, set

Property Value

Type: String
See Also

Reference

Area Class
ZKWeb.Templating.TemplateTags Namespace


Area.CurrentAreaIdKey Property

AreaCurrentAreaIdKey Property

Key name use to store area id
Use to detect nested area
储存区域Id的键名
用于检测区域是否嵌套

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string CurrentAreaIdKey { get; set; }
Public Shared Property CurrentAreaIdKey As String
    Get
    Set
public:
static property String^ CurrentAreaIdKey {
    String^ get ();
    void set (String^ value);
}
static member CurrentAreaIdKey : string with get, set

Property Value

Type: String
See Also

Reference

Area Class
ZKWeb.Templating.TemplateTags Namespace


Area Methods

The Area type exposes the following members.

Methods
 | Name | Description
Public method | Initialize | Initialize 初始化 (Overrides Tag.Initialize(String, String, ListString).)
Public method | Render | Render tag 描画标签 (Overrides Tag.Render(Context, TextWriter).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

Area Class
ZKWeb.Templating.TemplateTags Namespace


Area.Initialize Method

AreaInitialize Method

Initialize
初始化

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void Initialize(
    string tagName,
    string markup,
    List<string> tokens
)
Public Overrides Sub Initialize (
    tagName As String,
    markup As String,
    tokens As List(Of String)
)
public:
virtual void Initialize(
    String^ tagName,
    String^ markup,
    List<String^>^ tokens
) override
abstract Initialize :
        tagName : string *
        markup : string *
        tokens : List<string> -> unit
override Initialize :
        tagName : string *
        markup : string *
        tokens : List<string> -> unit

Parameters

tagName
Type: SystemString

[Missing <param name="tagName"/> documentation for "M:ZKWeb.Templating.TemplateTags.Area.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

markup
Type: SystemString

[Missing <param name="markup"/> documentation for "M:ZKWeb.Templating.TemplateTags.Area.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

tokens
Type: System.Collections.GenericList String

[Missing <param name="tokens"/> documentation for "M:ZKWeb.Templating.TemplateTags.Area.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

See Also

Reference

Area Class
ZKWeb.Templating.TemplateTags Namespace


Area.Render Method

AreaRender Method

Render tag
描画标签

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Templating.TemplateTags.Area.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Templating.TemplateTags.Area.Render(DotLiquid.Context,System.IO.TextWriter)"]

Implements

IRenderable.Render(Context, TextWriter)
See Also

Reference

Area Class
ZKWeb.Templating.TemplateTags Namespace


Fetch Class
Set template variable from action execute result
Action can be get or post, will automatic detect
Url can contains variables, variable can be
- "*query": all query arguments from the visiting url
- key: variable from template context
- key: argument from visiting url
If the action return JsonResult or PlainResult, the result will be the returned object,
Otherwise it will be the rendered text of the result (binary data is unsupported)
根据Action结果设置模板变量
Action可以是GET或POST, 会自动检测
Url可以包含变量, 变量可以是
- "*query": 当前请求的所有查询参数
- 当前模板中的其他变量
- 当前请求中的参数
如果Action返回JsonResult或者PlainResult, 则结果会是返回的对象
否则结果会是描画出来的文本 (不支持二进制数据)
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Templating.TemplateTagsFetch

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class Fetch : Tag
Public Class Fetch
    Inherits Tag
public ref class Fetch : public Tag
type Fetch =
    class
        inherit Tag
    end

The Fetch type exposes the following members.

Constructors
 | Name | Description
Public method | Fetch | Initializes a new instance of the Fetch class
Top
Properties
 | Name | Description
Public property | PathAndQuery | Path and query 路径和查询参数
Public property | Variable | Target template variable 保存到的变量名称
Top
Methods
 | Name | Description
Public method | Initialize | Initialize 初始化 (Overrides Tag.Initialize(String, String, ListString).)
Public method | Render | Set template variable from action execute result 从Action的执行结果设置模板变量 (Overrides Tag.Render(Context, TextWriter).)
Top
Fields
Name | Description
VariableInUrlExpression | Regex for getting variable in the url 获取Url中的变量使用的正则表达式
VariableNameForAllQueryParameters | The variable name that mean all query arguments from the visiting url 用于表示当前请求中所有参数的变量名
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
Url
Copy
{% fetch /api/example_info > example_info %}
{{ example_info }}
Url with variable
带参数的Url
Copy
{% fetch /api/example_info?id={id} > example_info %}
{% fetch /api/example_info?{*query} > example_info %}
{{ example_info }}
See Also

Reference

ZKWeb.Templating.TemplateTags Namespace
ZKWeb.TemplatingTemplateManager


Fetch Constructor

Initializes a new instance of the Fetch class

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Fetch()
Public Sub New
public:
Fetch()
new : unit -> Fetch
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch Properties

The Fetch type exposes the following members.

Properties
 | Name | Description
Public property | PathAndQuery | Path and query 路径和查询参数
Public property | Variable | Target template variable 保存到的变量名称
Top
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.PathAndQuery Property

FetchPathAndQuery Property

Path and query
路径和查询参数

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string PathAndQuery { get; protected set; }
Public Property PathAndQuery As String
    Get
    Protected Set
public:
property String^ PathAndQuery {
    String^ get ();
    protected: void set (String^ value);
}
member PathAndQuery : string with get, set

Property Value

Type: String
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.Variable Property

FetchVariable Property

Target template variable
保存到的变量名称

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Variable { get; protected set; }
Public Property Variable As String
    Get
    Protected Set
public:
property String^ Variable {
    String^ get ();
    protected: void set (String^ value);
}
member Variable : string with get, set

Property Value

Type: String
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch Methods

The Fetch type exposes the following members.

Methods
 | Name | Description
Public method | Initialize | Initialize 初始化 (Overrides Tag.Initialize(String, String, ListString).)
Public method | Render | Set template variable from action execute result 从Action的执行结果设置模板变量 (Overrides Tag.Render(Context, TextWriter).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.Initialize Method

FetchInitialize Method

Initialize
初始化

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void Initialize(
    string tagName,
    string markup,
    List<string> tokens
)
Public Overrides Sub Initialize (
    tagName As String,
    markup As String,
    tokens As List(Of String)
)
public:
virtual void Initialize(
    String^ tagName,
    String^ markup,
    List<String^>^ tokens
) override
abstract Initialize :
        tagName : string *
        markup : string *
        tokens : List<string> -> unit
override Initialize :
        tagName : string *
        markup : string *
        tokens : List<string> -> unit

Parameters

tagName
Type: SystemString

[Missing <param name="tagName"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

markup
Type: SystemString

[Missing <param name="markup"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

tokens
Type: System.Collections.GenericList String

[Missing <param name="tokens"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.Initialize(System.String,System.String,System.Collections.Generic.List{System.String})"]

See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.Render Method

FetchRender Method

Set template variable from action execute result
从Action的执行结果设置模板变量

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.Render(DotLiquid.Context,System.IO.TextWriter)"]

Implements

IRenderable.Render(Context, TextWriter)
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch Fields

The Fetch type exposes the following members.

Fields
Name | Description
VariableInUrlExpression | Regex for getting variable in the url 获取Url中的变量使用的正则表达式
VariableNameForAllQueryParameters | The variable name that mean all query arguments from the visiting url 用于表示当前请求中所有参数的变量名
Top
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.VariableInUrlExpression Field

FetchVariableInUrlExpression Field
Regex for getting variable in the url
获取Url中的变量使用的正则表达式

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static readonly Regex VariableInUrlExpression
Public Shared ReadOnly VariableInUrlExpression As Regex
public:
static initonly Regex^ VariableInUrlExpression
static val VariableInUrlExpression: Regex

Field Value

Type: Regex
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.VariableNameForAllQueryParameters Field

FetchVariableNameForAllQueryParameters Field
The variable name that mean all query arguments from the visiting url
用于表示当前请求中所有参数的变量名

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string VariableNameForAllQueryParameters = "*query"
Public Const VariableNameForAllQueryParameters As String = "*query"
public:
literal String^ VariableNameForAllQueryParameters = "*query"
static val mutable VariableNameForAllQueryParameters: string

Field Value

Type: String
See Also

Reference

Fetch Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpContext Class

FetchFetchHttpContext Class
Simulated http context
模拟的Http上下文
Inheritance Hierarchy
SystemObject
ZKWeb.Templating.TemplateTagsFetchFetchHttpContext

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class FetchHttpContext : IHttpContext
Friend Class FetchHttpContext
    Implements IHttpContext
internal ref class FetchHttpContext : IHttpContext
type FetchHttpContext =
    class
        interface IHttpContext
    end

The FetchFetchHttpContext type exposes the following members.

Constructors
 | Name | Description
Public method | FetchFetchHttpContext | Initializes a new instance of the FetchFetchHttpContext class
Top
Properties
 | Name | Description
Public property | FetchRequest |
Public property | FetchResponse |
Public property | Items |
Public property | ParentContext |
Public property | Request |
Public property | Response |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpContext Constructor

FetchFetchHttpContext Constructor

Initializes a new instance of the FetchFetchHttpContext class

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FetchHttpContext(
    string path,
    string queryString,
    string method
)
Public Sub New (
    path As String,
    queryString As String,
    method As String
)
public:
FetchHttpContext(
    String^ path,
    String^ queryString,
    String^ method
)
new :
        path : string *
        queryString : string *
        method : string -> FetchHttpContext

Parameters

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.#ctor(System.String,System.String,System.String)"]

queryString
Type: SystemString

[Missing <param name="queryString"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.#ctor(System.String,System.String,System.String)"]

method
Type: SystemString

[Missing <param name="method"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.#ctor(System.String,System.String,System.String)"]

See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


FetchHttpContext Properties

The FetchFetchHttpContext type exposes the following members.

Properties
 | Name | Description
Public property | FetchRequest |
Public property | FetchResponse |
Public property | Items |
Public property | ParentContext |
Public property | Request |
Public property | Response |
Top
See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpContext.FetchRequest Property

FetchFetchHttpContextFetchRequest Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.FetchRequest"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FetchFetchHttpRequest FetchRequest { get; set; }
Public Property FetchRequest As FetchFetchHttpRequest
    Get
    Set
public:
property FetchFetchHttpRequest^ FetchRequest {
    FetchFetchHttpRequest^ get ();
    void set (FetchFetchHttpRequest^ value);
}
member FetchRequest : FetchFetchHttpRequest with get, set

Property Value

Type: FetchFetchHttpRequest
See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpContext.FetchResponse Property

FetchFetchHttpContextFetchResponse Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.FetchResponse"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpResponseMock FetchResponse { get; set; }
Public Property FetchResponse As HttpResponseMock
    Get
    Set
public:
property HttpResponseMock^ FetchResponse {
    HttpResponseMock^ get ();
    void set (HttpResponseMock^ value);
}
member FetchResponse : HttpResponseMock with get, set

Property Value

Type: HttpResponseMock
See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpContext.Items Property

FetchFetchHttpContextItems Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.Items"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Object, Object> Items { get; }
Public ReadOnly Property Items As IDictionary(Of Object, Object)
    Get
public:
virtual property IDictionary<Object^, Object^>^ Items {
    IDictionary<Object^, Object^>^ get () sealed;
}
abstract Items : IDictionary<Object, Object> with get
override Items : IDictionary<Object, Object> with get

Property Value

Type: IDictionary Object, Object

Implements

IHttpContextItems
See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpContext.ParentContext Property

FetchFetchHttpContextParentContext Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.ParentContext"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext ParentContext { get; set; }
Public Property ParentContext As IHttpContext
    Get
    Set
public:
property IHttpContext^ ParentContext {
    IHttpContext^ get ();
    void set (IHttpContext^ value);
}
member ParentContext : IHttpContext with get, set

Property Value

Type: IHttpContext
See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpContext.Request Property

FetchFetchHttpContextRequest Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.Request"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpRequest Request { get; }
Public ReadOnly Property Request As IHttpRequest
    Get
public:
virtual property IHttpRequest^ Request {
    IHttpRequest^ get () sealed;
}
abstract Request : IHttpRequest with get
override Request : IHttpRequest with get

Property Value

Type: IHttpRequest

Implements

IHttpContextRequest
See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpContext.Response Property

FetchFetchHttpContextResponse Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext.Response"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpResponse Response { get; }
Public ReadOnly Property Response As IHttpResponse
    Get
public:
virtual property IHttpResponse^ Response {
    IHttpResponse^ get () sealed;
}
abstract Response : IHttpResponse with get
override Response : IHttpResponse with get

Property Value

Type: IHttpResponse

Implements

IHttpContextResponse
See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


FetchHttpContext Methods

The FetchFetchHttpContext type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

FetchFetchHttpContext Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest Class

FetchFetchHttpRequest Class
Simulated http request
模拟的Http请求
Inheritance Hierarchy
SystemObject
ZKWebStandard.Web.WrappersHttpRequestWrapper
ZKWeb.Templating.TemplateTagsFetchFetchHttpRequest

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class FetchHttpRequest : HttpRequestWrapper
Friend Class FetchHttpRequest
    Inherits HttpRequestWrapper
internal ref class FetchHttpRequest : public HttpRequestWrapper
type FetchHttpRequest =
    class
        inherit HttpRequestWrapper
    end

The FetchFetchHttpRequest type exposes the following members.

Constructors
 | Name | Description
Public method | FetchFetchHttpRequest | Initializes a new instance of the FetchFetchHttpRequest class
Top
Properties
 | Name | Description
Public property | Body | (Overrides HttpRequestWrapperBody.)
Public property | ContentLength | (Overrides HttpRequestWrapperContentLength.)
Public property | FetchContext |
Public property | FetchForm |
Public property | FetchMethod |
Public property | FetchPath |
Public property | FetchQuery |
Public property | FetchQueryString |
Public property | HttpContext | (Overrides HttpRequestWrapperHttpContext.)
Public property | Method | (Overrides HttpRequestWrapperMethod.)
Public property | Path | (Overrides HttpRequestWrapperPath.)
Public property | QueryString | (Overrides HttpRequestWrapperQueryString.)
Top
Methods
 | Name | Description
Public method | GetFormValue | (Overrides HttpRequestWrapperGetFormValue(String).)
Public method | GetFormValues | (Overrides HttpRequestWrapperGetFormValues.)
Public method | GetPostedFile | (Overrides HttpRequestWrapperGetPostedFile(String).)
Public method | GetPostedFiles | (Overrides HttpRequestWrapperGetPostedFiles.)
Public method | GetQueryValue | (Overrides HttpRequestWrapperGetQueryValue(String).)
Public method | GetQueryValues | (Overrides HttpRequestWrapperGetQueryValues.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest Constructor

FetchFetchHttpRequest Constructor

Initializes a new instance of the FetchFetchHttpRequest class

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FetchHttpRequest(
    FetchFetchHttpContext fetchContext,
    string path,
    string queryString,
    string method
)
Public Sub New (
    fetchContext As FetchFetchHttpContext,
    path As String,
    queryString As String,
    method As String
)
public:
FetchHttpRequest(
    FetchFetchHttpContext^ fetchContext,
    String^ path,
    String^ queryString,
    String^ method
)
new :
        fetchContext : FetchFetchHttpContext *
        path : string *
        queryString : string *
        method : string -> FetchHttpRequest

Parameters

fetchContext
Type: ZKWeb.Templating.TemplateTagsFetchFetchHttpContext

[Missing <param name="fetchContext"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.#ctor(ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext,System.String,System.String,System.String)"]

path
Type: SystemString

[Missing <param name="path"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.#ctor(ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext,System.String,System.String,System.String)"]

queryString
Type: SystemString

[Missing <param name="queryString"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.#ctor(ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext,System.String,System.String,System.String)"]

method
Type: SystemString

[Missing <param name="method"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.#ctor(ZKWeb.Templating.TemplateTags.Fetch.FetchHttpContext,System.String,System.String,System.String)"]

See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


FetchHttpRequest Properties

The FetchFetchHttpRequest type exposes the following members.

Properties
 | Name | Description
Public property | Body | (Overrides HttpRequestWrapperBody.)
Public property | ContentLength | (Overrides HttpRequestWrapperContentLength.)
Public property | FetchContext |
Public property | FetchForm |
Public property | FetchMethod |
Public property | FetchPath |
Public property | FetchQuery |
Public property | FetchQueryString |
Public property | HttpContext | (Overrides HttpRequestWrapperHttpContext.)
Public property | Method | (Overrides HttpRequestWrapperMethod.)
Public property | Path | (Overrides HttpRequestWrapperPath.)
Public property | QueryString | (Overrides HttpRequestWrapperQueryString.)
Top
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.Body Property

FetchFetchHttpRequestBody Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.Body"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Stream Body { get; }
Public Overrides ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get () override;
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpRequestBody
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.ContentLength Property

FetchFetchHttpRequestContentLength Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.ContentLength"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Nullable<long> ContentLength { get; }
Public Overrides ReadOnly Property ContentLength As Nullable(Of Long)
    Get
public:
virtual property Nullable<long long> ContentLength {
    Nullable<long long> get () override;
}
abstract ContentLength : Nullable<int64> with get
override ContentLength : Nullable<int64> with get

Property Value

Type: Nullable Int64

Implements

IHttpRequestContentLength
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.FetchContext Property

FetchFetchHttpRequestFetchContext Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.FetchContext"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FetchFetchHttpContext FetchContext { get; set; }
Public Property FetchContext As FetchFetchHttpContext
    Get
    Set
public:
property FetchFetchHttpContext^ FetchContext {
    FetchFetchHttpContext^ get ();
    void set (FetchFetchHttpContext^ value);
}
member FetchContext : FetchFetchHttpContext with get, set

Property Value

Type: FetchFetchHttpContext
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.FetchForm Property

FetchFetchHttpRequestFetchForm Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.FetchForm"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, IList<string>> FetchForm { get; set; }
Public Property FetchForm As IDictionary(Of String, IList(Of String))
    Get
    Set
public:
property IDictionary<String^, IList<String^>^>^ FetchForm {
    IDictionary<String^, IList<String^>^>^ get ();
    void set (IDictionary<String^, IList<String^>^>^ value);
}
member FetchForm : IDictionary<string, IList<string>> with get, set

Property Value

Type: IDictionary String, IList String
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.FetchMethod Property

FetchFetchHttpRequestFetchMethod Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.FetchMethod"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string FetchMethod { get; set; }
Public Property FetchMethod As String
    Get
    Set
public:
property String^ FetchMethod {
    String^ get ();
    void set (String^ value);
}
member FetchMethod : string with get, set

Property Value

Type: String
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.FetchPath Property

FetchFetchHttpRequestFetchPath Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.FetchPath"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string FetchPath { get; set; }
Public Property FetchPath As String
    Get
    Set
public:
property String^ FetchPath {
    String^ get ();
    void set (String^ value);
}
member FetchPath : string with get, set

Property Value

Type: String
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.FetchQuery Property

FetchFetchHttpRequestFetchQuery Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.FetchQuery"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, IList<string>> FetchQuery { get; set; }
Public Property FetchQuery As IDictionary(Of String, IList(Of String))
    Get
    Set
public:
property IDictionary<String^, IList<String^>^>^ FetchQuery {
    IDictionary<String^, IList<String^>^>^ get ();
    void set (IDictionary<String^, IList<String^>^>^ value);
}
member FetchQuery : IDictionary<string, IList<string>> with get, set

Property Value

Type: IDictionary String, IList String
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.FetchQueryString Property

FetchFetchHttpRequestFetchQueryString Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.FetchQueryString"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string FetchQueryString { get; set; }
Public Property FetchQueryString As String
    Get
    Set
public:
property String^ FetchQueryString {
    String^ get ();
    void set (String^ value);
}
member FetchQueryString : string with get, set

Property Value

Type: String
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.HttpContext Property

FetchFetchHttpRequestHttpContext Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.HttpContext"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override IHttpContext HttpContext { get; }
Public Overrides ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get () override;
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpRequestHttpContext
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.Method Property

FetchFetchHttpRequestMethod Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.Method"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string Method { get; }
Public Overrides ReadOnly Property Method As String
    Get
public:
virtual property String^ Method {
    String^ get () override;
}
abstract Method : string with get
override Method : string with get

Property Value

Type: String

Implements

IHttpRequestMethod
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.Path Property

FetchFetchHttpRequestPath Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.Path"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string Path { get; }
Public Overrides ReadOnly Property Path As String
    Get
public:
virtual property String^ Path {
    String^ get () override;
}
abstract Path : string with get
override Path : string with get

Property Value

Type: String

Implements

IHttpRequestPath
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.QueryString Property

FetchFetchHttpRequestQueryString Property

[Missing <summary> documentation for "P:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.QueryString"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string QueryString { get; }
Public Overrides ReadOnly Property QueryString As String
    Get
public:
virtual property String^ QueryString {
    String^ get () override;
}
abstract QueryString : string with get
override QueryString : string with get

Property Value

Type: String

Implements

IHttpRequestQueryString
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


FetchHttpRequest Methods

The FetchFetchHttpRequest type exposes the following members.

Methods
 | Name | Description
Public method | GetFormValue | (Overrides HttpRequestWrapperGetFormValue(String).)
Public method | GetFormValues | (Overrides HttpRequestWrapperGetFormValues.)
Public method | GetPostedFile | (Overrides HttpRequestWrapperGetPostedFile(String).)
Public method | GetPostedFiles | (Overrides HttpRequestWrapperGetPostedFiles.)
Public method | GetQueryValue | (Overrides HttpRequestWrapperGetQueryValue(String).)
Public method | GetQueryValues | (Overrides HttpRequestWrapperGetQueryValues.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.GetFormValue Method

FetchFetchHttpRequestGetFormValue Method

[Missing <summary> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetFormValue(System.String)"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override IList<string> GetFormValue(
    string key
)
Public Overrides Function GetFormValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetFormValue(
    String^ key
) override
abstract GetFormValue :
        key : string -> IList<string>
override GetFormValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetFormValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetFormValue(System.String)"]

Implements

IHttpRequestGetFormValue(String)
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.GetFormValues Method

FetchFetchHttpRequestGetFormValues Method

[Missing <summary> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetFormValues"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override IEnumerable<Pair<string, IList<string>>> GetFormValues()
Public Overrides Function GetFormValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetFormValues() override
abstract GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetFormValues"]

Implements

IHttpRequestGetFormValues
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.GetPostedFile Method

FetchFetchHttpRequestGetPostedFile Method

[Missing <summary> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetPostedFile(System.String)"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override IHttpPostedFile GetPostedFile(
    string key
)
Public Overrides Function GetPostedFile (
    key As String
) As IHttpPostedFile
public:
virtual IHttpPostedFile^ GetPostedFile(
    String^ key
) override
abstract GetPostedFile :
        key : string -> IHttpPostedFile
override GetPostedFile :
        key : string -> IHttpPostedFile

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetPostedFile(System.String)"]

Return Value

Type: IHttpPostedFile

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetPostedFile(System.String)"]

Implements

IHttpRequestGetPostedFile(String)
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.GetPostedFiles Method

FetchFetchHttpRequestGetPostedFiles Method

[Missing <summary> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetPostedFiles"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override IEnumerable<Pair<string, IHttpPostedFile>> GetPostedFiles()
Public Overrides Function GetPostedFiles As IEnumerable(Of Pair(Of String, IHttpPostedFile))
public:
virtual IEnumerable<Pair<String^, IHttpPostedFile^>>^ GetPostedFiles() override
abstract GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>
override GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>

Return Value

Type: IEnumerable Pair String, IHttpPostedFile

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetPostedFiles"]

Implements

IHttpRequestGetPostedFiles
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.GetQueryValue Method

FetchFetchHttpRequestGetQueryValue Method

[Missing <summary> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetQueryValue(System.String)"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override IList<string> GetQueryValue(
    string key
)
Public Overrides Function GetQueryValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetQueryValue(
    String^ key
) override
abstract GetQueryValue :
        key : string -> IList<string>
override GetQueryValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetQueryValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetQueryValue(System.String)"]

Implements

IHttpRequestGetQueryValue(String)
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


Fetch.FetchHttpRequest.GetQueryValues Method

FetchFetchHttpRequestGetQueryValues Method

[Missing <summary> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetQueryValues"]

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override IEnumerable<Pair<string, IList<string>>> GetQueryValues()
Public Overrides Function GetQueryValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetQueryValues() override
abstract GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWeb.Templating.TemplateTags.Fetch.FetchHttpRequest.GetQueryValues"]

Implements

IHttpRequestGetQueryValues
See Also

Reference

FetchFetchHttpRequest Class
ZKWeb.Templating.TemplateTags Namespace


HtmlLang Class
Display the language code
显示当前语言代码

Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Templating.TemplateTagsHtmlLang

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HtmlLang : Tag
Public Class HtmlLang
    Inherits Tag
public ref class HtmlLang : public Tag
type HtmlLang =
    class
        inherit Tag
    end

The HtmlLang type exposes the following members.

Constructors
 | Name | Description
Public method | HtmlLang | Initializes a new instance of the HtmlLang class
Top
Methods
 | Name | Description
Public method | Render | Render contents 描画内容 (Overrides Tag.Render(Context, TextWriter).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
Copy
<html lang="{% html_lang %}"></html>
See Also

Reference

ZKWeb.Templating.TemplateTags Namespace
ZKWeb.TemplatingTemplateManager


HtmlLang Constructor

Initializes a new instance of the HtmlLang class

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HtmlLang()
Public Sub New
public:
HtmlLang()
new : unit -> HtmlLang
See Also

Reference

HtmlLang Class
ZKWeb.Templating.TemplateTags Namespace


HtmlLang Methods

The HtmlLang type exposes the following members.

Methods
 | Name | Description
Public method | Render | Render contents 描画内容 (Overrides Tag.Render(Context, TextWriter).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HtmlLang Class
ZKWeb.Templating.TemplateTags Namespace


HtmlLang.Render Method

HtmlLangRender Method

Render contents
描画内容

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Templating.TemplateTags.HtmlLang.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Templating.TemplateTags.HtmlLang.Render(DotLiquid.Context,System.IO.TextWriter)"]

Implements

IRenderable.Render(Context, TextWriter)
See Also

Reference

HtmlLang Class
ZKWeb.Templating.TemplateTags Namespace


RawHtml Class
Render text as raw html
把文本作为Html描画
Inheritance Hierarchy
SystemObject
Tag
ZKWeb.Templating.TemplateTagsRawHtml

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class RawHtml : Tag
Public Class RawHtml
    Inherits Tag
public ref class RawHtml : public Tag
type RawHtml =
    class
        inherit Tag
    end

The RawHtml type exposes the following members.

Constructors
 | Name | Description
Public method | RawHtml | Initializes a new instance of the RawHtml class
Top
Methods
 | Name | Description
Public method | Render | Render contents 描画内容 (Overrides Tag.Render(Context, TextWriter).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
Copy
{% raw_html variable %}
See Also

Reference

ZKWeb.Templating.TemplateTags Namespace
ZKWeb.TemplatingTemplateManager


RawHtml Constructor

Initializes a new instance of the RawHtml class

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public RawHtml()
Public Sub New
public:
RawHtml()
new : unit -> RawHtml
See Also

Reference

RawHtml Class
ZKWeb.Templating.TemplateTags Namespace


RawHtml Methods

The RawHtml type exposes the following members.

Methods
 | Name | Description
Public method | Render | Render contents 描画内容 (Overrides Tag.Render(Context, TextWriter).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

RawHtml Class
ZKWeb.Templating.TemplateTags Namespace


RawHtml.Render Method

RawHtmlRender Method

Render contents
描画内容

Namespace: ZKWeb.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void Render(
    Context context,
    TextWriter result
)
Public Overrides Sub Render (
    context As Context,
    result As TextWriter
)
public:
virtual void Render(
    Context^ context,
    TextWriter^ result
) override
abstract Render :
        context : Context *
        result : TextWriter -> unit
override Render :
        context : Context *
        result : TextWriter -> unit

Parameters

context
Type: Context

[Missing <param name="context"/> documentation for "M:ZKWeb.Templating.TemplateTags.RawHtml.Render(DotLiquid.Context,System.IO.TextWriter)"]

result
Type: System.IOTextWriter

[Missing <param name="result"/> documentation for "M:ZKWeb.Templating.TemplateTags.RawHtml.Render(DotLiquid.Context,System.IO.TextWriter)"]

Implements

IRenderable.Render(Context, TextWriter)
See Also

Reference

RawHtml Class
ZKWeb.Templating.TemplateTags Namespace


ZKWeb.Testing Namespaces

[Missing <summary> documentation for "G:ZKWeb.Testing"]

Namespaces
Namespace | Description
ZKWeb.Testing |
ZKWeb.Testing.TestEventHandlers |


ZKWeb.Testing Namespace

[Missing <summary> documentation for "N:ZKWeb.Testing"]

Classes
 | Class | Description
Public class | TestManager | Testing manager 测试管理器


TestManager Class
Testing manager
测试管理器
Inheritance Hierarchy
SystemObject
ZKWeb.TestingTestManager

Namespace: ZKWeb.Testing
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestManager
Public Class TestManager
public ref class TestManager
type TestManager =  class end

The TestManager type exposes the following members.

Constructors
 | Name | Description
Public method | TestManager | Initializes a new instance of the TestManager class
Top
Methods
 | Name | Description
Public method | GetAssembliesForTest | Get assemblies for testing 获取测试使用的所有程序集
Public method | RunAllAssemblyTest | Run tests from all assemblies Will block until all tests finished 运行所有程序集中的所有测试 会阻塞到运行完成
Public method | RunAssemblyTest | Run tests from assembly Will block until all tests finished 运行指定程序集中的所有测试 会阻塞到运行完成
Public method | UseTemporaryDatabase | Use temporary database in the specified scope 在指定范围内使用临时数据库
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Testing Namespace


TestManager Constructor

Initializes a new instance of the TestManager class

Namespace: ZKWeb.Testing
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestManager()
Public Sub New
public:
TestManager()
new : unit -> TestManager
See Also

Reference

TestManager Class
ZKWeb.Testing Namespace


TestManager Methods

The TestManager type exposes the following members.

Methods
 | Name | Description
Public method | GetAssembliesForTest | Get assemblies for testing 获取测试使用的所有程序集
Public method | RunAllAssemblyTest | Run tests from all assemblies Will block until all tests finished 运行所有程序集中的所有测试 会阻塞到运行完成
Public method | RunAssemblyTest | Run tests from assembly Will block until all tests finished 运行指定程序集中的所有测试 会阻塞到运行完成
Public method | UseTemporaryDatabase | Use temporary database in the specified scope 在指定范围内使用临时数据库
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestManager Class
ZKWeb.Testing Namespace


TestManager.GetAssembliesForTest Method

TestManagerGetAssembliesForTest Method

Get assemblies for testing
获取测试使用的所有程序集

Namespace: ZKWeb.Testing
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<Assembly> GetAssembliesForTest()
Public Overridable Function GetAssembliesForTest As IList(Of Assembly)
public:
virtual IList<Assembly^>^ GetAssembliesForTest()
abstract GetAssembliesForTest : unit -> IList<Assembly>
override GetAssembliesForTest : unit -> IList<Assembly>

Return Value

Type: IList Assembly

[Missing <returns> documentation for "M:ZKWeb.Testing.TestManager.GetAssembliesForTest"]

See Also

Reference

TestManager Class
ZKWeb.Testing Namespace


TestManager.RunAllAssemblyTest Method

TestManagerRunAllAssemblyTest Method

Run tests from all assemblies
Will block until all tests finished
运行所有程序集中的所有测试
会阻塞到运行完成

Namespace: ZKWeb.Testing
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RunAllAssemblyTest(
    ITestEventHandler eventHandler = null
)
Public Overridable Sub RunAllAssemblyTest (
    Optional eventHandler As ITestEventHandler = Nothing
)
public:
virtual void RunAllAssemblyTest(
    ITestEventHandler^ eventHandler = nullptr
)
abstract RunAllAssemblyTest :
        ?eventHandler : ITestEventHandler
(* Defaults:
        let _eventHandler = defaultArg eventHandler null
*)
-> unit
override RunAllAssemblyTest :
        ?eventHandler : ITestEventHandler
(* Defaults:
        let _eventHandler = defaultArg eventHandler null
*)
-> unit

Parameters

eventHandler (Optional)
Type: ZKWebStandard.Testing.EventsITestEventHandler
Extra test event handler, can be null
See Also

Reference

TestManager Class
ZKWeb.Testing Namespace


TestManager.RunAssemblyTest Method

TestManagerRunAssemblyTest Method

Run tests from assembly
Will block until all tests finished
运行指定程序集中的所有测试
会阻塞到运行完成

Namespace: ZKWeb.Testing
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RunAssemblyTest(
    Assembly assembly,
    ITestEventHandler eventHandler = null
)
Public Overridable Sub RunAssemblyTest (
    assembly As Assembly,
    Optional eventHandler As ITestEventHandler = Nothing
)
public:
virtual void RunAssemblyTest(
    Assembly^ assembly,
    ITestEventHandler^ eventHandler = nullptr
)
abstract RunAssemblyTest :
        assembly : Assembly *
        ?eventHandler : ITestEventHandler
(* Defaults:
        let _eventHandler = defaultArg eventHandler null
*)
-> unit
override RunAssemblyTest :
        assembly : Assembly *
        ?eventHandler : ITestEventHandler
(* Defaults:
        let _eventHandler = defaultArg eventHandler null
*)
-> unit

Parameters

assembly
Type: System.ReflectionAssembly
Assembly
eventHandler (Optional)
Type: ZKWebStandard.Testing.EventsITestEventHandler
Extra test event handler, can be null
See Also

Reference

TestManager Class
ZKWeb.Testing Namespace


TestManager.UseTemporaryDatabase Method

TestManagerUseTemporaryDatabase Method

Use temporary database in the specified scope
在指定范围内使用临时数据库

Namespace: ZKWeb.Testing
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDisposable UseTemporaryDatabase()
Public Overridable Function UseTemporaryDatabase As IDisposable
public:
virtual IDisposable^ UseTemporaryDatabase()
abstract UseTemporaryDatabase : unit -> IDisposable
override UseTemporaryDatabase : unit -> IDisposable

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWeb.Testing.TestManager.UseTemporaryDatabase"]

See Also

Reference

TestManager Class
ZKWeb.Testing Namespace


ZKWeb.Testing.TestEventHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Testing.TestEventHandlers"]

Classes
 | Class | Description
Public class | TestConsoleEventHandler | Test event handler for running tests from console 控制台运行测试使用的事件处理器


TestConsoleEventHandler Class
Test event handler for running tests from console
控制台运行测试使用的事件处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Testing.TestEventHandlersTestConsoleEventHandler

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestConsoleEventHandler : ITestEventHandler
Public Class TestConsoleEventHandler
    Implements ITestEventHandler
public ref class TestConsoleEventHandler : ITestEventHandler
type TestConsoleEventHandler =
    class
        interface ITestEventHandler
    end

The TestConsoleEventHandler type exposes the following members.

Constructors
 | Name | Description
Public method | TestConsoleEventHandler | Initializes a new instance of the TestConsoleEventHandler class
Top
Properties
 | Name | Description
Public property | CompletedInfo |
Top
Methods
 | Name | Description
Public method | OnAllTestCompleted |
Public method | OnAllTestStarting |
Public method | OnDebugMessage |
Public method | OnErrorMessage |
Public method | OnTestFailed |
Public method | OnTestPassed |
Public method | OnTestSkipped |
Public method | OnTestStarting |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Testing.TestEventHandlers Namespace
ZKWeb.TestingTestManager


TestConsoleEventHandler Constructor

Initializes a new instance of the TestConsoleEventHandler class

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestConsoleEventHandler()
Public Sub New
public:
TestConsoleEventHandler()
new : unit -> TestConsoleEventHandler
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler Properties

The TestConsoleEventHandler type exposes the following members.

Properties
 | Name | Description
Public property | CompletedInfo |
Top
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.CompletedInfo Property

TestConsoleEventHandlerCompletedInfo Property

[Missing <summary> documentation for "P:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.CompletedInfo"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AllTestCompletedInfo CompletedInfo { get; set; }
Public Property CompletedInfo As AllTestCompletedInfo
    Get
    Set
public:
property AllTestCompletedInfo^ CompletedInfo {
    AllTestCompletedInfo^ get ();
    void set (AllTestCompletedInfo^ value);
}
member CompletedInfo : AllTestCompletedInfo with get, set

Property Value

Type: AllTestCompletedInfo
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler Methods

The TestConsoleEventHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnAllTestCompleted |
Public method | OnAllTestStarting |
Public method | OnDebugMessage |
Public method | OnErrorMessage |
Public method | OnTestFailed |
Public method | OnTestPassed |
Public method | OnTestSkipped |
Public method | OnTestStarting |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.OnAllTestCompleted Method

TestConsoleEventHandlerOnAllTestCompleted Method

[Missing <summary> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnAllTestCompleted(ZKWebStandard.Testing.Events.AllTestCompletedInfo)"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnAllTestCompleted(
    AllTestCompletedInfo info
)
Public Sub OnAllTestCompleted (
    info As AllTestCompletedInfo
)
public:
virtual void OnAllTestCompleted(
    AllTestCompletedInfo^ info
) sealed
abstract OnAllTestCompleted :
        info : AllTestCompletedInfo -> unit
override OnAllTestCompleted :
        info : AllTestCompletedInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsAllTestCompletedInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnAllTestCompleted(ZKWebStandard.Testing.Events.AllTestCompletedInfo)"]

Implements

ITestEventHandlerOnAllTestCompleted(AllTestCompletedInfo)
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.OnAllTestStarting Method

TestConsoleEventHandlerOnAllTestStarting Method

[Missing <summary> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnAllTestStarting(ZKWebStandard.Testing.Events.AllTestStartingInfo)"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnAllTestStarting(
    AllTestStartingInfo info
)
Public Sub OnAllTestStarting (
    info As AllTestStartingInfo
)
public:
virtual void OnAllTestStarting(
    AllTestStartingInfo^ info
) sealed
abstract OnAllTestStarting :
        info : AllTestStartingInfo -> unit
override OnAllTestStarting :
        info : AllTestStartingInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsAllTestStartingInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnAllTestStarting(ZKWebStandard.Testing.Events.AllTestStartingInfo)"]

Implements

ITestEventHandlerOnAllTestStarting(AllTestStartingInfo)
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.OnDebugMessage Method

TestConsoleEventHandlerOnDebugMessage Method

[Missing <summary> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnDebugMessage(ZKWebStandard.Testing.Events.DebugMessageInfo)"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnDebugMessage(
    DebugMessageInfo info
)
Public Sub OnDebugMessage (
    info As DebugMessageInfo
)
public:
virtual void OnDebugMessage(
    DebugMessageInfo^ info
) sealed
abstract OnDebugMessage :
        info : DebugMessageInfo -> unit
override OnDebugMessage :
        info : DebugMessageInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsDebugMessageInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnDebugMessage(ZKWebStandard.Testing.Events.DebugMessageInfo)"]

Implements

ITestEventHandlerOnDebugMessage(DebugMessageInfo)
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.OnErrorMessage Method

TestConsoleEventHandlerOnErrorMessage Method

[Missing <summary> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnErrorMessage(ZKWebStandard.Testing.Events.ErrorMessageInfo)"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnErrorMessage(
    ErrorMessageInfo info
)
Public Sub OnErrorMessage (
    info As ErrorMessageInfo
)
public:
virtual void OnErrorMessage(
    ErrorMessageInfo^ info
) sealed
abstract OnErrorMessage :
        info : ErrorMessageInfo -> unit
override OnErrorMessage :
        info : ErrorMessageInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsErrorMessageInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnErrorMessage(ZKWebStandard.Testing.Events.ErrorMessageInfo)"]

Implements

ITestEventHandlerOnErrorMessage(ErrorMessageInfo)
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.OnTestFailed Method

TestConsoleEventHandlerOnTestFailed Method

[Missing <summary> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnTestFailed(ZKWebStandard.Testing.Events.TestFailedInfo)"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnTestFailed(
    TestFailedInfo info
)
Public Sub OnTestFailed (
    info As TestFailedInfo
)
public:
virtual void OnTestFailed(
    TestFailedInfo^ info
) sealed
abstract OnTestFailed :
        info : TestFailedInfo -> unit
override OnTestFailed :
        info : TestFailedInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsTestFailedInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnTestFailed(ZKWebStandard.Testing.Events.TestFailedInfo)"]

Implements

ITestEventHandlerOnTestFailed(TestFailedInfo)
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.OnTestPassed Method

TestConsoleEventHandlerOnTestPassed Method

[Missing <summary> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnTestPassed(ZKWebStandard.Testing.Events.TestPassedInfo)"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnTestPassed(
    TestPassedInfo info
)
Public Sub OnTestPassed (
    info As TestPassedInfo
)
public:
virtual void OnTestPassed(
    TestPassedInfo^ info
) sealed
abstract OnTestPassed :
        info : TestPassedInfo -> unit
override OnTestPassed :
        info : TestPassedInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsTestPassedInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnTestPassed(ZKWebStandard.Testing.Events.TestPassedInfo)"]

Implements

ITestEventHandlerOnTestPassed(TestPassedInfo)
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.OnTestSkipped Method

TestConsoleEventHandlerOnTestSkipped Method

[Missing <summary> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnTestSkipped(ZKWebStandard.Testing.Events.TestSkippedInfo)"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnTestSkipped(
    TestSkippedInfo info
)
Public Sub OnTestSkipped (
    info As TestSkippedInfo
)
public:
virtual void OnTestSkipped(
    TestSkippedInfo^ info
) sealed
abstract OnTestSkipped :
        info : TestSkippedInfo -> unit
override OnTestSkipped :
        info : TestSkippedInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsTestSkippedInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnTestSkipped(ZKWebStandard.Testing.Events.TestSkippedInfo)"]

Implements

ITestEventHandlerOnTestSkipped(TestSkippedInfo)
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


TestConsoleEventHandler.OnTestStarting Method

TestConsoleEventHandlerOnTestStarting Method

[Missing <summary> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnTestStarting(ZKWebStandard.Testing.Events.TestStartingInfo)"]

Namespace: ZKWeb.Testing.TestEventHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnTestStarting(
    TestStartingInfo info
)
Public Sub OnTestStarting (
    info As TestStartingInfo
)
public:
virtual void OnTestStarting(
    TestStartingInfo^ info
) sealed
abstract OnTestStarting :
        info : TestStartingInfo -> unit
override OnTestStarting :
        info : TestStartingInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsTestStartingInfo

[Missing <param name="info"/> documentation for "M:ZKWeb.Testing.TestEventHandlers.TestConsoleEventHandler.OnTestStarting(ZKWebStandard.Testing.Events.TestStartingInfo)"]

Implements

ITestEventHandlerOnTestStarting(TestStartingInfo)
See Also

Reference

TestConsoleEventHandler Class
ZKWeb.Testing.TestEventHandlers Namespace


ZKWeb.Tests Namespaces

[Missing <summary> documentation for "G:ZKWeb.Tests"]

Namespaces
Namespace | Description
ZKWeb.Tests |
ZKWeb.Tests.Cache |
ZKWeb.Tests.Database |
ZKWeb.Tests.Localize |
ZKWeb.Tests.Logging |
ZKWeb.Tests.Serialize |
ZKWeb.Tests.Server |
ZKWeb.Tests.Storage |
ZKWeb.Tests.Templating |
ZKWeb.Tests.Web |


ZKWeb.Tests Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests"]

Classes
 | Class | Description
Protected class | ApplicationTest |
Public class | ApplicationTestA |
Public class | ApplicationTestB |
Public class | ApplicationTestBase |


ApplicationTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.ApplicationTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.TestsApplicationTest

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ApplicationTest
Friend Class ApplicationTest
internal ref class ApplicationTest
type ApplicationTest =  class end

The ApplicationTest type exposes the following members.

Constructors
 | Name | Description
Public method | ApplicationTest | Initializes a new instance of the ApplicationTest class
Top
Methods
 | Name | Description
Public method | OverrideIoc |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests Namespace


ApplicationTest Constructor

Initializes a new instance of the ApplicationTest class

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ApplicationTest()
Public Sub New
public:
ApplicationTest()
new : unit -> ApplicationTest
See Also

Reference

ApplicationTest Class
ZKWeb.Tests Namespace


ApplicationTest Methods

The ApplicationTest type exposes the following members.

Methods
 | Name | Description
Public method | OverrideIoc |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ApplicationTest Class
ZKWeb.Tests Namespace


ApplicationTest.OverrideIoc Method

ApplicationTestOverrideIoc Method

[Missing <summary> documentation for "M:ZKWeb.Tests.ApplicationTest.OverrideIoc"]

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OverrideIoc()
Public Sub OverrideIoc
public:
void OverrideIoc()
member OverrideIoc : unit -> unit
See Also

Reference

ApplicationTest Class
ZKWeb.Tests Namespace


ApplicationTest.A Class

ApplicationTestA Class

[Missing <summary> documentation for "T:ZKWeb.Tests.ApplicationTest.A"]

Inheritance Hierarchy
SystemObject
ZKWeb.TestsApplicationTestBase
ZKWeb.TestsApplicationTestA

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class A : ApplicationTestBase
Public Class A
    Inherits ApplicationTestBase
public ref class A : public ApplicationTestBase
type A =
    class
        inherit ApplicationTestBase
    end

The ApplicationTestA type exposes the following members.

Constructors
 | Name | Description
Public method | ApplicationTestA | Initializes a new instance of the ApplicationTestA class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests Namespace


ApplicationTest.A Constructor

ApplicationTestA Constructor

Initializes a new instance of the ApplicationTestA class

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public A()
Public Sub New
public:
A()
new : unit -> A
See Also

Reference

ApplicationTestA Class
ZKWeb.Tests Namespace


A Methods

The ApplicationTestA type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ApplicationTestA Class
ZKWeb.Tests Namespace


ApplicationTest.B Class

ApplicationTestB Class

[Missing <summary> documentation for "T:ZKWeb.Tests.ApplicationTest.B"]

Inheritance Hierarchy
SystemObject
ZKWeb.TestsApplicationTestBase
ZKWeb.TestsApplicationTestB

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class B : ApplicationTestBase
Public Class B
    Inherits ApplicationTestBase
public ref class B : public ApplicationTestBase
type B =
    class
        inherit ApplicationTestBase
    end

The ApplicationTestB type exposes the following members.

Constructors
 | Name | Description
Public method | ApplicationTestB | Initializes a new instance of the ApplicationTestB class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests Namespace


ApplicationTest.B Constructor

ApplicationTestB Constructor

Initializes a new instance of the ApplicationTestB class

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public B()
Public Sub New
public:
B()
new : unit -> B
See Also

Reference

ApplicationTestB Class
ZKWeb.Tests Namespace


B Methods

The ApplicationTestB type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ApplicationTestB Class
ZKWeb.Tests Namespace


ApplicationTest.Base Class

ApplicationTestBase Class

[Missing <summary> documentation for "T:ZKWeb.Tests.ApplicationTest.Base"]

Inheritance Hierarchy
SystemObject
ZKWeb.TestsApplicationTestBase
ZKWeb.TestsApplicationTestA
ZKWeb.TestsApplicationTestB

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class Base
Public MustInherit Class Base
public ref class Base abstract
[<AbstractClassAttribute>]
type Base =  class end

The ApplicationTestBase type exposes the following members.

Constructors
 | Name | Description
Protected method | ApplicationTestBase | Initializes a new instance of the ApplicationTestBase class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests Namespace


ApplicationTest.Base Constructor

ApplicationTestBase Constructor

Initializes a new instance of the ApplicationTestBase class

Namespace: ZKWeb.Tests
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Base()
Protected Sub New
protected:
Base()
new : unit -> Base
See Also

Reference

ApplicationTestBase Class
ZKWeb.Tests Namespace


Base Methods

The ApplicationTestBase type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ApplicationTestBase Class
ZKWeb.Tests Namespace


ZKWeb.Tests.Cache Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Cache"]

Classes
 | Class | Description
Protected class | CacheIsolationPoliciesTest |
Protected class | IsolatedKeyValueCacheTest |


CacheIsolationPoliciesTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Cache.CacheIsolationPoliciesTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.CacheCacheIsolationPoliciesTest

Namespace: ZKWeb.Tests.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class CacheIsolationPoliciesTest
Friend Class CacheIsolationPoliciesTest
internal ref class CacheIsolationPoliciesTest
type CacheIsolationPoliciesTest =  class end

The CacheIsolationPoliciesTest type exposes the following members.

Constructors
 | Name | Description
Public method | CacheIsolationPoliciesTest | Initializes a new instance of the CacheIsolationPoliciesTest class
Top
Methods
 | Name | Description
Public method | ByDevice |
Public method | ByLocale |
Public method | ByUrl |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Cache Namespace


CacheIsolationPoliciesTest Constructor

Initializes a new instance of the CacheIsolationPoliciesTest class

Namespace: ZKWeb.Tests.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public CacheIsolationPoliciesTest()
Public Sub New
public:
CacheIsolationPoliciesTest()
new : unit -> CacheIsolationPoliciesTest
See Also

Reference

CacheIsolationPoliciesTest Class
ZKWeb.Tests.Cache Namespace


CacheIsolationPoliciesTest Methods

The CacheIsolationPoliciesTest type exposes the following members.

Methods
 | Name | Description
Public method | ByDevice |
Public method | ByLocale |
Public method | ByUrl |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

CacheIsolationPoliciesTest Class
ZKWeb.Tests.Cache Namespace


CacheIsolationPoliciesTest.ByDevice Method

CacheIsolationPoliciesTestByDevice Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Cache.CacheIsolationPoliciesTest.ByDevice"]

Namespace: ZKWeb.Tests.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ByDevice()
Public Sub ByDevice
public:
void ByDevice()
member ByDevice : unit -> unit
See Also

Reference

CacheIsolationPoliciesTest Class
ZKWeb.Tests.Cache Namespace


CacheIsolationPoliciesTest.ByLocale Method

CacheIsolationPoliciesTestByLocale Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Cache.CacheIsolationPoliciesTest.ByLocale"]

Namespace: ZKWeb.Tests.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ByLocale()
Public Sub ByLocale
public:
void ByLocale()
member ByLocale : unit -> unit
See Also

Reference

CacheIsolationPoliciesTest Class
ZKWeb.Tests.Cache Namespace


CacheIsolationPoliciesTest.ByUrl Method

CacheIsolationPoliciesTestByUrl Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Cache.CacheIsolationPoliciesTest.ByUrl"]

Namespace: ZKWeb.Tests.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ByUrl()
Public Sub ByUrl
public:
void ByUrl()
member ByUrl : unit -> unit
See Also

Reference

CacheIsolationPoliciesTest Class
ZKWeb.Tests.Cache Namespace


IsolatedKeyValueCacheTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Cache.IsolatedKeyValueCacheTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.CacheIsolatedKeyValueCacheTest

Namespace: ZKWeb.Tests.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class IsolatedKeyValueCacheTest
Friend Class IsolatedKeyValueCacheTest
internal ref class IsolatedKeyValueCacheTest
type IsolatedKeyValueCacheTest =  class end

The IsolatedKeyValueCacheTest type exposes the following members.

Constructors
 | Name | Description
Public method | IsolatedKeyValueCacheTest | Initializes a new instance of the IsolatedKeyValueCacheTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Cache Namespace


IsolatedKeyValueCacheTest Constructor

Initializes a new instance of the IsolatedKeyValueCacheTest class

Namespace: ZKWeb.Tests.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IsolatedKeyValueCacheTest()
Public Sub New
public:
IsolatedKeyValueCacheTest()
new : unit -> IsolatedKeyValueCacheTest
See Also

Reference

IsolatedKeyValueCacheTest Class
ZKWeb.Tests.Cache Namespace


IsolatedKeyValueCacheTest Methods

The IsolatedKeyValueCacheTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IsolatedKeyValueCacheTest Class
ZKWeb.Tests.Cache Namespace


IsolatedKeyValueCacheTest.All Method

IsolatedKeyValueCacheTestAll Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Cache.IsolatedKeyValueCacheTest.All"]

Namespace: ZKWeb.Tests.Cache
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

IsolatedKeyValueCacheTest Class
ZKWeb.Tests.Cache Namespace


ZKWeb.Tests.Database Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Database"]

Classes
 | Class | Description
Protected class | DatabaseContextTest |


DatabaseContextTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Database.DatabaseContextTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.DatabaseDatabaseContextTest

Namespace: ZKWeb.Tests.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class DatabaseContextTest
Friend Class DatabaseContextTest
internal ref class DatabaseContextTest
type DatabaseContextTest =  class end

The DatabaseContextTest type exposes the following members.

Constructors
 | Name | Description
Public method | DatabaseContextTest | Initializes a new instance of the DatabaseContextTest class
Top
Methods
 | Name | Description
Public method | All |
Public method | FastBatchActions |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Database Namespace


DatabaseContextTest Constructor

Initializes a new instance of the DatabaseContextTest class

Namespace: ZKWeb.Tests.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DatabaseContextTest()
Public Sub New
public:
DatabaseContextTest()
new : unit -> DatabaseContextTest
See Also

Reference

DatabaseContextTest Class
ZKWeb.Tests.Database Namespace


DatabaseContextTest Methods

The DatabaseContextTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Public method | FastBatchActions |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DatabaseContextTest Class
ZKWeb.Tests.Database Namespace


DatabaseContextTest.All Method

DatabaseContextTestAll Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Database.DatabaseContextTest.All"]

Namespace: ZKWeb.Tests.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

DatabaseContextTest Class
ZKWeb.Tests.Database Namespace


DatabaseContextTest.FastBatchActions Method

DatabaseContextTestFastBatchActions Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Database.DatabaseContextTest.FastBatchActions"]

Namespace: ZKWeb.Tests.Database
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FastBatchActions()
Public Sub FastBatchActions
public:
void FastBatchActions()
member FastBatchActions : unit -> unit
See Also

Reference

DatabaseContextTest Class
ZKWeb.Tests.Database Namespace


ZKWeb.Tests.Localize Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Localize"]

Classes
 | Class | Description
Protected class | TJsonConverterTest |
Protected class | TranslateManagerTest |
Protected class | TranslateManagerTestTestTranslateProviderCN |
Protected class | TranslateManagerTestTestTranslateProviderUS |


TJsonConverterTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Localize.TJsonConverterTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.LocalizeTJsonConverterTest

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TJsonConverterTest
Friend Class TJsonConverterTest
internal ref class TJsonConverterTest
type TJsonConverterTest =  class end

The TJsonConverterTest type exposes the following members.

Constructors
 | Name | Description
Public method | TJsonConverterTest | Initializes a new instance of the TJsonConverterTest class
Top
Methods
 | Name | Description
Public method | DeserializeT |
Public method | SerializeT |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Localize Namespace


TJsonConverterTest Constructor

Initializes a new instance of the TJsonConverterTest class

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TJsonConverterTest()
Public Sub New
public:
TJsonConverterTest()
new : unit -> TJsonConverterTest
See Also

Reference

TJsonConverterTest Class
ZKWeb.Tests.Localize Namespace


TJsonConverterTest Methods

The TJsonConverterTest type exposes the following members.

Methods
 | Name | Description
Public method | DeserializeT |
Public method | SerializeT |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TJsonConverterTest Class
ZKWeb.Tests.Localize Namespace


TJsonConverterTest.DeserializeT Method

TJsonConverterTestDeserializeT Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Localize.TJsonConverterTest.DeserializeT"]

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void DeserializeT()
Public Sub DeserializeT
public:
void DeserializeT()
member DeserializeT : unit -> unit
See Also

Reference

TJsonConverterTest Class
ZKWeb.Tests.Localize Namespace


TJsonConverterTest.SerializeT Method

TJsonConverterTestSerializeT Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Localize.TJsonConverterTest.SerializeT"]

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SerializeT()
Public Sub SerializeT
public:
void SerializeT()
member SerializeT : unit -> unit
See Also

Reference

TJsonConverterTest Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Localize.TranslateManagerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.LocalizeTranslateManagerTest

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TranslateManagerTest
Friend Class TranslateManagerTest
internal ref class TranslateManagerTest
type TranslateManagerTest =  class end

The TranslateManagerTest type exposes the following members.

Constructors
 | Name | Description
Public method | TranslateManagerTest | Initializes a new instance of the TranslateManagerTest class
Top
Methods
 | Name | Description
Public method | GetTranslateProviders |
Public method | Translate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Localize Namespace


TranslateManagerTest Constructor

Initializes a new instance of the TranslateManagerTest class

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TranslateManagerTest()
Public Sub New
public:
TranslateManagerTest()
new : unit -> TranslateManagerTest
See Also

Reference

TranslateManagerTest Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest Methods

The TranslateManagerTest type exposes the following members.

Methods
 | Name | Description
Public method | GetTranslateProviders |
Public method | Translate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TranslateManagerTest Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest.GetTranslateProviders Method

TranslateManagerTestGetTranslateProviders Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.GetTranslateProviders"]

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetTranslateProviders()
Public Sub GetTranslateProviders
public:
void GetTranslateProviders()
member GetTranslateProviders : unit -> unit
See Also

Reference

TranslateManagerTest Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest.Translate Method

TranslateManagerTestTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.Translate"]

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Translate()
Public Sub Translate
public:
void Translate()
member Translate : unit -> unit
See Also

Reference

TranslateManagerTest Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest.TestTranslateProviderCN Class

TranslateManagerTestTestTranslateProviderCN Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderCN"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.LocalizeTranslateManagerTestTestTranslateProviderCN

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TestTranslateProviderCN : ITranslateProvider
Friend Class TestTranslateProviderCN
    Implements ITranslateProvider
internal ref class TestTranslateProviderCN : ITranslateProvider
type TestTranslateProviderCN =
    class
        interface ITranslateProvider
    end

The TranslateManagerTestTestTranslateProviderCN type exposes the following members.

Constructors
 | Name | Description
Public method | TranslateManagerTestTestTranslateProviderCN | Initializes a new instance of the TranslateManagerTestTestTranslateProviderCN class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Localize Namespace


TranslateManagerTest.TestTranslateProviderCN Constructor

TranslateManagerTestTestTranslateProviderCN Constructor

Initializes a new instance of the TranslateManagerTestTestTranslateProviderCN class

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestTranslateProviderCN()
Public Sub New
public:
TestTranslateProviderCN()
new : unit -> TestTranslateProviderCN
See Also

Reference

TranslateManagerTestTestTranslateProviderCN Class
ZKWeb.Tests.Localize Namespace


TestTranslateProviderCN Methods

The TranslateManagerTestTestTranslateProviderCN type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TranslateManagerTestTestTranslateProviderCN Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest.TestTranslateProviderCN.CanTranslate Method

TranslateManagerTestTestTranslateProviderCNCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderCN.CanTranslate(System.String)"]

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderCN.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderCN.CanTranslate(System.String)"]

Implements

ITranslateProviderCanTranslate(String)
See Also

Reference

TranslateManagerTestTestTranslateProviderCN Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest.TestTranslateProviderCN.Translate Method

TranslateManagerTestTestTranslateProviderCNTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderCN.Translate(System.String)"]

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderCN.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderCN.Translate(System.String)"]

Implements

ITranslateProviderTranslate(String)
See Also

Reference

TranslateManagerTestTestTranslateProviderCN Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest.TestTranslateProviderUS Class

TranslateManagerTestTestTranslateProviderUS Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderUS"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.LocalizeTranslateManagerTestTestTranslateProviderUS

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TestTranslateProviderUS : ITranslateProvider
Friend Class TestTranslateProviderUS
    Implements ITranslateProvider
internal ref class TestTranslateProviderUS : ITranslateProvider
type TestTranslateProviderUS =
    class
        interface ITranslateProvider
    end

The TranslateManagerTestTestTranslateProviderUS type exposes the following members.

Constructors
 | Name | Description
Public method | TranslateManagerTestTestTranslateProviderUS | Initializes a new instance of the TranslateManagerTestTestTranslateProviderUS class
Top
Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Localize Namespace


TranslateManagerTest.TestTranslateProviderUS Constructor

TranslateManagerTestTestTranslateProviderUS Constructor

Initializes a new instance of the TranslateManagerTestTestTranslateProviderUS class

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestTranslateProviderUS()
Public Sub New
public:
TestTranslateProviderUS()
new : unit -> TestTranslateProviderUS
See Also

Reference

TranslateManagerTestTestTranslateProviderUS Class
ZKWeb.Tests.Localize Namespace


TestTranslateProviderUS Methods

The TranslateManagerTestTestTranslateProviderUS type exposes the following members.

Methods
 | Name | Description
Public method | CanTranslate |
Public method | Translate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TranslateManagerTestTestTranslateProviderUS Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest.TestTranslateProviderUS.CanTranslate Method

TranslateManagerTestTestTranslateProviderUSCanTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderUS.CanTranslate(System.String)"]

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool CanTranslate(
    string code
)
Public Function CanTranslate (
    code As String
) As Boolean
public:
virtual bool CanTranslate(
    String^ code
) sealed
abstract CanTranslate :
        code : string -> bool
override CanTranslate :
        code : string -> bool

Parameters

code
Type: SystemString

[Missing <param name="code"/> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderUS.CanTranslate(System.String)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderUS.CanTranslate(System.String)"]

Implements

ITranslateProviderCanTranslate(String)
See Also

Reference

TranslateManagerTestTestTranslateProviderUS Class
ZKWeb.Tests.Localize Namespace


TranslateManagerTest.TestTranslateProviderUS.Translate Method

TranslateManagerTestTestTranslateProviderUSTranslate Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderUS.Translate(System.String)"]

Namespace: ZKWeb.Tests.Localize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Translate(
    string text
)
Public Function Translate (
    text As String
) As String
public:
virtual String^ Translate(
    String^ text
) sealed
abstract Translate :
        text : string -> string
override Translate :
        text : string -> string

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderUS.Translate(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Tests.Localize.TranslateManagerTest.TestTranslateProviderUS.Translate(System.String)"]

Implements

ITranslateProviderTranslate(String)
See Also

Reference

TranslateManagerTestTestTranslateProviderUS Class
ZKWeb.Tests.Localize Namespace


ZKWeb.Tests.Logging Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Logging"]

Classes
 | Class | Description
Protected class | LogManagerTest |


LogManagerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Logging.LogManagerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.LoggingLogManagerTest

Namespace: ZKWeb.Tests.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class LogManagerTest
Friend Class LogManagerTest
internal ref class LogManagerTest
type LogManagerTest =  class end

The LogManagerTest type exposes the following members.

Constructors
 | Name | Description
Public method | LogManagerTest | Initializes a new instance of the LogManagerTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Logging Namespace


LogManagerTest Constructor

Initializes a new instance of the LogManagerTest class

Namespace: ZKWeb.Tests.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LogManagerTest()
Public Sub New
public:
LogManagerTest()
new : unit -> LogManagerTest
See Also

Reference

LogManagerTest Class
ZKWeb.Tests.Logging Namespace


LogManagerTest Methods

The LogManagerTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LogManagerTest Class
ZKWeb.Tests.Logging Namespace


LogManagerTest.All Method

LogManagerTestAll Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Logging.LogManagerTest.All"]

Namespace: ZKWeb.Tests.Logging
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

LogManagerTest Class
ZKWeb.Tests.Logging Namespace


ZKWeb.Tests.Serialize Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Serialize"]

Classes
 | Class | Description
Protected class | JsonNetTest |


JsonNetTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Serialize.JsonNetTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.SerializeJsonNetTest

Namespace: ZKWeb.Tests.Serialize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class JsonNetTest
Friend Class JsonNetTest
internal ref class JsonNetTest
type JsonNetTest =  class end

The JsonNetTest type exposes the following members.

Constructors
 | Name | Description
Public method | JsonNetTest | Initializes a new instance of the JsonNetTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Serialize Namespace


JsonNetTest Constructor

Initializes a new instance of the JsonNetTest class

Namespace: ZKWeb.Tests.Serialize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public JsonNetTest()
Public Sub New
public:
JsonNetTest()
new : unit -> JsonNetTest
See Also

Reference

JsonNetTest Class
ZKWeb.Tests.Serialize Namespace


JsonNetTest Methods

The JsonNetTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

JsonNetTest Class
ZKWeb.Tests.Serialize Namespace


JsonNetTest.All Method

JsonNetTestAll Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Serialize.JsonNetTest.All"]

Namespace: ZKWeb.Tests.Serialize
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

JsonNetTest Class
ZKWeb.Tests.Serialize Namespace


ZKWeb.Tests.Server Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Server"]

Classes
 | Class | Description
Protected class | WebsiteConfigManagerTest |


WebsiteConfigManagerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Server.WebsiteConfigManagerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.ServerWebsiteConfigManagerTest

Namespace: ZKWeb.Tests.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class WebsiteConfigManagerTest
Friend Class WebsiteConfigManagerTest
internal ref class WebsiteConfigManagerTest
type WebsiteConfigManagerTest =  class end

The WebsiteConfigManagerTest type exposes the following members.

Constructors
 | Name | Description
Public method | WebsiteConfigManagerTest | Initializes a new instance of the WebsiteConfigManagerTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Server Namespace


WebsiteConfigManagerTest Constructor

Initializes a new instance of the WebsiteConfigManagerTest class

Namespace: ZKWeb.Tests.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public WebsiteConfigManagerTest()
Public Sub New
public:
WebsiteConfigManagerTest()
new : unit -> WebsiteConfigManagerTest
See Also

Reference

WebsiteConfigManagerTest Class
ZKWeb.Tests.Server Namespace


WebsiteConfigManagerTest Methods

The WebsiteConfigManagerTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

WebsiteConfigManagerTest Class
ZKWeb.Tests.Server Namespace


WebsiteConfigManagerTest.All Method

WebsiteConfigManagerTestAll Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Server.WebsiteConfigManagerTest.All"]

Namespace: ZKWeb.Tests.Server
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

WebsiteConfigManagerTest Class
ZKWeb.Tests.Server Namespace


ZKWeb.Tests.Storage Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Storage"]

Classes
 | Class | Description
Protected class | LocalFileStorageTest |
Protected class | LocalPathManagerTest |
Protected class | TestDirectoryLayout |


LocalFileStorageTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Storage.LocalFileStorageTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.StorageLocalFileStorageTest

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class LocalFileStorageTest
Friend Class LocalFileStorageTest
internal ref class LocalFileStorageTest
type LocalFileStorageTest =  class end

The LocalFileStorageTest type exposes the following members.

Constructors
 | Name | Description
Public method | LocalFileStorageTest | Initializes a new instance of the LocalFileStorageTest class
Top
Methods
 | Name | Description
Public method | AppendAllText |
Public method | GetResourceFile |
Public method | GetStorageDirectory |
Public method | GetStorageFile |
Public method | GetTemplateFile |
Public method | ReadAllBytes_WriteAllBytes |
Public method | ReadAllText_WriteAllText |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Storage Namespace


LocalFileStorageTest Constructor

Initializes a new instance of the LocalFileStorageTest class

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LocalFileStorageTest()
Public Sub New
public:
LocalFileStorageTest()
new : unit -> LocalFileStorageTest
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalFileStorageTest Methods

The LocalFileStorageTest type exposes the following members.

Methods
 | Name | Description
Public method | AppendAllText |
Public method | GetResourceFile |
Public method | GetStorageDirectory |
Public method | GetStorageFile |
Public method | GetTemplateFile |
Public method | ReadAllBytes_WriteAllBytes |
Public method | ReadAllText_WriteAllText |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalFileStorageTest.AppendAllText Method

LocalFileStorageTestAppendAllText Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalFileStorageTest.AppendAllText"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void AppendAllText()
Public Sub AppendAllText
public:
void AppendAllText()
member AppendAllText : unit -> unit
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalFileStorageTest.GetResourceFile Method

LocalFileStorageTestGetResourceFile Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalFileStorageTest.GetResourceFile"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetResourceFile()
Public Sub GetResourceFile
public:
void GetResourceFile()
member GetResourceFile : unit -> unit
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalFileStorageTest.GetStorageDirectory Method

LocalFileStorageTestGetStorageDirectory Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalFileStorageTest.GetStorageDirectory"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetStorageDirectory()
Public Sub GetStorageDirectory
public:
void GetStorageDirectory()
member GetStorageDirectory : unit -> unit
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalFileStorageTest.GetStorageFile Method

LocalFileStorageTestGetStorageFile Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalFileStorageTest.GetStorageFile"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetStorageFile()
Public Sub GetStorageFile
public:
void GetStorageFile()
member GetStorageFile : unit -> unit
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalFileStorageTest.GetTemplateFile Method

LocalFileStorageTestGetTemplateFile Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalFileStorageTest.GetTemplateFile"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetTemplateFile()
Public Sub GetTemplateFile
public:
void GetTemplateFile()
member GetTemplateFile : unit -> unit
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalFileStorageTest.ReadAllBytes_WriteAllBytes Method

LocalFileStorageTestReadAllBytes_WriteAllBytes Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalFileStorageTest.ReadAllBytes_WriteAllBytes"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ReadAllBytes_WriteAllBytes()
Public Sub ReadAllBytes_WriteAllBytes
public:
void ReadAllBytes_WriteAllBytes()
member ReadAllBytes_WriteAllBytes : unit -> unit
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalFileStorageTest.ReadAllText_WriteAllText Method

LocalFileStorageTestReadAllText_WriteAllText Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalFileStorageTest.ReadAllText_WriteAllText"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ReadAllText_WriteAllText()
Public Sub ReadAllText_WriteAllText
public:
void ReadAllText_WriteAllText()
member ReadAllText_WriteAllText : unit -> unit
See Also

Reference

LocalFileStorageTest Class
ZKWeb.Tests.Storage Namespace


LocalPathManagerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Storage.LocalPathManagerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.StorageLocalPathManagerTest

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class LocalPathManagerTest
Friend Class LocalPathManagerTest
internal ref class LocalPathManagerTest
type LocalPathManagerTest =  class end

The LocalPathManagerTest type exposes the following members.

Constructors
 | Name | Description
Public method | LocalPathManagerTest | Initializes a new instance of the LocalPathManagerTest class
Top
Methods
 | Name | Description
Public method | GetPluginDirectories |
Public method | GetResourceFullPath |
Public method | GetStorageFullPath |
Public method | GetTemplateFullPath |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Storage Namespace


LocalPathManagerTest Constructor

Initializes a new instance of the LocalPathManagerTest class

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LocalPathManagerTest()
Public Sub New
public:
LocalPathManagerTest()
new : unit -> LocalPathManagerTest
See Also

Reference

LocalPathManagerTest Class
ZKWeb.Tests.Storage Namespace


LocalPathManagerTest Methods

The LocalPathManagerTest type exposes the following members.

Methods
 | Name | Description
Public method | GetPluginDirectories |
Public method | GetResourceFullPath |
Public method | GetStorageFullPath |
Public method | GetTemplateFullPath |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LocalPathManagerTest Class
ZKWeb.Tests.Storage Namespace


LocalPathManagerTest.GetPluginDirectories Method

LocalPathManagerTestGetPluginDirectories Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalPathManagerTest.GetPluginDirectories"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetPluginDirectories()
Public Sub GetPluginDirectories
public:
void GetPluginDirectories()
member GetPluginDirectories : unit -> unit
See Also

Reference

LocalPathManagerTest Class
ZKWeb.Tests.Storage Namespace


LocalPathManagerTest.GetResourceFullPath Method

LocalPathManagerTestGetResourceFullPath Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalPathManagerTest.GetResourceFullPath"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetResourceFullPath()
Public Sub GetResourceFullPath
public:
void GetResourceFullPath()
member GetResourceFullPath : unit -> unit
See Also

Reference

LocalPathManagerTest Class
ZKWeb.Tests.Storage Namespace


LocalPathManagerTest.GetStorageFullPath Method

LocalPathManagerTestGetStorageFullPath Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalPathManagerTest.GetStorageFullPath"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetStorageFullPath()
Public Sub GetStorageFullPath
public:
void GetStorageFullPath()
member GetStorageFullPath : unit -> unit
See Also

Reference

LocalPathManagerTest Class
ZKWeb.Tests.Storage Namespace


LocalPathManagerTest.GetTemplateFullPath Method

LocalPathManagerTestGetTemplateFullPath Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Storage.LocalPathManagerTest.GetTemplateFullPath"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetTemplateFullPath()
Public Sub GetTemplateFullPath
public:
void GetTemplateFullPath()
member GetTemplateFullPath : unit -> unit
See Also

Reference

LocalPathManagerTest Class
ZKWeb.Tests.Storage Namespace


TestDirectoryLayout Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Storage.TestDirectoryLayout"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.StorageTestDirectoryLayout

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TestDirectoryLayout : IDisposable
Friend Class TestDirectoryLayout
    Implements IDisposable
internal ref class TestDirectoryLayout : IDisposable
type TestDirectoryLayout =
    class
        interface IDisposable
    end

The TestDirectoryLayout type exposes the following members.

Constructors
 | Name | Description
Public method | TestDirectoryLayout | Override plugin directories for testing It will remove all test files when disposed
Top
Properties
 | Name | Description
Public property | CleanupPaths |
Top
Methods
 | Name | Description
Public method | Dispose | Finish container overrding and remove test files
Public method | WriteAppDataFile | Write file to App_Data
Public method | WritePluginFile | Write file to plugin
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Storage Namespace


TestDirectoryLayout Constructor

Override plugin directories for testing It will remove all test files when disposed

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestDirectoryLayout(
    IList<string> pluginDirectories = null,
    IList<string> plugins = null,
    IDictionary<string, Object> extra = null,
    int pluginDirectoryIndex = 0
)
Public Sub New (
    Optional pluginDirectories As IList(Of String) = Nothing,
    Optional plugins As IList(Of String) = Nothing,
    Optional extra As IDictionary(Of String, Object) = Nothing,
    Optional pluginDirectoryIndex As Integer = 0
)
public:
TestDirectoryLayout(
    IList<String^>^ pluginDirectories = nullptr,
    IList<String^>^ plugins = nullptr,
    IDictionary<String^, Object^>^ extra = nullptr,
    int pluginDirectoryIndex = 0
)
new :
        ?pluginDirectories : IList<string> *
        ?plugins : IList<string> *
        ?extra : IDictionary<string, Object> *
        ?pluginDirectoryIndex : int
(* Defaults:
        let _pluginDirectories = defaultArg pluginDirectories null
        let _plugins = defaultArg plugins null
        let _extra = defaultArg extra null
        let _pluginDirectoryIndex = defaultArg pluginDirectoryIndex 0
*)
-> TestDirectoryLayout

Parameters

pluginDirectories (Optional)
Type: System.Collections.GenericIList String
Plugin directories, default is [ "App_Data/__TestPlugins" ]
plugins (Optional)
Type: System.Collections.GenericIList String
Plugins, default is [ "PluginA", "PluginB" ]
extra (Optional)
Type: System.Collections.GenericIDictionary String, Object
Extra data, default is empty
pluginDirectoryIndex (Optional)
Type: SystemInt32
Which plugin directory will use to create plugins
See Also

Reference

TestDirectoryLayout Class
ZKWeb.Tests.Storage Namespace


TestDirectoryLayout Properties

The TestDirectoryLayout type exposes the following members.

Properties
 | Name | Description
Public property | CleanupPaths |
Top
See Also

Reference

TestDirectoryLayout Class
ZKWeb.Tests.Storage Namespace


TestDirectoryLayout.CleanupPaths Property

TestDirectoryLayoutCleanupPaths Property

[Missing <summary> documentation for "P:ZKWeb.Tests.Storage.TestDirectoryLayout.CleanupPaths"]

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<string> CleanupPaths { get; }
Public ReadOnly Property CleanupPaths As IList(Of String)
    Get
public:
property IList<String^>^ CleanupPaths {
    IList<String^>^ get ();
}
member CleanupPaths : IList<string> with get

Property Value

Type: IList String
See Also

Reference

TestDirectoryLayout Class
ZKWeb.Tests.Storage Namespace


TestDirectoryLayout Methods

The TestDirectoryLayout type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Finish container overrding and remove test files
Public method | WriteAppDataFile | Write file to App_Data
Public method | WritePluginFile | Write file to plugin
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestDirectoryLayout Class
ZKWeb.Tests.Storage Namespace


TestDirectoryLayout.Dispose Method

TestDirectoryLayoutDispose Method

Finish container overrding and remove test files

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

TestDirectoryLayout Class
ZKWeb.Tests.Storage Namespace


TestDirectoryLayout.WriteAppDataFile Method

TestDirectoryLayoutWriteAppDataFile Method

Write file to App_Data

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteAppDataFile(
    string path,
    string contents
)
Public Sub WriteAppDataFile (
    path As String,
    contents As String
)
public:
void WriteAppDataFile(
    String^ path,
    String^ contents
)
member WriteAppDataFile :
        path : string *
        contents : string -> unit

Parameters

path
Type: SystemString
Path
contents
Type: SystemString
Contents
See Also

Reference

TestDirectoryLayout Class
ZKWeb.Tests.Storage Namespace


TestDirectoryLayout.WritePluginFile Method

TestDirectoryLayoutWritePluginFile Method

Write file to plugin

Namespace: ZKWeb.Tests.Storage
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WritePluginFile(
    string plugin,
    string path,
    string contents,
    int pluginDirectoryIndex = 0
)
Public Sub WritePluginFile (
    plugin As String,
    path As String,
    contents As String,
    Optional pluginDirectoryIndex As Integer = 0
)
public:
void WritePluginFile(
    String^ plugin,
    String^ path,
    String^ contents,
    int pluginDirectoryIndex = 0
)
member WritePluginFile :
        plugin : string *
        path : string *
        contents : string *
        ?pluginDirectoryIndex : int
(* Defaults:
        let _pluginDirectoryIndex = defaultArg pluginDirectoryIndex 0
*)
-> unit

Parameters

plugin
Type: SystemString
Plugin name
path
Type: SystemString
Path
contents
Type: SystemString
Contents
pluginDirectoryIndex (Optional)
Type: SystemInt32
Which plugin directory will use to locate plugins
See Also

Reference

TestDirectoryLayout Class
ZKWeb.Tests.Storage Namespace


ZKWeb.Tests.Templating Namespaces

[Missing <summary> documentation for "G:ZKWeb.Tests.Templating"]

Namespaces
Namespace | Description
ZKWeb.Tests.Templating |
ZKWeb.Tests.Templating.DynamicContents |
ZKWeb.Tests.Templating.TemplateFilters |
ZKWeb.Tests.Templating.TemplateTags |


ZKWeb.Tests.Templating Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Templating"]

Classes
 | Class | Description
Protected class | TemplateFileSystemTest |
Protected class | TemplateManagerTest |


TemplateFileSystemTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.TemplateFileSystemTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.TemplatingTemplateFileSystemTest

Namespace: ZKWeb.Tests.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TemplateFileSystemTest
Friend Class TemplateFileSystemTest
internal ref class TemplateFileSystemTest
type TemplateFileSystemTest =  class end

The TemplateFileSystemTest type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateFileSystemTest | Initializes a new instance of the TemplateFileSystemTest class
Top
Methods
 | Name | Description
Public method | ReadTemplateFile |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating Namespace


TemplateFileSystemTest Constructor

Initializes a new instance of the TemplateFileSystemTest class

Namespace: ZKWeb.Tests.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateFileSystemTest()
Public Sub New
public:
TemplateFileSystemTest()
new : unit -> TemplateFileSystemTest
See Also

Reference

TemplateFileSystemTest Class
ZKWeb.Tests.Templating Namespace


TemplateFileSystemTest Methods

The TemplateFileSystemTest type exposes the following members.

Methods
 | Name | Description
Public method | ReadTemplateFile |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateFileSystemTest Class
ZKWeb.Tests.Templating Namespace


TemplateFileSystemTest.ReadTemplateFile Method

TemplateFileSystemTestReadTemplateFile Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateFileSystemTest.ReadTemplateFile"]

Namespace: ZKWeb.Tests.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ReadTemplateFile()
Public Sub ReadTemplateFile
public:
void ReadTemplateFile()
member ReadTemplateFile : unit -> unit
See Also

Reference

TemplateFileSystemTest Class
ZKWeb.Tests.Templating Namespace


TemplateManagerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.TemplateManagerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.TemplatingTemplateManagerTest

Namespace: ZKWeb.Tests.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TemplateManagerTest
Friend Class TemplateManagerTest
internal ref class TemplateManagerTest
type TemplateManagerTest =  class end

The TemplateManagerTest type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateManagerTest | Initializes a new instance of the TemplateManagerTest class
Top
Methods
 | Name | Description
Public method | NewHash |
Public method | RenderTemplate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating Namespace


TemplateManagerTest Constructor

Initializes a new instance of the TemplateManagerTest class

Namespace: ZKWeb.Tests.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateManagerTest()
Public Sub New
public:
TemplateManagerTest()
new : unit -> TemplateManagerTest
See Also

Reference

TemplateManagerTest Class
ZKWeb.Tests.Templating Namespace


TemplateManagerTest Methods

The TemplateManagerTest type exposes the following members.

Methods
 | Name | Description
Public method | NewHash |
Public method | RenderTemplate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateManagerTest Class
ZKWeb.Tests.Templating Namespace


TemplateManagerTest.NewHash Method

TemplateManagerTestNewHash Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateManagerTest.NewHash"]

Namespace: ZKWeb.Tests.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void NewHash()
Public Sub NewHash
public:
void NewHash()
member NewHash : unit -> unit
See Also

Reference

TemplateManagerTest Class
ZKWeb.Tests.Templating Namespace


TemplateManagerTest.RenderTemplate Method

TemplateManagerTestRenderTemplate Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateManagerTest.RenderTemplate"]

Namespace: ZKWeb.Tests.Templating
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RenderTemplate()
Public Sub RenderTemplate
public:
void RenderTemplate()
member RenderTemplate : unit -> unit
See Also

Reference

TemplateManagerTest Class
ZKWeb.Tests.Templating Namespace


ZKWeb.Tests.Templating.DynamicContents Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Templating.DynamicContents"]

Classes
 | Class | Description
Protected class | TemplateAreaExtensionsTest |
Protected class | TemplateAreaManagerTest |
Protected class | TemplateWidgetExtensionsTest |
Protected class | TemplateWidgetInfoExtensionsTest |


TemplateAreaExtensionsTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.DynamicContents.TemplateAreaExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.DynamicContentsTemplateAreaExtensionsTest

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TemplateAreaExtensionsTest
Friend Class TemplateAreaExtensionsTest
internal ref class TemplateAreaExtensionsTest
type TemplateAreaExtensionsTest =  class end

The TemplateAreaExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateAreaExtensionsTest | Initializes a new instance of the TemplateAreaExtensionsTest class
Top
Methods
 | Name | Description
Public method | Add |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateAreaExtensionsTest Constructor

Initializes a new instance of the TemplateAreaExtensionsTest class

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateAreaExtensionsTest()
Public Sub New
public:
TemplateAreaExtensionsTest()
new : unit -> TemplateAreaExtensionsTest
See Also

Reference

TemplateAreaExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateAreaExtensionsTest Methods

The TemplateAreaExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | Add |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateAreaExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateAreaExtensionsTest.Add Method

TemplateAreaExtensionsTestAdd Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.DynamicContents.TemplateAreaExtensionsTest.Add"]

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Add()
Public Sub Add
public:
void Add()
member Add : unit -> unit
See Also

Reference

TemplateAreaExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateAreaManagerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.DynamicContents.TemplateAreaManagerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.DynamicContentsTemplateAreaManagerTest

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TemplateAreaManagerTest
Friend Class TemplateAreaManagerTest
internal ref class TemplateAreaManagerTest
type TemplateAreaManagerTest =  class end

The TemplateAreaManagerTest type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateAreaManagerTest | Initializes a new instance of the TemplateAreaManagerTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateAreaManagerTest Constructor

Initializes a new instance of the TemplateAreaManagerTest class

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateAreaManagerTest()
Public Sub New
public:
TemplateAreaManagerTest()
new : unit -> TemplateAreaManagerTest
See Also

Reference

TemplateAreaManagerTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateAreaManagerTest Methods

The TemplateAreaManagerTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateAreaManagerTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateAreaManagerTest.All Method

TemplateAreaManagerTestAll Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.DynamicContents.TemplateAreaManagerTest.All"]

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

TemplateAreaManagerTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateWidgetExtensionsTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.DynamicContents.TemplateWidgetExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.DynamicContentsTemplateWidgetExtensionsTest

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TemplateWidgetExtensionsTest
Friend Class TemplateWidgetExtensionsTest
internal ref class TemplateWidgetExtensionsTest
type TemplateWidgetExtensionsTest =  class end

The TemplateWidgetExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateWidgetExtensionsTest | Initializes a new instance of the TemplateWidgetExtensionsTest class
Top
Methods
 | Name | Description
Public method | GetCacheKey |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateWidgetExtensionsTest Constructor

Initializes a new instance of the TemplateWidgetExtensionsTest class

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateWidgetExtensionsTest()
Public Sub New
public:
TemplateWidgetExtensionsTest()
new : unit -> TemplateWidgetExtensionsTest
See Also

Reference

TemplateWidgetExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateWidgetExtensionsTest Methods

The TemplateWidgetExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetCacheKey |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateWidgetExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateWidgetExtensionsTest.GetCacheKey Method

TemplateWidgetExtensionsTestGetCacheKey Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.DynamicContents.TemplateWidgetExtensionsTest.GetCacheKey"]

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetCacheKey()
Public Sub GetCacheKey
public:
void GetCacheKey()
member GetCacheKey : unit -> unit
See Also

Reference

TemplateWidgetExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateWidgetInfoExtensionsTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.DynamicContents.TemplateWidgetInfoExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.DynamicContentsTemplateWidgetInfoExtensionsTest

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TemplateWidgetInfoExtensionsTest
Friend Class TemplateWidgetInfoExtensionsTest
internal ref class TemplateWidgetInfoExtensionsTest
type TemplateWidgetInfoExtensionsTest =  class end

The TemplateWidgetInfoExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateWidgetInfoExtensionsTest | Initializes a new instance of the TemplateWidgetInfoExtensionsTest class
Top
Methods
 | Name | Description
Public method | GetCacheIsolationPolicyNames |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateWidgetInfoExtensionsTest Constructor

Initializes a new instance of the TemplateWidgetInfoExtensionsTest class

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateWidgetInfoExtensionsTest()
Public Sub New
public:
TemplateWidgetInfoExtensionsTest()
new : unit -> TemplateWidgetInfoExtensionsTest
See Also

Reference

TemplateWidgetInfoExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateWidgetInfoExtensionsTest Methods

The TemplateWidgetInfoExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetCacheIsolationPolicyNames |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateWidgetInfoExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


TemplateWidgetInfoExtensionsTest.GetCacheIsolationPolicyNames Method

TemplateWidgetInfoExtensionsTestGetCacheIsolationPolicyNames Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.DynamicContents.TemplateWidgetInfoExtensionsTest.GetCacheIsolationPolicyNames"]

Namespace: ZKWeb.Tests.Templating.DynamicContents
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetCacheIsolationPolicyNames()
Public Sub GetCacheIsolationPolicyNames
public:
void GetCacheIsolationPolicyNames()
member GetCacheIsolationPolicyNames : unit -> unit
See Also

Reference

TemplateWidgetInfoExtensionsTest Class
ZKWeb.Tests.Templating.DynamicContents Namespace


ZKWeb.Tests.Templating.TemplateFilters Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Templating.TemplateFilters"]

Classes
 | Class | Description
Protected class | FiltersTest |


FiltersTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.TemplateFilters.FiltersTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.TemplateFiltersFiltersTest

Namespace: ZKWeb.Tests.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class FiltersTest
Friend Class FiltersTest
internal ref class FiltersTest
type FiltersTest =  class end

The FiltersTest type exposes the following members.

Constructors
 | Name | Description
Public method | FiltersTest | Initializes a new instance of the FiltersTest class
Top
Methods
 | Name | Description
Public method | Format |
Public method | RawHtml |
Public method | Trans |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.TemplateFilters Namespace


FiltersTest Constructor

Initializes a new instance of the FiltersTest class

Namespace: ZKWeb.Tests.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FiltersTest()
Public Sub New
public:
FiltersTest()
new : unit -> FiltersTest
See Also

Reference

FiltersTest Class
ZKWeb.Tests.Templating.TemplateFilters Namespace


FiltersTest Methods

The FiltersTest type exposes the following members.

Methods
 | Name | Description
Public method | Format |
Public method | RawHtml |
Public method | Trans |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

FiltersTest Class
ZKWeb.Tests.Templating.TemplateFilters Namespace


FiltersTest.Format Method

FiltersTestFormat Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateFilters.FiltersTest.Format"]

Namespace: ZKWeb.Tests.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Format()
Public Sub Format
public:
void Format()
member Format : unit -> unit
See Also

Reference

FiltersTest Class
ZKWeb.Tests.Templating.TemplateFilters Namespace


FiltersTest.RawHtml Method

FiltersTestRawHtml Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateFilters.FiltersTest.RawHtml"]

Namespace: ZKWeb.Tests.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RawHtml()
Public Sub RawHtml
public:
void RawHtml()
member RawHtml : unit -> unit
See Also

Reference

FiltersTest Class
ZKWeb.Tests.Templating.TemplateFilters Namespace


FiltersTest.Trans Method

FiltersTestTrans Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateFilters.FiltersTest.Trans"]

Namespace: ZKWeb.Tests.Templating.TemplateFilters
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Trans()
Public Sub Trans
public:
void Trans()
member Trans : unit -> unit
See Also

Reference

FiltersTest Class
ZKWeb.Tests.Templating.TemplateFilters Namespace


ZKWeb.Tests.Templating.TemplateTags Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Templating.TemplateTags"]

Classes
 | Class | Description
Protected class | AreaTest |
Protected class | FetchTest |
Protected class | HtmlLangTest |
Protected class | RawHtmlTest |


AreaTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.TemplateTags.AreaTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.TemplateTagsAreaTest

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class AreaTest
Friend Class AreaTest
internal ref class AreaTest
type AreaTest =  class end

The AreaTest type exposes the following members.

Constructors
 | Name | Description
Public method | AreaTest | Initializes a new instance of the AreaTest class
Top
Methods
 | Name | Description
Public method | Render |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.TemplateTags Namespace


AreaTest Constructor

Initializes a new instance of the AreaTest class

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AreaTest()
Public Sub New
public:
AreaTest()
new : unit -> AreaTest
See Also

Reference

AreaTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


AreaTest Methods

The AreaTest type exposes the following members.

Methods
 | Name | Description
Public method | Render |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AreaTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


AreaTest.Render Method

AreaTestRender Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateTags.AreaTest.Render"]

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Render()
Public Sub Render
public:
void Render()
member Render : unit -> unit
See Also

Reference

AreaTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


FetchTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.TemplateTags.FetchTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.TemplateTagsFetchTest

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class FetchTest
Friend Class FetchTest
internal ref class FetchTest
type FetchTest =  class end

The FetchTest type exposes the following members.

Constructors
 | Name | Description
Public method | FetchTest | Initializes a new instance of the FetchTest class
Top
Methods
 | Name | Description
Public method | Render |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.TemplateTags Namespace


FetchTest Constructor

Initializes a new instance of the FetchTest class

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FetchTest()
Public Sub New
public:
FetchTest()
new : unit -> FetchTest
See Also

Reference

FetchTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


FetchTest Methods

The FetchTest type exposes the following members.

Methods
 | Name | Description
Public method | Render |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

FetchTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


FetchTest.Render Method

FetchTestRender Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateTags.FetchTest.Render"]

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Render()
Public Sub Render
public:
void Render()
member Render : unit -> unit
See Also

Reference

FetchTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


HtmlLangTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.TemplateTags.HtmlLangTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.TemplateTagsHtmlLangTest

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class HtmlLangTest
Friend Class HtmlLangTest
internal ref class HtmlLangTest
type HtmlLangTest =  class end

The HtmlLangTest type exposes the following members.

Constructors
 | Name | Description
Public method | HtmlLangTest | Initializes a new instance of the HtmlLangTest class
Top
Methods
 | Name | Description
Public method | Render |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.TemplateTags Namespace


HtmlLangTest Constructor

Initializes a new instance of the HtmlLangTest class

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HtmlLangTest()
Public Sub New
public:
HtmlLangTest()
new : unit -> HtmlLangTest
See Also

Reference

HtmlLangTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


HtmlLangTest Methods

The HtmlLangTest type exposes the following members.

Methods
 | Name | Description
Public method | Render |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HtmlLangTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


HtmlLangTest.Render Method

HtmlLangTestRender Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateTags.HtmlLangTest.Render"]

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Render()
Public Sub Render
public:
void Render()
member Render : unit -> unit
See Also

Reference

HtmlLangTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


RawHtmlTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Templating.TemplateTags.RawHtmlTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Templating.TemplateTagsRawHtmlTest

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class RawHtmlTest
Friend Class RawHtmlTest
internal ref class RawHtmlTest
type RawHtmlTest =  class end

The RawHtmlTest type exposes the following members.

Constructors
 | Name | Description
Public method | RawHtmlTest | Initializes a new instance of the RawHtmlTest class
Top
Methods
 | Name | Description
Public method | Render |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Templating.TemplateTags Namespace


RawHtmlTest Constructor

Initializes a new instance of the RawHtmlTest class

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public RawHtmlTest()
Public Sub New
public:
RawHtmlTest()
new : unit -> RawHtmlTest
See Also

Reference

RawHtmlTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


RawHtmlTest Methods

The RawHtmlTest type exposes the following members.

Methods
 | Name | Description
Public method | Render |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

RawHtmlTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


RawHtmlTest.Render Method

RawHtmlTestRender Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Templating.TemplateTags.RawHtmlTest.Render"]

Namespace: ZKWeb.Tests.Templating.TemplateTags
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Render()
Public Sub Render
public:
void Render()
member Render : unit -> unit
See Also

Reference

RawHtmlTest Class
ZKWeb.Tests.Templating.TemplateTags Namespace


ZKWeb.Tests.Web Namespaces

[Missing <summary> documentation for "G:ZKWeb.Tests.Web"]

Namespaces
Namespace | Description
ZKWeb.Tests.Web |
ZKWeb.Tests.Web.ActionResults |
ZKWeb.Tests.Web.HttpRequestHandlers |


ZKWeb.Tests.Web Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Web"]

Classes
 | Class | Description
Protected class | ControllerManagerTest |
Public class | ControllerManagerTestActionParams |
Public class | ControllerManagerTestTestActionFilter |
Public class | ControllerManagerTestTestController |


ControllerManagerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ControllerManagerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.WebControllerManagerTest

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ControllerManagerTest
Friend Class ControllerManagerTest
internal ref class ControllerManagerTest
type ControllerManagerTest =  class end

The ControllerManagerTest type exposes the following members.

Constructors
 | Name | Description
Public method | ControllerManagerTest | Initializes a new instance of the ControllerManagerTest class
Top
Methods
 | Name | Description
Public method | GetAction |
Public method | NormalizePath |
Public method | OnRequestTest_A |
Public method | OnRequestTest_B |
Public method | OnRequestTest_C |
Public method | OnRequestTest_D |
Public method | OnRequestTest_D_JsonBody |
Public method | OnRequestTest_E |
Public method | OnRequestTest_F |
Public method | OnRequestTest_G |
Public method | OnRequestTest_H |
Public method | RegisterAction |
Public method | RegisterController |
Public method | UnregisterAction |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web Namespace


ControllerManagerTest Constructor

Initializes a new instance of the ControllerManagerTest class

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ControllerManagerTest()
Public Sub New
public:
ControllerManagerTest()
new : unit -> ControllerManagerTest
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest Methods

The ControllerManagerTest type exposes the following members.

Methods
 | Name | Description
Public method | GetAction |
Public method | NormalizePath |
Public method | OnRequestTest_A |
Public method | OnRequestTest_B |
Public method | OnRequestTest_C |
Public method | OnRequestTest_D |
Public method | OnRequestTest_D_JsonBody |
Public method | OnRequestTest_E |
Public method | OnRequestTest_F |
Public method | OnRequestTest_G |
Public method | OnRequestTest_H |
Public method | RegisterAction |
Public method | RegisterController |
Public method | UnregisterAction |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.GetAction Method

ControllerManagerTestGetAction Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.GetAction"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetAction()
Public Sub GetAction
public:
void GetAction()
member GetAction : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.NormalizePath Method

ControllerManagerTestNormalizePath Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.NormalizePath"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void NormalizePath()
Public Sub NormalizePath
public:
void NormalizePath()
member NormalizePath : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_A Method

ControllerManagerTestOnRequestTest_A Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_A"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_A()
Public Sub OnRequestTest_A
public:
void OnRequestTest_A()
member OnRequestTest_A : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_B Method

ControllerManagerTestOnRequestTest_B Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_B"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_B()
Public Sub OnRequestTest_B
public:
void OnRequestTest_B()
member OnRequestTest_B : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_C Method

ControllerManagerTestOnRequestTest_C Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_C"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_C()
Public Sub OnRequestTest_C
public:
void OnRequestTest_C()
member OnRequestTest_C : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_D Method

ControllerManagerTestOnRequestTest_D Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_D"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_D()
Public Sub OnRequestTest_D
public:
void OnRequestTest_D()
member OnRequestTest_D : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_D_JsonBody Method

ControllerManagerTestOnRequestTest_D_JsonBody Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_D_JsonBody"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_D_JsonBody()
Public Sub OnRequestTest_D_JsonBody
public:
void OnRequestTest_D_JsonBody()
member OnRequestTest_D_JsonBody : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_E Method

ControllerManagerTestOnRequestTest_E Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_E"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_E()
Public Sub OnRequestTest_E
public:
void OnRequestTest_E()
member OnRequestTest_E : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_F Method

ControllerManagerTestOnRequestTest_F Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_F"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_F()
Public Sub OnRequestTest_F
public:
void OnRequestTest_F()
member OnRequestTest_F : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_G Method

ControllerManagerTestOnRequestTest_G Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_G"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_G()
Public Sub OnRequestTest_G
public:
void OnRequestTest_G()
member OnRequestTest_G : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.OnRequestTest_H Method

ControllerManagerTestOnRequestTest_H Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.OnRequestTest_H"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequestTest_H()
Public Sub OnRequestTest_H
public:
void OnRequestTest_H()
member OnRequestTest_H : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.RegisterAction Method

ControllerManagerTestRegisterAction Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.RegisterAction"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterAction()
Public Sub RegisterAction
public:
void RegisterAction()
member RegisterAction : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.RegisterController Method

ControllerManagerTestRegisterController Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.RegisterController"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterController()
Public Sub RegisterController
public:
void RegisterController()
member RegisterController : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.UnregisterAction Method

ControllerManagerTestUnregisterAction Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.UnregisterAction"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void UnregisterAction()
Public Sub UnregisterAction
public:
void UnregisterAction()
member UnregisterAction : unit -> unit
See Also

Reference

ControllerManagerTest Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.ActionParams Class

ControllerManagerTestActionParams Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ControllerManagerTest.ActionParams"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.WebControllerManagerTestActionParams

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ActionParams
Public Class ActionParams
public ref class ActionParams
type ActionParams =  class end

The ControllerManagerTestActionParams type exposes the following members.

Constructors
 | Name | Description
Public method | ControllerManagerTestActionParams | Initializes a new instance of the ControllerManagerTestActionParams class
Top
Properties
 | Name | Description
Public property | age |
Public property | name |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web Namespace


ControllerManagerTest.ActionParams Constructor

ControllerManagerTestActionParams Constructor

Initializes a new instance of the ControllerManagerTestActionParams class

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ActionParams()
Public Sub New
public:
ActionParams()
new : unit -> ActionParams
See Also

Reference

ControllerManagerTestActionParams Class
ZKWeb.Tests.Web Namespace


ActionParams Properties

The ControllerManagerTestActionParams type exposes the following members.

Properties
 | Name | Description
Public property | age |
Public property | name |
Top
See Also

Reference

ControllerManagerTestActionParams Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.ActionParams.age Property

ControllerManagerTestActionParamsage Property

[Missing <summary> documentation for "P:ZKWeb.Tests.Web.ControllerManagerTest.ActionParams.age"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int age { get; set; }
Public Property age As Integer
    Get
    Set
public:
property int age {
    int get ();
    void set (int value);
}
member age : int with get, set

Property Value

Type: Int32
See Also

Reference

ControllerManagerTestActionParams Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.ActionParams.name Property

ControllerManagerTestActionParamsname Property

[Missing <summary> documentation for "P:ZKWeb.Tests.Web.ControllerManagerTest.ActionParams.name"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string name { get; set; }
Public Property name As String
    Get
    Set
public:
property String^ name {
    String^ get ();
    void set (String^ value);
}
member name : string with get, set

Property Value

Type: String
See Also

Reference

ControllerManagerTestActionParams Class
ZKWeb.Tests.Web Namespace


ActionParams Methods

The ControllerManagerTestActionParams type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ControllerManagerTestActionParams Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestActionFilter Class

ControllerManagerTestTestActionFilter Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ControllerManagerTest.TestActionFilter"]

Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.WebActionFilterAttribute
ZKWeb.Tests.WebControllerManagerTestTestActionFilter

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestActionFilter : ActionFilterAttribute
Public Class TestActionFilter
    Inherits ActionFilterAttribute
public ref class TestActionFilter : public ActionFilterAttribute
type TestActionFilter =
    class
        inherit ActionFilterAttribute
    end

The ControllerManagerTestTestActionFilter type exposes the following members.

Constructors
 | Name | Description
Public method | ControllerManagerTestTestActionFilter | Initializes a new instance of the ControllerManagerTestTestActionFilter class
Top
Methods
 | Name | Description
Public method | Filter | (Overrides ActionFilterAttributeFilter(FuncIActionResult).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestActionFilter Constructor

ControllerManagerTestTestActionFilter Constructor

Initializes a new instance of the ControllerManagerTestTestActionFilter class

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestActionFilter()
Public Sub New
public:
TestActionFilter()
new : unit -> TestActionFilter
See Also

Reference

ControllerManagerTestTestActionFilter Class
ZKWeb.Tests.Web Namespace


TestActionFilter Methods

The ControllerManagerTestTestActionFilter type exposes the following members.

Methods
 | Name | Description
Public method | Filter | (Overrides ActionFilterAttributeFilter(FuncIActionResult).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ControllerManagerTestTestActionFilter Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestActionFilter.Filter Method

ControllerManagerTestTestActionFilterFilter Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestActionFilter.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Func<IActionResult> Filter(
    Func<IActionResult> action
)
Public Overrides Function Filter (
    action As Func(Of IActionResult)
) As Func(Of IActionResult)
public:
virtual Func<IActionResult^>^ Filter(
    Func<IActionResult^>^ action
) override
abstract Filter :
        action : Func<IActionResult> -> Func<IActionResult>
override Filter :
        action : Func<IActionResult> -> Func<IActionResult>

Parameters

action
Type: SystemFunc IActionResult

[Missing <param name="action"/> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestActionFilter.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestActionFilter.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Implements

IActionFilterFilter(FuncIActionResult)
See Also

Reference

ControllerManagerTestTestActionFilter Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController Class

ControllerManagerTestTestController Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ControllerManagerTest.TestController"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.WebControllerManagerTestTestController

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestController : IController
Public Class TestController
    Implements IController
public ref class TestController : IController
type TestController =
    class
        interface IController
    end

The ControllerManagerTestTestController type exposes the following members.

Constructors
 | Name | Description
Public method | ControllerManagerTestTestController | Initializes a new instance of the ControllerManagerTestTestController class
Top
Methods
 | Name | Description
Public method | TestActionA |
Public method | TestActionB |
Public method | TestActionC |
Public method | TestActionD |
Public method | TestActionE |
Public method | TestActionF |
Public method | TestActionG |
Public method | TestActionH |
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildActionDelegate | Build action delegate from method information Result type handling - If method returns IActionResult, then use it - If method returns string, then wrap result with PlainResult - Otherwise wrap result with JsonResult Parameters handling - Get parameter by it's name from http request - There no null check about parameters 根据Action函数的信息构建Action委托 结果类型的处理 - 如果函数返回IActionResult, 则使用返回的实例 - 如果函数返回string, 则包装结果到PlainResult - 其他情况则包装结果到JsonResult 参数的处理 - 根据参数的名称从http请求中获取参数值 - 不会检查参数是否为null (Defined by IControllerExtensions.)
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController Constructor

ControllerManagerTestTestController Constructor

Initializes a new instance of the ControllerManagerTestTestController class

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestController()
Public Sub New
public:
TestController()
new : unit -> TestController
See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


TestController Methods

The ControllerManagerTestTestController type exposes the following members.

Methods
 | Name | Description
Public method | TestActionA |
Public method | TestActionB |
Public method | TestActionC |
Public method | TestActionD |
Public method | TestActionE |
Public method | TestActionF |
Public method | TestActionG |
Public method | TestActionH |
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildActionDelegate | Build action delegate from method information Result type handling - If method returns IActionResult, then use it - If method returns string, then wrap result with PlainResult - Otherwise wrap result with JsonResult Parameters handling - Get parameter by it's name from http request - There no null check about parameters 根据Action函数的信息构建Action委托 结果类型的处理 - 如果函数返回IActionResult, 则使用返回的实例 - 如果函数返回string, 则包装结果到PlainResult - 其他情况则包装结果到JsonResult 参数的处理 - 根据参数的名称从http请求中获取参数值 - 不会检查参数是否为null (Defined by IControllerExtensions.)
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController.TestActionA Method

ControllerManagerTestTestControllerTestActionA Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionA"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string TestActionA()
Public Function TestActionA As String
public:
String^ TestActionA()
member TestActionA : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionA"]

See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController.TestActionB Method

ControllerManagerTestTestControllerTestActionB Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionB"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IActionResult TestActionB()
Public Function TestActionB As IActionResult
public:
IActionResult^ TestActionB()
member TestActionB : unit -> IActionResult

Return Value

Type: IActionResult

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionB"]

See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController.TestActionC Method

ControllerManagerTestTestControllerTestActionC Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionC(System.String,System.Int32)"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object TestActionC(
    string name,
    int age
)
Public Function TestActionC (
    name As String,
    age As Integer
) As Object
public:
Object^ TestActionC(
    String^ name,
    int age
)
member TestActionC :
        name : string *
        age : int -> Object

Parameters

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionC(System.String,System.Int32)"]

age
Type: SystemInt32

[Missing <param name="age"/> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionC(System.String,System.Int32)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionC(System.String,System.Int32)"]

See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController.TestActionD Method

ControllerManagerTestTestControllerTestActionD Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionD(ZKWeb.Tests.Web.ControllerManagerTest.ActionParams)"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object TestActionD(
    ControllerManagerTestActionParams param
)
Public Function TestActionD (
    param As ControllerManagerTestActionParams
) As Object
public:
Object^ TestActionD(
    ControllerManagerTestActionParams^ param
)
member TestActionD :
        param : ControllerManagerTestActionParams -> Object

Parameters

param
Type: ZKWeb.Tests.WebControllerManagerTestActionParams

[Missing <param name="param"/> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionD(ZKWeb.Tests.Web.ControllerManagerTest.ActionParams)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionD(ZKWeb.Tests.Web.ControllerManagerTest.ActionParams)"]

See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController.TestActionE Method

ControllerManagerTestTestControllerTestActionE Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionE(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object TestActionE(
    IDictionary<string, Object> param
)
Public Function TestActionE (
    param As IDictionary(Of String, Object)
) As Object
public:
Object^ TestActionE(
    IDictionary<String^, Object^>^ param
)
member TestActionE :
        param : IDictionary<string, Object> -> Object

Parameters

param
Type: System.Collections.GenericIDictionary String, Object

[Missing <param name="param"/> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionE(System.Collections.Generic.IDictionary{System.String,System.Object})"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionE(System.Collections.Generic.IDictionary{System.String,System.Object})"]

See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController.TestActionF Method

ControllerManagerTestTestControllerTestActionF Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionF(ZKWebStandard.Web.IHttpPostedFile)"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object TestActionF(
    IHttpPostedFile file
)
Public Function TestActionF (
    file As IHttpPostedFile
) As Object
public:
Object^ TestActionF(
    IHttpPostedFile^ file
)
member TestActionF :
        file : IHttpPostedFile -> Object

Parameters

file
Type: ZKWebStandard.WebIHttpPostedFile

[Missing <param name="file"/> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionF(ZKWebStandard.Web.IHttpPostedFile)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionF(ZKWebStandard.Web.IHttpPostedFile)"]

See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController.TestActionG Method

ControllerManagerTestTestControllerTestActionG Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionG"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string TestActionG()
Public Function TestActionG As String
public:
String^ TestActionG()
member TestActionG : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionG"]

See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ControllerManagerTest.TestController.TestActionH Method

ControllerManagerTestTestControllerTestActionH Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionH"]

Namespace: ZKWeb.Tests.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string TestActionH()
Public Function TestActionH As String
public:
String^ TestActionH()
member TestActionH : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Tests.Web.ControllerManagerTest.TestController.TestActionH"]

See Also

Reference

ControllerManagerTestTestController Class
ZKWeb.Tests.Web Namespace


ZKWeb.Tests.Web.ActionResults Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Web.ActionResults"]

Classes
 | Class | Description
Protected class | FileEntryResultTest |
Protected class | ImageResultTest |
Protected class | JsonResultTest |
Protected class | PlainResultTest |
Protected class | RedirectResultTest |
Protected class | StreamResultTest |
Protected class | TemplateResultTest |


FileEntryResultTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ActionResults.FileEntryResultTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.ActionResultsFileEntryResultTest

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class FileEntryResultTest
Friend Class FileEntryResultTest
internal ref class FileEntryResultTest
type FileEntryResultTest =  class end

The FileEntryResultTest type exposes the following members.

Constructors
 | Name | Description
Public method | FileEntryResultTest | Initializes a new instance of the FileEntryResultTest class
Top
Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.ActionResults Namespace


FileEntryResultTest Constructor

Initializes a new instance of the FileEntryResultTest class

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FileEntryResultTest()
Public Sub New
public:
FileEntryResultTest()
new : unit -> FileEntryResultTest
See Also

Reference

FileEntryResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


FileEntryResultTest Methods

The FileEntryResultTest type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

FileEntryResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


FileEntryResultTest.WriteResponse Method

FileEntryResultTestWriteResponse Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ActionResults.FileEntryResultTest.WriteResponse"]

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse()
Public Sub WriteResponse
public:
void WriteResponse()
member WriteResponse : unit -> unit
See Also

Reference

FileEntryResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


ImageResultTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ActionResults.ImageResultTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.ActionResultsImageResultTest

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ImageResultTest
Friend Class ImageResultTest
internal ref class ImageResultTest
type ImageResultTest =  class end

The ImageResultTest type exposes the following members.

Constructors
 | Name | Description
Public method | ImageResultTest | Initializes a new instance of the ImageResultTest class
Top
Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.ActionResults Namespace


ImageResultTest Constructor

Initializes a new instance of the ImageResultTest class

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ImageResultTest()
Public Sub New
public:
ImageResultTest()
new : unit -> ImageResultTest
See Also

Reference

ImageResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


ImageResultTest Methods

The ImageResultTest type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ImageResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


ImageResultTest.WriteResponse Method

ImageResultTestWriteResponse Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ActionResults.ImageResultTest.WriteResponse"]

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse()
Public Sub WriteResponse
public:
void WriteResponse()
member WriteResponse : unit -> unit
See Also

Reference

ImageResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


JsonResultTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ActionResults.JsonResultTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.ActionResultsJsonResultTest

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class JsonResultTest
Friend Class JsonResultTest
internal ref class JsonResultTest
type JsonResultTest =  class end

The JsonResultTest type exposes the following members.

Constructors
 | Name | Description
Public method | JsonResultTest | Initializes a new instance of the JsonResultTest class
Top
Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.ActionResults Namespace


JsonResultTest Constructor

Initializes a new instance of the JsonResultTest class

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public JsonResultTest()
Public Sub New
public:
JsonResultTest()
new : unit -> JsonResultTest
See Also

Reference

JsonResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


JsonResultTest Methods

The JsonResultTest type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

JsonResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


JsonResultTest.WriteResponse Method

JsonResultTestWriteResponse Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ActionResults.JsonResultTest.WriteResponse"]

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse()
Public Sub WriteResponse
public:
void WriteResponse()
member WriteResponse : unit -> unit
See Also

Reference

JsonResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


PlainResultTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ActionResults.PlainResultTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.ActionResultsPlainResultTest

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class PlainResultTest
Friend Class PlainResultTest
internal ref class PlainResultTest
type PlainResultTest =  class end

The PlainResultTest type exposes the following members.

Constructors
 | Name | Description
Public method | PlainResultTest | Initializes a new instance of the PlainResultTest class
Top
Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.ActionResults Namespace


PlainResultTest Constructor

Initializes a new instance of the PlainResultTest class

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PlainResultTest()
Public Sub New
public:
PlainResultTest()
new : unit -> PlainResultTest
See Also

Reference

PlainResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


PlainResultTest Methods

The PlainResultTest type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PlainResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


PlainResultTest.WriteResponse Method

PlainResultTestWriteResponse Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ActionResults.PlainResultTest.WriteResponse"]

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse()
Public Sub WriteResponse
public:
void WriteResponse()
member WriteResponse : unit -> unit
See Also

Reference

PlainResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


RedirectResultTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ActionResults.RedirectResultTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.ActionResultsRedirectResultTest

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class RedirectResultTest
Friend Class RedirectResultTest
internal ref class RedirectResultTest
type RedirectResultTest =  class end

The RedirectResultTest type exposes the following members.

Constructors
 | Name | Description
Public method | RedirectResultTest | Initializes a new instance of the RedirectResultTest class
Top
Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.ActionResults Namespace


RedirectResultTest Constructor

Initializes a new instance of the RedirectResultTest class

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public RedirectResultTest()
Public Sub New
public:
RedirectResultTest()
new : unit -> RedirectResultTest
See Also

Reference

RedirectResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


RedirectResultTest Methods

The RedirectResultTest type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

RedirectResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


RedirectResultTest.WriteResponse Method

RedirectResultTestWriteResponse Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ActionResults.RedirectResultTest.WriteResponse"]

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse()
Public Sub WriteResponse
public:
void WriteResponse()
member WriteResponse : unit -> unit
See Also

Reference

RedirectResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


StreamResultTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ActionResults.StreamResultTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.ActionResultsStreamResultTest

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class StreamResultTest
Friend Class StreamResultTest
internal ref class StreamResultTest
type StreamResultTest =  class end

The StreamResultTest type exposes the following members.

Constructors
 | Name | Description
Public method | StreamResultTest | Initializes a new instance of the StreamResultTest class
Top
Methods
 | Name | Description
Public method | WriteResponse |
Public method | WriteResponseWithRange |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.ActionResults Namespace


StreamResultTest Constructor

Initializes a new instance of the StreamResultTest class

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public StreamResultTest()
Public Sub New
public:
StreamResultTest()
new : unit -> StreamResultTest
See Also

Reference

StreamResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


StreamResultTest Methods

The StreamResultTest type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse |
Public method | WriteResponseWithRange |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

StreamResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


StreamResultTest.WriteResponse Method

StreamResultTestWriteResponse Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ActionResults.StreamResultTest.WriteResponse"]

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse()
Public Sub WriteResponse
public:
void WriteResponse()
member WriteResponse : unit -> unit
See Also

Reference

StreamResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


StreamResultTest.WriteResponseWithRange Method

StreamResultTestWriteResponseWithRange Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ActionResults.StreamResultTest.WriteResponseWithRange"]

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponseWithRange()
Public Sub WriteResponseWithRange
public:
void WriteResponseWithRange()
member WriteResponseWithRange : unit -> unit
See Also

Reference

StreamResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


TemplateResultTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.ActionResults.TemplateResultTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.ActionResultsTemplateResultTest

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TemplateResultTest
Friend Class TemplateResultTest
internal ref class TemplateResultTest
type TemplateResultTest =  class end

The TemplateResultTest type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateResultTest | Initializes a new instance of the TemplateResultTest class
Top
Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.ActionResults Namespace


TemplateResultTest Constructor

Initializes a new instance of the TemplateResultTest class

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateResultTest()
Public Sub New
public:
TemplateResultTest()
new : unit -> TemplateResultTest
See Also

Reference

TemplateResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


TemplateResultTest Methods

The TemplateResultTest type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


TemplateResultTest.WriteResponse Method

TemplateResultTestWriteResponse Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.ActionResults.TemplateResultTest.WriteResponse"]

Namespace: ZKWeb.Tests.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse()
Public Sub WriteResponse
public:
void WriteResponse()
member WriteResponse : unit -> unit
See Also

Reference

TemplateResultTest Class
ZKWeb.Tests.Web.ActionResults Namespace


ZKWeb.Tests.Web.HttpRequestHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Tests.Web.HttpRequestHandlers"]

Classes
 | Class | Description
Protected class | AddVersionHeaderHandlerTest |
Protected class | DefaultErrorHandlerTest |


AddVersionHeaderHandlerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.HttpRequestHandlers.AddVersionHeaderHandlerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.HttpRequestHandlersAddVersionHeaderHandlerTest

Namespace: ZKWeb.Tests.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class AddVersionHeaderHandlerTest
Friend Class AddVersionHeaderHandlerTest
internal ref class AddVersionHeaderHandlerTest
type AddVersionHeaderHandlerTest =  class end

The AddVersionHeaderHandlerTest type exposes the following members.

Constructors
 | Name | Description
Public method | AddVersionHeaderHandlerTest | Initializes a new instance of the AddVersionHeaderHandlerTest class
Top
Methods
 | Name | Description
Public method | OnRequest |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.HttpRequestHandlers Namespace


AddVersionHeaderHandlerTest Constructor

Initializes a new instance of the AddVersionHeaderHandlerTest class

Namespace: ZKWeb.Tests.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AddVersionHeaderHandlerTest()
Public Sub New
public:
AddVersionHeaderHandlerTest()
new : unit -> AddVersionHeaderHandlerTest
See Also

Reference

AddVersionHeaderHandlerTest Class
ZKWeb.Tests.Web.HttpRequestHandlers Namespace


AddVersionHeaderHandlerTest Methods

The AddVersionHeaderHandlerTest type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AddVersionHeaderHandlerTest Class
ZKWeb.Tests.Web.HttpRequestHandlers Namespace


AddVersionHeaderHandlerTest.OnRequest Method

AddVersionHeaderHandlerTestOnRequest Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.HttpRequestHandlers.AddVersionHeaderHandlerTest.OnRequest"]

Namespace: ZKWeb.Tests.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequest()
Public Sub OnRequest
public:
void OnRequest()
member OnRequest : unit -> unit
See Also

Reference

AddVersionHeaderHandlerTest Class
ZKWeb.Tests.Web.HttpRequestHandlers Namespace


DefaultErrorHandlerTest Class

[Missing <summary> documentation for "T:ZKWeb.Tests.Web.HttpRequestHandlers.DefaultErrorHandlerTest"]

Inheritance Hierarchy
SystemObject
ZKWeb.Tests.Web.HttpRequestHandlersDefaultErrorHandlerTest

Namespace: ZKWeb.Tests.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class DefaultErrorHandlerTest
Friend Class DefaultErrorHandlerTest
internal ref class DefaultErrorHandlerTest
type DefaultErrorHandlerTest =  class end

The DefaultErrorHandlerTest type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultErrorHandlerTest | Initializes a new instance of the DefaultErrorHandlerTest class
Top
Methods
 | Name | Description
Public method | OnRequest |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Tests.Web.HttpRequestHandlers Namespace


DefaultErrorHandlerTest Constructor

Initializes a new instance of the DefaultErrorHandlerTest class

Namespace: ZKWeb.Tests.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DefaultErrorHandlerTest()
Public Sub New
public:
DefaultErrorHandlerTest()
new : unit -> DefaultErrorHandlerTest
See Also

Reference

DefaultErrorHandlerTest Class
ZKWeb.Tests.Web.HttpRequestHandlers Namespace


DefaultErrorHandlerTest Methods

The DefaultErrorHandlerTest type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DefaultErrorHandlerTest Class
ZKWeb.Tests.Web.HttpRequestHandlers Namespace


DefaultErrorHandlerTest.OnRequest Method

DefaultErrorHandlerTestOnRequest Method

[Missing <summary> documentation for "M:ZKWeb.Tests.Web.HttpRequestHandlers.DefaultErrorHandlerTest.OnRequest"]

Namespace: ZKWeb.Tests.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequest()
Public Sub OnRequest
public:
void OnRequest()
member OnRequest : unit -> unit
See Also

Reference

DefaultErrorHandlerTest Class
ZKWeb.Tests.Web.HttpRequestHandlers Namespace


ZKWeb.Web Namespaces

[Missing <summary> documentation for "G:ZKWeb.Web"]

Namespaces
Namespace | Description
ZKWeb.Web |
ZKWeb.Web.ActionParameterProviders |
ZKWeb.Web.ActionResults |
ZKWeb.Web.HttpRequestHandlers |


ZKWeb.Web Namespace

[Missing <summary> documentation for "N:ZKWeb.Web"]

Classes
 | Class | Description
 | ActionAttribute | Mark action method in controller 在控制器中标记Action函数
 | ActionFilterAttribute | Action filter attribute You need inherit it to provide the filter implementation Action过滤器的属性 你需要继承它来提供过滤的实现
 | ControllerManager | Controller manager 控制器管理器
Public class | HttpMethods | Common http methods 常用的Http方法
Public class | IControllerExtensions | IController extension methods 控制器的扩展函数
Public class | ThreadPoolInitializer | Thread pool initializer 初始化线程池
Interfaces
 | Interface | Description
Public interface | IActionFilter | Action filter Action过滤器
 | IActionParameterProvider | Interface used to get the action parameters 用于获取Action参数的接口
 | IActionResult | Interface of action result Action结果的接口
 | IController | Interface of the controller 控制器的接口
 | IHttpRequestErrorHandler | Interface of http request error handler Call in reversed register order Http请求错误处理器的接口 按注册顺序的相反顺序调用
 | IHttpRequestHandler | Interface of http request handler Call in reversed register order, after called IHttpRequestPreHandler Http请求处理器的接口 按注册顺序的相反顺序调用, 在调用完IHttpRequestPreHandler以后调用
 | IHttpRequestHandlerWrapper | Interface used to wrap http request handler Call in register order, usually used to override http context 用于包装Http请求处理器的接口 按注册顺序调用, 通常用于重载Http请求
 | IHttpRequestPostHandler | Interface of http request post handler Call in register order, after calling IHttpRequestHandler Http请求的后处理器的接口 按注册顺序调用, 在调用完IHttpRequestHandler以后调用
 | IHttpRequestPreHandler | Interface of http request pre handler Call in register order, before calling IHttpRequestHandler Http请求的预处理器的接口 按注册顺序调用, 在调用IHttpRequestHanler前调用
 | IWebsiteStartHandler | Interface of website start handler Execute after all IPlugin executed 网站启动处理器的接口 在所有IPlugin执行后执行
 | IWebsiteStopper | Interface for stop website running Usually provide by hosting environment 用于停止网站运行的接口 通常由托管环境提供


ActionAttribute Class
Mark action method in controller
在控制器中标记Action函数
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.WebActionAttribute

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ActionAttribute : Attribute
Public Class ActionAttribute
    Inherits Attribute
public ref class ActionAttribute : public Attribute
type ActionAttribute =
    class
        inherit Attribute
    end

The ActionAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ActionAttribute | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Method | Method, GET or POST or whatever Http方法, GET或者POST或者其他
Public property | OverrideExists | Allow override exist actions 是否允许覆盖现有的同路径的Action
Public property | Path | Path 路径
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
public ExampleController : IController {
    [Action("example")]
    public IActionResult Example() {
        return new PlainResult("abc");
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


ActionAttribute Constructor

Initialize
初始化

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ActionAttribute(
    string path,
    string method = "GET"
)
Public Sub New (
    path As String,
    Optional method As String = "GET"
)
public:
ActionAttribute(
    String^ path,
    String^ method = L"GET"
)
new :
        path : string *
        ?method : string
(* Defaults:
        let _method = defaultArg method "GET"
*)
-> ActionAttribute

Parameters

path
Type: SystemString
Path
method (Optional)
Type: SystemString
Method, default is GET
See Also

Reference

ActionAttribute Class
ZKWeb.Web Namespace


ActionAttribute Properties

The ActionAttribute type exposes the following members.

Properties
 | Name | Description
Public property | Method | Method, GET or POST or whatever Http方法, GET或者POST或者其他
Public property | OverrideExists | Allow override exist actions 是否允许覆盖现有的同路径的Action
Public property | Path | Path 路径
Top
See Also

Reference

ActionAttribute Class
ZKWeb.Web Namespace


ActionAttribute.Method Property

ActionAttributeMethod Property

Method, GET or POST or whatever
Http方法, GET或者POST或者其他

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Method { get; set; }
Public Property Method As String
    Get
    Set
public:
property String^ Method {
    String^ get ();
    void set (String^ value);
}
member Method : string with get, set

Property Value

Type: String
See Also

Reference

ActionAttribute Class
ZKWeb.Web Namespace


ActionAttribute.OverrideExists Property

ActionAttributeOverrideExists Property

Allow override exist actions
是否允许覆盖现有的同路径的Action

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool OverrideExists { get; set; }
Public Property OverrideExists As Boolean
    Get
    Set
public:
property bool OverrideExists {
    bool get ();
    void set (bool value);
}
member OverrideExists : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ActionAttribute Class
ZKWeb.Web Namespace


ActionAttribute.Path Property

ActionAttributePath Property

Path
路径

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Path { get; set; }
Public Property Path As String
    Get
    Set
public:
property String^ Path {
    String^ get ();
    void set (String^ value);
}
member Path : string with get, set

Property Value

Type: String
See Also

Reference

ActionAttribute Class
ZKWeb.Web Namespace


ActionAttribute Methods

The ActionAttribute type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ActionAttribute Class
ZKWeb.Web Namespace


ActionFilterAttribute Class
Action filter attribute
You need inherit it to provide the filter implementation
Action过滤器的属性
你需要继承它来提供过滤的实现
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWeb.WebActionFilterAttribute
ZKWeb.Tests.WebControllerManagerTestTestActionFilter

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ActionFilterAttribute : Attribute,
    IActionFilter
Public MustInherit Class ActionFilterAttribute
    Inherits Attribute
    Implements IActionFilter
public ref class ActionFilterAttribute abstract : public Attribute,
    IActionFilter
[<AbstractClassAttribute>]
type ActionFilterAttribute =
    class
        inherit Attribute
        interface IActionFilter
    end

The ActionFilterAttribute type exposes the following members.

Constructors
 | Name | Description
Protected method | ActionFilterAttribute | Initializes a new instance of the ActionFilterAttribute class
Top
Methods
 | Name | Description
Public method | Filter | Return wrapped action 返回包装的Action函数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
[AttributeUsage(AttributeTargets.Method, AllowMultiple = false, Inherited = true)]
public class RequireLoginAttribute : ActionFilterAttribute {
    public override Func<IActionResult> Filter(Func<IActionResult> action) {
        return () => {
            if (!LoginManager.CheckLogin()) {
                return new RedirectResult("/login");
            }
            return action();
        };
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


ActionFilterAttribute Constructor

Initializes a new instance of the ActionFilterAttribute class

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ActionFilterAttribute()
Protected Sub New
protected:
ActionFilterAttribute()
new : unit -> ActionFilterAttribute
See Also

Reference

ActionFilterAttribute Class
ZKWeb.Web Namespace


ActionFilterAttribute Methods

The ActionFilterAttribute type exposes the following members.

Methods
 | Name | Description
Public method | Filter | Return wrapped action 返回包装的Action函数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ActionFilterAttribute Class
ZKWeb.Web Namespace


ActionFilterAttribute.Filter Method

ActionFilterAttributeFilter Method

Return wrapped action
返回包装的Action函数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract Func<IActionResult> Filter(
    Func<IActionResult> action
)
Public MustOverride Function Filter (
    action As Func(Of IActionResult)
) As Func(Of IActionResult)
public:
virtual Func<IActionResult^>^ Filter(
    Func<IActionResult^>^ action
) abstract
abstract Filter :
        action : Func<IActionResult> -> Func<IActionResult>

Parameters

action
Type: SystemFunc IActionResult
Original action

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Web.ActionFilterAttribute.Filter(System.Func{ZKWeb.Web.IActionResult})"]

Implements

IActionFilterFilter(FuncIActionResult)
See Also

Reference

ActionFilterAttribute Class
ZKWeb.Web Namespace


ControllerManager Class
Controller manager
控制器管理器
Inheritance Hierarchy
SystemObject
ZKWeb.WebControllerManager

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ControllerManager : IHttpRequestHandler
Public Class ControllerManager
    Implements IHttpRequestHandler
public ref class ControllerManager : IHttpRequestHandler
type ControllerManager =
    class
        interface IHttpRequestHandler
    end

The ControllerManager type exposes the following members.

Constructors
 | Name | Description
Public method | ControllerManager | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | Actions | { (Path, Method): Action }
Top
Methods
 | Name | Description
Public method | GetAction | Get action from path and method Return null if not found 根据路径和方法获取Action函数 找不到则返回null
Protected method | Initialize | Initialize Add controllers registered to IoC container Attention: all registered controllers will be created here 初始化 添加已注册到IoC容器的控制器 注意: 所有已注册的控制器都会在这里被创建
Public method | NormalizePath | Normalize path If path not startswith / then add / If path ends / then remove / 正规化路径 如果路径不以/开始则添加/到开始 如果路径以/结尾则删除结尾的/
Public method | OnRequest | Handle http request Find the action from the request path, if not found then do nothing 处理Http请求 根据请求路径查找对应的Action函数，如果找不到则不做任何事情
Public method | RegisterAction(String, String, FuncIActionResult) | Register action 注册Action函数
Public method | RegisterAction(String, String, FuncIActionResult, Boolean) | Register action 注册Action函数
Public method | RegisterController(Type) | Obsolete. Register controller type 注册控制器类型
Public method | RegisterController(IController) | Register controller instance Attention: this instance will be used across all requests 注册控制器实例 注意: 这个实例会在所有请求中使用
Public method | RegisterControllerT | Obsolete. Register controller type 注册控制器类型
Public method | UnregisterAction | Unregister action 注销Action函数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var controllerManager = Application.Ioc.Resolve<IControllerManager>();
controllerManager.RegisterAction("example", "GET", () => new PlainResult("abc"));
var action = controllerManager.GetAction("example", "GET");
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebIController


ControllerManager Constructor

Initialize
初始化

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ControllerManager()
Public Sub New
public:
ControllerManager()
new : unit -> ControllerManager
See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager Properties

The ControllerManager type exposes the following members.

Properties
 | Name | Description
Protected property | Actions | { (Path, Method): Action }
Top
See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager.Actions Property

ControllerManagerActions Property

{ (Path, Method): Action }

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IDictionary<Pair<string, string>, Func<IActionResult>> Actions { get; set; }
Protected Property Actions As IDictionary(Of Pair(Of String, String), Func(Of IActionResult))
    Get
    Set
protected:
property IDictionary<Pair<String^, String^>, Func<IActionResult^>^>^ Actions {
    IDictionary<Pair<String^, String^>, Func<IActionResult^>^>^ get ();
    void set (IDictionary<Pair<String^, String^>, Func<IActionResult^>^>^ value);
}
member Actions : IDictionary<Pair<string, string>, Func<IActionResult>> with get, set

Property Value

Type: IDictionary Pair String, String , Func IActionResult
See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager Methods

The ControllerManager type exposes the following members.

Methods
 | Name | Description
Public method | GetAction | Get action from path and method Return null if not found 根据路径和方法获取Action函数 找不到则返回null
Protected method | Initialize | Initialize Add controllers registered to IoC container Attention: all registered controllers will be created here 初始化 添加已注册到IoC容器的控制器 注意: 所有已注册的控制器都会在这里被创建
Public method | NormalizePath | Normalize path If path not startswith / then add / If path ends / then remove / 正规化路径 如果路径不以/开始则添加/到开始 如果路径以/结尾则删除结尾的/
Public method | OnRequest | Handle http request Find the action from the request path, if not found then do nothing 处理Http请求 根据请求路径查找对应的Action函数，如果找不到则不做任何事情
Public method | RegisterAction(String, String, FuncIActionResult) | Register action 注册Action函数
Public method | RegisterAction(String, String, FuncIActionResult, Boolean) | Register action 注册Action函数
Public method | RegisterController(Type) | Obsolete. Register controller type 注册控制器类型
Public method | RegisterController(IController) | Register controller instance Attention: this instance will be used across all requests 注册控制器实例 注意: 这个实例会在所有请求中使用
Public method | RegisterControllerT | Obsolete. Register controller type 注册控制器类型
Public method | UnregisterAction | Unregister action 注销Action函数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager.GetAction Method

ControllerManagerGetAction Method

Get action from path and method
Return null if not found
根据路径和方法获取Action函数
找不到则返回null

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Func<IActionResult> GetAction(
    string path,
    string method
)
Public Overridable Function GetAction (
    path As String,
    method As String
) As Func(Of IActionResult)
public:
virtual Func<IActionResult^>^ GetAction(
    String^ path,
    String^ method
)
abstract GetAction :
        path : string *
        method : string -> Func<IActionResult>
override GetAction :
        path : string *
        method : string -> Func<IActionResult>

Parameters

path
Type: SystemString
Path
method
Type: SystemString
Method

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Web.ControllerManager.GetAction(System.String,System.String)"]

See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager.Initialize Method

ControllerManagerInitialize Method

Initialize
Add controllers registered to IoC container
Attention: all registered controllers will be created here
初始化
添加已注册到IoC容器的控制器
注意: 所有已注册的控制器都会在这里被创建

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Initialize()
Protected Overridable Sub Initialize
protected:
virtual void Initialize()
abstract Initialize : unit -> unit
override Initialize : unit -> unit
See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager.NormalizePath Method

ControllerManagerNormalizePath Method

Normalize path
If path not startswith / then add /
If path ends / then remove /
正规化路径
如果路径不以/开始则添加/到开始
如果路径以/结尾则删除结尾的/

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string NormalizePath(
    string path
)
Public Overridable Function NormalizePath (
    path As String
) As String
public:
virtual String^ NormalizePath(
    String^ path
)
abstract NormalizePath :
        path : string -> string
override NormalizePath :
        path : string -> string

Parameters

path
Type: SystemString
Path

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWeb.Web.ControllerManager.NormalizePath(System.String)"]

See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager.OnRequest Method

ControllerManagerOnRequest Method

Handle http request
Find the action from the request path, if not found then do nothing
处理Http请求
根据请求路径查找对应的Action函数，如果找不到则不做任何事情

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void OnRequest()
Public Overridable Sub OnRequest
public:
virtual void OnRequest()
abstract OnRequest : unit -> unit
override OnRequest : unit -> unit

Implements

IHttpRequestHandlerOnRequest
See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager.RegisterAction Method

ControllerManagerRegisterAction Method

Overload List
 | Name | Description
Public method | RegisterAction(String, String, FuncIActionResult) | Register action 注册Action函数
Public method | RegisterAction(String, String, FuncIActionResult, Boolean) | Register action 注册Action函数
Top
See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager.RegisterAction Method (String, String, Func(IActionResult))

ControllerManagerRegisterAction Method (String, String, FuncIActionResult)
Register action
注册Action函数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RegisterAction(
    string path,
    string method,
    Func<IActionResult> action
)
Public Overridable Sub RegisterAction (
    path As String,
    method As String,
    action As Func(Of IActionResult)
)
public:
virtual void RegisterAction(
    String^ path,
    String^ method,
    Func<IActionResult^>^ action
)
abstract RegisterAction :
        path : string *
        method : string *
        action : Func<IActionResult> -> unit
override RegisterAction :
        path : string *
        method : string *
        action : Func<IActionResult> -> unit

Parameters

path
Type: SystemString
Path
method
Type: SystemString
Method
action
Type: SystemFunc IActionResult
Action
See Also

Reference

ControllerManager Class
RegisterAction Overload
ZKWeb.Web Namespace


ControllerManager.RegisterAction Method (String, String, Func(IActionResult), Boolean)

ControllerManagerRegisterAction Method (String, String, FuncIActionResult, Boolean)
Register action
注册Action函数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RegisterAction(
    string path,
    string method,
    Func<IActionResult> action,
    bool overrideExists
)
Public Overridable Sub RegisterAction (
    path As String,
    method As String,
    action As Func(Of IActionResult),
    overrideExists As Boolean
)
public:
virtual void RegisterAction(
    String^ path,
    String^ method,
    Func<IActionResult^>^ action,
    bool overrideExists
)
abstract RegisterAction :
        path : string *
        method : string *
        action : Func<IActionResult> *
        overrideExists : bool -> unit
override RegisterAction :
        path : string *
        method : string *
        action : Func<IActionResult> *
        overrideExists : bool -> unit

Parameters

path
Type: SystemString
Path
method
Type: SystemString
Method
action
Type: SystemFunc IActionResult
Action
overrideExists
Type: SystemBoolean
Allow override exist actions
See Also

Reference

ControllerManager Class
RegisterAction Overload
ZKWeb.Web Namespace


ControllerManager.RegisterController Method

ControllerManagerRegisterController Method

Overload List
 | Name | Description
Public method | RegisterControllerT | Obsolete. Register controller type 注册控制器类型
Public method | RegisterController(Type) | Obsolete. Register controller type 注册控制器类型
Public method | RegisterController(IController) | Register controller instance Attention: this instance will be used across all requests 注册控制器实例 注意: 这个实例会在所有请求中使用
Top
See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


ControllerManager.RegisterController(T) Method

ControllerManagerRegisterControllerT Method

Note: This API is now obsolete.

Register controller type
注册控制器类型

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("Use RegisterController(controller)")]
public virtual void RegisterController<T>()

<ObsoleteAttribute("Use RegisterController(controller)")>
Public Overridable Sub RegisterController(Of T)
public:
[ObsoleteAttribute(L"Use RegisterController(controller)")]
generic<typename T>
virtual void RegisterController()
[<ObsoleteAttribute("Use RegisterController(controller)")>]
abstract RegisterController : unit -> unit
[<ObsoleteAttribute("Use RegisterController(controller)")>]
override RegisterController : unit -> unit

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.Web.ControllerManager.RegisterController``1"]

See Also

Reference

ControllerManager Class
RegisterController Overload
ZKWeb.Web Namespace


ControllerManager.RegisterController Method (Type)

ControllerManagerRegisterController Method (Type)

Note: This API is now obsolete.

Register controller type
注册控制器类型

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("Use RegisterController(controller)")]
public virtual void RegisterController(
    Type type
)
<ObsoleteAttribute("Use RegisterController(controller)")>
Public Overridable Sub RegisterController (
    type As Type
)
public:
[ObsoleteAttribute(L"Use RegisterController(controller)")]
virtual void RegisterController(
    Type^ type
)
[<ObsoleteAttribute("Use RegisterController(controller)")>]
abstract RegisterController :
        type : Type -> unit
[<ObsoleteAttribute("Use RegisterController(controller)")>]
override RegisterController :
        type : Type -> unit

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:ZKWeb.Web.ControllerManager.RegisterController(System.Type)"]

See Also

Reference

ControllerManager Class
RegisterController Overload
ZKWeb.Web Namespace


ControllerManager.RegisterController Method (IController)

ControllerManagerRegisterController Method (IController)
Register controller instance
Attention: this instance will be used across all requests
注册控制器实例
注意: 这个实例会在所有请求中使用

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void RegisterController(
    IController controller
)
Public Overridable Sub RegisterController (
    controller As IController
)
public:
virtual void RegisterController(
    IController^ controller
)
abstract RegisterController :
        controller : IController -> unit
override RegisterController :
        controller : IController -> unit

Parameters

controller
Type: ZKWeb.WebIController
Controller instance
See Also

Reference

ControllerManager Class
RegisterController Overload
ZKWeb.Web Namespace


ControllerManager.UnregisterAction Method

ControllerManagerUnregisterAction Method

Unregister action
注销Action函数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool UnregisterAction(
    string path,
    string method
)
Public Overridable Function UnregisterAction (
    path As String,
    method As String
) As Boolean
public:
virtual bool UnregisterAction(
    String^ path,
    String^ method
)
abstract UnregisterAction :
        path : string *
        method : string -> bool
override UnregisterAction :
        path : string *
        method : string -> bool

Parameters

path
Type: SystemString
Path
method
Type: SystemString
Method

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWeb.Web.ControllerManager.UnregisterAction(System.String,System.String)"]

See Also

Reference

ControllerManager Class
ZKWeb.Web Namespace


HttpMethods Class
Common http methods
常用的Http方法
Inheritance Hierarchy
SystemObject
ZKWeb.WebHttpMethods

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class HttpMethods
Public NotInheritable Class HttpMethods
public ref class HttpMethods abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type HttpMethods =  class end

The HttpMethods type exposes the following members.

Fields
Name | Description
DELETE | DELETE
GET | GET
PATCH | PATCH
POST | POST
PUT | PUT
Top
See Also

Reference

ZKWeb.Web Namespace


HttpMethods Fields

The HttpMethods type exposes the following members.

Fields
Name | Description
DELETE | DELETE
GET | GET
PATCH | PATCH
POST | POST
PUT | PUT
Top
See Also

Reference

HttpMethods Class
ZKWeb.Web Namespace


HttpMethods.DELETE Field

HttpMethodsDELETE Field
DELETE

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string DELETE = "DELETE"
Public Const DELETE As String = "DELETE"
public:
literal String^ DELETE = "DELETE"
static val mutable DELETE: string

Field Value

Type: String
See Also

Reference

HttpMethods Class
ZKWeb.Web Namespace


HttpMethods.GET Field

HttpMethodsGET Field
GET

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string GET = "GET"
Public Const GET As String = "GET"
public:
literal String^ GET = "GET"
static val mutable GET: string

Field Value

Type: String
See Also

Reference

HttpMethods Class
ZKWeb.Web Namespace


HttpMethods.PATCH Field

HttpMethodsPATCH Field
PATCH

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string PATCH = "PATCH"
Public Const PATCH As String = "PATCH"
public:
literal String^ PATCH = "PATCH"
static val mutable PATCH: string

Field Value

Type: String
See Also

Reference

HttpMethods Class
ZKWeb.Web Namespace


HttpMethods.POST Field

HttpMethodsPOST Field
POST

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string POST = "POST"
Public Const POST As String = "POST"
public:
literal String^ POST = "POST"
static val mutable POST: string

Field Value

Type: String
See Also

Reference

HttpMethods Class
ZKWeb.Web Namespace


HttpMethods.PUT Field

HttpMethodsPUT Field
PUT

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string PUT = "PUT"
Public Const PUT As String = "PUT"
public:
literal String^ PUT = "PUT"
static val mutable PUT: string

Field Value

Type: String
See Also

Reference

HttpMethods Class
ZKWeb.Web Namespace


IActionFilter Interface
Action filter
Action过滤器

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IActionFilter
Public Interface IActionFilter
public interface class IActionFilter
type IActionFilter =  interface end

The IActionFilter type exposes the following members.

Methods
 | Name | Description
Public method | Filter | Return wrapped action 返回包装的Action函数
Top
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


IActionFilter Methods

The IActionFilter type exposes the following members.

Methods
 | Name | Description
Public method | Filter | Return wrapped action 返回包装的Action函数
Top
See Also

Reference

IActionFilter Interface
ZKWeb.Web Namespace


IActionFilter.Filter Method

IActionFilterFilter Method

Return wrapped action 返回包装的Action函数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Func<IActionResult> Filter(
    Func<IActionResult> action
)
Function Filter (
    action As Func(Of IActionResult)
) As Func(Of IActionResult)
Func<IActionResult^>^ Filter(
    Func<IActionResult^>^ action
)
abstract Filter :
        action : Func<IActionResult> -> Func<IActionResult>

Parameters

action
Type: SystemFunc IActionResult
Original action

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Web.IActionFilter.Filter(System.Func{ZKWeb.Web.IActionResult})"]

See Also

Reference

IActionFilter Interface
ZKWeb.Web Namespace


IActionParameterProvider Interface
Interface used to get the action parameters
用于获取Action参数的接口

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IActionParameterProvider
Public Interface IActionParameterProvider
public interface class IActionParameterProvider
type IActionParameterProvider =  interface end

The IActionParameterProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetParameterT | Get action parameter 获取Action参数
Top
Examples
For example: 例如:
C#
Copy
public class ExampleController : IController {
    public string ExampleAction(int x) {
        return x.ToString();
    }
}
Will call: 会调用:
C#
Copy
provider.GetParameter(
    "x",
    methodof(ExampleAction),
    parameterof(ExampleAction.x));
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


IActionParameterProvider Methods

The IActionParameterProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetParameterT | Get action parameter 获取Action参数
Top
See Also

Reference

IActionParameterProvider Interface
ZKWeb.Web Namespace


IActionParameterProvider.GetParameter(T) Method

IActionParameterProviderGetParameterT Method

Get action parameter
获取Action参数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
T GetParameter<T>(
    string name,
    MethodInfo method,
    ParameterInfo parameterInfo
)

Function GetParameter(Of T) (
    name As String,
    method As MethodInfo,
    parameterInfo As ParameterInfo
) As T
generic<typename T>
T GetParameter(
    String^ name,
    MethodInfo^ method,
    ParameterInfo^ parameterInfo
)
abstract GetParameter :
        name : string *
        method : MethodInfo *
        parameterInfo : ParameterInfo -> 'T

Parameters

name
Type: SystemString
Parameter name
method
Type: System.ReflectionMethodInfo
Method information
parameterInfo
Type: System.ReflectionParameterInfo
Parameter information

Type Parameters

T
Parameter type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.Web.IActionParameterProvider.GetParameter``1(System.String,System.Reflection.MethodInfo,System.Reflection.ParameterInfo)"]

See Also

Reference

IActionParameterProvider Interface
ZKWeb.Web Namespace


IActionResult Interface
Interface of action result
Action结果的接口

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IActionResult
Public Interface IActionResult
public interface class IActionResult
type IActionResult =  interface end

The IActionResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | Write http response 写入到http回应
Top
Examples
C#
Copy
public class PlainResult : IActionResult {
       public string Text { get; set; }
       public string ContentType { get; set; }

       public PlainResult(object obj) {
           Text = obj?.ToString();
           ContentType = "text/plain; charset=utf-8";
       }

       public void WriteResponse(IHttpResponse response) {
           response.StatusCode = 200;
           response.ContentType = ContentType;
           response.Write(Text);
       }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


IActionResult Methods

The IActionResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | Write http response 写入到http回应
Top
See Also

Reference

IActionResult Interface
ZKWeb.Web Namespace


IActionResult.WriteResponse Method

IActionResultWriteResponse Method

Write http response
写入到http回应

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void WriteResponse(
    IHttpResponse response
)
Sub WriteResponse (
    response As IHttpResponse
)
void WriteResponse(
    IHttpResponse^ response
)
abstract WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response
See Also

Reference

IActionResult Interface
ZKWeb.Web Namespace


IController Interface
Interface of the controller
控制器的接口

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IController
Public Interface IController
public interface class IController
type IController =  interface end
Examples
C#
Copy
[ExportMany]
class TestController : IController {
    [Action("index.html")]
    public string Index() { return "test index"; }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebControllerManager


IControllerExtensions Class
IController extension methods
控制器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWeb.WebIControllerExtensions

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IControllerExtensions
<ExtensionAttribute>
Public NotInheritable Class IControllerExtensions
[ExtensionAttribute]
public ref class IControllerExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IControllerExtensions =  class end

The IControllerExtensions type exposes the following members.

Methods
Name | Description
BuildActionDelegate | Build action delegate from method information Result type handling - If method returns IActionResult, then use it - If method returns string, then wrap result with PlainResult - Otherwise wrap result with JsonResult Parameters handling - Get parameter by it's name from http request - There no null check about parameters 根据Action函数的信息构建Action委托 结果类型的处理 - 如果函数返回IActionResult, 则使用返回的实例 - 如果函数返回string, 则包装结果到PlainResult - 其他情况则包装结果到JsonResult 参数的处理 - 根据参数的名称从http请求中获取参数值 - 不会检查参数是否为null
GetActionParameterT | Get action parameter 获取Action参数
Top
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


IControllerExtensions Methods

The IControllerExtensions type exposes the following members.

Methods
Name | Description
BuildActionDelegate | Build action delegate from method information Result type handling - If method returns IActionResult, then use it - If method returns string, then wrap result with PlainResult - Otherwise wrap result with JsonResult Parameters handling - Get parameter by it's name from http request - There no null check about parameters 根据Action函数的信息构建Action委托 结果类型的处理 - 如果函数返回IActionResult, 则使用返回的实例 - 如果函数返回string, 则包装结果到PlainResult - 其他情况则包装结果到JsonResult 参数的处理 - 根据参数的名称从http请求中获取参数值 - 不会检查参数是否为null
GetActionParameterT | Get action parameter 获取Action参数
Top
See Also

Reference

IControllerExtensions Class
ZKWeb.Web Namespace


IControllerExtensions.BuildActionDelegate Method

IControllerExtensionsBuildActionDelegate Method

Build action delegate from method information
Result type handling
- If method returns IActionResult, then use it
- If method returns string, then wrap result with PlainResult
- Otherwise wrap result with JsonResult
Parameters handling
- Get parameter by it's name from http request
- There no null check about parameters
根据Action函数的信息构建Action委托
结果类型的处理
- 如果函数返回IActionResult, 则使用返回的实例
- 如果函数返回string, 则包装结果到PlainResult
- 其他情况则包装结果到JsonResult
参数的处理
- 根据参数的名称从http请求中获取参数值
- 不会检查参数是否为null

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Func<IActionResult> BuildActionDelegate(
    this IController controller,
    MethodInfo method
)
<ExtensionAttribute>
Public Shared Function BuildActionDelegate (
    controller As IController,
    method As MethodInfo
) As Func(Of IActionResult)
public:
[ExtensionAttribute]
static Func<IActionResult^>^ BuildActionDelegate(
    IController^ controller,
    MethodInfo^ method
)
[<ExtensionAttribute>]
static member BuildActionDelegate :
        controller : IController *
        method : MethodInfo -> Func<IActionResult>

Parameters

controller
Type: ZKWeb.WebIController
Controller instance
method
Type: System.ReflectionMethodInfo
Method information

Return Value

Type: Func IActionResult

[Missing <returns> documentation for "M:ZKWeb.Web.IControllerExtensions.BuildActionDelegate(ZKWeb.Web.IController,System.Reflection.MethodInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IController. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

IControllerExtensions Class
ZKWeb.Web Namespace


IControllerExtensions.GetActionParameter(T) Method

IControllerExtensionsGetActionParameterT Method

Get action parameter
获取Action参数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal static T GetActionParameter<T>(
    string name,
    MethodInfo method,
    ParameterInfo parameterInfo
)

Friend Shared Function GetActionParameter(Of T) (
    name As String,
    method As MethodInfo,
    parameterInfo As ParameterInfo
) As T
internal:
generic<typename T>
static T GetActionParameter(
    String^ name,
    MethodInfo^ method,
    ParameterInfo^ parameterInfo
)
internal static member GetActionParameter :
        name : string *
        method : MethodInfo *
        parameterInfo : ParameterInfo -> 'T

Parameters

name
Type: SystemString
Parameter name
method
Type: System.ReflectionMethodInfo
Method information
parameterInfo
Type: System.ReflectionParameterInfo
Parameter information

Type Parameters

T
Parameter type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.Web.IControllerExtensions.GetActionParameter``1(System.String,System.Reflection.MethodInfo,System.Reflection.ParameterInfo)"]

See Also

Reference

IControllerExtensions Class
ZKWeb.Web Namespace


IHttpRequestErrorHandler Interface
Interface of http request error handler
Call in reversed register order
Http请求错误处理器的接口
按注册顺序的相反顺序调用

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpRequestErrorHandler
Public Interface IHttpRequestErrorHandler
public interface class IHttpRequestErrorHandler
type IHttpRequestErrorHandler =  interface end

The IHttpRequestErrorHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnError | Handle request error 处理请求错误
Top
Examples
C#
Copy
[ExportMany]
public ExampleErrorHandler : IHttpRequestErrorHandler {
    public void OnError(Exception ex) {
        if (ex is HttpException && ((HttpException)ex).StatusCode == 404) {
            var response = HttpManager.CurrentContext.Response;
            response.Write("custom 404 message");
            response.End();
        }
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebIHttpRequestHandler
ZKWeb.WebIHttpRequestPreHandler
ZKWeb.WebIHttpRequestPostHandler
ZKWeb.WebIHttpRequestHandlerWrapper


IHttpRequestErrorHandler Methods

The IHttpRequestErrorHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnError | Handle request error 处理请求错误
Top
See Also

Reference

IHttpRequestErrorHandler Interface
ZKWeb.Web Namespace


IHttpRequestErrorHandler.OnError Method

IHttpRequestErrorHandlerOnError Method

Handle request error
处理请求错误

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnError(
    Exception ex
)
Sub OnError (
    ex As Exception
)
void OnError(
    Exception^ ex
)
abstract OnError :
        ex : Exception -> unit

Parameters

ex
Type: SystemException
Exception object

Return Value

Type:
See Also

Reference

IHttpRequestErrorHandler Interface
ZKWeb.Web Namespace


IHttpRequestHandler Interface
Interface of http request handler
Call in reversed register order, after called IHttpRequestPreHandler
Http请求处理器的接口
按注册顺序的相反顺序调用, 在调用完IHttpRequestPreHandler以后调用

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpRequestHandler
Public Interface IHttpRequestHandler
public interface class IHttpRequestHandler
type IHttpRequestHandler =  interface end

The IHttpRequestHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | Handle http reqeust Can call method response.End to end response immediately 处理Http请求 可以调用response.End函数来立刻终止回应
Top
Examples
C#
Copy
[ExportMany]
public class ExampleRequestHandler : IHttpRequestHandler {
    public void OnRequest() {
        var request = HttpManager.CurrentContext.Request;
        var response = HttpManager.CurrentContext.Response;
        if (request.Path == "/example") {
            response.Write("example result");
            response.End();
        }
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebIHttpRequestErrorHandler
ZKWeb.WebIHttpRequestPreHandler
ZKWeb.WebIHttpRequestPostHandler
ZKWeb.WebIHttpRequestHandlerWrapper


IHttpRequestHandler Methods

The IHttpRequestHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | Handle http reqeust Can call method response.End to end response immediately 处理Http请求 可以调用response.End函数来立刻终止回应
Top
See Also

Reference

IHttpRequestHandler Interface
ZKWeb.Web Namespace


IHttpRequestHandler.OnRequest Method

IHttpRequestHandlerOnRequest Method

Handle http reqeust
Can call method response.End to end response immediately
处理Http请求
可以调用response.End函数来立刻终止回应

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnRequest()
Sub OnRequest
void OnRequest()
abstract OnRequest : unit -> unit
See Also

Reference

IHttpRequestHandler Interface
ZKWeb.Web Namespace


IHttpRequestHandlerWrapper Interface
Interface used to wrap http request handler
Call in register order, usually used to override http context
用于包装Http请求处理器的接口
按注册顺序调用, 通常用于重载Http请求

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpRequestHandlerWrapper
Public Interface IHttpRequestHandlerWrapper
public interface class IHttpRequestHandlerWrapper
type IHttpRequestHandlerWrapper =  interface end

The IHttpRequestHandlerWrapper type exposes the following members.

Methods
 | Name | Description
Public method | WrapHandlerAction | Wrap http request handler 包装Http请求处理器
Top
Examples
C#
Copy
[ExportMany]
public class ExampleRequestHandlerWrapper : IHttpRequestHandlerWrapper {
    public Action WrapHandlerAction(Action action) {
        return () => {
            using (HttpManager.OverrideContext(new MyHttpContext())) {
                action();
            }
        };
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebIHttpRequestErrorHandler
ZKWeb.WebIHttpRequestPreHandler
ZKWeb.WebIHttpRequestPostHandler
ZKWeb.WebIHttpRequestHandler


IHttpRequestHandlerWrapper Methods

The IHttpRequestHandlerWrapper type exposes the following members.

Methods
 | Name | Description
Public method | WrapHandlerAction | Wrap http request handler 包装Http请求处理器
Top
See Also

Reference

IHttpRequestHandlerWrapper Interface
ZKWeb.Web Namespace


IHttpRequestHandlerWrapper.WrapHandlerAction Method

IHttpRequestHandlerWrapperWrapHandlerAction Method

Wrap http request handler
包装Http请求处理器

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Action WrapHandlerAction(
    Action action
)
Function WrapHandlerAction (
    action As Action
) As Action
Action^ WrapHandlerAction(
    Action^ action
)
abstract WrapHandlerAction :
        action : Action -> Action

Parameters

action
Type: SystemAction
Handler Action

Return Value

Type: Action

[Missing <returns> documentation for "M:ZKWeb.Web.IHttpRequestHandlerWrapper.WrapHandlerAction(System.Action)"]

See Also

Reference

IHttpRequestHandlerWrapper Interface
ZKWeb.Web Namespace


IHttpRequestPostHandler Interface
Interface of http request post handler
Call in register order, after calling IHttpRequestHandler
Http请求的后处理器的接口
按注册顺序调用, 在调用完IHttpRequestHandler以后调用

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpRequestPostHandler
Public Interface IHttpRequestPostHandler
public interface class IHttpRequestPostHandler
type IHttpRequestPostHandler =  interface end

The IHttpRequestPostHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | Handle http reqeust It's not recommend to call method response.End here 处理http请求 不推荐在这里调用response.End函数
Top
Examples
C#
Copy
[ExportMany]
public class ExampleRequestPostHandler : IHttpRequestPostHandler {
    public void OnRequest() {
        var logManager = Application.Ioc.Resolve<LogManager>();
        logManager.LogDebug("request finished");
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebIHttpRequestErrorHandler
ZKWeb.WebIHttpRequestPreHandler
ZKWeb.WebIHttpRequestHandlerWrapper
ZKWeb.WebIHttpRequestHandler


IHttpRequestPostHandler Methods

The IHttpRequestPostHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | Handle http reqeust It's not recommend to call method response.End here 处理http请求 不推荐在这里调用response.End函数
Top
See Also

Reference

IHttpRequestPostHandler Interface
ZKWeb.Web Namespace


IHttpRequestPostHandler.OnRequest Method

IHttpRequestPostHandlerOnRequest Method

Handle http reqeust
It's not recommend to call method response.End here
处理http请求
不推荐在这里调用response.End函数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnRequest()
Sub OnRequest
void OnRequest()
abstract OnRequest : unit -> unit
See Also

Reference

IHttpRequestPostHandler Interface
ZKWeb.Web Namespace


IHttpRequestPreHandler Interface
Interface of http request pre handler
Call in register order, before calling IHttpRequestHandler
Http请求的预处理器的接口
按注册顺序调用, 在调用IHttpRequestHanler前调用

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpRequestPreHandler
Public Interface IHttpRequestPreHandler
public interface class IHttpRequestPreHandler
type IHttpRequestPreHandler =  interface end

The IHttpRequestPreHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | Handle http reqeust It's not recommend to call response.End here 处理http请求 不推荐在这里调用response.End函数
Top
Examples
C#
Copy
[ExportMany]
public class ExampleRequestPreHandler : IHttpRequestPreHandler {
    public void OnRequest() {
        var logManager = Application.Ioc.Resolve<LogManager>();
        logManager.LogDebug("request started");
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.WebIHttpRequestErrorHandler
ZKWeb.WebIHttpRequestPostHandler
ZKWeb.WebIHttpRequestHandlerWrapper
ZKWeb.WebIHttpRequestHandler


IHttpRequestPreHandler Methods

The IHttpRequestPreHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | Handle http reqeust It's not recommend to call response.End here 处理http请求 不推荐在这里调用response.End函数
Top
See Also

Reference

IHttpRequestPreHandler Interface
ZKWeb.Web Namespace


IHttpRequestPreHandler.OnRequest Method

IHttpRequestPreHandlerOnRequest Method

Handle http reqeust
It's not recommend to call response.End here
处理http请求
不推荐在这里调用response.End函数

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnRequest()
Sub OnRequest
void OnRequest()
abstract OnRequest : unit -> unit
See Also

Reference

IHttpRequestPreHandler Interface
ZKWeb.Web Namespace


IWebsiteStartHandler Interface
Interface of website start handler
Execute after all IPlugin executed
网站启动处理器的接口
在所有IPlugin执行后执行

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IWebsiteStartHandler
Public Interface IWebsiteStartHandler
public interface class IWebsiteStartHandler
type IWebsiteStartHandler =  interface end

The IWebsiteStartHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnWebsiteStart | Handle website start 处理网站启动
Top
Examples
C#
Copy
[ExportMany]
public ExampleWebsiteStartHandler : IWebsiteStartHandler {
    public void OnWebsiteStart() {
        var logManager = Application.Ioc.Resolve<LogManager>();
        logManager.LogDebug("website started");
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.ServerIApplication


IWebsiteStartHandler Methods

The IWebsiteStartHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnWebsiteStart | Handle website start 处理网站启动
Top
See Also

Reference

IWebsiteStartHandler Interface
ZKWeb.Web Namespace


IWebsiteStartHandler.OnWebsiteStart Method

IWebsiteStartHandlerOnWebsiteStart Method

Handle website start
处理网站启动

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnWebsiteStart()
Sub OnWebsiteStart
void OnWebsiteStart()
abstract OnWebsiteStart : unit -> unit
See Also

Reference

IWebsiteStartHandler Interface
ZKWeb.Web Namespace


IWebsiteStopper Interface
Interface for stop website running
Usually provide by hosting environment
用于停止网站运行的接口
通常由托管环境提供

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IWebsiteStopper
Public Interface IWebsiteStopper
public interface class IWebsiteStopper
type IWebsiteStopper =  interface end

The IWebsiteStopper type exposes the following members.

Methods
 | Name | Description
Public method | StopWebsite | Stop website running 停止网站运行
Top
Examples
C#
Copy
internal class AspNetWebsiteStopper : IWebsiteStopper {
    public void StopWebsite() {
        HttpRuntime.UnloadAppDomain();
    }
}
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.ServerIApplication
ZKWeb.PluginPluginReloader


IWebsiteStopper Methods

The IWebsiteStopper type exposes the following members.

Methods
 | Name | Description
Public method | StopWebsite | Stop website running 停止网站运行
Top
See Also

Reference

IWebsiteStopper Interface
ZKWeb.Web Namespace


IWebsiteStopper.StopWebsite Method

IWebsiteStopperStopWebsite Method

Stop website running
停止网站运行

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void StopWebsite()
Sub StopWebsite
void StopWebsite()
abstract StopWebsite : unit -> unit
See Also

Reference

IWebsiteStopper Interface
ZKWeb.Web Namespace


ThreadPoolInitializer Class
Thread pool initializer
初始化线程池
Inheritance Hierarchy
SystemObject
ZKWeb.WebThreadPoolInitializer

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ThreadPoolInitializer
Public Class ThreadPoolInitializer
public ref class ThreadPoolInitializer
type ThreadPoolInitializer =  class end

The ThreadPoolInitializer type exposes the following members.

Constructors
 | Name | Description
Public method | ThreadPoolInitializer | Initializes a new instance of the ThreadPoolInitializer class
Top
Methods
 | Name | Description
Protected method | Initialize | Initialize thread pool 初始化线程池
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Web Namespace
ZKWeb.ServerIApplication


ThreadPoolInitializer Constructor

Initializes a new instance of the ThreadPoolInitializer class

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ThreadPoolInitializer()
Public Sub New
public:
ThreadPoolInitializer()
new : unit -> ThreadPoolInitializer
See Also

Reference

ThreadPoolInitializer Class
ZKWeb.Web Namespace


ThreadPoolInitializer Methods

The ThreadPoolInitializer type exposes the following members.

Methods
 | Name | Description
Protected method | Initialize | Initialize thread pool 初始化线程池
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ThreadPoolInitializer Class
ZKWeb.Web Namespace


ThreadPoolInitializer.Initialize Method

ThreadPoolInitializerInitialize Method

Initialize thread pool
初始化线程池

Namespace: ZKWeb.Web
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual void Initialize()
Protected Overridable Sub Initialize
protected:
virtual void Initialize()
abstract Initialize : unit -> unit
override Initialize : unit -> unit
See Also

Reference

ThreadPoolInitializer Class
ZKWeb.Web Namespace


ZKWeb.Web.ActionParameterProviders Namespace

[Missing <summary> documentation for "N:ZKWeb.Web.ActionParameterProviders"]

Classes
 | Class | Description
Public class | DefaultActionParameterProvider | Default action parameter provider 默认的Action参数提供器


DefaultActionParameterProvider Class
Default action parameter provider
默认的Action参数提供器
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionParameterProvidersDefaultActionParameterProvider

Namespace: ZKWeb.Web.ActionParameterProviders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultActionParameterProvider : IActionParameterProvider
Public Class DefaultActionParameterProvider
    Implements IActionParameterProvider
public ref class DefaultActionParameterProvider : IActionParameterProvider
type DefaultActionParameterProvider =
    class
        interface IActionParameterProvider
    end

The DefaultActionParameterProvider type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultActionParameterProvider | Initializes a new instance of the DefaultActionParameterProvider class
Top
Methods
 | Name | Description
Public method | GetParameterT | Get parameter from http request 从Http请求获取参数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Web.ActionParameterProviders Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


DefaultActionParameterProvider Constructor

Initializes a new instance of the DefaultActionParameterProvider class

Namespace: ZKWeb.Web.ActionParameterProviders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DefaultActionParameterProvider()
Public Sub New
public:
DefaultActionParameterProvider()
new : unit -> DefaultActionParameterProvider
See Also

Reference

DefaultActionParameterProvider Class
ZKWeb.Web.ActionParameterProviders Namespace


DefaultActionParameterProvider Methods

The DefaultActionParameterProvider type exposes the following members.

Methods
 | Name | Description
Public method | GetParameterT | Get parameter from http request 从Http请求获取参数
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DefaultActionParameterProvider Class
ZKWeb.Web.ActionParameterProviders Namespace


DefaultActionParameterProvider.GetParameter(T) Method

DefaultActionParameterProviderGetParameterT Method

Get parameter from http request
从Http请求获取参数

Namespace: ZKWeb.Web.ActionParameterProviders
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T GetParameter<T>(
    string name,
    MethodInfo method,
    ParameterInfo parameterInfo
)

Public Function GetParameter(Of T) (
    name As String,
    method As MethodInfo,
    parameterInfo As ParameterInfo
) As T
public:
generic<typename T>
virtual T GetParameter(
    String^ name,
    MethodInfo^ method,
    ParameterInfo^ parameterInfo
) sealed
abstract GetParameter :
        name : string *
        method : MethodInfo *
        parameterInfo : ParameterInfo -> 'T
override GetParameter :
        name : string *
        method : MethodInfo *
        parameterInfo : ParameterInfo -> 'T

Parameters

name
Type: SystemString

[Missing <param name="name"/> documentation for "M:ZKWeb.Web.ActionParameterProviders.DefaultActionParameterProvider.GetParameter``1(System.String,System.Reflection.MethodInfo,System.Reflection.ParameterInfo)"]

method
Type: System.ReflectionMethodInfo

[Missing <param name="method"/> documentation for "M:ZKWeb.Web.ActionParameterProviders.DefaultActionParameterProvider.GetParameter``1(System.String,System.Reflection.MethodInfo,System.Reflection.ParameterInfo)"]

parameterInfo
Type: System.ReflectionParameterInfo

[Missing <param name="parameterInfo"/> documentation for "M:ZKWeb.Web.ActionParameterProviders.DefaultActionParameterProvider.GetParameter``1(System.String,System.Reflection.MethodInfo,System.Reflection.ParameterInfo)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWeb.Web.ActionParameterProviders.DefaultActionParameterProvider.GetParameter``1(System.String,System.Reflection.MethodInfo,System.Reflection.ParameterInfo)"]

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWeb.Web.ActionParameterProviders.DefaultActionParameterProvider.GetParameter``1(System.String,System.Reflection.MethodInfo,System.Reflection.ParameterInfo)"]

Implements

IActionParameterProviderGetParameterT(String, MethodInfo, ParameterInfo)
See Also

Reference

DefaultActionParameterProvider Class
ZKWeb.Web.ActionParameterProviders Namespace


ZKWeb.Web.ActionResults Namespace

[Missing <summary> documentation for "N:ZKWeb.Web.ActionResults"]

Classes
 | Class | Description
 | FileEntryResult | Read contents from file entry and write to response 从文件中读取内容并写入到回应
Public class | FileResult | Obsolete. File result 文件结果, 此类已经过时, 请使用FileEntryResult
 | ImageResult | Write image data to response 写入图片数据到回应
 | JsonResult | Write json to response 写入Json到回应
 | PlainResult | Write plain test to response 写入文本到回应
 | RedirectResult | Redirect to other url 重定向到其他Url
 | StreamResult | Write contents from stream to response 从数据流读取内容并写入到回应
 | TemplateResult | Render template to response 描画模板到回应


FileEntryResult Class
Read contents from file entry and write to response
从文件中读取内容并写入到回应
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionResultsFileEntryResult

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class FileEntryResult : IActionResult
Public Class FileEntryResult
    Implements IActionResult
public ref class FileEntryResult : IActionResult
type FileEntryResult =
    class
        interface IActionResult
    end

The FileEntryResult type exposes the following members.

Constructors
 | Name | Description
Public method | FileEntryResult(IFileEntry) | Initialize 初始化
Public method | FileEntryResult(IFileEntry, NullableDateTime) | Initialize 初始化
Public method | FileEntryResult(IFileEntry, PairNullableInt64, NullableInt64) | Initialize 初始化
Public method | FileEntryResult(IFileEntry, NullableDateTime, PairNullableInt64, NullableInt64) | Initialize 初始化
Top
Properties
 | Name | Description
Public property | BytesRange | Range request in bytes 客户端要求的内容范围
Public property | ContentType | Content Type The default will be detected from the file extension 内容类型 默认会从文件后缀名检测
Public property | FileEntry | File path 文件路径
Public property | IfModifiedSince | Cached modify time received from client 客户端缓存的内容的修改时间
Top
Methods
 | Name | Description
Public method | WriteResponse | Write file to http response Return 304 If the file is not modified after the client caches it 写入文件到http回应 如果文件与客户端缓存的内容一致则返回304
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
public ExampleController : IController {
    [Action("example")]
    public IActionResult Example() {
        var fileStorage = Application.Ioc.Resolve<IFileStorage>();
        var fileEntry = fileStorage.GetResourceFile("static", "1.txt");
        return new FileEntryResult(fileEntry);
    }
}
See Also

Reference

ZKWeb.Web.ActionResults Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


FileEntryResult Constructor

Overload List
 | Name | Description
Public method | FileEntryResult(IFileEntry) | Initialize 初始化
Public method | FileEntryResult(IFileEntry, NullableDateTime) | Initialize 初始化
Public method | FileEntryResult(IFileEntry, PairNullableInt64, NullableInt64) | Initialize 初始化
Public method | FileEntryResult(IFileEntry, NullableDateTime, PairNullableInt64, NullableInt64) | Initialize 初始化
Top
See Also

Reference

FileEntryResult Class
ZKWeb.Web.ActionResults Namespace


FileEntryResult Constructor (IFileEntry)
Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FileEntryResult(
    IFileEntry fileEntry
)
Public Sub New (
    fileEntry As IFileEntry
)
public:
FileEntryResult(
    IFileEntry^ fileEntry
)
new :
        fileEntry : IFileEntry -> FileEntryResult

Parameters

fileEntry
Type: ZKWeb.StorageIFileEntry
File entry
See Also

Reference

FileEntryResult Class
FileEntryResult Overload
ZKWeb.Web.ActionResults Namespace


FileEntryResult Constructor (IFileEntry, Nullable(DateTime))

FileEntryResult Constructor (IFileEntry, NullableDateTime)
Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FileEntryResult(
    IFileEntry fileEntry,
    Nullable<DateTime> ifModifiedSince
)
Public Sub New (
    fileEntry As IFileEntry,
    ifModifiedSince As Nullable(Of DateTime)
)
public:
FileEntryResult(
    IFileEntry^ fileEntry,
    Nullable<DateTime> ifModifiedSince
)
new :
        fileEntry : IFileEntry *
        ifModifiedSince : Nullable<DateTime> -> FileEntryResult

Parameters

fileEntry
Type: ZKWeb.StorageIFileEntry
File entry
ifModifiedSince
Type: SystemNullable DateTime
Cached modify time received from client
See Also

Reference

FileEntryResult Class
FileEntryResult Overload
ZKWeb.Web.ActionResults Namespace


FileEntryResult Constructor (IFileEntry, Pair(Nullable(Int64), Nullable(Int64)))

FileEntryResult Constructor (IFileEntry, PairNullableInt64, NullableInt64)
Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FileEntryResult(
    IFileEntry fileEntry,
    Pair<Nullable<long>, Nullable<long>> bytesRange
)
Public Sub New (
    fileEntry As IFileEntry,
    bytesRange As Pair(Of Nullable(Of Long), Nullable(Of Long))
)
public:
FileEntryResult(
    IFileEntry^ fileEntry,
    Pair<Nullable<long long>, Nullable<long long>> bytesRange
)
new :
        fileEntry : IFileEntry *
        bytesRange : Pair<Nullable<int64>, Nullable<int64>> -> FileEntryResult

Parameters

fileEntry
Type: ZKWeb.StorageIFileEntry
File entry
bytesRange
Type: ZKWebStandard.CollectionsPair Nullable Int64 , Nullable Int64
Range request in bytes
See Also

Reference

FileEntryResult Class
FileEntryResult Overload
ZKWeb.Web.ActionResults Namespace


FileEntryResult Constructor (IFileEntry, Nullable(DateTime), Pair(Nullable(Int64), Nullable(Int64)))

FileEntryResult Constructor (IFileEntry, NullableDateTime, PairNullableInt64, NullableInt64)
Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FileEntryResult(
    IFileEntry fileEntry,
    Nullable<DateTime> ifModifiedSince,
    Pair<Nullable<long>, Nullable<long>> bytesRange
)
Public Sub New (
    fileEntry As IFileEntry,
    ifModifiedSince As Nullable(Of DateTime),
    bytesRange As Pair(Of Nullable(Of Long), Nullable(Of Long))
)
public:
FileEntryResult(
    IFileEntry^ fileEntry,
    Nullable<DateTime> ifModifiedSince,
    Pair<Nullable<long long>, Nullable<long long>> bytesRange
)
new :
        fileEntry : IFileEntry *
        ifModifiedSince : Nullable<DateTime> *
        bytesRange : Pair<Nullable<int64>, Nullable<int64>> -> FileEntryResult

Parameters

fileEntry
Type: ZKWeb.StorageIFileEntry
File entry
ifModifiedSince
Type: SystemNullable DateTime
Cached modify time received from client
bytesRange
Type: ZKWebStandard.CollectionsPair Nullable Int64 , Nullable Int64
Range request in bytes
See Also

Reference

FileEntryResult Class
FileEntryResult Overload
ZKWeb.Web.ActionResults Namespace


FileEntryResult Properties

The FileEntryResult type exposes the following members.

Properties
 | Name | Description
Public property | BytesRange | Range request in bytes 客户端要求的内容范围
Public property | ContentType | Content Type The default will be detected from the file extension 内容类型 默认会从文件后缀名检测
Public property | FileEntry | File path 文件路径
Public property | IfModifiedSince | Cached modify time received from client 客户端缓存的内容的修改时间
Top
See Also

Reference

FileEntryResult Class
ZKWeb.Web.ActionResults Namespace


FileEntryResult.BytesRange Property

FileEntryResultBytesRange Property

Range request in bytes
客户端要求的内容范围

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Pair<Nullable<long>, Nullable<long>> BytesRange { get; set; }
Public Property BytesRange As Pair(Of Nullable(Of Long), Nullable(Of Long))
    Get
    Set
public:
property Pair<Nullable<long long>, Nullable<long long>> BytesRange {
    Pair<Nullable<long long>, Nullable<long long>> get ();
    void set (Pair<Nullable<long long>, Nullable<long long>> value);
}
member BytesRange : Pair<Nullable<int64>, Nullable<int64>> with get, set

Property Value

Type: Pair Nullable Int64 , Nullable Int64
See Also

Reference

FileEntryResult Class
ZKWeb.Web.ActionResults Namespace


FileEntryResult.ContentType Property

FileEntryResultContentType Property

Content Type
The default will be detected from the file extension
内容类型
默认会从文件后缀名检测

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; set; }
Public Property ContentType As String
    Get
    Set
public:
property String^ ContentType {
    String^ get ();
    void set (String^ value);
}
member ContentType : string with get, set

Property Value

Type: String
See Also

Reference

FileEntryResult Class
ZKWeb.Web.ActionResults Namespace


FileEntryResult.FileEntry Property

FileEntryResultFileEntry Property

File path
文件路径

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IFileEntry FileEntry { get; set; }
Public Property FileEntry As IFileEntry
    Get
    Set
public:
property IFileEntry^ FileEntry {
    IFileEntry^ get ();
    void set (IFileEntry^ value);
}
member FileEntry : IFileEntry with get, set

Property Value

Type: IFileEntry
See Also

Reference

FileEntryResult Class
ZKWeb.Web.ActionResults Namespace


FileEntryResult.IfModifiedSince Property

FileEntryResultIfModifiedSince Property

Cached modify time received from client
客户端缓存的内容的修改时间

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<DateTime> IfModifiedSince { get; set; }
Public Property IfModifiedSince As Nullable(Of DateTime)
    Get
    Set
public:
property Nullable<DateTime> IfModifiedSince {
    Nullable<DateTime> get ();
    void set (Nullable<DateTime> value);
}
member IfModifiedSince : Nullable<DateTime> with get, set

Property Value

Type: Nullable DateTime
See Also

Reference

FileEntryResult Class
ZKWeb.Web.ActionResults Namespace


FileEntryResult Methods

The FileEntryResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | Write file to http response Return 304 If the file is not modified after the client caches it 写入文件到http回应 如果文件与客户端缓存的内容一致则返回304
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

FileEntryResult Class
ZKWeb.Web.ActionResults Namespace


FileEntryResult.WriteResponse Method

FileEntryResultWriteResponse Method

Write file to http response
Return 304 If the file is not modified after the client caches it
写入文件到http回应
如果文件与客户端缓存的内容一致则返回304

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http Reponse

Implements

IActionResultWriteResponse(IHttpResponse)
See Also

Reference

FileEntryResult Class
ZKWeb.Web.ActionResults Namespace


FileResult Class

Note: This API is now obsolete.

File result
文件结果, 此类已经过时, 请使用FileEntryResult
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionResultsFileResult

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("Please use FileEntryResult")]
public class FileResult : IActionResult
<ObsoleteAttribute("Please use FileEntryResult")>
Public Class FileResult
    Implements IActionResult
[ObsoleteAttribute(L"Please use FileEntryResult")]
public ref class FileResult : IActionResult
[<ObsoleteAttribute("Please use FileEntryResult")>]
type FileResult =
    class
        interface IActionResult
    end

The FileResult type exposes the following members.

Constructors
 | Name | Description
Public method | FileResult | Initialize 初始化
Top
Properties
 | Name | Description
Public property | FilePath | File path 文件路径
Public property | IfModifiedSince | Cached modify time received from client 客户端缓存的内容的修改时间
Top
Methods
 | Name | Description
Public method | WriteResponse | Write file to http response Return 304 If the file is not modified after the client caches it 写入文件到http回应 如果文件与客户端缓存的内容一致则返回304
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Web.ActionResults Namespace


FileResult Constructor

Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FileResult(
    string path,
    Nullable<DateTime> ifModifiedSince = null
)
Public Sub New (
    path As String,
    Optional ifModifiedSince As Nullable(Of DateTime) = Nothing
)
public:
FileResult(
    String^ path,
    Nullable<DateTime> ifModifiedSince = nullptr
)
new :
        path : string *
        ?ifModifiedSince : Nullable<DateTime>
(* Defaults:
        let _ifModifiedSince = defaultArg ifModifiedSince null
*)
-> FileResult

Parameters

path
Type: SystemString
File path
ifModifiedSince (Optional)
Type: SystemNullable DateTime
Cached modify time received from client
See Also

Reference

FileResult Class
ZKWeb.Web.ActionResults Namespace


FileResult Properties

The FileResult type exposes the following members.

Properties
 | Name | Description
Public property | FilePath | File path 文件路径
Public property | IfModifiedSince | Cached modify time received from client 客户端缓存的内容的修改时间
Top
See Also

Reference

FileResult Class
ZKWeb.Web.ActionResults Namespace


FileResult.FilePath Property

FileResultFilePath Property

File path
文件路径

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string FilePath { get; set; }
Public Property FilePath As String
    Get
    Set
public:
property String^ FilePath {
    String^ get ();
    void set (String^ value);
}
member FilePath : string with get, set

Property Value

Type: String
See Also

Reference

FileResult Class
ZKWeb.Web.ActionResults Namespace


FileResult.IfModifiedSince Property

FileResultIfModifiedSince Property

Cached modify time received from client
客户端缓存的内容的修改时间

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<DateTime> IfModifiedSince { get; set; }
Public Property IfModifiedSince As Nullable(Of DateTime)
    Get
    Set
public:
property Nullable<DateTime> IfModifiedSince {
    Nullable<DateTime> get ();
    void set (Nullable<DateTime> value);
}
member IfModifiedSince : Nullable<DateTime> with get, set

Property Value

Type: Nullable DateTime
See Also

Reference

FileResult Class
ZKWeb.Web.ActionResults Namespace


FileResult Methods

The FileResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | Write file to http response Return 304 If the file is not modified after the client caches it 写入文件到http回应 如果文件与客户端缓存的内容一致则返回304
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

FileResult Class
ZKWeb.Web.ActionResults Namespace


FileResult.WriteResponse Method

FileResultWriteResponse Method

Write file to http response
Return 304 If the file is not modified after the client caches it
写入文件到http回应
如果文件与客户端缓存的内容一致则返回304

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http Reponse

Implements

IActionResultWriteResponse(IHttpResponse)
See Also

Reference

FileResult Class
ZKWeb.Web.ActionResults Namespace


ImageResult Class
Write image data to response
写入图片数据到回应
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionResultsImageResult

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ImageResult : IActionResult,
    IDisposable
Public Class ImageResult
    Implements IActionResult, IDisposable
public ref class ImageResult : IActionResult,
    IDisposable
type ImageResult =
    class
        interface IActionResult
        interface IDisposable
    end

The ImageResult type exposes the following members.

Constructors
 | Name | Description
Public method | ImageResult | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Format | Image format 图片格式
Public property | Image | Image object 图片对象
Top
Methods
 | Name | Description
Public method | Dispose | Clear resources 清理资源
Public method | WriteResponse | Write image to http response 写入图片到Http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
public ExampleController : IController {
    [Action("example")]
    public IActionResult Example() {
        var image = Image.FromFile("c:\\1.jpg");
        return new ImageResult(image);
    }
}
See Also

Reference

ZKWeb.Web.ActionResults Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


ImageResult Constructor

Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ImageResult(
    Image image,
    ImageFormat format = null
)
Public Sub New (
    image As Image,
    Optional format As ImageFormat = Nothing
)
public:
ImageResult(
    Image^ image,
    ImageFormat^ format = nullptr
)
new :
        image : Image *
        ?format : ImageFormat
(* Defaults:
        let _format = defaultArg format null
*)
-> ImageResult

Parameters

image
Type: Image
Image object
format (Optional)
Type: ImageFormat
Image format, default is Jpeg
See Also

Reference

ImageResult Class
ZKWeb.Web.ActionResults Namespace


ImageResult Properties

The ImageResult type exposes the following members.

Properties
 | Name | Description
Public property | Format | Image format 图片格式
Public property | Image | Image object 图片对象
Top
See Also

Reference

ImageResult Class
ZKWeb.Web.ActionResults Namespace


ImageResult.Format Property

ImageResultFormat Property

Image format
图片格式

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ImageFormat Format { get; set; }
Public Property Format As ImageFormat
    Get
    Set
public:
property ImageFormat^ Format {
    ImageFormat^ get ();
    void set (ImageFormat^ value);
}
member Format : ImageFormat with get, set

Property Value

Type: ImageFormat
See Also

Reference

ImageResult Class
ZKWeb.Web.ActionResults Namespace


ImageResult.Image Property

ImageResultImage Property

Image object
图片对象

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Image Image { get; set; }
Public Property Image As Image
    Get
    Set
public:
property Image^ Image {
    Image^ get ();
    void set (Image^ value);
}
member Image : Image with get, set

Property Value

Type: Image
See Also

Reference

ImageResult Class
ZKWeb.Web.ActionResults Namespace


ImageResult Methods

The ImageResult type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Clear resources 清理资源
Public method | WriteResponse | Write image to http response 写入图片到Http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ImageResult Class
ZKWeb.Web.ActionResults Namespace


ImageResult.Dispose Method

ImageResultDispose Method

Clear resources
清理资源

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

ImageResult Class
ZKWeb.Web.ActionResults Namespace


ImageResult.WriteResponse Method

ImageResultWriteResponse Method

Write image to http response
写入图片到Http回应

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http回应

Implements

IActionResultWriteResponse(IHttpResponse)
See Also

Reference

ImageResult Class
ZKWeb.Web.ActionResults Namespace


JsonResult Class
Write json to response
写入Json到回应
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionResultsJsonResult

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class JsonResult : IActionResult
Public Class JsonResult
    Implements IActionResult
public ref class JsonResult : IActionResult
type JsonResult =
    class
        interface IActionResult
    end

The JsonResult type exposes the following members.

Constructors
 | Name | Description
Public method | JsonResult | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ContentType | Content Type Default is "application/json; charset=utf-8" 内容类型 默认是"application/json; charset=utf-8"
Public property | Object | The object serialize to json 序列化到json的对象
Public property | SerializeFormatting | Serialize formatting 序列化格式
Top
Methods
 | Name | Description
Public method | WriteResponse | Write json to http response 写入json到http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
public ExampleController : IController {
    [Action("example")]
    public IActionResult Example() {
        return new JsonResult(new { a = 100 });
    }
}
See Also

Reference

ZKWeb.Web.ActionResults Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


JsonResult Constructor

Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public JsonResult(
    Object obj,
    Formatting formatting = Formatting.None
)
Public Sub New (
    obj As Object,
    Optional formatting As Formatting = Formatting.None
)
public:
JsonResult(
    Object^ obj,
    Formatting formatting = Formatting::None
)
new :
        obj : Object *
        ?formatting : Formatting
(* Defaults:
        let _formatting = defaultArg formatting Formatting.None
*)
-> JsonResult

Parameters

obj
Type: SystemObject
The object serialize to json
formatting (Optional)
Type: Formatting
Serialize formatting
See Also

Reference

JsonResult Class
ZKWeb.Web.ActionResults Namespace


JsonResult Properties

The JsonResult type exposes the following members.

Properties
 | Name | Description
Public property | ContentType | Content Type Default is "application/json; charset=utf-8" 内容类型 默认是"application/json; charset=utf-8"
Public property | Object | The object serialize to json 序列化到json的对象
Public property | SerializeFormatting | Serialize formatting 序列化格式
Top
See Also

Reference

JsonResult Class
ZKWeb.Web.ActionResults Namespace


JsonResult.ContentType Property

JsonResultContentType Property

Content Type Default is "application/json; charset=utf-8"
内容类型
默认是"application/json; charset=utf-8"

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; set; }
Public Property ContentType As String
    Get
    Set
public:
property String^ ContentType {
    String^ get ();
    void set (String^ value);
}
member ContentType : string with get, set

Property Value

Type: String
See Also

Reference

JsonResult Class
ZKWeb.Web.ActionResults Namespace


JsonResult.Object Property

JsonResultObject Property

The object serialize to json
序列化到json的对象

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Object { get; set; }
Public Property Object As Object
    Get
    Set
public:
property Object^ Object {
    Object^ get ();
    void set (Object^ value);
}
member Object : Object with get, set

Property Value

Type: Object
See Also

Reference

JsonResult Class
ZKWeb.Web.ActionResults Namespace


JsonResult.SerializeFormatting Property

JsonResultSerializeFormatting Property

Serialize formatting
序列化格式

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Formatting SerializeFormatting { get; set; }
Public Property SerializeFormatting As Formatting
    Get
    Set
public:
property Formatting SerializeFormatting {
    Formatting get ();
    void set (Formatting value);
}
member SerializeFormatting : Formatting with get, set

Property Value

Type: Formatting
See Also

Reference

JsonResult Class
ZKWeb.Web.ActionResults Namespace


JsonResult Methods

The JsonResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | Write json to http response 写入json到http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

JsonResult Class
ZKWeb.Web.ActionResults Namespace


JsonResult.WriteResponse Method

JsonResultWriteResponse Method

Write json to http response
写入json到http回应

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response

Implements

IActionResultWriteResponse(IHttpResponse)
See Also

Reference

JsonResult Class
ZKWeb.Web.ActionResults Namespace


PlainResult Class
Write plain test to response
写入文本到回应
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionResultsPlainResult

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class PlainResult : IActionResult
Public Class PlainResult
    Implements IActionResult
public ref class PlainResult : IActionResult
type PlainResult =
    class
        interface IActionResult
    end

The PlainResult type exposes the following members.

Constructors
 | Name | Description
Public method | PlainResult | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ContentType | Content Type Default is "text/plain; charset=utf-8" 内容类型 默认是"text/plain; charset=utf-8"
Public property | Text | The text 文本
Top
Methods
 | Name | Description
Public method | WriteResponse | Write text to http response 写入文本到http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
public ExampleController : IController {
    [Action("example")]
    public IActionResult Example() {
        return new PlainResult("abc");
    }
}
See Also

Reference

ZKWeb.Web.ActionResults Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


PlainResult Constructor

Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PlainResult(
    Object obj
)
Public Sub New (
    obj As Object
)
public:
PlainResult(
    Object^ obj
)
new :
        obj : Object -> PlainResult

Parameters

obj
Type: SystemObject
It will call ToString to get the text form this object
See Also

Reference

PlainResult Class
ZKWeb.Web.ActionResults Namespace


PlainResult Properties

The PlainResult type exposes the following members.

Properties
 | Name | Description
Public property | ContentType | Content Type Default is "text/plain; charset=utf-8" 内容类型 默认是"text/plain; charset=utf-8"
Public property | Text | The text 文本
Top
See Also

Reference

PlainResult Class
ZKWeb.Web.ActionResults Namespace


PlainResult.ContentType Property

PlainResultContentType Property

Content Type
Default is "text/plain; charset=utf-8"
内容类型
默认是"text/plain; charset=utf-8"

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; set; }
Public Property ContentType As String
    Get
    Set
public:
property String^ ContentType {
    String^ get ();
    void set (String^ value);
}
member ContentType : string with get, set

Property Value

Type: String
See Also

Reference

PlainResult Class
ZKWeb.Web.ActionResults Namespace


PlainResult.Text Property

PlainResultText Property

The text
文本

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Text { get; set; }
Public Property Text As String
    Get
    Set
public:
property String^ Text {
    String^ get ();
    void set (String^ value);
}
member Text : string with get, set

Property Value

Type: String
See Also

Reference

PlainResult Class
ZKWeb.Web.ActionResults Namespace


PlainResult Methods

The PlainResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | Write text to http response 写入文本到http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PlainResult Class
ZKWeb.Web.ActionResults Namespace


PlainResult.WriteResponse Method

PlainResultWriteResponse Method

Write text to http response
写入文本到http回应

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response

Implements

IActionResultWriteResponse(IHttpResponse)
See Also

Reference

PlainResult Class
ZKWeb.Web.ActionResults Namespace


RedirectResult Class
Redirect to other url
重定向到其他Url
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionResultsRedirectResult

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class RedirectResult : IActionResult
Public Class RedirectResult
    Implements IActionResult
public ref class RedirectResult : IActionResult
type RedirectResult =
    class
        interface IActionResult
    end

The RedirectResult type exposes the following members.

Constructors
 | Name | Description
Public method | RedirectResult | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Permanent | Is permanent, affect robot from search engine 是否永久重定向, 影响搜索引擎的蜘蛛
Public property | Url | Redirect to url 重定向到的Url
Top
Methods
 | Name | Description
Public method | WriteResponse | Send redirect response 发送重定向回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
public ExampleController : IController {
    [Action("example")]
    public IActionResult Example() {
        return new RedirectResult("/login");
    }
}
See Also

Reference

ZKWeb.Web.ActionResults Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


RedirectResult Constructor

Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public RedirectResult(
    string url,
    bool permanent = false
)
Public Sub New (
    url As String,
    Optional permanent As Boolean = false
)
public:
RedirectResult(
    String^ url,
    bool permanent = false
)
new :
        url : string *
        ?permanent : bool
(* Defaults:
        let _permanent = defaultArg permanent false
*)
-> RedirectResult

Parameters

url
Type: SystemString
Redirect to url
permanent (Optional)
Type: SystemBoolean
Is permanent
See Also

Reference

RedirectResult Class
ZKWeb.Web.ActionResults Namespace


RedirectResult Properties

The RedirectResult type exposes the following members.

Properties
 | Name | Description
Public property | Permanent | Is permanent, affect robot from search engine 是否永久重定向, 影响搜索引擎的蜘蛛
Public property | Url | Redirect to url 重定向到的Url
Top
See Also

Reference

RedirectResult Class
ZKWeb.Web.ActionResults Namespace


RedirectResult.Permanent Property

RedirectResultPermanent Property

Is permanent, affect robot from search engine
是否永久重定向, 影响搜索引擎的蜘蛛

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool Permanent { get; set; }
Public Property Permanent As Boolean
    Get
    Set
public:
property bool Permanent {
    bool get ();
    void set (bool value);
}
member Permanent : bool with get, set

Property Value

Type: Boolean
See Also

Reference

RedirectResult Class
ZKWeb.Web.ActionResults Namespace


RedirectResult.Url Property

RedirectResultUrl Property

Redirect to url
重定向到的Url

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Url { get; set; }
Public Property Url As String
    Get
    Set
public:
property String^ Url {
    String^ get ();
    void set (String^ value);
}
member Url : string with get, set

Property Value

Type: String
See Also

Reference

RedirectResult Class
ZKWeb.Web.ActionResults Namespace


RedirectResult Methods

The RedirectResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | Send redirect response 发送重定向回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

RedirectResult Class
ZKWeb.Web.ActionResults Namespace


RedirectResult.WriteResponse Method

RedirectResultWriteResponse Method

Send redirect response
发送重定向回应

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response

Implements

IActionResultWriteResponse(IHttpResponse)
See Also

Reference

RedirectResult Class
ZKWeb.Web.ActionResults Namespace


StreamResult Class
Write contents from stream to response
从数据流读取内容并写入到回应
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionResultsStreamResult

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class StreamResult : IActionResult,
    IDisposable
Public Class StreamResult
    Implements IActionResult, IDisposable
public ref class StreamResult : IActionResult,
    IDisposable
type StreamResult =
    class
        interface IActionResult
        interface IDisposable
    end

The StreamResult type exposes the following members.

Constructors
 | Name | Description
Public method | StreamResult(Stream) | Initialize 初始化
Public method | StreamResult(Stream, String) | Initialize 初始化
Public method | StreamResult(Stream, PairNullableInt64, NullableInt64) | Initialize 初始化
Public method | StreamResult(Stream, String, PairNullableInt64, NullableInt64) | Initialize 初始化
Top
Properties
 | Name | Description
Public property | BytesRange | Range request in bytes 要求返回的内容范围
Public property | ContentType | Mime type MIME类型
Public property | Stream | Stream object, auto dispose after wrote to response 数据流对象, 自动销毁
Top
Methods
 | Name | Description
Public method | Dispose | Dispose stream 释放数据流
Public method | WriteResponse | Write contents from stream to http response 从数据流读取内容并写入到http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
public ExampleController : IController {
    [Action("example")]
    public IActionResult Example() {
        var stream = new MemoryStream(new byte[] { 1, 2, 3 });
        return new StreamResult(stream);
    }
}
See Also

Reference

ZKWeb.Web.ActionResults Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


StreamResult Constructor

Overload List
 | Name | Description
Public method | StreamResult(Stream) | Initialize 初始化
Public method | StreamResult(Stream, String) | Initialize 初始化
Public method | StreamResult(Stream, PairNullableInt64, NullableInt64) | Initialize 初始化
Public method | StreamResult(Stream, String, PairNullableInt64, NullableInt64) | Initialize 初始化
Top
See Also

Reference

StreamResult Class
ZKWeb.Web.ActionResults Namespace


StreamResult Constructor (Stream)
Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public StreamResult(
    Stream stream
)
Public Sub New (
    stream As Stream
)
public:
StreamResult(
    Stream^ stream
)
new :
        stream : Stream -> StreamResult

Parameters

stream
Type: System.IOStream
The stream
See Also

Reference

StreamResult Class
StreamResult Overload
ZKWeb.Web.ActionResults Namespace


StreamResult Constructor (Stream, String)
Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public StreamResult(
    Stream stream,
    string contentType
)
Public Sub New (
    stream As Stream,
    contentType As String
)
public:
StreamResult(
    Stream^ stream,
    String^ contentType
)
new :
        stream : Stream *
        contentType : string -> StreamResult

Parameters

stream
Type: System.IOStream
The stream
contentType
Type: SystemString
Mime type
See Also

Reference

StreamResult Class
StreamResult Overload
ZKWeb.Web.ActionResults Namespace


StreamResult Constructor (Stream, Pair(Nullable(Int64), Nullable(Int64)))

StreamResult Constructor (Stream, PairNullableInt64, NullableInt64)
Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public StreamResult(
    Stream stream,
    Pair<Nullable<long>, Nullable<long>> bytesRange
)
Public Sub New (
    stream As Stream,
    bytesRange As Pair(Of Nullable(Of Long), Nullable(Of Long))
)
public:
StreamResult(
    Stream^ stream,
    Pair<Nullable<long long>, Nullable<long long>> bytesRange
)
new :
        stream : Stream *
        bytesRange : Pair<Nullable<int64>, Nullable<int64>> -> StreamResult

Parameters

stream
Type: System.IOStream
The stream
bytesRange
Type: ZKWebStandard.CollectionsPair Nullable Int64 , Nullable Int64
Range request in bytes
See Also

Reference

StreamResult Class
StreamResult Overload
ZKWeb.Web.ActionResults Namespace


StreamResult Constructor (Stream, String, Pair(Nullable(Int64), Nullable(Int64)))

StreamResult Constructor (Stream, String, PairNullableInt64, NullableInt64)
Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public StreamResult(
    Stream stream,
    string contentType,
    Pair<Nullable<long>, Nullable<long>> bytesRange
)
Public Sub New (
    stream As Stream,
    contentType As String,
    bytesRange As Pair(Of Nullable(Of Long), Nullable(Of Long))
)
public:
StreamResult(
    Stream^ stream,
    String^ contentType,
    Pair<Nullable<long long>, Nullable<long long>> bytesRange
)
new :
        stream : Stream *
        contentType : string *
        bytesRange : Pair<Nullable<int64>, Nullable<int64>> -> StreamResult

Parameters

stream
Type: System.IOStream
The stream
contentType
Type: SystemString
Mime type
bytesRange
Type: ZKWebStandard.CollectionsPair Nullable Int64 , Nullable Int64
Range request in bytes
See Also

Reference

StreamResult Class
StreamResult Overload
ZKWeb.Web.ActionResults Namespace


StreamResult Properties

The StreamResult type exposes the following members.

Properties
 | Name | Description
Public property | BytesRange | Range request in bytes 要求返回的内容范围
Public property | ContentType | Mime type MIME类型
Public property | Stream | Stream object, auto dispose after wrote to response 数据流对象, 自动销毁
Top
See Also

Reference

StreamResult Class
ZKWeb.Web.ActionResults Namespace


StreamResult.BytesRange Property

StreamResultBytesRange Property

Range request in bytes
要求返回的内容范围

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Pair<Nullable<long>, Nullable<long>> BytesRange { get; set; }
Public Property BytesRange As Pair(Of Nullable(Of Long), Nullable(Of Long))
    Get
    Set
public:
property Pair<Nullable<long long>, Nullable<long long>> BytesRange {
    Pair<Nullable<long long>, Nullable<long long>> get ();
    void set (Pair<Nullable<long long>, Nullable<long long>> value);
}
member BytesRange : Pair<Nullable<int64>, Nullable<int64>> with get, set

Property Value

Type: Pair Nullable Int64 , Nullable Int64
See Also

Reference

StreamResult Class
ZKWeb.Web.ActionResults Namespace


StreamResult.ContentType Property

StreamResultContentType Property

Mime type
MIME类型

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; set; }
Public Property ContentType As String
    Get
    Set
public:
property String^ ContentType {
    String^ get ();
    void set (String^ value);
}
member ContentType : string with get, set

Property Value

Type: String
See Also

Reference

StreamResult Class
ZKWeb.Web.ActionResults Namespace


StreamResult.Stream Property

StreamResultStream Property

Stream object, auto dispose after wrote to response
数据流对象, 自动销毁

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream Stream { get; set; }
Public Property Stream As Stream
    Get
    Set
public:
property Stream^ Stream {
    Stream^ get ();
    void set (Stream^ value);
}
member Stream : Stream with get, set

Property Value

Type: Stream
See Also

Reference

StreamResult Class
ZKWeb.Web.ActionResults Namespace


StreamResult Methods

The StreamResult type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Dispose stream 释放数据流
Public method | WriteResponse | Write contents from stream to http response 从数据流读取内容并写入到http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

StreamResult Class
ZKWeb.Web.ActionResults Namespace


StreamResult.Dispose Method

StreamResultDispose Method

Dispose stream
释放数据流

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

StreamResult Class
ZKWeb.Web.ActionResults Namespace


StreamResult.WriteResponse Method

StreamResultWriteResponse Method

Write contents from stream to http response
从数据流读取内容并写入到http回应

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response

Implements

IActionResultWriteResponse(IHttpResponse)
See Also

Reference

StreamResult Class
ZKWeb.Web.ActionResults Namespace


TemplateResult Class
Render template to response
描画模板到回应
Inheritance Hierarchy
SystemObject
ZKWeb.Web.ActionResultsTemplateResult

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TemplateResult : IActionResult
Public Class TemplateResult
    Implements IActionResult
public ref class TemplateResult : IActionResult
type TemplateResult =
    class
        interface IActionResult
    end

The TemplateResult type exposes the following members.

Constructors
 | Name | Description
Public method | TemplateResult | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ContentType | Content Type Default is "text/html; charset=utf-8" 内容类型 默认是 "text/html; charset=utf-8"
Public property | TemplateArgument | Template arguments Can be anonymous object or IDictionary<string, object> 模板参数 可以是匿名对象或者IDictionary<string, object>
Public property | TemplatePath | Template path Eg: "test/test.html", "Common.Base:test/test.html" 模板路径 例如: "test/test.html", "Common.Base:test/test.html"
Top
Methods
 | Name | Description
Public method | WriteResponse | Render template to http response 描画模板到http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
public ExampleController : IController {
    [Action("example")]
    public IActionResult Example() {
        return new TemplateResult("index.html", new { a = 123 });
    }
}
See Also

Reference

ZKWeb.Web.ActionResults Namespace
ZKWeb.WebControllerManager
ZKWeb.WebIController


TemplateResult Constructor

Initialize
初始化

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TemplateResult(
    string path,
    Object argument = null
)
Public Sub New (
    path As String,
    Optional argument As Object = Nothing
)
public:
TemplateResult(
    String^ path,
    Object^ argument = nullptr
)
new :
        path : string *
        ?argument : Object
(* Defaults:
        let _argument = defaultArg argument null
*)
-> TemplateResult

Parameters

path
Type: SystemString
Template path
argument (Optional)
Type: SystemObject
Template arguments
See Also

Reference

TemplateResult Class
ZKWeb.Web.ActionResults Namespace


TemplateResult Properties

The TemplateResult type exposes the following members.

Properties
 | Name | Description
Public property | ContentType | Content Type Default is "text/html; charset=utf-8" 内容类型 默认是 "text/html; charset=utf-8"
Public property | TemplateArgument | Template arguments Can be anonymous object or IDictionary<string, object> 模板参数 可以是匿名对象或者IDictionary<string, object>
Public property | TemplatePath | Template path Eg: "test/test.html", "Common.Base:test/test.html" 模板路径 例如: "test/test.html", "Common.Base:test/test.html"
Top
See Also

Reference

TemplateResult Class
ZKWeb.Web.ActionResults Namespace


TemplateResult.ContentType Property

TemplateResultContentType Property

Content Type
Default is "text/html; charset=utf-8"
内容类型
默认是 "text/html; charset=utf-8"

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; set; }
Public Property ContentType As String
    Get
    Set
public:
property String^ ContentType {
    String^ get ();
    void set (String^ value);
}
member ContentType : string with get, set

Property Value

Type: String
See Also

Reference

TemplateResult Class
ZKWeb.Web.ActionResults Namespace


TemplateResult.TemplateArgument Property

TemplateResultTemplateArgument Property

Template arguments
Can be anonymous object or IDictionary<string, object>
模板参数
可以是匿名对象或者IDictionary<string, object>

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object TemplateArgument { get; set; }
Public Property TemplateArgument As Object
    Get
    Set
public:
property Object^ TemplateArgument {
    Object^ get ();
    void set (Object^ value);
}
member TemplateArgument : Object with get, set

Property Value

Type: Object
See Also

Reference

TemplateResult Class
ZKWeb.Web.ActionResults Namespace


TemplateResult.TemplatePath Property

TemplateResultTemplatePath Property

Template path
Eg: "test/test.html", "Common.Base:test/test.html"
模板路径
例如: "test/test.html", "Common.Base:test/test.html"

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string TemplatePath { get; set; }
Public Property TemplatePath As String
    Get
    Set
public:
property String^ TemplatePath {
    String^ get ();
    void set (String^ value);
}
member TemplatePath : string with get, set

Property Value

Type: String
See Also

Reference

TemplateResult Class
ZKWeb.Web.ActionResults Namespace


TemplateResult Methods

The TemplateResult type exposes the following members.

Methods
 | Name | Description
Public method | WriteResponse | Render template to http response 描画模板到http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TemplateResult Class
ZKWeb.Web.ActionResults Namespace


TemplateResult.WriteResponse Method

TemplateResultWriteResponse Method

Render template to http response
描画模板到http回应

Namespace: ZKWeb.Web.ActionResults
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteResponse(
    IHttpResponse response
)
Public Sub WriteResponse (
    response As IHttpResponse
)
public:
virtual void WriteResponse(
    IHttpResponse^ response
) sealed
abstract WriteResponse :
        response : IHttpResponse -> unit
override WriteResponse :
        response : IHttpResponse -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response

Implements

IActionResultWriteResponse(IHttpResponse)
See Also

Reference

TemplateResult Class
ZKWeb.Web.ActionResults Namespace


ZKWeb.Web.HttpRequestHandlers Namespace

[Missing <summary> documentation for "N:ZKWeb.Web.HttpRequestHandlers"]

Classes
 | Class | Description
Public class | AddVersionHeaderHandler | Add zkweb version header to http response 添加ZKWeb版本标识到Http回应
Public class | DefaultErrorHandler | Default error handler 默认的错误处理器


AddVersionHeaderHandler Class
Add zkweb version header to http response
添加ZKWeb版本标识到Http回应
Inheritance Hierarchy
SystemObject
ZKWeb.Web.HttpRequestHandlersAddVersionHeaderHandler

Namespace: ZKWeb.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class AddVersionHeaderHandler : IHttpRequestPreHandler
Public Class AddVersionHeaderHandler
    Implements IHttpRequestPreHandler
public ref class AddVersionHeaderHandler : IHttpRequestPreHandler
type AddVersionHeaderHandler =
    class
        interface IHttpRequestPreHandler
    end

The AddVersionHeaderHandler type exposes the following members.

Constructors
 | Name | Description
Public method | AddVersionHeaderHandler | Initializes a new instance of the AddVersionHeaderHandler class
Top
Methods
 | Name | Description
Public method | OnRequest | Handle request 处理请求
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Web.HttpRequestHandlers Namespace
ZKWeb.WebIHttpRequestPreHandler


AddVersionHeaderHandler Constructor

Initializes a new instance of the AddVersionHeaderHandler class

Namespace: ZKWeb.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AddVersionHeaderHandler()
Public Sub New
public:
AddVersionHeaderHandler()
new : unit -> AddVersionHeaderHandler
See Also

Reference

AddVersionHeaderHandler Class
ZKWeb.Web.HttpRequestHandlers Namespace


AddVersionHeaderHandler Methods

The AddVersionHeaderHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnRequest | Handle request 处理请求
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AddVersionHeaderHandler Class
ZKWeb.Web.HttpRequestHandlers Namespace


AddVersionHeaderHandler.OnRequest Method

AddVersionHeaderHandlerOnRequest Method

Handle request
处理请求

Namespace: ZKWeb.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnRequest()
Public Sub OnRequest
public:
virtual void OnRequest() sealed
abstract OnRequest : unit -> unit
override OnRequest : unit -> unit

Implements

IHttpRequestPreHandlerOnRequest
See Also

Reference

AddVersionHeaderHandler Class
ZKWeb.Web.HttpRequestHandlers Namespace


DefaultErrorHandler Class
Default error handler
默认的错误处理器
Inheritance Hierarchy
SystemObject
ZKWeb.Web.HttpRequestHandlersDefaultErrorHandler

Namespace: ZKWeb.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DefaultErrorHandler : IHttpRequestErrorHandler
Public Class DefaultErrorHandler
    Implements IHttpRequestErrorHandler
public ref class DefaultErrorHandler : IHttpRequestErrorHandler
type DefaultErrorHandler =
    class
        interface IHttpRequestErrorHandler
    end

The DefaultErrorHandler type exposes the following members.

Constructors
 | Name | Description
Public method | DefaultErrorHandler | Initializes a new instance of the DefaultErrorHandler class
Top
Methods
 | Name | Description
Public method | OnError | Handler request error 处理请求错误
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWeb.Web.HttpRequestHandlers Namespace
ZKWeb.WebIHttpRequestErrorHandler


DefaultErrorHandler Constructor

Initializes a new instance of the DefaultErrorHandler class

Namespace: ZKWeb.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DefaultErrorHandler()
Public Sub New
public:
DefaultErrorHandler()
new : unit -> DefaultErrorHandler
See Also

Reference

DefaultErrorHandler Class
ZKWeb.Web.HttpRequestHandlers Namespace


DefaultErrorHandler Methods

The DefaultErrorHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnError | Handler request error 处理请求错误
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DefaultErrorHandler Class
ZKWeb.Web.HttpRequestHandlers Namespace


DefaultErrorHandler.OnError Method

DefaultErrorHandlerOnError Method

Handler request error
处理请求错误

Namespace: ZKWeb.Web.HttpRequestHandlers
Assembly: ZKWeb (in ZKWeb.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OnError(
    Exception ex
)
Public Sub OnError (
    ex As Exception
)
public:
virtual void OnError(
    Exception^ ex
) sealed
abstract OnError :
        ex : Exception -> unit
override OnError :
        ex : Exception -> unit

Parameters

ex
Type: SystemException

[Missing <param name="ex"/> documentation for "M:ZKWeb.Web.HttpRequestHandlers.DefaultErrorHandler.OnError(System.Exception)"]

Implements

IHttpRequestErrorHandlerOnError(Exception)
See Also

Reference

DefaultErrorHandler Class
ZKWeb.Web.HttpRequestHandlers Namespace


ZKWebStandard Namespaces

[Missing <summary> documentation for "G:ZKWebStandard"]

Namespaces
Namespace | Description
ZKWebStandard.Collection |
ZKWebStandard.Collections |
ZKWebStandard.Extensions |
ZKWebStandard.Ioc |
ZKWebStandard.Testing |
ZKWebStandard.Tests |
ZKWebStandard.Utils |
ZKWebStandard.Web |


ZKWebStandard.Collection Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Collection"]

Classes
Class | Description
HtmlString | Html string wrapper Html字符串的包装类


HtmlString Class
Html string wrapper
Html字符串的包装类
Inheritance Hierarchy
SystemObject
ZKWebStandard.CollectionHtmlString

Namespace: ZKWebStandard.Collection
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HtmlString
Public Class HtmlString
public ref class HtmlString
type HtmlString =  class end

The HtmlString type exposes the following members.

Constructors
 | Name | Description
Public method | HtmlString | Initialize with html string, no encoding occurred 以Html字符串初始化, 不进行编码
Top
Properties
 | Name | Description
Protected property | Value | Html string Html字符串
Top
Methods
 | Name | Description
Public method | Decode | Decode html string as text 解码Html字符串到字符串
 | Encode | Encode text as html string 编码字符串到Html字符串
Public method | ToString | Return html string 返回Html字符串 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var html = new HtmlString("<div></div>");
var rendered = (html is HtmlString) ? html.ToString() : HttpUtils.HtmlEncode(html);
See Also

Reference

ZKWebStandard.Collection Namespace


HtmlString Constructor

Initialize with html string, no encoding occurred
以Html字符串初始化, 不进行编码

Namespace: ZKWebStandard.Collection
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HtmlString(
    string value
)
Public Sub New (
    value As String
)
public:
HtmlString(
    String^ value
)
new :
        value : string -> HtmlString

Parameters

value
Type: SystemString
Html string
See Also

Reference

HtmlString Class
ZKWebStandard.Collection Namespace


HtmlString Properties

The HtmlString type exposes the following members.

Properties
 | Name | Description
Protected property | Value | Html string Html字符串
Top
See Also

Reference

HtmlString Class
ZKWebStandard.Collection Namespace


HtmlString.Value Property

HtmlStringValue Property

Html string
Html字符串

Namespace: ZKWebStandard.Collection
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected string Value { get; set; }
Protected Property Value As String
    Get
    Set
protected:
property String^ Value {
    String^ get ();
    void set (String^ value);
}
member Value : string with get, set

Property Value

Type: String
See Also

Reference

HtmlString Class
ZKWebStandard.Collection Namespace


HtmlString Methods

The HtmlString type exposes the following members.

Methods
 | Name | Description
Public method | Decode | Decode html string as text 解码Html字符串到字符串
 | Encode | Encode text as html string 编码字符串到Html字符串
Public method | ToString | Return html string 返回Html字符串 (Overrides ObjectToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HtmlString Class
ZKWebStandard.Collection Namespace


HtmlString.Decode Method

HtmlStringDecode Method

Decode html string as text
解码Html字符串到字符串

Namespace: ZKWebStandard.Collection
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Decode()
Public Function Decode As String
public:
String^ Decode()
member Decode : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Collection.HtmlString.Decode"]

See Also

Reference

HtmlString Class
ZKWebStandard.Collection Namespace


HtmlString.Encode Method

HtmlStringEncode Method

Encode text as html string
编码字符串到Html字符串

Namespace: ZKWebStandard.Collection
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static HtmlString Encode(
    string text
)
Public Shared Function Encode (
    text As String
) As HtmlString
public:
static HtmlString^ Encode(
    String^ text
)
static member Encode :
        text : string -> HtmlString

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:ZKWebStandard.Collection.HtmlString.Encode(System.String)"]

Return Value

Type: HtmlString

[Missing <returns> documentation for "M:ZKWebStandard.Collection.HtmlString.Encode(System.String)"]

See Also

Reference

HtmlString Class
ZKWebStandard.Collection Namespace


HtmlString.ToString Method

HtmlStringToString Method

Return html string
返回Html字符串

Namespace: ZKWebStandard.Collection
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Collection.HtmlString.ToString"]

See Also

Reference

HtmlString Class
ZKWebStandard.Collection Namespace


ZKWebStandard.Collections Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Collections"]

Classes
 | Class | Description
Public class | HttpContextCacheTKey, TValue | Key-value cache based on http context All cached value will be destroy after context end 基于Http上下文的键值缓存 所有缓存值都会随着上下文的结束销毁
Public class | LazyCache | LazyCache utility functions 懒缓存的工具函数
 | LazyCacheT | Lazy single object cache Support reset object and it's thread safe 单个值的懒缓存 支持重置对象并且它是线程安全的
 | MemoryCacheTKey, TValue | Key-value cache based on memory 基于内存的键值缓存
Public class | Pair | Pair type utility functions 对类型的工具函数
 | SimpleDisposable | Simple dispose object Execute the given method when disposed, The function will only be executed once 简单的可销毁对象 在销毁时执行指定的函数 函数只会被执行一次
Structures
Structure | Description
PairTFirst, TSecond | Pair type Why use it instead of Tuple: Tuple is class, not fast as struct for creating object Why use it instead of KeyValuePair: - KeyValuePair didn't override GetHashCode, - it will be very slow to use KeyValuePair for dictionary key 对类型 为什么用它替代Tuple: Tuple是类, 创建对象的速度比struct要慢 为什么用它替代KeyValuePair: - KeyValuePair未实现GetHashCode, - 因此在使用KeyValuePair作为词典键的时候会非常的慢
Interfaces
 | Interface | Description
Public interface | IKeyValueCacheTKey, TValue | Interface of key-value cache It should be thread safe 键值缓存的接口 它应该是线程安全的


HttpContextCache(TKey, TValue) Class

HttpContextCacheTKey, TValue Class
Key-value cache based on http context
All cached value will be destroy after context end
基于Http上下文的键值缓存
所有缓存值都会随着上下文的结束销毁
Inheritance Hierarchy
SystemObject
ZKWebStandard.CollectionsHttpContextCacheTKey, TValue

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HttpContextCache<TKey, TValue> : IKeyValueCache<TKey, TValue>

Public Class HttpContextCache(Of TKey, TValue)
    Implements IKeyValueCache(Of TKey, TValue)
generic<typename TKey, typename TValue>
public ref class HttpContextCache : IKeyValueCache<TKey, TValue>
type HttpContextCache<'TKey, 'TValue> =
    class
        interface IKeyValueCache<'TKey, 'TValue>
    end

Type Parameters

TKey
Key type
TValue
Value type

The HttpContextCacheTKey, TValue type exposes the following members.

Constructors
 | Name | Description
Public method | HttpContextCacheTKey, TValue | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ContextKey | Http context key Default is "HttpContextCache_" + random string Http上下文中的键 默认是"HttpContextCache_" + 随机字符串
Top
Methods
 | Name | Description
Public method | Clear | Clear all cached values 清理所有缓存值
Public method | Count | Count all cached values 返回缓存值的数量
Protected method | GetStorage | Get cache storage from http context Use normal dictionary because thread race is impossible 获取缓存的储存对象 使用普通的词典, 因为线程冲突不可能发生
Public method | Put | Put value to cache 插入值到缓存
Public method | Remove | Remove cached value 删除缓存值
Public method | TryGetValue | Try to get cached value Return false if no exist value or exist value expired 尝试从缓存获取值 如果值不存在或已过期则返回false
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue) Constructor

HttpContextCacheTKey, TValue Constructor

Initialize
初始化

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpContextCache()
Public Sub New
public:
HttpContextCache()
new : unit -> HttpContextCache
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue) Properties

HttpContextCacheTKey, TValue Properties

The HttpContextCacheTKey, TValue generic type exposes the following members.

Properties
 | Name | Description
Public property | ContextKey | Http context key Default is "HttpContextCache_" + random string Http上下文中的键 默认是"HttpContextCache_" + 随机字符串
Top
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue).ContextKey Property

HttpContextCacheTKey, TValueContextKey Property

Http context key
Default is "HttpContextCache_" + random string
Http上下文中的键
默认是"HttpContextCache_" + 随机字符串

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContextKey { get; set; }
Public Property ContextKey As String
    Get
    Set
public:
property String^ ContextKey {
    String^ get ();
    void set (String^ value);
}
member ContextKey : string with get, set

Property Value

Type: String
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue) Methods

HttpContextCacheTKey, TValue Methods

The HttpContextCacheTKey, TValue generic type exposes the following members.

Methods
 | Name | Description
Public method | Clear | Clear all cached values 清理所有缓存值
Public method | Count | Count all cached values 返回缓存值的数量
Protected method | GetStorage | Get cache storage from http context Use normal dictionary because thread race is impossible 获取缓存的储存对象 使用普通的词典, 因为线程冲突不可能发生
Public method | Put | Put value to cache 插入值到缓存
Public method | Remove | Remove cached value 删除缓存值
Public method | TryGetValue | Try to get cached value Return false if no exist value or exist value expired 尝试从缓存获取值 如果值不存在或已过期则返回false
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue).Clear Method

HttpContextCacheTKey, TValueClear Method

Clear all cached values
清理所有缓存值

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Clear()
Public Sub Clear
public:
virtual void Clear() sealed
abstract Clear : unit -> unit
override Clear : unit -> unit

Implements

IKeyValueCacheTKey, TValueClear
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue).Count Method

HttpContextCacheTKey, TValueCount Method

Count all cached values
返回缓存值的数量

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int Count()
Public Function Count As Integer
public:
virtual int Count() sealed
abstract Count : unit -> int
override Count : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Collections.HttpContextCache`2.Count"]

Implements

IKeyValueCacheTKey, TValueCount
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue).GetStorage Method

HttpContextCacheTKey, TValueGetStorage Method

Get cache storage from http context
Use normal dictionary because thread race is impossible
获取缓存的储存对象
使用普通的词典, 因为线程冲突不可能发生

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IDictionary<TKey, TValue> GetStorage()
Protected Function GetStorage As IDictionary(Of TKey, TValue)
protected:
IDictionary<TKey, TValue>^ GetStorage()
member GetStorage : unit -> IDictionary<'TKey, 'TValue>

Return Value

Type: IDictionary TKey, TValue

[Missing <returns> documentation for "M:ZKWebStandard.Collections.HttpContextCache`2.GetStorage"]

See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue).Put Method

HttpContextCacheTKey, TValuePut Method

Put value to cache
插入值到缓存

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Put(
    TKey key,
    TValue value,
    TimeSpan keepTime
)
Public Sub Put (
    key As TKey,
    value As TValue,
    keepTime As TimeSpan
)
public:
virtual void Put(
    TKey key,
    TValue value,
    TimeSpan keepTime
) sealed
abstract Put :
        key : 'TKey *
        value : 'TValue *
        keepTime : TimeSpan -> unit
override Put :
        key : 'TKey *
        value : 'TValue *
        keepTime : TimeSpan -> unit

Parameters

key
Type: TKey
Cache key
value
Type: TValue
Cache value
keepTime
Type: SystemTimeSpan
Keep time, not used

Implements

IKeyValueCacheTKey, TValuePut(TKey, TValue, TimeSpan)
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue).Remove Method

HttpContextCacheTKey, TValueRemove Method

Remove cached value
删除缓存值

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Remove(
    TKey key
)
Public Sub Remove (
    key As TKey
)
public:
virtual void Remove(
    TKey key
) sealed
abstract Remove :
        key : 'TKey -> unit
override Remove :
        key : 'TKey -> unit

Parameters

key
Type: TKey
Cache key

Implements

IKeyValueCacheTKey, TValueRemove(TKey)
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


HttpContextCache(TKey, TValue).TryGetValue Method

HttpContextCacheTKey, TValueTryGetValue Method

Try to get cached value
Return false if no exist value or exist value expired
尝试从缓存获取值
如果值不存在或已过期则返回false

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool TryGetValue(
    TKey key,
    out TValue value
)
Public Function TryGetValue (
    key As TKey,
    <OutAttribute> ByRef value As TValue
) As Boolean
public:
virtual bool TryGetValue(
    TKey key,
    [OutAttribute] TValue% value
) sealed
abstract TryGetValue :
        key : 'TKey *
        value : 'TValue byref -> bool
override TryGetValue :
        key : 'TKey *
        value : 'TValue byref -> bool

Parameters

key
Type: TKey
Cache key
value
Type: TValue
Cache value

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Collections.HttpContextCache`2.TryGetValue(`0,`1@)"]

Implements

IKeyValueCacheTKey, TValueTryGetValue(TKey, TValue)
See Also

Reference

HttpContextCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


IKeyValueCache(TKey, TValue) Interface

IKeyValueCacheTKey, TValue Interface
Interface of key-value cache
It should be thread safe
键值缓存的接口
它应该是线程安全的

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IKeyValueCache<TKey, TValue>

Public Interface IKeyValueCache(Of TKey, TValue)
generic<typename TKey, typename TValue>
public interface class IKeyValueCache
type IKeyValueCache<'TKey, 'TValue> =  interface end

Type Parameters

TKey

[Missing <typeparam name="TKey"/> documentation for "T:ZKWebStandard.Collections.IKeyValueCache`2"]

TValue

[Missing <typeparam name="TValue"/> documentation for "T:ZKWebStandard.Collections.IKeyValueCache`2"]

The IKeyValueCacheTKey, TValue type exposes the following members.

Methods
 | Name | Description
Public method | Clear | Clear all cached values 删除所有缓存值
Public method | Count | Count all cached values 获取缓存值的数量
Public method | Put | Put value to cache 插入值到缓存
Public method | Remove | Remove cached value 删除已缓存的值
Public method | TryGetValue | Try to get cached value Return false if no exist value or exist value expired 尝试获取缓存制 如果值不存在或者已过期则返回false
Top
See Also

Reference

ZKWebStandard.Collections Namespace
ZKWebStandard.CollectionsMemoryCacheTKey, TValue


IKeyValueCache(TKey, TValue) Methods

IKeyValueCacheTKey, TValue Methods

The IKeyValueCacheTKey, TValue generic type exposes the following members.

Methods
 | Name | Description
Public method | Clear | Clear all cached values 删除所有缓存值
Public method | Count | Count all cached values 获取缓存值的数量
Public method | Put | Put value to cache 插入值到缓存
Public method | Remove | Remove cached value 删除已缓存的值
Public method | TryGetValue | Try to get cached value Return false if no exist value or exist value expired 尝试获取缓存制 如果值不存在或者已过期则返回false
Top
See Also

Reference

IKeyValueCacheTKey, TValue Interface
ZKWebStandard.Collections Namespace


IKeyValueCache(TKey, TValue).Clear Method

IKeyValueCacheTKey, TValueClear Method

Clear all cached values
删除所有缓存值

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Clear()
Sub Clear
void Clear()
abstract Clear : unit -> unit
See Also

Reference

IKeyValueCacheTKey, TValue Interface
ZKWebStandard.Collections Namespace


IKeyValueCache(TKey, TValue).Count Method

IKeyValueCacheTKey, TValueCount Method

Count all cached values
获取缓存值的数量

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
int Count()
Function Count As Integer
int Count()
abstract Count : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Collections.IKeyValueCache`2.Count"]

See Also

Reference

IKeyValueCacheTKey, TValue Interface
ZKWebStandard.Collections Namespace


IKeyValueCache(TKey, TValue).Put Method

IKeyValueCacheTKey, TValuePut Method

Put value to cache
插入值到缓存

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Put(
    TKey key,
    TValue value,
    TimeSpan keepTime
)
Sub Put (
    key As TKey,
    value As TValue,
    keepTime As TimeSpan
)
void Put(
    TKey key,
    TValue value,
    TimeSpan keepTime
)
abstract Put :
        key : 'TKey *
        value : 'TValue *
        keepTime : TimeSpan -> unit

Parameters

key
Type: TKey
Cache key
value
Type: TValue
Cache value
keepTime
Type: SystemTimeSpan
Keep time
See Also

Reference

IKeyValueCacheTKey, TValue Interface
ZKWebStandard.Collections Namespace


IKeyValueCache(TKey, TValue).Remove Method

IKeyValueCacheTKey, TValueRemove Method

Remove cached value
删除已缓存的值

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Remove(
    TKey key
)
Sub Remove (
    key As TKey
)
void Remove(
    TKey key
)
abstract Remove :
        key : 'TKey -> unit

Parameters

key
Type: TKey
Cache key
See Also

Reference

IKeyValueCacheTKey, TValue Interface
ZKWebStandard.Collections Namespace


IKeyValueCache(TKey, TValue).TryGetValue Method

IKeyValueCacheTKey, TValueTryGetValue Method

Try to get cached value
Return false if no exist value or exist value expired
尝试获取缓存制
如果值不存在或者已过期则返回false

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
bool TryGetValue(
    TKey key,
    out TValue value
)
Function TryGetValue (
    key As TKey,
    <OutAttribute> ByRef value As TValue
) As Boolean
bool TryGetValue(
    TKey key,
    [OutAttribute] TValue% value
)
abstract TryGetValue :
        key : 'TKey *
        value : 'TValue byref -> bool

Parameters

key
Type: TKey
Cache key
value
Type: TValue
Cache value

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Collections.IKeyValueCache`2.TryGetValue(`0,`1@)"]

See Also

Reference

IKeyValueCacheTKey, TValue Interface
ZKWebStandard.Collections Namespace


LazyCache Class
LazyCache utility functions
懒缓存的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.CollectionsLazyCache

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class LazyCache
Public NotInheritable Class LazyCache
public ref class LazyCache abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type LazyCache =  class end

The LazyCache type exposes the following members.

Methods
Name | Description
CreateT | Create a lazy cached object 创建懒缓存对象
Top
See Also

Reference

ZKWebStandard.Collections Namespace
ZKWebStandard.CollectionsLazyCacheT


LazyCache Methods

The LazyCache type exposes the following members.

Methods
Name | Description
CreateT | Create a lazy cached object 创建懒缓存对象
Top
See Also

Reference

LazyCache Class
ZKWebStandard.Collections Namespace


LazyCache.Create(T) Method

LazyCacheCreateT Method

Create a lazy cached object
创建懒缓存对象

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static LazyCache<T> Create<T>(
    Func<T> factory
)
where T : class

Public Shared Function Create(Of T As Class) (
    factory As Func(Of T)
) As LazyCache(Of T)
public:
generic<typename T>
where T : ref class
static LazyCache<T>^ Create(
    Func<T>^ factory
)
static member Create :
        factory : Func<'T> -> LazyCache<'T>  when 'T : not struct

Parameters

factory
Type: SystemFunc T
Object factory

Type Parameters

T
Object type

Return Value

Type: LazyCache T

[Missing <returns> documentation for "M:ZKWebStandard.Collections.LazyCache.Create``1(System.Func{``0})"]

See Also

Reference

LazyCache Class
ZKWebStandard.Collections Namespace


LazyCache(T) Class

LazyCacheT Class
Lazy single object cache
Support reset object and it's thread safe
单个值的懒缓存
支持重置对象并且它是线程安全的
Inheritance Hierarchy
SystemObject
ZKWebStandard.CollectionsLazyCacheT

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class LazyCache<T>
where T : class

Public Class LazyCache(Of T As Class)
generic<typename T>
where T : ref class
public ref class LazyCache
type LazyCache<'T when 'T : not struct> =  class end

Type Parameters

T
Object type

The LazyCacheT type exposes the following members.

Constructors
 | Name | Description
Public method | LazyCacheT | Initialize 初始化
Top
Properties
 | Name | Description
Public property | IsValueCreated | Determine object instance is created 检测对象是否已创建
Public property | Value | Get object instance, create it first if it's not created before 获取对象实例, 如果对象未创建则创建它
Top
Methods
 | Name | Description
Public method | Reset | Reset object instance Instance will be create again at the next time call "Value" 重置对象实例 下次调用"Value"属性时实例会被重新创建
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var cache = LazyCache.Create(() => { Console.WriteLine("create value"); return 123; });
var value = cache.Value;
cache.Reset();
var value = cache.Value;
See Also

Reference

ZKWebStandard.Collections Namespace
ZKWebStandard.CollectionsLazyCache


LazyCache(T) Constructor

LazyCacheT Constructor

Initialize
初始化

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LazyCache(
    Func<T> factory
)
Public Sub New (
    factory As Func(Of T)
)
public:
LazyCache(
    Func<T>^ factory
)
new :
        factory : Func<'T> -> LazyCache

Parameters

factory
Type: SystemFunc T
Object factory
See Also

Reference

LazyCacheT Class
ZKWebStandard.Collections Namespace


LazyCache(T) Properties

LazyCacheT Properties

The LazyCacheT generic type exposes the following members.

Properties
 | Name | Description
Public property | IsValueCreated | Determine object instance is created 检测对象是否已创建
Public property | Value | Get object instance, create it first if it's not created before 获取对象实例, 如果对象未创建则创建它
Top
See Also

Reference

LazyCacheT Class
ZKWebStandard.Collections Namespace


LazyCache(T).IsValueCreated Property

LazyCacheTIsValueCreated Property

Determine object instance is created
检测对象是否已创建

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool IsValueCreated { get; }
Public ReadOnly Property IsValueCreated As Boolean
    Get
public:
property bool IsValueCreated {
    bool get ();
}
member IsValueCreated : bool with get

Property Value

Type: Boolean
See Also

Reference

LazyCacheT Class
ZKWebStandard.Collections Namespace


LazyCache(T).Value Property

LazyCacheTValue Property

Get object instance, create it first if it's not created before
获取对象实例, 如果对象未创建则创建它

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public T Value { get; }
Public ReadOnly Property Value As T
    Get
public:
property T Value {
    T get ();
}
member Value : 'T with get

Property Value

Type: T
See Also

Reference

LazyCacheT Class
ZKWebStandard.Collections Namespace


LazyCache(T) Methods

LazyCacheT Methods

The LazyCacheT generic type exposes the following members.

Methods
 | Name | Description
Public method | Reset | Reset object instance Instance will be create again at the next time call "Value" 重置对象实例 下次调用"Value"属性时实例会被重新创建
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LazyCacheT Class
ZKWebStandard.Collections Namespace


LazyCache(T).Reset Method

LazyCacheTReset Method

Reset object instance
Instance will be create again at the next time call "Value"
重置对象实例
下次调用"Value"属性时实例会被重新创建

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Reset()
Public Sub Reset
public:
void Reset()
member Reset : unit -> unit
See Also

Reference

LazyCacheT Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue) Class

MemoryCacheTKey, TValue Class
Key-value cache based on memory
基于内存的键值缓存
Inheritance Hierarchy
SystemObject
ZKWebStandard.CollectionsMemoryCacheTKey, TValue

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class MemoryCache<TKey, TValue> : IKeyValueCache<TKey, TValue>

Public Class MemoryCache(Of TKey, TValue)
    Implements IKeyValueCache(Of TKey, TValue)
generic<typename TKey, typename TValue>
public ref class MemoryCache : IKeyValueCache<TKey, TValue>
type MemoryCache<'TKey, 'TValue> =
    class
        interface IKeyValueCache<'TKey, 'TValue>
    end

Type Parameters

TKey
Key type
TValue
Value type

The MemoryCacheTKey, TValue type exposes the following members.

Constructors
 | Name | Description
Public method | MemoryCacheTKey, TValue | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | Cache | Cache 缓存词典 { Key: (Value, ExpireTime) }
Protected property | CacheLock | Reader writer lock 读写锁
Protected property | LastRevokeExpires | Last check time 上次检查的时间
Public property | RevokeExpiresInterval | Check interval for revoke expired values 删除已过期值的检查间隔 Default is 180s
Top
Methods
 | Name | Description
Public method | Clear | Clear all cached values 删除所有已缓存的值
Public method | Count | Count all cached values 获取已缓存的值数量
Public method | Put | Put value to cache 插入值到缓存中
Public method | Remove | Remove cached value 删除已缓存的值
Protected method | RevokeExpires | Revoke expired values if the check interval has elapsed 删除已过期的值如果检查间隔已到
Public method | TryGetValue | Try to get cached value Return false if no exist value or exist value expired 尝试获取已缓存的值 如果值不存在或已过期则返回false
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
var cache = new MemoryCache<int, string>();
cache.Put(1, "value of 1", TimeSpan.FromSeconds(100));

string cached;
if (cache.TryGetValue(1, out cached)) {
    Console.WriteLine("cache hit: " + cached);
}
See Also

Reference

ZKWebStandard.Collections Namespace
ZKWebStandard.CollectionsIKeyValueCacheTKey, TValue


MemoryCache(TKey, TValue) Constructor

MemoryCacheTKey, TValue Constructor

Initialize
初始化

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MemoryCache()
Public Sub New
public:
MemoryCache()
new : unit -> MemoryCache
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue) Properties

MemoryCacheTKey, TValue Properties

The MemoryCacheTKey, TValue generic type exposes the following members.

Properties
 | Name | Description
Protected property | Cache | Cache 缓存词典 { Key: (Value, ExpireTime) }
Protected property | CacheLock | Reader writer lock 读写锁
Protected property | LastRevokeExpires | Last check time 上次检查的时间
Public property | RevokeExpiresInterval | Check interval for revoke expired values 删除已过期值的检查间隔 Default is 180s
Top
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).Cache Property

MemoryCacheTKey, TValueCache Property

Cache
缓存词典
{ Key: (Value, ExpireTime) }

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IDictionary<TKey, Pair<TValue, DateTime>> Cache { get; set; }
Protected Property Cache As IDictionary(Of TKey, Pair(Of TValue, DateTime))
    Get
    Set
protected:
property IDictionary<TKey, Pair<TValue, DateTime>>^ Cache {
    IDictionary<TKey, Pair<TValue, DateTime>>^ get ();
    void set (IDictionary<TKey, Pair<TValue, DateTime>>^ value);
}
member Cache : IDictionary<'TKey, Pair<'TValue, DateTime>> with get, set

Property Value

Type: IDictionary TKey, Pair TValue, DateTime
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).CacheLock Property

MemoryCacheTKey, TValueCacheLock Property

Reader writer lock
读写锁

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ReaderWriterLockSlim CacheLock { get; set; }
Protected Property CacheLock As ReaderWriterLockSlim
    Get
    Set
protected:
property ReaderWriterLockSlim^ CacheLock {
    ReaderWriterLockSlim^ get ();
    void set (ReaderWriterLockSlim^ value);
}
member CacheLock : ReaderWriterLockSlim with get, set

Property Value

Type: ReaderWriterLockSlim
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).LastRevokeExpires Property

MemoryCacheTKey, TValueLastRevokeExpires Property

Last check time
上次检查的时间

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected DateTime LastRevokeExpires { get; set; }
Protected Property LastRevokeExpires As DateTime
    Get
    Set
protected:
property DateTime LastRevokeExpires {
    DateTime get ();
    void set (DateTime value);
}
member LastRevokeExpires : DateTime with get, set

Property Value

Type: DateTime
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).RevokeExpiresInterval Property

MemoryCacheTKey, TValueRevokeExpiresInterval Property

Check interval for revoke expired values
删除已过期值的检查间隔
Default is 180s

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TimeSpan RevokeExpiresInterval { get; set; }
Public Property RevokeExpiresInterval As TimeSpan
    Get
    Set
public:
property TimeSpan RevokeExpiresInterval {
    TimeSpan get ();
    void set (TimeSpan value);
}
member RevokeExpiresInterval : TimeSpan with get, set

Property Value

Type: TimeSpan
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue) Methods

MemoryCacheTKey, TValue Methods

The MemoryCacheTKey, TValue generic type exposes the following members.

Methods
 | Name | Description
Public method | Clear | Clear all cached values 删除所有已缓存的值
Public method | Count | Count all cached values 获取已缓存的值数量
Public method | Put | Put value to cache 插入值到缓存中
Public method | Remove | Remove cached value 删除已缓存的值
Protected method | RevokeExpires | Revoke expired values if the check interval has elapsed 删除已过期的值如果检查间隔已到
Public method | TryGetValue | Try to get cached value Return false if no exist value or exist value expired 尝试获取已缓存的值 如果值不存在或已过期则返回false
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).Clear Method

MemoryCacheTKey, TValueClear Method

Clear all cached values
删除所有已缓存的值

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Clear()
Public Sub Clear
public:
virtual void Clear() sealed
abstract Clear : unit -> unit
override Clear : unit -> unit

Implements

IKeyValueCacheTKey, TValueClear
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).Count Method

MemoryCacheTKey, TValueCount Method

Count all cached values
获取已缓存的值数量

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int Count()
Public Function Count As Integer
public:
virtual int Count() sealed
abstract Count : unit -> int
override Count : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Collections.MemoryCache`2.Count"]

Implements

IKeyValueCacheTKey, TValueCount
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).Put Method

MemoryCacheTKey, TValuePut Method

Put value to cache
插入值到缓存中

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Put(
    TKey key,
    TValue value,
    TimeSpan keepTime
)
Public Sub Put (
    key As TKey,
    value As TValue,
    keepTime As TimeSpan
)
public:
virtual void Put(
    TKey key,
    TValue value,
    TimeSpan keepTime
) sealed
abstract Put :
        key : 'TKey *
        value : 'TValue *
        keepTime : TimeSpan -> unit
override Put :
        key : 'TKey *
        value : 'TValue *
        keepTime : TimeSpan -> unit

Parameters

key
Type: TKey
Cache key
value
Type: TValue
Cache value
keepTime
Type: SystemTimeSpan
Keep time

Implements

IKeyValueCacheTKey, TValuePut(TKey, TValue, TimeSpan)
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).Remove Method

MemoryCacheTKey, TValueRemove Method

Remove cached value
删除已缓存的值

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Remove(
    TKey key
)
Public Sub Remove (
    key As TKey
)
public:
virtual void Remove(
    TKey key
) sealed
abstract Remove :
        key : 'TKey -> unit
override Remove :
        key : 'TKey -> unit

Parameters

key
Type: TKey
Cache key

Implements

IKeyValueCacheTKey, TValueRemove(TKey)
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).RevokeExpires Method

MemoryCacheTKey, TValueRevokeExpires Method

Revoke expired values if the check interval has elapsed
删除已过期的值如果检查间隔已到

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void RevokeExpires()
Protected Sub RevokeExpires
protected:
void RevokeExpires()
member RevokeExpires : unit -> unit
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


MemoryCache(TKey, TValue).TryGetValue Method

MemoryCacheTKey, TValueTryGetValue Method

Try to get cached value
Return false if no exist value or exist value expired
尝试获取已缓存的值
如果值不存在或已过期则返回false

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool TryGetValue(
    TKey key,
    out TValue value
)
Public Function TryGetValue (
    key As TKey,
    <OutAttribute> ByRef value As TValue
) As Boolean
public:
virtual bool TryGetValue(
    TKey key,
    [OutAttribute] TValue% value
) sealed
abstract TryGetValue :
        key : 'TKey *
        value : 'TValue byref -> bool
override TryGetValue :
        key : 'TKey *
        value : 'TValue byref -> bool

Parameters

key
Type: TKey
Cache key
value
Type: TValue
Cache value

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Collections.MemoryCache`2.TryGetValue(`0,`1@)"]

Implements

IKeyValueCacheTKey, TValueTryGetValue(TKey, TValue)
See Also

Reference

MemoryCacheTKey, TValue Class
ZKWebStandard.Collections Namespace


Pair Class
Pair type utility functions
对类型的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.CollectionsPair

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class Pair
Public NotInheritable Class Pair
public ref class Pair abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Pair =  class end

The Pair type exposes the following members.

Methods
Name | Description
CreateTFirst, TSecond | Create pair 创建对实例
Top
See Also

Reference

ZKWebStandard.Collections Namespace
ZKWebStandard.CollectionsPairTFirst, TSecond


Pair Methods

The Pair type exposes the following members.

Methods
Name | Description
CreateTFirst, TSecond | Create pair 创建对实例
Top
See Also

Reference

Pair Class
ZKWebStandard.Collections Namespace


Pair.Create(TFirst, TSecond) Method

PairCreateTFirst, TSecond Method

Create pair
创建对实例

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Pair<TFirst, TSecond> Create<TFirst, TSecond>(
    TFirst first,
    TSecond second
)

Public Shared Function Create(Of TFirst, TSecond) (
    first As TFirst,
    second As TSecond
) As Pair(Of TFirst, TSecond)
public:
generic<typename TFirst, typename TSecond>
static Pair<TFirst, TSecond> Create(
    TFirst first,
    TSecond second
)
static member Create :
        first : 'TFirst *
        second : 'TSecond -> Pair<'TFirst, 'TSecond>

Parameters

first
Type: TFirst
First value
second
Type: TSecond
Second value

Type Parameters

TFirst
First value's type
TSecond
Second value's type

Return Value

Type: Pair TFirst, TSecond

[Missing <returns> documentation for "M:ZKWebStandard.Collections.Pair.Create``2(``0,``1)"]

See Also

Reference

Pair Class
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond) Structure

PairTFirst, TSecond Structure
Pair type
Why use it instead of Tuple: Tuple is class, not fast as struct for creating object
Why use it instead of KeyValuePair:
- KeyValuePair didn't override GetHashCode,
- it will be very slow to use KeyValuePair for dictionary key
对类型
为什么用它替代Tuple: Tuple是类, 创建对象的速度比struct要慢
为什么用它替代KeyValuePair:
- KeyValuePair未实现GetHashCode,
- 因此在使用KeyValuePair作为词典键的时候会非常的慢

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public struct Pair<TFirst, TSecond> : IEquatable<Pair<TFirst, TSecond>>

Public Structure Pair(Of TFirst, TSecond)
    Implements IEquatable(Of Pair(Of TFirst, TSecond))
generic<typename TFirst, typename TSecond>
public value class Pair : IEquatable<Pair<TFirst, TSecond>>
[<SealedAttribute>]
type Pair<'TFirst, 'TSecond> =
    struct
        interface IEquatable<Pair<'TFirst, 'TSecond>>
    end

Type Parameters

TFirst
First value's type
TSecond
Second value's type

The PairTFirst, TSecond type exposes the following members.

Constructors
 | Name | Description
Public method | PairTFirst, TSecond | Initialize 初始化
Top
Properties
 | Name | Description
Public property | First | First value 第一个值
Public property | Second | 第二个值Second value
Top
Methods
 | Name | Description
Public method | Equals(Object) | Compare to the given object for equality 检查是否与参数中的对象相等 (Overrides ValueTypeEquals(Object).)
Public method | Equals(PairTFirst, TSecond) | Compare to the given object for equality 检查是否与参数中对象相等
Public method | GetHashCode | Get hash code 获取哈希值 (Overrides ValueTypeGetHashCode.)
Public method | ToString | To string 转换到字符串 (Overrides ValueTypeToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
Copy
var pair = Pair.Create(1, "abc");
var first = pair.First; // 1
var second = pair.Second; // "abc"
See Also

Reference

ZKWebStandard.Collections Namespace
ZKWebStandard.CollectionsPair


Pair(TFirst, TSecond) Constructor

PairTFirst, TSecond Constructor

Initialize
初始化

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Pair(
    TFirst first,
    TSecond second
)
Public Sub New (
    first As TFirst,
    second As TSecond
)
public:
Pair(
    TFirst first,
    TSecond second
)
new :
        first : 'TFirst *
        second : 'TSecond -> Pair

Parameters

first
Type: TFirst
First value
second
Type: TSecond
Second value
See Also

Reference

PairTFirst, TSecond Structure
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond) Properties

PairTFirst, TSecond Properties

The PairTFirst, TSecond generic type exposes the following members.

Properties
 | Name | Description
Public property | First | First value 第一个值
Public property | Second | 第二个值Second value
Top
See Also

Reference

PairTFirst, TSecond Structure
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond).First Property

PairTFirst, TSecondFirst Property

First value
第一个值

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TFirst First { get; }
Public ReadOnly Property First As TFirst
    Get
public:
property TFirst First {
    TFirst get ();
}
member First : 'TFirst with get

Property Value

Type: TFirst
See Also

Reference

PairTFirst, TSecond Structure
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond).Second Property

PairTFirst, TSecondSecond Property

第二个值Second value

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TSecond Second { get; }
Public ReadOnly Property Second As TSecond
    Get
public:
property TSecond Second {
    TSecond get ();
}
member Second : 'TSecond with get

Property Value

Type: TSecond
See Also

Reference

PairTFirst, TSecond Structure
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond) Methods

PairTFirst, TSecond Methods

The PairTFirst, TSecond generic type exposes the following members.

Methods
 | Name | Description
Public method | Equals(Object) | Compare to the given object for equality 检查是否与参数中的对象相等 (Overrides ValueTypeEquals(Object).)
Public method | Equals(PairTFirst, TSecond) | Compare to the given object for equality 检查是否与参数中对象相等
Public method | GetHashCode | Get hash code 获取哈希值 (Overrides ValueTypeGetHashCode.)
Public method | ToString | To string 转换到字符串 (Overrides ValueTypeToString.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PairTFirst, TSecond Structure
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond).Equals Method

PairTFirst, TSecondEquals Method

Overload List
 | Name | Description
Public method | Equals(Object) | Compare to the given object for equality 检查是否与参数中的对象相等 (Overrides ValueTypeEquals(Object).)
Public method | Equals(PairTFirst, TSecond) | Compare to the given object for equality 检查是否与参数中对象相等
Top
See Also

Reference

PairTFirst, TSecond Structure
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond).Equals Method (Object)

PairTFirst, TSecondEquals Method (Object)
Compare to the given object for equality
检查是否与参数中的对象相等

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override bool Equals(
    Object obj
)
Public Overrides Function Equals (
    obj As Object
) As Boolean
public:
virtual bool Equals(
    Object^ obj
) override
abstract Equals :
        obj : Object -> bool
override Equals :
        obj : Object -> bool

Parameters

obj
Type: SystemObject
Other object

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Collections.Pair`2.Equals(System.Object)"]

See Also

Reference

PairTFirst, TSecond Structure
Equals Overload
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond).Equals Method (Pair(TFirst, TSecond))

PairTFirst, TSecondEquals Method (PairTFirst, TSecond)
Compare to the given object for equality
检查是否与参数中对象相等

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool Equals(
    Pair<TFirst, TSecond> obj
)
Public Function Equals (
    obj As Pair(Of TFirst, TSecond)
) As Boolean
public:
virtual bool Equals(
    Pair<TFirst, TSecond> obj
) sealed
abstract Equals :
        obj : Pair<'TFirst, 'TSecond> -> bool
override Equals :
        obj : Pair<'TFirst, 'TSecond> -> bool

Parameters

obj
Type: ZKWebStandard.CollectionsPair TFirst, TSecond
Other object

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Collections.Pair`2.Equals(ZKWebStandard.Collections.Pair{`0,`1})"]

Implements

IEquatableTEquals(T)
See Also

Reference

PairTFirst, TSecond Structure
Equals Overload
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond).GetHashCode Method

PairTFirst, TSecondGetHashCode Method

Get hash code
获取哈希值

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override int GetHashCode()
Public Overrides Function GetHashCode As Integer
public:
virtual int GetHashCode() override
abstract GetHashCode : unit -> int
override GetHashCode : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Collections.Pair`2.GetHashCode"]

See Also

Reference

PairTFirst, TSecond Structure
ZKWebStandard.Collections Namespace


Pair(TFirst, TSecond).ToString Method

PairTFirst, TSecondToString Method

To string
转换到字符串

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string ToString()
Public Overrides Function ToString As String
public:
virtual String^ ToString() override
abstract ToString : unit -> string
override ToString : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Collections.Pair`2.ToString"]

See Also

Reference

PairTFirst, TSecond Structure
ZKWebStandard.Collections Namespace


SimpleDisposable Class
Simple dispose object
Execute the given method when disposed,
The function will only be executed once
简单的可销毁对象
在销毁时执行指定的函数
函数只会被执行一次
Inheritance Hierarchy
SystemObject
ZKWebStandard.CollectionsSimpleDisposable

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class SimpleDisposable : IDisposable
Public Class SimpleDisposable
    Implements IDisposable
public ref class SimpleDisposable : IDisposable
type SimpleDisposable =
    class
        interface IDisposable
    end

The SimpleDisposable type exposes the following members.

Constructors
 | Name | Description
Public method | SimpleDisposable | Initialized 初始化
Top
Properties
 | Name | Description
Protected property | OnDispose | The function that is called when dispose 在销毁时调用的函数
Top
Methods
 | Name | Description
Public method | Dispose | Call the method if it's not called before 调用函数, 如果函数之前未被执行
Protected method | Finalize | Finalizer 析构函数 (Overrides ObjectFinalize.)
Top
Fields
 | Name | Description
Protected field | Disposed | Is method executed 函数是否已执行
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
Copy
using (new SimpleDisposable(() => Console.WriteLine("release resources")) {
    Console.WriteLine("using resources");
}
See Also

Reference

ZKWebStandard.Collections Namespace


SimpleDisposable Constructor

Initialized
初始化

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public SimpleDisposable(
    Action onDispose
)
Public Sub New (
    onDispose As Action
)
public:
SimpleDisposable(
    Action^ onDispose
)
new :
        onDispose : Action -> SimpleDisposable

Parameters

onDispose
Type: SystemAction

[Missing <param name="onDispose"/> documentation for "M:ZKWebStandard.Collections.SimpleDisposable.#ctor(System.Action)"]

See Also

Reference

SimpleDisposable Class
ZKWebStandard.Collections Namespace


SimpleDisposable Properties

The SimpleDisposable type exposes the following members.

Properties
 | Name | Description
Protected property | OnDispose | The function that is called when dispose 在销毁时调用的函数
Top
See Also

Reference

SimpleDisposable Class
ZKWebStandard.Collections Namespace


SimpleDisposable.OnDispose Property

SimpleDisposableOnDispose Property

The function that is called when dispose
在销毁时调用的函数

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected Action OnDispose { get; set; }
Protected Property OnDispose As Action
    Get
    Set
protected:
property Action^ OnDispose {
    Action^ get ();
    void set (Action^ value);
}
member OnDispose : Action with get, set

Property Value

Type: Action
See Also

Reference

SimpleDisposable Class
ZKWebStandard.Collections Namespace


SimpleDisposable Methods

The SimpleDisposable type exposes the following members.

Methods
 | Name | Description
Public method | Dispose | Call the method if it's not called before 调用函数, 如果函数之前未被执行
Protected method | Finalize | Finalizer 析构函数 (Overrides ObjectFinalize.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

SimpleDisposable Class
ZKWebStandard.Collections Namespace


SimpleDisposable.Dispose Method

SimpleDisposableDispose Method

Call the method if it's not called before
调用函数, 如果函数之前未被执行

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

SimpleDisposable Class
ZKWebStandard.Collections Namespace


SimpleDisposable.Finalize Method

SimpleDisposableFinalize Method

Finalizer
析构函数

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected override void Finalize()
Protected Overrides Sub Finalize
protected:
virtual void Finalize() override
abstract Finalize : unit -> unit
override Finalize : unit -> unit

Implements

ObjectFinalize
See Also

Reference

SimpleDisposable Class
ZKWebStandard.Collections Namespace


SimpleDisposable Fields

The SimpleDisposable type exposes the following members.

Fields
 | Name | Description
Protected field | Disposed | Is method executed 函数是否已执行
Top
See Also

Reference

SimpleDisposable Class
ZKWebStandard.Collections Namespace


SimpleDisposable.Disposed Field

SimpleDisposableDisposed Field
Is method executed
函数是否已执行

Namespace: ZKWebStandard.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected int Disposed
Protected Disposed As Integer
protected:
int Disposed
val mutable Disposed: int

Field Value

Type: Int32
See Also

Reference

SimpleDisposable Class
ZKWebStandard.Collections Namespace


ZKWebStandard.Extensions Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Extensions"]

Classes
 | Class | Description
Public class | ByteArrayExtensions | Byte array extension methods 字节数组的扩展函数
Public class | DateTimeExtensions | Date time extension methods 时间的扩展函数
Public class | DecimalExtensions | Decimal extension methods Decimal的扩展函数
Public class | EnumExtensions | Enum extension methods 枚举值的扩展函数
Public class | ExceptionExtensions | Exception extension methods 例外的扩展函数
Public class | ExpressionExtensions | Linq expression extension methods Linq表达式的扩展函数
Public class | ExpressionExtensionsReplaceExpressionVisitor | Expression visitor used to replace node in expression 用于替换节点的表达式访问器
Public class | IContainerExtensions | IContainer extension methods 容器的扩展函数
Public class | IDictionaryExtensions | IDictionary extension methods 词典的扩展函数
Public class | IEnumerableExtensions | IEnumerable extension methods 可枚举对象的扩展函数
Public class | IHttpContextExtensions | IHttpContext extension methods Http上下文的扩展函数
Public class | IHttpRequestExtensions | Http request extension methods Http请求的扩展函数
Public class | IHttpResponseExtensions | Http response extension methods Http回应的扩展函数
Public class | IKeyValueCacheExtensions | IKeyValueCache extension methods 键值缓存的扩展函数
Public class | IListExtensions | IList Extension methods 列表的扩展函数
Public class | ImageExtensions | Image extension methods 图片的扩展函数
Public class | ISetExtensions | ISet extension methods 集合的扩展函数
Public class | ITreeNodeExtensions | ITreeNode extension methods 树节点接口的扩展函数
Public class | MemberInfoExtensions | MemberInfo extensions 成员信息的扩展函数
Public class | MethodInfoExtensions | MethodInfo extensions 函数信息的扩展函数
Public class | ObjectExtensions | Object extension methods 对象的扩展函数
Public class | StreamExtensions | Stream extension methods 数据流的扩展函数
Enumerations
 | Enumeration | Description
Public enumeration | DeviceTypes | Device type 设备类型
Public enumeration | ImageResizeMode | Image resize mode 图片改变大小的模式


ByteArrayExtensions Class
Byte array extension methods
字节数组的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsByteArrayExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ByteArrayExtensions
<ExtensionAttribute>
Public NotInheritable Class ByteArrayExtensions
[ExtensionAttribute]
public ref class ByteArrayExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ByteArrayExtensions =  class end

The ByteArrayExtensions type exposes the following members.

Methods
Name | Description
ToHex | Convert byte array to hex former, in lower case 转换字节数组到Hex格式, 且英文字母是小写
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


ByteArrayExtensions Methods

The ByteArrayExtensions type exposes the following members.

Methods
Name | Description
ToHex | Convert byte array to hex former, in lower case 转换字节数组到Hex格式, 且英文字母是小写
Top
See Also

Reference

ByteArrayExtensions Class
ZKWebStandard.Extensions Namespace


ByteArrayExtensions.ToHex Method

ByteArrayExtensionsToHex Method

Convert byte array to hex former, in lower case
转换字节数组到Hex格式, 且英文字母是小写

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string ToHex(
    this byte[] data
)
<ExtensionAttribute>
Public Shared Function ToHex (
    data As Byte()
) As String
public:
[ExtensionAttribute]
static String^ ToHex(
    array<unsigned char>^ data
)
[<ExtensionAttribute>]
static member ToHex :
        data : byte[] -> string

Parameters

data
Type: SystemByte
Byte array

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ByteArrayExtensions.ToHex(System.Byte[])"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var bytes = new byte[] { 1, 0x12, 0x13 };
var hex = bytes.ToHex(); // "011213"
See Also

Reference

ByteArrayExtensions Class
ZKWebStandard.Extensions Namespace


DateTimeExtensions Class
Date time extension methods
时间的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsDateTimeExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class DateTimeExtensions
<ExtensionAttribute>
Public NotInheritable Class DateTimeExtensions
[ExtensionAttribute]
public ref class DateTimeExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type DateTimeExtensions =  class end

The DateTimeExtensions type exposes the following members.

Methods
Name | Description
FromClientTime | Convert client time to UTC time, use the timezone from client 转换客户端的本地时间到UTC时间， 使用客户端提供的时区
ToClientTime | Convert UTC time to client time, use the timezone from client 转换UTC时间到客户端的本地时间, 使用客户端提供的时区
ToClientTimeString | Convert UTC time to client time as string Format is yyyy/MM/dd HH:mm:ss 转换UTC时间到客户端的本地时间字符串 格式是 yyyy/MM/dd HH:mm:ss
ToTimestamp | Return unix style timestamp Return a minus value if the time early than 1970-1-1 The given time will be converted to UTC time first 获取unix风格的时间戳 如果时间早于1970年1月1日则返回值是负数 参数会先转换为UTC时间
Truncate | Truncate datetime, only keep seconds 去掉时间中秒数后的部分
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


DateTimeExtensions Methods

The DateTimeExtensions type exposes the following members.

Methods
Name | Description
FromClientTime | Convert client time to UTC time, use the timezone from client 转换客户端的本地时间到UTC时间， 使用客户端提供的时区
ToClientTime | Convert UTC time to client time, use the timezone from client 转换UTC时间到客户端的本地时间, 使用客户端提供的时区
ToClientTimeString | Convert UTC time to client time as string Format is yyyy/MM/dd HH:mm:ss 转换UTC时间到客户端的本地时间字符串 格式是 yyyy/MM/dd HH:mm:ss
ToTimestamp | Return unix style timestamp Return a minus value if the time early than 1970-1-1 The given time will be converted to UTC time first 获取unix风格的时间戳 如果时间早于1970年1月1日则返回值是负数 参数会先转换为UTC时间
Truncate | Truncate datetime, only keep seconds 去掉时间中秒数后的部分
Top
See Also

Reference

DateTimeExtensions Class
ZKWebStandard.Extensions Namespace


DateTimeExtensions.FromClientTime Method

DateTimeExtensionsFromClientTime Method

Convert client time to UTC time, use the timezone from client
转换客户端的本地时间到UTC时间， 使用客户端提供的时区

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static DateTime FromClientTime(
    this DateTime time
)
<ExtensionAttribute>
Public Shared Function FromClientTime (
    time As DateTime
) As DateTime
public:
[ExtensionAttribute]
static DateTime FromClientTime(
    DateTime time
)
[<ExtensionAttribute>]
static member FromClientTime :
        time : DateTime -> DateTime

Parameters

time
Type: SystemDateTime
Client time

Return Value

Type: DateTime

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.DateTimeExtensions.FromClientTime(System.DateTime)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type DateTime. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.RemoveData(LocaleUtils.TimeZoneKey);
var time = new DateTime(2000, 1, 1, 8, 0, 0, DateTimeKind.Local);
var utcTime = time.FromClientTime(); // == time.ToUniversalTime()

LocaleUtils.SetThreadTimezone("Asia/Shanghai");
utcTime = time.FromClientTime(); // == new DateTime(2000, 1, 1, 0, 0, 0, DateTimeKind.Utc)

LocaleUtils.SetThreadTimezone("Etc/GMT");
utcTime = time.FromClientTime(); // == new DateTime(2000, 1, 1, 8, 0, 0, DateTimeKind.Utc)
See Also

Reference

DateTimeExtensions Class
ZKWebStandard.Extensions Namespace


DateTimeExtensions.ToClientTime Method

DateTimeExtensionsToClientTime Method

Convert UTC time to client time, use the timezone from client
转换UTC时间到客户端的本地时间, 使用客户端提供的时区

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static DateTime ToClientTime(
    this DateTime time
)
<ExtensionAttribute>
Public Shared Function ToClientTime (
    time As DateTime
) As DateTime
public:
[ExtensionAttribute]
static DateTime ToClientTime(
    DateTime time
)
[<ExtensionAttribute>]
static member ToClientTime :
        time : DateTime -> DateTime

Parameters

time
Type: SystemDateTime
UTC time

Return Value

Type: DateTime

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.DateTimeExtensions.ToClientTime(System.DateTime)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type DateTime. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.RemoveData(LocaleUtils.TimeZoneKey);
var time = new DateTime(2000, 1, 1, 0, 0, 0, DateTimeKind.Utc);
var clientTime = time.ToClientTime(); // == time.ToLocalTime()

LocaleUtils.SetThreadTimezone("Asia/Shanghai");
clientTime = time.ToClientTime(); // == new DateTime(2000, 1, 1, 8, 0, 0, DateTimeKind.Local)

LocaleUtils.SetThreadTimezone("Etc/GMT");
clientTime = time.ToClientTime(); // == new DateTime(2000, 1, 1, 0, 0, 0, DateTimeKind.Local)
See Also

Reference

DateTimeExtensions Class
ZKWebStandard.Extensions Namespace


DateTimeExtensions.ToClientTimeString Method

DateTimeExtensionsToClientTimeString Method

Convert UTC time to client time as string
Format is yyyy/MM/dd HH:mm:ss
转换UTC时间到客户端的本地时间字符串
格式是 yyyy/MM/dd HH:mm:ss

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string ToClientTimeString(
    this DateTime time
)
<ExtensionAttribute>
Public Shared Function ToClientTimeString (
    time As DateTime
) As String
public:
[ExtensionAttribute]
static String^ ToClientTimeString(
    DateTime time
)
[<ExtensionAttribute>]
static member ToClientTimeString :
        time : DateTime -> string

Parameters

time
Type: SystemDateTime
UTC time

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.DateTimeExtensions.ToClientTimeString(System.DateTime)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type DateTime. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.RemoveData(LocaleUtils.TimeZoneKey);
LocaleUtils.SetThreadTimezone("Asia/Shanghai");

var time = new DateTime(2000, 1, 2, 13, 14, 50, DateTimeKind.Utc);
var timeString = time.ToClientTimeString(); // "2000/01/02 21:14:50"
See Also

Reference

DateTimeExtensions Class
ZKWebStandard.Extensions Namespace


DateTimeExtensions.ToTimestamp Method

DateTimeExtensionsToTimestamp Method

Return unix style timestamp
Return a minus value if the time early than 1970-1-1
The given time will be converted to UTC time first
获取unix风格的时间戳
如果时间早于1970年1月1日则返回值是负数
参数会先转换为UTC时间

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TimeSpan ToTimestamp(
    this DateTime time
)
<ExtensionAttribute>
Public Shared Function ToTimestamp (
    time As DateTime
) As TimeSpan
public:
[ExtensionAttribute]
static TimeSpan ToTimestamp(
    DateTime time
)
[<ExtensionAttribute>]
static member ToTimestamp :
        time : DateTime -> TimeSpan

Parameters

time
Type: SystemDateTime
The time

Return Value

Type: TimeSpan

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.DateTimeExtensions.ToTimestamp(System.DateTime)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type DateTime. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var time = new DateTime(1970, 1, 2, 0, 0, 0, DateTimeKind.Utc);
var timeStamp = (int)time.ToTimestamp().TotalSeconds; // == 86400
See Also

Reference

DateTimeExtensions Class
ZKWebStandard.Extensions Namespace


DateTimeExtensions.Truncate Method

DateTimeExtensionsTruncate Method

Truncate datetime, only keep seconds
去掉时间中秒数后的部分

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static DateTime Truncate(
    this DateTime time
)
<ExtensionAttribute>
Public Shared Function Truncate (
    time As DateTime
) As DateTime
public:
[ExtensionAttribute]
static DateTime Truncate(
    DateTime time
)
[<ExtensionAttribute>]
static member Truncate :
        time : DateTime -> DateTime

Parameters

time
Type: SystemDateTime
The time

Return Value

Type: DateTime

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.DateTimeExtensions.Truncate(System.DateTime)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type DateTime. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var time = DateTime.UtcNow;
var truncated = time.Truncate();
See Also

Reference

DateTimeExtensions Class
ZKWebStandard.Extensions Namespace


DecimalExtensions Class
Decimal extension methods
Decimal的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsDecimalExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class DecimalExtensions
<ExtensionAttribute>
Public NotInheritable Class DecimalExtensions
[ExtensionAttribute]
public ref class DecimalExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type DecimalExtensions =  class end

The DecimalExtensions type exposes the following members.

Methods
Name | Description
Normalize | Remove excess 0s after decimal 删除小数点后多余的0 Eg: giving 12.3000 will return 12.3 See: http://stackoverflow.com/questions/4298719/parse-decimal-and-filter-extra-0-on-the-right
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


DecimalExtensions Methods

The DecimalExtensions type exposes the following members.

Methods
Name | Description
Normalize | Remove excess 0s after decimal 删除小数点后多余的0 Eg: giving 12.3000 will return 12.3 See: http://stackoverflow.com/questions/4298719/parse-decimal-and-filter-extra-0-on-the-right
Top
See Also

Reference

DecimalExtensions Class
ZKWebStandard.Extensions Namespace


DecimalExtensions.Normalize Method

DecimalExtensionsNormalize Method

Remove excess 0s after decimal
删除小数点后多余的0
Eg: giving 12.3000 will return 12.3 See: http://stackoverflow.com/questions/4298719/parse-decimal-and-filter-extra-0-on-the-right

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static decimal Normalize(
    this decimal value
)
<ExtensionAttribute>
Public Shared Function Normalize (
    value As Decimal
) As Decimal
public:
[ExtensionAttribute]
static Decimal Normalize(
    Decimal value
)
[<ExtensionAttribute>]
static member Normalize :
        value : decimal -> decimal

Parameters

value
Type: SystemDecimal

[Missing <param name="value"/> documentation for "M:ZKWebStandard.Extensions.DecimalExtensions.Normalize(System.Decimal)"]

Return Value

Type: Decimal

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.DecimalExtensions.Normalize(System.Decimal)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Decimal. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
(12.3000M).Normalize().ToString() == "12.3"
(0.0001M).Normalize().ToString() == "0.0001"
(0.000001000M).Normalize().ToString() == "0.000001"
See Also

Reference

DecimalExtensions Class
ZKWebStandard.Extensions Namespace


DeviceTypes Enumeration
Device type
设备类型

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public enum DeviceTypes
Public Enumeration DeviceTypes
public enum class DeviceTypes
type DeviceTypes
Members
Member name | Value | Description
Desktop | 0 | Desktop PC端
Mobile | 1 | Mobile 移动端
See Also

Reference

ZKWebStandard.Extensions Namespace


EnumExtensions Class
Enum extension methods
枚举值的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsEnumExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class EnumExtensions
<ExtensionAttribute>
Public NotInheritable Class EnumExtensions
[ExtensionAttribute]
public ref class EnumExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type EnumExtensions =  class end

The EnumExtensions type exposes the following members.

Methods
Name | Description
GetAttributeT | Get attribute from enum value's field Return null if not found 获取枚举值的属性 找不到时返回null
GetDescription | Get enum value description If enum value contains `DescriptionAttribute` then return the description in attribute Otherwise return the default name 获取枚举值的描述 如果枚举值包含了`DescriptionAttribute`属性则返回属性中的描述 否则返回默认名称
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


EnumExtensions Methods

The EnumExtensions type exposes the following members.

Methods
Name | Description
GetAttributeT | Get attribute from enum value's field Return null if not found 获取枚举值的属性 找不到时返回null
GetDescription | Get enum value description If enum value contains `DescriptionAttribute` then return the description in attribute Otherwise return the default name 获取枚举值的描述 如果枚举值包含了`DescriptionAttribute`属性则返回属性中的描述 否则返回默认名称
Top
See Also

Reference

EnumExtensions Class
ZKWebStandard.Extensions Namespace


EnumExtensions.GetAttribute(T) Method

EnumExtensionsGetAttributeT Method

Get attribute from enum value's field
Return null if not found
获取枚举值的属性
找不到时返回null

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T GetAttribute<T>(
    this Enum value
)
where T : Attribute

<ExtensionAttribute>
Public Shared Function GetAttribute(Of T As Attribute) (
    value As Enum
) As T
public:
[ExtensionAttribute]
generic<typename T>
where T : Attribute
static T GetAttribute(
    Enum^ value
)
[<ExtensionAttribute>]
static member GetAttribute :
        value : Enum -> 'T  when 'T : Attribute

Parameters

value
Type: SystemEnum
Enum value

Type Parameters

T
Attribute type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.EnumExtensions.GetAttribute``1(System.Enum)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Enum. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
enum TestEnum { [Description("TestEnum_A")]A, [Description("TestEnum_B")]B, C }

var description = TestEnum.A.GetAttribute<DescriptionAttribute>().Description; // "TestEnum_A"
description = TestEnum.B.GetAttribute<DescriptionAttribute>().Description; // "TestEnum_B"
var attribute = TestEnum.C.GetAttribute<DescriptionAttribute>(); // null
See Also

Reference

EnumExtensions Class
ZKWebStandard.Extensions Namespace


EnumExtensions.GetDescription Method

EnumExtensionsGetDescription Method

Get enum value description
If enum value contains `DescriptionAttribute` then return the description in attribute
Otherwise return the default name
获取枚举值的描述
如果枚举值包含了`DescriptionAttribute`属性则返回属性中的描述
否则返回默认名称

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string GetDescription(
    this Enum value
)
<ExtensionAttribute>
Public Shared Function GetDescription (
    value As Enum
) As String
public:
[ExtensionAttribute]
static String^ GetDescription(
    Enum^ value
)
[<ExtensionAttribute>]
static member GetDescription :
        value : Enum -> string

Parameters

value
Type: SystemEnum
Enum value

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.EnumExtensions.GetDescription(System.Enum)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Enum. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
enum TestEnum { [Description("TestEnum_A")]A, [Description("TestEnum_B")]B, C }

var description = TestEnum.A.GetDescription(); // "TestEnum_A"
description = TestEnum.B.GetDescription(); // "TestEnum_B"
description = TestEnum.C.GetDescription(); // "C"
description = ((TestEnum)100).GetDescription(); // "100"
See Also

Reference

EnumExtensions Class
ZKWebStandard.Extensions Namespace


ExceptionExtensions Class
Exception extension methods
例外的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsExceptionExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ExceptionExtensions
<ExtensionAttribute>
Public NotInheritable Class ExceptionExtensions
[ExtensionAttribute]
public ref class ExceptionExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ExceptionExtensions =  class end

The ExceptionExtensions type exposes the following members.

Methods
Name | Description
ToDetailedString | Get detailed information from exception 获取例外的详细信息
ToSummaryString | Get summary information from exception 获取例外的简要信息
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


ExceptionExtensions Methods

The ExceptionExtensions type exposes the following members.

Methods
Name | Description
ToDetailedString | Get detailed information from exception 获取例外的详细信息
ToSummaryString | Get summary information from exception 获取例外的简要信息
Top
See Also

Reference

ExceptionExtensions Class
ZKWebStandard.Extensions Namespace


ExceptionExtensions.ToDetailedString Method

ExceptionExtensionsToDetailedString Method

Get detailed information from exception
获取例外的详细信息

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string ToDetailedString(
    this Exception ex
)
<ExtensionAttribute>
Public Shared Function ToDetailedString (
    ex As Exception
) As String
public:
[ExtensionAttribute]
static String^ ToDetailedString(
    Exception^ ex
)
[<ExtensionAttribute>]
static member ToDetailedString :
        ex : Exception -> string

Parameters

ex
Type: SystemException

[Missing <param name="ex"/> documentation for "M:ZKWebStandard.Extensions.ExceptionExtensions.ToDetailedString(System.Exception)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ExceptionExtensions.ToDetailedString(System.Exception)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Exception. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var ex = new Exception("qwert", new Exception("inner qwert"));
var str = ex.ToDetailedString();
See Also

Reference

ExceptionExtensions Class
ZKWebStandard.Extensions Namespace


ExceptionExtensions.ToSummaryString Method

ExceptionExtensionsToSummaryString Method

Get summary information from exception
获取例外的简要信息

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string ToSummaryString(
    this Exception ex
)
<ExtensionAttribute>
Public Shared Function ToSummaryString (
    ex As Exception
) As String
public:
[ExtensionAttribute]
static String^ ToSummaryString(
    Exception^ ex
)
[<ExtensionAttribute>]
static member ToSummaryString :
        ex : Exception -> string

Parameters

ex
Type: SystemException

[Missing <param name="ex"/> documentation for "M:ZKWebStandard.Extensions.ExceptionExtensions.ToSummaryString(System.Exception)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ExceptionExtensions.ToSummaryString(System.Exception)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Exception. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var ex = new Exception("qwert", new Exception("inner qwert"));
var str = ex.ToSummaryString();
See Also

Reference

ExceptionExtensions Class
ZKWebStandard.Extensions Namespace


ExpressionExtensions Class
Linq expression extension methods
Linq表达式的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsExpressionExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ExpressionExtensions
<ExtensionAttribute>
Public NotInheritable Class ExpressionExtensions
[ExtensionAttribute]
public ref class ExpressionExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ExpressionExtensions =  class end

The ExpressionExtensions type exposes the following members.

Methods
Name | Description
GetMemberAttributeTAttribute | Get member's attribute from lambda expression The expression should looks like: x => x.Name 获取表达式中的成员信息上的属性 表达式的格式应该是: x => x.Name
GetMemberInfo | Get member information from lambda expression The expression should looks like: x => x.Name 获取表达式中的成员信息 表达式的格式应该是: x => x.Name
ReplaceNode | Replace node in expression recursively 递归替换表达式中的节点
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


ExpressionExtensions Methods

The ExpressionExtensions type exposes the following members.

Methods
Name | Description
GetMemberAttributeTAttribute | Get member's attribute from lambda expression The expression should looks like: x => x.Name 获取表达式中的成员信息上的属性 表达式的格式应该是: x => x.Name
GetMemberInfo | Get member information from lambda expression The expression should looks like: x => x.Name 获取表达式中的成员信息 表达式的格式应该是: x => x.Name
ReplaceNode | Replace node in expression recursively 递归替换表达式中的节点
Top
See Also

Reference

ExpressionExtensions Class
ZKWebStandard.Extensions Namespace


ExpressionExtensions.GetMemberAttribute(TAttribute) Method

ExpressionExtensionsGetMemberAttributeTAttribute Method

Get member's attribute from lambda expression
The expression should looks like: x => x.Name
获取表达式中的成员信息上的属性
表达式的格式应该是: x => x.Name

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TAttribute GetMemberAttribute<TAttribute>(
    this LambdaExpression expression
)
where TAttribute : Attribute

<ExtensionAttribute>
Public Shared Function GetMemberAttribute(Of TAttribute As Attribute) (
    expression As LambdaExpression
) As TAttribute
public:
[ExtensionAttribute]
generic<typename TAttribute>
where TAttribute : Attribute
static TAttribute GetMemberAttribute(
    LambdaExpression^ expression
)
[<ExtensionAttribute>]
static member GetMemberAttribute :
        expression : LambdaExpression -> 'TAttribute  when 'TAttribute : Attribute

Parameters

expression
Type: System.Linq.ExpressionsLambdaExpression
Lambda expression

Type Parameters

TAttribute
Attribute type

Return Value

Type: TAttribute

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ExpressionExtensions.GetMemberAttribute``1(System.Linq.Expressions.LambdaExpression)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type LambdaExpression. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
Expression<Func<TestClass, string>> expr = t => t.TestMember;
var attr = expr.GetMemberAttribute<DescriptionAttribute>();
See Also

Reference

ExpressionExtensions Class
ZKWebStandard.Extensions Namespace


ExpressionExtensions.GetMemberInfo Method

ExpressionExtensionsGetMemberInfo Method

Get member information from lambda expression
The expression should looks like: x => x.Name
获取表达式中的成员信息
表达式的格式应该是: x => x.Name

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static MemberInfo GetMemberInfo(
    this LambdaExpression expression
)
<ExtensionAttribute>
Public Shared Function GetMemberInfo (
    expression As LambdaExpression
) As MemberInfo
public:
[ExtensionAttribute]
static MemberInfo^ GetMemberInfo(
    LambdaExpression^ expression
)
[<ExtensionAttribute>]
static member GetMemberInfo :
        expression : LambdaExpression -> MemberInfo

Parameters

expression
Type: System.Linq.ExpressionsLambdaExpression
Lambda expression

Return Value

Type: MemberInfo

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ExpressionExtensions.GetMemberInfo(System.Linq.Expressions.LambdaExpression)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type LambdaExpression. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
Expression<Func<TestClass, string>> expr = t => t.TestMember;
var memberInfo = expr.GetMemberInfo();
See Also

Reference

ExpressionExtensions Class
ZKWebStandard.Extensions Namespace


ExpressionExtensions.ReplaceNode Method

ExpressionExtensionsReplaceNode Method

Replace node in expression recursively
递归替换表达式中的节点

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Expression ReplaceNode(
    this Expression expression,
    Expression oldNode,
    Expression newNode
)
<ExtensionAttribute>
Public Shared Function ReplaceNode (
    expression As Expression,
    oldNode As Expression,
    newNode As Expression
) As Expression
public:
[ExtensionAttribute]
static Expression^ ReplaceNode(
    Expression^ expression,
    Expression^ oldNode,
    Expression^ newNode
)
[<ExtensionAttribute>]
static member ReplaceNode :
        expression : Expression *
        oldNode : Expression *
        newNode : Expression -> Expression

Parameters

expression
Type: System.Linq.ExpressionsExpression
Expression
oldNode
Type: System.Linq.ExpressionsExpression
Old node
newNode
Type: System.Linq.ExpressionsExpression
New Node

Return Value

Type: Expression

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ExpressionExtensions.ReplaceNode(System.Linq.Expressions.Expression,System.Linq.Expressions.Expression,System.Linq.Expressions.Expression)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Expression. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
Expression<Func<TestClass, bool>> exprA = a => a.TestMember.Contains("abc");
Expression<Func<TestClass, bool>> exprB = a => a.TestMember.Contains("asd");
var exprMerged = Expression.Lambda<Func<TestClass, bool>>(
    Expression.AndAlso(
        exprA.Body,
        exprB.Body.ReplaceNode(exprB.Parameters[0], exprA.Parameters[0])),
    exprA.Parameters[0]);
var method = exprMerged.Compile();
See Also

Reference

ExpressionExtensions Class
ZKWebStandard.Extensions Namespace


ExpressionExtensions.ReplaceExpressionVisitor Class

ExpressionExtensionsReplaceExpressionVisitor Class
Expression visitor used to replace node in expression
用于替换节点的表达式访问器
Inheritance Hierarchy
SystemObject
System.Linq.ExpressionsExpressionVisitor
ZKWebStandard.ExtensionsExpressionExtensionsReplaceExpressionVisitor

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ReplaceExpressionVisitor : ExpressionVisitor
Public Class ReplaceExpressionVisitor
    Inherits ExpressionVisitor
public ref class ReplaceExpressionVisitor : public ExpressionVisitor
type ReplaceExpressionVisitor =
    class
        inherit ExpressionVisitor
    end

The ExpressionExtensionsReplaceExpressionVisitor type exposes the following members.

Constructors
 | Name | Description
Public method | ExpressionExtensionsReplaceExpressionVisitor | Initialize 初始化
Top
Methods
 | Name | Description
Public method | Visit | Replace node in expression 替换表达式中的节点 (Overrides ExpressionVisitorVisit(Expression).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


ExpressionExtensions.ReplaceExpressionVisitor Constructor

ExpressionExtensionsReplaceExpressionVisitor Constructor

Initialize
初始化

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ReplaceExpressionVisitor(
    Expression oldNode,
    Expression newNode
)
Public Sub New (
    oldNode As Expression,
    newNode As Expression
)
public:
ReplaceExpressionVisitor(
    Expression^ oldNode,
    Expression^ newNode
)
new :
        oldNode : Expression *
        newNode : Expression -> ReplaceExpressionVisitor

Parameters

oldNode
Type: System.Linq.ExpressionsExpression

[Missing <param name="oldNode"/> documentation for "M:ZKWebStandard.Extensions.ExpressionExtensions.ReplaceExpressionVisitor.#ctor(System.Linq.Expressions.Expression,System.Linq.Expressions.Expression)"]

newNode
Type: System.Linq.ExpressionsExpression

[Missing <param name="newNode"/> documentation for "M:ZKWebStandard.Extensions.ExpressionExtensions.ReplaceExpressionVisitor.#ctor(System.Linq.Expressions.Expression,System.Linq.Expressions.Expression)"]

See Also

Reference

ExpressionExtensionsReplaceExpressionVisitor Class
ZKWebStandard.Extensions Namespace


ReplaceExpressionVisitor Methods

The ExpressionExtensionsReplaceExpressionVisitor type exposes the following members.

Methods
 | Name | Description
Public method | Visit | Replace node in expression 替换表达式中的节点 (Overrides ExpressionVisitorVisit(Expression).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ExpressionExtensionsReplaceExpressionVisitor Class
ZKWebStandard.Extensions Namespace


ExpressionExtensions.ReplaceExpressionVisitor.Visit Method

ExpressionExtensionsReplaceExpressionVisitorVisit Method

Replace node in expression
替换表达式中的节点

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override Expression Visit(
    Expression node
)
Public Overrides Function Visit (
    node As Expression
) As Expression
public:
virtual Expression^ Visit(
    Expression^ node
) override
abstract Visit :
        node : Expression -> Expression
override Visit :
        node : Expression -> Expression

Parameters

node
Type: System.Linq.ExpressionsExpression

[Missing <param name="node"/> documentation for "M:ZKWebStandard.Extensions.ExpressionExtensions.ReplaceExpressionVisitor.Visit(System.Linq.Expressions.Expression)"]

Return Value

Type: Expression

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ExpressionExtensions.ReplaceExpressionVisitor.Visit(System.Linq.Expressions.Expression)"]

See Also

Reference

ExpressionExtensionsReplaceExpressionVisitor Class
ZKWebStandard.Extensions Namespace


IContainerExtensions Class
IContainer extension methods
容器的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsIContainerExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IContainerExtensions
<ExtensionAttribute>
Public NotInheritable Class IContainerExtensions
[ExtensionAttribute]
public ref class IContainerExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IContainerExtensions =  class end
Methods
Name | Description
BuildFactory(IContainer, FuncObject, ReuseType) | Build factory from original factory and reuse type 根据原工厂函数和重用类型构建新的工厂函数
BuildFactory(IContainer, Type, ReuseType) | Build factory from type and reuse type 根据类型和重用类型构建工厂函数
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


IContainerExtensions Methods
Methods
Name | Description
BuildFactory(IContainer, FuncObject, ReuseType) | Build factory from original factory and reuse type 根据原工厂函数和重用类型构建新的工厂函数
BuildFactory(IContainer, Type, ReuseType) | Build factory from type and reuse type 根据类型和重用类型构建工厂函数
Top
See Also

Reference

IContainerExtensions Class
ZKWebStandard.Extensions Namespace


IContainerExtensions.BuildFactory Method

IContainerExtensionsBuildFactory Method

Overload List
Name | Description
BuildFactory(IContainer, FuncObject, ReuseType) | Build factory from original factory and reuse type 根据原工厂函数和重用类型构建新的工厂函数
BuildFactory(IContainer, Type, ReuseType) | Build factory from type and reuse type 根据类型和重用类型构建工厂函数
Top
See Also

Reference

IContainerExtensions Class
ZKWebStandard.Extensions Namespace


IContainerExtensions.BuildFactory Method (IContainer, Func(Object), ReuseType)

IContainerExtensionsBuildFactory Method (IContainer, FuncObject, ReuseType)
Build factory from original factory and reuse type
根据原工厂函数和重用类型构建新的工厂函数

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Func<Object> BuildFactory(
    this IContainer container,
    Func<Object> originalFactory,
    ReuseType reuseType
)
<ExtensionAttribute>
Public Shared Function BuildFactory (
    container As IContainer,
    originalFactory As Func(Of Object),
    reuseType As ReuseType
) As Func(Of Object)
public:
[ExtensionAttribute]
static Func<Object^>^ BuildFactory(
    IContainer^ container,
    Func<Object^>^ originalFactory,
    ReuseType reuseType
)
[<ExtensionAttribute>]
static member BuildFactory :
        container : IContainer *
        originalFactory : Func<Object> *
        reuseType : ReuseType -> Func<Object>

Parameters

container
Type: ZKWebStandard.IocIContainer
IoC container
originalFactory
Type: SystemFunc Object
Original factory
reuseType
Type: ZKWebStandard.IocReuseType
Reuse type

Return Value

Type: Func Object

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IContainerExtensions.BuildFactory(ZKWebStandard.Ioc.IContainer,System.Func{System.Object},ZKWebStandard.Ioc.ReuseType)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IContainer. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
class TestData { }

var container = new Container();
var factoryA = container.BuildFactory(() => new TestData(), ReuseType.Transient);
// !object.ReferenceEquals(factoryA(), factoryA())
var factoryB = container.BuildFactory(() => new TestData(), ReuseType.Singleton);
// object.ReferenceEquals(factoryB(), factoryB())
See Also

Reference

IContainerExtensions Class
BuildFactory Overload
ZKWebStandard.Extensions Namespace


IContainerExtensions.BuildFactory Method (IContainer, Type, ReuseType)

IContainerExtensionsBuildFactory Method (IContainer, Type, ReuseType)
Build factory from type and reuse type
根据类型和重用类型构建工厂函数

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Func<Object> BuildFactory(
    this IContainer container,
    Type type,
    ReuseType reuseType
)
<ExtensionAttribute>
Public Shared Function BuildFactory (
    container As IContainer,
    type As Type,
    reuseType As ReuseType
) As Func(Of Object)
public:
[ExtensionAttribute]
static Func<Object^>^ BuildFactory(
    IContainer^ container,
    Type^ type,
    ReuseType reuseType
)
[<ExtensionAttribute>]
static member BuildFactory :
        container : IContainer *
        type : Type *
        reuseType : ReuseType -> Func<Object>

Parameters

container
Type: ZKWebStandard.IocIContainer
IoC container
type
Type: SystemType
The type
reuseType
Type: ZKWebStandard.IocReuseType
Reuse type

Return Value

Type: Func Object

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IContainerExtensions.BuildFactory(ZKWebStandard.Ioc.IContainer,System.Type,ZKWebStandard.Ioc.ReuseType)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IContainer. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
class TestData { }

class TestInjection {
    public TestData Data { get; set; }
    public TestInjection(TestData data) { Data = data; }
}

IContainer container = new Container();
container.RegisterMany<TestData>();
var factory = container.BuildFactory(typeof(TestInjection), ReuseType.Transient);
var testInjection = (TestInjection)factory();
See Also

Reference

IContainerExtensions Class
BuildFactory Overload
ZKWebStandard.Extensions Namespace


IDictionaryExtensions Class
IDictionary extension methods
词典的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsIDictionaryExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IDictionaryExtensions
<ExtensionAttribute>
Public NotInheritable Class IDictionaryExtensions
[ExtensionAttribute]
public ref class IDictionaryExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IDictionaryExtensions =  class end

The IDictionaryExtensions type exposes the following members.

Methods
Name | Description
GetOrCreateTKey, TValue | Get value, create a new value if not found 获取值, 不存在时创建新值
GetOrDefaultT(IDictionaryString, Object, String, T) | Get value and convert it to the given type Return the default value if not found 获取值并转换到指定类型 找不到时返回默认值
GetOrDefaultTKey, TValue(IDictionaryTKey, TValue, TKey, TValue) | Get value, return the default value if not found 获取值, 找不到时返回默认值
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


IDictionaryExtensions Methods

The IDictionaryExtensions type exposes the following members.

Methods
Name | Description
GetOrCreateTKey, TValue | Get value, create a new value if not found 获取值, 不存在时创建新值
GetOrDefaultT(IDictionaryString, Object, String, T) | Get value and convert it to the given type Return the default value if not found 获取值并转换到指定类型 找不到时返回默认值
GetOrDefaultTKey, TValue(IDictionaryTKey, TValue, TKey, TValue) | Get value, return the default value if not found 获取值, 找不到时返回默认值
Top
See Also

Reference

IDictionaryExtensions Class
ZKWebStandard.Extensions Namespace


IDictionaryExtensions.GetOrCreate(TKey, TValue) Method

IDictionaryExtensionsGetOrCreateTKey, TValue Method

Get value, create a new value if not found
获取值, 不存在时创建新值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TValue GetOrCreate<TKey, TValue>(
    this IDictionary<TKey, TValue> dict,
    TKey key,
    Func<TValue> defaultValue
)

<ExtensionAttribute>
Public Shared Function GetOrCreate(Of TKey, TValue) (
    dict As IDictionary(Of TKey, TValue),
    key As TKey,
    defaultValue As Func(Of TValue)
) As TValue
public:
[ExtensionAttribute]
generic<typename TKey, typename TValue>
static TValue GetOrCreate(
    IDictionary<TKey, TValue>^ dict,
    TKey key,
    Func<TValue>^ defaultValue
)
[<ExtensionAttribute>]
static member GetOrCreate :
        dict : IDictionary<'TKey, 'TValue> *
        key : 'TKey *
        defaultValue : Func<'TValue> -> 'TValue

Parameters

dict
Type: System.Collections.GenericIDictionary TKey, TValue
The dictionary
key
Type: TKey
Key
defaultValue
Type: SystemFunc TValue
The default value

Type Parameters

TKey
Key type
TValue
Value type

Return Value

Type: TValue

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IDictionaryExtensions.GetOrCreate``2(System.Collections.Generic.IDictionary{``0,``1},``0,System.Func{``1})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IDictionary TKey, TValue. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var dict = new Dictionary<string, string>() { { "exist", "1" } };
var value = dict.GetOrCreate("exist", () => "create"); // "1"
value = dict.GetOrCreate("notexist", () => "create"); // "create"
value = dict["notexist"]; // "create"
See Also

Reference

IDictionaryExtensions Class
ZKWebStandard.Extensions Namespace


IDictionaryExtensions.GetOrDefault Method

IDictionaryExtensionsGetOrDefault Method

Overload List
Name | Description
GetOrDefaultT(IDictionaryString, Object, String, T) | Get value and convert it to the given type Return the default value if not found 获取值并转换到指定类型 找不到时返回默认值
GetOrDefaultTKey, TValue(IDictionaryTKey, TValue, TKey, TValue) | Get value, return the default value if not found 获取值, 找不到时返回默认值
Top
See Also

Reference

IDictionaryExtensions Class
ZKWebStandard.Extensions Namespace


IDictionaryExtensions.GetOrDefault(T) Method (IDictionary(String, Object), String, T)

IDictionaryExtensionsGetOrDefaultT Method (IDictionaryString, Object, String, T)
Get value and convert it to the given type
Return the default value if not found
获取值并转换到指定类型
找不到时返回默认值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T GetOrDefault<T>(
    this IDictionary<string, Object> dict,
    string key,
    T defaultValue = null
)

<ExtensionAttribute>
Public Shared Function GetOrDefault(Of T) (
    dict As IDictionary(Of String, Object),
    key As String,
    Optional defaultValue As T = Nothing
) As T
public:
[ExtensionAttribute]
generic<typename T>
static T GetOrDefault(
    IDictionary<String^, Object^>^ dict,
    String^ key,
    T defaultValue = nullptr
)
[<ExtensionAttribute>]
static member GetOrDefault :
        dict : IDictionary<string, Object> *
        key : string *
        ?defaultValue : 'T
(* Defaults:
        let _defaultValue = defaultArg defaultValue null
*)
-> 'T

Parameters

dict
Type: System.Collections.GenericIDictionary String, Object
The dictionary
key
Type: SystemString
Key
defaultValue (Optional)
Type: T
The default value

Type Parameters

T
The type convert to

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IDictionaryExtensions.GetOrDefault``1(System.Collections.Generic.IDictionary{System.String,System.Object},System.String,``0)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IDictionary String, Object . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
enum TestEnum { Zero = 0, One = 1 }

var dict = new Dictionary<string, object>() { { "exist", 1 } };
var value = dict.GetOrDefault<int>("exist"); // 1
value = dict.GetOrDefault<int>("notexist"); // 0
value = dict.GetOrDefault("notexist", 100); // 100
value = dict.GetOrDefault<TestEnum>("exist"); // TestEnum.One
value = dict.GetOrDefault<TestEnum>("notexist"); // TestEnum.Zero
See Also

Reference

IDictionaryExtensions Class
GetOrDefault Overload
ZKWebStandard.Extensions Namespace


IDictionaryExtensions.GetOrDefault(TKey, TValue) Method (IDictionary(TKey, TValue), TKey, TValue)

IDictionaryExtensionsGetOrDefaultTKey, TValue Method (IDictionaryTKey, TValue, TKey, TValue)
Get value, return the default value if not found
获取值, 找不到时返回默认值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TValue GetOrDefault<TKey, TValue>(
    this IDictionary<TKey, TValue> dict,
    TKey key,
    TValue defaultValue = null
)

<ExtensionAttribute>
Public Shared Function GetOrDefault(Of TKey, TValue) (
    dict As IDictionary(Of TKey, TValue),
    key As TKey,
    Optional defaultValue As TValue = Nothing
) As TValue
public:
[ExtensionAttribute]
generic<typename TKey, typename TValue>
static TValue GetOrDefault(
    IDictionary<TKey, TValue>^ dict,
    TKey key,
    TValue defaultValue = nullptr
)
[<ExtensionAttribute>]
static member GetOrDefault :
        dict : IDictionary<'TKey, 'TValue> *
        key : 'TKey *
        ?defaultValue : 'TValue
(* Defaults:
        let _defaultValue = defaultArg defaultValue null
*)
-> 'TValue

Parameters

dict
Type: System.Collections.GenericIDictionary TKey, TValue
The dictionary
key
Type: TKey
Key, if it's null then the default value will be returned
defaultValue (Optional)
Type: TValue
The default value

Type Parameters

TKey
Key type
TValue
Value type

Return Value

Type: TValue

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IDictionaryExtensions.GetOrDefault``2(System.Collections.Generic.IDictionary{``0,``1},``0,``1)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IDictionary TKey, TValue. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var dict = new Dictionary<string, string>() { { "exist", "1" } };
var value = dict.GetOrDefault("exist"); // "1"
value = dict.GetOrDefault("notexist"); // null
value = dict.GetOrDefault("notexist", "default"); // "default"
value = dict.GetOrDefault(null, "default"); // "default"
value = dict.GetOrDefault("", "default"); // "default"
See Also

Reference

IDictionaryExtensions Class
GetOrDefault Overload
ZKWebStandard.Extensions Namespace


IEnumerableExtensions Class
IEnumerable extension methods
可枚举对象的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsIEnumerableExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IEnumerableExtensions
<ExtensionAttribute>
Public NotInheritable Class IEnumerableExtensions
[ExtensionAttribute]
public ref class IEnumerableExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IEnumerableExtensions =  class end

The IEnumerableExtensions type exposes the following members.

Methods
Name | Description
ConcatIfNotNullT | Concat object if it's not null 连接对象如果对象不等于null
ForEachT | Perform the given action to each element 对所有元素执行指定的操作
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


IEnumerableExtensions Methods

The IEnumerableExtensions type exposes the following members.

Methods
Name | Description
ConcatIfNotNullT | Concat object if it's not null 连接对象如果对象不等于null
ForEachT | Perform the given action to each element 对所有元素执行指定的操作
Top
See Also

Reference

IEnumerableExtensions Class
ZKWebStandard.Extensions Namespace


IEnumerableExtensions.ConcatIfNotNull(T) Method

IEnumerableExtensionsConcatIfNotNullT Method

Concat object if it's not null
连接对象如果对象不等于null

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<T> ConcatIfNotNull<T>(
    this IEnumerable<T> elements,
    T element
)

<ExtensionAttribute>
Public Shared Function ConcatIfNotNull(Of T) (
    elements As IEnumerable(Of T),
    element As T
) As IEnumerable(Of T)
public:
[ExtensionAttribute]
generic<typename T>
static IEnumerable<T>^ ConcatIfNotNull(
    IEnumerable<T>^ elements,
    T element
)
[<ExtensionAttribute>]
static member ConcatIfNotNull :
        elements : IEnumerable<'T> *
        element : 'T -> IEnumerable<'T>

Parameters

elements
Type: System.Collections.GenericIEnumerable T
Elements
element
Type: T
The object to concat

Type Parameters

T
Element type

Return Value

Type: IEnumerable T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IEnumerableExtensions.ConcatIfNotNull``1(System.Collections.Generic.IEnumerable{``0},``0)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var a = new[] { "a", "b", "c" };
var b = a.ConcatIfNotNull("d");
// b.Count() == 4
var c = a.ConcatIfNotNull(null);
// c.Count() == 3
See Also

Reference

IEnumerableExtensions Class
ZKWebStandard.Extensions Namespace


IEnumerableExtensions.ForEach(T) Method

IEnumerableExtensionsForEachT Method

Perform the given action to each element
对所有元素执行指定的操作

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void ForEach<T>(
    this IEnumerable<T> elements,
    Action<T> action
)

<ExtensionAttribute>
Public Shared Sub ForEach(Of T) (
    elements As IEnumerable(Of T),
    action As Action(Of T)
)
public:
[ExtensionAttribute]
generic<typename T>
static void ForEach(
    IEnumerable<T>^ elements,
    Action<T>^ action
)
[<ExtensionAttribute>]
static member ForEach :
        elements : IEnumerable<'T> *
        action : Action<'T> -> unit

Parameters

elements
Type: System.Collections.GenericIEnumerable T
Elements
action
Type: SystemAction T
The action

Type Parameters

T
Element type

Return Value

Type:

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IEnumerable T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var a = new[] { "a", "b", "c" };
var b = new List<string>();
a.ForEach(c => b.Add(c));
// b.Count == 3
See Also

Reference

IEnumerableExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions Class
IHttpContext extension methods
Http上下文的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsIHttpContextExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IHttpContextExtensions
<ExtensionAttribute>
Public NotInheritable Class IHttpContextExtensions
[ExtensionAttribute]
public ref class IHttpContextExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IHttpContextExtensions =  class end

The IHttpContextExtensions type exposes the following members.

Methods
Name | Description
GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent
GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值
GetDataT | Get associated data from http context 获取Http上下文的关联数据
GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建
PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值
PutDataT | Put associated data to http context 插入Http上下文的关联数据
RemoveCookie | Remove cookie value 删除Cookie值
RemoveData | Remove associated data from http context 删除Http上下文的关联数据
SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值
Top
Fields
Name | Description
DeviceKey | Client device key name, used for - Cache the device type for performance - Get from cookie if client want to provide a specified device type 客户端设备的储存键, 用于 - 为了性能缓存检测出来的设备类型 - 从Cookie获取如果客户端想手动指定设备类型
SetCookieDataKeyPrefix | Data key prefix for previous set cookie value If we write a cookie value and read it later in the same http context, we will need to know what value is wrote before 设置Cookie时使用的关联键的前缀 如果我们写了一个Cookie值然后又想在Http上下文结束前读取它, 我们需要知道之前写入了什么值
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


IHttpContextExtensions Methods

The IHttpContextExtensions type exposes the following members.

Methods
Name | Description
GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent
GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值
GetDataT | Get associated data from http context 获取Http上下文的关联数据
GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建
PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值
PutDataT | Put associated data to http context 插入Http上下文的关联数据
RemoveCookie | Remove cookie value 删除Cookie值
RemoveData | Remove associated data from http context 删除Http上下文的关联数据
SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值
Top
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.GetClientDevice Method

IHttpContextExtensionsGetClientDevice Method

Get client device type
From Cache => Cookie => User-Agent
获取客户端的设备类型
顺序 缓存 => Cookie值 => User-Agent

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static DeviceTypes GetClientDevice(
    this IHttpContext context
)
<ExtensionAttribute>
Public Shared Function GetClientDevice (
    context As IHttpContext
) As DeviceTypes
public:
[ExtensionAttribute]
static DeviceTypes GetClientDevice(
    IHttpContext^ context
)
[<ExtensionAttribute>]
static member GetClientDevice :
        context : IHttpContext -> DeviceTypes

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context

Return Value

Type: DeviceTypes

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpContextExtensions.GetClientDevice(ZKWebStandard.Web.IHttpContext)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var device = HttpManager.CurrentContext.GetClientDevice();
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.GetCookie Method

IHttpContextExtensionsGetCookie Method

Get cookie value from http context
获取Http上下文中的Cookie值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string GetCookie(
    this IHttpContext context,
    string key
)
<ExtensionAttribute>
Public Shared Function GetCookie (
    context As IHttpContext,
    key As String
) As String
public:
[ExtensionAttribute]
static String^ GetCookie(
    IHttpContext^ context,
    String^ key
)
[<ExtensionAttribute>]
static member GetCookie :
        context : IHttpContext *
        key : string -> string

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
key
Type: SystemString
Cookie key

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpContextExtensions.GetCookie(ZKWebStandard.Web.IHttpContext,System.String)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var cookie = HttpManager.CurrentContext.GetCookie("TestGetCookie");
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.GetData(T) Method

IHttpContextExtensionsGetDataT Method

Get associated data from http context
获取Http上下文的关联数据

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T GetData<T>(
    this IHttpContext context,
    string key,
    T defaultValue = null
)

<ExtensionAttribute>
Public Shared Function GetData(Of T) (
    context As IHttpContext,
    key As String,
    Optional defaultValue As T = Nothing
) As T
public:
[ExtensionAttribute]
generic<typename T>
static T GetData(
    IHttpContext^ context,
    String^ key,
    T defaultValue = nullptr
)
[<ExtensionAttribute>]
static member GetData :
        context : IHttpContext *
        key : string *
        ?defaultValue : 'T
(* Defaults:
        let _defaultValue = defaultArg defaultValue null
*)
-> 'T

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
key
Type: SystemString
Key
defaultValue (Optional)
Type: T
The default value

Type Parameters

T
Data type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpContextExtensions.GetData``1(ZKWebStandard.Web.IHttpContext,System.String,``0)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var result = HttpManager.CurrentContext.GetData<string[]>("TestPutData");
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.GetOrCreateData(T) Method

IHttpContextExtensionsGetOrCreateDataT Method

Get associated data from http context, create it first if not exist
获取Http上下文的关联数据, 如果不存在则创建

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T GetOrCreateData<T>(
    this IHttpContext context,
    string key,
    Func<T> defaultCreater
)

<ExtensionAttribute>
Public Shared Function GetOrCreateData(Of T) (
    context As IHttpContext,
    key As String,
    defaultCreater As Func(Of T)
) As T
public:
[ExtensionAttribute]
generic<typename T>
static T GetOrCreateData(
    IHttpContext^ context,
    String^ key,
    Func<T>^ defaultCreater
)
[<ExtensionAttribute>]
static member GetOrCreateData :
        context : IHttpContext *
        key : string *
        defaultCreater : Func<'T> -> 'T

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
key
Type: SystemString
Key
defaultCreater
Type: SystemFunc T
Default value factory

Type Parameters

T
Data type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpContextExtensions.GetOrCreateData``1(ZKWebStandard.Web.IHttpContext,System.String,System.Func{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var result = HttpManager.CurrentContext.GetOrCreateData("TestCreateData", () => "def");
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.PutCookie Method

IHttpContextExtensionsPutCookie Method

Put cookie value to http context
设置Http上下文中的Cookie值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void PutCookie(
    this IHttpContext context,
    string key,
    string value,
    HttpCookieOptions options = null
)
<ExtensionAttribute>
Public Shared Sub PutCookie (
    context As IHttpContext,
    key As String,
    value As String,
    Optional options As HttpCookieOptions = Nothing
)
public:
[ExtensionAttribute]
static void PutCookie(
    IHttpContext^ context,
    String^ key,
    String^ value,
    HttpCookieOptions^ options = nullptr
)
[<ExtensionAttribute>]
static member PutCookie :
        context : IHttpContext *
        key : string *
        value : string *
        ?options : HttpCookieOptions
(* Defaults:
        let _options = defaultArg options null
*)
-> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
key
Type: SystemString
Cookie key
value
Type: SystemString
Cookie value
options (Optional)
Type: ZKWebStandard.WebHttpCookieOptions
Cookie options

Return Value

Type:

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.PutCookie("TestPutCookie", "abc");
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.PutData(T) Method

IHttpContextExtensionsPutDataT Method

Put associated data to http context
插入Http上下文的关联数据

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void PutData<T>(
    this IHttpContext context,
    string key,
    T data
)

<ExtensionAttribute>
Public Shared Sub PutData(Of T) (
    context As IHttpContext,
    key As String,
    data As T
)
public:
[ExtensionAttribute]
generic<typename T>
static void PutData(
    IHttpContext^ context,
    String^ key,
    T data
)
[<ExtensionAttribute>]
static member PutData :
        context : IHttpContext *
        key : string *
        data : 'T -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
key
Type: SystemString
Key
data
Type: T
Data

Type Parameters

T
Data type

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var list = new string[] { "a", "b", "c" };
HttpManager.CurrentContext.PutData("TestPutData", list);
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.RemoveCookie Method

IHttpContextExtensionsRemoveCookie Method

Remove cookie value
删除Cookie值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void RemoveCookie(
    this IHttpContext context,
    string key
)
<ExtensionAttribute>
Public Shared Sub RemoveCookie (
    context As IHttpContext,
    key As String
)
public:
[ExtensionAttribute]
static void RemoveCookie(
    IHttpContext^ context,
    String^ key
)
[<ExtensionAttribute>]
static member RemoveCookie :
        context : IHttpContext *
        key : string -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
key
Type: SystemString
Cookie key

Return Value

Type:

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
Copy
HttpManager.CurrentContext.RemoveCookie("TestRemoveCookie");
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.RemoveData Method

IHttpContextExtensionsRemoveData Method

Remove associated data from http context
删除Http上下文的关联数据

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void RemoveData(
    this IHttpContext context,
    string key
)
<ExtensionAttribute>
Public Shared Sub RemoveData (
    context As IHttpContext,
    key As String
)
public:
[ExtensionAttribute]
static void RemoveData(
    IHttpContext^ context,
    String^ key
)
[<ExtensionAttribute>]
static member RemoveData :
        context : IHttpContext *
        key : string -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context
key
Type: SystemString
Key

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.RemoveData("TestRemoveData");
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.SetClientDeviceToCookies Method

IHttpContextExtensionsSetClientDeviceToCookies Method

Set device type to cookies
Next time will use this value instead of the value detect from user agent
设置客户端的设备类型
下次请求将会使用这个值代替User-Agent中的值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void SetClientDeviceToCookies(
    this IHttpContext context,
    DeviceTypes type
)
<ExtensionAttribute>
Public Shared Sub SetClientDeviceToCookies (
    context As IHttpContext,
    type As DeviceTypes
)
public:
[ExtensionAttribute]
static void SetClientDeviceToCookies(
    IHttpContext^ context,
    DeviceTypes type
)
[<ExtensionAttribute>]
static member SetClientDeviceToCookies :
        context : IHttpContext *
        type : DeviceTypes -> unit

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http ccontext
type
Type: ZKWebStandard.ExtensionsDeviceTypes
Device type

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpContext. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.SetClientDeviceToCookies(DeviceTypes.Desktop);
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions Fields

The IHttpContextExtensions type exposes the following members.

Fields
Name | Description
DeviceKey | Client device key name, used for - Cache the device type for performance - Get from cookie if client want to provide a specified device type 客户端设备的储存键, 用于 - 为了性能缓存检测出来的设备类型 - 从Cookie获取如果客户端想手动指定设备类型
SetCookieDataKeyPrefix | Data key prefix for previous set cookie value If we write a cookie value and read it later in the same http context, we will need to know what value is wrote before 设置Cookie时使用的关联键的前缀 如果我们写了一个Cookie值然后又想在Http上下文结束前读取它, 我们需要知道之前写入了什么值
Top
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.DeviceKey Field

IHttpContextExtensionsDeviceKey Field
Client device key name, used for
- Cache the device type for performance
- Get from cookie if client want to provide a specified device type
客户端设备的储存键, 用于
- 为了性能缓存检测出来的设备类型
- 从Cookie获取如果客户端想手动指定设备类型

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string DeviceKey = "ZKWeb.Device"
Public Const DeviceKey As String = "ZKWeb.Device"
public:
literal String^ DeviceKey = "ZKWeb.Device"
static val mutable DeviceKey: string

Field Value

Type: String
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpContextExtensions.SetCookieDataKeyPrefix Field

IHttpContextExtensionsSetCookieDataKeyPrefix Field
Data key prefix for previous set cookie value
If we write a cookie value and read it later in the same http context,
we will need to know what value is wrote before
设置Cookie时使用的关联键的前缀
如果我们写了一个Cookie值然后又想在Http上下文结束前读取它,
我们需要知道之前写入了什么值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string SetCookieDataKeyPrefix = "__ZKWeb.SetCookie."
Public Const SetCookieDataKeyPrefix As String = "__ZKWeb.SetCookie."
public:
literal String^ SetCookieDataKeyPrefix = "__ZKWeb.SetCookie."
static val mutable SetCookieDataKeyPrefix: string

Field Value

Type: String
See Also

Reference

IHttpContextExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions Class
Http request extension methods
Http请求的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsIHttpRequestExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IHttpRequestExtensions
<ExtensionAttribute>
Public NotInheritable Class IHttpRequestExtensions
[ExtensionAttribute]
public ref class IHttpRequestExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IHttpRequestExtensions =  class end

The IHttpRequestExtensions type exposes the following members.

Methods
Name | Description
GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件
GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language
GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json
GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回
GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json
GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800"
GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue
GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null
GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典
GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null
GetUserAgent | Get user agent from http request 获取Http请求的User-Agent
IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


IHttpRequestExtensions Methods

The IHttpRequestExtensions type exposes the following members.

Methods
Name | Description
GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件
GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language
GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json
GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回
GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json
GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800"
GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue
GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null
GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典
GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null
GetUserAgent | Get user agent from http request 获取Http请求的User-Agent
IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求
Top
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.Get(T) Method

IHttpRequestExtensionsGetT Method

Get argument from http request
Priority: Form > QueryString > Json > PostedFile
获取Http请求中的参数
优先度: 表单内容 > Url参数 > Json > 提交文件

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T Get<T>(
    this IHttpRequest request,
    string key,
    T defaultValue = null
)

<ExtensionAttribute>
Public Shared Function Get(Of T) (
    request As IHttpRequest,
    key As String,
    Optional defaultValue As T = Nothing
) As T
public:
[ExtensionAttribute]
generic<typename T>
static T Get(
    IHttpRequest^ request,
    String^ key,
    T defaultValue = nullptr
)
[<ExtensionAttribute>]
static member Get :
        request : IHttpRequest *
        key : string *
        ?defaultValue : 'T
(* Defaults:
        let _defaultValue = defaultArg defaultValue null
*)
-> 'T

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request
key
Type: SystemString
Key
defaultValue (Optional)
Type: T
The default value

Type Parameters

T
Value type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.Get``1(ZKWebStandard.Web.IHttpRequest,System.String,``0)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var request = HttpManager.CurrentContext.Request;
var a = request.Get<string>("a");
var b = request.Get<int>("b");
var c = request.Get<object>("c");
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetAcceptLanguages Method

IHttpRequestExtensionsGetAcceptLanguages Method

Get accept languages from http request
获取Http请求的Accept-Language

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IList<string> GetAcceptLanguages(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetAcceptLanguages (
    request As IHttpRequest
) As IList(Of String)
public:
[ExtensionAttribute]
static IList<String^>^ GetAcceptLanguages(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetAcceptLanguages :
        request : IHttpRequest -> IList<string>

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetAcceptLanguages(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var acceptLanguages = HttpManager.CurrentContext.Request.GetAcceptLanguages();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetAll Method

IHttpRequestExtensionsGetAll Method

Get all arguments from http request
Posted files are not included
Priority: Form > QueryString > Json
获取Http请求中的所有参数
不包含提交文件
优先度: 表单内容 > Url参数 > Json

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<Pair<string, IList<string>>> GetAll(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetAll (
    request As IHttpRequest
) As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
[ExtensionAttribute]
static IEnumerable<Pair<String^, IList<String^>^>>^ GetAll(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetAll :
        request : IHttpRequest -> IEnumerable<Pair<string, IList<string>>>

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetAll(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var request = HttpManager.CurrentContext.Request;
var allParams = request.GetAllDictionary();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetAllAs(T) Method

IHttpRequestExtensionsGetAllAsT Method

Get all parameters into a given type
获取Http请求中的所有参数, 以指定类型返回

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T GetAllAs<T>(
    this IHttpRequest request
)

<ExtensionAttribute>
Public Shared Function GetAllAs(Of T) (
    request As IHttpRequest
) As T
public:
[ExtensionAttribute]
generic<typename T>
static T GetAllAs(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetAllAs :
        request : IHttpRequest -> 'T

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Type Parameters

T
The type contains parameters

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetAllAs``1(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var request = HttpManager.CurrentContext.Request;
var result = request.GetAllAs<TestData>();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetAllDictionary Method

IHttpRequestExtensionsGetAllDictionary Method

Get all arguments from http request in dictionary
Posted files are not included
Priority: Form > QueryString > Json
获取Http请求中的所有参数, 形式是词典
不包含提交文件
优先度: 表单内容 > Url参数 > Json

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IDictionary<string, IList<string>> GetAllDictionary(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetAllDictionary (
    request As IHttpRequest
) As IDictionary(Of String, IList(Of String))
public:
[ExtensionAttribute]
static IDictionary<String^, IList<String^>^>^ GetAllDictionary(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetAllDictionary :
        request : IHttpRequest -> IDictionary<string, IList<string>>

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: IDictionary String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetAllDictionary(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var request = HttpManager.CurrentContext.Request;
var allParams = request.GetAllDictionary();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetBytesRange Method

IHttpRequestExtensionsGetBytesRange Method

Get range request in bytes
获取Http请求的Range
http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800"

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Pair<Nullable<long>, Nullable<long>> GetBytesRange(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetBytesRange (
    request As IHttpRequest
) As Pair(Of Nullable(Of Long), Nullable(Of Long))
public:
[ExtensionAttribute]
static Pair<Nullable<long long>, Nullable<long long>> GetBytesRange(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetBytesRange :
        request : IHttpRequest -> Pair<Nullable<int64>, Nullable<int64>>

Parameters

request
Type: ZKWebStandard.WebIHttpRequest

[Missing <param name="request"/> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetBytesRange(ZKWebStandard.Web.IHttpRequest)"]

Return Value

Type: Pair Nullable Int64 , Nullable Int64

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetBytesRange(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var range = HttpManager.CurrentContext.Request.GetBytesRange();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetIfModifiedSince Method

IHttpRequestExtensionsGetIfModifiedSince Method

Get "If-Modified-Since" header's value from http request
Return DateTime.MinValue if not found
获取Http请求的If-Modified-Since
如果无则返回DateTime.MinValue

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static DateTime GetIfModifiedSince(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetIfModifiedSince (
    request As IHttpRequest
) As DateTime
public:
[ExtensionAttribute]
static DateTime GetIfModifiedSince(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetIfModifiedSince :
        request : IHttpRequest -> DateTime

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: DateTime

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetIfModifiedSince(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var ifModifiedSince = HttpManager.CurrentContext.Request.GetIfModifiedSince();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetJsonBody Method

IHttpRequestExtensionsGetJsonBody Method

If http request content is json then return json string
otherwise return null
如果Http请求的内容是json则返回json字符串
否则返回null

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string GetJsonBody(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetJsonBody (
    request As IHttpRequest
) As String
public:
[ExtensionAttribute]
static String^ GetJsonBody(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetJsonBody :
        request : IHttpRequest -> string

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetJsonBody(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var jsonBody = HttpManager.CurrentContext.Request.GetJsonBody();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetJsonBodyDictionary Method

IHttpRequestExtensionsGetJsonBodyDictionary Method

If http request content is json then return a dictionary deserialized from content
otherwise return a empty dictionary
如果Http请求的内容是json则返回一个反序列化后的词典对象
否则返回一个空词典

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IDictionary<string, Object> GetJsonBodyDictionary(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetJsonBodyDictionary (
    request As IHttpRequest
) As IDictionary(Of String, Object)
public:
[ExtensionAttribute]
static IDictionary<String^, Object^>^ GetJsonBodyDictionary(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetJsonBodyDictionary :
        request : IHttpRequest -> IDictionary<string, Object>

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: IDictionary String, Object

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetJsonBodyDictionary(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var jsonBodyDictionary = HttpManager.CurrentContext.Request.GetJsonBodyDictionary();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetReferer Method

IHttpRequestExtensionsGetReferer Method

Get Referer from http request
Return null if not exist
获取Http请求的Referer
如果无则返回null

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Uri GetReferer(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetReferer (
    request As IHttpRequest
) As Uri
public:
[ExtensionAttribute]
static Uri^ GetReferer(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetReferer :
        request : IHttpRequest -> Uri

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: Uri

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetReferer(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var referer = HttpManager.CurrentContext.Request.GetReferer();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.GetUserAgent Method

IHttpRequestExtensionsGetUserAgent Method

Get user agent from http request
获取Http请求的User-Agent

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string GetUserAgent(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function GetUserAgent (
    request As IHttpRequest
) As String
public:
[ExtensionAttribute]
static String^ GetUserAgent(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member GetUserAgent :
        request : IHttpRequest -> string

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.GetUserAgent(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var userAgent = HttpManager.CurrentContext.Request.GetUserAgent();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpRequestExtensions.IsAjaxRequest Method

IHttpRequestExtensionsIsAjaxRequest Method

Determine it's a ajax http request
检测Http请求是否ajax请求

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool IsAjaxRequest(
    this IHttpRequest request
)
<ExtensionAttribute>
Public Shared Function IsAjaxRequest (
    request As IHttpRequest
) As Boolean
public:
[ExtensionAttribute]
static bool IsAjaxRequest(
    IHttpRequest^ request
)
[<ExtensionAttribute>]
static member IsAjaxRequest :
        request : IHttpRequest -> bool

Parameters

request
Type: ZKWebStandard.WebIHttpRequest
Http request

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IHttpRequestExtensions.IsAjaxRequest(ZKWebStandard.Web.IHttpRequest)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpRequest. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var isAjaxRequest = HttpManager.CurrentContext.Request.IsAjaxRequest();
See Also

Reference

IHttpRequestExtensions Class
ZKWebStandard.Extensions Namespace


IHttpResponseExtensions Class
Http response extension methods
Http回应的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsIHttpResponseExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IHttpResponseExtensions
<ExtensionAttribute>
Public NotInheritable Class IHttpResponseExtensions
[ExtensionAttribute]
public ref class IHttpResponseExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IHttpResponseExtensions =  class end

The IHttpResponseExtensions type exposes the following members.

Methods
Name | Description
RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头
SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应
Write | Write string to http response 写入字符串到Http回应
WriteFile | Write file to http response 写入文件到Http回应
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


IHttpResponseExtensions Methods

The IHttpResponseExtensions type exposes the following members.

Methods
Name | Description
RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头
SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应
Write | Write string to http response 写入字符串到Http回应
WriteFile | Write file to http response 写入文件到Http回应
Top
See Also

Reference

IHttpResponseExtensions Class
ZKWebStandard.Extensions Namespace


IHttpResponseExtensions.RedirectByScript Method

IHttpResponseExtensionsRedirectByScript Method

Redirect to url by javascript
Use it instead of 301 redirect can make browser send the referer header
使用javascript重定向到Url
用来代替301跳转可以让浏览器发送Referer头

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void RedirectByScript(
    this IHttpResponse response,
    string url
)
<ExtensionAttribute>
Public Shared Sub RedirectByScript (
    response As IHttpResponse,
    url As String
)
public:
[ExtensionAttribute]
static void RedirectByScript(
    IHttpResponse^ response,
    String^ url
)
[<ExtensionAttribute>]
static member RedirectByScript :
        response : IHttpResponse *
        url : string -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response
url
Type: SystemString
Url

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpResponse. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.Response.RedirectByScript("/login");
See Also

Reference

IHttpResponseExtensions Class
ZKWebStandard.Extensions Namespace


IHttpResponseExtensions.SetLastModified Method

IHttpResponseExtensionsSetLastModified Method

Set last modified time to http response
设置内容的最后修改时间到Http回应

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void SetLastModified(
    this IHttpResponse response,
    DateTime date
)
<ExtensionAttribute>
Public Shared Sub SetLastModified (
    response As IHttpResponse,
    date As DateTime
)
public:
[ExtensionAttribute]
static void SetLastModified(
    IHttpResponse^ response,
    DateTime date
)
[<ExtensionAttribute>]
static member SetLastModified :
        response : IHttpResponse *
        date : DateTime -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response
date
Type: SystemDateTime
Last modified time

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpResponse. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.Response.SetLastModified(new DateTime(2016, 06, 13, 03, 09, 22, DateTimeKind.Utc));
See Also

Reference

IHttpResponseExtensions Class
ZKWebStandard.Extensions Namespace


IHttpResponseExtensions.Write Method

IHttpResponseExtensionsWrite Method

Write string to http response
写入字符串到Http回应

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Write(
    this IHttpResponse response,
    string value
)
<ExtensionAttribute>
Public Shared Sub Write (
    response As IHttpResponse,
    value As String
)
public:
[ExtensionAttribute]
static void Write(
    IHttpResponse^ response,
    String^ value
)
[<ExtensionAttribute>]
static member Write :
        response : IHttpResponse *
        value : string -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response
value
Type: SystemString
String value

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpResponse. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
HttpManager.CurrentContext.Response.Write("string contents");
See Also

Reference

IHttpResponseExtensions Class
ZKWebStandard.Extensions Namespace


IHttpResponseExtensions.WriteFile Method

IHttpResponseExtensionsWriteFile Method

Write file to http response
写入文件到Http回应

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void WriteFile(
    this IHttpResponse response,
    string path
)
<ExtensionAttribute>
Public Shared Sub WriteFile (
    response As IHttpResponse,
    path As String
)
public:
[ExtensionAttribute]
static void WriteFile(
    IHttpResponse^ response,
    String^ path
)
[<ExtensionAttribute>]
static member WriteFile :
        response : IHttpResponse *
        path : string -> unit

Parameters

response
Type: ZKWebStandard.WebIHttpResponse
Http response
path
Type: SystemString
File path

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IHttpResponse. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var path = Path.GetTempFileName();
File.WriteAllText(path, "file contents");
HttpManager.CurrentContext.Response.WriteFile(path);
See Also

Reference

IHttpResponseExtensions Class
ZKWebStandard.Extensions Namespace


IKeyValueCacheExtensions Class
IKeyValueCache extension methods
键值缓存的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsIKeyValueCacheExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IKeyValueCacheExtensions
<ExtensionAttribute>
Public NotInheritable Class IKeyValueCacheExtensions
[ExtensionAttribute]
public ref class IKeyValueCacheExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IKeyValueCacheExtensions =  class end

The IKeyValueCacheExtensions type exposes the following members.

Methods
Name | Description
GetOrCreateTKey, TValue | Get cached value Generate a new value and store it to cache if the no exist value or exist value expired Attention: This is not an atomic operation 获取缓存值 如果值不存在或已过期则创建一个新的值并储存 注意: 这不是原子操作
GetOrDefaultTKey, TValue | Get cached value Return default value if no exist value or exist value expired 获取缓存值 如果值不存在或已过期则返回默认值
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


IKeyValueCacheExtensions Methods

The IKeyValueCacheExtensions type exposes the following members.

Methods
Name | Description
GetOrCreateTKey, TValue | Get cached value Generate a new value and store it to cache if the no exist value or exist value expired Attention: This is not an atomic operation 获取缓存值 如果值不存在或已过期则创建一个新的值并储存 注意: 这不是原子操作
GetOrDefaultTKey, TValue | Get cached value Return default value if no exist value or exist value expired 获取缓存值 如果值不存在或已过期则返回默认值
Top
See Also

Reference

IKeyValueCacheExtensions Class
ZKWebStandard.Extensions Namespace


IKeyValueCacheExtensions.GetOrCreate(TKey, TValue) Method

IKeyValueCacheExtensionsGetOrCreateTKey, TValue Method

Get cached value
Generate a new value and store it to cache if the no exist value or exist value expired
Attention: This is not an atomic operation
获取缓存值
如果值不存在或已过期则创建一个新的值并储存
注意: 这不是原子操作

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TValue GetOrCreate<TKey, TValue>(
    this IKeyValueCache<TKey, TValue> cache,
    TKey key,
    Func<TValue> creator,
    TimeSpan keepTime
)

<ExtensionAttribute>
Public Shared Function GetOrCreate(Of TKey, TValue) (
    cache As IKeyValueCache(Of TKey, TValue),
    key As TKey,
    creator As Func(Of TValue),
    keepTime As TimeSpan
) As TValue
public:
[ExtensionAttribute]
generic<typename TKey, typename TValue>
static TValue GetOrCreate(
    IKeyValueCache<TKey, TValue>^ cache,
    TKey key,
    Func<TValue>^ creator,
    TimeSpan keepTime
)
[<ExtensionAttribute>]
static member GetOrCreate :
        cache : IKeyValueCache<'TKey, 'TValue> *
        key : 'TKey *
        creator : Func<'TValue> *
        keepTime : TimeSpan -> 'TValue

Parameters

cache
Type: ZKWebStandard.CollectionsIKeyValueCache TKey, TValue
Cache
key
Type: TKey
Key
creator
Type: SystemFunc TValue
Function to create default value
keepTime
Type: SystemTimeSpan
Keep time

Type Parameters

TKey

[Missing <typeparam name="TKey"/> documentation for "M:ZKWebStandard.Extensions.IKeyValueCacheExtensions.GetOrCreate``2(ZKWebStandard.Collections.IKeyValueCache{``0,``1},``0,System.Func{``1},System.TimeSpan)"]

TValue

[Missing <typeparam name="TValue"/> documentation for "M:ZKWebStandard.Extensions.IKeyValueCacheExtensions.GetOrCreate``2(ZKWebStandard.Collections.IKeyValueCache{``0,``1},``0,System.Func{``1},System.TimeSpan)"]

Return Value

Type: TValue

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IKeyValueCacheExtensions.GetOrCreate``2(ZKWebStandard.Collections.IKeyValueCache{``0,``1},``0,System.Func{``1},System.TimeSpan)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IKeyValueCache TKey, TValue. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var cache = new MemoryCache<int, string>();
var cached = cache.GetOrDefault(1, () => "123", TimeSpan.FromSeconds(100));
See Also

Reference

IKeyValueCacheExtensions Class
ZKWebStandard.Extensions Namespace


IKeyValueCacheExtensions.GetOrDefault(TKey, TValue) Method

IKeyValueCacheExtensionsGetOrDefaultTKey, TValue Method

Get cached value
Return default value if no exist value or exist value expired
获取缓存值
如果值不存在或已过期则返回默认值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TValue GetOrDefault<TKey, TValue>(
    this IKeyValueCache<TKey, TValue> cache,
    TKey key,
    TValue defaultValue = null
)

<ExtensionAttribute>
Public Shared Function GetOrDefault(Of TKey, TValue) (
    cache As IKeyValueCache(Of TKey, TValue),
    key As TKey,
    Optional defaultValue As TValue = Nothing
) As TValue
public:
[ExtensionAttribute]
generic<typename TKey, typename TValue>
static TValue GetOrDefault(
    IKeyValueCache<TKey, TValue>^ cache,
    TKey key,
    TValue defaultValue = nullptr
)
[<ExtensionAttribute>]
static member GetOrDefault :
        cache : IKeyValueCache<'TKey, 'TValue> *
        key : 'TKey *
        ?defaultValue : 'TValue
(* Defaults:
        let _defaultValue = defaultArg defaultValue null
*)
-> 'TValue

Parameters

cache
Type: ZKWebStandard.CollectionsIKeyValueCache TKey, TValue
Cache
key
Type: TKey
Key
defaultValue (Optional)
Type: TValue
The default value

Type Parameters

TKey

[Missing <typeparam name="TKey"/> documentation for "M:ZKWebStandard.Extensions.IKeyValueCacheExtensions.GetOrDefault``2(ZKWebStandard.Collections.IKeyValueCache{``0,``1},``0,``1)"]

TValue

[Missing <typeparam name="TValue"/> documentation for "M:ZKWebStandard.Extensions.IKeyValueCacheExtensions.GetOrDefault``2(ZKWebStandard.Collections.IKeyValueCache{``0,``1},``0,``1)"]

Return Value

Type: TValue

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IKeyValueCacheExtensions.GetOrDefault``2(ZKWebStandard.Collections.IKeyValueCache{``0,``1},``0,``1)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IKeyValueCache TKey, TValue. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var cache = new MemoryCache<int, string>();
var cached = cache.GetOrDefault(1, "default");
See Also

Reference

IKeyValueCacheExtensions Class
ZKWebStandard.Extensions Namespace


IListExtensions Class
IList Extension methods
列表的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsIListExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class IListExtensions
<ExtensionAttribute>
Public NotInheritable Class IListExtensions
[ExtensionAttribute]
public ref class IListExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type IListExtensions =  class end

The IListExtensions type exposes the following members.

Methods
Name | Description
AddAfterT | Add element after the other element that match the given predicate If no other elements matched then add the element to front 在符合指定条件的元素后添加元素 如果无元素符合条件则添加到末尾
AddBeforeT | Add element before the other element that match the given predicate If no other elements matched then add the element to front 在符合指定条件的元素前添加元素 如果无元素符合条件则添加到开头
AddRangeT | Batch add elements 批量添加元素
FindIndexT(IListT, PredicateT) | Find element index that match the given predicate Return -1 if not found 返回第一个符合指定条件的索引 如果无则返回-1
FindIndexT(IListT, Int32, PredicateT) | Find element index that match the given predicate Return -1 if not found 返回第一个符合指定条件的索引 如果无则返回-1
FindLastIndexT(IListT, PredicateT) | Find element index that match the given predicate from back to front Return -1 if not found 返回最后一个符合指定条件的索引 如果无则返回-1
FindLastIndexT(IListT, Int32, PredicateT) | Find element index that match the given predicate from back to front Return -1 if not found 返回最后一个符合指定条件的索引 如果无则返回-1
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


IListExtensions Methods

The IListExtensions type exposes the following members.

Methods
Name | Description
AddAfterT | Add element after the other element that match the given predicate If no other elements matched then add the element to front 在符合指定条件的元素后添加元素 如果无元素符合条件则添加到末尾
AddBeforeT | Add element before the other element that match the given predicate If no other elements matched then add the element to front 在符合指定条件的元素前添加元素 如果无元素符合条件则添加到开头
AddRangeT | Batch add elements 批量添加元素
FindIndexT(IListT, PredicateT) | Find element index that match the given predicate Return -1 if not found 返回第一个符合指定条件的索引 如果无则返回-1
FindIndexT(IListT, Int32, PredicateT) | Find element index that match the given predicate Return -1 if not found 返回第一个符合指定条件的索引 如果无则返回-1
FindLastIndexT(IListT, PredicateT) | Find element index that match the given predicate from back to front Return -1 if not found 返回最后一个符合指定条件的索引 如果无则返回-1
FindLastIndexT(IListT, Int32, PredicateT) | Find element index that match the given predicate from back to front Return -1 if not found 返回最后一个符合指定条件的索引 如果无则返回-1
Top
See Also

Reference

IListExtensions Class
ZKWebStandard.Extensions Namespace


IListExtensions.AddAfter(T) Method

IListExtensionsAddAfterT Method

Add element after the other element that match the given predicate
If no other elements matched then add the element to front
在符合指定条件的元素后添加元素
如果无元素符合条件则添加到末尾

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void AddAfter<T>(
    this IList<T> items,
    Predicate<T> after,
    T obj
)

<ExtensionAttribute>
Public Shared Sub AddAfter(Of T) (
    items As IList(Of T),
    after As Predicate(Of T),
    obj As T
)
public:
[ExtensionAttribute]
generic<typename T>
static void AddAfter(
    IList<T>^ items,
    Predicate<T>^ after,
    T obj
)
[<ExtensionAttribute>]
static member AddAfter :
        items : IList<'T> *
        after : Predicate<'T> *
        obj : 'T -> unit

Parameters

items
Type: System.Collections.GenericIList T
Elements
after
Type: SystemPredicate T
The predicate
obj
Type: T
Element want's to add

Type Parameters

T
Element type

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var list = new List<int>() { 1, 2, 4 };
list.AddAfter(x => x == 2, 3); // 1, 2, 3, 4
See Also

Reference

IListExtensions Class
ZKWebStandard.Extensions Namespace


IListExtensions.AddBefore(T) Method

IListExtensionsAddBeforeT Method

Add element before the other element that match the given predicate
If no other elements matched then add the element to front
在符合指定条件的元素前添加元素
如果无元素符合条件则添加到开头

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void AddBefore<T>(
    this IList<T> items,
    Predicate<T> before,
    T obj
)

<ExtensionAttribute>
Public Shared Sub AddBefore(Of T) (
    items As IList(Of T),
    before As Predicate(Of T),
    obj As T
)
public:
[ExtensionAttribute]
generic<typename T>
static void AddBefore(
    IList<T>^ items,
    Predicate<T>^ before,
    T obj
)
[<ExtensionAttribute>]
static member AddBefore :
        items : IList<'T> *
        before : Predicate<'T> *
        obj : 'T -> unit

Parameters

items
Type: System.Collections.GenericIList T
Elements
before
Type: SystemPredicate T
The predicate
obj
Type: T
Element want's to add

Type Parameters

T
Element type

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var list = new List<int>() { 1, 2, 4 };
list.AddBefore(x => x == 4, 3); // 1, 2, 3, 4
See Also

Reference

IListExtensions Class
ZKWebStandard.Extensions Namespace


IListExtensions.AddRange(T) Method

IListExtensionsAddRangeT Method

Batch add elements
批量添加元素

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void AddRange<T>(
    this IList<T> list,
    IEnumerable<T> items
)

<ExtensionAttribute>
Public Shared Sub AddRange(Of T) (
    list As IList(Of T),
    items As IEnumerable(Of T)
)
public:
[ExtensionAttribute]
generic<typename T>
static void AddRange(
    IList<T>^ list,
    IEnumerable<T>^ items
)
[<ExtensionAttribute>]
static member AddRange :
        list : IList<'T> *
        items : IEnumerable<'T> -> unit

Parameters

list
Type: System.Collections.GenericIList T
Elements
items
Type: System.Collections.GenericIEnumerable T
Elements want's to add

Type Parameters

T
Element type

Return Value

Type:

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
IList<int> list = new List<int>();
list.AddRange(new[] { 1, 2, 3 });
See Also

Reference

IListExtensions Class
ZKWebStandard.Extensions Namespace


IListExtensions.FindIndex Method

IListExtensionsFindIndex Method

Overload List
Name | Description
FindIndexT(IListT, PredicateT) | Find element index that match the given predicate Return -1 if not found 返回第一个符合指定条件的索引 如果无则返回-1
FindIndexT(IListT, Int32, PredicateT) | Find element index that match the given predicate Return -1 if not found 返回第一个符合指定条件的索引 如果无则返回-1
Top
See Also

Reference

IListExtensions Class
ZKWebStandard.Extensions Namespace


IListExtensions.FindIndex(T) Method (IList(T), Predicate(T))

IListExtensionsFindIndexT Method (IListT, PredicateT)
Find element index that match the given predicate
Return -1 if not found
返回第一个符合指定条件的索引
如果无则返回-1

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static int FindIndex<T>(
    this IList<T> items,
    Predicate<T> match
)

<ExtensionAttribute>
Public Shared Function FindIndex(Of T) (
    items As IList(Of T),
    match As Predicate(Of T)
) As Integer
public:
[ExtensionAttribute]
generic<typename T>
static int FindIndex(
    IList<T>^ items,
    Predicate<T>^ match
)
[<ExtensionAttribute>]
static member FindIndex :
        items : IList<'T> *
        match : Predicate<'T> -> int

Parameters

items
Type: System.Collections.GenericIList T
Elements
match
Type: SystemPredicate T
The predicate

Type Parameters

T
Element type

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IListExtensions.FindIndex``1(System.Collections.Generic.IList{``0},System.Predicate{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
IList<int> list = new List<int>() { 1, 2, 4 };
var index = list.FindIndex(x => x % 2 == 0); // 1
See Also

Reference

IListExtensions Class
FindIndex Overload
ZKWebStandard.Extensions Namespace


IListExtensions.FindIndex(T) Method (IList(T), Int32, Predicate(T))

IListExtensionsFindIndexT Method (IListT, Int32, PredicateT)
Find element index that match the given predicate
Return -1 if not found
返回第一个符合指定条件的索引
如果无则返回-1

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static int FindIndex<T>(
    this IList<T> items,
    int startIndex,
    Predicate<T> match
)

<ExtensionAttribute>
Public Shared Function FindIndex(Of T) (
    items As IList(Of T),
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
public:
[ExtensionAttribute]
generic<typename T>
static int FindIndex(
    IList<T>^ items,
    int startIndex,
    Predicate<T>^ match
)
[<ExtensionAttribute>]
static member FindIndex :
        items : IList<'T> *
        startIndex : int *
        match : Predicate<'T> -> int

Parameters

items
Type: System.Collections.GenericIList T
Elements
startIndex
Type: SystemInt32
Start position
match
Type: SystemPredicate T
The predicate

Type Parameters

T
Element type

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IListExtensions.FindIndex``1(System.Collections.Generic.IList{``0},System.Int32,System.Predicate{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
IList<int> list = new List<int>() { 1, 2, 4 };
var index = list.FindIndex(2, x => x % 2 == 0); // 2
See Also

Reference

IListExtensions Class
FindIndex Overload
ZKWebStandard.Extensions Namespace


IListExtensions.FindLastIndex Method

IListExtensionsFindLastIndex Method

Overload List
Name | Description
FindLastIndexT(IListT, PredicateT) | Find element index that match the given predicate from back to front Return -1 if not found 返回最后一个符合指定条件的索引 如果无则返回-1
FindLastIndexT(IListT, Int32, PredicateT) | Find element index that match the given predicate from back to front Return -1 if not found 返回最后一个符合指定条件的索引 如果无则返回-1
Top
See Also

Reference

IListExtensions Class
ZKWebStandard.Extensions Namespace


IListExtensions.FindLastIndex(T) Method (IList(T), Predicate(T))

IListExtensionsFindLastIndexT Method (IListT, PredicateT)
Find element index that match the given predicate from back to front
Return -1 if not found
返回最后一个符合指定条件的索引
如果无则返回-1

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static int FindLastIndex<T>(
    this IList<T> items,
    Predicate<T> match
)

<ExtensionAttribute>
Public Shared Function FindLastIndex(Of T) (
    items As IList(Of T),
    match As Predicate(Of T)
) As Integer
public:
[ExtensionAttribute]
generic<typename T>
static int FindLastIndex(
    IList<T>^ items,
    Predicate<T>^ match
)
[<ExtensionAttribute>]
static member FindLastIndex :
        items : IList<'T> *
        match : Predicate<'T> -> int

Parameters

items
Type: System.Collections.GenericIList T
Elements
match
Type: SystemPredicate T
The predicate

Type Parameters

T
Element type

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IListExtensions.FindLastIndex``1(System.Collections.Generic.IList{``0},System.Predicate{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
IList<int> list = new List<int>() { 1, 2, 4 };
var index = list.FindLastIndex(x => x % 2 == 0); // 2
See Also

Reference

IListExtensions Class
FindLastIndex Overload
ZKWebStandard.Extensions Namespace


IListExtensions.FindLastIndex(T) Method (IList(T), Int32, Predicate(T))

IListExtensionsFindLastIndexT Method (IListT, Int32, PredicateT)
Find element index that match the given predicate from back to front
Return -1 if not found
返回最后一个符合指定条件的索引
如果无则返回-1

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static int FindLastIndex<T>(
    this IList<T> items,
    int startIndex,
    Predicate<T> match
)

<ExtensionAttribute>
Public Shared Function FindLastIndex(Of T) (
    items As IList(Of T),
    startIndex As Integer,
    match As Predicate(Of T)
) As Integer
public:
[ExtensionAttribute]
generic<typename T>
static int FindLastIndex(
    IList<T>^ items,
    int startIndex,
    Predicate<T>^ match
)
[<ExtensionAttribute>]
static member FindLastIndex :
        items : IList<'T> *
        startIndex : int *
        match : Predicate<'T> -> int

Parameters

items
Type: System.Collections.GenericIList T
Elements
startIndex
Type: SystemInt32
Start position from back
match
Type: SystemPredicate T
The predicate

Type Parameters

T
Element type

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.IListExtensions.FindLastIndex``1(System.Collections.Generic.IList{``0},System.Int32,System.Predicate{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type IList T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
IList<int> list = new List<int>() { 1, 2, 4 };
var index = list.FindLastIndex(1, x => x % 2 == 0); // 1
See Also

Reference

IListExtensions Class
FindLastIndex Overload
ZKWebStandard.Extensions Namespace


ImageExtensions Class
Image extension methods
图片的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsImageExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ImageExtensions
<ExtensionAttribute>
Public NotInheritable Class ImageExtensions
[ExtensionAttribute]
public ref class ImageExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ImageExtensions =  class end

The ImageExtensions type exposes the following members.

Methods
Name | Description
Resize | Resize image 改变图片大小
SaveAuto(Image, String, Int64) | Save image by it's file extension Quality parameter only available for jpeg 根据文件后缀保存图片 quality参数只在图片类型是jpeg时生效
SaveAuto(Image, Stream, String, Int64) | Save image by it's file extension Quality parameter only available for jpeg 根据文件后缀保存图片 quality参数只在图片类型是jpeg时生效
SaveIcon | Obsolete. Save to icon file 保存到图标文件
SaveJpeg | Obsolete. Save to jpeg file 保存到jpeg文件
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


ImageExtensions Methods

The ImageExtensions type exposes the following members.

Methods
Name | Description
Resize | Resize image 改变图片大小
SaveAuto(Image, String, Int64) | Save image by it's file extension Quality parameter only available for jpeg 根据文件后缀保存图片 quality参数只在图片类型是jpeg时生效
SaveAuto(Image, Stream, String, Int64) | Save image by it's file extension Quality parameter only available for jpeg 根据文件后缀保存图片 quality参数只在图片类型是jpeg时生效
SaveIcon | Obsolete. Save to icon file 保存到图标文件
SaveJpeg | Obsolete. Save to jpeg file 保存到jpeg文件
Top
See Also

Reference

ImageExtensions Class
ZKWebStandard.Extensions Namespace


ImageExtensions.Resize Method

ImageExtensionsResize Method

Resize image
改变图片大小

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Image Resize(
    this Image image,
    int width,
    int height,
    ImageResizeMode mode,
    Nullable<Color> background = null
)
<ExtensionAttribute>
Public Shared Function Resize (
    image As Image,
    width As Integer,
    height As Integer,
    mode As ImageResizeMode,
    Optional background As Nullable(Of Color) = Nothing
) As Image
public:
[ExtensionAttribute]
static Image^ Resize(
    Image^ image,
    int width,
    int height,
    ImageResizeMode mode,
    Nullable<Color> background = nullptr
)
[<ExtensionAttribute>]
static member Resize :
        image : Image *
        width : int *
        height : int *
        mode : ImageResizeMode *
        ?background : Nullable<Color>
(* Defaults:
        let _background = defaultArg background null
*)
-> Image

Parameters

image
Type: Image
Original image
width
Type: SystemInt32
Width
height
Type: SystemInt32
Height
mode
Type: ZKWebStandard.ExtensionsImageResizeMode
Resize mode
background (Optional)
Type: SystemNullable Color
Background, default is transparent

Return Value

Type: Image

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ImageExtensions.Resize(System.DrawingCore.Image,System.Int32,System.Int32,ZKWebStandard.Extensions.ImageResizeMode,System.Nullable{System.DrawingCore.Color})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Image. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var newImage = oldImage.Resize(100, 100, ImageResizeMode.Fixed);
See Also

Reference

ImageExtensions Class
ZKWebStandard.Extensions Namespace


ImageExtensions.SaveAuto Method

ImageExtensionsSaveAuto Method

Overload List
Name | Description
SaveAuto(Image, String, Int64) | Save image by it's file extension Quality parameter only available for jpeg 根据文件后缀保存图片 quality参数只在图片类型是jpeg时生效
SaveAuto(Image, Stream, String, Int64) | Save image by it's file extension Quality parameter only available for jpeg 根据文件后缀保存图片 quality参数只在图片类型是jpeg时生效
Top
See Also

Reference

ImageExtensions Class
ZKWebStandard.Extensions Namespace


ImageExtensions.SaveAuto Method (Image, String, Int64)

ImageExtensionsSaveAuto Method (Image, String, Int64)
Save image by it's file extension
Quality parameter only available for jpeg
根据文件后缀保存图片
quality参数只在图片类型是jpeg时生效

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void SaveAuto(
    this Image image,
    string filename,
    long quality
)
<ExtensionAttribute>
Public Shared Sub SaveAuto (
    image As Image,
    filename As String,
    quality As Long
)
public:
[ExtensionAttribute]
static void SaveAuto(
    Image^ image,
    String^ filename,
    long long quality
)
[<ExtensionAttribute>]
static member SaveAuto :
        image : Image *
        filename : string *
        quality : int64 -> unit

Parameters

image
Type: Image
Image object
filename
Type: SystemString
File path, will automatic create parent directories
quality
Type: SystemInt64
Compress quality, 1~100

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Image. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
image.SaveAuto("d:\\1.jpg", 90);
See Also

Reference

ImageExtensions Class
SaveAuto Overload
ZKWebStandard.Extensions Namespace


ImageExtensions.SaveAuto Method (Image, Stream, String, Int64)

ImageExtensionsSaveAuto Method (Image, Stream, String, Int64)
Save image by it's file extension
Quality parameter only available for jpeg
根据文件后缀保存图片
quality参数只在图片类型是jpeg时生效

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void SaveAuto(
    this Image image,
    Stream stream,
    string extension,
    long quality
)
<ExtensionAttribute>
Public Shared Sub SaveAuto (
    image As Image,
    stream As Stream,
    extension As String,
    quality As Long
)
public:
[ExtensionAttribute]
static void SaveAuto(
    Image^ image,
    Stream^ stream,
    String^ extension,
    long long quality
)
[<ExtensionAttribute>]
static member SaveAuto :
        image : Image *
        stream : Stream *
        extension : string *
        quality : int64 -> unit

Parameters

image
Type: Image
Image object
stream
Type: System.IOStream
Stream object
extension
Type: SystemString
File extension, eg: ".jpg"
quality
Type: SystemInt64
Compress quality, 1~100

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Image. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
using (var stream = new MemoryStream()) {
    image.SaveIcon(stream);
}
See Also

Reference

ImageExtensions Class
SaveAuto Overload
ZKWebStandard.Extensions Namespace


ImageExtensions.SaveIcon Method

ImageExtensionsSaveIcon Method

Note: This API is now obsolete.

Save to icon file
保存到图标文件

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("Please use SaveAuto")]
public static void SaveIcon(
    this Image image,
    string filename
)
<ExtensionAttribute>
<ObsoleteAttribute("Please use SaveAuto")>
Public Shared Sub SaveIcon (
    image As Image,
    filename As String
)
public:
[ExtensionAttribute]
[ObsoleteAttribute(L"Please use SaveAuto")]
static void SaveIcon(
    Image^ image,
    String^ filename
)
[<ExtensionAttribute>]
[<ObsoleteAttribute("Please use SaveAuto")>]
static member SaveIcon :
        image : Image *
        filename : string -> unit

Parameters

image
Type: Image
Image object
filename
Type: SystemString
File path, will automatic create parent directories

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Image. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ImageExtensions Class
ZKWebStandard.Extensions Namespace


ImageExtensions.SaveJpeg Method

ImageExtensionsSaveJpeg Method

Note: This API is now obsolete.

Save to jpeg file
保存到jpeg文件

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
[ObsoleteAttribute("Please use SaveAuto")]
public static void SaveJpeg(
    this Image image,
    string filename,
    long quality
)
<ExtensionAttribute>
<ObsoleteAttribute("Please use SaveAuto")>
Public Shared Sub SaveJpeg (
    image As Image,
    filename As String,
    quality As Long
)
public:
[ExtensionAttribute]
[ObsoleteAttribute(L"Please use SaveAuto")]
static void SaveJpeg(
    Image^ image,
    String^ filename,
    long long quality
)
[<ExtensionAttribute>]
[<ObsoleteAttribute("Please use SaveAuto")>]
static member SaveJpeg :
        image : Image *
        filename : string *
        quality : int64 -> unit

Parameters

image
Type: Image
Image object
filename
Type: SystemString
File path, will automatic create parent directories
quality
Type: SystemInt64
Compress quality, 1~100

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Image. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also

Reference

ImageExtensions Class
ZKWebStandard.Extensions Namespace


ImageResizeMode Enumeration
Image resize mode
图片改变大小的模式

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public enum ImageResizeMode
Public Enumeration ImageResizeMode
public enum class ImageResizeMode
type ImageResizeMode
Members
Member name | Value | Description
Fixed | 0 | Resize to the specified size, allow aspect ratio change 改变到指定大小, 允许纵横比的变更
ByWidth | 1 | Resize to the specified width, height is calculated by the aspect ratio 改变到指定宽度, 高度根据纵横比自动计算
ByHeight | 2 | Resize to the specified height, width is calculated by the aspect ratio 改变到指定高度, 宽度根据纵横比自动计算
Cut | 3 | Resize to the specified size, keep aspect ratio and cut the overflow part 改变到指定大小, 保持纵横比并剪切移除的部分
Padding | 4 | Resize to the specified size, keep aspect ratio and padding the insufficient part 改变到指定大小, 保持纵横比并填充不足的部分
See Also

Reference

ZKWebStandard.Extensions Namespace


ISetExtensions Class
ISet extension methods
集合的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsISetExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ISetExtensions
<ExtensionAttribute>
Public NotInheritable Class ISetExtensions
[ExtensionAttribute]
public ref class ISetExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ISetExtensions =  class end

The ISetExtensions type exposes the following members.

Methods
Name | Description
AddRangeT | Batch add elements Return how many elements are not in the set before 批量添加元素 返回有多少个元素之前不在集合中
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


ISetExtensions Methods

The ISetExtensions type exposes the following members.

Methods
Name | Description
AddRangeT | Batch add elements Return how many elements are not in the set before 批量添加元素 返回有多少个元素之前不在集合中
Top
See Also

Reference

ISetExtensions Class
ZKWebStandard.Extensions Namespace


ISetExtensions.AddRange(T) Method

ISetExtensionsAddRangeT Method

Batch add elements
Return how many elements are not in the set before
批量添加元素
返回有多少个元素之前不在集合中

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static long AddRange<T>(
    this ISet<T> set,
    IEnumerable<T> items
)

<ExtensionAttribute>
Public Shared Function AddRange(Of T) (
    set As ISet(Of T),
    items As IEnumerable(Of T)
) As Long
public:
[ExtensionAttribute]
generic<typename T>
static long long AddRange(
    ISet<T>^ set,
    IEnumerable<T>^ items
)
[<ExtensionAttribute>]
static member AddRange :
        set : ISet<'T> *
        items : IEnumerable<'T> -> int64

Parameters

set
Type: System.Collections.GenericISet T
Element set
items
Type: System.Collections.GenericIEnumerable T
Elements want's to add

Type Parameters

T
Element type

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ISetExtensions.AddRange``1(System.Collections.Generic.ISet{``0},System.Collections.Generic.IEnumerable{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ISet T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
set = new SortedSet<int>();
set.AddRange(new[] { 1, 2, 3 });
See Also

Reference

ISetExtensions Class
ZKWebStandard.Extensions Namespace


ITreeNodeExtensions Class
ITreeNode extension methods
树节点接口的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsITreeNodeExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ITreeNodeExtensions
<ExtensionAttribute>
Public NotInheritable Class ITreeNodeExtensions
[ExtensionAttribute]
public ref class ITreeNodeExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ITreeNodeExtensions =  class end

The ITreeNodeExtensions type exposes the following members.

Methods
Name | Description
EnumerateAllNodesT | Enumerate all nodes From top to bottom 枚举所有节点 (DFS) 从上到下 (DFS)
GetParentsT | Get all parent nodes From bottom to top, return empty sequences if node is root 获取所有上级节点 从下到上, 返回空列表如果节点是根节点
VisitAllNodesT | Visit all nodes recursively From top to bottom (DFS) 递归访问所有节点 从上到下 (DFS)
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


ITreeNodeExtensions Methods

The ITreeNodeExtensions type exposes the following members.

Methods
Name | Description
EnumerateAllNodesT | Enumerate all nodes From top to bottom 枚举所有节点 (DFS) 从上到下 (DFS)
GetParentsT | Get all parent nodes From bottom to top, return empty sequences if node is root 获取所有上级节点 从下到上, 返回空列表如果节点是根节点
VisitAllNodesT | Visit all nodes recursively From top to bottom (DFS) 递归访问所有节点 从上到下 (DFS)
Top
See Also

Reference

ITreeNodeExtensions Class
ZKWebStandard.Extensions Namespace


ITreeNodeExtensions.EnumerateAllNodes(T) Method

ITreeNodeExtensionsEnumerateAllNodesT Method

Enumerate all nodes
From top to bottom
枚举所有节点 (DFS)
从上到下 (DFS)

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<ITreeNode<T>> EnumerateAllNodes<T>(
    this ITreeNode<T> node
)

<ExtensionAttribute>
Public Shared Function EnumerateAllNodes(Of T) (
    node As ITreeNode(Of T)
) As IEnumerable(Of ITreeNode(Of T))
public:
[ExtensionAttribute]
generic<typename T>
static IEnumerable<ITreeNode<T>^>^ EnumerateAllNodes(
    ITreeNode<T>^ node
)
[<ExtensionAttribute>]
static member EnumerateAllNodes :
        node : ITreeNode<'T> -> IEnumerable<ITreeNode<'T>>

Parameters

node
Type: ZKWebStandard.UtilsITreeNode T
The node

Type Parameters

T
Node value type

Return Value

Type: IEnumerable ITreeNode T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ITreeNodeExtensions.EnumerateAllNodes``1(ZKWebStandard.Utils.ITreeNode{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ITreeNode T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var elements = new List<TestData>() {
    new TestData(1, 0, "A"),
    new TestData(2, 1, "AA"),
    new TestData(3, 1, "AB"),
    new TestData(4, 0, "B"),
    new TestData(5, 4, "BA"),
    new TestData(6, 4, "BB"),
    new TestData(7, 6, "BBB"),
};
var elementsMapping = elements.ToDictionary(e => e.Id, e => e);
var tree = TreeUtils.CreateTree(elements,
    e => e, e => elementsMapping.GetOrDefault(e.ParentId));

var allNames = tree.EnumerateAllNodes().Select(n => n.Value?.Name).ToList();
// null, A, "AA", "AB", "B", "BA", "BB", "BBB"
See Also

Reference

ITreeNodeExtensions Class
ZKWebStandard.Extensions Namespace


ITreeNodeExtensions.GetParents(T) Method

ITreeNodeExtensionsGetParentsT Method

Get all parent nodes
From bottom to top, return empty sequences if node is root
获取所有上级节点
从下到上, 返回空列表如果节点是根节点

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<ITreeNode<T>> GetParents<T>(
    this ITreeNode<T> node
)

<ExtensionAttribute>
Public Shared Function GetParents(Of T) (
    node As ITreeNode(Of T)
) As IEnumerable(Of ITreeNode(Of T))
public:
[ExtensionAttribute]
generic<typename T>
static IEnumerable<ITreeNode<T>^>^ GetParents(
    ITreeNode<T>^ node
)
[<ExtensionAttribute>]
static member GetParents :
        node : ITreeNode<'T> -> IEnumerable<ITreeNode<'T>>

Parameters

node
Type: ZKWebStandard.UtilsITreeNode T
The node

Type Parameters

T
Node value type

Return Value

Type: IEnumerable ITreeNode T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ITreeNodeExtensions.GetParents``1(ZKWebStandard.Utils.ITreeNode{``0})"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ITreeNode T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var elements = new List<TestData>() {
    new TestData(1, 0, "A"),
    new TestData(2, 1, "AA"),
    new TestData(3, 1, "AB"),
    new TestData(4, 0, "B"),
    new TestData(5, 4, "BA"),
    new TestData(6, 4, "BB"),
    new TestData(7, 6, "BBB"),
};
var elementsMapping = elements.ToDictionary(e => e.Id, e => e);
var tree = TreeUtils.CreateTree(elements,
    e => e, e => elementsMapping.GetOrDefault(e.ParentId));

var nodeBBB = tree.EnumerateAllNodes().First(n => n.Value?.Name == "BBB");
var nodeBBBParents = nodeBBB.GetParents().ToList(); // BB, B, Root
See Also

Reference

ITreeNodeExtensions Class
ZKWebStandard.Extensions Namespace


ITreeNodeExtensions.VisitAllNodes(T) Method

ITreeNodeExtensionsVisitAllNodesT Method

Visit all nodes recursively
From top to bottom (DFS)
递归访问所有节点
从上到下 (DFS)

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void VisitAllNodes<T>(
    this ITreeNode<T> node,
    Action<ITreeNode<T>> visit
)

<ExtensionAttribute>
Public Shared Sub VisitAllNodes(Of T) (
    node As ITreeNode(Of T),
    visit As Action(Of ITreeNode(Of T))
)
public:
[ExtensionAttribute]
generic<typename T>
static void VisitAllNodes(
    ITreeNode<T>^ node,
    Action<ITreeNode<T>^>^ visit
)
[<ExtensionAttribute>]
static member VisitAllNodes :
        node : ITreeNode<'T> *
        visit : Action<ITreeNode<'T>> -> unit

Parameters

node
Type: ZKWebStandard.UtilsITreeNode T
The node
visit
Type: SystemAction ITreeNode T
Visit action

Type Parameters

T
Node value type

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type ITreeNode T. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var elements = new List<TestData>() {
    new TestData(1, 0, "A"),
    new TestData(2, 1, "AA"),
    new TestData(3, 1, "AB"),
    new TestData(4, 0, "B"),
    new TestData(5, 4, "BA"),
    new TestData(6, 4, "BB"),
    new TestData(7, 6, "BBB"),
};
var elementsMapping = elements.ToDictionary(e => e.Id, e => e);
var tree = TreeUtils.CreateTree(elements,
    e => e, e => elementsMapping.GetOrDefault(e.ParentId));

var visitedNames = new List<string>();
tree.VisitAllNodes(n => visitedNames.Add(n.Value?.Name));
// null, A, "AA", "AB", "B", "BA", "BB", "BBB"
See Also

Reference

ITreeNodeExtensions Class
ZKWebStandard.Extensions Namespace


MemberInfoExtensions Class
MemberInfo extensions
成员信息的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsMemberInfoExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class MemberInfoExtensions
<ExtensionAttribute>
Public NotInheritable Class MemberInfoExtensions
[ExtensionAttribute]
public ref class MemberInfoExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type MemberInfoExtensions =  class end

The MemberInfoExtensions type exposes the following members.

Methods
Name | Description
GetAttributeTAttribute | Get specified type attribute Return null if not found Will not search inherited attributes 获取指定类型的属性 不存在时返回null 不搜索继承的属性
GetAttributesTAttribute(MemberInfo) | Get specified type attributes 获取指定类型的属性
GetAttributesTAttribute(MemberInfo, Boolean) | Get specified type attributes with inherit option 获取指定类型的属性, 可以指定是否搜索继承
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


MemberInfoExtensions Methods

The MemberInfoExtensions type exposes the following members.

Methods
Name | Description
GetAttributeTAttribute | Get specified type attribute Return null if not found Will not search inherited attributes 获取指定类型的属性 不存在时返回null 不搜索继承的属性
GetAttributesTAttribute(MemberInfo) | Get specified type attributes 获取指定类型的属性
GetAttributesTAttribute(MemberInfo, Boolean) | Get specified type attributes with inherit option 获取指定类型的属性, 可以指定是否搜索继承
Top
See Also

Reference

MemberInfoExtensions Class
ZKWebStandard.Extensions Namespace


MemberInfoExtensions.GetAttribute(TAttribute) Method

MemberInfoExtensionsGetAttributeTAttribute Method

Get specified type attribute
Return null if not found
Will not search inherited attributes
获取指定类型的属性
不存在时返回null
不搜索继承的属性

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TAttribute GetAttribute<TAttribute>(
    this MemberInfo info
)
where TAttribute : Attribute

<ExtensionAttribute>
Public Shared Function GetAttribute(Of TAttribute As Attribute) (
    info As MemberInfo
) As TAttribute
public:
[ExtensionAttribute]
generic<typename TAttribute>
where TAttribute : Attribute
static TAttribute GetAttribute(
    MemberInfo^ info
)
[<ExtensionAttribute>]
static member GetAttribute :
        info : MemberInfo -> 'TAttribute  when 'TAttribute : Attribute

Parameters

info
Type: System.ReflectionMemberInfo
Member infomation

Type Parameters

TAttribute
Attribute type

Return Value

Type: TAttribute

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.MemberInfoExtensions.GetAttribute``1(System.Reflection.MemberInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type MemberInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var info = typeof(TestData).FastGetProperty("TestProperty");
var attribute = info.GetAttribute<DescriptionAttribute>();
See Also

Reference

MemberInfoExtensions Class
ZKWebStandard.Extensions Namespace


MemberInfoExtensions.GetAttributes Method

MemberInfoExtensionsGetAttributes Method

Overload List
Name | Description
GetAttributesTAttribute(MemberInfo) | Get specified type attributes 获取指定类型的属性
GetAttributesTAttribute(MemberInfo, Boolean) | Get specified type attributes with inherit option 获取指定类型的属性, 可以指定是否搜索继承
Top
See Also

Reference

MemberInfoExtensions Class
ZKWebStandard.Extensions Namespace


MemberInfoExtensions.GetAttributes(TAttribute) Method (MemberInfo)

MemberInfoExtensionsGetAttributesTAttribute Method (MemberInfo)
Get specified type attributes
获取指定类型的属性

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<TAttribute> GetAttributes<TAttribute>(
    this MemberInfo info
)
where TAttribute : Attribute

<ExtensionAttribute>
Public Shared Function GetAttributes(Of TAttribute As Attribute) (
    info As MemberInfo
) As IEnumerable(Of TAttribute)
public:
[ExtensionAttribute]
generic<typename TAttribute>
where TAttribute : Attribute
static IEnumerable<TAttribute>^ GetAttributes(
    MemberInfo^ info
)
[<ExtensionAttribute>]
static member GetAttributes :
        info : MemberInfo -> IEnumerable<'TAttribute>  when 'TAttribute : Attribute

Parameters

info
Type: System.ReflectionMemberInfo
Member infomation

Type Parameters

TAttribute
Attribute type

Return Value

Type: IEnumerable TAttribute

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.MemberInfoExtensions.GetAttributes``1(System.Reflection.MemberInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type MemberInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var info = typeof(TestData).FastGetProperty("TestProperty");
var attributes = info.GetAttributes<Attribute>();
See Also

Reference

MemberInfoExtensions Class
GetAttributes Overload
ZKWebStandard.Extensions Namespace


MemberInfoExtensions.GetAttributes(TAttribute) Method (MemberInfo, Boolean)

MemberInfoExtensionsGetAttributesTAttribute Method (MemberInfo, Boolean)
Get specified type attributes with inherit option
获取指定类型的属性, 可以指定是否搜索继承

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<TAttribute> GetAttributes<TAttribute>(
    this MemberInfo info,
    bool inherit
)
where TAttribute : Attribute

<ExtensionAttribute>
Public Shared Function GetAttributes(Of TAttribute As Attribute) (
    info As MemberInfo,
    inherit As Boolean
) As IEnumerable(Of TAttribute)
public:
[ExtensionAttribute]
generic<typename TAttribute>
where TAttribute : Attribute
static IEnumerable<TAttribute>^ GetAttributes(
    MemberInfo^ info,
    bool inherit
)
[<ExtensionAttribute>]
static member GetAttributes :
        info : MemberInfo *
        inherit : bool -> IEnumerable<'TAttribute>  when 'TAttribute : Attribute

Parameters

info
Type: System.ReflectionMemberInfo
Member infomation
inherit
Type: SystemBoolean
Should search override method or property's attributes

Type Parameters

TAttribute
Attribute type

Return Value

Type: IEnumerable TAttribute

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.MemberInfoExtensions.GetAttributes``1(System.Reflection.MemberInfo,System.Boolean)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type MemberInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var info = typeof(TestData).FastGetProperty("TestProperty");
var attributes = info.GetAttributes<Attribute>(true);
See Also

Reference

MemberInfoExtensions Class
GetAttributes Overload
ZKWebStandard.Extensions Namespace


MethodInfoExtensions Class
MethodInfo extensions
函数信息的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsMethodInfoExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class MethodInfoExtensions
<ExtensionAttribute>
Public NotInheritable Class MethodInfoExtensions
[ExtensionAttribute]
public ref class MethodInfoExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type MethodInfoExtensions =  class end

The MethodInfoExtensions type exposes the following members.

Methods
Name | Description
GetFullName | Get full name of method Including type name and method name 获取函数的全名 包括类型的全名和函数名称
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


MethodInfoExtensions Methods

The MethodInfoExtensions type exposes the following members.

Methods
Name | Description
GetFullName | Get full name of method Including type name and method name 获取函数的全名 包括类型的全名和函数名称
Top
See Also

Reference

MethodInfoExtensions Class
ZKWebStandard.Extensions Namespace


MethodInfoExtensions.GetFullName Method

MethodInfoExtensionsGetFullName Method

Get full name of method
Including type name and method name
获取函数的全名
包括类型的全名和函数名称

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string GetFullName(
    this MethodInfo info
)
<ExtensionAttribute>
Public Shared Function GetFullName (
    info As MethodInfo
) As String
public:
[ExtensionAttribute]
static String^ GetFullName(
    MethodInfo^ info
)
[<ExtensionAttribute>]
static member GetFullName :
        info : MethodInfo -> string

Parameters

info
Type: System.ReflectionMethodInfo
Method information

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.MethodInfoExtensions.GetFullName(System.Reflection.MethodInfo)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type MethodInfo. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
var methodInfo = this.GetType().FastGetMethod("GetFullName");
var fullname = methodInfo.GetFullName();
See Also

Reference

MethodInfoExtensions Class
ZKWebStandard.Extensions Namespace


ObjectExtensions Class
Object extension methods
对象的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsObjectExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ObjectExtensions
<ExtensionAttribute>
Public NotInheritable Class ObjectExtensions
[ExtensionAttribute]
public ref class ObjectExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type ObjectExtensions =  class end

The ObjectExtensions type exposes the following members.

Methods
Name | Description
CloneByJsonT | Use json serializer to clone object Please sure the object can serialize and deserialize by json.net 使用json序列化来克隆对象 请确保对象可以通过json.net序列化和反序列化
ConvertOrDefault(Object, Type, Object) | Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化
ConvertOrDefaultT(Object, T) | Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值
EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


ObjectExtensions Methods

The ObjectExtensions type exposes the following members.

Methods
Name | Description
CloneByJsonT | Use json serializer to clone object Please sure the object can serialize and deserialize by json.net 使用json序列化来克隆对象 请确保对象可以通过json.net序列化和反序列化
ConvertOrDefault(Object, Type, Object) | Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化
ConvertOrDefaultT(Object, T) | Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值
EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外
Top
See Also

Reference

ObjectExtensions Class
ZKWebStandard.Extensions Namespace


ObjectExtensions.CloneByJson(T) Method

ObjectExtensionsCloneByJsonT Method

Use json serializer to clone object
Please sure the object can serialize and deserialize by json.net
使用json序列化来克隆对象
请确保对象可以通过json.net序列化和反序列化

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T CloneByJson<T>(
    this T obj
)

<ExtensionAttribute>
Public Shared Function CloneByJson(Of T) (
    obj As T
) As T
public:
[ExtensionAttribute]
generic<typename T>
static T CloneByJson(
    T obj
)
[<ExtensionAttribute>]
static member CloneByJson :
        obj : 'T -> 'T

Parameters

obj
Type: T
Object

Type Parameters

T
Object type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ObjectExtensions.CloneByJson``1(``0)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type . When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
class TestData {
    public long A { get; set; }
    public string B { get; set; }
    public bool C;
}

var data = new TestData() { A = 100, B = "TestString", C = true };
var dataClone = data.CloneByJson();
// !object.ReferenceEquals(data, dataClone)
See Also

Reference

ObjectExtensions Class
ZKWebStandard.Extensions Namespace


ObjectExtensions.ConvertOrDefault Method

ObjectExtensionsConvertOrDefault Method

Overload List
Name | Description
ConvertOrDefaultT(Object, T) | Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值
ConvertOrDefault(Object, Type, Object) | Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化
Top
See Also

Reference

ObjectExtensions Class
ZKWebStandard.Extensions Namespace


ObjectExtensions.ConvertOrDefault(T) Method (Object, T)

ObjectExtensionsConvertOrDefaultT Method (Object, T)
Convert object to specified type
Return default value if failed
转换对象到指定的类型
失败时返回默认值

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T ConvertOrDefault<T>(
    this Object obj,
    T defaultValue = null
)

<ExtensionAttribute>
Public Shared Function ConvertOrDefault(Of T) (
    obj As Object,
    Optional defaultValue As T = Nothing
) As T
public:
[ExtensionAttribute]
generic<typename T>
static T ConvertOrDefault(
    Object^ obj,
    T defaultValue = nullptr
)
[<ExtensionAttribute>]
static member ConvertOrDefault :
        obj : Object *
        ?defaultValue : 'T
(* Defaults:
        let _defaultValue = defaultArg defaultValue null
*)
-> 'T

Parameters

obj
Type: SystemObject
Object
defaultValue (Optional)
Type: T
Default value

Type Parameters

T
Type convert to

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ObjectExtensions.ConvertOrDefault``1(System.Object,``0)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
"1".ConvertOrDefault<int>() == 1
(1).ConvertOrDefault<int>() == 1
"abc".ConvertOrDefault<int?>() == null
"abc".ConvertOrDefault<int?>(100) == 100
"1.0".ConvertOrDefault<decimal?>() == 1.0M
"1".ConvertOrDefault<TestEnum?>() == TestEnum.One
(1).ConvertOrDefault<TestEnum?>() == TestEnum.One
"One".ConvertOrDefault<TestEnum>() == TestEnum.One
"One".ConvertOrDefault<TestEnum?>() == TestEnum.One
TestEnum.One.ConvertOrDefault<int>() == 1
TestEnum.One.ConvertOrDefault<string>() == "One"
new List<int>().ConvertOrDefault<int?>() == null
(100).ConvertOrDefault<string>() == "100"
"test".ConvertOrDefault<string>() == "test"
var lst = "[1]".ConvertOrDefault<List<int>>();
lst.SequenceEqual(new[] { 1 })
See Also

Reference

ObjectExtensions Class
ConvertOrDefault Overload
ZKWebStandard.Extensions Namespace


ObjectExtensions.ConvertOrDefault Method (Object, Type, Object)

ObjectExtensionsConvertOrDefault Method (Object, Type, Object)
Convert object to specified type
Return default value if failed
Flow
- If object is Enum and type is int, use Convert.ToInt32
- If object is string and type is Enum, use Enum.Parse
- Use Convert.ChangeType
- If object is string, use json deserialize(obj, type)
- Use json deserialize(serialize(obj), type)
转换对象到指定的类型
失败时返回默认值
流程
- 如果对象是枚举并且类型是int, 使用Convert.ToInt32
- 如果对象是字符串且类型是枚举, 使用Enum.Parse
- 使用Convert.ChangeType
- 如果对象是字符串, 使用json反序列化
- 使用json反序列化对象的json序列化

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Object ConvertOrDefault(
    this Object obj,
    Type type,
    Object defaultValue
)
<ExtensionAttribute>
Public Shared Function ConvertOrDefault (
    obj As Object,
    type As Type,
    defaultValue As Object
) As Object
public:
[ExtensionAttribute]
static Object^ ConvertOrDefault(
    Object^ obj,
    Type^ type,
    Object^ defaultValue
)
[<ExtensionAttribute>]
static member ConvertOrDefault :
        obj : Object *
        type : Type *
        defaultValue : Object -> Object

Parameters

obj
Type: SystemObject
Object
type
Type: SystemType
Target type
defaultValue
Type: SystemObject
Default value

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ObjectExtensions.ConvertOrDefault(System.Object,System.Type,System.Object)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
"1".ConvertOrDefault(typeof(int), 0) == 1
(1).ConvertOrDefault(typeof(int), 0) == 1
"abc".ConvertOrDefault(typeof(int?), null) == null
"abc".ConvertOrDefault(typeof(int?), 100) == 100
"1.0".ConvertOrDefault(typeof(decimal?), null) == 1.0M
"1".ConvertOrDefault(typeof(TestEnum?), null) == TestEnum.One
(1).ConvertOrDefault(typeof(TestEnum?), null) == TestEnum.One
"One".ConvertOrDefault(typeof(TestEnum), null) == TestEnum.One
"One".ConvertOrDefault(typeof(TestEnum?), null) == TestEnum.One
TestEnum.One.ConvertOrDefault(typeof(int), null) == 1
TestEnum.One.ConvertOrDefault(typeof(string), null) == "One"
new List<int>().ConvertOrDefault(typeof(int?), null) == null
(100).ConvertOrDefault(typeof(string), null) == "100"
"test".ConvertOrDefault(typeof(string), null) == "test"
var lst = "[1]".ConvertOrDefault(typeof(List<int>), null) as List<int>;
lst.SequenceEqual(new[] { 1 })
See Also

Reference

ObjectExtensions Class
ConvertOrDefault Overload
ZKWebStandard.Extensions Namespace


ObjectExtensions.EqualsSupportsNull Method

ObjectExtensionsEqualsSupportsNull Method

Compare objects, won't throw exception if any object is null
比较对象, 对象为null时不会抛出例外

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool EqualsSupportsNull(
    this Object obj,
    Object target
)
<ExtensionAttribute>
Public Shared Function EqualsSupportsNull (
    obj As Object,
    target As Object
) As Boolean
public:
[ExtensionAttribute]
static bool EqualsSupportsNull(
    Object^ obj,
    Object^ target
)
[<ExtensionAttribute>]
static member EqualsSupportsNull :
        obj : Object *
        target : Object -> bool

Parameters

obj
Type: SystemObject
Object
target
Type: SystemObject
Target object

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Extensions.ObjectExtensions.EqualsSupportsNull(System.Object,System.Object)"]

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Object. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
((string)null).EqualsSupportsNull("") == false
"".EqualsSupportsNull(null) == false
((string)null).EqualsSupportsNull(null) == true
"abc".EqualsSupportsNull("abc") == true
See Also

Reference

ObjectExtensions Class
ZKWebStandard.Extensions Namespace


StreamExtensions Class
Stream extension methods
数据流的扩展函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.ExtensionsStreamExtensions

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class StreamExtensions
<ExtensionAttribute>
Public NotInheritable Class StreamExtensions
[ExtensionAttribute]
public ref class StreamExtensions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
[<ExtensionAttribute>]
type StreamExtensions =  class end

The StreamExtensions type exposes the following members.

Methods
Name | Description
CopyTo | Copy stream to other stream from `begin` with `size` bytes 复制数据流到其他数据流, 从`begin`开始复制`size`个字节
Top
See Also

Reference

ZKWebStandard.Extensions Namespace


StreamExtensions Methods

The StreamExtensions type exposes the following members.

Methods
Name | Description
CopyTo | Copy stream to other stream from `begin` with `size` bytes 复制数据流到其他数据流, 从`begin`开始复制`size`个字节
Top
See Also

Reference

StreamExtensions Class
ZKWebStandard.Extensions Namespace


StreamExtensions.CopyTo Method

StreamExtensionsCopyTo Method

Copy stream to other stream from `begin` with `size` bytes
复制数据流到其他数据流, 从`begin`开始复制`size`个字节

Namespace: ZKWebStandard.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void CopyTo(
    this Stream source,
    Stream destination,
    int bufferSize,
    long begin,
    long size
)
<ExtensionAttribute>
Public Shared Sub CopyTo (
    source As Stream,
    destination As Stream,
    bufferSize As Integer,
    begin As Long,
    size As Long
)
public:
[ExtensionAttribute]
static void CopyTo(
    Stream^ source,
    Stream^ destination,
    int bufferSize,
    long long begin,
    long long size
)
[<ExtensionAttribute>]
static member CopyTo :
        source : Stream *
        destination : Stream *
        bufferSize : int *
        begin : int64 *
        size : int64 -> unit

Parameters

source
Type: System.IOStream
Source stream
destination
Type: System.IOStream
Destination stream
bufferSize
Type: SystemInt32
Buffer size
begin
Type: SystemInt64
Begin position
size
Type: SystemInt64
Copy size

Return Value

Type:
The actual copied range

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Stream. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
C#
Copy
using (var source = new MemoryStream(Encoding.UTF8.GetBytes("0123456789")))
   using (var desitination = new MemoryStream()) {
       source.CopyTo(desitination, 1024, 1, 3);
       desitination.Seek(0, SeekOrigin.Begin);
       var str = new StreamReader(desitination).ReadToEnd(); // "123"

       desitination.Seek(0, SeekOrigin.Begin);
       source.CopyTo(desitination, 1024, 7, 5);
       desitination.Seek(0, SeekOrigin.Begin);
       str = new StreamReader(desitination).ReadToEnd(); // "789"
   }
See Also

Reference

StreamExtensions Class
ZKWebStandard.Extensions Namespace


ZKWebStandard.Ioc Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Ioc"]

Classes
 | Class | Description
 | Container | IoC container Support constructor dependency injection IoC容器 支持构造函数注入 Benchmark (性能测试) - Register Transient: 1000000/2.3s (DryIoc: 6.1s) - Register Singleton: 1000000/2.6s (DryIoc: 5.2s) - Resolve Transient: 10000000/0.27s (DryIoc: 0.54s) - Resolve Singleton: 10000000/0.27s (DryIoc: 0.43s) - ResolveMany Transient: 10000000/0.84s (DryIoc: 14.7s) - ResolveMany Singleton: 10000000/0.88s (DryIoc: 12.9s)
Public class | ContainerFactoriesCache | Static IoC container factories cache 静态的IoC容器工厂函数缓存
Protected class | ContainerFactoriesCacheTService | Static IoC container factories cache 静态IoC容器的工厂函数缓存
Protected class | ContainerFactoriesCacheData | IoC container factories cache data IoC容器工厂函数缓存的数据
Public class | ExportAttribute | Attribute for register type to IoC container with specific service type 用于根据类型实现的单个服务类型，注册类型到IoC容器的属性
Public class | ExportAttributeBase | Base attribute for register type to IoC container 注册类型到IoC容器使用的属性的基类
Public class | ExportManyAttribute | Attribute for register type to IoC container with itself and it's base type and interfaces 用于根据类型的基类和接口，注册类型到IoC容器的属性
Public class | InjectAttribute | Choose which constructor to inject explicitly 选择注入哪个构造函数时使用的属性
Public class | ReuseAttribute | Reuse type attribute It should use with ExportManyAttributes 标记重用类型的属性 应该与ExportManyAttribute一起使用
Public class | SingletonReuseAttribute | Singleton reuse attribute A convenient attribute from ReuseAttribute 标记单例的属性 继承了ReuseAttribute的便捷属性
Structures
 | Structure | Description
Public structure | ContainerFactoryData | Factory data Include function object and implementation type 工厂函数数据 包括函数对象和实现类型
Interfaces
 | Interface | Description
 | IContainer | Interface for IoC container IoC容器的接口
Public interface | IGenericRegistrator | Interface for generic registrator 泛型注册器的接口
Public interface | IGenericResolver | Interface for generic resolver 泛型解决器的接口
Public interface | IRegistrator | Interface for registrator 注册器的接口
Public interface | IResolver | Interface for resolver 解决器的接口
Enumerations
 | Enumeration | Description
Public enumeration | IfUnresolved | Action when service unresolved 服务解决失败时的操作
Public enumeration | ReuseType | Service reuse type 重用类型


Container Class
IoC container
Support constructor dependency injection
IoC容器
支持构造函数注入
Benchmark (性能测试)
- Register Transient: 1000000/2.3s (DryIoc: 6.1s) - Register Singleton: 1000000/2.6s (DryIoc: 5.2s) - Resolve Transient: 10000000/0.27s (DryIoc: 0.54s) - Resolve Singleton: 10000000/0.27s (DryIoc: 0.43s) - ResolveMany Transient: 10000000/0.84s (DryIoc: 14.7s) - ResolveMany Singleton: 10000000/0.88s (DryIoc: 12.9s)
Inheritance Hierarchy
SystemObject
ZKWebStandard.IocContainer

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class Container : IContainer, IRegistrator,
    IGenericRegistrator, IResolver, IGenericResolver, IDisposable
Public Class Container
    Implements IContainer, IRegistrator, IGenericRegistrator, IResolver,
    IGenericResolver, IDisposable
public ref class Container : IContainer,
    IRegistrator, IGenericRegistrator, IResolver, IGenericResolver, IDisposable
type Container =
    class
        interface IContainer
        interface IRegistrator
        interface IGenericRegistrator
        interface IResolver
        interface IGenericResolver
        interface IDisposable
    end

The Container type exposes the following members.

Constructors
 | Name | Description
Public method | Container | Initialize 初始化
Top
Properties
 | Name | Description
Protected property | Factories | Factories 工厂函数的集合 { (Type, Service key): (Factory, Implementation Type) }
Protected property | FactoriesLock | Factories lock 访问工厂函数的集合时使用的锁
Top
Methods
 | Name | Description
Public method | Clone | Clone container 克隆容器
Public method | Dispose | Dispose container 清理容器的资源
 | GetImplementedServiceTypes | Get base types and interfaces that can be a service type What type can't be a service type - It's non public and parameter nonPublicServiceTypes is false - It's from mscorlib 获取类型的可以作为服务类型的基类和接口类 什么类型不能作为服务类型 - 类型是非公开, 并且参数nonPublicServiceTypes是false - 类型来源于mscorlib
 | GetImplementedTypes | Get base types and interfaces 获取类型的所有基类和接口类
Public method | Register(Type, Type, ReuseType, Object) | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | RegisterTService, TImplementation(ReuseType, Object) | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | RegisterDelegate(Type, FuncObject, ReuseType, Object) | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterDelegateTService(FuncTService, ReuseType, Object) | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterExports | Automatic register types by export attributes 按Export属性自动注册类型到容器
Protected method | RegisterFactory | Register factory with service type and service key 根据服务类型和服务键注册工厂函数
Protected method | RegisterFactoryMany | Register factory with service types and service key 根据多个服务类型和服务键注册工厂函数
Public method | RegisterInstance(Type, Object, Object) | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterInstanceTService(TService, Object) | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterMany(IListType, Type, ReuseType, Object) | Register implementation type with service types and service key 根据多个服务类型和服务键注册实现类型
Public method | RegisterMany(Type, ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Public method | RegisterManyTImplementation(ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Protected method | RegisterSelf | Register self instance 注册自身到容器
Public method | Resolve(Type, IfUnresolved, Object) | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | ResolveTService(IfUnresolved, Object) | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | ResolveMany(Type, Object) | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取实例列表 如果无注册的服务则返回空列表
Public method | ResolveManyTService(Object) | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取服务列表 如果无注册的服务则返回空列表
Public method | Unregister(Type, Object) | Unregister all factories with specified service type and service key 注销所有注册到指定服务类型和服务键的工厂函数
Public method | UnregisterTService(Object) | Unregister all factories with specified service type and service key 注销所有注册到指定服务类型和服务键的工厂函数
Public method | UnregisterAll | Unregister all factories 注销所有工厂函数
Public method | UnregisterImplementation(Type, Object) | Unregister factories with specified implementation type and service key 按实现类型和服务键注销所有相关的工厂函数
Public method | UnregisterImplementationTImplementation(Object) | Unregister factories with specified implementation type and service key 按实现类型和服务键注册所有相关的工厂函数
Protected method | UpdateFactoriesCacheTService | Update factories cache for service type and return newest data 根据服务类型更新工厂函数的缓存并返回最新的数据
Top
Fields
 | Name | Description
Protected field | Revision | Increase after each modification 更新后自动增加
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildFactory(FuncObject, ReuseType) | Overloaded. Build factory from original factory and reuse type 根据原工厂函数和重用类型构建新的工厂函数 (Defined by IContainerExtensions.)
Public Extension Method | BuildFactory(Type, ReuseType) | Overloaded. Build factory from type and reuse type 根据类型和重用类型构建工厂函数 (Defined by IContainerExtensions.)
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
void Example() {
    var animals = Application.Ioc.ResolveMany<IAnimal>()
    // animals contains instances of Dog and Cow

    var animalManager = Application.Ioc.Resolve<IAnimalManager>();
    // animalManager is AnimalManager

    var otherAnimalManager = Application.Ioc.Resolve<IAnimalManager>();
    // animalManager only create once, otherAnimalManager == animalManager
}

public interface IAnimal { }

[ExportMany]
public class Dog : IAnimal { }

[ExportMany]
public class Cow : IAnimal { }

public interface IAnimalManager { }

[ExportMany, SingletonUsage]
public class AnimalManager : IAnimalManager {
    // inject animals
    public AnimalManager(IEnumerable<IAnimal> animals) { }
}
   ///
///
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocIRegistrator
ZKWebStandard.IocIGenericRegistrator
ZKWebStandard.IocIResolver
ZKWebStandard.IocIGenericResolver
ZKWebStandard.ExtensionsIContainerExtensions


Container Constructor

Initialize
初始化

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Container()
Public Sub New
public:
Container()
new : unit -> Container
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container Properties

The Container type exposes the following members.

Properties
 | Name | Description
Protected property | Factories | Factories 工厂函数的集合 { (Type, Service key): (Factory, Implementation Type) }
Protected property | FactoriesLock | Factories lock 访问工厂函数的集合时使用的锁
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Factories Property

ContainerFactories Property

Factories
工厂函数的集合
{ (Type, Service key): (Factory, Implementation Type) }

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IDictionary<Pair<Type, Object>, List<ContainerFactoryData>> Factories { get; set; }
Protected Property Factories As IDictionary(Of Pair(Of Type, Object), List(Of ContainerFactoryData))
    Get
    Set
protected:
property IDictionary<Pair<Type^, Object^>, List<ContainerFactoryData>^>^ Factories {
    IDictionary<Pair<Type^, Object^>, List<ContainerFactoryData>^>^ get ();
    void set (IDictionary<Pair<Type^, Object^>, List<ContainerFactoryData>^>^ value);
}
member Factories : IDictionary<Pair<Type, Object>, List<ContainerFactoryData>> with get, set

Property Value

Type: IDictionary Pair Type, Object , List ContainerFactoryData
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.FactoriesLock Property

ContainerFactoriesLock Property

Factories lock
访问工厂函数的集合时使用的锁

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ReaderWriterLockSlim FactoriesLock { get; set; }
Protected Property FactoriesLock As ReaderWriterLockSlim
    Get
    Set
protected:
property ReaderWriterLockSlim^ FactoriesLock {
    ReaderWriterLockSlim^ get ();
    void set (ReaderWriterLockSlim^ value);
}
member FactoriesLock : ReaderWriterLockSlim with get, set

Property Value

Type: ReaderWriterLockSlim
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container Methods

The Container type exposes the following members.

Methods
 | Name | Description
Public method | Clone | Clone container 克隆容器
Public method | Dispose | Dispose container 清理容器的资源
 | GetImplementedServiceTypes | Get base types and interfaces that can be a service type What type can't be a service type - It's non public and parameter nonPublicServiceTypes is false - It's from mscorlib 获取类型的可以作为服务类型的基类和接口类 什么类型不能作为服务类型 - 类型是非公开, 并且参数nonPublicServiceTypes是false - 类型来源于mscorlib
 | GetImplementedTypes | Get base types and interfaces 获取类型的所有基类和接口类
Public method | Register(Type, Type, ReuseType, Object) | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | RegisterTService, TImplementation(ReuseType, Object) | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | RegisterDelegate(Type, FuncObject, ReuseType, Object) | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterDelegateTService(FuncTService, ReuseType, Object) | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterExports | Automatic register types by export attributes 按Export属性自动注册类型到容器
Protected method | RegisterFactory | Register factory with service type and service key 根据服务类型和服务键注册工厂函数
Protected method | RegisterFactoryMany | Register factory with service types and service key 根据多个服务类型和服务键注册工厂函数
Public method | RegisterInstance(Type, Object, Object) | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterInstanceTService(TService, Object) | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterMany(IListType, Type, ReuseType, Object) | Register implementation type with service types and service key 根据多个服务类型和服务键注册实现类型
Public method | RegisterMany(Type, ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Public method | RegisterManyTImplementation(ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Protected method | RegisterSelf | Register self instance 注册自身到容器
Public method | Resolve(Type, IfUnresolved, Object) | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | ResolveTService(IfUnresolved, Object) | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | ResolveMany(Type, Object) | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取实例列表 如果无注册的服务则返回空列表
Public method | ResolveManyTService(Object) | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取服务列表 如果无注册的服务则返回空列表
Public method | Unregister(Type, Object) | Unregister all factories with specified service type and service key 注销所有注册到指定服务类型和服务键的工厂函数
Public method | UnregisterTService(Object) | Unregister all factories with specified service type and service key 注销所有注册到指定服务类型和服务键的工厂函数
Public method | UnregisterAll | Unregister all factories 注销所有工厂函数
Public method | UnregisterImplementation(Type, Object) | Unregister factories with specified implementation type and service key 按实现类型和服务键注销所有相关的工厂函数
Public method | UnregisterImplementationTImplementation(Object) | Unregister factories with specified implementation type and service key 按实现类型和服务键注册所有相关的工厂函数
Protected method | UpdateFactoriesCacheTService | Update factories cache for service type and return newest data 根据服务类型更新工厂函数的缓存并返回最新的数据
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildFactory(FuncObject, ReuseType) | Overloaded. Build factory from original factory and reuse type 根据原工厂函数和重用类型构建新的工厂函数 (Defined by IContainerExtensions.)
Public Extension Method | BuildFactory(Type, ReuseType) | Overloaded. Build factory from type and reuse type 根据类型和重用类型构建工厂函数 (Defined by IContainerExtensions.)
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Clone Method

ContainerClone Method

Clone container
克隆容器

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Clone()
Public Function Clone As Object
public:
virtual Object^ Clone() sealed
abstract Clone : unit -> Object
override Clone : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.Container.Clone"]

Implements

IContainerClone
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Dispose Method

ContainerDispose Method

Dispose container
清理容器的资源

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Dispose()
Public Sub Dispose
public:
virtual void Dispose() sealed
abstract Dispose : unit -> unit
override Dispose : unit -> unit

Implements

IDisposableDispose
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.GetImplementedServiceTypes Method

ContainerGetImplementedServiceTypes Method

Get base types and interfaces that can be a service type
What type can't be a service type
- It's non public and parameter nonPublicServiceTypes is false
- It's from mscorlib
获取类型的可以作为服务类型的基类和接口类
什么类型不能作为服务类型
- 类型是非公开, 并且参数nonPublicServiceTypes是false
- 类型来源于mscorlib

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<Type> GetImplementedServiceTypes(
    Type type,
    bool nonPublicServiceTypes
)
Public Shared Function GetImplementedServiceTypes (
    type As Type,
    nonPublicServiceTypes As Boolean
) As IEnumerable(Of Type)
public:
static IEnumerable<Type^>^ GetImplementedServiceTypes(
    Type^ type,
    bool nonPublicServiceTypes
)
static member GetImplementedServiceTypes :
        type : Type *
        nonPublicServiceTypes : bool -> IEnumerable<Type>

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:ZKWebStandard.Ioc.Container.GetImplementedServiceTypes(System.Type,System.Boolean)"]

nonPublicServiceTypes
Type: SystemBoolean

[Missing <param name="nonPublicServiceTypes"/> documentation for "M:ZKWebStandard.Ioc.Container.GetImplementedServiceTypes(System.Type,System.Boolean)"]

Return Value

Type: IEnumerable Type

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.Container.GetImplementedServiceTypes(System.Type,System.Boolean)"]

See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.GetImplementedTypes Method

ContainerGetImplementedTypes Method

Get base types and interfaces
获取类型的所有基类和接口类

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IEnumerable<Type> GetImplementedTypes(
    Type type
)
Public Shared Function GetImplementedTypes (
    type As Type
) As IEnumerable(Of Type)
public:
static IEnumerable<Type^>^ GetImplementedTypes(
    Type^ type
)
static member GetImplementedTypes :
        type : Type -> IEnumerable<Type>

Parameters

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:ZKWebStandard.Ioc.Container.GetImplementedTypes(System.Type)"]

Return Value

Type: IEnumerable Type

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.Container.GetImplementedTypes(System.Type)"]

See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Register Method

ContainerRegister Method

Overload List
 | Name | Description
Public method | RegisterTService, TImplementation(ReuseType, Object) | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | Register(Type, Type, ReuseType, Object) | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Register(TService, TImplementation) Method (ReuseType, Object)

ContainerRegisterTService, TImplementation Method (ReuseType, Object)
Register implementation type with service type and service key
根据服务类型和服务键注册实现类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Register<TService, TImplementation>(
    ReuseType reuseType,
    Object serviceKey
)

Public Sub Register(Of TService, TImplementation) (
    reuseType As ReuseType,
    serviceKey As Object
)
public:
generic<typename TService, typename TImplementation>
virtual void Register(
    ReuseType reuseType,
    Object^ serviceKey
) sealed
abstract Register :
        reuseType : ReuseType *
        serviceKey : Object -> unit
override Register :
        reuseType : ReuseType *
        serviceKey : Object -> unit

Parameters

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.Container.Register``2(ZKWebStandard.Ioc.ReuseType,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.Register``2(ZKWebStandard.Ioc.ReuseType,System.Object)"]

Type Parameters

TService

[Missing <typeparam name="TService"/> documentation for "M:ZKWebStandard.Ioc.Container.Register``2(ZKWebStandard.Ioc.ReuseType,System.Object)"]

TImplementation

[Missing <typeparam name="TImplementation"/> documentation for "M:ZKWebStandard.Ioc.Container.Register``2(ZKWebStandard.Ioc.ReuseType,System.Object)"]

Implements

IGenericRegistratorRegisterTService, TImplementation(ReuseType, Object)
See Also

Reference

Container Class
Register Overload
ZKWebStandard.Ioc Namespace


Container.Register Method (Type, Type, ReuseType, Object)

ContainerRegister Method (Type, Type, ReuseType, Object)
Register implementation type with service type and service key
根据服务类型和服务键注册实现类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Register(
    Type serviceType,
    Type implementationType,
    ReuseType reuseType,
    Object serviceKey
)
Public Sub Register (
    serviceType As Type,
    implementationType As Type,
    reuseType As ReuseType,
    serviceKey As Object
)
public:
virtual void Register(
    Type^ serviceType,
    Type^ implementationType,
    ReuseType reuseType,
    Object^ serviceKey
) sealed
abstract Register :
        serviceType : Type *
        implementationType : Type *
        reuseType : ReuseType *
        serviceKey : Object -> unit
override Register :
        serviceType : Type *
        implementationType : Type *
        reuseType : ReuseType *
        serviceKey : Object -> unit

Parameters

serviceType
Type: SystemType

[Missing <param name="serviceType"/> documentation for "M:ZKWebStandard.Ioc.Container.Register(System.Type,System.Type,ZKWebStandard.Ioc.ReuseType,System.Object)"]

implementationType
Type: SystemType

[Missing <param name="implementationType"/> documentation for "M:ZKWebStandard.Ioc.Container.Register(System.Type,System.Type,ZKWebStandard.Ioc.ReuseType,System.Object)"]

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.Container.Register(System.Type,System.Type,ZKWebStandard.Ioc.ReuseType,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.Register(System.Type,System.Type,ZKWebStandard.Ioc.ReuseType,System.Object)"]

Implements

IRegistratorRegister(Type, Type, ReuseType, Object)
See Also

Reference

Container Class
Register Overload
ZKWebStandard.Ioc Namespace


Container.RegisterDelegate Method

ContainerRegisterDelegate Method

Overload List
 | Name | Description
Public method | RegisterDelegateTService(FuncTService, ReuseType, Object) | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterDelegate(Type, FuncObject, ReuseType, Object) | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.RegisterDelegate(TService) Method (Func(TService), ReuseType, Object)

ContainerRegisterDelegateTService Method (FuncTService, ReuseType, Object)
Register delegate with service type and service key
根据服务类型和服务键注册工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterDelegate<TService>(
    Func<TService> factory,
    ReuseType reuseType,
    Object serviceKey
)

Public Sub RegisterDelegate(Of TService) (
    factory As Func(Of TService),
    reuseType As ReuseType,
    serviceKey As Object
)
public:
generic<typename TService>
virtual void RegisterDelegate(
    Func<TService>^ factory,
    ReuseType reuseType,
    Object^ serviceKey
) sealed
abstract RegisterDelegate :
        factory : Func<'TService> *
        reuseType : ReuseType *
        serviceKey : Object -> unit
override RegisterDelegate :
        factory : Func<'TService> *
        reuseType : ReuseType *
        serviceKey : Object -> unit

Parameters

factory
Type: SystemFunc TService

[Missing <param name="factory"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterDelegate``1(System.Func{``0},ZKWebStandard.Ioc.ReuseType,System.Object)"]

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterDelegate``1(System.Func{``0},ZKWebStandard.Ioc.ReuseType,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterDelegate``1(System.Func{``0},ZKWebStandard.Ioc.ReuseType,System.Object)"]

Type Parameters

TService

[Missing <typeparam name="TService"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterDelegate``1(System.Func{``0},ZKWebStandard.Ioc.ReuseType,System.Object)"]

Implements

IGenericRegistratorRegisterDelegateTService(FuncTService, ReuseType, Object)
See Also

Reference

Container Class
RegisterDelegate Overload
ZKWebStandard.Ioc Namespace


Container.RegisterDelegate Method (Type, Func(Object), ReuseType, Object)

ContainerRegisterDelegate Method (Type, FuncObject, ReuseType, Object)
Register delegate with service type and service key
根据服务类型和服务键注册工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterDelegate(
    Type serviceType,
    Func<Object> factory,
    ReuseType reuseType,
    Object serviceKey
)
Public Sub RegisterDelegate (
    serviceType As Type,
    factory As Func(Of Object),
    reuseType As ReuseType,
    serviceKey As Object
)
public:
virtual void RegisterDelegate(
    Type^ serviceType,
    Func<Object^>^ factory,
    ReuseType reuseType,
    Object^ serviceKey
) sealed
abstract RegisterDelegate :
        serviceType : Type *
        factory : Func<Object> *
        reuseType : ReuseType *
        serviceKey : Object -> unit
override RegisterDelegate :
        serviceType : Type *
        factory : Func<Object> *
        reuseType : ReuseType *
        serviceKey : Object -> unit

Parameters

serviceType
Type: SystemType

[Missing <param name="serviceType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterDelegate(System.Type,System.Func{System.Object},ZKWebStandard.Ioc.ReuseType,System.Object)"]

factory
Type: SystemFunc Object

[Missing <param name="factory"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterDelegate(System.Type,System.Func{System.Object},ZKWebStandard.Ioc.ReuseType,System.Object)"]

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterDelegate(System.Type,System.Func{System.Object},ZKWebStandard.Ioc.ReuseType,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterDelegate(System.Type,System.Func{System.Object},ZKWebStandard.Ioc.ReuseType,System.Object)"]

Implements

IRegistratorRegisterDelegate(Type, FuncObject, ReuseType, Object)
See Also

Reference

Container Class
RegisterDelegate Overload
ZKWebStandard.Ioc Namespace


Container.RegisterExports Method

ContainerRegisterExports Method

Automatic register types by export attributes
按Export属性自动注册类型到容器

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterExports(
    IEnumerable<Type> types
)
Public Sub RegisterExports (
    types As IEnumerable(Of Type)
)
public:
virtual void RegisterExports(
    IEnumerable<Type^>^ types
) sealed
abstract RegisterExports :
        types : IEnumerable<Type> -> unit
override RegisterExports :
        types : IEnumerable<Type> -> unit

Parameters

types
Type: System.Collections.GenericIEnumerable Type

[Missing <param name="types"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterExports(System.Collections.Generic.IEnumerable{System.Type})"]

Implements

IRegistratorRegisterExports(IEnumerableType)
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.RegisterFactory Method

ContainerRegisterFactory Method

Register factory with service type and service key
根据服务类型和服务键注册工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void RegisterFactory(
    Type serviceType,
    ContainerFactoryData factoryData,
    Object serviceKey
)
Protected Sub RegisterFactory (
    serviceType As Type,
    factoryData As ContainerFactoryData,
    serviceKey As Object
)
protected:
void RegisterFactory(
    Type^ serviceType,
    ContainerFactoryData factoryData,
    Object^ serviceKey
)
member RegisterFactory :
        serviceType : Type *
        factoryData : ContainerFactoryData *
        serviceKey : Object -> unit

Parameters

serviceType
Type: SystemType

[Missing <param name="serviceType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterFactory(System.Type,ZKWebStandard.Ioc.ContainerFactoryData,System.Object)"]

factoryData
Type: ZKWebStandard.IocContainerFactoryData

[Missing <param name="factoryData"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterFactory(System.Type,ZKWebStandard.Ioc.ContainerFactoryData,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterFactory(System.Type,ZKWebStandard.Ioc.ContainerFactoryData,System.Object)"]

See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.RegisterFactoryMany Method

ContainerRegisterFactoryMany Method

Register factory with service types and service key
根据多个服务类型和服务键注册工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void RegisterFactoryMany(
    IList<Type> serviceTypes,
    ContainerFactoryData factoryData,
    Object serviceKey
)
Protected Sub RegisterFactoryMany (
    serviceTypes As IList(Of Type),
    factoryData As ContainerFactoryData,
    serviceKey As Object
)
protected:
void RegisterFactoryMany(
    IList<Type^>^ serviceTypes,
    ContainerFactoryData factoryData,
    Object^ serviceKey
)
member RegisterFactoryMany :
        serviceTypes : IList<Type> *
        factoryData : ContainerFactoryData *
        serviceKey : Object -> unit

Parameters

serviceTypes
Type: System.Collections.GenericIList Type

[Missing <param name="serviceTypes"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterFactoryMany(System.Collections.Generic.IList{System.Type},ZKWebStandard.Ioc.ContainerFactoryData,System.Object)"]

factoryData
Type: ZKWebStandard.IocContainerFactoryData

[Missing <param name="factoryData"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterFactoryMany(System.Collections.Generic.IList{System.Type},ZKWebStandard.Ioc.ContainerFactoryData,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterFactoryMany(System.Collections.Generic.IList{System.Type},ZKWebStandard.Ioc.ContainerFactoryData,System.Object)"]

See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.RegisterInstance Method

ContainerRegisterInstance Method

Overload List
 | Name | Description
Public method | RegisterInstanceTService(TService, Object) | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterInstance(Type, Object, Object) | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.RegisterInstance(TService) Method (TService, Object)

ContainerRegisterInstanceTService Method (TService, Object)
Register instance with service type and service key
Reuse type is forced to Singleton
根据服务类型和服务键注册实例
重用类型强制为单例

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterInstance<TService>(
    TService instance,
    Object serviceKey
)

Public Sub RegisterInstance(Of TService) (
    instance As TService,
    serviceKey As Object
)
public:
generic<typename TService>
virtual void RegisterInstance(
    TService instance,
    Object^ serviceKey
) sealed
abstract RegisterInstance :
        instance : 'TService *
        serviceKey : Object -> unit
override RegisterInstance :
        instance : 'TService *
        serviceKey : Object -> unit

Parameters

instance
Type: TService

[Missing <param name="instance"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterInstance``1(``0,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterInstance``1(``0,System.Object)"]

Type Parameters

TService

[Missing <typeparam name="TService"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterInstance``1(``0,System.Object)"]

Implements

IGenericRegistratorRegisterInstanceTService(TService, Object)
See Also

Reference

Container Class
RegisterInstance Overload
ZKWebStandard.Ioc Namespace


Container.RegisterInstance Method (Type, Object, Object)

ContainerRegisterInstance Method (Type, Object, Object)
Register instance with service type and service key
Reuse type is forced to Singleton
根据服务类型和服务键注册实例
重用类型强制为单例

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterInstance(
    Type serviceType,
    Object instance,
    Object serviceKey
)
Public Sub RegisterInstance (
    serviceType As Type,
    instance As Object,
    serviceKey As Object
)
public:
virtual void RegisterInstance(
    Type^ serviceType,
    Object^ instance,
    Object^ serviceKey
) sealed
abstract RegisterInstance :
        serviceType : Type *
        instance : Object *
        serviceKey : Object -> unit
override RegisterInstance :
        serviceType : Type *
        instance : Object *
        serviceKey : Object -> unit

Parameters

serviceType
Type: SystemType

[Missing <param name="serviceType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterInstance(System.Type,System.Object,System.Object)"]

instance
Type: SystemObject

[Missing <param name="instance"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterInstance(System.Type,System.Object,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterInstance(System.Type,System.Object,System.Object)"]

Implements

IRegistratorRegisterInstance(Type, Object, Object)
See Also

Reference

Container Class
RegisterInstance Overload
ZKWebStandard.Ioc Namespace


Container.RegisterMany Method

ContainerRegisterMany Method

Overload List
 | Name | Description
Public method | RegisterManyTImplementation(ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Public method | RegisterMany(IListType, Type, ReuseType, Object) | Register implementation type with service types and service key 根据多个服务类型和服务键注册实现类型
Public method | RegisterMany(Type, ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.RegisterMany(TImplementation) Method (ReuseType, Object, Boolean)

ContainerRegisterManyTImplementation Method (ReuseType, Object, Boolean)
Register implementation type with service types and service key
Service types are obtain from base types and interfaces
根据多个服务类型和服务键注册实现类型
服务类型是实现类型的基类和接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterMany<TImplementation>(
    ReuseType reuseType,
    Object serviceKey,
    bool nonPublicServiceTypes
)

Public Sub RegisterMany(Of TImplementation) (
    reuseType As ReuseType,
    serviceKey As Object,
    nonPublicServiceTypes As Boolean
)
public:
generic<typename TImplementation>
virtual void RegisterMany(
    ReuseType reuseType,
    Object^ serviceKey,
    bool nonPublicServiceTypes
) sealed
abstract RegisterMany :
        reuseType : ReuseType *
        serviceKey : Object *
        nonPublicServiceTypes : bool -> unit
override RegisterMany :
        reuseType : ReuseType *
        serviceKey : Object *
        nonPublicServiceTypes : bool -> unit

Parameters

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany``1(ZKWebStandard.Ioc.ReuseType,System.Object,System.Boolean)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany``1(ZKWebStandard.Ioc.ReuseType,System.Object,System.Boolean)"]

nonPublicServiceTypes
Type: SystemBoolean

[Missing <param name="nonPublicServiceTypes"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany``1(ZKWebStandard.Ioc.ReuseType,System.Object,System.Boolean)"]

Type Parameters

TImplementation

[Missing <typeparam name="TImplementation"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany``1(ZKWebStandard.Ioc.ReuseType,System.Object,System.Boolean)"]

Implements

IGenericRegistratorRegisterManyTImplementation(ReuseType, Object, Boolean)
See Also

Reference

Container Class
RegisterMany Overload
ZKWebStandard.Ioc Namespace


Container.RegisterMany Method (IList(Type), Type, ReuseType, Object)

ContainerRegisterMany Method (IListType, Type, ReuseType, Object)
Register implementation type with service types and service key
根据多个服务类型和服务键注册实现类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterMany(
    IList<Type> serviceTypes,
    Type implementationType,
    ReuseType reuseType,
    Object serviceKey
)
Public Sub RegisterMany (
    serviceTypes As IList(Of Type),
    implementationType As Type,
    reuseType As ReuseType,
    serviceKey As Object
)
public:
virtual void RegisterMany(
    IList<Type^>^ serviceTypes,
    Type^ implementationType,
    ReuseType reuseType,
    Object^ serviceKey
) sealed
abstract RegisterMany :
        serviceTypes : IList<Type> *
        implementationType : Type *
        reuseType : ReuseType *
        serviceKey : Object -> unit
override RegisterMany :
        serviceTypes : IList<Type> *
        implementationType : Type *
        reuseType : ReuseType *
        serviceKey : Object -> unit

Parameters

serviceTypes
Type: System.Collections.GenericIList Type

[Missing <param name="serviceTypes"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany(System.Collections.Generic.IList{System.Type},System.Type,ZKWebStandard.Ioc.ReuseType,System.Object)"]

implementationType
Type: SystemType

[Missing <param name="implementationType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany(System.Collections.Generic.IList{System.Type},System.Type,ZKWebStandard.Ioc.ReuseType,System.Object)"]

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany(System.Collections.Generic.IList{System.Type},System.Type,ZKWebStandard.Ioc.ReuseType,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany(System.Collections.Generic.IList{System.Type},System.Type,ZKWebStandard.Ioc.ReuseType,System.Object)"]

Implements

IRegistratorRegisterMany(IListType, Type, ReuseType, Object)
See Also

Reference

Container Class
RegisterMany Overload
ZKWebStandard.Ioc Namespace


Container.RegisterMany Method (Type, ReuseType, Object, Boolean)

ContainerRegisterMany Method (Type, ReuseType, Object, Boolean)
Register implementation type with service types and service key
Service types are obtain from base types and interfaces
根据多个服务类型和服务键注册实现类型
服务类型是实现类型的基类和接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterMany(
    Type implementationType,
    ReuseType reuseType,
    Object serviceKey,
    bool nonPublicServiceTypes
)
Public Sub RegisterMany (
    implementationType As Type,
    reuseType As ReuseType,
    serviceKey As Object,
    nonPublicServiceTypes As Boolean
)
public:
virtual void RegisterMany(
    Type^ implementationType,
    ReuseType reuseType,
    Object^ serviceKey,
    bool nonPublicServiceTypes
) sealed
abstract RegisterMany :
        implementationType : Type *
        reuseType : ReuseType *
        serviceKey : Object *
        nonPublicServiceTypes : bool -> unit
override RegisterMany :
        implementationType : Type *
        reuseType : ReuseType *
        serviceKey : Object *
        nonPublicServiceTypes : bool -> unit

Parameters

implementationType
Type: SystemType

[Missing <param name="implementationType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany(System.Type,ZKWebStandard.Ioc.ReuseType,System.Object,System.Boolean)"]

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany(System.Type,ZKWebStandard.Ioc.ReuseType,System.Object,System.Boolean)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany(System.Type,ZKWebStandard.Ioc.ReuseType,System.Object,System.Boolean)"]

nonPublicServiceTypes
Type: SystemBoolean

[Missing <param name="nonPublicServiceTypes"/> documentation for "M:ZKWebStandard.Ioc.Container.RegisterMany(System.Type,ZKWebStandard.Ioc.ReuseType,System.Object,System.Boolean)"]

Implements

IRegistratorRegisterMany(Type, ReuseType, Object, Boolean)
See Also

Reference

Container Class
RegisterMany Overload
ZKWebStandard.Ioc Namespace


Container.RegisterSelf Method

ContainerRegisterSelf Method

Register self instance
注册自身到容器

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected void RegisterSelf()
Protected Sub RegisterSelf
protected:
void RegisterSelf()
member RegisterSelf : unit -> unit
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Resolve Method

ContainerResolve Method

Overload List
 | Name | Description
Public method | ResolveTService(IfUnresolved, Object) | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | Resolve(Type, IfUnresolved, Object) | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Resolve(TService) Method (IfUnresolved, Object)

ContainerResolveTService Method (IfUnresolved, Object)
Resolve service with type and key
Throw exception or return default value if not found, dependent on ifUnresolved
根据服务类型和服务键获取实例
找不到时根据ifUnresolved参数抛出例外或者返回默认值

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TService Resolve<TService>(
    IfUnresolved ifUnresolved,
    Object serviceKey
)

Public Function Resolve(Of TService) (
    ifUnresolved As IfUnresolved,
    serviceKey As Object
) As TService
public:
generic<typename TService>
virtual TService Resolve(
    IfUnresolved ifUnresolved,
    Object^ serviceKey
) sealed
abstract Resolve :
        ifUnresolved : IfUnresolved *
        serviceKey : Object -> 'TService
override Resolve :
        ifUnresolved : IfUnresolved *
        serviceKey : Object -> 'TService

Parameters

ifUnresolved
Type: ZKWebStandard.IocIfUnresolved

[Missing <param name="ifUnresolved"/> documentation for "M:ZKWebStandard.Ioc.Container.Resolve``1(ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.Resolve``1(ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

Type Parameters

TService

[Missing <typeparam name="TService"/> documentation for "M:ZKWebStandard.Ioc.Container.Resolve``1(ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

Return Value

Type: TService

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.Container.Resolve``1(ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

Implements

IGenericResolverResolveTService(IfUnresolved, Object)
See Also

Reference

Container Class
Resolve Overload
ZKWebStandard.Ioc Namespace


Container.Resolve Method (Type, IfUnresolved, Object)

ContainerResolve Method (Type, IfUnresolved, Object)
Resolve service with type and key
Throw exception or return default value if not found, dependent on ifUnresolved
根据服务类型和服务键获取实例
找不到时根据ifUnresolved参数抛出例外或者返回默认值

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Resolve(
    Type serviceType,
    IfUnresolved ifUnresolved,
    Object serviceKey
)
Public Function Resolve (
    serviceType As Type,
    ifUnresolved As IfUnresolved,
    serviceKey As Object
) As Object
public:
virtual Object^ Resolve(
    Type^ serviceType,
    IfUnresolved ifUnresolved,
    Object^ serviceKey
) sealed
abstract Resolve :
        serviceType : Type *
        ifUnresolved : IfUnresolved *
        serviceKey : Object -> Object
override Resolve :
        serviceType : Type *
        ifUnresolved : IfUnresolved *
        serviceKey : Object -> Object

Parameters

serviceType
Type: SystemType

[Missing <param name="serviceType"/> documentation for "M:ZKWebStandard.Ioc.Container.Resolve(System.Type,ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

ifUnresolved
Type: ZKWebStandard.IocIfUnresolved

[Missing <param name="ifUnresolved"/> documentation for "M:ZKWebStandard.Ioc.Container.Resolve(System.Type,ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.Resolve(System.Type,ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.Container.Resolve(System.Type,ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

Implements

IResolverResolve(Type, IfUnresolved, Object)
See Also

Reference

Container Class
Resolve Overload
ZKWebStandard.Ioc Namespace


Container.ResolveMany Method

ContainerResolveMany Method

Overload List
 | Name | Description
Public method | ResolveManyTService(Object) | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取服务列表 如果无注册的服务则返回空列表
Public method | ResolveMany(Type, Object) | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取实例列表 如果无注册的服务则返回空列表
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.ResolveMany(TService) Method (Object)

ContainerResolveManyTService Method (Object)
Resolve services with type and key
Return empty sequence if no service registered
根据服务类型和服务键获取服务列表
如果无注册的服务则返回空列表

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<TService> ResolveMany<TService>(
    Object serviceKey
)

Public Function ResolveMany(Of TService) (
    serviceKey As Object
) As IEnumerable(Of TService)
public:
generic<typename TService>
virtual IEnumerable<TService>^ ResolveMany(
    Object^ serviceKey
) sealed
abstract ResolveMany :
        serviceKey : Object -> IEnumerable<'TService>
override ResolveMany :
        serviceKey : Object -> IEnumerable<'TService>

Parameters

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.ResolveMany``1(System.Object)"]

Type Parameters

TService

[Missing <typeparam name="TService"/> documentation for "M:ZKWebStandard.Ioc.Container.ResolveMany``1(System.Object)"]

Return Value

Type: IEnumerable TService

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.Container.ResolveMany``1(System.Object)"]

Implements

IGenericResolverResolveManyTService(Object)
See Also

Reference

Container Class
ResolveMany Overload
ZKWebStandard.Ioc Namespace


Container.ResolveMany Method (Type, Object)

ContainerResolveMany Method (Type, Object)
Resolve services with type and key
Return empty sequence if no service registered
根据服务类型和服务键获取实例列表
如果无注册的服务则返回空列表

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<Object> ResolveMany(
    Type serviceType,
    Object serviceKey
)
Public Function ResolveMany (
    serviceType As Type,
    serviceKey As Object
) As IEnumerable(Of Object)
public:
virtual IEnumerable<Object^>^ ResolveMany(
    Type^ serviceType,
    Object^ serviceKey
) sealed
abstract ResolveMany :
        serviceType : Type *
        serviceKey : Object -> IEnumerable<Object>
override ResolveMany :
        serviceType : Type *
        serviceKey : Object -> IEnumerable<Object>

Parameters

serviceType
Type: SystemType

[Missing <param name="serviceType"/> documentation for "M:ZKWebStandard.Ioc.Container.ResolveMany(System.Type,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.ResolveMany(System.Type,System.Object)"]

Return Value

Type: IEnumerable Object

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.Container.ResolveMany(System.Type,System.Object)"]

Implements

IResolverResolveMany(Type, Object)
See Also

Reference

Container Class
ResolveMany Overload
ZKWebStandard.Ioc Namespace


Container.Unregister Method

ContainerUnregister Method

Overload List
 | Name | Description
Public method | UnregisterTService(Object) | Unregister all factories with specified service type and service key 注销所有注册到指定服务类型和服务键的工厂函数
Public method | Unregister(Type, Object) | Unregister all factories with specified service type and service key 注销所有注册到指定服务类型和服务键的工厂函数
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Unregister(TService) Method (Object)

ContainerUnregisterTService Method (Object)
Unregister all factories with specified service type and service key
注销所有注册到指定服务类型和服务键的工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Unregister<TService>(
    Object serviceKey
)

Public Sub Unregister(Of TService) (
    serviceKey As Object
)
public:
generic<typename TService>
virtual void Unregister(
    Object^ serviceKey
) sealed
abstract Unregister :
        serviceKey : Object -> unit
override Unregister :
        serviceKey : Object -> unit

Parameters

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.Unregister``1(System.Object)"]

Type Parameters

TService

[Missing <typeparam name="TService"/> documentation for "M:ZKWebStandard.Ioc.Container.Unregister``1(System.Object)"]

Implements

IGenericRegistratorUnregisterTService(Object)
See Also

Reference

Container Class
Unregister Overload
ZKWebStandard.Ioc Namespace


Container.Unregister Method (Type, Object)

ContainerUnregister Method (Type, Object)
Unregister all factories with specified service type and service key
注销所有注册到指定服务类型和服务键的工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Unregister(
    Type serviceType,
    Object serviceKey
)
Public Sub Unregister (
    serviceType As Type,
    serviceKey As Object
)
public:
virtual void Unregister(
    Type^ serviceType,
    Object^ serviceKey
) sealed
abstract Unregister :
        serviceType : Type *
        serviceKey : Object -> unit
override Unregister :
        serviceType : Type *
        serviceKey : Object -> unit

Parameters

serviceType
Type: SystemType

[Missing <param name="serviceType"/> documentation for "M:ZKWebStandard.Ioc.Container.Unregister(System.Type,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.Unregister(System.Type,System.Object)"]

Implements

IRegistratorUnregister(Type, Object)
See Also

Reference

Container Class
Unregister Overload
ZKWebStandard.Ioc Namespace


Container.UnregisterAll Method

ContainerUnregisterAll Method

Unregister all factories
注销所有工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void UnregisterAll()
Public Sub UnregisterAll
public:
virtual void UnregisterAll() sealed
abstract UnregisterAll : unit -> unit
override UnregisterAll : unit -> unit

Implements

IRegistratorUnregisterAll
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.UnregisterImplementation Method

ContainerUnregisterImplementation Method

Overload List
 | Name | Description
Public method | UnregisterImplementationTImplementation(Object) | Unregister factories with specified implementation type and service key 按实现类型和服务键注册所有相关的工厂函数
Public method | UnregisterImplementation(Type, Object) | Unregister factories with specified implementation type and service key 按实现类型和服务键注销所有相关的工厂函数
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.UnregisterImplementation(TImplementation) Method (Object)

ContainerUnregisterImplementationTImplementation Method (Object)
Unregister factories with specified implementation type and service key
按实现类型和服务键注册所有相关的工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void UnregisterImplementation<TImplementation>(
    Object serviceKey
)

Public Sub UnregisterImplementation(Of TImplementation) (
    serviceKey As Object
)
public:
generic<typename TImplementation>
virtual void UnregisterImplementation(
    Object^ serviceKey
) sealed
abstract UnregisterImplementation :
        serviceKey : Object -> unit
override UnregisterImplementation :
        serviceKey : Object -> unit

Parameters

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.UnregisterImplementation``1(System.Object)"]

Type Parameters

TImplementation

[Missing <typeparam name="TImplementation"/> documentation for "M:ZKWebStandard.Ioc.Container.UnregisterImplementation``1(System.Object)"]

Implements

IGenericRegistratorUnregisterImplementationTImplementation(Object)
See Also

Reference

Container Class
UnregisterImplementation Overload
ZKWebStandard.Ioc Namespace


Container.UnregisterImplementation Method (Type, Object)

ContainerUnregisterImplementation Method (Type, Object)
Unregister factories with specified implementation type and service key
按实现类型和服务键注销所有相关的工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void UnregisterImplementation(
    Type implementationType,
    Object serviceKey
)
Public Sub UnregisterImplementation (
    implementationType As Type,
    serviceKey As Object
)
public:
virtual void UnregisterImplementation(
    Type^ implementationType,
    Object^ serviceKey
) sealed
abstract UnregisterImplementation :
        implementationType : Type *
        serviceKey : Object -> unit
override UnregisterImplementation :
        implementationType : Type *
        serviceKey : Object -> unit

Parameters

implementationType
Type: SystemType

[Missing <param name="implementationType"/> documentation for "M:ZKWebStandard.Ioc.Container.UnregisterImplementation(System.Type,System.Object)"]

serviceKey
Type: SystemObject

[Missing <param name="serviceKey"/> documentation for "M:ZKWebStandard.Ioc.Container.UnregisterImplementation(System.Type,System.Object)"]

Implements

IRegistratorUnregisterImplementation(Type, Object)
See Also

Reference

Container Class
UnregisterImplementation Overload
ZKWebStandard.Ioc Namespace


Container.UpdateFactoriesCache(TService) Method

ContainerUpdateFactoriesCacheTService Method

Update factories cache for service type and return newest data
根据服务类型更新工厂函数的缓存并返回最新的数据

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal ContainerFactoriesCacheData UpdateFactoriesCache<TService>()

Friend Function UpdateFactoriesCache(Of TService) As ContainerFactoriesCacheData
internal:
generic<typename TService>
ContainerFactoriesCacheData^ UpdateFactoriesCache()
internal member UpdateFactoriesCache : unit -> ContainerFactoriesCacheData

Type Parameters

TService

[Missing <typeparam name="TService"/> documentation for "M:ZKWebStandard.Ioc.Container.UpdateFactoriesCache``1"]

Return Value

Type: ContainerFactoriesCacheData

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.Container.UpdateFactoriesCache``1"]

See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container Fields

The Container type exposes the following members.

Fields
 | Name | Description
Protected field | Revision | Increase after each modification 更新后自动增加
Top
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


Container.Revision Field

ContainerRevision Field
Increase after each modification
更新后自动增加

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected int Revision
Protected Revision As Integer
protected:
int Revision
val mutable Revision: int

Field Value

Type: Int32
See Also

Reference

Container Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCache Class
Static IoC container factories cache
静态的IoC容器工厂函数缓存
Inheritance Hierarchy
SystemObject
ZKWebStandard.IocContainerFactoriesCache

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ContainerFactoriesCache
Public NotInheritable Class ContainerFactoriesCache
public ref class ContainerFactoriesCache abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ContainerFactoriesCache =  class end

The ContainerFactoriesCache type exposes the following members.

Fields
Name | Description
Enabled | Set to enable static factories cache 是否启用静态工厂函数缓存
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocContainer
ZKWebStandard.IocContainerFactoriesCacheData
ZKWebStandard.IocContainerFactoriesCacheTService


ContainerFactoriesCache Fields

The ContainerFactoriesCache type exposes the following members.

Fields
Name | Description
Enabled | Set to enable static factories cache 是否启用静态工厂函数缓存
Top
See Also

Reference

ContainerFactoriesCache Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCache.Enabled Field

ContainerFactoriesCacheEnabled Field
Set to enable static factories cache
是否启用静态工厂函数缓存

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool Enabled
Public Shared Enabled As Boolean
public:
static bool Enabled
static val mutable Enabled: bool

Field Value

Type: Boolean
See Also

Reference

ContainerFactoriesCache Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCache(TService) Class

ContainerFactoriesCacheTService Class
Static IoC container factories cache
静态IoC容器的工厂函数缓存
Inheritance Hierarchy
SystemObject
ZKWebStandard.IocContainerFactoriesCacheTService

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal static class ContainerFactoriesCache<TService>

Friend NotInheritable Class ContainerFactoriesCache(Of TService)
generic<typename TService>
internal ref class ContainerFactoriesCache abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ContainerFactoriesCache<'TService> =  class end

Type Parameters

TService
Service Type

The ContainerFactoriesCacheTService type exposes the following members.

Fields
Name | Description
Data | Cache data 缓存数据
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocContainer
ZKWebStandard.IocContainerFactoriesCache
ZKWebStandard.IocContainerFactoriesCacheData


ContainerFactoriesCache(TService) Fields

ContainerFactoriesCacheTService Fields

The ContainerFactoriesCacheTService generic type exposes the following members.

Fields
Name | Description
Data | Cache data 缓存数据
Top
See Also

Reference

ContainerFactoriesCacheTService Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCache(TService).Data Field

ContainerFactoriesCacheTServiceData Field
Cache data
缓存数据

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal static ContainerFactoriesCacheData Data
Friend Shared Data As ContainerFactoriesCacheData
internal:
static ContainerFactoriesCacheData^ Data
static val mutable internal Data: ContainerFactoriesCacheData

Field Value

Type: ContainerFactoriesCacheData
See Also

Reference

ContainerFactoriesCacheTService Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCacheData Class
IoC container factories cache data
IoC容器工厂函数缓存的数据
Inheritance Hierarchy
SystemObject
ZKWebStandard.IocContainerFactoriesCacheData

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ContainerFactoriesCacheData
Friend Class ContainerFactoriesCacheData
internal ref class ContainerFactoriesCacheData
type ContainerFactoriesCacheData =  class end

The ContainerFactoriesCacheData type exposes the following members.

Constructors
 | Name | Description
Protected method | ContainerFactoriesCacheData | Initialize 初始化
Top
Methods
 | Name | Description
Protected method | IsMatched | Check if container matched this cache data 检查容器是否匹配这个缓存数据
Top
Fields
 | Name | Description
Protected field | Container | Matched container instance 容器的实例
Protected field | Factories | Factories for given services Service key should be null 服务的工厂函数列表 服务键应该为null
Protected field | Revision | Matched container revision 容器的版本
Protected field | SingleFactory | Single factory Available when Factories only contains one element 单个工厂函数 只在工厂函数列表只包含一个元素时有值
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ContainerFactoriesCacheDataContainer
ZKWebStandard.IocContainerFactoriesCache
ZKWebStandard.IocContainerFactoriesCacheTService


ContainerFactoriesCacheData Constructor

Initialize
初始化

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal ContainerFactoriesCacheData(
    Container container,
    List<Func<Object>> factories
)
Friend Sub New (
    container As Container,
    factories As List(Of Func(Of Object))
)
internal:
ContainerFactoriesCacheData(
    Container^ container,
    List<Func<Object^>^>^ factories
)
new :
        container : Container *
        factories : List<Func<Object>> -> ContainerFactoriesCacheData

Parameters

container
Type: ZKWebStandard.IocContainer

[Missing <param name="container"/> documentation for "M:ZKWebStandard.Ioc.ContainerFactoriesCacheData.#ctor(ZKWebStandard.Ioc.Container,System.Collections.Generic.List{System.Func{System.Object}})"]

factories
Type: System.Collections.GenericList Func Object

[Missing <param name="factories"/> documentation for "M:ZKWebStandard.Ioc.ContainerFactoriesCacheData.#ctor(ZKWebStandard.Ioc.Container,System.Collections.Generic.List{System.Func{System.Object}})"]

See Also

Reference

ContainerFactoriesCacheData Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCacheData Methods

The ContainerFactoriesCacheData type exposes the following members.

Methods
 | Name | Description
Protected method | IsMatched | Check if container matched this cache data 检查容器是否匹配这个缓存数据
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerFactoriesCacheData Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCacheData.IsMatched Method

ContainerFactoriesCacheDataIsMatched Method

Check if container matched this cache data
检查容器是否匹配这个缓存数据

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal bool IsMatched(
    Container container
)
Friend Function IsMatched (
    container As Container
) As Boolean
internal:
bool IsMatched(
    Container^ container
)
internal member IsMatched :
        container : Container -> bool

Parameters

container
Type: ZKWebStandard.IocContainer

[Missing <param name="container"/> documentation for "M:ZKWebStandard.Ioc.ContainerFactoriesCacheData.IsMatched(ZKWebStandard.Ioc.Container)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.ContainerFactoriesCacheData.IsMatched(ZKWebStandard.Ioc.Container)"]

See Also

Reference

ContainerFactoriesCacheData Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCacheData Fields

The ContainerFactoriesCacheData type exposes the following members.

Fields
 | Name | Description
Protected field | Container | Matched container instance 容器的实例
Protected field | Factories | Factories for given services Service key should be null 服务的工厂函数列表 服务键应该为null
Protected field | Revision | Matched container revision 容器的版本
Protected field | SingleFactory | Single factory Available when Factories only contains one element 单个工厂函数 只在工厂函数列表只包含一个元素时有值
Top
See Also

Reference

ContainerFactoriesCacheData Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCacheData.Container Field

ContainerFactoriesCacheDataContainer Field
Matched container instance
容器的实例

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal IContainer Container
Friend Container As IContainer
internal:
IContainer^ Container
val mutable internal Container: IContainer

Field Value

Type: IContainer
See Also

Reference

ContainerFactoriesCacheData Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCacheData.Factories Field

ContainerFactoriesCacheDataFactories Field
Factories for given services
Service key should be null
服务的工厂函数列表
服务键应该为null

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal List<Func<Object>> Factories
Friend Factories As List(Of Func(Of Object))
internal:
List<Func<Object^>^>^ Factories
val mutable internal Factories: List<Func<Object>>

Field Value

Type: List Func Object
See Also

Reference

ContainerFactoriesCacheData Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCacheData.Revision Field

ContainerFactoriesCacheDataRevision Field
Matched container revision
容器的版本

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal int Revision
Friend Revision As Integer
internal:
int Revision
val mutable internal Revision: int

Field Value

Type: Int32
See Also

Reference

ContainerFactoriesCacheData Class
ZKWebStandard.Ioc Namespace


ContainerFactoriesCacheData.SingleFactory Field

ContainerFactoriesCacheDataSingleFactory Field
Single factory
Available when Factories only contains one element
单个工厂函数
只在工厂函数列表只包含一个元素时有值

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal Func<Object> SingleFactory
Friend SingleFactory As Func(Of Object)
internal:
Func<Object^>^ SingleFactory
val mutable internal SingleFactory: Func<Object>

Field Value

Type: Func Object
See Also

Reference

ContainerFactoriesCacheData Class
ZKWebStandard.Ioc Namespace


ContainerFactoryData Structure
Factory data
Include function object and implementation type
工厂函数数据
包括函数对象和实现类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public struct ContainerFactoryData
Public Structure ContainerFactoryData
public value class ContainerFactoryData
[<SealedAttribute>]
type ContainerFactoryData =  struct end

The ContainerFactoryData type exposes the following members.

Constructors
 | Name | Description
Public method | ContainerFactoryData | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Factory | Function object 函数对象
Public property | ImplementationTypeHint | Implementation type hint Usually it's the type factory function will return Except user use "RegisterDelegate", that we can't known what type will be returned 实现类型 通常它会是工厂函数返回的对象的类型 除非用户使用"RegisterDelegate", 我们不知道什么类型会被返回
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocContainer


ContainerFactoryData Constructor

Initialize
初始化

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ContainerFactoryData(
    Func<Object> factory,
    Type implementationTypeHint
)
Public Sub New (
    factory As Func(Of Object),
    implementationTypeHint As Type
)
public:
ContainerFactoryData(
    Func<Object^>^ factory,
    Type^ implementationTypeHint
)
new :
        factory : Func<Object> *
        implementationTypeHint : Type -> ContainerFactoryData

Parameters

factory
Type: SystemFunc Object
Function object
implementationTypeHint
Type: SystemType
Implementation type hint
See Also

Reference

ContainerFactoryData Structure
ZKWebStandard.Ioc Namespace


ContainerFactoryData Properties

The ContainerFactoryData type exposes the following members.

Properties
 | Name | Description
Public property | Factory | Function object 函数对象
Public property | ImplementationTypeHint | Implementation type hint Usually it's the type factory function will return Except user use "RegisterDelegate", that we can't known what type will be returned 实现类型 通常它会是工厂函数返回的对象的类型 除非用户使用"RegisterDelegate", 我们不知道什么类型会被返回
Top
See Also

Reference

ContainerFactoryData Structure
ZKWebStandard.Ioc Namespace


ContainerFactoryData.Factory Property

ContainerFactoryDataFactory Property

Function object
函数对象

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Func<Object> Factory { get; set; }
Public Property Factory As Func(Of Object)
    Get
    Set
public:
property Func<Object^>^ Factory {
    Func<Object^>^ get ();
    void set (Func<Object^>^ value);
}
member Factory : Func<Object> with get, set

Property Value

Type: Func Object
See Also

Reference

ContainerFactoryData Structure
ZKWebStandard.Ioc Namespace


ContainerFactoryData.ImplementationTypeHint Property

ContainerFactoryDataImplementationTypeHint Property

Implementation type hint
Usually it's the type factory function will return
Except user use "RegisterDelegate", that we can't known what type will be returned
实现类型
通常它会是工厂函数返回的对象的类型
除非用户使用"RegisterDelegate", 我们不知道什么类型会被返回

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Type ImplementationTypeHint { get; set; }
Public Property ImplementationTypeHint As Type
    Get
    Set
public:
property Type^ ImplementationTypeHint {
    Type^ get ();
    void set (Type^ value);
}
member ImplementationTypeHint : Type with get, set

Property Value

Type: Type
See Also

Reference

ContainerFactoryData Structure
ZKWebStandard.Ioc Namespace


ContainerFactoryData Methods

The ContainerFactoryData type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerFactoryData Structure
ZKWebStandard.Ioc Namespace


ExportAttribute Class
Attribute for register type to IoC container with specific service type
用于根据类型实现的单个服务类型，注册类型到IoC容器的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWebStandard.IocExportAttributeBase
ZKWebStandard.IocExportAttribute

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ExportAttribute : ExportAttributeBase
Public Class ExportAttribute
    Inherits ExportAttributeBase
public ref class ExportAttribute : public ExportAttributeBase
type ExportAttribute =
    class
        inherit ExportAttributeBase
    end

The ExportAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ExportAttribute | Initializes a new instance of the ExportAttribute class
Top
Properties
 | Name | Description
Public property | ClearExists | Unregister service types before register 注销已有的服务类型的实现
Public property | ContractKey | Service key 服务键
Public property | ServiceType | Service type 服务类型
Top
Methods
 | Name | Description
Public method | RegisterToContainer | Register implementation type to container 注册实现类型到容器 (Overrides ExportAttributeBaseRegisterToContainer(IContainer, Type, ReuseType).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Ioc Namespace


ExportAttribute Constructor

Initializes a new instance of the ExportAttribute class

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ExportAttribute()
Public Sub New
public:
ExportAttribute()
new : unit -> ExportAttribute
See Also

Reference

ExportAttribute Class
ZKWebStandard.Ioc Namespace


ExportAttribute Properties

The ExportAttribute type exposes the following members.

Properties
 | Name | Description
Public property | ClearExists | Unregister service types before register 注销已有的服务类型的实现
Public property | ContractKey | Service key 服务键
Public property | ServiceType | Service type 服务类型
Top
See Also

Reference

ExportAttribute Class
ZKWebStandard.Ioc Namespace


ExportAttribute.ClearExists Property

ExportAttributeClearExists Property

Unregister service types before register
注销已有的服务类型的实现

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool ClearExists { get; set; }
Public Property ClearExists As Boolean
    Get
    Set
public:
property bool ClearExists {
    bool get ();
    void set (bool value);
}
member ClearExists : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ExportAttribute Class
ZKWebStandard.Ioc Namespace


ExportAttribute.ContractKey Property

ExportAttributeContractKey Property

Service key
服务键

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object ContractKey { get; set; }
Public Property ContractKey As Object
    Get
    Set
public:
property Object^ ContractKey {
    Object^ get ();
    void set (Object^ value);
}
member ContractKey : Object with get, set

Property Value

Type: Object
See Also

Reference

ExportAttribute Class
ZKWebStandard.Ioc Namespace


ExportAttribute.ServiceType Property

ExportAttributeServiceType Property

Service type
服务类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Type ServiceType { get; set; }
Public Property ServiceType As Type
    Get
    Set
public:
property Type^ ServiceType {
    Type^ get ();
    void set (Type^ value);
}
member ServiceType : Type with get, set

Property Value

Type: Type
See Also

Reference

ExportAttribute Class
ZKWebStandard.Ioc Namespace


ExportAttribute Methods

The ExportAttribute type exposes the following members.

Methods
 | Name | Description
Public method | RegisterToContainer | Register implementation type to container 注册实现类型到容器 (Overrides ExportAttributeBaseRegisterToContainer(IContainer, Type, ReuseType).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ExportAttribute Class
ZKWebStandard.Ioc Namespace


ExportAttribute.RegisterToContainer Method

ExportAttributeRegisterToContainer Method

Register implementation type to container
注册实现类型到容器

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void RegisterToContainer(
    IContainer container,
    Type type,
    ReuseType reuseType
)
Public Overrides Sub RegisterToContainer (
    container As IContainer,
    type As Type,
    reuseType As ReuseType
)
public:
virtual void RegisterToContainer(
    IContainer^ container,
    Type^ type,
    ReuseType reuseType
) override
abstract RegisterToContainer :
        container : IContainer *
        type : Type *
        reuseType : ReuseType -> unit
override RegisterToContainer :
        container : IContainer *
        type : Type *
        reuseType : ReuseType -> unit

Parameters

container
Type: ZKWebStandard.IocIContainer

[Missing <param name="container"/> documentation for "M:ZKWebStandard.Ioc.ExportAttribute.RegisterToContainer(ZKWebStandard.Ioc.IContainer,System.Type,ZKWebStandard.Ioc.ReuseType)"]

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:ZKWebStandard.Ioc.ExportAttribute.RegisterToContainer(ZKWebStandard.Ioc.IContainer,System.Type,ZKWebStandard.Ioc.ReuseType)"]

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.ExportAttribute.RegisterToContainer(ZKWebStandard.Ioc.IContainer,System.Type,ZKWebStandard.Ioc.ReuseType)"]

See Also

Reference

ExportAttribute Class
ZKWebStandard.Ioc Namespace


ExportAttributeBase Class
Base attribute for register type to IoC container
注册类型到IoC容器使用的属性的基类
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWebStandard.IocExportAttributeBase
ZKWebStandard.IocExportAttribute
ZKWebStandard.IocExportManyAttribute

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ExportAttributeBase : Attribute
Public MustInherit Class ExportAttributeBase
    Inherits Attribute
public ref class ExportAttributeBase abstract : public Attribute
[<AbstractClassAttribute>]
type ExportAttributeBase =
    class
        inherit Attribute
    end

The ExportAttributeBase type exposes the following members.

Constructors
 | Name | Description
Protected method | ExportAttributeBase | Initializes a new instance of the ExportAttributeBase class
Top
Methods
 | Name | Description
Public method | RegisterToContainer | Register implementation type to container 注册实现类型到容器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Ioc Namespace


ExportAttributeBase Constructor

Initializes a new instance of the ExportAttributeBase class

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ExportAttributeBase()
Protected Sub New
protected:
ExportAttributeBase()
new : unit -> ExportAttributeBase
See Also

Reference

ExportAttributeBase Class
ZKWebStandard.Ioc Namespace


ExportAttributeBase Methods

The ExportAttributeBase type exposes the following members.

Methods
 | Name | Description
Public method | RegisterToContainer | Register implementation type to container 注册实现类型到容器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ExportAttributeBase Class
ZKWebStandard.Ioc Namespace


ExportAttributeBase.RegisterToContainer Method

ExportAttributeBaseRegisterToContainer Method

Register implementation type to container
注册实现类型到容器

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract void RegisterToContainer(
    IContainer container,
    Type type,
    ReuseType reuseType
)
Public MustOverride Sub RegisterToContainer (
    container As IContainer,
    type As Type,
    reuseType As ReuseType
)
public:
virtual void RegisterToContainer(
    IContainer^ container,
    Type^ type,
    ReuseType reuseType
) abstract
abstract RegisterToContainer :
        container : IContainer *
        type : Type *
        reuseType : ReuseType -> unit

Parameters

container
Type: ZKWebStandard.IocIContainer
Container
type
Type: SystemType
Implementation type
reuseType
Type: ZKWebStandard.IocReuseType
Reuse type
See Also

Reference

ExportAttributeBase Class
ZKWebStandard.Ioc Namespace


ExportManyAttribute Class
Attribute for register type to IoC container with itself and it's base type and interfaces
用于根据类型的基类和接口，注册类型到IoC容器的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWebStandard.IocExportAttributeBase
ZKWebStandard.IocExportManyAttribute

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ExportManyAttribute : ExportAttributeBase
Public Class ExportManyAttribute
    Inherits ExportAttributeBase
public ref class ExportManyAttribute : public ExportAttributeBase
type ExportManyAttribute =
    class
        inherit ExportAttributeBase
    end

The ExportManyAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ExportManyAttribute | Initializes a new instance of the ExportManyAttribute class
Top
Properties
 | Name | Description
Public property | ClearExists | Unregister service types before register Please sure it won't unintentionally remove innocent implementations 注销已有的服务类型的实现 请确保它不会意外的移除无辜的实现
Public property | ContractKey | Service key 服务键
Public property | Except | Except types 排除的类型列表
Public property | NonPublic | Also register with non public service types 同时注册到非公开的服务类型
Top
Methods
 | Name | Description
Public method | RegisterToContainer | Register implementation type to container 注册实现类型到容器 (Overrides ExportAttributeBaseRegisterToContainer(IContainer, Type, ReuseType).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocContainer
ZKWebStandard.IocIContainer


ExportManyAttribute Constructor

Initializes a new instance of the ExportManyAttribute class

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ExportManyAttribute()
Public Sub New
public:
ExportManyAttribute()
new : unit -> ExportManyAttribute
See Also

Reference

ExportManyAttribute Class
ZKWebStandard.Ioc Namespace


ExportManyAttribute Properties

The ExportManyAttribute type exposes the following members.

Properties
 | Name | Description
Public property | ClearExists | Unregister service types before register Please sure it won't unintentionally remove innocent implementations 注销已有的服务类型的实现 请确保它不会意外的移除无辜的实现
Public property | ContractKey | Service key 服务键
Public property | Except | Except types 排除的类型列表
Public property | NonPublic | Also register with non public service types 同时注册到非公开的服务类型
Top
See Also

Reference

ExportManyAttribute Class
ZKWebStandard.Ioc Namespace


ExportManyAttribute.ClearExists Property

ExportManyAttributeClearExists Property

Unregister service types before register
Please sure it won't unintentionally remove innocent implementations
注销已有的服务类型的实现
请确保它不会意外的移除无辜的实现

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool ClearExists { get; set; }
Public Property ClearExists As Boolean
    Get
    Set
public:
property bool ClearExists {
    bool get ();
    void set (bool value);
}
member ClearExists : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ExportManyAttribute Class
ZKWebStandard.Ioc Namespace


ExportManyAttribute.ContractKey Property

ExportManyAttributeContractKey Property

Service key
服务键

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object ContractKey { get; set; }
Public Property ContractKey As Object
    Get
    Set
public:
property Object^ ContractKey {
    Object^ get ();
    void set (Object^ value);
}
member ContractKey : Object with get, set

Property Value

Type: Object
See Also

Reference

ExportManyAttribute Class
ZKWebStandard.Ioc Namespace


ExportManyAttribute.Except Property

ExportManyAttributeExcept Property

Except types
排除的类型列表

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Type[] Except { get; set; }
Public Property Except As Type()
    Get
    Set
public:
property array<Type^>^ Except {
    array<Type^>^ get ();
    void set (array<Type^>^ value);
}
member Except : Type[] with get, set

Property Value

Type: Type
See Also

Reference

ExportManyAttribute Class
ZKWebStandard.Ioc Namespace


ExportManyAttribute.NonPublic Property

ExportManyAttributeNonPublic Property

Also register with non public service types
同时注册到非公开的服务类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool NonPublic { get; set; }
Public Property NonPublic As Boolean
    Get
    Set
public:
property bool NonPublic {
    bool get ();
    void set (bool value);
}
member NonPublic : bool with get, set

Property Value

Type: Boolean
See Also

Reference

ExportManyAttribute Class
ZKWebStandard.Ioc Namespace


ExportManyAttribute Methods

The ExportManyAttribute type exposes the following members.

Methods
 | Name | Description
Public method | RegisterToContainer | Register implementation type to container 注册实现类型到容器 (Overrides ExportAttributeBaseRegisterToContainer(IContainer, Type, ReuseType).)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ExportManyAttribute Class
ZKWebStandard.Ioc Namespace


ExportManyAttribute.RegisterToContainer Method

ExportManyAttributeRegisterToContainer Method

Register implementation type to container
注册实现类型到容器

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override void RegisterToContainer(
    IContainer container,
    Type type,
    ReuseType reuseType
)
Public Overrides Sub RegisterToContainer (
    container As IContainer,
    type As Type,
    reuseType As ReuseType
)
public:
virtual void RegisterToContainer(
    IContainer^ container,
    Type^ type,
    ReuseType reuseType
) override
abstract RegisterToContainer :
        container : IContainer *
        type : Type *
        reuseType : ReuseType -> unit
override RegisterToContainer :
        container : IContainer *
        type : Type *
        reuseType : ReuseType -> unit

Parameters

container
Type: ZKWebStandard.IocIContainer

[Missing <param name="container"/> documentation for "M:ZKWebStandard.Ioc.ExportManyAttribute.RegisterToContainer(ZKWebStandard.Ioc.IContainer,System.Type,ZKWebStandard.Ioc.ReuseType)"]

type
Type: SystemType

[Missing <param name="type"/> documentation for "M:ZKWebStandard.Ioc.ExportManyAttribute.RegisterToContainer(ZKWebStandard.Ioc.IContainer,System.Type,ZKWebStandard.Ioc.ReuseType)"]

reuseType
Type: ZKWebStandard.IocReuseType

[Missing <param name="reuseType"/> documentation for "M:ZKWebStandard.Ioc.ExportManyAttribute.RegisterToContainer(ZKWebStandard.Ioc.IContainer,System.Type,ZKWebStandard.Ioc.ReuseType)"]

See Also

Reference

ExportManyAttribute Class
ZKWebStandard.Ioc Namespace


IContainer Interface
Interface for IoC container
IoC容器的接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IContainer : IRegistrator,
    IGenericRegistrator, IResolver, IGenericResolver, IDisposable
Public Interface IContainer
    Inherits IRegistrator, IGenericRegistrator, IResolver, IGenericResolver,
    IDisposable
public interface class IContainer : IRegistrator,
    IGenericRegistrator, IResolver, IGenericResolver, IDisposable
type IContainer =
    interface
        interface IRegistrator
        interface IGenericRegistrator
        interface IResolver
        interface IGenericResolver
        interface IDisposable
    end

The IContainer type exposes the following members.

Methods
 | Name | Description
Public method | Clone | Clone the container 克隆容器
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildFactory(FuncObject, ReuseType) | Overloaded. Build factory from original factory and reuse type 根据原工厂函数和重用类型构建新的工厂函数 (Defined by IContainerExtensions.)
Public Extension Method | BuildFactory(Type, ReuseType) | Overloaded. Build factory from type and reuse type 根据类型和重用类型构建工厂函数 (Defined by IContainerExtensions.)
Top
Examples
C#
Copy
void Example() {
    var animals = Application.Ioc.ResolveMany<IAnimal>()
    // animals contains instances of Dog and Cow

    var animalManager = Application.Ioc.Resolve<IAnimalManager>();
    // animalManager is AnimalManager

    var otherAnimalManager = Application.Ioc.Resolve<IAnimalManager>();
    // animalManager only create once, otherAnimalManager == animalManager
}

public interface IAnimal { }

[ExportMany]
public class Dog : IAnimal { }

[ExportMany]
public class Cow : IAnimal { }

public interface IAnimalManager { }

[ExportMany, SingletonUsage]
public class AnimalManager : IAnimalManager {
    // inject animals
    public AnimalManager(IEnumerable<IAnimal> animals) { }
}
   ///
///
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocContainer


IContainer Methods

The IContainer type exposes the following members.

Methods
 | Name | Description
Public method | Clone | Clone the container 克隆容器
Top
Extension Methods
 | Name | Description
Public Extension Method | BuildFactory(FuncObject, ReuseType) | Overloaded. Build factory from original factory and reuse type 根据原工厂函数和重用类型构建新的工厂函数 (Defined by IContainerExtensions.)
Public Extension Method | BuildFactory(Type, ReuseType) | Overloaded. Build factory from type and reuse type 根据类型和重用类型构建工厂函数 (Defined by IContainerExtensions.)
Top
See Also

Reference

IContainer Interface
ZKWebStandard.Ioc Namespace


IContainer.Clone Method

IContainerClone Method

Clone the container
克隆容器

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Object Clone()
Function Clone As Object
Object^ Clone()
abstract Clone : unit -> Object

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.IContainer.Clone"]

See Also

Reference

IContainer Interface
ZKWebStandard.Ioc Namespace


IfUnresolved Enumeration
Action when service unresolved
服务解决失败时的操作

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public enum IfUnresolved
Public Enumeration IfUnresolved
public enum class IfUnresolved
type IfUnresolved
Members
Member name | Value | Description
Throw | 0 | Throw exception It's the default behaviour 抛出例外 它是默认的操作
ReturnDefault | 1 | Return default value 返回默认值
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocContainer


IGenericRegistrator Interface
Interface for generic registrator
泛型注册器的接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IGenericRegistrator
Public Interface IGenericRegistrator
public interface class IGenericRegistrator
type IGenericRegistrator =  interface end

The IGenericRegistrator type exposes the following members.

Methods
 | Name | Description
Public method | RegisterTService, TImplementation | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | RegisterDelegateTService | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterInstanceTService | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterManyTImplementation | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Public method | UnregisterTService | Unregister all factories with specified service type and service key Please see the example in IRegistrator 注销所有注册到指定服务类型和服务键的工厂函数 请查看IRegistrator中的示例
Public method | UnregisterImplementationTImplementation | Unregister factories with specified implementation type and service key Please see the example in IRegistrator 按实现类型和服务键注销所有相关的工厂函数 请查看IRegistrator中的示例
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocContainer


IGenericRegistrator Methods

The IGenericRegistrator type exposes the following members.

Methods
 | Name | Description
Public method | RegisterTService, TImplementation | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | RegisterDelegateTService | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterInstanceTService | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterManyTImplementation | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Public method | UnregisterTService | Unregister all factories with specified service type and service key Please see the example in IRegistrator 注销所有注册到指定服务类型和服务键的工厂函数 请查看IRegistrator中的示例
Public method | UnregisterImplementationTImplementation | Unregister factories with specified implementation type and service key Please see the example in IRegistrator 按实现类型和服务键注销所有相关的工厂函数 请查看IRegistrator中的示例
Top
See Also

Reference

IGenericRegistrator Interface
ZKWebStandard.Ioc Namespace


IGenericRegistrator.Register(TService, TImplementation) Method

IGenericRegistratorRegisterTService, TImplementation Method

Register implementation type with service type and service key
根据服务类型和服务键注册实现类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Register<TService, TImplementation>(
    ReuseType reuseType = ReuseType.Transient,
    Object serviceKey = null
)

Sub Register(Of TService, TImplementation) (
    Optional reuseType As ReuseType = ReuseType.Transient,
    Optional serviceKey As Object = Nothing
)
generic<typename TService, typename TImplementation>
void Register(
    ReuseType reuseType = ReuseType::Transient,
    Object^ serviceKey = nullptr
)
abstract Register :
        ?reuseType : ReuseType *
        ?serviceKey : Object
(* Defaults:
        let _reuseType = defaultArg reuseType ReuseType.Transient
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

reuseType (Optional)
Type: ZKWebStandard.IocReuseType
Reuse type
serviceKey (Optional)
Type: SystemObject
Service key

Type Parameters

TService
Service type
TImplementation
Implementation type
See Also

Reference

IGenericRegistrator Interface
ZKWebStandard.Ioc Namespace


IGenericRegistrator.RegisterDelegate(TService) Method

IGenericRegistratorRegisterDelegateTService Method

Register delegate with service type and service key
根据服务类型和服务键注册工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RegisterDelegate<TService>(
    Func<TService> factory,
    ReuseType reuseType = ReuseType.Transient,
    Object serviceKey = null
)

Sub RegisterDelegate(Of TService) (
    factory As Func(Of TService),
    Optional reuseType As ReuseType = ReuseType.Transient,
    Optional serviceKey As Object = Nothing
)
generic<typename TService>
void RegisterDelegate(
    Func<TService>^ factory,
    ReuseType reuseType = ReuseType::Transient,
    Object^ serviceKey = nullptr
)
abstract RegisterDelegate :
        factory : Func<'TService> *
        ?reuseType : ReuseType *
        ?serviceKey : Object
(* Defaults:
        let _reuseType = defaultArg reuseType ReuseType.Transient
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

factory
Type: SystemFunc TService
Service facotory
reuseType (Optional)
Type: ZKWebStandard.IocReuseType
Reuse type
serviceKey (Optional)
Type: SystemObject
Service key

Type Parameters

TService
Service type
See Also

Reference

IGenericRegistrator Interface
ZKWebStandard.Ioc Namespace


IGenericRegistrator.RegisterInstance(TService) Method

IGenericRegistratorRegisterInstanceTService Method

Register instance with service type and service key
Reuse type is forced to Singleton
根据服务类型和服务键注册实例
重用类型强制为单例

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RegisterInstance<TService>(
    TService instance,
    Object serviceKey = null
)

Sub RegisterInstance(Of TService) (
    instance As TService,
    Optional serviceKey As Object = Nothing
)
generic<typename TService>
void RegisterInstance(
    TService instance,
    Object^ serviceKey = nullptr
)
abstract RegisterInstance :
        instance : 'TService *
        ?serviceKey : Object
(* Defaults:
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

instance
Type: TService
Service instance
serviceKey (Optional)
Type: SystemObject
Service key

Type Parameters

TService
Service type
See Also

Reference

IGenericRegistrator Interface
ZKWebStandard.Ioc Namespace


IGenericRegistrator.RegisterMany(TImplementation) Method

IGenericRegistratorRegisterManyTImplementation Method

Register implementation type with service types and service key
Service types are obtain from base types and interfaces
根据多个服务类型和服务键注册实现类型
服务类型是实现类型的基类和接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RegisterMany<TImplementation>(
    ReuseType reuseType = ReuseType.Transient,
    Object serviceKey = null,
    bool nonPublicServiceTypes = false
)

Sub RegisterMany(Of TImplementation) (
    Optional reuseType As ReuseType = ReuseType.Transient,
    Optional serviceKey As Object = Nothing,
    Optional nonPublicServiceTypes As Boolean = false
)
generic<typename TImplementation>
void RegisterMany(
    ReuseType reuseType = ReuseType::Transient,
    Object^ serviceKey = nullptr,
    bool nonPublicServiceTypes = false
)
abstract RegisterMany :
        ?reuseType : ReuseType *
        ?serviceKey : Object *
        ?nonPublicServiceTypes : bool
(* Defaults:
        let _reuseType = defaultArg reuseType ReuseType.Transient
        let _serviceKey = defaultArg serviceKey null
        let _nonPublicServiceTypes = defaultArg nonPublicServiceTypes false
*)
-> unit

Parameters

reuseType (Optional)
Type: ZKWebStandard.IocReuseType
Reuse type
serviceKey (Optional)
Type: SystemObject
Service key
nonPublicServiceTypes (Optional)
Type: SystemBoolean
Also register with non public service types

Type Parameters

TImplementation
Implementation type
See Also

Reference

IGenericRegistrator Interface
ZKWebStandard.Ioc Namespace


IGenericRegistrator.Unregister(TService) Method

IGenericRegistratorUnregisterTService Method

Unregister all factories with specified service type and service key
Please see the example in IRegistrator
注销所有注册到指定服务类型和服务键的工厂函数
请查看IRegistrator中的示例

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Unregister<TService>(
    Object serviceKey = null
)

Sub Unregister(Of TService) (
    Optional serviceKey As Object = Nothing
)
generic<typename TService>
void Unregister(
    Object^ serviceKey = nullptr
)
abstract Unregister :
        ?serviceKey : Object
(* Defaults:
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

serviceKey (Optional)
Type: SystemObject
Service key

Type Parameters

TService
Service type
See Also

Reference

IGenericRegistrator Interface
ZKWebStandard.Ioc Namespace


IGenericRegistrator.UnregisterImplementation(TImplementation) Method

IGenericRegistratorUnregisterImplementationTImplementation Method

Unregister factories with specified implementation type and service key
Please see the example in IRegistrator
按实现类型和服务键注销所有相关的工厂函数
请查看IRegistrator中的示例

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void UnregisterImplementation<TImplementation>(
    Object serviceKey = null
)

Sub UnregisterImplementation(Of TImplementation) (
    Optional serviceKey As Object = Nothing
)
generic<typename TImplementation>
void UnregisterImplementation(
    Object^ serviceKey = nullptr
)
abstract UnregisterImplementation :
        ?serviceKey : Object
(* Defaults:
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

serviceKey (Optional)
Type: SystemObject
Service key

Type Parameters

TImplementation
Implementation type
See Also

Reference

IGenericRegistrator Interface
ZKWebStandard.Ioc Namespace


IGenericResolver Interface
Interface for generic resolver
泛型解决器的接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IGenericResolver
Public Interface IGenericResolver
public interface class IGenericResolver
type IGenericResolver =  interface end

The IGenericResolver type exposes the following members.

Methods
 | Name | Description
Public method | ResolveTService | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | ResolveManyTService | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取实例列表 如果无注册的服务则返回空列表
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocContainer


IGenericResolver Methods

The IGenericResolver type exposes the following members.

Methods
 | Name | Description
Public method | ResolveTService | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | ResolveManyTService | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取实例列表 如果无注册的服务则返回空列表
Top
See Also

Reference

IGenericResolver Interface
ZKWebStandard.Ioc Namespace


IGenericResolver.Resolve(TService) Method

IGenericResolverResolveTService Method

Resolve service with type and key
Throw exception or return default value if not found, dependent on ifUnresolved
根据服务类型和服务键获取实例
找不到时根据ifUnresolved参数抛出例外或者返回默认值

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
TService Resolve<TService>(
    IfUnresolved ifUnresolved = IfUnresolved.Throw,
    Object serviceKey = null
)

Function Resolve(Of TService) (
    Optional ifUnresolved As IfUnresolved = IfUnresolved.Throw,
    Optional serviceKey As Object = Nothing
) As TService
generic<typename TService>
TService Resolve(
    IfUnresolved ifUnresolved = IfUnresolved::Throw,
    Object^ serviceKey = nullptr
)
abstract Resolve :
        ?ifUnresolved : IfUnresolved *
        ?serviceKey : Object
(* Defaults:
        let _ifUnresolved = defaultArg ifUnresolved IfUnresolved.Throw
        let _serviceKey = defaultArg serviceKey null
*)
-> 'TService

Parameters

ifUnresolved (Optional)
Type: ZKWebStandard.IocIfUnresolved
Action when service unresolved
serviceKey (Optional)
Type: SystemObject
Service key

Type Parameters

TService
Service type

Return Value

Type: TService

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.IGenericResolver.Resolve``1(ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

See Also

Reference

IGenericResolver Interface
ZKWebStandard.Ioc Namespace


IGenericResolver.ResolveMany(TService) Method

IGenericResolverResolveManyTService Method

Resolve services with type and key
Return empty sequence if no service registered
根据服务类型和服务键获取实例列表
如果无注册的服务则返回空列表

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<TService> ResolveMany<TService>(
    Object serviceKey = null
)

Function ResolveMany(Of TService) (
    Optional serviceKey As Object = Nothing
) As IEnumerable(Of TService)
generic<typename TService>
IEnumerable<TService>^ ResolveMany(
    Object^ serviceKey = nullptr
)
abstract ResolveMany :
        ?serviceKey : Object
(* Defaults:
        let _serviceKey = defaultArg serviceKey null
*)
-> IEnumerable<'TService>

Parameters

serviceKey (Optional)
Type: SystemObject
Service key

Type Parameters

TService
Service type

Return Value

Type: IEnumerable TService

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.IGenericResolver.ResolveMany``1(System.Object)"]

See Also

Reference

IGenericResolver Interface
ZKWebStandard.Ioc Namespace


InjectAttribute Class
Choose which constructor to inject explicitly
选择注入哪个构造函数时使用的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWebStandard.IocInjectAttribute

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class InjectAttribute : Attribute
Public Class InjectAttribute
    Inherits Attribute
public ref class InjectAttribute : public Attribute
type InjectAttribute =
    class
        inherit Attribute
    end

The InjectAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | InjectAttribute | Initializes a new instance of the InjectAttribute class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocContainer


InjectAttribute Constructor

Initializes a new instance of the InjectAttribute class

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public InjectAttribute()
Public Sub New
public:
InjectAttribute()
new : unit -> InjectAttribute
See Also

Reference

InjectAttribute Class
ZKWebStandard.Ioc Namespace


InjectAttribute Methods

The InjectAttribute type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

InjectAttribute Class
ZKWebStandard.Ioc Namespace


IRegistrator Interface
Interface for registrator
注册器的接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IRegistrator
Public Interface IRegistrator
public interface class IRegistrator
type IRegistrator =  interface end

The IRegistrator type exposes the following members.

Methods
 | Name | Description
Public method | Register | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | RegisterDelegate | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterExports | Automatic register types by export attributes 按Export属性自动注册类型到容器
Public method | RegisterInstance | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterMany(IListType, Type, ReuseType, Object) | Register implementation type with service types and service key 根据多个服务类型和服务键注册实现类型
Public method | RegisterMany(Type, ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Public method | Unregister | Unregister all factories with specified service type and service key For example: Class A inherit I and J Class B inherit I The factory mapping will be { A: A, I: [A, B], J: A, B: B } After unregister I the factory mapping will be { A: A, I: [], J: A, B: B } 注销所有注册到指定服务类型和服务键的工厂函数 例如: 类 A 继承 类 I 和 J 类 B 继承 类 I 工厂函数的集合是 { A: A, I: [A, B], J: A, B: B } 按I注销后，工厂函数的集合是 { A: A, I: [], J: A, B: B }
Public method | UnregisterAll | Unregister all factories 注销所有工厂函数
Public method | UnregisterImplementation | Unregister factories with specified implementation type and service key For example: Class A inherit I and J Class B inherit I The factory mapping will be { A: A, I: [A, B], J: A, B: B } After unregister A the factory mapping will be { A: [], I: [B], J: [], B: B } 注销所有注册到指定服务类型和服务键的工厂函数 例如: 类 A 继承 类 I 和 J 类 B 继承 类 I 工厂函数的集合是 { A: A, I: [A, B], J: A, B: B } 按A注销后, 工厂函数的集合是 { A: [], I: [B], J: [], B: B }
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocContainer


IRegistrator Methods

The IRegistrator type exposes the following members.

Methods
 | Name | Description
Public method | Register | Register implementation type with service type and service key 根据服务类型和服务键注册实现类型
Public method | RegisterDelegate | Register delegate with service type and service key 根据服务类型和服务键注册工厂函数
Public method | RegisterExports | Automatic register types by export attributes 按Export属性自动注册类型到容器
Public method | RegisterInstance | Register instance with service type and service key Reuse type is forced to Singleton 根据服务类型和服务键注册实例 重用类型强制为单例
Public method | RegisterMany(IListType, Type, ReuseType, Object) | Register implementation type with service types and service key 根据多个服务类型和服务键注册实现类型
Public method | RegisterMany(Type, ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Public method | Unregister | Unregister all factories with specified service type and service key For example: Class A inherit I and J Class B inherit I The factory mapping will be { A: A, I: [A, B], J: A, B: B } After unregister I the factory mapping will be { A: A, I: [], J: A, B: B } 注销所有注册到指定服务类型和服务键的工厂函数 例如: 类 A 继承 类 I 和 J 类 B 继承 类 I 工厂函数的集合是 { A: A, I: [A, B], J: A, B: B } 按I注销后，工厂函数的集合是 { A: A, I: [], J: A, B: B }
Public method | UnregisterAll | Unregister all factories 注销所有工厂函数
Public method | UnregisterImplementation | Unregister factories with specified implementation type and service key For example: Class A inherit I and J Class B inherit I The factory mapping will be { A: A, I: [A, B], J: A, B: B } After unregister A the factory mapping will be { A: [], I: [B], J: [], B: B } 注销所有注册到指定服务类型和服务键的工厂函数 例如: 类 A 继承 类 I 和 J 类 B 继承 类 I 工厂函数的集合是 { A: A, I: [A, B], J: A, B: B } 按A注销后, 工厂函数的集合是 { A: [], I: [B], J: [], B: B }
Top
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IRegistrator.Register Method

IRegistratorRegister Method

Register implementation type with service type and service key
根据服务类型和服务键注册实现类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Register(
    Type serviceType,
    Type implementationType,
    ReuseType reuseType = ReuseType.Transient,
    Object serviceKey = null
)
Sub Register (
    serviceType As Type,
    implementationType As Type,
    Optional reuseType As ReuseType = ReuseType.Transient,
    Optional serviceKey As Object = Nothing
)
void Register(
    Type^ serviceType,
    Type^ implementationType,
    ReuseType reuseType = ReuseType::Transient,
    Object^ serviceKey = nullptr
)
abstract Register :
        serviceType : Type *
        implementationType : Type *
        ?reuseType : ReuseType *
        ?serviceKey : Object
(* Defaults:
        let _reuseType = defaultArg reuseType ReuseType.Transient
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

serviceType
Type: SystemType
Service type
implementationType
Type: SystemType
Implementation type
reuseType (Optional)
Type: ZKWebStandard.IocReuseType
Reuse type
serviceKey (Optional)
Type: SystemObject
Service key
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IRegistrator.RegisterDelegate Method

IRegistratorRegisterDelegate Method

Register delegate with service type and service key
根据服务类型和服务键注册工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RegisterDelegate(
    Type serviceType,
    Func<Object> factory,
    ReuseType reuseType = ReuseType.Transient,
    Object serviceKey = null
)
Sub RegisterDelegate (
    serviceType As Type,
    factory As Func(Of Object),
    Optional reuseType As ReuseType = ReuseType.Transient,
    Optional serviceKey As Object = Nothing
)
void RegisterDelegate(
    Type^ serviceType,
    Func<Object^>^ factory,
    ReuseType reuseType = ReuseType::Transient,
    Object^ serviceKey = nullptr
)
abstract RegisterDelegate :
        serviceType : Type *
        factory : Func<Object> *
        ?reuseType : ReuseType *
        ?serviceKey : Object
(* Defaults:
        let _reuseType = defaultArg reuseType ReuseType.Transient
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

serviceType
Type: SystemType
Implementation type
factory
Type: SystemFunc Object
Service factory
reuseType (Optional)
Type: ZKWebStandard.IocReuseType
Reuse type
serviceKey (Optional)
Type: SystemObject
Service key
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IRegistrator.RegisterExports Method

IRegistratorRegisterExports Method

Automatic register types by export attributes
按Export属性自动注册类型到容器

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RegisterExports(
    IEnumerable<Type> types
)
Sub RegisterExports (
    types As IEnumerable(Of Type)
)
void RegisterExports(
    IEnumerable<Type^>^ types
)
abstract RegisterExports :
        types : IEnumerable<Type> -> unit

Parameters

types
Type: System.Collections.GenericIEnumerable Type
Implementation types
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IRegistrator.RegisterInstance Method

IRegistratorRegisterInstance Method

Register instance with service type and service key
Reuse type is forced to Singleton
根据服务类型和服务键注册实例
重用类型强制为单例

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RegisterInstance(
    Type serviceType,
    Object instance,
    Object serviceKey = null
)
Sub RegisterInstance (
    serviceType As Type,
    instance As Object,
    Optional serviceKey As Object = Nothing
)
void RegisterInstance(
    Type^ serviceType,
    Object^ instance,
    Object^ serviceKey = nullptr
)
abstract RegisterInstance :
        serviceType : Type *
        instance : Object *
        ?serviceKey : Object
(* Defaults:
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

serviceType
Type: SystemType
Service type
instance
Type: SystemObject
Service instance
serviceKey (Optional)
Type: SystemObject
Service key
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IRegistrator.RegisterMany Method

IRegistratorRegisterMany Method

Overload List
 | Name | Description
Public method | RegisterMany(IListType, Type, ReuseType, Object) | Register implementation type with service types and service key 根据多个服务类型和服务键注册实现类型
Public method | RegisterMany(Type, ReuseType, Object, Boolean) | Register implementation type with service types and service key Service types are obtain from base types and interfaces 根据多个服务类型和服务键注册实现类型 服务类型是实现类型的基类和接口
Top
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IRegistrator.RegisterMany Method (IList(Type), Type, ReuseType, Object)

IRegistratorRegisterMany Method (IListType, Type, ReuseType, Object)
Register implementation type with service types and service key
根据多个服务类型和服务键注册实现类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RegisterMany(
    IList<Type> serviceTypes,
    Type implementationType,
    ReuseType reuseType = ReuseType.Transient,
    Object serviceKey = null
)
Sub RegisterMany (
    serviceTypes As IList(Of Type),
    implementationType As Type,
    Optional reuseType As ReuseType = ReuseType.Transient,
    Optional serviceKey As Object = Nothing
)
void RegisterMany(
    IList<Type^>^ serviceTypes,
    Type^ implementationType,
    ReuseType reuseType = ReuseType::Transient,
    Object^ serviceKey = nullptr
)
abstract RegisterMany :
        serviceTypes : IList<Type> *
        implementationType : Type *
        ?reuseType : ReuseType *
        ?serviceKey : Object
(* Defaults:
        let _reuseType = defaultArg reuseType ReuseType.Transient
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

serviceTypes
Type: System.Collections.GenericIList Type
Service types
implementationType
Type: SystemType
Implementation type
reuseType (Optional)
Type: ZKWebStandard.IocReuseType
Reuse type
serviceKey (Optional)
Type: SystemObject
Service key
See Also

Reference

IRegistrator Interface
RegisterMany Overload
ZKWebStandard.Ioc Namespace


IRegistrator.RegisterMany Method (Type, ReuseType, Object, Boolean)

IRegistratorRegisterMany Method (Type, ReuseType, Object, Boolean)
Register implementation type with service types and service key
Service types are obtain from base types and interfaces
根据多个服务类型和服务键注册实现类型
服务类型是实现类型的基类和接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RegisterMany(
    Type implementationType,
    ReuseType reuseType = ReuseType.Transient,
    Object serviceKey = null,
    bool nonPublicServiceTypes = false
)
Sub RegisterMany (
    implementationType As Type,
    Optional reuseType As ReuseType = ReuseType.Transient,
    Optional serviceKey As Object = Nothing,
    Optional nonPublicServiceTypes As Boolean = false
)
void RegisterMany(
    Type^ implementationType,
    ReuseType reuseType = ReuseType::Transient,
    Object^ serviceKey = nullptr,
    bool nonPublicServiceTypes = false
)
abstract RegisterMany :
        implementationType : Type *
        ?reuseType : ReuseType *
        ?serviceKey : Object *
        ?nonPublicServiceTypes : bool
(* Defaults:
        let _reuseType = defaultArg reuseType ReuseType.Transient
        let _serviceKey = defaultArg serviceKey null
        let _nonPublicServiceTypes = defaultArg nonPublicServiceTypes false
*)
-> unit

Parameters

implementationType
Type: SystemType
Implementation type
reuseType (Optional)
Type: ZKWebStandard.IocReuseType
Reuse type
serviceKey (Optional)
Type: SystemObject
Service key
nonPublicServiceTypes (Optional)
Type: SystemBoolean
Also register with non public service types
See Also

Reference

IRegistrator Interface
RegisterMany Overload
ZKWebStandard.Ioc Namespace


IRegistrator.Unregister Method

IRegistratorUnregister Method

Unregister all factories with specified service type and service key
For example:
Class A inherit I and J
Class B inherit I
The factory mapping will be
{ A: A, I: [A, B], J: A, B: B }
After unregister I the factory mapping will be
{ A: A, I: [], J: A, B: B }
注销所有注册到指定服务类型和服务键的工厂函数
例如:
类 A 继承 类 I 和 J
类 B 继承 类 I
工厂函数的集合是
{ A: A, I: [A, B], J: A, B: B }
按I注销后，工厂函数的集合是
{ A: A, I: [], J: A, B: B }

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Unregister(
    Type serviceType,
    Object serviceKey = null
)
Sub Unregister (
    serviceType As Type,
    Optional serviceKey As Object = Nothing
)
void Unregister(
    Type^ serviceType,
    Object^ serviceKey = nullptr
)
abstract Unregister :
        serviceType : Type *
        ?serviceKey : Object
(* Defaults:
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

serviceType
Type: SystemType
Service type
serviceKey (Optional)
Type: SystemObject
Service key
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IRegistrator.UnregisterAll Method

IRegistratorUnregisterAll Method

Unregister all factories
注销所有工厂函数

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void UnregisterAll()
Sub UnregisterAll
void UnregisterAll()
abstract UnregisterAll : unit -> unit
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IRegistrator.UnregisterImplementation Method

IRegistratorUnregisterImplementation Method

Unregister factories with specified implementation type and service key
For example:
Class A inherit I and J
Class B inherit I
The factory mapping will be
{ A: A, I: [A, B], J: A, B: B }
After unregister A the factory mapping will be
{ A: [], I: [B], J: [], B: B }
注销所有注册到指定服务类型和服务键的工厂函数
例如:
类 A 继承 类 I 和 J
类 B 继承 类 I
工厂函数的集合是
{ A: A, I: [A, B], J: A, B: B }
按A注销后, 工厂函数的集合是
{ A: [], I: [B], J: [], B: B }

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void UnregisterImplementation(
    Type implementationType,
    Object serviceKey = null
)
Sub UnregisterImplementation (
    implementationType As Type,
    Optional serviceKey As Object = Nothing
)
void UnregisterImplementation(
    Type^ implementationType,
    Object^ serviceKey = nullptr
)
abstract UnregisterImplementation :
        implementationType : Type *
        ?serviceKey : Object
(* Defaults:
        let _serviceKey = defaultArg serviceKey null
*)
-> unit

Parameters

implementationType
Type: SystemType
Implementation type
serviceKey (Optional)
Type: SystemObject
Service key
See Also

Reference

IRegistrator Interface
ZKWebStandard.Ioc Namespace


IResolver Interface
Interface for resolver
解决器的接口

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IResolver
Public Interface IResolver
public interface class IResolver
type IResolver =  interface end

The IResolver type exposes the following members.

Methods
 | Name | Description
Public method | Resolve | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | ResolveMany | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取实例列表 如果无注册的服务则返回空列表
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocContainer


IResolver Methods

The IResolver type exposes the following members.

Methods
 | Name | Description
Public method | Resolve | Resolve service with type and key Throw exception or return default value if not found, dependent on ifUnresolved 根据服务类型和服务键获取实例 找不到时根据ifUnresolved参数抛出例外或者返回默认值
Public method | ResolveMany | Resolve services with type and key Return empty sequence if no service registered 根据服务类型和服务键获取实例列表 如果无注册的服务则返回空列表
Top
See Also

Reference

IResolver Interface
ZKWebStandard.Ioc Namespace


IResolver.Resolve Method

IResolverResolve Method

Resolve service with type and key
Throw exception or return default value if not found, dependent on ifUnresolved
根据服务类型和服务键获取实例
找不到时根据ifUnresolved参数抛出例外或者返回默认值

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Object Resolve(
    Type serviceType,
    IfUnresolved ifUnresolved = IfUnresolved.Throw,
    Object serviceKey = null
)
Function Resolve (
    serviceType As Type,
    Optional ifUnresolved As IfUnresolved = IfUnresolved.Throw,
    Optional serviceKey As Object = Nothing
) As Object
Object^ Resolve(
    Type^ serviceType,
    IfUnresolved ifUnresolved = IfUnresolved::Throw,
    Object^ serviceKey = nullptr
)
abstract Resolve :
        serviceType : Type *
        ?ifUnresolved : IfUnresolved *
        ?serviceKey : Object
(* Defaults:
        let _ifUnresolved = defaultArg ifUnresolved IfUnresolved.Throw
        let _serviceKey = defaultArg serviceKey null
*)
-> Object

Parameters

serviceType
Type: SystemType
Service type
ifUnresolved (Optional)
Type: ZKWebStandard.IocIfUnresolved
Action when service unresolved
serviceKey (Optional)
Type: SystemObject
Service key

Return Value

Type: Object

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.IResolver.Resolve(System.Type,ZKWebStandard.Ioc.IfUnresolved,System.Object)"]

See Also

Reference

IResolver Interface
ZKWebStandard.Ioc Namespace


IResolver.ResolveMany Method

IResolverResolveMany Method

Resolve services with type and key
Return empty sequence if no service registered
根据服务类型和服务键获取实例列表
如果无注册的服务则返回空列表

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<Object> ResolveMany(
    Type serviceType,
    Object serviceKey = null
)
Function ResolveMany (
    serviceType As Type,
    Optional serviceKey As Object = Nothing
) As IEnumerable(Of Object)
IEnumerable<Object^>^ ResolveMany(
    Type^ serviceType,
    Object^ serviceKey = nullptr
)
abstract ResolveMany :
        serviceType : Type *
        ?serviceKey : Object
(* Defaults:
        let _serviceKey = defaultArg serviceKey null
*)
-> IEnumerable<Object>

Parameters

serviceType
Type: SystemType
Service type
serviceKey (Optional)
Type: SystemObject
Service key

Return Value

Type: IEnumerable Object

[Missing <returns> documentation for "M:ZKWebStandard.Ioc.IResolver.ResolveMany(System.Type,System.Object)"]

See Also

Reference

IResolver Interface
ZKWebStandard.Ioc Namespace


ReuseAttribute Class
Reuse type attribute
It should use with ExportManyAttributes
标记重用类型的属性
应该与ExportManyAttribute一起使用
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWebStandard.IocReuseAttribute
ZKWebStandard.IocSingletonReuseAttribute

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ReuseAttribute : Attribute
Public Class ReuseAttribute
    Inherits Attribute
public ref class ReuseAttribute : public Attribute
type ReuseAttribute =
    class
        inherit Attribute
    end

The ReuseAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | ReuseAttribute | Initialize 初始化
Top
Properties
 | Name | Description
Public property | ReuseType | Reuse type 重用类型
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocContainer


ReuseAttribute Constructor

Initialize
初始化

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ReuseAttribute(
    ReuseType reuseType
)
Public Sub New (
    reuseType As ReuseType
)
public:
ReuseAttribute(
    ReuseType reuseType
)
new :
        reuseType : ReuseType -> ReuseAttribute

Parameters

reuseType
Type: ZKWebStandard.IocReuseType
Reuse type
See Also

Reference

ReuseAttribute Class
ZKWebStandard.Ioc Namespace


ReuseAttribute Properties

The ReuseAttribute type exposes the following members.

Properties
 | Name | Description
Public property | ReuseType | Reuse type 重用类型
Top
See Also

Reference

ReuseAttribute Class
ZKWebStandard.Ioc Namespace


ReuseAttribute.ReuseType Property

ReuseAttributeReuseType Property

Reuse type
重用类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ReuseType ReuseType { get; set; }
Public Property ReuseType As ReuseType
    Get
    Set
public:
property ReuseType ReuseType {
    ReuseType get ();
    void set (ReuseType value);
}
member ReuseType : ReuseType with get, set

Property Value

Type: ReuseType
See Also

Reference

ReuseAttribute Class
ZKWebStandard.Ioc Namespace


ReuseAttribute Methods

The ReuseAttribute type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ReuseAttribute Class
ZKWebStandard.Ioc Namespace


ReuseType Enumeration
Service reuse type
重用类型

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public enum ReuseType
Public Enumeration ReuseType
public enum class ReuseType
type ReuseType
Members
Member name | Value | Description
Transient | 0 | Transient, no reuse 临时，不重用
Singleton | 1 | Singleton, reuse in the future, it's granted to be thread safe 单例，会在将来重用，并保证线程安全
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocContainer


SingletonReuseAttribute Class
Singleton reuse attribute
A convenient attribute from ReuseAttribute
标记单例的属性
继承了ReuseAttribute的便捷属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWebStandard.IocReuseAttribute
ZKWebStandard.IocSingletonReuseAttribute

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class SingletonReuseAttribute : ReuseAttribute
Public Class SingletonReuseAttribute
    Inherits ReuseAttribute
public ref class SingletonReuseAttribute : public ReuseAttribute
type SingletonReuseAttribute =
    class
        inherit ReuseAttribute
    end

The SingletonReuseAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | SingletonReuseAttribute | Initialize 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Ioc Namespace
ZKWebStandard.IocIContainer
ZKWebStandard.IocContainer


SingletonReuseAttribute Constructor

Initialize
初始化

Namespace: ZKWebStandard.Ioc
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public SingletonReuseAttribute()
Public Sub New
public:
SingletonReuseAttribute()
new : unit -> SingletonReuseAttribute
See Also

Reference

SingletonReuseAttribute Class
ZKWebStandard.Ioc Namespace


SingletonReuseAttribute Methods

The SingletonReuseAttribute type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

SingletonReuseAttribute Class
ZKWebStandard.Ioc Namespace


ZKWebStandard.Testing Namespaces

[Missing <summary> documentation for "G:ZKWebStandard.Testing"]

Namespaces
Namespace | Description
ZKWebStandard.Testing |
ZKWebStandard.Testing.Events |


ZKWebStandard.Testing Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Testing"]

Classes
 | Class | Description
 | Assert | Assert utility functions 断言工具函数
Public class | AssertException | Assert failed exception 断言失败的例外
Public class | AssertPassedException | Assert passed exception Will make the test passed 断言通过的例外 会让测试通过
Public class | AssertSkipedException | Assert skipped exception Will make the test skipped 断言跳过的例外 会跳过测试
Public class | TestResultCounter | Test result counter 测试结果计数器
 | TestRunner | Test runner Test runner is bound to single assembly Testing flow - Find all types in assembly have TestsAttribute - Find all public methods in test class, every method is a test case and run in separate thread - Create test instance - Execute test methods and notify event handlers - If test instance is disposable, dispose it 测试运行器 单个测试运行器与单个程序集绑定 测试流程 - 查找程序集中的类型，找出标记了TestsAttribute的类型 - 查找类型中所有公开的函数，函数是单独的测试并且会运行在不同的线程中 - 创建类型的实例 - 执行测试函数并且通知事件处理器 - 如果类型的实例有销毁函数(Dispose)，则调用销毁函数
 | TestsAttribute | Attribute for mark class contains test methods 标记类包含测试函数的属性


Assert Class
Assert utility functions
断言工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.TestingAssert

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class Assert
Public NotInheritable Class Assert
public ref class Assert abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Assert =  class end

The Assert type exposes the following members.

Methods
Name | Description
Equals(Object, Object, String, String, Int32) | Test if a and b are equals Use to avoid calling object.Equals 测试a和b是否相等 用于防止调用object.Equals
EqualsT(T, T, String, String, Int32) | Test if a and b are equals 测试a和b是否相等
IsTrue | Test if condition is true 测试条件是否为真
IsTrueWith | Test if condition is true If failed include `obj`'s contents to exception message 测试条件是否为真 如果失败会包含obj的内容到例外消息
Passed | Make this test passed 让当前测试通过
Skipped | Make this test skipped 跳过当前测试
ThrowsTException | Test if action throws specified type's exception 测试函数是否抛出了指定类型的例外
Top
Examples
C#
Copy
[Tests]
class ExampleTest {
    public void MethodA() {
        Assert.IsTrue(1 == 1);
        Assert.IsTrueWith(1 == 1, "if failed this item will be outputed");
        Assert.Equals(true, true);
        Assert.Throws<ArgumentException>(() => { throw new ArgumentException(); });
    }
}
See Also

Reference

ZKWebStandard.Testing Namespace
ZKWebStandard.TestingTestRunner


Assert Methods

The Assert type exposes the following members.

Methods
Name | Description
Equals(Object, Object, String, String, Int32) | Test if a and b are equals Use to avoid calling object.Equals 测试a和b是否相等 用于防止调用object.Equals
EqualsT(T, T, String, String, Int32) | Test if a and b are equals 测试a和b是否相等
IsTrue | Test if condition is true 测试条件是否为真
IsTrueWith | Test if condition is true If failed include `obj`'s contents to exception message 测试条件是否为真 如果失败会包含obj的内容到例外消息
Passed | Make this test passed 让当前测试通过
Skipped | Make this test skipped 跳过当前测试
ThrowsTException | Test if action throws specified type's exception 测试函数是否抛出了指定类型的例外
Top
See Also

Reference

Assert Class
ZKWebStandard.Testing Namespace


Assert.Equals Method

AssertEquals Method

Overload List
Name | Description
Equals(Object, Object, String, String, Int32) | Test if a and b are equals Use to avoid calling object.Equals 测试a和b是否相等 用于防止调用object.Equals
EqualsT(T, T, String, String, Int32) | Test if a and b are equals 测试a和b是否相等
Top
See Also

Reference

Assert Class
ZKWebStandard.Testing Namespace


Assert.Equals Method (Object, Object, String, String, Int32)

AssertEquals Method (Object, Object, String, String, Int32)
Test if a and b are equals
Use to avoid calling object.Equals
测试a和b是否相等
用于防止调用object.Equals

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Equals(
    Object a,
    Object b,
    string memberName = null,
    string filePath = null,
    int lineNumber = 0
)
Public Shared Sub Equals (
    a As Object,
    b As Object,
    Optional memberName As String = Nothing,
    Optional filePath As String = Nothing,
    Optional lineNumber As Integer = 0
)
public:
static void Equals(
    Object^ a,
    Object^ b,
    String^ memberName = nullptr,
    String^ filePath = nullptr,
    int lineNumber = 0
)
static member Equals :
        a : Object *
        b : Object *
        ?memberName : string *
        ?filePath : string *
        ?lineNumber : int
(* Defaults:
        let _memberName = defaultArg memberName null
        let _filePath = defaultArg filePath null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

a
Type: SystemObject

[Missing <param name="a"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals(System.Object,System.Object,System.String,System.String,System.Int32)"]

b
Type: SystemObject

[Missing <param name="b"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals(System.Object,System.Object,System.String,System.String,System.Int32)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals(System.Object,System.Object,System.String,System.String,System.Int32)"]

filePath (Optional)
Type: SystemString

[Missing <param name="filePath"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals(System.Object,System.Object,System.String,System.String,System.Int32)"]

lineNumber (Optional)
Type: SystemInt32

[Missing <param name="lineNumber"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals(System.Object,System.Object,System.String,System.String,System.Int32)"]

See Also

Reference

Assert Class
Equals Overload
ZKWebStandard.Testing Namespace


Assert.Equals(T) Method (T, T, String, String, Int32)

AssertEqualsT Method (T, T, String, String, Int32)
Test if a and b are equals
测试a和b是否相等

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Equals<T>(
    T a,
    T b,
    string memberName = null,
    string filePath = null,
    int lineNumber = 0
)

Public Shared Sub Equals(Of T) (
    a As T,
    b As T,
    Optional memberName As String = Nothing,
    Optional filePath As String = Nothing,
    Optional lineNumber As Integer = 0
)
public:
generic<typename T>
static void Equals(
    T a,
    T b,
    String^ memberName = nullptr,
    String^ filePath = nullptr,
    int lineNumber = 0
)
static member Equals :
        a : 'T *
        b : 'T *
        ?memberName : string *
        ?filePath : string *
        ?lineNumber : int
(* Defaults:
        let _memberName = defaultArg memberName null
        let _filePath = defaultArg filePath null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

a
Type: T

[Missing <param name="a"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals``1(``0,``0,System.String,System.String,System.Int32)"]

b
Type: T

[Missing <param name="b"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals``1(``0,``0,System.String,System.String,System.Int32)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals``1(``0,``0,System.String,System.String,System.Int32)"]

filePath (Optional)
Type: SystemString

[Missing <param name="filePath"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals``1(``0,``0,System.String,System.String,System.Int32)"]

lineNumber (Optional)
Type: SystemInt32

[Missing <param name="lineNumber"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals``1(``0,``0,System.String,System.String,System.Int32)"]

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "M:ZKWebStandard.Testing.Assert.Equals``1(``0,``0,System.String,System.String,System.Int32)"]

See Also

Reference

Assert Class
Equals Overload
ZKWebStandard.Testing Namespace


Assert.IsTrue Method

AssertIsTrue Method

Test if condition is true
测试条件是否为真

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void IsTrue(
    bool condition,
    string memberName = null,
    string filePath = null,
    int lineNumber = 0
)
Public Shared Sub IsTrue (
    condition As Boolean,
    Optional memberName As String = Nothing,
    Optional filePath As String = Nothing,
    Optional lineNumber As Integer = 0
)
public:
static void IsTrue(
    bool condition,
    String^ memberName = nullptr,
    String^ filePath = nullptr,
    int lineNumber = 0
)
static member IsTrue :
        condition : bool *
        ?memberName : string *
        ?filePath : string *
        ?lineNumber : int
(* Defaults:
        let _memberName = defaultArg memberName null
        let _filePath = defaultArg filePath null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrue(System.Boolean,System.String,System.String,System.Int32)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrue(System.Boolean,System.String,System.String,System.Int32)"]

filePath (Optional)
Type: SystemString

[Missing <param name="filePath"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrue(System.Boolean,System.String,System.String,System.Int32)"]

lineNumber (Optional)
Type: SystemInt32

[Missing <param name="lineNumber"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrue(System.Boolean,System.String,System.String,System.Int32)"]

See Also

Reference

Assert Class
ZKWebStandard.Testing Namespace


Assert.IsTrueWith Method

AssertIsTrueWith Method

Test if condition is true
If failed include `obj`'s contents to exception message
测试条件是否为真
如果失败会包含obj的内容到例外消息

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void IsTrueWith(
    bool condition,
    Object obj,
    string memberName = null,
    string filePath = null,
    int lineNumber = 0
)
Public Shared Sub IsTrueWith (
    condition As Boolean,
    obj As Object,
    Optional memberName As String = Nothing,
    Optional filePath As String = Nothing,
    Optional lineNumber As Integer = 0
)
public:
static void IsTrueWith(
    bool condition,
    Object^ obj,
    String^ memberName = nullptr,
    String^ filePath = nullptr,
    int lineNumber = 0
)
static member IsTrueWith :
        condition : bool *
        obj : Object *
        ?memberName : string *
        ?filePath : string *
        ?lineNumber : int
(* Defaults:
        let _memberName = defaultArg memberName null
        let _filePath = defaultArg filePath null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit

Parameters

condition
Type: SystemBoolean

[Missing <param name="condition"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrueWith(System.Boolean,System.Object,System.String,System.String,System.Int32)"]

obj
Type: SystemObject

[Missing <param name="obj"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrueWith(System.Boolean,System.Object,System.String,System.String,System.Int32)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrueWith(System.Boolean,System.Object,System.String,System.String,System.Int32)"]

filePath (Optional)
Type: SystemString

[Missing <param name="filePath"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrueWith(System.Boolean,System.Object,System.String,System.String,System.Int32)"]

lineNumber (Optional)
Type: SystemInt32

[Missing <param name="lineNumber"/> documentation for "M:ZKWebStandard.Testing.Assert.IsTrueWith(System.Boolean,System.Object,System.String,System.String,System.Int32)"]

See Also

Reference

Assert Class
ZKWebStandard.Testing Namespace


Assert.Passed Method

AssertPassed Method

Make this test passed
让当前测试通过

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Passed()
Public Shared Sub Passed
public:
static void Passed()
static member Passed : unit -> unit
See Also

Reference

Assert Class
ZKWebStandard.Testing Namespace


Assert.Skipped Method

AssertSkipped Method

Make this test skipped
跳过当前测试

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Skipped(
    string reason
)
Public Shared Sub Skipped (
    reason As String
)
public:
static void Skipped(
    String^ reason
)
static member Skipped :
        reason : string -> unit

Parameters

reason
Type: SystemString

[Missing <param name="reason"/> documentation for "M:ZKWebStandard.Testing.Assert.Skipped(System.String)"]

See Also

Reference

Assert Class
ZKWebStandard.Testing Namespace


Assert.Throws(TException) Method

AssertThrowsTException Method

Test if action throws specified type's exception
测试函数是否抛出了指定类型的例外

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void Throws<TException>(
    Action action,
    string memberName = null,
    string filePath = null,
    int lineNumber = 0
)
where TException : Exception

Public Shared Sub Throws(Of TException As Exception) (
    action As Action,
    Optional memberName As String = Nothing,
    Optional filePath As String = Nothing,
    Optional lineNumber As Integer = 0
)
public:
generic<typename TException>
where TException : Exception
static void Throws(
    Action^ action,
    String^ memberName = nullptr,
    String^ filePath = nullptr,
    int lineNumber = 0
)
static member Throws :
        action : Action *
        ?memberName : string *
        ?filePath : string *
        ?lineNumber : int
(* Defaults:
        let _memberName = defaultArg memberName null
        let _filePath = defaultArg filePath null
        let _lineNumber = defaultArg lineNumber 0
*)
-> unit  when 'TException : Exception

Parameters

action
Type: SystemAction

[Missing <param name="action"/> documentation for "M:ZKWebStandard.Testing.Assert.Throws``1(System.Action,System.String,System.String,System.Int32)"]

memberName (Optional)
Type: SystemString

[Missing <param name="memberName"/> documentation for "M:ZKWebStandard.Testing.Assert.Throws``1(System.Action,System.String,System.String,System.Int32)"]

filePath (Optional)
Type: SystemString

[Missing <param name="filePath"/> documentation for "M:ZKWebStandard.Testing.Assert.Throws``1(System.Action,System.String,System.String,System.Int32)"]

lineNumber (Optional)
Type: SystemInt32

[Missing <param name="lineNumber"/> documentation for "M:ZKWebStandard.Testing.Assert.Throws``1(System.Action,System.String,System.String,System.Int32)"]

Type Parameters

TException

[Missing <typeparam name="TException"/> documentation for "M:ZKWebStandard.Testing.Assert.Throws``1(System.Action,System.String,System.String,System.Int32)"]

See Also

Reference

Assert Class
ZKWebStandard.Testing Namespace


AssertException Class
Assert failed exception
断言失败的例外
Inheritance Hierarchy
SystemObject
SystemException
ZKWebStandard.TestingAssertException

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class AssertException : Exception
Public Class AssertException
    Inherits Exception
public ref class AssertException : public Exception
type AssertException =
    class
        inherit Exception
    end

The AssertException type exposes the following members.

Constructors
 | Name | Description
Public method | AssertException | Initialize 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing Namespace
ZKWebStandard.TestingAssert


AssertException Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AssertException(
    string reason
)
Public Sub New (
    reason As String
)
public:
AssertException(
    String^ reason
)
new :
        reason : string -> AssertException

Parameters

reason
Type: SystemString
The reason
See Also

Reference

AssertException Class
ZKWebStandard.Testing Namespace


AssertException Methods

The AssertException type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

AssertException Class
ZKWebStandard.Testing Namespace


AssertPassedException Class
Assert passed exception
Will make the test passed
断言通过的例外
会让测试通过
Inheritance Hierarchy
SystemObject
SystemException
ZKWebStandard.TestingAssertPassedException

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class AssertPassedException : Exception
Public Class AssertPassedException
    Inherits Exception
public ref class AssertPassedException : public Exception
type AssertPassedException =
    class
        inherit Exception
    end

The AssertPassedException type exposes the following members.

Constructors
 | Name | Description
Public method | AssertPassedException | Initializes a new instance of the AssertPassedException class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing Namespace
ZKWebStandard.TestingAssert


AssertPassedException Constructor

Initializes a new instance of the AssertPassedException class

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AssertPassedException()
Public Sub New
public:
AssertPassedException()
new : unit -> AssertPassedException
See Also

Reference

AssertPassedException Class
ZKWebStandard.Testing Namespace


AssertPassedException Methods

The AssertPassedException type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

AssertPassedException Class
ZKWebStandard.Testing Namespace


AssertSkipedException Class
Assert skipped exception
Will make the test skipped
断言跳过的例外
会跳过测试
Inheritance Hierarchy
SystemObject
SystemException
ZKWebStandard.TestingAssertSkipedException

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class AssertSkipedException : Exception
Public Class AssertSkipedException
    Inherits Exception
public ref class AssertSkipedException : public Exception
type AssertSkipedException =
    class
        inherit Exception
    end

The AssertSkipedException type exposes the following members.

Constructors
 | Name | Description
Public method | AssertSkipedException | Initialize 初始化
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing Namespace
ZKWebStandard.TestingAssert


AssertSkipedException Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AssertSkipedException(
    string reason
)
Public Sub New (
    reason As String
)
public:
AssertSkipedException(
    String^ reason
)
new :
        reason : string -> AssertSkipedException

Parameters

reason
Type: SystemString
The reason
See Also

Reference

AssertSkipedException Class
ZKWebStandard.Testing Namespace


AssertSkipedException Methods

The AssertSkipedException type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

AssertSkipedException Class
ZKWebStandard.Testing Namespace


TestResultCounter Class
Test result counter
测试结果计数器
Inheritance Hierarchy
SystemObject
ZKWebStandard.TestingTestResultCounter

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestResultCounter
Public Class TestResultCounter
public ref class TestResultCounter
type TestResultCounter =  class end

The TestResultCounter type exposes the following members.

Constructors
 | Name | Description
Public method | TestResultCounter | Initializes a new instance of the TestResultCounter class
Top
Properties
 | Name | Description
Public property | Failed | The number of tests failed 失败的测试数量
Public property | Passed | The number of tests passed 通过的测试数量
Public property | Skipped | The number of tests skipped 跳过的测试数量
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing Namespace
ZKWebStandard.TestingTestRunner


TestResultCounter Constructor

Initializes a new instance of the TestResultCounter class

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestResultCounter()
Public Sub New
public:
TestResultCounter()
new : unit -> TestResultCounter
See Also

Reference

TestResultCounter Class
ZKWebStandard.Testing Namespace


TestResultCounter Properties

The TestResultCounter type exposes the following members.

Properties
 | Name | Description
Public property | Failed | The number of tests failed 失败的测试数量
Public property | Passed | The number of tests passed 通过的测试数量
Public property | Skipped | The number of tests skipped 跳过的测试数量
Top
See Also

Reference

TestResultCounter Class
ZKWebStandard.Testing Namespace


TestResultCounter.Failed Property

TestResultCounterFailed Property

The number of tests failed
失败的测试数量

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ulong Failed { get; set; }
Public Property Failed As ULong
    Get
    Set
public:
property unsigned long long Failed {
    unsigned long long get ();
    void set (unsigned long long value);
}
member Failed : uint64 with get, set

Property Value

Type: UInt64
See Also

Reference

TestResultCounter Class
ZKWebStandard.Testing Namespace


TestResultCounter.Passed Property

TestResultCounterPassed Property

The number of tests passed
通过的测试数量

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ulong Passed { get; set; }
Public Property Passed As ULong
    Get
    Set
public:
property unsigned long long Passed {
    unsigned long long get ();
    void set (unsigned long long value);
}
member Passed : uint64 with get, set

Property Value

Type: UInt64
See Also

Reference

TestResultCounter Class
ZKWebStandard.Testing Namespace


TestResultCounter.Skipped Property

TestResultCounterSkipped Property

The number of tests skipped
跳过的测试数量

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ulong Skipped { get; set; }
Public Property Skipped As ULong
    Get
    Set
public:
property unsigned long long Skipped {
    unsigned long long get ();
    void set (unsigned long long value);
}
member Skipped : uint64 with get, set

Property Value

Type: UInt64
See Also

Reference

TestResultCounter Class
ZKWebStandard.Testing Namespace


TestResultCounter Methods

The TestResultCounter type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestResultCounter Class
ZKWebStandard.Testing Namespace


TestRunner Class
Test runner
Test runner is bound to single assembly
Testing flow
- Find all types in assembly have TestsAttribute
- Find all public methods in test class, every method is a test case and run in separate thread
- Create test instance
- Execute test methods and notify event handlers
- If test instance is disposable, dispose it
测试运行器
单个测试运行器与单个程序集绑定
测试流程
- 查找程序集中的类型，找出标记了TestsAttribute的类型
- 查找类型中所有公开的函数，函数是单独的测试并且会运行在不同的线程中
- 创建类型的实例
- 执行测试函数并且通知事件处理器
- 如果类型的实例有销毁函数(Dispose)，则调用销毁函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.TestingTestRunner

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestRunner
Public Class TestRunner
public ref class TestRunner
type TestRunner =  class end

The TestRunner type exposes the following members.

Constructors
 | Name | Description
Public method | TestRunner | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Assembly | Test assembly 测试的程序集
 | CurrentRunner | The running test runner It should be null if no test runner is running 测试运行器的实例 如果当前无测试运行应该是null
Public property | EventHandlers | Test event handlers 事件处理器列表
Top
Methods
 | Name | Description
Public method | Run | Run all tests in assembly 运行程序集中包含的所有测试
Public method | RunMethod | Run the test function in a separate thread 在独立的线程中运行测试函数
Public method | TriggerEventT | Triggering test event Will notify event handlers 触发测试事件 会通知事件处理器
Public method | WriteDebugMessage | Write debug message Will notify event handlers 写入除错消息 会触发事件处理器
Public method | WriteErrorMessage | Write error message Will notify event handlers 写入错误消息 会触发事件处理器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
[Tests]
class ExampleTest {
    public void MethodA() {
        Assert.IsTrue(1 == 1);
        Assert.IsTrueWith(1 == 1, "if failed this item will be outputed");
        Assert.Equals(true, true);
        Assert.Throws<ArgumentException>(() => { throw new ArgumentException(); });
    }
}

public class TestConsoleEventHandler : ITestEventHandler {
    public void OnAllTestStarting(AllTestStartingInfo info) {
        Console.WriteLine($"starting {info.Runner.Assembly.GetName().Name} tests...");
    }

    public void OnAllTestCompleted(AllTestCompletedInfo info) {
        Console.WriteLine($"complete {info.Runner.Assembly.GetName().Name} tests: " +
            $"{info.Counter.Passed} passed, {info.Counter.Failed} failed, {info.Counter.Skipped} skiped.");
        Console.WriteLine();
    }

    public void OnDebugMessage(DebugMessageInfo info) {
        Console.WriteLine($"debug: {info.Message}");
    }

    public void OnErrorMessage(ErrorMessageInfo info) {
        Console.WriteLine($"error: {info.Message}");
    }

    public void OnTestFailed(TestFailedInfo info) {
        Console.WriteLine($"failed: {info.Exception}");
    }

    public void OnTestPassed(TestPassedInfo info) {
    }

    public void OnTestSkipped(TestSkippedInfo info) {
        Console.WriteLine($"skipped: {info.Exception.Message}");
    }

    public void OnTestStarting(TestStartingInfo info) {
        Console.WriteLine($"test: {info.Method.GetFullName()}");
    }
}

var assembly = typeof(ExampleTest).GetTypeInfo().Assembly;
var handler = new TestConsoleEventHandler();
var runner = new TestRunner(assembly, handler);
runner.Run();
See Also

Reference

ZKWebStandard.Testing Namespace
ZKWebStandard.TestingAssert
ZKWebStandard.Testing.EventsITestEventHandler


TestRunner Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner(
    Assembly assembly,
    IList<ITestEventHandler> eventHandlers
)
Public Sub New (
    assembly As Assembly,
    eventHandlers As IList(Of ITestEventHandler)
)
public:
TestRunner(
    Assembly^ assembly,
    IList<ITestEventHandler^>^ eventHandlers
)
new :
        assembly : Assembly *
        eventHandlers : IList<ITestEventHandler> -> TestRunner

Parameters

assembly
Type: System.ReflectionAssembly
Test assembly
eventHandlers
Type: System.Collections.GenericIList ITestEventHandler
Test event handlers
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner Properties

The TestRunner type exposes the following members.

Properties
 | Name | Description
Public property | Assembly | Test assembly 测试的程序集
 | CurrentRunner | The running test runner It should be null if no test runner is running 测试运行器的实例 如果当前无测试运行应该是null
Public property | EventHandlers | Test event handlers 事件处理器列表
Top
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner.Assembly Property

TestRunnerAssembly Property

Test assembly
测试的程序集

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Assembly Assembly { get; }
Public ReadOnly Property Assembly As Assembly
    Get
public:
property Assembly^ Assembly {
    Assembly^ get ();
}
member Assembly : Assembly with get

Property Value

Type: Assembly
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner.CurrentRunner Property

TestRunnerCurrentRunner Property

The running test runner
It should be null if no test runner is running
测试运行器的实例
如果当前无测试运行应该是null

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TestRunner CurrentRunner { get; }
Public Shared ReadOnly Property CurrentRunner As TestRunner
    Get
public:
static property TestRunner^ CurrentRunner {
    TestRunner^ get ();
}
static member CurrentRunner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner.EventHandlers Property

TestRunnerEventHandlers Property

Test event handlers
事件处理器列表

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IList<ITestEventHandler> EventHandlers { get; }
Public ReadOnly Property EventHandlers As IList(Of ITestEventHandler)
    Get
public:
property IList<ITestEventHandler^>^ EventHandlers {
    IList<ITestEventHandler^>^ get ();
}
member EventHandlers : IList<ITestEventHandler> with get

Property Value

Type: IList ITestEventHandler
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner Methods

The TestRunner type exposes the following members.

Methods
 | Name | Description
Public method | Run | Run all tests in assembly 运行程序集中包含的所有测试
Public method | RunMethod | Run the test function in a separate thread 在独立的线程中运行测试函数
Public method | TriggerEventT | Triggering test event Will notify event handlers 触发测试事件 会通知事件处理器
Public method | WriteDebugMessage | Write debug message Will notify event handlers 写入除错消息 会触发事件处理器
Public method | WriteErrorMessage | Write error message Will notify event handlers 写入错误消息 会触发事件处理器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner.Run Method

TestRunnerRun Method

Run all tests in assembly
运行程序集中包含的所有测试

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Run()
Public Sub Run
public:
void Run()
member Run : unit -> unit
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner.RunMethod Method

TestRunnerRunMethod Method

Run the test function in a separate thread
在独立的线程中运行测试函数

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RunMethod(
    MethodInfo method,
    TestResultCounter counter
)
Public Sub RunMethod (
    method As MethodInfo,
    counter As TestResultCounter
)
public:
void RunMethod(
    MethodInfo^ method,
    TestResultCounter^ counter
)
member RunMethod :
        method : MethodInfo *
        counter : TestResultCounter -> unit

Parameters

method
Type: System.ReflectionMethodInfo
Test method
counter
Type: ZKWebStandard.TestingTestResultCounter
Test result counter
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner.TriggerEvent(T) Method

TestRunnerTriggerEventT Method

Triggering test event
Will notify event handlers
触发测试事件
会通知事件处理器

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void TriggerEvent<T>(
    Func<ITestEventHandler, Action<T>> getAction,
    T info
)

Public Sub TriggerEvent(Of T) (
    getAction As Func(Of ITestEventHandler, Action(Of T)),
    info As T
)
public:
generic<typename T>
void TriggerEvent(
    Func<ITestEventHandler^, Action<T>^>^ getAction,
    T info
)
member TriggerEvent :
        getAction : Func<ITestEventHandler, Action<'T>> *
        info : 'T -> unit

Parameters

getAction
Type: SystemFunc ITestEventHandler, Action T
Event handle method
info
Type: T
Information

Type Parameters

T
Information type
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner.WriteDebugMessage Method

TestRunnerWriteDebugMessage Method

Write debug message
Will notify event handlers
写入除错消息
会触发事件处理器

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteDebugMessage(
    string message
)
Public Sub WriteDebugMessage (
    message As String
)
public:
void WriteDebugMessage(
    String^ message
)
member WriteDebugMessage :
        message : string -> unit

Parameters

message
Type: SystemString
Debug message
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestRunner.WriteErrorMessage Method

TestRunnerWriteErrorMessage Method

Write error message
Will notify event handlers
写入错误消息
会触发事件处理器

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteErrorMessage(
    string message
)
Public Sub WriteErrorMessage (
    message As String
)
public:
void WriteErrorMessage(
    String^ message
)
member WriteErrorMessage :
        message : string -> unit

Parameters

message
Type: SystemString
Error message
See Also

Reference

TestRunner Class
ZKWebStandard.Testing Namespace


TestsAttribute Class
Attribute for mark class contains test methods
标记类包含测试函数的属性
Inheritance Hierarchy
SystemObject
SystemAttribute
ZKWebStandard.TestingTestsAttribute

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestsAttribute : Attribute
Public Class TestsAttribute
    Inherits Attribute
public ref class TestsAttribute : public Attribute
type TestsAttribute =
    class
        inherit Attribute
    end

The TestsAttribute type exposes the following members.

Constructors
 | Name | Description
Public method | TestsAttribute | Initializes a new instance of the TestsAttribute class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
[Tests]
class ExampleTest {
    public void MethodA() {
        Assert.IsTrue(1 == 1);
        Assert.IsTrueWith(1 == 1, "if failed this item will be outputed");
        Assert.Equals(true, true);
        Assert.Throws<ArgumentException>(() => { throw new ArgumentException(); });
    }
}
See Also

Reference

ZKWebStandard.Testing Namespace
ZKWebStandard.TestingAssert
ZKWebStandard.TestingTestRunner


TestsAttribute Constructor

Initializes a new instance of the TestsAttribute class

Namespace: ZKWebStandard.Testing
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestsAttribute()
Public Sub New
public:
TestsAttribute()
new : unit -> TestsAttribute
See Also

Reference

TestsAttribute Class
ZKWebStandard.Testing Namespace


TestsAttribute Methods

The TestsAttribute type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestsAttribute Class
ZKWebStandard.Testing Namespace


ZKWebStandard.Testing.Events Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Testing.Events"]

Classes
 | Class | Description
Public class | AllTestCompletedInfo | Information for all test completed 所有测试完成后的信息
Public class | AllTestStartingInfo | Information for all test starting 所有测试开始后的信息
Public class | DebugMessageInfo | Information for debug message 除错消息的信息
Public class | ErrorMessageInfo | Information for error message 错误消息的信息
Public class | TestFailedInfo | Information for single test failed 单个测试失败的信息
Public class | TestPassedInfo | Information for single test passed 单个测试通过的信息
Public class | TestSkippedInfo | Information for single test skipped 单个测试跳过的信息
Public class | TestStartingInfo | Information for single test starting 单个测试开始的信息
Interfaces
 | Interface | Description
Public interface | ITestEventHandler | Test event handler 测试事件处理器


AllTestCompletedInfo Class
Information for all test completed
所有测试完成后的信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.Testing.EventsAllTestCompletedInfo

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class AllTestCompletedInfo
Public Class AllTestCompletedInfo
public ref class AllTestCompletedInfo
type AllTestCompletedInfo =  class end

The AllTestCompletedInfo type exposes the following members.

Constructors
 | Name | Description
Public method | AllTestCompletedInfo | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Counter | Test result counter 测试结果计数器
Public property | Runner | Test runner 测试运行器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


AllTestCompletedInfo Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AllTestCompletedInfo(
    TestRunner runner,
    TestResultCounter counter
)
Public Sub New (
    runner As TestRunner,
    counter As TestResultCounter
)
public:
AllTestCompletedInfo(
    TestRunner^ runner,
    TestResultCounter^ counter
)
new :
        runner : TestRunner *
        counter : TestResultCounter -> AllTestCompletedInfo

Parameters

runner
Type: ZKWebStandard.TestingTestRunner
Test runner
counter
Type: ZKWebStandard.TestingTestResultCounter
Test result counter
See Also

Reference

AllTestCompletedInfo Class
ZKWebStandard.Testing.Events Namespace


AllTestCompletedInfo Properties

The AllTestCompletedInfo type exposes the following members.

Properties
 | Name | Description
Public property | Counter | Test result counter 测试结果计数器
Public property | Runner | Test runner 测试运行器
Top
See Also

Reference

AllTestCompletedInfo Class
ZKWebStandard.Testing.Events Namespace


AllTestCompletedInfo.Counter Property

AllTestCompletedInfoCounter Property

Test result counter
测试结果计数器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestResultCounter Counter { get; }
Public ReadOnly Property Counter As TestResultCounter
    Get
public:
property TestResultCounter^ Counter {
    TestResultCounter^ get ();
}
member Counter : TestResultCounter with get

Property Value

Type: TestResultCounter
See Also

Reference

AllTestCompletedInfo Class
ZKWebStandard.Testing.Events Namespace


AllTestCompletedInfo.Runner Property

AllTestCompletedInfoRunner Property

Test runner
测试运行器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner Runner { get; }
Public ReadOnly Property Runner As TestRunner
    Get
public:
property TestRunner^ Runner {
    TestRunner^ get ();
}
member Runner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

AllTestCompletedInfo Class
ZKWebStandard.Testing.Events Namespace


AllTestCompletedInfo Methods

The AllTestCompletedInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AllTestCompletedInfo Class
ZKWebStandard.Testing.Events Namespace


AllTestStartingInfo Class
Information for all test starting
所有测试开始后的信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.Testing.EventsAllTestStartingInfo

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class AllTestStartingInfo
Public Class AllTestStartingInfo
public ref class AllTestStartingInfo
type AllTestStartingInfo =  class end

The AllTestStartingInfo type exposes the following members.

Constructors
 | Name | Description
Public method | AllTestStartingInfo | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Runner | Test runner 测试运行器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


AllTestStartingInfo Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AllTestStartingInfo(
    TestRunner runner
)
Public Sub New (
    runner As TestRunner
)
public:
AllTestStartingInfo(
    TestRunner^ runner
)
new :
        runner : TestRunner -> AllTestStartingInfo

Parameters

runner
Type: ZKWebStandard.TestingTestRunner
Test runner
See Also

Reference

AllTestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


AllTestStartingInfo Properties

The AllTestStartingInfo type exposes the following members.

Properties
 | Name | Description
Public property | Runner | Test runner 测试运行器
Top
See Also

Reference

AllTestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


AllTestStartingInfo.Runner Property

AllTestStartingInfoRunner Property

Test runner
测试运行器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner Runner { get; }
Public ReadOnly Property Runner As TestRunner
    Get
public:
property TestRunner^ Runner {
    TestRunner^ get ();
}
member Runner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

AllTestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


AllTestStartingInfo Methods

The AllTestStartingInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

AllTestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


DebugMessageInfo Class
Information for debug message
除错消息的信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.Testing.EventsDebugMessageInfo

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class DebugMessageInfo
Public Class DebugMessageInfo
public ref class DebugMessageInfo
type DebugMessageInfo =  class end

The DebugMessageInfo type exposes the following members.

Constructors
 | Name | Description
Public method | DebugMessageInfo | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Message | Debug message 除错消息
Public property | Runner | Test runner 测试运行器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


DebugMessageInfo Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DebugMessageInfo(
    TestRunner runner,
    string message
)
Public Sub New (
    runner As TestRunner,
    message As String
)
public:
DebugMessageInfo(
    TestRunner^ runner,
    String^ message
)
new :
        runner : TestRunner *
        message : string -> DebugMessageInfo

Parameters

runner
Type: ZKWebStandard.TestingTestRunner
Test runner
message
Type: SystemString
Debug message
See Also

Reference

DebugMessageInfo Class
ZKWebStandard.Testing.Events Namespace


DebugMessageInfo Properties

The DebugMessageInfo type exposes the following members.

Properties
 | Name | Description
Public property | Message | Debug message 除错消息
Public property | Runner | Test runner 测试运行器
Top
See Also

Reference

DebugMessageInfo Class
ZKWebStandard.Testing.Events Namespace


DebugMessageInfo.Message Property

DebugMessageInfoMessage Property

Debug message
除错消息

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Message { get; }
Public ReadOnly Property Message As String
    Get
public:
property String^ Message {
    String^ get ();
}
member Message : string with get

Property Value

Type: String
See Also

Reference

DebugMessageInfo Class
ZKWebStandard.Testing.Events Namespace


DebugMessageInfo.Runner Property

DebugMessageInfoRunner Property

Test runner
测试运行器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner Runner { get; }
Public ReadOnly Property Runner As TestRunner
    Get
public:
property TestRunner^ Runner {
    TestRunner^ get ();
}
member Runner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

DebugMessageInfo Class
ZKWebStandard.Testing.Events Namespace


DebugMessageInfo Methods

The DebugMessageInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DebugMessageInfo Class
ZKWebStandard.Testing.Events Namespace


ErrorMessageInfo Class
Information for error message
错误消息的信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.Testing.EventsErrorMessageInfo

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ErrorMessageInfo
Public Class ErrorMessageInfo
public ref class ErrorMessageInfo
type ErrorMessageInfo =  class end

The ErrorMessageInfo type exposes the following members.

Constructors
 | Name | Description
Public method | ErrorMessageInfo | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Message | Error message 错误消息
Public property | Runner | Test runner 测试运行器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


ErrorMessageInfo Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ErrorMessageInfo(
    TestRunner runner,
    string message
)
Public Sub New (
    runner As TestRunner,
    message As String
)
public:
ErrorMessageInfo(
    TestRunner^ runner,
    String^ message
)
new :
        runner : TestRunner *
        message : string -> ErrorMessageInfo

Parameters

runner
Type: ZKWebStandard.TestingTestRunner
Test runner
message
Type: SystemString
Error message
See Also

Reference

ErrorMessageInfo Class
ZKWebStandard.Testing.Events Namespace


ErrorMessageInfo Properties

The ErrorMessageInfo type exposes the following members.

Properties
 | Name | Description
Public property | Message | Error message 错误消息
Public property | Runner | Test runner 测试运行器
Top
See Also

Reference

ErrorMessageInfo Class
ZKWebStandard.Testing.Events Namespace


ErrorMessageInfo.Message Property

ErrorMessageInfoMessage Property

Error message
错误消息

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Message { get; }
Public ReadOnly Property Message As String
    Get
public:
property String^ Message {
    String^ get ();
}
member Message : string with get

Property Value

Type: String
See Also

Reference

ErrorMessageInfo Class
ZKWebStandard.Testing.Events Namespace


ErrorMessageInfo.Runner Property

ErrorMessageInfoRunner Property

Test runner
测试运行器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner Runner { get; }
Public ReadOnly Property Runner As TestRunner
    Get
public:
property TestRunner^ Runner {
    TestRunner^ get ();
}
member Runner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

ErrorMessageInfo Class
ZKWebStandard.Testing.Events Namespace


ErrorMessageInfo Methods

The ErrorMessageInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ErrorMessageInfo Class
ZKWebStandard.Testing.Events Namespace


ITestEventHandler Interface
Test event handler
测试事件处理器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ITestEventHandler
Public Interface ITestEventHandler
public interface class ITestEventHandler
type ITestEventHandler =  interface end

The ITestEventHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnAllTestCompleted | On all test completed 所有测试完成后的处理
Public method | OnAllTestStarting | On all test starting 所有测试开始后的处理
Public method | OnDebugMessage | On debug message Call testRunner.WriteDebugMessage will trigger this event 除错消息的处理 调用testRunner.WriteDebugMessage会触发这个事件
Public method | OnErrorMessage | On error message Create or dispose test instance failed will trigger this event 错误消息的处理 创建或销毁测试实例失败时会触发这个事件
Public method | OnTestFailed | On single test failed 单个测试失败时的处理
Public method | OnTestPassed | On single test passed 单个测试通过时的处理
Public method | OnTestSkipped | On single test skipped 单个测试跳过时的处理
Public method | OnTestStarting | On single test starting 单个测试开始时的处理
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


ITestEventHandler Methods

The ITestEventHandler type exposes the following members.

Methods
 | Name | Description
Public method | OnAllTestCompleted | On all test completed 所有测试完成后的处理
Public method | OnAllTestStarting | On all test starting 所有测试开始后的处理
Public method | OnDebugMessage | On debug message Call testRunner.WriteDebugMessage will trigger this event 除错消息的处理 调用testRunner.WriteDebugMessage会触发这个事件
Public method | OnErrorMessage | On error message Create or dispose test instance failed will trigger this event 错误消息的处理 创建或销毁测试实例失败时会触发这个事件
Public method | OnTestFailed | On single test failed 单个测试失败时的处理
Public method | OnTestPassed | On single test passed 单个测试通过时的处理
Public method | OnTestSkipped | On single test skipped 单个测试跳过时的处理
Public method | OnTestStarting | On single test starting 单个测试开始时的处理
Top
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


ITestEventHandler.OnAllTestCompleted Method

ITestEventHandlerOnAllTestCompleted Method

On all test completed
所有测试完成后的处理

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnAllTestCompleted(
    AllTestCompletedInfo info
)
Sub OnAllTestCompleted (
    info As AllTestCompletedInfo
)
void OnAllTestCompleted(
    AllTestCompletedInfo^ info
)
abstract OnAllTestCompleted :
        info : AllTestCompletedInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsAllTestCompletedInfo
Information object
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


ITestEventHandler.OnAllTestStarting Method

ITestEventHandlerOnAllTestStarting Method

On all test starting
所有测试开始后的处理

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnAllTestStarting(
    AllTestStartingInfo info
)
Sub OnAllTestStarting (
    info As AllTestStartingInfo
)
void OnAllTestStarting(
    AllTestStartingInfo^ info
)
abstract OnAllTestStarting :
        info : AllTestStartingInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsAllTestStartingInfo
Information object
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


ITestEventHandler.OnDebugMessage Method

ITestEventHandlerOnDebugMessage Method

On debug message
Call testRunner.WriteDebugMessage will trigger this event
除错消息的处理
调用testRunner.WriteDebugMessage会触发这个事件

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnDebugMessage(
    DebugMessageInfo info
)
Sub OnDebugMessage (
    info As DebugMessageInfo
)
void OnDebugMessage(
    DebugMessageInfo^ info
)
abstract OnDebugMessage :
        info : DebugMessageInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsDebugMessageInfo
Information object
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


ITestEventHandler.OnErrorMessage Method

ITestEventHandlerOnErrorMessage Method

On error message
Create or dispose test instance failed will trigger this event
错误消息的处理
创建或销毁测试实例失败时会触发这个事件

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnErrorMessage(
    ErrorMessageInfo info
)
Sub OnErrorMessage (
    info As ErrorMessageInfo
)
void OnErrorMessage(
    ErrorMessageInfo^ info
)
abstract OnErrorMessage :
        info : ErrorMessageInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsErrorMessageInfo
Information object
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


ITestEventHandler.OnTestFailed Method

ITestEventHandlerOnTestFailed Method

On single test failed
单个测试失败时的处理

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnTestFailed(
    TestFailedInfo info
)
Sub OnTestFailed (
    info As TestFailedInfo
)
void OnTestFailed(
    TestFailedInfo^ info
)
abstract OnTestFailed :
        info : TestFailedInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsTestFailedInfo
Information object
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


ITestEventHandler.OnTestPassed Method

ITestEventHandlerOnTestPassed Method

On single test passed
单个测试通过时的处理

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnTestPassed(
    TestPassedInfo info
)
Sub OnTestPassed (
    info As TestPassedInfo
)
void OnTestPassed(
    TestPassedInfo^ info
)
abstract OnTestPassed :
        info : TestPassedInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsTestPassedInfo
Information object
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


ITestEventHandler.OnTestSkipped Method

ITestEventHandlerOnTestSkipped Method

On single test skipped
单个测试跳过时的处理

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnTestSkipped(
    TestSkippedInfo info
)
Sub OnTestSkipped (
    info As TestSkippedInfo
)
void OnTestSkipped(
    TestSkippedInfo^ info
)
abstract OnTestSkipped :
        info : TestSkippedInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsTestSkippedInfo
Information object
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


ITestEventHandler.OnTestStarting Method

ITestEventHandlerOnTestStarting Method

On single test starting
单个测试开始时的处理

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void OnTestStarting(
    TestStartingInfo info
)
Sub OnTestStarting (
    info As TestStartingInfo
)
void OnTestStarting(
    TestStartingInfo^ info
)
abstract OnTestStarting :
        info : TestStartingInfo -> unit

Parameters

info
Type: ZKWebStandard.Testing.EventsTestStartingInfo
Information object
See Also

Reference

ITestEventHandler Interface
ZKWebStandard.Testing.Events Namespace


TestFailedInfo Class
Information for single test failed
单个测试失败的信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.Testing.EventsTestFailedInfo

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestFailedInfo
Public Class TestFailedInfo
public ref class TestFailedInfo
type TestFailedInfo =  class end

The TestFailedInfo type exposes the following members.

Constructors
 | Name | Description
Public method | TestFailedInfo | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Exception | Test failed exception 测试失败的例外
Public property | Instance | Test instance 测试实例
Public property | Method | Test method 测试函数
Public property | Runner | Test runner 测试运行器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


TestFailedInfo Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestFailedInfo(
    TestRunner runner,
    MethodInfo method,
    Object instance,
    Exception exception
)
Public Sub New (
    runner As TestRunner,
    method As MethodInfo,
    instance As Object,
    exception As Exception
)
public:
TestFailedInfo(
    TestRunner^ runner,
    MethodInfo^ method,
    Object^ instance,
    Exception^ exception
)
new :
        runner : TestRunner *
        method : MethodInfo *
        instance : Object *
        exception : Exception -> TestFailedInfo

Parameters

runner
Type: ZKWebStandard.TestingTestRunner
Test runner
method
Type: System.ReflectionMethodInfo
Test method
instance
Type: SystemObject
Test instance
exception
Type: SystemException
Test failed exception
See Also

Reference

TestFailedInfo Class
ZKWebStandard.Testing.Events Namespace


TestFailedInfo Properties

The TestFailedInfo type exposes the following members.

Properties
 | Name | Description
Public property | Exception | Test failed exception 测试失败的例外
Public property | Instance | Test instance 测试实例
Public property | Method | Test method 测试函数
Public property | Runner | Test runner 测试运行器
Top
See Also

Reference

TestFailedInfo Class
ZKWebStandard.Testing.Events Namespace


TestFailedInfo.Exception Property

TestFailedInfoException Property

Test failed exception
测试失败的例外

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Exception Exception { get; }
Public ReadOnly Property Exception As Exception
    Get
public:
property Exception^ Exception {
    Exception^ get ();
}
member Exception : Exception with get

Property Value

Type: Exception
See Also

Reference

TestFailedInfo Class
ZKWebStandard.Testing.Events Namespace


TestFailedInfo.Instance Property

TestFailedInfoInstance Property

Test instance
测试实例

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Instance { get; }
Public ReadOnly Property Instance As Object
    Get
public:
property Object^ Instance {
    Object^ get ();
}
member Instance : Object with get

Property Value

Type: Object
See Also

Reference

TestFailedInfo Class
ZKWebStandard.Testing.Events Namespace


TestFailedInfo.Method Property

TestFailedInfoMethod Property

Test method
测试函数

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MethodInfo Method { get; }
Public ReadOnly Property Method As MethodInfo
    Get
public:
property MethodInfo^ Method {
    MethodInfo^ get ();
}
member Method : MethodInfo with get

Property Value

Type: MethodInfo
See Also

Reference

TestFailedInfo Class
ZKWebStandard.Testing.Events Namespace


TestFailedInfo.Runner Property

TestFailedInfoRunner Property

Test runner
测试运行器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner Runner { get; }
Public ReadOnly Property Runner As TestRunner
    Get
public:
property TestRunner^ Runner {
    TestRunner^ get ();
}
member Runner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

TestFailedInfo Class
ZKWebStandard.Testing.Events Namespace


TestFailedInfo Methods

The TestFailedInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestFailedInfo Class
ZKWebStandard.Testing.Events Namespace


TestPassedInfo Class
Information for single test passed
单个测试通过的信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.Testing.EventsTestPassedInfo

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestPassedInfo
Public Class TestPassedInfo
public ref class TestPassedInfo
type TestPassedInfo =  class end

The TestPassedInfo type exposes the following members.

Constructors
 | Name | Description
Public method | TestPassedInfo | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Instance | Test instance 测试实例
Public property | Method | Test method 测试函数
Public property | Runner | Test runner 测试运行器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


TestPassedInfo Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestPassedInfo(
    TestRunner runner,
    MethodInfo method,
    Object instance
)
Public Sub New (
    runner As TestRunner,
    method As MethodInfo,
    instance As Object
)
public:
TestPassedInfo(
    TestRunner^ runner,
    MethodInfo^ method,
    Object^ instance
)
new :
        runner : TestRunner *
        method : MethodInfo *
        instance : Object -> TestPassedInfo

Parameters

runner
Type: ZKWebStandard.TestingTestRunner
Test runner
method
Type: System.ReflectionMethodInfo
Test method
instance
Type: SystemObject
Test instance
See Also

Reference

TestPassedInfo Class
ZKWebStandard.Testing.Events Namespace


TestPassedInfo Properties

The TestPassedInfo type exposes the following members.

Properties
 | Name | Description
Public property | Instance | Test instance 测试实例
Public property | Method | Test method 测试函数
Public property | Runner | Test runner 测试运行器
Top
See Also

Reference

TestPassedInfo Class
ZKWebStandard.Testing.Events Namespace


TestPassedInfo.Instance Property

TestPassedInfoInstance Property

Test instance
测试实例

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Instance { get; }
Public ReadOnly Property Instance As Object
    Get
public:
property Object^ Instance {
    Object^ get ();
}
member Instance : Object with get

Property Value

Type: Object
See Also

Reference

TestPassedInfo Class
ZKWebStandard.Testing.Events Namespace


TestPassedInfo.Method Property

TestPassedInfoMethod Property

Test method
测试函数

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MethodInfo Method { get; }
Public ReadOnly Property Method As MethodInfo
    Get
public:
property MethodInfo^ Method {
    MethodInfo^ get ();
}
member Method : MethodInfo with get

Property Value

Type: MethodInfo
See Also

Reference

TestPassedInfo Class
ZKWebStandard.Testing.Events Namespace


TestPassedInfo.Runner Property

TestPassedInfoRunner Property

Test runner
测试运行器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner Runner { get; }
Public ReadOnly Property Runner As TestRunner
    Get
public:
property TestRunner^ Runner {
    TestRunner^ get ();
}
member Runner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

TestPassedInfo Class
ZKWebStandard.Testing.Events Namespace


TestPassedInfo Methods

The TestPassedInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestPassedInfo Class
ZKWebStandard.Testing.Events Namespace


TestSkippedInfo Class
Information for single test skipped
单个测试跳过的信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.Testing.EventsTestSkippedInfo

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestSkippedInfo
Public Class TestSkippedInfo
public ref class TestSkippedInfo
type TestSkippedInfo =  class end

The TestSkippedInfo type exposes the following members.

Constructors
 | Name | Description
Public method | TestSkippedInfo | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Exception | Test skipped exception 测试跳过的例外
Public property | Instance | Test instance 测试实例
Public property | Method | Test method 测试函数
Public property | Runner | Test runner 测试运行器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


TestSkippedInfo Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestSkippedInfo(
    TestRunner runner,
    MethodInfo method,
    Object instance,
    AssertSkipedException exception
)
Public Sub New (
    runner As TestRunner,
    method As MethodInfo,
    instance As Object,
    exception As AssertSkipedException
)
public:
TestSkippedInfo(
    TestRunner^ runner,
    MethodInfo^ method,
    Object^ instance,
    AssertSkipedException^ exception
)
new :
        runner : TestRunner *
        method : MethodInfo *
        instance : Object *
        exception : AssertSkipedException -> TestSkippedInfo

Parameters

runner
Type: ZKWebStandard.TestingTestRunner
Test runner
method
Type: System.ReflectionMethodInfo
Test method
instance
Type: SystemObject
Test instance
exception
Type: ZKWebStandard.TestingAssertSkipedException
Test skipped exception
See Also

Reference

TestSkippedInfo Class
ZKWebStandard.Testing.Events Namespace


TestSkippedInfo Properties

The TestSkippedInfo type exposes the following members.

Properties
 | Name | Description
Public property | Exception | Test skipped exception 测试跳过的例外
Public property | Instance | Test instance 测试实例
Public property | Method | Test method 测试函数
Public property | Runner | Test runner 测试运行器
Top
See Also

Reference

TestSkippedInfo Class
ZKWebStandard.Testing.Events Namespace


TestSkippedInfo.Exception Property

TestSkippedInfoException Property

Test skipped exception
测试跳过的例外

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public AssertSkipedException Exception { get; }
Public ReadOnly Property Exception As AssertSkipedException
    Get
public:
property AssertSkipedException^ Exception {
    AssertSkipedException^ get ();
}
member Exception : AssertSkipedException with get

Property Value

Type: AssertSkipedException
See Also

Reference

TestSkippedInfo Class
ZKWebStandard.Testing.Events Namespace


TestSkippedInfo.Instance Property

TestSkippedInfoInstance Property

Test instance
测试实例

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Instance { get; }
Public ReadOnly Property Instance As Object
    Get
public:
property Object^ Instance {
    Object^ get ();
}
member Instance : Object with get

Property Value

Type: Object
See Also

Reference

TestSkippedInfo Class
ZKWebStandard.Testing.Events Namespace


TestSkippedInfo.Method Property

TestSkippedInfoMethod Property

Test method
测试函数

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MethodInfo Method { get; }
Public ReadOnly Property Method As MethodInfo
    Get
public:
property MethodInfo^ Method {
    MethodInfo^ get ();
}
member Method : MethodInfo with get

Property Value

Type: MethodInfo
See Also

Reference

TestSkippedInfo Class
ZKWebStandard.Testing.Events Namespace


TestSkippedInfo.Runner Property

TestSkippedInfoRunner Property

Test runner
测试运行器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner Runner { get; }
Public ReadOnly Property Runner As TestRunner
    Get
public:
property TestRunner^ Runner {
    TestRunner^ get ();
}
member Runner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

TestSkippedInfo Class
ZKWebStandard.Testing.Events Namespace


TestSkippedInfo Methods

The TestSkippedInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestSkippedInfo Class
ZKWebStandard.Testing.Events Namespace


TestStartingInfo Class
Information for single test starting
单个测试开始的信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.Testing.EventsTestStartingInfo

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestStartingInfo
Public Class TestStartingInfo
public ref class TestStartingInfo
type TestStartingInfo =  class end

The TestStartingInfo type exposes the following members.

Constructors
 | Name | Description
Public method | TestStartingInfo | Initialize 初始化
Top
Properties
 | Name | Description
Public property | Instance | Test instance 测试实例
Public property | Method | Test method 测试函数
Public property | Runner | Test runner 测试运行器
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Testing.Events Namespace


TestStartingInfo Constructor

Initialize
初始化

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestStartingInfo(
    TestRunner runner,
    MethodInfo method,
    Object instance
)
Public Sub New (
    runner As TestRunner,
    method As MethodInfo,
    instance As Object
)
public:
TestStartingInfo(
    TestRunner^ runner,
    MethodInfo^ method,
    Object^ instance
)
new :
        runner : TestRunner *
        method : MethodInfo *
        instance : Object -> TestStartingInfo

Parameters

runner
Type: ZKWebStandard.TestingTestRunner
Test runner
method
Type: System.ReflectionMethodInfo
Test method
instance
Type: SystemObject
Test instance
See Also

Reference

TestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


TestStartingInfo Properties

The TestStartingInfo type exposes the following members.

Properties
 | Name | Description
Public property | Instance | Test instance 测试实例
Public property | Method | Test method 测试函数
Public property | Runner | Test runner 测试运行器
Top
See Also

Reference

TestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


TestStartingInfo.Instance Property

TestStartingInfoInstance Property

Test instance
测试实例

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Object Instance { get; }
Public ReadOnly Property Instance As Object
    Get
public:
property Object^ Instance {
    Object^ get ();
}
member Instance : Object with get

Property Value

Type: Object
See Also

Reference

TestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


TestStartingInfo.Method Property

TestStartingInfoMethod Property

Test method
测试函数

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MethodInfo Method { get; }
Public ReadOnly Property Method As MethodInfo
    Get
public:
property MethodInfo^ Method {
    MethodInfo^ get ();
}
member Method : MethodInfo with get

Property Value

Type: MethodInfo
See Also

Reference

TestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


TestStartingInfo.Runner Property

TestStartingInfoRunner Property

Test runner
测试运行器

Namespace: ZKWebStandard.Testing.Events
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestRunner Runner { get; }
Public ReadOnly Property Runner As TestRunner
    Get
public:
property TestRunner^ Runner {
    TestRunner^ get ();
}
member Runner : TestRunner with get

Property Value

Type: TestRunner
See Also

Reference

TestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


TestStartingInfo Methods

The TestStartingInfo type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TestStartingInfo Class
ZKWebStandard.Testing.Events Namespace


ZKWebStandard.Tests Namespaces

[Missing <summary> documentation for "G:ZKWebStandard.Tests"]

Namespaces
Namespace | Description
ZKWebStandard.Tests.Collections |
ZKWebStandard.Tests.Extensions |
ZKWebStandard.Tests.Functions |
ZKWebStandard.Tests.IocContainer |
ZKWebStandard.Tests.Utils |
ZKWebStandard.Tests.Web |


ZKWebStandard.Tests.Collections Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Tests.Collections"]

Classes
 | Class | Description
Protected class | HtmlStringTest |
Protected class | HttpContextCacheTest |
Protected class | LazyCacheTest |
Protected class | MemoryCacheTest |
Protected class | SimpleDisposableTest |


HtmlStringTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Collections.HtmlStringTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.CollectionsHtmlStringTest

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class HtmlStringTest
Friend Class HtmlStringTest
internal ref class HtmlStringTest
type HtmlStringTest =  class end

The HtmlStringTest type exposes the following members.

Constructors
 | Name | Description
Public method | HtmlStringTest | Initializes a new instance of the HtmlStringTest class
Top
Methods
 | Name | Description
Public method | Decode |
Public method | Encode |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Collections Namespace


HtmlStringTest Constructor

Initializes a new instance of the HtmlStringTest class

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HtmlStringTest()
Public Sub New
public:
HtmlStringTest()
new : unit -> HtmlStringTest
See Also

Reference

HtmlStringTest Class
ZKWebStandard.Tests.Collections Namespace


HtmlStringTest Methods

The HtmlStringTest type exposes the following members.

Methods
 | Name | Description
Public method | Decode |
Public method | Encode |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HtmlStringTest Class
ZKWebStandard.Tests.Collections Namespace


HtmlStringTest.Decode Method

HtmlStringTestDecode Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Collections.HtmlStringTest.Decode"]

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Decode()
Public Sub Decode
public:
void Decode()
member Decode : unit -> unit
See Also

Reference

HtmlStringTest Class
ZKWebStandard.Tests.Collections Namespace


HtmlStringTest.Encode Method

HtmlStringTestEncode Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Collections.HtmlStringTest.Encode"]

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Encode()
Public Sub Encode
public:
void Encode()
member Encode : unit -> unit
See Also

Reference

HtmlStringTest Class
ZKWebStandard.Tests.Collections Namespace


HttpContextCacheTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Collections.HttpContextCacheTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.CollectionsHttpContextCacheTest

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class HttpContextCacheTest
Friend Class HttpContextCacheTest
internal ref class HttpContextCacheTest
type HttpContextCacheTest =  class end

The HttpContextCacheTest type exposes the following members.

Constructors
 | Name | Description
Public method | HttpContextCacheTest | Initializes a new instance of the HttpContextCacheTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Collections Namespace


HttpContextCacheTest Constructor

Initializes a new instance of the HttpContextCacheTest class

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpContextCacheTest()
Public Sub New
public:
HttpContextCacheTest()
new : unit -> HttpContextCacheTest
See Also

Reference

HttpContextCacheTest Class
ZKWebStandard.Tests.Collections Namespace


HttpContextCacheTest Methods

The HttpContextCacheTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HttpContextCacheTest Class
ZKWebStandard.Tests.Collections Namespace


HttpContextCacheTest.All Method

HttpContextCacheTestAll Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Collections.HttpContextCacheTest.All"]

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

HttpContextCacheTest Class
ZKWebStandard.Tests.Collections Namespace


LazyCacheTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Collections.LazyCacheTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.CollectionsLazyCacheTest

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class LazyCacheTest
Friend Class LazyCacheTest
internal ref class LazyCacheTest
type LazyCacheTest =  class end

The LazyCacheTest type exposes the following members.

Constructors
 | Name | Description
Public method | LazyCacheTest | Initializes a new instance of the LazyCacheTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Collections Namespace


LazyCacheTest Constructor

Initializes a new instance of the LazyCacheTest class

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LazyCacheTest()
Public Sub New
public:
LazyCacheTest()
new : unit -> LazyCacheTest
See Also

Reference

LazyCacheTest Class
ZKWebStandard.Tests.Collections Namespace


LazyCacheTest Methods

The LazyCacheTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LazyCacheTest Class
ZKWebStandard.Tests.Collections Namespace


LazyCacheTest.All Method

LazyCacheTestAll Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Collections.LazyCacheTest.All"]

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

LazyCacheTest Class
ZKWebStandard.Tests.Collections Namespace


MemoryCacheTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Collections.MemoryCacheTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.CollectionsMemoryCacheTest

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class MemoryCacheTest
Friend Class MemoryCacheTest
internal ref class MemoryCacheTest
type MemoryCacheTest =  class end

The MemoryCacheTest type exposes the following members.

Constructors
 | Name | Description
Public method | MemoryCacheTest | Initializes a new instance of the MemoryCacheTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Collections Namespace


MemoryCacheTest Constructor

Initializes a new instance of the MemoryCacheTest class

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MemoryCacheTest()
Public Sub New
public:
MemoryCacheTest()
new : unit -> MemoryCacheTest
See Also

Reference

MemoryCacheTest Class
ZKWebStandard.Tests.Collections Namespace


MemoryCacheTest Methods

The MemoryCacheTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MemoryCacheTest Class
ZKWebStandard.Tests.Collections Namespace


MemoryCacheTest.All Method

MemoryCacheTestAll Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Collections.MemoryCacheTest.All"]

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

MemoryCacheTest Class
ZKWebStandard.Tests.Collections Namespace


SimpleDisposableTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Collections.SimpleDisposableTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.CollectionsSimpleDisposableTest

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class SimpleDisposableTest
Friend Class SimpleDisposableTest
internal ref class SimpleDisposableTest
type SimpleDisposableTest =  class end

The SimpleDisposableTest type exposes the following members.

Constructors
 | Name | Description
Public method | SimpleDisposableTest | Initializes a new instance of the SimpleDisposableTest class
Top
Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Collections Namespace


SimpleDisposableTest Constructor

Initializes a new instance of the SimpleDisposableTest class

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public SimpleDisposableTest()
Public Sub New
public:
SimpleDisposableTest()
new : unit -> SimpleDisposableTest
See Also

Reference

SimpleDisposableTest Class
ZKWebStandard.Tests.Collections Namespace


SimpleDisposableTest Methods

The SimpleDisposableTest type exposes the following members.

Methods
 | Name | Description
Public method | All |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

SimpleDisposableTest Class
ZKWebStandard.Tests.Collections Namespace


SimpleDisposableTest.All Method

SimpleDisposableTestAll Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Collections.SimpleDisposableTest.All"]

Namespace: ZKWebStandard.Tests.Collections
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void All()
Public Sub All
public:
void All()
member All : unit -> unit
See Also

Reference

SimpleDisposableTest Class
ZKWebStandard.Tests.Collections Namespace


ZKWebStandard.Tests.Extensions Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Tests.Extensions"]

Classes
 | Class | Description
Protected class | ByteArrayExtensionsTest |
Protected class | DateTimeExtensionsTest |
Protected class | DecimalExtensionsTest |
Protected class | EnumExtensionsTest |
Protected class | ExceptionExtensionsTest |
Protected class | ExpressionExtensionsTest |
Public class | ExpressionExtensionsTestTestClass |
Protected class | IContainerTest |
Protected class | IDictionaryExtensionsTest |
Protected class | IEnumerableExtensionsTest |
Protected class | IHttpContextExtensionsTest |
Protected class | IHttpRequestExtensionsTest |
Public class | IHttpRequestExtensionsTestTestData |
Protected class | IHttpResponseExtensionsTest |
Protected class | IListExtensions |
Protected class | ImageExtensionsTest |
Protected class | ISetExtensionsTest |
Protected class | ITreeNodeExtensionsTest |
Protected class | MemberInfoExtensionsTest |
Protected class | MethodInfoExtensionsTest |
Protected class | ObjectExtensionsTest |
Protected class | StreamExtensionTest |


ByteArrayExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.ByteArrayExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsByteArrayExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ByteArrayExtensionsTest
Friend Class ByteArrayExtensionsTest
internal ref class ByteArrayExtensionsTest
type ByteArrayExtensionsTest =  class end

The ByteArrayExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ByteArrayExtensionsTest | Initializes a new instance of the ByteArrayExtensionsTest class
Top
Methods
 | Name | Description
Public method | ToHex |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


ByteArrayExtensionsTest Constructor

Initializes a new instance of the ByteArrayExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ByteArrayExtensionsTest()
Public Sub New
public:
ByteArrayExtensionsTest()
new : unit -> ByteArrayExtensionsTest
See Also

Reference

ByteArrayExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ByteArrayExtensionsTest Methods

The ByteArrayExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | ToHex |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ByteArrayExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ByteArrayExtensionsTest.ToHex Method

ByteArrayExtensionsTestToHex Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ByteArrayExtensionsTest.ToHex"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ToHex()
Public Sub ToHex
public:
void ToHex()
member ToHex : unit -> unit
See Also

Reference

ByteArrayExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DateTimeExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.DateTimeExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsDateTimeExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class DateTimeExtensionsTest
Friend Class DateTimeExtensionsTest
internal ref class DateTimeExtensionsTest
type DateTimeExtensionsTest =  class end

The DateTimeExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | DateTimeExtensionsTest | Initializes a new instance of the DateTimeExtensionsTest class
Top
Methods
 | Name | Description
Public method | FromClientTime |
Public method | ToClientTime |
Public method | ToClientTimeString |
Public method | ToTimestamp |
Public method | Truncate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


DateTimeExtensionsTest Constructor

Initializes a new instance of the DateTimeExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DateTimeExtensionsTest()
Public Sub New
public:
DateTimeExtensionsTest()
new : unit -> DateTimeExtensionsTest
See Also

Reference

DateTimeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DateTimeExtensionsTest Methods

The DateTimeExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | FromClientTime |
Public method | ToClientTime |
Public method | ToClientTimeString |
Public method | ToTimestamp |
Public method | Truncate |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DateTimeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DateTimeExtensionsTest.FromClientTime Method

DateTimeExtensionsTestFromClientTime Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.DateTimeExtensionsTest.FromClientTime"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FromClientTime()
Public Sub FromClientTime
public:
void FromClientTime()
member FromClientTime : unit -> unit
See Also

Reference

DateTimeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DateTimeExtensionsTest.ToClientTime Method

DateTimeExtensionsTestToClientTime Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.DateTimeExtensionsTest.ToClientTime"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ToClientTime()
Public Sub ToClientTime
public:
void ToClientTime()
member ToClientTime : unit -> unit
See Also

Reference

DateTimeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DateTimeExtensionsTest.ToClientTimeString Method

DateTimeExtensionsTestToClientTimeString Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.DateTimeExtensionsTest.ToClientTimeString"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ToClientTimeString()
Public Sub ToClientTimeString
public:
void ToClientTimeString()
member ToClientTimeString : unit -> unit
See Also

Reference

DateTimeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DateTimeExtensionsTest.ToTimestamp Method

DateTimeExtensionsTestToTimestamp Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.DateTimeExtensionsTest.ToTimestamp"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ToTimestamp()
Public Sub ToTimestamp
public:
void ToTimestamp()
member ToTimestamp : unit -> unit
See Also

Reference

DateTimeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DateTimeExtensionsTest.Truncate Method

DateTimeExtensionsTestTruncate Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.DateTimeExtensionsTest.Truncate"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Truncate()
Public Sub Truncate
public:
void Truncate()
member Truncate : unit -> unit
See Also

Reference

DateTimeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DecimalExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.DecimalExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsDecimalExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class DecimalExtensionsTest
Friend Class DecimalExtensionsTest
internal ref class DecimalExtensionsTest
type DecimalExtensionsTest =  class end

The DecimalExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | DecimalExtensionsTest | Initializes a new instance of the DecimalExtensionsTest class
Top
Methods
 | Name | Description
Public method | Normalize |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


DecimalExtensionsTest Constructor

Initializes a new instance of the DecimalExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public DecimalExtensionsTest()
Public Sub New
public:
DecimalExtensionsTest()
new : unit -> DecimalExtensionsTest
See Also

Reference

DecimalExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DecimalExtensionsTest Methods

The DecimalExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | Normalize |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

DecimalExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


DecimalExtensionsTest.Normalize Method

DecimalExtensionsTestNormalize Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.DecimalExtensionsTest.Normalize"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Normalize()
Public Sub Normalize
public:
void Normalize()
member Normalize : unit -> unit
See Also

Reference

DecimalExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


EnumExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.EnumExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsEnumExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class EnumExtensionsTest
Friend Class EnumExtensionsTest
internal ref class EnumExtensionsTest
type EnumExtensionsTest =  class end

The EnumExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | EnumExtensionsTest | Initializes a new instance of the EnumExtensionsTest class
Top
Methods
 | Name | Description
Public method | GetAttribute |
Public method | GetDescription |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


EnumExtensionsTest Constructor

Initializes a new instance of the EnumExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public EnumExtensionsTest()
Public Sub New
public:
EnumExtensionsTest()
new : unit -> EnumExtensionsTest
See Also

Reference

EnumExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


EnumExtensionsTest Methods

The EnumExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetAttribute |
Public method | GetDescription |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

EnumExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


EnumExtensionsTest.GetAttribute Method

EnumExtensionsTestGetAttribute Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.EnumExtensionsTest.GetAttribute"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetAttribute()
Public Sub GetAttribute
public:
void GetAttribute()
member GetAttribute : unit -> unit
See Also

Reference

EnumExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


EnumExtensionsTest.GetDescription Method

EnumExtensionsTestGetDescription Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.EnumExtensionsTest.GetDescription"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetDescription()
Public Sub GetDescription
public:
void GetDescription()
member GetDescription : unit -> unit
See Also

Reference

EnumExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExceptionExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.ExceptionExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsExceptionExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ExceptionExtensionsTest
Friend Class ExceptionExtensionsTest
internal ref class ExceptionExtensionsTest
type ExceptionExtensionsTest =  class end

The ExceptionExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ExceptionExtensionsTest | Initializes a new instance of the ExceptionExtensionsTest class
Top
Methods
 | Name | Description
Public method | TestSummaryString |
Public method | ToDetailedString |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


ExceptionExtensionsTest Constructor

Initializes a new instance of the ExceptionExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ExceptionExtensionsTest()
Public Sub New
public:
ExceptionExtensionsTest()
new : unit -> ExceptionExtensionsTest
See Also

Reference

ExceptionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExceptionExtensionsTest Methods

The ExceptionExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | TestSummaryString |
Public method | ToDetailedString |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ExceptionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExceptionExtensionsTest.TestSummaryString Method

ExceptionExtensionsTestTestSummaryString Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ExceptionExtensionsTest.TestSummaryString"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void TestSummaryString()
Public Sub TestSummaryString
public:
void TestSummaryString()
member TestSummaryString : unit -> unit
See Also

Reference

ExceptionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExceptionExtensionsTest.ToDetailedString Method

ExceptionExtensionsTestToDetailedString Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ExceptionExtensionsTest.ToDetailedString"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ToDetailedString()
Public Sub ToDetailedString
public:
void ToDetailedString()
member ToDetailedString : unit -> unit
See Also

Reference

ExceptionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.ExpressionExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsExpressionExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ExpressionExtensionsTest
Friend Class ExpressionExtensionsTest
internal ref class ExpressionExtensionsTest
type ExpressionExtensionsTest =  class end

The ExpressionExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ExpressionExtensionsTest | Initializes a new instance of the ExpressionExtensionsTest class
Top
Methods
 | Name | Description
Public method | GetMemberAttribute |
Public method | GetMemberInfo |
Public method | ReplaceNode |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest Constructor

Initializes a new instance of the ExpressionExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ExpressionExtensionsTest()
Public Sub New
public:
ExpressionExtensionsTest()
new : unit -> ExpressionExtensionsTest
See Also

Reference

ExpressionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest Methods

The ExpressionExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetMemberAttribute |
Public method | GetMemberInfo |
Public method | ReplaceNode |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ExpressionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest.GetMemberAttribute Method

ExpressionExtensionsTestGetMemberAttribute Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ExpressionExtensionsTest.GetMemberAttribute"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetMemberAttribute()
Public Sub GetMemberAttribute
public:
void GetMemberAttribute()
member GetMemberAttribute : unit -> unit
See Also

Reference

ExpressionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest.GetMemberInfo Method

ExpressionExtensionsTestGetMemberInfo Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ExpressionExtensionsTest.GetMemberInfo"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetMemberInfo()
Public Sub GetMemberInfo
public:
void GetMemberInfo()
member GetMemberInfo : unit -> unit
See Also

Reference

ExpressionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest.ReplaceNode Method

ExpressionExtensionsTestReplaceNode Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ExpressionExtensionsTest.ReplaceNode"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ReplaceNode()
Public Sub ReplaceNode
public:
void ReplaceNode()
member ReplaceNode : unit -> unit
See Also

Reference

ExpressionExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest.TestClass Class

ExpressionExtensionsTestTestClass Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.ExpressionExtensionsTest.TestClass"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsExpressionExtensionsTestTestClass

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestClass
Public Class TestClass
public ref class TestClass
type TestClass =  class end

The ExpressionExtensionsTestTestClass type exposes the following members.

Constructors
 | Name | Description
Public method | ExpressionExtensionsTestTestClass | Initializes a new instance of the ExpressionExtensionsTestTestClass class
Top
Properties
 | Name | Description
Public property | TestMember |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest.TestClass Constructor

ExpressionExtensionsTestTestClass Constructor

Initializes a new instance of the ExpressionExtensionsTestTestClass class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestClass()
Public Sub New
public:
TestClass()
new : unit -> TestClass
See Also

Reference

ExpressionExtensionsTestTestClass Class
ZKWebStandard.Tests.Extensions Namespace


TestClass Properties

The ExpressionExtensionsTestTestClass type exposes the following members.

Properties
 | Name | Description
Public property | TestMember |
Top
See Also

Reference

ExpressionExtensionsTestTestClass Class
ZKWebStandard.Tests.Extensions Namespace


ExpressionExtensionsTest.TestClass.TestMember Property

ExpressionExtensionsTestTestClassTestMember Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.Extensions.ExpressionExtensionsTest.TestClass.TestMember"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string TestMember { get; set; }
Public Property TestMember As String
    Get
    Set
public:
property String^ TestMember {
    String^ get ();
    void set (String^ value);
}
member TestMember : string with get, set

Property Value

Type: String
See Also

Reference

ExpressionExtensionsTestTestClass Class
ZKWebStandard.Tests.Extensions Namespace


TestClass Methods

The ExpressionExtensionsTestTestClass type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ExpressionExtensionsTestTestClass Class
ZKWebStandard.Tests.Extensions Namespace


IContainerTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.IContainerTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsIContainerTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class IContainerTest
Friend Class IContainerTest
internal ref class IContainerTest
type IContainerTest =  class end

The IContainerTest type exposes the following members.

Constructors
 | Name | Description
Public method | IContainerTest | Initializes a new instance of the IContainerTest class
Top
Methods
 | Name | Description
Public method | BuildFactoryWithFactory |
Public method | BuildFactoryWithType |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


IContainerTest Constructor

Initializes a new instance of the IContainerTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IContainerTest()
Public Sub New
public:
IContainerTest()
new : unit -> IContainerTest
See Also

Reference

IContainerTest Class
ZKWebStandard.Tests.Extensions Namespace


IContainerTest Methods

The IContainerTest type exposes the following members.

Methods
 | Name | Description
Public method | BuildFactoryWithFactory |
Public method | BuildFactoryWithType |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IContainerTest Class
ZKWebStandard.Tests.Extensions Namespace


IContainerTest.BuildFactoryWithFactory Method

IContainerTestBuildFactoryWithFactory Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IContainerTest.BuildFactoryWithFactory"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BuildFactoryWithFactory()
Public Sub BuildFactoryWithFactory
public:
void BuildFactoryWithFactory()
member BuildFactoryWithFactory : unit -> unit
See Also

Reference

IContainerTest Class
ZKWebStandard.Tests.Extensions Namespace


IContainerTest.BuildFactoryWithType Method

IContainerTestBuildFactoryWithType Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IContainerTest.BuildFactoryWithType"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BuildFactoryWithType()
Public Sub BuildFactoryWithType
public:
void BuildFactoryWithType()
member BuildFactoryWithType : unit -> unit
See Also

Reference

IContainerTest Class
ZKWebStandard.Tests.Extensions Namespace


IDictionaryExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.IDictionaryExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsIDictionaryExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class IDictionaryExtensionsTest
Friend Class IDictionaryExtensionsTest
internal ref class IDictionaryExtensionsTest
type IDictionaryExtensionsTest =  class end

The IDictionaryExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | IDictionaryExtensionsTest | Initializes a new instance of the IDictionaryExtensionsTest class
Top
Methods
 | Name | Description
Public method | GetOrCreate |
Public method | GetOrDefault |
Public method | GetOrDefaultT |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


IDictionaryExtensionsTest Constructor

Initializes a new instance of the IDictionaryExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionaryExtensionsTest()
Public Sub New
public:
IDictionaryExtensionsTest()
new : unit -> IDictionaryExtensionsTest
See Also

Reference

IDictionaryExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IDictionaryExtensionsTest Methods

The IDictionaryExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetOrCreate |
Public method | GetOrDefault |
Public method | GetOrDefaultT |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IDictionaryExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IDictionaryExtensionsTest.GetOrCreate Method

IDictionaryExtensionsTestGetOrCreate Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IDictionaryExtensionsTest.GetOrCreate"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetOrCreate()
Public Sub GetOrCreate
public:
void GetOrCreate()
member GetOrCreate : unit -> unit
See Also

Reference

IDictionaryExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IDictionaryExtensionsTest.GetOrDefault Method

IDictionaryExtensionsTestGetOrDefault Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IDictionaryExtensionsTest.GetOrDefault"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetOrDefault()
Public Sub GetOrDefault
public:
void GetOrDefault()
member GetOrDefault : unit -> unit
See Also

Reference

IDictionaryExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IDictionaryExtensionsTest.GetOrDefaultT Method

IDictionaryExtensionsTestGetOrDefaultT Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IDictionaryExtensionsTest.GetOrDefaultT"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetOrDefaultT()
Public Sub GetOrDefaultT
public:
void GetOrDefaultT()
member GetOrDefaultT : unit -> unit
See Also

Reference

IDictionaryExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IEnumerableExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.IEnumerableExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsIEnumerableExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class IEnumerableExtensionsTest
Friend Class IEnumerableExtensionsTest
internal ref class IEnumerableExtensionsTest
type IEnumerableExtensionsTest =  class end

The IEnumerableExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | IEnumerableExtensionsTest | Initializes a new instance of the IEnumerableExtensionsTest class
Top
Methods
 | Name | Description
Public method | ConcatIfNotNull |
Public method | ForEach |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


IEnumerableExtensionsTest Constructor

Initializes a new instance of the IEnumerableExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerableExtensionsTest()
Public Sub New
public:
IEnumerableExtensionsTest()
new : unit -> IEnumerableExtensionsTest
See Also

Reference

IEnumerableExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IEnumerableExtensionsTest Methods

The IEnumerableExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | ConcatIfNotNull |
Public method | ForEach |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IEnumerableExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IEnumerableExtensionsTest.ConcatIfNotNull Method

IEnumerableExtensionsTestConcatIfNotNull Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IEnumerableExtensionsTest.ConcatIfNotNull"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ConcatIfNotNull()
Public Sub ConcatIfNotNull
public:
void ConcatIfNotNull()
member ConcatIfNotNull : unit -> unit
See Also

Reference

IEnumerableExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IEnumerableExtensionsTest.ForEach Method

IEnumerableExtensionsTestForEach Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IEnumerableExtensionsTest.ForEach"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ForEach()
Public Sub ForEach
public:
void ForEach()
member ForEach : unit -> unit
See Also

Reference

IEnumerableExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsIHttpContextExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class IHttpContextExtensionsTest
Friend Class IHttpContextExtensionsTest
internal ref class IHttpContextExtensionsTest
type IHttpContextExtensionsTest =  class end

The IHttpContextExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | IHttpContextExtensionsTest | Initializes a new instance of the IHttpContextExtensionsTest class
Top
Methods
 | Name | Description
Public method | GetClientDevice |
Public method | GetCookie |
Public method | GetData |
Public method | GetOrCreateData |
Public method | PutCookie |
Public method | PutData |
Public method | RemoveCookie |
Public method | RemoveData |
Public method | SetClientDeviceToCookies |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest Constructor

Initializes a new instance of the IHttpContextExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContextExtensionsTest()
Public Sub New
public:
IHttpContextExtensionsTest()
new : unit -> IHttpContextExtensionsTest
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest Methods

The IHttpContextExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetClientDevice |
Public method | GetCookie |
Public method | GetData |
Public method | GetOrCreateData |
Public method | PutCookie |
Public method | PutData |
Public method | RemoveCookie |
Public method | RemoveData |
Public method | SetClientDeviceToCookies |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.GetClientDevice Method

IHttpContextExtensionsTestGetClientDevice Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.GetClientDevice"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetClientDevice()
Public Sub GetClientDevice
public:
void GetClientDevice()
member GetClientDevice : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.GetCookie Method

IHttpContextExtensionsTestGetCookie Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.GetCookie"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetCookie()
Public Sub GetCookie
public:
void GetCookie()
member GetCookie : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.GetData Method

IHttpContextExtensionsTestGetData Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.GetData"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetData()
Public Sub GetData
public:
void GetData()
member GetData : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.GetOrCreateData Method

IHttpContextExtensionsTestGetOrCreateData Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.GetOrCreateData"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetOrCreateData()
Public Sub GetOrCreateData
public:
void GetOrCreateData()
member GetOrCreateData : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.PutCookie Method

IHttpContextExtensionsTestPutCookie Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.PutCookie"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void PutCookie()
Public Sub PutCookie
public:
void PutCookie()
member PutCookie : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.PutData Method

IHttpContextExtensionsTestPutData Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.PutData"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void PutData()
Public Sub PutData
public:
void PutData()
member PutData : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.RemoveCookie Method

IHttpContextExtensionsTestRemoveCookie Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.RemoveCookie"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RemoveCookie()
Public Sub RemoveCookie
public:
void RemoveCookie()
member RemoveCookie : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.RemoveData Method

IHttpContextExtensionsTestRemoveData Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.RemoveData"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RemoveData()
Public Sub RemoveData
public:
void RemoveData()
member RemoveData : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpContextExtensionsTest.SetClientDeviceToCookies Method

IHttpContextExtensionsTestSetClientDeviceToCookies Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpContextExtensionsTest.SetClientDeviceToCookies"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetClientDeviceToCookies()
Public Sub SetClientDeviceToCookies
public:
void SetClientDeviceToCookies()
member SetClientDeviceToCookies : unit -> unit
See Also

Reference

IHttpContextExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsIHttpRequestExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class IHttpRequestExtensionsTest
Friend Class IHttpRequestExtensionsTest
internal ref class IHttpRequestExtensionsTest
type IHttpRequestExtensionsTest =  class end

The IHttpRequestExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | IHttpRequestExtensionsTest | Initializes a new instance of the IHttpRequestExtensionsTest class
Top
Methods
 | Name | Description
Public method | Get |
Public method | GetAcceptLanguages |
Public method | GetAll |
Public method | GetAllAs |
Public method | GetAllDictionary |
Public method | GetBytesRange |
Public method | GetIfModifiedSince |
Public method | GetJsonBody |
Public method | GetJsonBodyDictionary |
Public method | GetReferer |
Public method | GetUserAgent |
Public method | IsAjaxRequest |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest Constructor

Initializes a new instance of the IHttpRequestExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpRequestExtensionsTest()
Public Sub New
public:
IHttpRequestExtensionsTest()
new : unit -> IHttpRequestExtensionsTest
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest Methods

The IHttpRequestExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | Get |
Public method | GetAcceptLanguages |
Public method | GetAll |
Public method | GetAllAs |
Public method | GetAllDictionary |
Public method | GetBytesRange |
Public method | GetIfModifiedSince |
Public method | GetJsonBody |
Public method | GetJsonBodyDictionary |
Public method | GetReferer |
Public method | GetUserAgent |
Public method | IsAjaxRequest |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.Get Method

IHttpRequestExtensionsTestGet Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.Get"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Get()
Public Sub Get
public:
void Get()
member Get : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetAcceptLanguages Method

IHttpRequestExtensionsTestGetAcceptLanguages Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetAcceptLanguages"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetAcceptLanguages()
Public Sub GetAcceptLanguages
public:
void GetAcceptLanguages()
member GetAcceptLanguages : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetAll Method

IHttpRequestExtensionsTestGetAll Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetAll"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetAll()
Public Sub GetAll
public:
void GetAll()
member GetAll : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetAllAs Method

IHttpRequestExtensionsTestGetAllAs Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetAllAs"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetAllAs()
Public Sub GetAllAs
public:
void GetAllAs()
member GetAllAs : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetAllDictionary Method

IHttpRequestExtensionsTestGetAllDictionary Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetAllDictionary"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetAllDictionary()
Public Sub GetAllDictionary
public:
void GetAllDictionary()
member GetAllDictionary : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetBytesRange Method

IHttpRequestExtensionsTestGetBytesRange Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetBytesRange"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetBytesRange()
Public Sub GetBytesRange
public:
void GetBytesRange()
member GetBytesRange : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetIfModifiedSince Method

IHttpRequestExtensionsTestGetIfModifiedSince Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetIfModifiedSince"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetIfModifiedSince()
Public Sub GetIfModifiedSince
public:
void GetIfModifiedSince()
member GetIfModifiedSince : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetJsonBody Method

IHttpRequestExtensionsTestGetJsonBody Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetJsonBody"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetJsonBody()
Public Sub GetJsonBody
public:
void GetJsonBody()
member GetJsonBody : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetJsonBodyDictionary Method

IHttpRequestExtensionsTestGetJsonBodyDictionary Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetJsonBodyDictionary"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetJsonBodyDictionary()
Public Sub GetJsonBodyDictionary
public:
void GetJsonBodyDictionary()
member GetJsonBodyDictionary : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetReferer Method

IHttpRequestExtensionsTestGetReferer Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetReferer"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetReferer()
Public Sub GetReferer
public:
void GetReferer()
member GetReferer : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.GetUserAgent Method

IHttpRequestExtensionsTestGetUserAgent Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.GetUserAgent"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetUserAgent()
Public Sub GetUserAgent
public:
void GetUserAgent()
member GetUserAgent : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.IsAjaxRequest Method

IHttpRequestExtensionsTestIsAjaxRequest Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.IsAjaxRequest"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void IsAjaxRequest()
Public Sub IsAjaxRequest
public:
void IsAjaxRequest()
member IsAjaxRequest : unit -> unit
See Also

Reference

IHttpRequestExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.TestData Class

IHttpRequestExtensionsTestTestData Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.TestData"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsIHttpRequestExtensionsTestTestData

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestData
Public Class TestData
public ref class TestData
type TestData =  class end

The IHttpRequestExtensionsTestTestData type exposes the following members.

Constructors
 | Name | Description
Public method | IHttpRequestExtensionsTestTestData | Initializes a new instance of the IHttpRequestExtensionsTestTestData class
Top
Properties
 | Name | Description
Public property | a |
Public property | b |
Public property | c |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.TestData Constructor

IHttpRequestExtensionsTestTestData Constructor

Initializes a new instance of the IHttpRequestExtensionsTestTestData class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestData()
Public Sub New
public:
TestData()
new : unit -> TestData
See Also

Reference

IHttpRequestExtensionsTestTestData Class
ZKWebStandard.Tests.Extensions Namespace


TestData Properties

The IHttpRequestExtensionsTestTestData type exposes the following members.

Properties
 | Name | Description
Public property | a |
Public property | b |
Public property | c |
Top
See Also

Reference

IHttpRequestExtensionsTestTestData Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.TestData.a Property

IHttpRequestExtensionsTestTestDataa Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.TestData.a"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string a { get; set; }
Public Property a As String
    Get
    Set
public:
property String^ a {
    String^ get ();
    void set (String^ value);
}
member a : string with get, set

Property Value

Type: String
See Also

Reference

IHttpRequestExtensionsTestTestData Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.TestData.b Property

IHttpRequestExtensionsTestTestDatab Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.TestData.b"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int b { get; set; }
Public Property b As Integer
    Get
    Set
public:
property int b {
    int get ();
    void set (int value);
}
member b : int with get, set

Property Value

Type: Int32
See Also

Reference

IHttpRequestExtensionsTestTestData Class
ZKWebStandard.Tests.Extensions Namespace


IHttpRequestExtensionsTest.TestData.c Property

IHttpRequestExtensionsTestTestDatac Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.Extensions.IHttpRequestExtensionsTest.TestData.c"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpPostedFile c { get; set; }
Public Property c As IHttpPostedFile
    Get
    Set
public:
property IHttpPostedFile^ c {
    IHttpPostedFile^ get ();
    void set (IHttpPostedFile^ value);
}
member c : IHttpPostedFile with get, set

Property Value

Type: IHttpPostedFile
See Also

Reference

IHttpRequestExtensionsTestTestData Class
ZKWebStandard.Tests.Extensions Namespace


TestData Methods

The IHttpRequestExtensionsTestTestData type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IHttpRequestExtensionsTestTestData Class
ZKWebStandard.Tests.Extensions Namespace


IHttpResponseExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.IHttpResponseExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsIHttpResponseExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class IHttpResponseExtensionsTest
Friend Class IHttpResponseExtensionsTest
internal ref class IHttpResponseExtensionsTest
type IHttpResponseExtensionsTest =  class end

The IHttpResponseExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | IHttpResponseExtensionsTest | Initializes a new instance of the IHttpResponseExtensionsTest class
Top
Methods
 | Name | Description
Public method | RedirectByScript |
Public method | SetLastModified |
Public method | Write |
Public method | WriteFile |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


IHttpResponseExtensionsTest Constructor

Initializes a new instance of the IHttpResponseExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpResponseExtensionsTest()
Public Sub New
public:
IHttpResponseExtensionsTest()
new : unit -> IHttpResponseExtensionsTest
See Also

Reference

IHttpResponseExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpResponseExtensionsTest Methods

The IHttpResponseExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | RedirectByScript |
Public method | SetLastModified |
Public method | Write |
Public method | WriteFile |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IHttpResponseExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpResponseExtensionsTest.RedirectByScript Method

IHttpResponseExtensionsTestRedirectByScript Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpResponseExtensionsTest.RedirectByScript"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RedirectByScript()
Public Sub RedirectByScript
public:
void RedirectByScript()
member RedirectByScript : unit -> unit
See Also

Reference

IHttpResponseExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpResponseExtensionsTest.SetLastModified Method

IHttpResponseExtensionsTestSetLastModified Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpResponseExtensionsTest.SetLastModified"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetLastModified()
Public Sub SetLastModified
public:
void SetLastModified()
member SetLastModified : unit -> unit
See Also

Reference

IHttpResponseExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpResponseExtensionsTest.Write Method

IHttpResponseExtensionsTestWrite Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpResponseExtensionsTest.Write"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Write()
Public Sub Write
public:
void Write()
member Write : unit -> unit
See Also

Reference

IHttpResponseExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IHttpResponseExtensionsTest.WriteFile Method

IHttpResponseExtensionsTestWriteFile Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IHttpResponseExtensionsTest.WriteFile"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void WriteFile()
Public Sub WriteFile
public:
void WriteFile()
member WriteFile : unit -> unit
See Also

Reference

IHttpResponseExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


IListExtensions Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.IListExtensions"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsIListExtensions

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class IListExtensions
Friend Class IListExtensions
internal ref class IListExtensions
type IListExtensions =  class end

The IListExtensions type exposes the following members.

Constructors
 | Name | Description
Public method | IListExtensions | Initializes a new instance of the IListExtensions class
Top
Methods
 | Name | Description
Public method | AddAfter |
Public method | AddBefore |
Public method | AddRange |
Public method | FindIndex |
Public method | FindLastIndex |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


IListExtensions Constructor

Initializes a new instance of the IListExtensions class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IListExtensions()
Public Sub New
public:
IListExtensions()
new : unit -> IListExtensions
See Also

Reference

IListExtensions Class
ZKWebStandard.Tests.Extensions Namespace


IListExtensions Methods

The IListExtensions type exposes the following members.

Methods
 | Name | Description
Public method | AddAfter |
Public method | AddBefore |
Public method | AddRange |
Public method | FindIndex |
Public method | FindLastIndex |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

IListExtensions Class
ZKWebStandard.Tests.Extensions Namespace


IListExtensions.AddAfter Method

IListExtensionsAddAfter Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IListExtensions.AddAfter"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void AddAfter()
Public Sub AddAfter
public:
void AddAfter()
member AddAfter : unit -> unit
See Also

Reference

IListExtensions Class
ZKWebStandard.Tests.Extensions Namespace


IListExtensions.AddBefore Method

IListExtensionsAddBefore Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IListExtensions.AddBefore"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void AddBefore()
Public Sub AddBefore
public:
void AddBefore()
member AddBefore : unit -> unit
See Also

Reference

IListExtensions Class
ZKWebStandard.Tests.Extensions Namespace


IListExtensions.AddRange Method

IListExtensionsAddRange Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IListExtensions.AddRange"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void AddRange()
Public Sub AddRange
public:
void AddRange()
member AddRange : unit -> unit
See Also

Reference

IListExtensions Class
ZKWebStandard.Tests.Extensions Namespace


IListExtensions.FindIndex Method

IListExtensionsFindIndex Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IListExtensions.FindIndex"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FindIndex()
Public Sub FindIndex
public:
void FindIndex()
member FindIndex : unit -> unit
See Also

Reference

IListExtensions Class
ZKWebStandard.Tests.Extensions Namespace


IListExtensions.FindLastIndex Method

IListExtensionsFindLastIndex Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.IListExtensions.FindLastIndex"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void FindLastIndex()
Public Sub FindLastIndex
public:
void FindLastIndex()
member FindLastIndex : unit -> unit
See Also

Reference

IListExtensions Class
ZKWebStandard.Tests.Extensions Namespace


ImageExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.ImageExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsImageExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ImageExtensionsTest
Friend Class ImageExtensionsTest
internal ref class ImageExtensionsTest
type ImageExtensionsTest =  class end

The ImageExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ImageExtensionsTest | Initializes a new instance of the ImageExtensionsTest class
Top
Methods
 | Name | Description
Public method | Resize |
Public method | SaveAuto |
Public method | SaveIcon |
Public method | SaveJpeg |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


ImageExtensionsTest Constructor

Initializes a new instance of the ImageExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ImageExtensionsTest()
Public Sub New
public:
ImageExtensionsTest()
new : unit -> ImageExtensionsTest
See Also

Reference

ImageExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ImageExtensionsTest Methods

The ImageExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | Resize |
Public method | SaveAuto |
Public method | SaveIcon |
Public method | SaveJpeg |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ImageExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ImageExtensionsTest.Resize Method

ImageExtensionsTestResize Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ImageExtensionsTest.Resize"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Resize()
Public Sub Resize
public:
void Resize()
member Resize : unit -> unit
See Also

Reference

ImageExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ImageExtensionsTest.SaveAuto Method

ImageExtensionsTestSaveAuto Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ImageExtensionsTest.SaveAuto"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SaveAuto()
Public Sub SaveAuto
public:
void SaveAuto()
member SaveAuto : unit -> unit
See Also

Reference

ImageExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ImageExtensionsTest.SaveIcon Method

ImageExtensionsTestSaveIcon Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ImageExtensionsTest.SaveIcon"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SaveIcon()
Public Sub SaveIcon
public:
void SaveIcon()
member SaveIcon : unit -> unit
See Also

Reference

ImageExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ImageExtensionsTest.SaveJpeg Method

ImageExtensionsTestSaveJpeg Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ImageExtensionsTest.SaveJpeg"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SaveJpeg()
Public Sub SaveJpeg
public:
void SaveJpeg()
member SaveJpeg : unit -> unit
See Also

Reference

ImageExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ISetExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.ISetExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsISetExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ISetExtensionsTest
Friend Class ISetExtensionsTest
internal ref class ISetExtensionsTest
type ISetExtensionsTest =  class end

The ISetExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ISetExtensionsTest | Initializes a new instance of the ISetExtensionsTest class
Top
Methods
 | Name | Description
Public method | AddRange |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


ISetExtensionsTest Constructor

Initializes a new instance of the ISetExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ISetExtensionsTest()
Public Sub New
public:
ISetExtensionsTest()
new : unit -> ISetExtensionsTest
See Also

Reference

ISetExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ISetExtensionsTest Methods

The ISetExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | AddRange |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ISetExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ISetExtensionsTest.AddRange Method

ISetExtensionsTestAddRange Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ISetExtensionsTest.AddRange"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void AddRange()
Public Sub AddRange
public:
void AddRange()
member AddRange : unit -> unit
See Also

Reference

ISetExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ITreeNodeExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.ITreeNodeExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsITreeNodeExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ITreeNodeExtensionsTest
Friend Class ITreeNodeExtensionsTest
internal ref class ITreeNodeExtensionsTest
type ITreeNodeExtensionsTest =  class end

The ITreeNodeExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ITreeNodeExtensionsTest | Initializes a new instance of the ITreeNodeExtensionsTest class
Top
Methods
 | Name | Description
Public method | EnumerateAllNodes |
Public method | GetParents |
Public method | VisitAllNodes |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


ITreeNodeExtensionsTest Constructor

Initializes a new instance of the ITreeNodeExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ITreeNodeExtensionsTest()
Public Sub New
public:
ITreeNodeExtensionsTest()
new : unit -> ITreeNodeExtensionsTest
See Also

Reference

ITreeNodeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ITreeNodeExtensionsTest Methods

The ITreeNodeExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | EnumerateAllNodes |
Public method | GetParents |
Public method | VisitAllNodes |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ITreeNodeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ITreeNodeExtensionsTest.EnumerateAllNodes Method

ITreeNodeExtensionsTestEnumerateAllNodes Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ITreeNodeExtensionsTest.EnumerateAllNodes"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void EnumerateAllNodes()
Public Sub EnumerateAllNodes
public:
void EnumerateAllNodes()
member EnumerateAllNodes : unit -> unit
See Also

Reference

ITreeNodeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ITreeNodeExtensionsTest.GetParents Method

ITreeNodeExtensionsTestGetParents Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ITreeNodeExtensionsTest.GetParents"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetParents()
Public Sub GetParents
public:
void GetParents()
member GetParents : unit -> unit
See Also

Reference

ITreeNodeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ITreeNodeExtensionsTest.VisitAllNodes Method

ITreeNodeExtensionsTestVisitAllNodes Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ITreeNodeExtensionsTest.VisitAllNodes"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void VisitAllNodes()
Public Sub VisitAllNodes
public:
void VisitAllNodes()
member VisitAllNodes : unit -> unit
See Also

Reference

ITreeNodeExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


MemberInfoExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.MemberInfoExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsMemberInfoExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class MemberInfoExtensionsTest
Friend Class MemberInfoExtensionsTest
internal ref class MemberInfoExtensionsTest
type MemberInfoExtensionsTest =  class end

The MemberInfoExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | MemberInfoExtensionsTest | Initializes a new instance of the MemberInfoExtensionsTest class
Top
Methods
 | Name | Description
Public method | GetAttribute |
Public method | GetAttributes |
Public method | GetInheritedAttributes |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


MemberInfoExtensionsTest Constructor

Initializes a new instance of the MemberInfoExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MemberInfoExtensionsTest()
Public Sub New
public:
MemberInfoExtensionsTest()
new : unit -> MemberInfoExtensionsTest
See Also

Reference

MemberInfoExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


MemberInfoExtensionsTest Methods

The MemberInfoExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetAttribute |
Public method | GetAttributes |
Public method | GetInheritedAttributes |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MemberInfoExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


MemberInfoExtensionsTest.GetAttribute Method

MemberInfoExtensionsTestGetAttribute Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.MemberInfoExtensionsTest.GetAttribute"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetAttribute()
Public Sub GetAttribute
public:
void GetAttribute()
member GetAttribute : unit -> unit
See Also

Reference

MemberInfoExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


MemberInfoExtensionsTest.GetAttributes Method

MemberInfoExtensionsTestGetAttributes Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.MemberInfoExtensionsTest.GetAttributes"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetAttributes()
Public Sub GetAttributes
public:
void GetAttributes()
member GetAttributes : unit -> unit
See Also

Reference

MemberInfoExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


MemberInfoExtensionsTest.GetInheritedAttributes Method

MemberInfoExtensionsTestGetInheritedAttributes Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.MemberInfoExtensionsTest.GetInheritedAttributes"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetInheritedAttributes()
Public Sub GetInheritedAttributes
public:
void GetInheritedAttributes()
member GetInheritedAttributes : unit -> unit
See Also

Reference

MemberInfoExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


MethodInfoExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.MethodInfoExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsMethodInfoExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class MethodInfoExtensionsTest
Friend Class MethodInfoExtensionsTest
internal ref class MethodInfoExtensionsTest
type MethodInfoExtensionsTest =  class end

The MethodInfoExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | MethodInfoExtensionsTest | Initializes a new instance of the MethodInfoExtensionsTest class
Top
Methods
 | Name | Description
Public method | GetFullName |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


MethodInfoExtensionsTest Constructor

Initializes a new instance of the MethodInfoExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MethodInfoExtensionsTest()
Public Sub New
public:
MethodInfoExtensionsTest()
new : unit -> MethodInfoExtensionsTest
See Also

Reference

MethodInfoExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


MethodInfoExtensionsTest Methods

The MethodInfoExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetFullName |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MethodInfoExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


MethodInfoExtensionsTest.GetFullName Method

MethodInfoExtensionsTestGetFullName Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.MethodInfoExtensionsTest.GetFullName"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetFullName()
Public Sub GetFullName
public:
void GetFullName()
member GetFullName : unit -> unit
See Also

Reference

MethodInfoExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ObjectExtensionsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.ObjectExtensionsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsObjectExtensionsTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ObjectExtensionsTest
Friend Class ObjectExtensionsTest
internal ref class ObjectExtensionsTest
type ObjectExtensionsTest =  class end

The ObjectExtensionsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ObjectExtensionsTest | Initializes a new instance of the ObjectExtensionsTest class
Top
Methods
 | Name | Description
Public method | CloneByJson |
Public method | ConvertOrDefault |
Public method | ConvertOrDefaultT |
Public method | EqualsSupportsNull |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


ObjectExtensionsTest Constructor

Initializes a new instance of the ObjectExtensionsTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ObjectExtensionsTest()
Public Sub New
public:
ObjectExtensionsTest()
new : unit -> ObjectExtensionsTest
See Also

Reference

ObjectExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ObjectExtensionsTest Methods

The ObjectExtensionsTest type exposes the following members.

Methods
 | Name | Description
Public method | CloneByJson |
Public method | ConvertOrDefault |
Public method | ConvertOrDefaultT |
Public method | EqualsSupportsNull |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ObjectExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ObjectExtensionsTest.CloneByJson Method

ObjectExtensionsTestCloneByJson Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ObjectExtensionsTest.CloneByJson"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void CloneByJson()
Public Sub CloneByJson
public:
void CloneByJson()
member CloneByJson : unit -> unit
See Also

Reference

ObjectExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ObjectExtensionsTest.ConvertOrDefault Method

ObjectExtensionsTestConvertOrDefault Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ObjectExtensionsTest.ConvertOrDefault"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ConvertOrDefault()
Public Sub ConvertOrDefault
public:
void ConvertOrDefault()
member ConvertOrDefault : unit -> unit
See Also

Reference

ObjectExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ObjectExtensionsTest.ConvertOrDefaultT Method

ObjectExtensionsTestConvertOrDefaultT Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ObjectExtensionsTest.ConvertOrDefaultT"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ConvertOrDefaultT()
Public Sub ConvertOrDefaultT
public:
void ConvertOrDefaultT()
member ConvertOrDefaultT : unit -> unit
See Also

Reference

ObjectExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


ObjectExtensionsTest.EqualsSupportsNull Method

ObjectExtensionsTestEqualsSupportsNull Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.ObjectExtensionsTest.EqualsSupportsNull"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void EqualsSupportsNull()
Public Sub EqualsSupportsNull
public:
void EqualsSupportsNull()
member EqualsSupportsNull : unit -> unit
See Also

Reference

ObjectExtensionsTest Class
ZKWebStandard.Tests.Extensions Namespace


StreamExtensionTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Extensions.StreamExtensionTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.ExtensionsStreamExtensionTest

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class StreamExtensionTest
Friend Class StreamExtensionTest
internal ref class StreamExtensionTest
type StreamExtensionTest =  class end

The StreamExtensionTest type exposes the following members.

Constructors
 | Name | Description
Public method | StreamExtensionTest | Initializes a new instance of the StreamExtensionTest class
Top
Methods
 | Name | Description
Public method | CopyTo |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Extensions Namespace


StreamExtensionTest Constructor

Initializes a new instance of the StreamExtensionTest class

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public StreamExtensionTest()
Public Sub New
public:
StreamExtensionTest()
new : unit -> StreamExtensionTest
See Also

Reference

StreamExtensionTest Class
ZKWebStandard.Tests.Extensions Namespace


StreamExtensionTest Methods

The StreamExtensionTest type exposes the following members.

Methods
 | Name | Description
Public method | CopyTo |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

StreamExtensionTest Class
ZKWebStandard.Tests.Extensions Namespace


StreamExtensionTest.CopyTo Method

StreamExtensionTestCopyTo Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Extensions.StreamExtensionTest.CopyTo"]

Namespace: ZKWebStandard.Tests.Extensions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void CopyTo()
Public Sub CopyTo
public:
void CopyTo()
member CopyTo : unit -> unit
See Also

Reference

StreamExtensionTest Class
ZKWebStandard.Tests.Extensions Namespace


ZKWebStandard.Tests.Functions Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Tests.Functions"]

Classes
 | Class | Description
Protected class | ExpressionUtilsTest |
Protected class | FileUtilsTest |
Protected class | LocaleUtilsTest |
Protected class | PasswordUtilsTest |
Protected class | PathUtilsTest |
Protected class | RandomUtilsTest |
Protected class | ReflectionUtilsTest |
Protected class | RegexUtilsTest |
Protected class | SystemUtilsTest |
Protected class | TreeUtilsTest |


ExpressionUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.ExpressionUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsExpressionUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ExpressionUtilsTest
Friend Class ExpressionUtilsTest
internal ref class ExpressionUtilsTest
type ExpressionUtilsTest =  class end

The ExpressionUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ExpressionUtilsTest | Initializes a new instance of the ExpressionUtilsTest class
Top
Methods
 | Name | Description
Public method | MakeMemberEqualiventExpression |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


ExpressionUtilsTest Constructor

Initializes a new instance of the ExpressionUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ExpressionUtilsTest()
Public Sub New
public:
ExpressionUtilsTest()
new : unit -> ExpressionUtilsTest
See Also

Reference

ExpressionUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


ExpressionUtilsTest Methods

The ExpressionUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | MakeMemberEqualiventExpression |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ExpressionUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


ExpressionUtilsTest.MakeMemberEqualiventExpression Method

ExpressionUtilsTestMakeMemberEqualiventExpression Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.ExpressionUtilsTest.MakeMemberEqualiventExpression"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void MakeMemberEqualiventExpression()
Public Sub MakeMemberEqualiventExpression
public:
void MakeMemberEqualiventExpression()
member MakeMemberEqualiventExpression : unit -> unit
See Also

Reference

ExpressionUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


FileUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.FileUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsFileUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class FileUtilsTest
Friend Class FileUtilsTest
internal ref class FileUtilsTest
type FileUtilsTest =  class end

The FileUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | FileUtilsTest | Initializes a new instance of the FileUtilsTest class
Top
Methods
 | Name | Description
Public method | GetSizeDisplayName |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


FileUtilsTest Constructor

Initializes a new instance of the FileUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public FileUtilsTest()
Public Sub New
public:
FileUtilsTest()
new : unit -> FileUtilsTest
See Also

Reference

FileUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


FileUtilsTest Methods

The FileUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetSizeDisplayName |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

FileUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


FileUtilsTest.GetSizeDisplayName Method

FileUtilsTestGetSizeDisplayName Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.FileUtilsTest.GetSizeDisplayName"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetSizeDisplayName()
Public Sub GetSizeDisplayName
public:
void GetSizeDisplayName()
member GetSizeDisplayName : unit -> unit
See Also

Reference

FileUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


LocaleUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.LocaleUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsLocaleUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class LocaleUtilsTest
Friend Class LocaleUtilsTest
internal ref class LocaleUtilsTest
type LocaleUtilsTest =  class end

The LocaleUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | LocaleUtilsTest | Initializes a new instance of the LocaleUtilsTest class
Top
Methods
 | Name | Description
Public method | SetThreadLanguage |
Public method | SetThreadLanguageAutomatic |
Public method | SetThreadTimezone |
Public method | SetThreadTimezoneAutomatic |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


LocaleUtilsTest Constructor

Initializes a new instance of the LocaleUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public LocaleUtilsTest()
Public Sub New
public:
LocaleUtilsTest()
new : unit -> LocaleUtilsTest
See Also

Reference

LocaleUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


LocaleUtilsTest Methods

The LocaleUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | SetThreadLanguage |
Public method | SetThreadLanguageAutomatic |
Public method | SetThreadTimezone |
Public method | SetThreadTimezoneAutomatic |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

LocaleUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


LocaleUtilsTest.SetThreadLanguage Method

LocaleUtilsTestSetThreadLanguage Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.LocaleUtilsTest.SetThreadLanguage"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetThreadLanguage()
Public Sub SetThreadLanguage
public:
void SetThreadLanguage()
member SetThreadLanguage : unit -> unit
See Also

Reference

LocaleUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


LocaleUtilsTest.SetThreadLanguageAutomatic Method

LocaleUtilsTestSetThreadLanguageAutomatic Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.LocaleUtilsTest.SetThreadLanguageAutomatic"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetThreadLanguageAutomatic()
Public Sub SetThreadLanguageAutomatic
public:
void SetThreadLanguageAutomatic()
member SetThreadLanguageAutomatic : unit -> unit
See Also

Reference

LocaleUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


LocaleUtilsTest.SetThreadTimezone Method

LocaleUtilsTestSetThreadTimezone Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.LocaleUtilsTest.SetThreadTimezone"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetThreadTimezone()
Public Sub SetThreadTimezone
public:
void SetThreadTimezone()
member SetThreadTimezone : unit -> unit
See Also

Reference

LocaleUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


LocaleUtilsTest.SetThreadTimezoneAutomatic Method

LocaleUtilsTestSetThreadTimezoneAutomatic Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.LocaleUtilsTest.SetThreadTimezoneAutomatic"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SetThreadTimezoneAutomatic()
Public Sub SetThreadTimezoneAutomatic
public:
void SetThreadTimezoneAutomatic()
member SetThreadTimezoneAutomatic : unit -> unit
See Also

Reference

LocaleUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PasswordUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.PasswordUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsPasswordUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class PasswordUtilsTest
Friend Class PasswordUtilsTest
internal ref class PasswordUtilsTest
type PasswordUtilsTest =  class end

The PasswordUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | PasswordUtilsTest | Initializes a new instance of the PasswordUtilsTest class
Top
Methods
 | Name | Description
Public method | Md5Sum |
Public method | PasswordInfoTest |
Public method | PBKDF2Sum |
Public method | Sha1Sum |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


PasswordUtilsTest Constructor

Initializes a new instance of the PasswordUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PasswordUtilsTest()
Public Sub New
public:
PasswordUtilsTest()
new : unit -> PasswordUtilsTest
See Also

Reference

PasswordUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PasswordUtilsTest Methods

The PasswordUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | Md5Sum |
Public method | PasswordInfoTest |
Public method | PBKDF2Sum |
Public method | Sha1Sum |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PasswordUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PasswordUtilsTest.Md5Sum Method

PasswordUtilsTestMd5Sum Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.PasswordUtilsTest.Md5Sum"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Md5Sum()
Public Sub Md5Sum
public:
void Md5Sum()
member Md5Sum : unit -> unit
See Also

Reference

PasswordUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PasswordUtilsTest.PasswordInfoTest Method

PasswordUtilsTestPasswordInfoTest Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.PasswordUtilsTest.PasswordInfoTest"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void PasswordInfoTest()
Public Sub PasswordInfoTest
public:
void PasswordInfoTest()
member PasswordInfoTest : unit -> unit
See Also

Reference

PasswordUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PasswordUtilsTest.PBKDF2Sum Method

PasswordUtilsTestPBKDF2Sum Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.PasswordUtilsTest.PBKDF2Sum"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void PBKDF2Sum()
Public Sub PBKDF2Sum
public:
void PBKDF2Sum()
member PBKDF2Sum : unit -> unit
See Also

Reference

PasswordUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PasswordUtilsTest.Sha1Sum Method

PasswordUtilsTestSha1Sum Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.PasswordUtilsTest.Sha1Sum"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Sha1Sum()
Public Sub Sha1Sum
public:
void Sha1Sum()
member Sha1Sum : unit -> unit
See Also

Reference

PasswordUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PathUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.PathUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsPathUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class PathUtilsTest
Friend Class PathUtilsTest
internal ref class PathUtilsTest
type PathUtilsTest =  class end

The PathUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | PathUtilsTest | Initializes a new instance of the PathUtilsTest class
Top
Methods
 | Name | Description
Public method | EnsureParentDirectory |
Public method | SecureCombine |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


PathUtilsTest Constructor

Initializes a new instance of the PathUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PathUtilsTest()
Public Sub New
public:
PathUtilsTest()
new : unit -> PathUtilsTest
See Also

Reference

PathUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PathUtilsTest Methods

The PathUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | EnsureParentDirectory |
Public method | SecureCombine |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PathUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PathUtilsTest.EnsureParentDirectory Method

PathUtilsTestEnsureParentDirectory Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.PathUtilsTest.EnsureParentDirectory"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void EnsureParentDirectory()
Public Sub EnsureParentDirectory
public:
void EnsureParentDirectory()
member EnsureParentDirectory : unit -> unit
See Also

Reference

PathUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


PathUtilsTest.SecureCombine Method

PathUtilsTestSecureCombine Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.PathUtilsTest.SecureCombine"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SecureCombine()
Public Sub SecureCombine
public:
void SecureCombine()
member SecureCombine : unit -> unit
See Also

Reference

PathUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.RandomUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsRandomUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class RandomUtilsTest
Friend Class RandomUtilsTest
internal ref class RandomUtilsTest
type RandomUtilsTest =  class end

The RandomUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | RandomUtilsTest | Initializes a new instance of the RandomUtilsTest class
Top
Methods
 | Name | Description
Public method | RandomEnum |
Public method | RandomInt |
Public method | RandomSelection |
Public method | RandomString |
Public method | SystemRandomBytes |
Public method | SystemRandomInt |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest Constructor

Initializes a new instance of the RandomUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public RandomUtilsTest()
Public Sub New
public:
RandomUtilsTest()
new : unit -> RandomUtilsTest
See Also

Reference

RandomUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest Methods

The RandomUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | RandomEnum |
Public method | RandomInt |
Public method | RandomSelection |
Public method | RandomString |
Public method | SystemRandomBytes |
Public method | SystemRandomInt |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

RandomUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest.RandomEnum Method

RandomUtilsTestRandomEnum Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RandomUtilsTest.RandomEnum"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RandomEnum()
Public Sub RandomEnum
public:
void RandomEnum()
member RandomEnum : unit -> unit
See Also

Reference

RandomUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest.RandomInt Method

RandomUtilsTestRandomInt Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RandomUtilsTest.RandomInt"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RandomInt()
Public Sub RandomInt
public:
void RandomInt()
member RandomInt : unit -> unit
See Also

Reference

RandomUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest.RandomSelection Method

RandomUtilsTestRandomSelection Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RandomUtilsTest.RandomSelection"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RandomSelection()
Public Sub RandomSelection
public:
void RandomSelection()
member RandomSelection : unit -> unit
See Also

Reference

RandomUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest.RandomString Method

RandomUtilsTestRandomString Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RandomUtilsTest.RandomString"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RandomString()
Public Sub RandomString
public:
void RandomString()
member RandomString : unit -> unit
See Also

Reference

RandomUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest.SystemRandomBytes Method

RandomUtilsTestSystemRandomBytes Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RandomUtilsTest.SystemRandomBytes"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SystemRandomBytes()
Public Sub SystemRandomBytes
public:
void SystemRandomBytes()
member SystemRandomBytes : unit -> unit
See Also

Reference

RandomUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RandomUtilsTest.SystemRandomInt Method

RandomUtilsTestSystemRandomInt Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RandomUtilsTest.SystemRandomInt"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SystemRandomInt()
Public Sub SystemRandomInt
public:
void SystemRandomInt()
member SystemRandomInt : unit -> unit
See Also

Reference

RandomUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


ReflectionUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.ReflectionUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsReflectionUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ReflectionUtilsTest
Friend Class ReflectionUtilsTest
internal ref class ReflectionUtilsTest
type ReflectionUtilsTest =  class end

The ReflectionUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | ReflectionUtilsTest | Initializes a new instance of the ReflectionUtilsTest class
Top
Methods
 | Name | Description
Public method | GetGenericArguments |
Public method | MakeGetter |
Public method | MakeSetter |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


ReflectionUtilsTest Constructor

Initializes a new instance of the ReflectionUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ReflectionUtilsTest()
Public Sub New
public:
ReflectionUtilsTest()
new : unit -> ReflectionUtilsTest
See Also

Reference

ReflectionUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


ReflectionUtilsTest Methods

The ReflectionUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetGenericArguments |
Public method | MakeGetter |
Public method | MakeSetter |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ReflectionUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


ReflectionUtilsTest.GetGenericArguments Method

ReflectionUtilsTestGetGenericArguments Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.ReflectionUtilsTest.GetGenericArguments"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetGenericArguments()
Public Sub GetGenericArguments
public:
void GetGenericArguments()
member GetGenericArguments : unit -> unit
See Also

Reference

ReflectionUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


ReflectionUtilsTest.MakeGetter Method

ReflectionUtilsTestMakeGetter Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.ReflectionUtilsTest.MakeGetter"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void MakeGetter()
Public Sub MakeGetter
public:
void MakeGetter()
member MakeGetter : unit -> unit
See Also

Reference

ReflectionUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


ReflectionUtilsTest.MakeSetter Method

ReflectionUtilsTestMakeSetter Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.ReflectionUtilsTest.MakeSetter"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void MakeSetter()
Public Sub MakeSetter
public:
void MakeSetter()
member MakeSetter : unit -> unit
See Also

Reference

ReflectionUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RegexUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.RegexUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsRegexUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class RegexUtilsTest
Friend Class RegexUtilsTest
internal ref class RegexUtilsTest
type RegexUtilsTest =  class end

The RegexUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | RegexUtilsTest | Initializes a new instance of the RegexUtilsTest class
Top
Methods
 | Name | Description
Public method | ChinaMobile |
Public method | Decimal |
Public method | Digits |
Public method | Email |
Public method | Tel |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


RegexUtilsTest Constructor

Initializes a new instance of the RegexUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public RegexUtilsTest()
Public Sub New
public:
RegexUtilsTest()
new : unit -> RegexUtilsTest
See Also

Reference

RegexUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RegexUtilsTest Methods

The RegexUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | ChinaMobile |
Public method | Decimal |
Public method | Digits |
Public method | Email |
Public method | Tel |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

RegexUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RegexUtilsTest.ChinaMobile Method

RegexUtilsTestChinaMobile Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RegexUtilsTest.ChinaMobile"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ChinaMobile()
Public Sub ChinaMobile
public:
void ChinaMobile()
member ChinaMobile : unit -> unit
See Also

Reference

RegexUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RegexUtilsTest.Decimal Method

RegexUtilsTestDecimal Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RegexUtilsTest.Decimal"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Decimal()
Public Sub Decimal
public:
void Decimal()
member Decimal : unit -> unit
See Also

Reference

RegexUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RegexUtilsTest.Digits Method

RegexUtilsTestDigits Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RegexUtilsTest.Digits"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Digits()
Public Sub Digits
public:
void Digits()
member Digits : unit -> unit
See Also

Reference

RegexUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RegexUtilsTest.Email Method

RegexUtilsTestEmail Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RegexUtilsTest.Email"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Email()
Public Sub Email
public:
void Email()
member Email : unit -> unit
See Also

Reference

RegexUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


RegexUtilsTest.Tel Method

RegexUtilsTestTel Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.RegexUtilsTest.Tel"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Tel()
Public Sub Tel
public:
void Tel()
member Tel : unit -> unit
See Also

Reference

RegexUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


SystemUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.SystemUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsSystemUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class SystemUtilsTest
Friend Class SystemUtilsTest
internal ref class SystemUtilsTest
type SystemUtilsTest =  class end

The SystemUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | SystemUtilsTest | Initializes a new instance of the SystemUtilsTest class
Top
Methods
 | Name | Description
Public method | GetUsedMemoryBytes |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


SystemUtilsTest Constructor

Initializes a new instance of the SystemUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public SystemUtilsTest()
Public Sub New
public:
SystemUtilsTest()
new : unit -> SystemUtilsTest
See Also

Reference

SystemUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


SystemUtilsTest Methods

The SystemUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetUsedMemoryBytes |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

SystemUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


SystemUtilsTest.GetUsedMemoryBytes Method

SystemUtilsTestGetUsedMemoryBytes Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.SystemUtilsTest.GetUsedMemoryBytes"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetUsedMemoryBytes()
Public Sub GetUsedMemoryBytes
public:
void GetUsedMemoryBytes()
member GetUsedMemoryBytes : unit -> unit
See Also

Reference

SystemUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


TreeUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Functions.TreeUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.FunctionsTreeUtilsTest

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class TreeUtilsTest
Friend Class TreeUtilsTest
internal ref class TreeUtilsTest
type TreeUtilsTest =  class end

The TreeUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | TreeUtilsTest | Initializes a new instance of the TreeUtilsTest class
Top
Methods
 | Name | Description
Public method | CreateTree |
Public method | Transform |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Functions Namespace


TreeUtilsTest Constructor

Initializes a new instance of the TreeUtilsTest class

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TreeUtilsTest()
Public Sub New
public:
TreeUtilsTest()
new : unit -> TreeUtilsTest
See Also

Reference

TreeUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


TreeUtilsTest Methods

The TreeUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | CreateTree |
Public method | Transform |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

TreeUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


TreeUtilsTest.CreateTree Method

TreeUtilsTestCreateTree Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.TreeUtilsTest.CreateTree"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void CreateTree()
Public Sub CreateTree
public:
void CreateTree()
member CreateTree : unit -> unit
See Also

Reference

TreeUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


TreeUtilsTest.Transform Method

TreeUtilsTestTransform Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Functions.TreeUtilsTest.Transform"]

Namespace: ZKWebStandard.Tests.Functions
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Transform()
Public Sub Transform
public:
void Transform()
member Transform : unit -> unit
See Also

Reference

TreeUtilsTest Class
ZKWebStandard.Tests.Functions Namespace


ZKWebStandard.Tests.IocContainer Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Tests.IocContainer"]

Classes
 | Class | Description
Protected class | ContainerTest |
Public class | ContainerTestClassService |
Public class | ContainerTestReplaceImplementation |
Public class | ContainerTestSingleExportImplementation |
Public class | ContainerTestSingletonImplementation |
Public class | ContainerTestTestResolveFromConstructor |
Public class | ContainerTestTestResolveFromInjectConstructor |
Public class | ContainerTestTransientImplementation |
Interfaces
 | Interface | Description
Public interface | ContainerTestInterfaceService |


ContainerTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.IocContainerContainerTest

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class ContainerTest
Friend Class ContainerTest
internal ref class ContainerTest
type ContainerTest =  class end

The ContainerTest type exposes the following members.

Constructors
 | Name | Description
Public method | ContainerTest | Initializes a new instance of the ContainerTest class
Top
Methods
 | Name | Description
Public method | Clone |
Public method | Register |
Public method | RegisterDelegate |
Public method | RegisterExports |
Public method | RegisterExportsWithClearExists |
Public method | RegisterInstance |
Public method | RegisterMany |
Public method | RegisterSelf |
Public method | RegisterSingleExport |
Public method | Resolve |
Public method | ResolveFromConstructor |
Public method | ResolveFromInjectConstructor |
Public method | ResolveMany |
Public method | Unregister |
Public method | UnregisterAll |
Public method | UnregisterImplementation |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


ContainerTest Constructor

Initializes a new instance of the ContainerTest class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ContainerTest()
Public Sub New
public:
ContainerTest()
new : unit -> ContainerTest
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest Methods

The ContainerTest type exposes the following members.

Methods
 | Name | Description
Public method | Clone |
Public method | Register |
Public method | RegisterDelegate |
Public method | RegisterExports |
Public method | RegisterExportsWithClearExists |
Public method | RegisterInstance |
Public method | RegisterMany |
Public method | RegisterSelf |
Public method | RegisterSingleExport |
Public method | Resolve |
Public method | ResolveFromConstructor |
Public method | ResolveFromInjectConstructor |
Public method | ResolveMany |
Public method | Unregister |
Public method | UnregisterAll |
Public method | UnregisterImplementation |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.Clone Method

ContainerTestClone Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.Clone"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Clone()
Public Sub Clone
public:
void Clone()
member Clone : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.Register Method

ContainerTestRegister Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.Register"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Register()
Public Sub Register
public:
void Register()
member Register : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.RegisterDelegate Method

ContainerTestRegisterDelegate Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.RegisterDelegate"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterDelegate()
Public Sub RegisterDelegate
public:
void RegisterDelegate()
member RegisterDelegate : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.RegisterExports Method

ContainerTestRegisterExports Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.RegisterExports"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterExports()
Public Sub RegisterExports
public:
void RegisterExports()
member RegisterExports : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.RegisterExportsWithClearExists Method

ContainerTestRegisterExportsWithClearExists Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.RegisterExportsWithClearExists"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterExportsWithClearExists()
Public Sub RegisterExportsWithClearExists
public:
void RegisterExportsWithClearExists()
member RegisterExportsWithClearExists : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.RegisterInstance Method

ContainerTestRegisterInstance Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.RegisterInstance"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterInstance()
Public Sub RegisterInstance
public:
void RegisterInstance()
member RegisterInstance : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.RegisterMany Method

ContainerTestRegisterMany Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.RegisterMany"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterMany()
Public Sub RegisterMany
public:
void RegisterMany()
member RegisterMany : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.RegisterSelf Method

ContainerTestRegisterSelf Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.RegisterSelf"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterSelf()
Public Sub RegisterSelf
public:
void RegisterSelf()
member RegisterSelf : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.RegisterSingleExport Method

ContainerTestRegisterSingleExport Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.RegisterSingleExport"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void RegisterSingleExport()
Public Sub RegisterSingleExport
public:
void RegisterSingleExport()
member RegisterSingleExport : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.Resolve Method

ContainerTestResolve Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.Resolve"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Resolve()
Public Sub Resolve
public:
void Resolve()
member Resolve : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ResolveFromConstructor Method

ContainerTestResolveFromConstructor Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.ResolveFromConstructor"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ResolveFromConstructor()
Public Sub ResolveFromConstructor
public:
void ResolveFromConstructor()
member ResolveFromConstructor : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ResolveFromInjectConstructor Method

ContainerTestResolveFromInjectConstructor Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.ResolveFromInjectConstructor"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ResolveFromInjectConstructor()
Public Sub ResolveFromInjectConstructor
public:
void ResolveFromInjectConstructor()
member ResolveFromInjectConstructor : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ResolveMany Method

ContainerTestResolveMany Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.ResolveMany"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ResolveMany()
Public Sub ResolveMany
public:
void ResolveMany()
member ResolveMany : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.Unregister Method

ContainerTestUnregister Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.Unregister"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Unregister()
Public Sub Unregister
public:
void Unregister()
member Unregister : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.UnregisterAll Method

ContainerTestUnregisterAll Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.UnregisterAll"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void UnregisterAll()
Public Sub UnregisterAll
public:
void UnregisterAll()
member UnregisterAll : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.UnregisterImplementation Method

ContainerTestUnregisterImplementation Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.UnregisterImplementation"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void UnregisterImplementation()
Public Sub UnregisterImplementation
public:
void UnregisterImplementation()
member UnregisterImplementation : unit -> unit
See Also

Reference

ContainerTest Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ClassService Class

ContainerTestClassService Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest.ClassService"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.IocContainerContainerTestClassService
ZKWebStandard.Tests.IocContainerContainerTestReplaceImplementation
ZKWebStandard.Tests.IocContainerContainerTestSingleExportImplementation
ZKWebStandard.Tests.IocContainerContainerTestSingletonImplementation
ZKWebStandard.Tests.IocContainerContainerTestTransientImplementation

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class ClassService
Public MustInherit Class ClassService
public ref class ClassService abstract
[<AbstractClassAttribute>]
type ClassService =  class end

The ContainerTestClassService type exposes the following members.

Constructors
 | Name | Description
Protected method | ContainerTestClassService | Initializes a new instance of the ContainerTestClassService class
Top
Methods
 | Name | Description
Public method | GetName |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ClassService Constructor

ContainerTestClassService Constructor

Initializes a new instance of the ContainerTestClassService class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected ClassService()
Protected Sub New
protected:
ClassService()
new : unit -> ClassService
See Also

Reference

ContainerTestClassService Class
ZKWebStandard.Tests.IocContainer Namespace


ClassService Methods

The ContainerTestClassService type exposes the following members.

Methods
 | Name | Description
Public method | GetName |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerTestClassService Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ClassService.GetName Method

ContainerTestClassServiceGetName Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.ClassService.GetName"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract string GetName()
Public MustOverride Function GetName As String
public:
virtual String^ GetName() abstract
abstract GetName : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.ClassService.GetName"]

See Also

Reference

ContainerTestClassService Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.InterfaceService Interface

ContainerTestInterfaceService Interface

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest.InterfaceService"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface InterfaceService
Public Interface InterfaceService
public interface class InterfaceService
type InterfaceService =  interface end

The ContainerTestInterfaceService type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


InterfaceService Properties

The ContainerTestInterfaceService type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ContainerTestInterfaceService Interface
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.InterfaceService.Name Property

ContainerTestInterfaceServiceName Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.IocContainer.ContainerTest.InterfaceService.Name"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Name { get; }
ReadOnly Property Name As String
    Get
property String^ Name {
    String^ get ();
}
abstract Name : string with get

Property Value

Type: String
See Also

Reference

ContainerTestInterfaceService Interface
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ReplaceImplementation Class

ContainerTestReplaceImplementation Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest.ReplaceImplementation"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.IocContainerContainerTestClassService
ZKWebStandard.Tests.IocContainerContainerTestReplaceImplementation

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class ReplaceImplementation : ContainerTestClassService,
    ContainerTestInterfaceService
Public Class ReplaceImplementation
    Inherits ContainerTestClassService
    Implements ContainerTestInterfaceService
public ref class ReplaceImplementation : public ContainerTestClassService,
    ContainerTestInterfaceService
type ReplaceImplementation =
    class
        inherit ContainerTestClassService
        interface ContainerTestInterfaceService
    end

The ContainerTestReplaceImplementation type exposes the following members.

Constructors
 | Name | Description
Public method | ContainerTestReplaceImplementation | Initializes a new instance of the ContainerTestReplaceImplementation class
Top
Properties
 | Name | Description
Public property | Name |
Top
Methods
 | Name | Description
Public method | GetName | (Overrides ContainerTestClassServiceGetName.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ReplaceImplementation Constructor

ContainerTestReplaceImplementation Constructor

Initializes a new instance of the ContainerTestReplaceImplementation class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ReplaceImplementation()
Public Sub New
public:
ReplaceImplementation()
new : unit -> ReplaceImplementation
See Also

Reference

ContainerTestReplaceImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ReplaceImplementation Properties

The ContainerTestReplaceImplementation type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ContainerTestReplaceImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ReplaceImplementation.Name Property

ContainerTestReplaceImplementationName Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.IocContainer.ContainerTest.ReplaceImplementation.Name"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ContainerTestInterfaceServiceName
See Also

Reference

ContainerTestReplaceImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ReplaceImplementation Methods

The ContainerTestReplaceImplementation type exposes the following members.

Methods
 | Name | Description
Public method | GetName | (Overrides ContainerTestClassServiceGetName.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerTestReplaceImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.ReplaceImplementation.GetName Method

ContainerTestReplaceImplementationGetName Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.ReplaceImplementation.GetName"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string GetName()
Public Overrides Function GetName As String
public:
virtual String^ GetName() override
abstract GetName : unit -> string
override GetName : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.ReplaceImplementation.GetName"]

See Also

Reference

ContainerTestReplaceImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.SingleExportImplementation Class

ContainerTestSingleExportImplementation Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest.SingleExportImplementation"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.IocContainerContainerTestClassService
ZKWebStandard.Tests.IocContainerContainerTestSingleExportImplementation

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class SingleExportImplementation : ContainerTestClassService,
    ContainerTestInterfaceService
Public Class SingleExportImplementation
    Inherits ContainerTestClassService
    Implements ContainerTestInterfaceService
public ref class SingleExportImplementation : public ContainerTestClassService,
    ContainerTestInterfaceService
type SingleExportImplementation =
    class
        inherit ContainerTestClassService
        interface ContainerTestInterfaceService
    end

The ContainerTestSingleExportImplementation type exposes the following members.

Constructors
 | Name | Description
Public method | ContainerTestSingleExportImplementation | Initializes a new instance of the ContainerTestSingleExportImplementation class
Top
Properties
 | Name | Description
Public property | Name |
Top
Methods
 | Name | Description
Public method | GetName | (Overrides ContainerTestClassServiceGetName.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.SingleExportImplementation Constructor

ContainerTestSingleExportImplementation Constructor

Initializes a new instance of the ContainerTestSingleExportImplementation class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public SingleExportImplementation()
Public Sub New
public:
SingleExportImplementation()
new : unit -> SingleExportImplementation
See Also

Reference

ContainerTestSingleExportImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


SingleExportImplementation Properties

The ContainerTestSingleExportImplementation type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ContainerTestSingleExportImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.SingleExportImplementation.Name Property

ContainerTestSingleExportImplementationName Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.IocContainer.ContainerTest.SingleExportImplementation.Name"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ContainerTestInterfaceServiceName
See Also

Reference

ContainerTestSingleExportImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


SingleExportImplementation Methods

The ContainerTestSingleExportImplementation type exposes the following members.

Methods
 | Name | Description
Public method | GetName | (Overrides ContainerTestClassServiceGetName.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerTestSingleExportImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.SingleExportImplementation.GetName Method

ContainerTestSingleExportImplementationGetName Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.SingleExportImplementation.GetName"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string GetName()
Public Overrides Function GetName As String
public:
virtual String^ GetName() override
abstract GetName : unit -> string
override GetName : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.SingleExportImplementation.GetName"]

See Also

Reference

ContainerTestSingleExportImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.SingletonImplementation Class

ContainerTestSingletonImplementation Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest.SingletonImplementation"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.IocContainerContainerTestClassService
ZKWebStandard.Tests.IocContainerContainerTestSingletonImplementation

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class SingletonImplementation : ContainerTestClassService,
    ContainerTestInterfaceService
Public Class SingletonImplementation
    Inherits ContainerTestClassService
    Implements ContainerTestInterfaceService
public ref class SingletonImplementation : public ContainerTestClassService,
    ContainerTestInterfaceService
type SingletonImplementation =
    class
        inherit ContainerTestClassService
        interface ContainerTestInterfaceService
    end

The ContainerTestSingletonImplementation type exposes the following members.

Constructors
 | Name | Description
Public method | ContainerTestSingletonImplementation | Initializes a new instance of the ContainerTestSingletonImplementation class
Top
Properties
 | Name | Description
Public property | Name |
Top
Methods
 | Name | Description
Public method | GetName | (Overrides ContainerTestClassServiceGetName.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.SingletonImplementation Constructor

ContainerTestSingletonImplementation Constructor

Initializes a new instance of the ContainerTestSingletonImplementation class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public SingletonImplementation()
Public Sub New
public:
SingletonImplementation()
new : unit -> SingletonImplementation
See Also

Reference

ContainerTestSingletonImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


SingletonImplementation Properties

The ContainerTestSingletonImplementation type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ContainerTestSingletonImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.SingletonImplementation.Name Property

ContainerTestSingletonImplementationName Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.IocContainer.ContainerTest.SingletonImplementation.Name"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ContainerTestInterfaceServiceName
See Also

Reference

ContainerTestSingletonImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


SingletonImplementation Methods

The ContainerTestSingletonImplementation type exposes the following members.

Methods
 | Name | Description
Public method | GetName | (Overrides ContainerTestClassServiceGetName.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerTestSingletonImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.SingletonImplementation.GetName Method

ContainerTestSingletonImplementationGetName Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.SingletonImplementation.GetName"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string GetName()
Public Overrides Function GetName As String
public:
virtual String^ GetName() override
abstract GetName : unit -> string
override GetName : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.SingletonImplementation.GetName"]

See Also

Reference

ContainerTestSingletonImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TestResolveFromConstructor Class

ContainerTestTestResolveFromConstructor Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromConstructor"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.IocContainerContainerTestTestResolveFromConstructor

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestResolveFromConstructor
Public Class TestResolveFromConstructor
public ref class TestResolveFromConstructor
type TestResolveFromConstructor =  class end

The ContainerTestTestResolveFromConstructor type exposes the following members.

Constructors
 | Name | Description
Public method | ContainerTestTestResolveFromConstructor | Initializes a new instance of the ContainerTestTestResolveFromConstructor class
Top
Properties
 | Name | Description
Public property | ClassServices |
Public property | InterfaceService |
Public property | TestResolveFailed |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TestResolveFromConstructor Constructor

ContainerTestTestResolveFromConstructor Constructor

Initializes a new instance of the ContainerTestTestResolveFromConstructor class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestResolveFromConstructor(
    IEnumerable<ContainerTestClassService> classServices,
    ContainerTestInterfaceService interfaceService,
    bool testResolveFailed
)
Public Sub New (
    classServices As IEnumerable(Of ContainerTestClassService),
    interfaceService As ContainerTestInterfaceService,
    testResolveFailed As Boolean
)
public:
TestResolveFromConstructor(
    IEnumerable<ContainerTestClassService^>^ classServices,
    ContainerTestInterfaceService^ interfaceService,
    bool testResolveFailed
)
new :
        classServices : IEnumerable<ContainerTestClassService> *
        interfaceService : ContainerTestInterfaceService *
        testResolveFailed : bool -> TestResolveFromConstructor

Parameters

classServices
Type: System.Collections.GenericIEnumerable ContainerTestClassService

[Missing <param name="classServices"/> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromConstructor.#ctor(System.Collections.Generic.IEnumerable{ZKWebStandard.Tests.IocContainer.ContainerTest.ClassService},ZKWebStandard.Tests.IocContainer.ContainerTest.InterfaceService,System.Boolean)"]

interfaceService
Type: ZKWebStandard.Tests.IocContainerContainerTestInterfaceService

[Missing <param name="interfaceService"/> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromConstructor.#ctor(System.Collections.Generic.IEnumerable{ZKWebStandard.Tests.IocContainer.ContainerTest.ClassService},ZKWebStandard.Tests.IocContainer.ContainerTest.InterfaceService,System.Boolean)"]

testResolveFailed
Type: SystemBoolean

[Missing <param name="testResolveFailed"/> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromConstructor.#ctor(System.Collections.Generic.IEnumerable{ZKWebStandard.Tests.IocContainer.ContainerTest.ClassService},ZKWebStandard.Tests.IocContainer.ContainerTest.InterfaceService,System.Boolean)"]

See Also

Reference

ContainerTestTestResolveFromConstructor Class
ZKWebStandard.Tests.IocContainer Namespace


TestResolveFromConstructor Properties

The ContainerTestTestResolveFromConstructor type exposes the following members.

Properties
 | Name | Description
Public property | ClassServices |
Public property | InterfaceService |
Public property | TestResolveFailed |
Top
See Also

Reference

ContainerTestTestResolveFromConstructor Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TestResolveFromConstructor.ClassServices Property

ContainerTestTestResolveFromConstructorClassServices Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromConstructor.ClassServices"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IEnumerable<ContainerTestClassService> ClassServices { get; set; }
Public Property ClassServices As IEnumerable(Of ContainerTestClassService)
    Get
    Set
public:
property IEnumerable<ContainerTestClassService^>^ ClassServices {
    IEnumerable<ContainerTestClassService^>^ get ();
    void set (IEnumerable<ContainerTestClassService^>^ value);
}
member ClassServices : IEnumerable<ContainerTestClassService> with get, set

Property Value

Type: IEnumerable ContainerTestClassService
See Also

Reference

ContainerTestTestResolveFromConstructor Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TestResolveFromConstructor.InterfaceService Property

ContainerTestTestResolveFromConstructorInterfaceService Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromConstructor.InterfaceService"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public ContainerTestInterfaceService InterfaceService { get; set; }
Public Property InterfaceService As ContainerTestInterfaceService
    Get
    Set
public:
property ContainerTestInterfaceService^ InterfaceService {
    ContainerTestInterfaceService^ get ();
    void set (ContainerTestInterfaceService^ value);
}
member InterfaceService : ContainerTestInterfaceService with get, set

Property Value

Type: ContainerTestInterfaceService
See Also

Reference

ContainerTestTestResolveFromConstructor Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TestResolveFromConstructor.TestResolveFailed Property

ContainerTestTestResolveFromConstructorTestResolveFailed Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromConstructor.TestResolveFailed"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<bool> TestResolveFailed { get; set; }
Public Property TestResolveFailed As Nullable(Of Boolean)
    Get
    Set
public:
property Nullable<bool> TestResolveFailed {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
member TestResolveFailed : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

ContainerTestTestResolveFromConstructor Class
ZKWebStandard.Tests.IocContainer Namespace


TestResolveFromConstructor Methods

The ContainerTestTestResolveFromConstructor type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerTestTestResolveFromConstructor Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TestResolveFromInjectConstructor Class

ContainerTestTestResolveFromInjectConstructor Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromInjectConstructor"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.IocContainerContainerTestTestResolveFromInjectConstructor

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TestResolveFromInjectConstructor
Public Class TestResolveFromInjectConstructor
public ref class TestResolveFromInjectConstructor
type TestResolveFromInjectConstructor =  class end

The ContainerTestTestResolveFromInjectConstructor type exposes the following members.

Constructors
 | Name | Description
Public method | ContainerTestTestResolveFromInjectConstructor(Int32) | Initializes a new instance of the ContainerTestTestResolveFromInjectConstructor class
Public method | ContainerTestTestResolveFromInjectConstructor(String) | Initializes a new instance of the ContainerTestTestResolveFromInjectConstructor class
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


TestResolveFromInjectConstructor Constructor

Overload List
 | Name | Description
Public method | ContainerTestTestResolveFromInjectConstructor(Int32) | Initializes a new instance of the ContainerTestTestResolveFromInjectConstructor class
Public method | ContainerTestTestResolveFromInjectConstructor(String) | Initializes a new instance of the ContainerTestTestResolveFromInjectConstructor class
Top
See Also

Reference

ContainerTestTestResolveFromInjectConstructor Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TestResolveFromInjectConstructor Constructor (Int32)

ContainerTestTestResolveFromInjectConstructor Constructor (Int32)
Initializes a new instance of the ContainerTestTestResolveFromInjectConstructor class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestResolveFromInjectConstructor(
    int a
)
Public Sub New (
    a As Integer
)
public:
TestResolveFromInjectConstructor(
    int a
)
new :
        a : int -> TestResolveFromInjectConstructor

Parameters

a
Type: SystemInt32

[Missing <param name="a"/> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromInjectConstructor.#ctor(System.Int32)"]

See Also

Reference

ContainerTestTestResolveFromInjectConstructor Class
ContainerTestTestResolveFromInjectConstructor Overload
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TestResolveFromInjectConstructor Constructor (String)

ContainerTestTestResolveFromInjectConstructor Constructor (String)
Initializes a new instance of the ContainerTestTestResolveFromInjectConstructor class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TestResolveFromInjectConstructor(
    string b
)
Public Sub New (
    b As String
)
public:
TestResolveFromInjectConstructor(
    String^ b
)
new :
        b : string -> TestResolveFromInjectConstructor

Parameters

b
Type: SystemString

[Missing <param name="b"/> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.TestResolveFromInjectConstructor.#ctor(System.String)"]

See Also

Reference

ContainerTestTestResolveFromInjectConstructor Class
ContainerTestTestResolveFromInjectConstructor Overload
ZKWebStandard.Tests.IocContainer Namespace


TestResolveFromInjectConstructor Methods

The ContainerTestTestResolveFromInjectConstructor type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerTestTestResolveFromInjectConstructor Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TransientImplementation Class

ContainerTestTransientImplementation Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.IocContainer.ContainerTest.TransientImplementation"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.IocContainerContainerTestClassService
ZKWebStandard.Tests.IocContainerContainerTestTransientImplementation

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class TransientImplementation : ContainerTestClassService,
    ContainerTestInterfaceService
Public Class TransientImplementation
    Inherits ContainerTestClassService
    Implements ContainerTestInterfaceService
public ref class TransientImplementation : public ContainerTestClassService,
    ContainerTestInterfaceService
type TransientImplementation =
    class
        inherit ContainerTestClassService
        interface ContainerTestInterfaceService
    end

The ContainerTestTransientImplementation type exposes the following members.

Constructors
 | Name | Description
Public method | ContainerTestTransientImplementation | Initializes a new instance of the ContainerTestTransientImplementation class
Top
Properties
 | Name | Description
Public property | Name |
Top
Methods
 | Name | Description
Public method | GetName | (Overrides ContainerTestClassServiceGetName.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TransientImplementation Constructor

ContainerTestTransientImplementation Constructor

Initializes a new instance of the ContainerTestTransientImplementation class

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public TransientImplementation()
Public Sub New
public:
TransientImplementation()
new : unit -> TransientImplementation
See Also

Reference

ContainerTestTransientImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


TransientImplementation Properties

The ContainerTestTransientImplementation type exposes the following members.

Properties
 | Name | Description
Public property | Name |
Top
See Also

Reference

ContainerTestTransientImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TransientImplementation.Name Property

ContainerTestTransientImplementationName Property

[Missing <summary> documentation for "P:ZKWebStandard.Tests.IocContainer.ContainerTest.TransientImplementation.Name"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Name { get; }
Public ReadOnly Property Name As String
    Get
public:
virtual property String^ Name {
    String^ get () sealed;
}
abstract Name : string with get
override Name : string with get

Property Value

Type: String

Implements

ContainerTestInterfaceServiceName
See Also

Reference

ContainerTestTransientImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


TransientImplementation Methods

The ContainerTestTransientImplementation type exposes the following members.

Methods
 | Name | Description
Public method | GetName | (Overrides ContainerTestClassServiceGetName.)
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ContainerTestTransientImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ContainerTest.TransientImplementation.GetName Method

ContainerTestTransientImplementationGetName Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.TransientImplementation.GetName"]

Namespace: ZKWebStandard.Tests.IocContainer
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public override string GetName()
Public Overrides Function GetName As String
public:
virtual String^ GetName() override
abstract GetName : unit -> string
override GetName : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Tests.IocContainer.ContainerTest.TransientImplementation.GetName"]

See Also

Reference

ContainerTestTransientImplementation Class
ZKWebStandard.Tests.IocContainer Namespace


ZKWebStandard.Tests.Utils Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Tests.Utils"]

Classes
 | Class | Description
Protected class | GuidUtilsTest |
Protected class | HttpUtilsTest |
Protected class | MimeUtilsTest |
Protected class | NetworkUtilsTest |
Protected class | PlatformUtilsTest |


GuidUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Utils.GuidUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.UtilsGuidUtilsTest

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class GuidUtilsTest
Friend Class GuidUtilsTest
internal ref class GuidUtilsTest
type GuidUtilsTest =  class end

The GuidUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | GuidUtilsTest | Initializes a new instance of the GuidUtilsTest class
Top
Methods
 | Name | Description
Public method | SecureSequentialGuid |
Public method | SequentialGuid |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Utils Namespace


GuidUtilsTest Constructor

Initializes a new instance of the GuidUtilsTest class

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public GuidUtilsTest()
Public Sub New
public:
GuidUtilsTest()
new : unit -> GuidUtilsTest
See Also

Reference

GuidUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


GuidUtilsTest Methods

The GuidUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | SecureSequentialGuid |
Public method | SequentialGuid |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

GuidUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


GuidUtilsTest.SecureSequentialGuid Method

GuidUtilsTestSecureSequentialGuid Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.GuidUtilsTest.SecureSequentialGuid"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SecureSequentialGuid()
Public Sub SecureSequentialGuid
public:
void SecureSequentialGuid()
member SecureSequentialGuid : unit -> unit
See Also

Reference

GuidUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


GuidUtilsTest.SequentialGuid Method

GuidUtilsTestSequentialGuid Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.GuidUtilsTest.SequentialGuid"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SequentialGuid()
Public Sub SequentialGuid
public:
void SequentialGuid()
member SequentialGuid : unit -> unit
See Also

Reference

GuidUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Utils.HttpUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.UtilsHttpUtilsTest

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class HttpUtilsTest
Friend Class HttpUtilsTest
internal ref class HttpUtilsTest
type HttpUtilsTest =  class end

The HttpUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | HttpUtilsTest | Initializes a new instance of the HttpUtilsTest class
Top
Methods
 | Name | Description
Public method | BuildQueryString |
Public method | HtmlDecode |
Public method | HtmlEncode |
Public method | ParseQueryString |
Public method | SplitPathAndQuery |
Public method | UrlDecode |
Public method | UrlEncode |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest Constructor

Initializes a new instance of the HttpUtilsTest class

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpUtilsTest()
Public Sub New
public:
HttpUtilsTest()
new : unit -> HttpUtilsTest
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest Methods

The HttpUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | BuildQueryString |
Public method | HtmlDecode |
Public method | HtmlEncode |
Public method | ParseQueryString |
Public method | SplitPathAndQuery |
Public method | UrlDecode |
Public method | UrlEncode |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest.BuildQueryString Method

HttpUtilsTestBuildQueryString Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.HttpUtilsTest.BuildQueryString"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void BuildQueryString()
Public Sub BuildQueryString
public:
void BuildQueryString()
member BuildQueryString : unit -> unit
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest.HtmlDecode Method

HttpUtilsTestHtmlDecode Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.HttpUtilsTest.HtmlDecode"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HtmlDecode()
Public Sub HtmlDecode
public:
void HtmlDecode()
member HtmlDecode : unit -> unit
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest.HtmlEncode Method

HttpUtilsTestHtmlEncode Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.HttpUtilsTest.HtmlEncode"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void HtmlEncode()
Public Sub HtmlEncode
public:
void HtmlEncode()
member HtmlEncode : unit -> unit
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest.ParseQueryString Method

HttpUtilsTestParseQueryString Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.HttpUtilsTest.ParseQueryString"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void ParseQueryString()
Public Sub ParseQueryString
public:
void ParseQueryString()
member ParseQueryString : unit -> unit
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest.SplitPathAndQuery Method

HttpUtilsTestSplitPathAndQuery Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.HttpUtilsTest.SplitPathAndQuery"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void SplitPathAndQuery()
Public Sub SplitPathAndQuery
public:
void SplitPathAndQuery()
member SplitPathAndQuery : unit -> unit
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest.UrlDecode Method

HttpUtilsTestUrlDecode Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.HttpUtilsTest.UrlDecode"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void UrlDecode()
Public Sub UrlDecode
public:
void UrlDecode()
member UrlDecode : unit -> unit
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


HttpUtilsTest.UrlEncode Method

HttpUtilsTestUrlEncode Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.HttpUtilsTest.UrlEncode"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void UrlEncode()
Public Sub UrlEncode
public:
void UrlEncode()
member UrlEncode : unit -> unit
See Also

Reference

HttpUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


MimeUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Utils.MimeUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.UtilsMimeUtilsTest

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class MimeUtilsTest
Friend Class MimeUtilsTest
internal ref class MimeUtilsTest
type MimeUtilsTest =  class end

The MimeUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | MimeUtilsTest | Initializes a new instance of the MimeUtilsTest class
Top
Methods
 | Name | Description
Public method | GetMimeType |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Utils Namespace


MimeUtilsTest Constructor

Initializes a new instance of the MimeUtilsTest class

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public MimeUtilsTest()
Public Sub New
public:
MimeUtilsTest()
new : unit -> MimeUtilsTest
See Also

Reference

MimeUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


MimeUtilsTest Methods

The MimeUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetMimeType |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

MimeUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


MimeUtilsTest.GetMimeType Method

MimeUtilsTestGetMimeType Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.MimeUtilsTest.GetMimeType"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetMimeType()
Public Sub GetMimeType
public:
void GetMimeType()
member GetMimeType : unit -> unit
See Also

Reference

MimeUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


NetworkUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Utils.NetworkUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.UtilsNetworkUtilsTest

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class NetworkUtilsTest
Friend Class NetworkUtilsTest
internal ref class NetworkUtilsTest
type NetworkUtilsTest =  class end

The NetworkUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | NetworkUtilsTest | Initializes a new instance of the NetworkUtilsTest class
Top
Methods
 | Name | Description
Public method | GetClientIpAddress |
Public method | GetHostIpAddress |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Utils Namespace


NetworkUtilsTest Constructor

Initializes a new instance of the NetworkUtilsTest class

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public NetworkUtilsTest()
Public Sub New
public:
NetworkUtilsTest()
new : unit -> NetworkUtilsTest
See Also

Reference

NetworkUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


NetworkUtilsTest Methods

The NetworkUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | GetClientIpAddress |
Public method | GetHostIpAddress |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

NetworkUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


NetworkUtilsTest.GetClientIpAddress Method

NetworkUtilsTestGetClientIpAddress Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.NetworkUtilsTest.GetClientIpAddress"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetClientIpAddress()
Public Sub GetClientIpAddress
public:
void GetClientIpAddress()
member GetClientIpAddress : unit -> unit
See Also

Reference

NetworkUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


NetworkUtilsTest.GetHostIpAddress Method

NetworkUtilsTestGetHostIpAddress Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.NetworkUtilsTest.GetHostIpAddress"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void GetHostIpAddress()
Public Sub GetHostIpAddress
public:
void GetHostIpAddress()
member GetHostIpAddress : unit -> unit
See Also

Reference

NetworkUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


PlatformUtilsTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Utils.PlatformUtilsTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.UtilsPlatformUtilsTest

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class PlatformUtilsTest
Friend Class PlatformUtilsTest
internal ref class PlatformUtilsTest
type PlatformUtilsTest =  class end

The PlatformUtilsTest type exposes the following members.

Constructors
 | Name | Description
Public method | PlatformUtilsTest | Initializes a new instance of the PlatformUtilsTest class
Top
Methods
 | Name | Description
Public method | Check |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Utils Namespace


PlatformUtilsTest Constructor

Initializes a new instance of the PlatformUtilsTest class

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PlatformUtilsTest()
Public Sub New
public:
PlatformUtilsTest()
new : unit -> PlatformUtilsTest
See Also

Reference

PlatformUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


PlatformUtilsTest Methods

The PlatformUtilsTest type exposes the following members.

Methods
 | Name | Description
Public method | Check |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PlatformUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


PlatformUtilsTest.Check Method

PlatformUtilsTestCheck Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Utils.PlatformUtilsTest.Check"]

Namespace: ZKWebStandard.Tests.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void Check()
Public Sub Check
public:
void Check()
member Check : unit -> unit
See Also

Reference

PlatformUtilsTest Class
ZKWebStandard.Tests.Utils Namespace


ZKWebStandard.Tests.Web Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Tests.Web"]

Classes
 | Class | Description
Protected class | HttpManagerTest |


HttpManagerTest Class

[Missing <summary> documentation for "T:ZKWebStandard.Tests.Web.HttpManagerTest"]

Inheritance Hierarchy
SystemObject
ZKWebStandard.Tests.WebHttpManagerTest

Namespace: ZKWebStandard.Tests.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
internal class HttpManagerTest
Friend Class HttpManagerTest
internal ref class HttpManagerTest
type HttpManagerTest =  class end

The HttpManagerTest type exposes the following members.

Constructors
 | Name | Description
Public method | HttpManagerTest | Initializes a new instance of the HttpManagerTest class
Top
Methods
 | Name | Description
Public method | OverrideContext |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Tests.Web Namespace


HttpManagerTest Constructor

Initializes a new instance of the HttpManagerTest class

Namespace: ZKWebStandard.Tests.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpManagerTest()
Public Sub New
public:
HttpManagerTest()
new : unit -> HttpManagerTest
See Also

Reference

HttpManagerTest Class
ZKWebStandard.Tests.Web Namespace


HttpManagerTest Methods

The HttpManagerTest type exposes the following members.

Methods
 | Name | Description
Public method | OverrideContext |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HttpManagerTest Class
ZKWebStandard.Tests.Web Namespace


HttpManagerTest.OverrideContext Method

HttpManagerTestOverrideContext Method

[Missing <summary> documentation for "M:ZKWebStandard.Tests.Web.HttpManagerTest.OverrideContext"]

Namespace: ZKWebStandard.Tests.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public void OverrideContext()
Public Sub OverrideContext
public:
void OverrideContext()
member OverrideContext : unit -> unit
See Also

Reference

HttpManagerTest Class
ZKWebStandard.Tests.Web Namespace


ZKWebStandard.Utils Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Utils"]

Classes
 | Class | Description
Public class | ExpressionUtils | Expression utility functions Linq表达式的工具函数
Public class | FileUtils | File utility functions 文件的工具函数
Public class | GuidUtils | Guid utility functions Guid的工具函数
Public class | HttpUtils | Http utility functions Http的工具函数
Public class | LocaleUtils | Locale utility functions 语言时区的工具函数
Public class | MimeUtils | Mime utility functions Mime类型的工具函数
Public class | NetworkUtils | Network utility functions 网络的工具函数
 | PasswordInfo | Password information 密码信息
Public class | PasswordUtils | Password utility functions 密码的工具函数
Public class | PathUtils | Path utility functions 路径的工具函数
Public class | PlatformUtils | Platform utility functions 平台的工具函数
Public class | RandomUtils | Random utility functions 随机的工具函数
Public class | ReflectionUtils | Reflection utility functions 反射的工具函数
Public class | RegexUtils | Regex utility functions 正则表达式的工具函数
Public class | RegexUtilsExpressions | Expressions 正则表达式
Public class | RegexUtilsValidators | Regex objects 正则对象
Public class | SystemUtils | System utility functions 系统的工具函数
Public class | TreeUtils | Tree utility functions 树的工具函数
Interfaces
 | Interface | Description
Public interface | ITreeNodeT | Interface for tree node 树节点的接口
Enumerations
 | Enumeration | Description
Public enumeration | PasswordHashType | Password hash type 密码的校验类型


ExpressionUtils Class
Expression utility functions
Linq表达式的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsExpressionUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ExpressionUtils
Public NotInheritable Class ExpressionUtils
public ref class ExpressionUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ExpressionUtils =  class end

The ExpressionUtils type exposes the following members.

Methods
Name | Description
MakeMemberEqualiventExpressionTData | Make lambda expression that compare member to the given object Perform "data => data.{memberName} == {equalsTo}" 生成比较成员和指定对象是否相等的表达式 生成 "data => data.{memberName} == {equalsTo}"
Top
See Also

Reference

ZKWebStandard.Utils Namespace


ExpressionUtils Methods

The ExpressionUtils type exposes the following members.

Methods
Name | Description
MakeMemberEqualiventExpressionTData | Make lambda expression that compare member to the given object Perform "data => data.{memberName} == {equalsTo}" 生成比较成员和指定对象是否相等的表达式 生成 "data => data.{memberName} == {equalsTo}"
Top
See Also

Reference

ExpressionUtils Class
ZKWebStandard.Utils Namespace


ExpressionUtils.MakeMemberEqualiventExpression(TData) Method

ExpressionUtilsMakeMemberEqualiventExpressionTData Method

Make lambda expression that compare member to the given object
Perform "data => data.{memberName} == {equalsTo}"
生成比较成员和指定对象是否相等的表达式
生成 "data => data.{memberName} == {equalsTo}"

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Expression<Func<TData, bool>> MakeMemberEqualiventExpression<TData>(
    string memberName,
    Object equalsTo
)

Public Shared Function MakeMemberEqualiventExpression(Of TData) (
    memberName As String,
    equalsTo As Object
) As Expression(Of Func(Of TData, Boolean))
public:
generic<typename TData>
static Expression<Func<TData, bool>^>^ MakeMemberEqualiventExpression(
    String^ memberName,
    Object^ equalsTo
)
static member MakeMemberEqualiventExpression :
        memberName : string *
        equalsTo : Object -> Expression<Func<'TData, bool>>

Parameters

memberName
Type: SystemString
Member name
equalsTo
Type: SystemObject
Compare to

Type Parameters

TData
Data type

Return Value

Type: Expression Func TData, Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Utils.ExpressionUtils.MakeMemberEqualiventExpression``1(System.String,System.Object)"]

Examples
C#
Copy
var expression = ExpressionUtils.MakeMemberEqualiventExpression<ICollection<int>>("Count", 3);
var method = expression.Compile();
See Also

Reference

ExpressionUtils Class
ZKWebStandard.Utils Namespace


FileUtils Class
File utility functions
文件的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsFileUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class FileUtils
Public NotInheritable Class FileUtils
public ref class FileUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type FileUtils =  class end

The FileUtils type exposes the following members.

Methods
Name | Description
GetSizeDisplayName | Get display name for bytes 获取字节的表示名称 Eg: 123KB, 123MB, 123GB
Top
See Also

Reference

ZKWebStandard.Utils Namespace


FileUtils Methods

The FileUtils type exposes the following members.

Methods
Name | Description
GetSizeDisplayName | Get display name for bytes 获取字节的表示名称 Eg: 123KB, 123MB, 123GB
Top
See Also

Reference

FileUtils Class
ZKWebStandard.Utils Namespace


FileUtils.GetSizeDisplayName Method

FileUtilsGetSizeDisplayName Method

Get display name for bytes
获取字节的表示名称
Eg: 123KB, 123MB, 123GB

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string GetSizeDisplayName(
    long bytes
)
Public Shared Function GetSizeDisplayName (
    bytes As Long
) As String
public:
static String^ GetSizeDisplayName(
    long long bytes
)
static member GetSizeDisplayName :
        bytes : int64 -> string

Parameters

bytes
Type: SystemInt64
bytes

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.FileUtils.GetSizeDisplayName(System.Int64)"]

Examples
C#
Copy
FileUtils.GetSizeDisplayName(0) == "0Bytes"
FileUtils.GetSizeDisplayName(1023) == "1023Bytes"
FileUtils.GetSizeDisplayName(1024) == "1KB"
FileUtils.GetSizeDisplayName((int)(1024 * 1.5M)) == "1.5KB"
FileUtils.GetSizeDisplayName(1048576) == "1MB"
FileUtils.GetSizeDisplayName((int)(1048576 * 1.5M)) == "1.5MB"
FileUtils.GetSizeDisplayName(1073741824) == "1GB"
FileUtils.GetSizeDisplayName((int)(1073741824 * 1.5M)) == "1.5GB"
See Also

Reference

FileUtils Class
ZKWebStandard.Utils Namespace


GuidUtils Class
Guid utility functions
Guid的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsGuidUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class GuidUtils
Public NotInheritable Class GuidUtils
public ref class GuidUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type GuidUtils =  class end

The GuidUtils type exposes the following members.

Methods
Name | Description
SecureSequentialGuid | Generate a sequential guid from the specific time It use secure random bytes for clock sequence and mac address usually use to generate a more secure guid like session id 根据指定时间生成序列GUID 它使用了安全的随机值代替时钟序列和MAC地址 通常用于生成更安全的Guid值, 例如会话Id
SequentialGuid | Generate a sequential guid from the specific time It use random bytes for clock sequence and mac address 根据指定时间生成序列GUID 它使用了随机值代替时钟序列和MAC地址
Top
See Also

Reference

ZKWebStandard.Utils Namespace


GuidUtils Methods

The GuidUtils type exposes the following members.

Methods
Name | Description
SecureSequentialGuid | Generate a sequential guid from the specific time It use secure random bytes for clock sequence and mac address usually use to generate a more secure guid like session id 根据指定时间生成序列GUID 它使用了安全的随机值代替时钟序列和MAC地址 通常用于生成更安全的Guid值, 例如会话Id
SequentialGuid | Generate a sequential guid from the specific time It use random bytes for clock sequence and mac address 根据指定时间生成序列GUID 它使用了随机值代替时钟序列和MAC地址
Top
See Also

Reference

GuidUtils Class
ZKWebStandard.Utils Namespace


GuidUtils.SecureSequentialGuid Method

GuidUtilsSecureSequentialGuid Method

Generate a sequential guid from the specific time
It use secure random bytes for clock sequence and mac address
usually use to generate a more secure guid like session id
根据指定时间生成序列GUID
它使用了安全的随机值代替时钟序列和MAC地址
通常用于生成更安全的Guid值, 例如会话Id

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Guid SecureSequentialGuid(
    DateTime time
)
Public Shared Function SecureSequentialGuid (
    time As DateTime
) As Guid
public:
static Guid SecureSequentialGuid(
    DateTime time
)
static member SecureSequentialGuid :
        time : DateTime -> Guid

Parameters

time
Type: SystemDateTime
The time

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWebStandard.Utils.GuidUtils.SecureSequentialGuid(System.DateTime)"]

Examples
C#
Copy
var guid = GuidUtils.SecureSequentialGuid(new DateTime(2016, 8, 8));
See Also

Reference

GuidUtils Class
ZKWebStandard.Utils Namespace


GuidUtils.SequentialGuid Method

GuidUtilsSequentialGuid Method

Generate a sequential guid from the specific time
It use random bytes for clock sequence and mac address
根据指定时间生成序列GUID
它使用了随机值代替时钟序列和MAC地址

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Guid SequentialGuid(
    DateTime time
)
Public Shared Function SequentialGuid (
    time As DateTime
) As Guid
public:
static Guid SequentialGuid(
    DateTime time
)
static member SequentialGuid :
        time : DateTime -> Guid

Parameters

time
Type: SystemDateTime
The time

Return Value

Type: Guid

[Missing <returns> documentation for "M:ZKWebStandard.Utils.GuidUtils.SequentialGuid(System.DateTime)"]

Examples
C#
Copy
var guid = GuidUtils.SequentialGuid(new DateTime(2016, 8, 8));
See Also

Reference

GuidUtils Class
ZKWebStandard.Utils Namespace


HttpUtils Class
Http utility functions
Http的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsHttpUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class HttpUtils
Public NotInheritable Class HttpUtils
public ref class HttpUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type HttpUtils =  class end

The HttpUtils type exposes the following members.

Methods
Name | Description
BuildQueryString | Build query string 构建查询字符串
HtmlDecode | Html decode 从Html解码
HtmlEncode | Html encode 编码到Html
ParseQueryString | Parse query string 解析查询字符串
SplitPathAndQuery | Split path and query string 分割路径和查询字符串
UrlDecode | Url decode 从Url解码
UrlEncode | Url encode 编码到Url
Top
See Also

Reference

ZKWebStandard.Utils Namespace


HttpUtils Methods

The HttpUtils type exposes the following members.

Methods
Name | Description
BuildQueryString | Build query string 构建查询字符串
HtmlDecode | Html decode 从Html解码
HtmlEncode | Html encode 编码到Html
ParseQueryString | Parse query string 解析查询字符串
SplitPathAndQuery | Split path and query string 分割路径和查询字符串
UrlDecode | Url decode 从Url解码
UrlEncode | Url encode 编码到Url
Top
See Also

Reference

HttpUtils Class
ZKWebStandard.Utils Namespace


HttpUtils.BuildQueryString Method

HttpUtilsBuildQueryString Method

Build query string
构建查询字符串

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string BuildQueryString(
    IDictionary<string, IList<string>> queryParams
)
Public Shared Function BuildQueryString (
    queryParams As IDictionary(Of String, IList(Of String))
) As String
public:
static String^ BuildQueryString(
    IDictionary<String^, IList<String^>^>^ queryParams
)
static member BuildQueryString :
        queryParams : IDictionary<string, IList<string>> -> string

Parameters

queryParams
Type: System.Collections.GenericIDictionary String, IList String
Query arguments

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.HttpUtils.BuildQueryString(System.Collections.Generic.IDictionary{System.String,System.Collections.Generic.IList{System.String}})"]

Examples
C#
Copy
var query = new Dictionary<string, IList<string>>();
query["name"] = new[] { "john", "harold" };
query["age"] = new[] { "50&51" };
// result == "name=john&name=harold&age=50%2651"
See Also

Reference

HttpUtils Class
ZKWebStandard.Utils Namespace


HttpUtils.HtmlDecode Method

HttpUtilsHtmlDecode Method

Html decode
从Html解码

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string HtmlDecode(
    string value
)
Public Shared Function HtmlDecode (
    value As String
) As String
public:
static String^ HtmlDecode(
    String^ value
)
static member HtmlDecode :
        value : string -> string

Parameters

value
Type: SystemString
Original value

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.HttpUtils.HtmlDecode(System.String)"]

Examples
C#
Copy
HttpUtils.HtmlDecode("asd&#39;&quot;&lt;&gt;"), "asd'\"<>"
See Also

Reference

HttpUtils Class
ZKWebStandard.Utils Namespace


HttpUtils.HtmlEncode Method

HttpUtilsHtmlEncode Method

Html encode
编码到Html

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string HtmlEncode(
    Object value
)
Public Shared Function HtmlEncode (
    value As Object
) As String
public:
static String^ HtmlEncode(
    Object^ value
)
static member HtmlEncode :
        value : Object -> string

Parameters

value
Type: SystemObject
Original value

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.HttpUtils.HtmlEncode(System.Object)"]

Examples
C#
Copy
HttpUtils.HtmlEncode("asd'\"<>") == "asd&#39;&quot;&lt;&gt;"
See Also

Reference

HttpUtils Class
ZKWebStandard.Utils Namespace


HttpUtils.ParseQueryString Method

HttpUtilsParseQueryString Method

Parse query string
解析查询字符串

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IDictionary<string, IList<string>> ParseQueryString(
    string queryString
)
Public Shared Function ParseQueryString (
    queryString As String
) As IDictionary(Of String, IList(Of String))
public:
static IDictionary<String^, IList<String^>^>^ ParseQueryString(
    String^ queryString
)
static member ParseQueryString :
        queryString : string -> IDictionary<string, IList<string>>

Parameters

queryString
Type: SystemString
Query string

Return Value

Type: IDictionary String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.HttpUtils.ParseQueryString(System.String)"]

Examples
C#
Copy
var result = HttpUtils.ParseQueryString("a=1&b=2&key=%27%26%5E%25%3Dabc");
result.Count == 3
result["a"].Count == 1
result["a"][0] == "1"
result["b"].Count == 1
result["b"][0] == "2"
result["key"].Count == 1
result["key"][0] == "'&^%=abc"
See Also

Reference

HttpUtils Class
ZKWebStandard.Utils Namespace


HttpUtils.SplitPathAndQuery Method

HttpUtilsSplitPathAndQuery Method

Split path and query string
分割路径和查询字符串

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void SplitPathAndQuery(
    string pathAndQuery,
    out string path,
    out string queryString
)
Public Shared Sub SplitPathAndQuery (
    pathAndQuery As String,
    <OutAttribute> ByRef path As String,
    <OutAttribute> ByRef queryString As String
)
public:
static void SplitPathAndQuery(
    String^ pathAndQuery,
    [OutAttribute] String^% path,
    [OutAttribute] String^% queryString
)
static member SplitPathAndQuery :
        pathAndQuery : string *
        path : string byref *
        queryString : string byref -> unit

Parameters

pathAndQuery
Type: SystemString
Path an query string
path
Type: SystemString
Path
queryString
Type: SystemString
Query string
Examples
C#
Copy
string path;
string query;
HttpUtils.SplitPathAndQuery("test", out path, out query);
// path == "test"
// query == ""

HttpUtils.SplitPathAndQuery("test?a=1&b=2", out path, out query);
// path == "test"
// query == "?a=1&b=2"
See Also

Reference

HttpUtils Class
ZKWebStandard.Utils Namespace


HttpUtils.UrlDecode Method

HttpUtilsUrlDecode Method

Url decode
从Url解码

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string UrlDecode(
    string value
)
Public Shared Function UrlDecode (
    value As String
) As String
public:
static String^ UrlDecode(
    String^ value
)
static member UrlDecode :
        value : string -> string

Parameters

value
Type: SystemString
Original value

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.HttpUtils.UrlDecode(System.String)"]

Examples
C#
Copy
HttpUtils.UrlDecode("%27%26%5E%25%3Dabc") == "'&^%=abc"
See Also

Reference

HttpUtils Class
ZKWebStandard.Utils Namespace


HttpUtils.UrlEncode Method

HttpUtilsUrlEncode Method

Url encode
编码到Url

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string UrlEncode(
    Object value
)
Public Shared Function UrlEncode (
    value As Object
) As String
public:
static String^ UrlEncode(
    Object^ value
)
static member UrlEncode :
        value : Object -> string

Parameters

value
Type: SystemObject
Original value

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.HttpUtils.UrlEncode(System.Object)"]

Examples
C#
Copy
HttpUtils.UrlEncode("'&^%=abc") == "%27%26%5E%25%3Dabc"
See Also

Reference

HttpUtils Class
ZKWebStandard.Utils Namespace


ITreeNode(T) Interface

ITreeNodeT Interface
Interface for tree node
树节点的接口

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface ITreeNode<T>

Public Interface ITreeNode(Of T)
generic<typename T>
public interface class ITreeNode
type ITreeNode<'T> =  interface end

Type Parameters

T

[Missing <typeparam name="T"/> documentation for "T:ZKWebStandard.Utils.ITreeNode`1"]

The ITreeNodeT type exposes the following members.

Properties
 | Name | Description
Public property | Childs | Child nodes 子节点列表
Public property | Parent | Parent node, maybe null 上级节点, 可能是null
Public property | Value | Value 值
Top
Methods
 | Name | Description
Public method | AddChildNode | Add child node, throw exception if failed 添加子节点, 失败时抛出例外
Public method | RemoveChildNode | Remove child node, do nothing if not found 删除子节点, 不存在时忽略
Top
Extension Methods
 | Name | Description
Public Extension Method | EnumerateAllNodesT | Enumerate all nodes From top to bottom 枚举所有节点 (DFS) 从上到下 (DFS) (Defined by ITreeNodeExtensions.)
Public Extension Method | GetParentsT | Get all parent nodes From bottom to top, return empty sequences if node is root 获取所有上级节点 从下到上, 返回空列表如果节点是根节点 (Defined by ITreeNodeExtensions.)
Public Extension Method | VisitAllNodesT | Visit all nodes recursively From top to bottom (DFS) 递归访问所有节点 从上到下 (DFS) (Defined by ITreeNodeExtensions.)
Top
See Also

Reference

ZKWebStandard.Utils Namespace


ITreeNode(T) Properties

ITreeNodeT Properties

The ITreeNodeT generic type exposes the following members.

Properties
 | Name | Description
Public property | Childs | Child nodes 子节点列表
Public property | Parent | Parent node, maybe null 上级节点, 可能是null
Public property | Value | Value 值
Top
See Also

Reference

ITreeNodeT Interface
ZKWebStandard.Utils Namespace


ITreeNode(T).Childs Property

ITreeNodeTChilds Property

Child nodes
子节点列表

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<ITreeNode<T>> Childs { get; }
ReadOnly Property Childs As IEnumerable(Of ITreeNode(Of T))
    Get
property IEnumerable<ITreeNode<T>^>^ Childs {
    IEnumerable<ITreeNode<T>^>^ get ();
}
abstract Childs : IEnumerable<ITreeNode<'T>> with get

Property Value

Type: IEnumerable ITreeNode T
See Also

Reference

ITreeNodeT Interface
ZKWebStandard.Utils Namespace


ITreeNode(T).Parent Property

ITreeNodeTParent Property

Parent node, maybe null
上级节点, 可能是null

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
ITreeNode<T> Parent { get; set; }
Property Parent As ITreeNode(Of T)
    Get
    Set
property ITreeNode<T>^ Parent {
    ITreeNode<T>^ get ();
    void set (ITreeNode<T>^ value);
}
abstract Parent : ITreeNode<'T> with get, set

Property Value

Type: ITreeNode T
See Also

Reference

ITreeNodeT Interface
ZKWebStandard.Utils Namespace


ITreeNode(T).Value Property

ITreeNodeTValue Property

Value
值

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
T Value { get; set; }
Property Value As T
    Get
    Set
property T Value {
    T get ();
    void set (T value);
}
abstract Value : 'T with get, set

Property Value

Type: T
See Also

Reference

ITreeNodeT Interface
ZKWebStandard.Utils Namespace


ITreeNode(T) Methods

ITreeNodeT Methods

The ITreeNodeT generic type exposes the following members.

Methods
 | Name | Description
Public method | AddChildNode | Add child node, throw exception if failed 添加子节点, 失败时抛出例外
Public method | RemoveChildNode | Remove child node, do nothing if not found 删除子节点, 不存在时忽略
Top
Extension Methods
 | Name | Description
Public Extension Method | EnumerateAllNodesT | Enumerate all nodes From top to bottom 枚举所有节点 (DFS) 从上到下 (DFS) (Defined by ITreeNodeExtensions.)
Public Extension Method | GetParentsT | Get all parent nodes From bottom to top, return empty sequences if node is root 获取所有上级节点 从下到上, 返回空列表如果节点是根节点 (Defined by ITreeNodeExtensions.)
Public Extension Method | VisitAllNodesT | Visit all nodes recursively From top to bottom (DFS) 递归访问所有节点 从上到下 (DFS) (Defined by ITreeNodeExtensions.)
Top
See Also

Reference

ITreeNodeT Interface
ZKWebStandard.Utils Namespace


ITreeNode(T).AddChildNode Method

ITreeNodeTAddChildNode Method

Add child node, throw exception if failed
添加子节点, 失败时抛出例外

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void AddChildNode(
    ITreeNode<T> node
)
Sub AddChildNode (
    node As ITreeNode(Of T)
)
void AddChildNode(
    ITreeNode<T>^ node
)
abstract AddChildNode :
        node : ITreeNode<'T> -> unit

Parameters

node
Type: ZKWebStandard.UtilsITreeNode T
Node to add
See Also

Reference

ITreeNodeT Interface
ZKWebStandard.Utils Namespace


ITreeNode(T).RemoveChildNode Method

ITreeNodeTRemoveChildNode Method

Remove child node, do nothing if not found
删除子节点, 不存在时忽略

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void RemoveChildNode(
    ITreeNode<T> node
)
Sub RemoveChildNode (
    node As ITreeNode(Of T)
)
void RemoveChildNode(
    ITreeNode<T>^ node
)
abstract RemoveChildNode :
        node : ITreeNode<'T> -> unit

Parameters

node
Type: ZKWebStandard.UtilsITreeNode T
Node to remove
See Also

Reference

ITreeNodeT Interface
ZKWebStandard.Utils Namespace


LocaleUtils Class
Locale utility functions
语言时区的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsLocaleUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class LocaleUtils
Public NotInheritable Class LocaleUtils
public ref class LocaleUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type LocaleUtils =  class end

The LocaleUtils type exposes the following members.

Methods
Name | Description
GetCultureInfo | Get culture information Return null if not found 获取地区信息 找不到时返回null
GetTimezoneInfo | Get timezone information Support use windows timezone name on linux, or use linux timezone name on windows Return null if not found 获取时区信息 支持在Linux上使用Windows时区名称, 或在Windows上使用Linux时区名称 找不到时返回null
SetThreadLanguage | Set using languange code, return true for success 设置使用的语言代码, 成功时返回true
SetThreadLanguageAutomatic | Automatic set using language name, return true for success Flow - Use language code from cookie - Use accept languages from client, if allowed - Use default language 自动设置使用的语言, 成功时返回true 流程 - 使用Cookie指定的语言 - 如果允许则使用客户端Accept-Language指定的语言 - 使用默认语言
SetThreadTimezone | Set using timezone, return true for success 设置使用的时区, 成功时返回true
SetThreadTimezoneAutomatic | Automatic set using timezone, return true for success Flow - Use timezone name from cookies - Use default timezone 自动设置时区, 成功时返回true 流程 - 使用Cookie指定的时区 - 使用默认时区
Top
Fields
Name | Description
LanguageKey | The key for store using language code 储存语言代码使用的键
TimeZoneKey | The key for store using timezone 储存时区使用的键
Top
See Also

Reference

ZKWebStandard.Utils Namespace


LocaleUtils Methods

The LocaleUtils type exposes the following members.

Methods
Name | Description
GetCultureInfo | Get culture information Return null if not found 获取地区信息 找不到时返回null
GetTimezoneInfo | Get timezone information Support use windows timezone name on linux, or use linux timezone name on windows Return null if not found 获取时区信息 支持在Linux上使用Windows时区名称, 或在Windows上使用Linux时区名称 找不到时返回null
SetThreadLanguage | Set using languange code, return true for success 设置使用的语言代码, 成功时返回true
SetThreadLanguageAutomatic | Automatic set using language name, return true for success Flow - Use language code from cookie - Use accept languages from client, if allowed - Use default language 自动设置使用的语言, 成功时返回true 流程 - 使用Cookie指定的语言 - 如果允许则使用客户端Accept-Language指定的语言 - 使用默认语言
SetThreadTimezone | Set using timezone, return true for success 设置使用的时区, 成功时返回true
SetThreadTimezoneAutomatic | Automatic set using timezone, return true for success Flow - Use timezone name from cookies - Use default timezone 自动设置时区, 成功时返回true 流程 - 使用Cookie指定的时区 - 使用默认时区
Top
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils.GetCultureInfo Method

LocaleUtilsGetCultureInfo Method

Get culture information
Return null if not found
获取地区信息
找不到时返回null

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static CultureInfo GetCultureInfo(
    string language
)
Public Shared Function GetCultureInfo (
    language As String
) As CultureInfo
public:
static CultureInfo^ GetCultureInfo(
    String^ language
)
static member GetCultureInfo :
        language : string -> CultureInfo

Parameters

language
Type: SystemString
Language code

Return Value

Type: CultureInfo

[Missing <returns> documentation for "M:ZKWebStandard.Utils.LocaleUtils.GetCultureInfo(System.String)"]

Examples
C#
Copy
var cluture = LocaleUtils.GetCultureInfo("zh-CN");
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils.GetTimezoneInfo Method

LocaleUtilsGetTimezoneInfo Method

Get timezone information
Support use windows timezone name on linux, or use linux timezone name on windows
Return null if not found
获取时区信息
支持在Linux上使用Windows时区名称, 或在Windows上使用Linux时区名称
找不到时返回null

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TimeZoneInfo GetTimezoneInfo(
    string timezone
)
Public Shared Function GetTimezoneInfo (
    timezone As String
) As TimeZoneInfo
public:
static TimeZoneInfo^ GetTimezoneInfo(
    String^ timezone
)
static member GetTimezoneInfo :
        timezone : string -> TimeZoneInfo

Parameters

timezone
Type: SystemString
Timezone name

Return Value

Type: TimeZoneInfo

[Missing <returns> documentation for "M:ZKWebStandard.Utils.LocaleUtils.GetTimezoneInfo(System.String)"]

Examples
C#
Copy
var timezone = LocaleUtils.GetTimezoneInfo("America/New_York");
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils.SetThreadLanguage Method

LocaleUtilsSetThreadLanguage Method

Set using languange code, return true for success
设置使用的语言代码, 成功时返回true

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool SetThreadLanguage(
    string language
)
Public Shared Function SetThreadLanguage (
    language As String
) As Boolean
public:
static bool SetThreadLanguage(
    String^ language
)
static member SetThreadLanguage :
        language : string -> bool

Parameters

language
Type: SystemString
Language code

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Utils.LocaleUtils.SetThreadLanguage(System.String)"]

Examples
C#
Copy
LocaleUtils.SetThreadLanguage("zh-CN");
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils.SetThreadLanguageAutomatic Method

LocaleUtilsSetThreadLanguageAutomatic Method

Automatic set using language name, return true for success
Flow
- Use language code from cookie
- Use accept languages from client, if allowed
- Use default language
自动设置使用的语言, 成功时返回true
流程
- 使用Cookie指定的语言
- 如果允许则使用客户端Accept-Language指定的语言
- 使用默认语言

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool SetThreadLanguageAutomatic(
    bool allowDetectLanguageFromBrowser,
    string defaultLanguage
)
Public Shared Function SetThreadLanguageAutomatic (
    allowDetectLanguageFromBrowser As Boolean,
    defaultLanguage As String
) As Boolean
public:
static bool SetThreadLanguageAutomatic(
    bool allowDetectLanguageFromBrowser,
    String^ defaultLanguage
)
static member SetThreadLanguageAutomatic :
        allowDetectLanguageFromBrowser : bool *
        defaultLanguage : string -> bool

Parameters

allowDetectLanguageFromBrowser
Type: SystemBoolean
Allow use accept languages from client
defaultLanguage
Type: SystemString
Default language

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Utils.LocaleUtils.SetThreadLanguageAutomatic(System.Boolean,System.String)"]

Examples
C#
Copy
LocaleUtils.SetThreadLanguageAutomatic(true, "zh-CN");
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils.SetThreadTimezone Method

LocaleUtilsSetThreadTimezone Method

Set using timezone, return true for success
设置使用的时区, 成功时返回true

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool SetThreadTimezone(
    string timezone
)
Public Shared Function SetThreadTimezone (
    timezone As String
) As Boolean
public:
static bool SetThreadTimezone(
    String^ timezone
)
static member SetThreadTimezone :
        timezone : string -> bool

Parameters

timezone
Type: SystemString
Timezone name

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Utils.LocaleUtils.SetThreadTimezone(System.String)"]

Examples
C#
Copy
LocaleUtils.SetThreadTimezone("America/New_York");
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils.SetThreadTimezoneAutomatic Method

LocaleUtilsSetThreadTimezoneAutomatic Method

Automatic set using timezone, return true for success
Flow
- Use timezone name from cookies
- Use default timezone
自动设置时区, 成功时返回true
流程
- 使用Cookie指定的时区
- 使用默认时区

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool SetThreadTimezoneAutomatic(
    string defaultTimezone
)
Public Shared Function SetThreadTimezoneAutomatic (
    defaultTimezone As String
) As Boolean
public:
static bool SetThreadTimezoneAutomatic(
    String^ defaultTimezone
)
static member SetThreadTimezoneAutomatic :
        defaultTimezone : string -> bool

Parameters

defaultTimezone
Type: SystemString
Default timezone

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Utils.LocaleUtils.SetThreadTimezoneAutomatic(System.String)"]

Examples
C#
Copy
LocaleUtils.SetThreadTimezoneAutomatic("America/New_York");
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils Fields

The LocaleUtils type exposes the following members.

Fields
Name | Description
LanguageKey | The key for store using language code 储存语言代码使用的键
TimeZoneKey | The key for store using timezone 储存时区使用的键
Top
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils.LanguageKey Field

LocaleUtilsLanguageKey Field
The key for store using language code
储存语言代码使用的键

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string LanguageKey = "ZKWeb.Language"
Public Const LanguageKey As String = "ZKWeb.Language"
public:
literal String^ LanguageKey = "ZKWeb.Language"
static val mutable LanguageKey: string

Field Value

Type: String
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


LocaleUtils.TimeZoneKey Field

LocaleUtilsTimeZoneKey Field
The key for store using timezone
储存时区使用的键

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string TimeZoneKey = "ZKWeb.TimeZone"
Public Const TimeZoneKey As String = "ZKWeb.TimeZone"
public:
literal String^ TimeZoneKey = "ZKWeb.TimeZone"
static val mutable TimeZoneKey: string

Field Value

Type: String
See Also

Reference

LocaleUtils Class
ZKWebStandard.Utils Namespace


MimeUtils Class
Mime utility functions
Mime类型的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsMimeUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class MimeUtils
Public NotInheritable Class MimeUtils
public ref class MimeUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type MimeUtils =  class end

The MimeUtils type exposes the following members.

Methods
Name | Description
GetMimeType | Get mime type from file extension 根据文件后缀获取Mime类型
Top
Fields
Name | Description
MimeMapping | Mime mapping Mime类型
Top
See Also

Reference

ZKWebStandard.Utils Namespace


MimeUtils Methods

The MimeUtils type exposes the following members.

Methods
Name | Description
GetMimeType | Get mime type from file extension 根据文件后缀获取Mime类型
Top
See Also

Reference

MimeUtils Class
ZKWebStandard.Utils Namespace


MimeUtils.GetMimeType Method

MimeUtilsGetMimeType Method

Get mime type from file extension
根据文件后缀获取Mime类型

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string GetMimeType(
    string filename
)
Public Shared Function GetMimeType (
    filename As String
) As String
public:
static String^ GetMimeType(
    String^ filename
)
static member GetMimeType :
        filename : string -> string

Parameters

filename
Type: SystemString
File name

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.MimeUtils.GetMimeType(System.String)"]

Examples
C#
Copy
MimeUtils.GetMimeType("1.html") == "text/html"
MimeUtils.GetMimeType("1.vbs") == "text/vbscript"
See Also

Reference

MimeUtils Class
ZKWebStandard.Utils Namespace


MimeUtils Fields

The MimeUtils type exposes the following members.

Fields
Name | Description
MimeMapping | Mime mapping Mime类型
Top
See Also

Reference

MimeUtils Class
ZKWebStandard.Utils Namespace


MimeUtils.MimeMapping Field

MimeUtilsMimeMapping Field
Mime mapping
Mime类型

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static readonly IDictionary<string, string> MimeMapping
Public Shared ReadOnly MimeMapping As IDictionary(Of String, String)
public:
static initonly IDictionary<String^, String^>^ MimeMapping
static val MimeMapping: IDictionary<string, string>

Field Value

Type: IDictionary String, String
See Also

Reference

MimeUtils Class
ZKWebStandard.Utils Namespace


NetworkUtils Class
Network utility functions
网络的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsNetworkUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class NetworkUtils
Public NotInheritable Class NetworkUtils
public ref class NetworkUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type NetworkUtils =  class end

The NetworkUtils type exposes the following members.

Methods
Name | Description
GetClientIpAddress | Get client ip address If there a http request then return the remote address otherwise return host ip address 获取客户端的IP地址 如果当前有Http连接则返回远程的IP地址 否则返回本机地址
GetHostIpAddress | Get host ip address Notice if host is in LAN then this function will return lan ip not public ip address 获取本机IP地址 注意如果本机在局域网中这个函数会返回局域网IP, 而不是公网IP
Top
See Also

Reference

ZKWebStandard.Utils Namespace


NetworkUtils Methods

The NetworkUtils type exposes the following members.

Methods
Name | Description
GetClientIpAddress | Get client ip address If there a http request then return the remote address otherwise return host ip address 获取客户端的IP地址 如果当前有Http连接则返回远程的IP地址 否则返回本机地址
GetHostIpAddress | Get host ip address Notice if host is in LAN then this function will return lan ip not public ip address 获取本机IP地址 注意如果本机在局域网中这个函数会返回局域网IP, 而不是公网IP
Top
See Also

Reference

NetworkUtils Class
ZKWebStandard.Utils Namespace


NetworkUtils.GetClientIpAddress Method

NetworkUtilsGetClientIpAddress Method

Get client ip address
If there a http request then return the remote address
otherwise return host ip address
获取客户端的IP地址
如果当前有Http连接则返回远程的IP地址
否则返回本机地址

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IPAddress GetClientIpAddress()
Public Shared Function GetClientIpAddress As IPAddress
public:
static IPAddress^ GetClientIpAddress()
static member GetClientIpAddress : unit -> IPAddress

Return Value

Type: IPAddress

[Missing <returns> documentation for "M:ZKWebStandard.Utils.NetworkUtils.GetClientIpAddress"]

Examples
C#
Copy
var address = NetworkUtils.GetClientIpAddress();
See Also

Reference

NetworkUtils Class
ZKWebStandard.Utils Namespace


NetworkUtils.GetHostIpAddress Method

NetworkUtilsGetHostIpAddress Method

Get host ip address
Notice if host is in LAN then this function will return lan ip not public ip address
获取本机IP地址
注意如果本机在局域网中这个函数会返回局域网IP, 而不是公网IP

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IPAddress GetHostIpAddress()
Public Shared Function GetHostIpAddress As IPAddress
public:
static IPAddress^ GetHostIpAddress()
static member GetHostIpAddress : unit -> IPAddress

Return Value

Type: IPAddress

[Missing <returns> documentation for "M:ZKWebStandard.Utils.NetworkUtils.GetHostIpAddress"]

Examples
C#
Copy
var address = NetworkUtils.GetHostIpAddress();
See Also

Reference

NetworkUtils Class
ZKWebStandard.Utils Namespace


PasswordHashType Enumeration
Password hash type
密码的校验类型

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public enum PasswordHashType
Public Enumeration PasswordHashType
public enum class PasswordHashType
type PasswordHashType
Members
Member name | Value | Description
PBKDF2 | 0 | PBKDF2
Md5 | 1 | Md5
Sha1 | 2 | Sha1
See Also

Reference

ZKWebStandard.Utils Namespace


PasswordInfo Class
Password information
密码信息
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsPasswordInfo

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class PasswordInfo
Public Class PasswordInfo
public ref class PasswordInfo
type PasswordInfo =  class end

The PasswordInfo type exposes the following members.

Constructors
 | Name | Description
Public method | PasswordInfo | Initializes a new instance of the PasswordInfo class
Top
Properties
 | Name | Description
Public property | Hash | Hash in base64 base64格式的校验值
Public property | Slat | Slat in base64 base64格式的盐
Public property | Type | Password type 密码类型
Top
Methods
 | Name | Description
Public method | Check | Check password, return true for success 检查密码, 成功时返回true
 | FromPassword | Create password information from password 根据密码创建密码信息
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
Examples
C#
Copy
var info = PasswordInfo.FromPassword("123456");
info.Check("12345") == false
info.Check("123456") == true
See Also

Reference

ZKWebStandard.Utils Namespace


PasswordInfo Constructor

Initializes a new instance of the PasswordInfo class

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PasswordInfo()
Public Sub New
public:
PasswordInfo()
new : unit -> PasswordInfo
See Also

Reference

PasswordInfo Class
ZKWebStandard.Utils Namespace


PasswordInfo Properties

The PasswordInfo type exposes the following members.

Properties
 | Name | Description
Public property | Hash | Hash in base64 base64格式的校验值
Public property | Slat | Slat in base64 base64格式的盐
Public property | Type | Password type 密码类型
Top
See Also

Reference

PasswordInfo Class
ZKWebStandard.Utils Namespace


PasswordInfo.Hash Property

PasswordInfoHash Property

Hash in base64 base64格式的校验值

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Hash { get; set; }
Public Property Hash As String
    Get
    Set
public:
property String^ Hash {
    String^ get ();
    void set (String^ value);
}
member Hash : string with get, set

Property Value

Type: String
See Also

Reference

PasswordInfo Class
ZKWebStandard.Utils Namespace


PasswordInfo.Slat Property

PasswordInfoSlat Property

Slat in base64
base64格式的盐

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string Slat { get; set; }
Public Property Slat As String
    Get
    Set
public:
property String^ Slat {
    String^ get ();
    void set (String^ value);
}
member Slat : string with get, set

Property Value

Type: String
See Also

Reference

PasswordInfo Class
ZKWebStandard.Utils Namespace


PasswordInfo.Type Property

PasswordInfoType Property

Password type
密码类型

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public PasswordHashType Type { get; set; }
Public Property Type As PasswordHashType
    Get
    Set
public:
property PasswordHashType Type {
    PasswordHashType get ();
    void set (PasswordHashType value);
}
member Type : PasswordHashType with get, set

Property Value

Type: PasswordHashType
See Also

Reference

PasswordInfo Class
ZKWebStandard.Utils Namespace


PasswordInfo Methods

The PasswordInfo type exposes the following members.

Methods
 | Name | Description
Public method | Check | Check password, return true for success 检查密码, 成功时返回true
 | FromPassword | Create password information from password 根据密码创建密码信息
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

PasswordInfo Class
ZKWebStandard.Utils Namespace


PasswordInfo.Check Method

PasswordInfoCheck Method

Check password, return true for success
检查密码, 成功时返回true

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool Check(
    string password
)
Public Function Check (
    password As String
) As Boolean
public:
bool Check(
    String^ password
)
member Check :
        password : string -> bool

Parameters

password
Type: SystemString
The password

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Utils.PasswordInfo.Check(System.String)"]

See Also

Reference

PasswordInfo Class
ZKWebStandard.Utils Namespace


PasswordInfo.FromPassword Method

PasswordInfoFromPassword Method

Create password information from password
根据密码创建密码信息

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static PasswordInfo FromPassword(
    string password,
    byte[] slat = null,
    PasswordHashType type = PasswordHashType.PBKDF2
)
Public Shared Function FromPassword (
    password As String,
    Optional slat As Byte() = Nothing,
    Optional type As PasswordHashType = PasswordHashType.PBKDF2
) As PasswordInfo
public:
static PasswordInfo^ FromPassword(
    String^ password,
    array<unsigned char>^ slat = nullptr,
    PasswordHashType type = PasswordHashType::PBKDF2
)
static member FromPassword :
        password : string *
        ?slat : byte[] *
        ?type : PasswordHashType
(* Defaults:
        let _slat = defaultArg slat null
        let _type = defaultArg type PasswordHashType.PBKDF2
*)
-> PasswordInfo

Parameters

password
Type: SystemString
The password
slat (Optional)
Type: SystemByte
Slat, use a random value if gived null
type (Optional)
Type: ZKWebStandard.UtilsPasswordHashType
Password type

Return Value

Type: PasswordInfo

[Missing <returns> documentation for "M:ZKWebStandard.Utils.PasswordInfo.FromPassword(System.String,System.Byte[],ZKWebStandard.Utils.PasswordHashType)"]

See Also

Reference

PasswordInfo Class
ZKWebStandard.Utils Namespace


PasswordUtils Class
Password utility functions
密码的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsPasswordUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class PasswordUtils
Public NotInheritable Class PasswordUtils
public ref class PasswordUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type PasswordUtils =  class end

The PasswordUtils type exposes the following members.

Methods
Name | Description
Md5Sum | Get md5 checksum 获取MD5的校验值
PBKDF2Sum | Get PBKDF2 checksum 获取PBKDF2的校验值
Sha1Sum | Get sha1 checksum 获取SHA1的校验值
Top
See Also

Reference

ZKWebStandard.Utils Namespace


PasswordUtils Methods

The PasswordUtils type exposes the following members.

Methods
Name | Description
Md5Sum | Get md5 checksum 获取MD5的校验值
PBKDF2Sum | Get PBKDF2 checksum 获取PBKDF2的校验值
Sha1Sum | Get sha1 checksum 获取SHA1的校验值
Top
See Also

Reference

PasswordUtils Class
ZKWebStandard.Utils Namespace


PasswordUtils.Md5Sum Method

PasswordUtilsMd5Sum Method

Get md5 checksum
获取MD5的校验值

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static byte[] Md5Sum(
    byte[] data
)
Public Shared Function Md5Sum (
    data As Byte()
) As Byte()
public:
static array<unsigned char>^ Md5Sum(
    array<unsigned char>^ data
)
static member Md5Sum :
        data : byte[] -> byte[]

Parameters

data
Type: SystemByte

[Missing <param name="data"/> documentation for "M:ZKWebStandard.Utils.PasswordUtils.Md5Sum(System.Byte[])"]

Return Value

Type: Byte

[Missing <returns> documentation for "M:ZKWebStandard.Utils.PasswordUtils.Md5Sum(System.Byte[])"]

Examples
C#
Copy
var hash = PasswordUtils.Md5Sum(Encoding.UTF8.GetBytes("123456"));
hash.ToHex() == "e10adc3949ba59abbe56e057f20f883e")
See Also

Reference

PasswordUtils Class
ZKWebStandard.Utils Namespace


PasswordUtils.PBKDF2Sum Method

PasswordUtilsPBKDF2Sum Method

Get PBKDF2 checksum
获取PBKDF2的校验值

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static byte[] PBKDF2Sum(
    byte[] data,
    byte[] slat,
    int iterations = 1024,
    int hashLength = 32
)
Public Shared Function PBKDF2Sum (
    data As Byte(),
    slat As Byte(),
    Optional iterations As Integer = 1024,
    Optional hashLength As Integer = 32
) As Byte()
public:
static array<unsigned char>^ PBKDF2Sum(
    array<unsigned char>^ data,
    array<unsigned char>^ slat,
    int iterations = 1024,
    int hashLength = 32
)
static member PBKDF2Sum :
        data : byte[] *
        slat : byte[] *
        ?iterations : int *
        ?hashLength : int
(* Defaults:
        let _iterations = defaultArg iterations 1024
        let _hashLength = defaultArg hashLength 32
*)
-> byte[]

Parameters

data
Type: SystemByte
The data
slat
Type: SystemByte
The slat, length should be 8
iterations (Optional)
Type: SystemInt32
Iteration times
hashLength (Optional)
Type: SystemInt32
Hash length

Return Value

Type: Byte

[Missing <returns> documentation for "M:ZKWebStandard.Utils.PasswordUtils.PBKDF2Sum(System.Byte[],System.Byte[],System.Int32,System.Int32)"]

Examples
C#
Copy
var hash = PasswordUtils.PBKDF2Sum(
    Encoding.UTF8.GetBytes("123456"),
    Encoding.UTF8.GetBytes("12344321"));
hash.ToHex() ==
    "47e00677444b6d16c36d347a4fea584792fb4a50fe93e762c7e1adf4f73e2475"
See Also

Reference

PasswordUtils Class
ZKWebStandard.Utils Namespace


PasswordUtils.Sha1Sum Method

PasswordUtilsSha1Sum Method

Get sha1 checksum
获取SHA1的校验值

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static byte[] Sha1Sum(
    byte[] data
)
Public Shared Function Sha1Sum (
    data As Byte()
) As Byte()
public:
static array<unsigned char>^ Sha1Sum(
    array<unsigned char>^ data
)
static member Sha1Sum :
        data : byte[] -> byte[]

Parameters

data
Type: SystemByte

[Missing <param name="data"/> documentation for "M:ZKWebStandard.Utils.PasswordUtils.Sha1Sum(System.Byte[])"]

Return Value

Type: Byte

[Missing <returns> documentation for "M:ZKWebStandard.Utils.PasswordUtils.Sha1Sum(System.Byte[])"]

Examples
C#
Copy
var hash = PasswordUtils.Sha1Sum(Encoding.UTF8.GetBytes("123456"));
hash.ToHex() == "7c4a8d09ca3762af61e59520943dc26494f8941b"
See Also

Reference

PasswordUtils Class
ZKWebStandard.Utils Namespace


PathUtils Class
Path utility functions
路径的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsPathUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class PathUtils
Public NotInheritable Class PathUtils
public ref class PathUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type PathUtils =  class end

The PathUtils type exposes the following members.

Methods
Name | Description
EnsureParentDirectory | Ensure parent directories are exist 确保路径的上级文件夹存在
SecureCombine | Secure path combining Throw exception if any part contains ".." or other invalid value 安全的合并路径 如果路径中有..或其他不合法的值则抛出例外
Top
See Also

Reference

ZKWebStandard.Utils Namespace


PathUtils Methods

The PathUtils type exposes the following members.

Methods
Name | Description
EnsureParentDirectory | Ensure parent directories are exist 确保路径的上级文件夹存在
SecureCombine | Secure path combining Throw exception if any part contains ".." or other invalid value 安全的合并路径 如果路径中有..或其他不合法的值则抛出例外
Top
See Also

Reference

PathUtils Class
ZKWebStandard.Utils Namespace


PathUtils.EnsureParentDirectory Method

PathUtilsEnsureParentDirectory Method

Ensure parent directories are exist
确保路径的上级文件夹存在

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static void EnsureParentDirectory(
    string path
)
Public Shared Sub EnsureParentDirectory (
    path As String
)
public:
static void EnsureParentDirectory(
    String^ path
)
static member EnsureParentDirectory :
        path : string -> unit

Parameters

path
Type: SystemString
Path
Examples
C#
Copy
PathUtils.EnsureParentDirectory("c:\abc\123.txt");
// will create c:\abc if not exist
See Also

Reference

PathUtils Class
ZKWebStandard.Utils Namespace


PathUtils.SecureCombine Method

PathUtilsSecureCombine Method

Secure path combining
Throw exception if any part contains ".." or other invalid value
安全的合并路径
如果路径中有..或其他不合法的值则抛出例外

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string SecureCombine(
    params string[] paths
)
Public Shared Function SecureCombine (
    ParamArray paths As String()
) As String
public:
static String^ SecureCombine(
    ... array<String^>^ paths
)
static member SecureCombine :
        paths : string[] -> string

Parameters

paths
Type: SystemString
Path parts

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.PathUtils.SecureCombine(System.String[])"]

Examples
C#
Copy
PathUtils.SecureCombine("a", "b", "c") == Path.Combine("a", "b", "c")
PathUtils.SecureCombine("a", "/b", "c") throws exception
PathUtils.SecureCombine("a", "\\b", "c") throws exception
PathUtils.SecureCombine("a", "", "c") throws exception
PathUtils.SecureCombine("a", "..", "c") throws exception
PathUtils.SecureCombine("a/../b", "c") throws exception
See Also

Reference

PathUtils Class
ZKWebStandard.Utils Namespace


PlatformUtils Class
Platform utility functions
平台的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsPlatformUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class PlatformUtils
Public NotInheritable Class PlatformUtils
public ref class PlatformUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type PlatformUtils =  class end

The PlatformUtils type exposes the following members.

Methods
Name | Description
RunningOnUnix | Check is running on linux or mac 判断运行的系统是否Linux或Mac
RunningOnWindows | Check is running on windows 判断运行的系统是否Windows
Top
See Also

Reference

ZKWebStandard.Utils Namespace


PlatformUtils Methods

The PlatformUtils type exposes the following members.

Methods
Name | Description
RunningOnUnix | Check is running on linux or mac 判断运行的系统是否Linux或Mac
RunningOnWindows | Check is running on windows 判断运行的系统是否Windows
Top
See Also

Reference

PlatformUtils Class
ZKWebStandard.Utils Namespace


PlatformUtils.RunningOnUnix Method

PlatformUtilsRunningOnUnix Method

Check is running on linux or mac
判断运行的系统是否Linux或Mac

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool RunningOnUnix()
Public Shared Function RunningOnUnix As Boolean
public:
static bool RunningOnUnix()
static member RunningOnUnix : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Utils.PlatformUtils.RunningOnUnix"]

Examples
C#
Copy
var isOnUnix = PlatformUtils.RunningOnUnix();
See Also

Reference

PlatformUtils Class
ZKWebStandard.Utils Namespace


PlatformUtils.RunningOnWindows Method

PlatformUtilsRunningOnWindows Method

Check is running on windows
判断运行的系统是否Windows

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool RunningOnWindows()
Public Shared Function RunningOnWindows As Boolean
public:
static bool RunningOnWindows()
static member RunningOnWindows : unit -> bool

Return Value

Type: Boolean

[Missing <returns> documentation for "M:ZKWebStandard.Utils.PlatformUtils.RunningOnWindows"]

Examples
C#
Copy
var isOnWindows = PlatformUtils.RunningOnWindows();
See Also

Reference

PlatformUtils Class
ZKWebStandard.Utils Namespace


RandomUtils Class
Random utility functions
随机的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsRandomUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class RandomUtils
Public NotInheritable Class RandomUtils
public ref class RandomUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type RandomUtils =  class end

The RandomUtils type exposes the following members.

Properties
Name | Description
Generator | Random generator 全局使用的随机数生成器
Top
Methods
Name | Description
RandomEnumTEnum | Randonly select a enum value from enum type If enum type is empty, then return 0 从枚举获取随机的值 如果枚举不包含任何值则返回0
RandomInt | Create random integer 获取随机数值
RandomSelectionT | Randomly select a value from collection 从集合获取随机的元素
RandomString | Generate random string in given length 生成指定长度的随机字符串
SystemRandomBytes | Create secure random bytes in given length 获取安全的指定长度的随机内容
SystemRandomInt | Create secure random integer 获取安全的随机数值
Top
See Also

Reference

ZKWebStandard.Utils Namespace


RandomUtils Properties

The RandomUtils type exposes the following members.

Properties
Name | Description
Generator | Random generator 全局使用的随机数生成器
Top
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


RandomUtils.Generator Property

RandomUtilsGenerator Property

Random generator
全局使用的随机数生成器

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Random Generator { get; }
Public Shared ReadOnly Property Generator As Random
    Get
public:
static property Random^ Generator {
    Random^ get ();
}
static member Generator : Random with get

Property Value

Type: Random
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


RandomUtils Methods

The RandomUtils type exposes the following members.

Methods
Name | Description
RandomEnumTEnum | Randonly select a enum value from enum type If enum type is empty, then return 0 从枚举获取随机的值 如果枚举不包含任何值则返回0
RandomInt | Create random integer 获取随机数值
RandomSelectionT | Randomly select a value from collection 从集合获取随机的元素
RandomString | Generate random string in given length 生成指定长度的随机字符串
SystemRandomBytes | Create secure random bytes in given length 获取安全的指定长度的随机内容
SystemRandomInt | Create secure random integer 获取安全的随机数值
Top
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


RandomUtils.RandomEnum(TEnum) Method

RandomUtilsRandomEnumTEnum Method

Randonly select a enum value from enum type
If enum type is empty, then return 0
从枚举获取随机的值
如果枚举不包含任何值则返回0

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static TEnum RandomEnum<TEnum>()
where TEnum : struct, new(), IConvertible

Public Shared Function RandomEnum(Of TEnum As {Structure, New, IConvertible}) As TEnum
public:
generic<typename TEnum>
where TEnum : value class, gcnew(), IConvertible
static TEnum RandomEnum()
static member RandomEnum : unit -> 'TEnum  when 'TEnum : struct, new() and IConvertible

Type Parameters

TEnum
Enum type

Return Value

Type: TEnum

[Missing <returns> documentation for "M:ZKWebStandard.Utils.RandomUtils.RandomEnum``1"]

Examples
C#
Copy
var value = RandomUtils.RandomEnum<TestEnum>();
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


RandomUtils.RandomInt Method

RandomUtilsRandomInt Method

Create random integer
获取随机数值

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static int RandomInt(
    int minValue,
    int maxValue
)
Public Shared Function RandomInt (
    minValue As Integer,
    maxValue As Integer
) As Integer
public:
static int RandomInt(
    int minValue,
    int maxValue
)
static member RandomInt :
        minValue : int *
        maxValue : int -> int

Parameters

minValue
Type: SystemInt32
Min value, inclusive
maxValue
Type: SystemInt32
Max value, exclusive

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Utils.RandomUtils.RandomInt(System.Int32,System.Int32)"]

Examples
C#
Copy
var value = RandomUtils.RandomInt(0, 100);
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


RandomUtils.RandomSelection(T) Method

RandomUtilsRandomSelectionT Method

Randomly select a value from collection
从集合获取随机的元素

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static T RandomSelection<T>(
    IList<T> values
)

Public Shared Function RandomSelection(Of T) (
    values As IList(Of T)
) As T
public:
generic<typename T>
static T RandomSelection(
    IList<T>^ values
)
static member RandomSelection :
        values : IList<'T> -> 'T

Parameters

values
Type: System.Collections.GenericIList T
Values

Type Parameters

T
Type

Return Value

Type: T

[Missing <returns> documentation for "M:ZKWebStandard.Utils.RandomUtils.RandomSelection``1(System.Collections.Generic.IList{``0})"]

Examples
C#
Copy
var selection = RandomUtils.RandomSelection(options);
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


RandomUtils.RandomString Method

RandomUtilsRandomString Method

Generate random string in given length
生成指定长度的随机字符串

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static string RandomString(
    int length,
    string chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789"
)
Public Shared Function RandomString (
    length As Integer,
    Optional chars As String = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789"
) As String
public:
static String^ RandomString(
    int length,
    String^ chars = L"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789"
)
static member RandomString :
        length : int *
        ?chars : string
(* Defaults:
        let _chars = defaultArg chars "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789"
*)
-> string

Parameters

length
Type: SystemInt32
String length
chars (Optional)
Type: SystemString
With chars, default is a-zA-Z0-9

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Utils.RandomUtils.RandomString(System.Int32,System.String)"]

Examples
C#
Copy
var str = RandomUtils.RandomString(20);
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


RandomUtils.SystemRandomBytes Method

RandomUtilsSystemRandomBytes Method

Create secure random bytes in given length
获取安全的指定长度的随机内容

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static byte[] SystemRandomBytes(
    int length
)
Public Shared Function SystemRandomBytes (
    length As Integer
) As Byte()
public:
static array<unsigned char>^ SystemRandomBytes(
    int length
)
static member SystemRandomBytes :
        length : int -> byte[]

Parameters

length
Type: SystemInt32

[Missing <param name="length"/> documentation for "M:ZKWebStandard.Utils.RandomUtils.SystemRandomBytes(System.Int32)"]

Return Value

Type: Byte

[Missing <returns> documentation for "M:ZKWebStandard.Utils.RandomUtils.SystemRandomBytes(System.Int32)"]

Examples
C#
Copy
var bytes = RandomUtils.SystemRandomBytes(20);
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


RandomUtils.SystemRandomInt Method

RandomUtilsSystemRandomInt Method

Create secure random integer
获取安全的随机数值

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static int SystemRandomInt()
Public Shared Function SystemRandomInt As Integer
public:
static int SystemRandomInt()
static member SystemRandomInt : unit -> int

Return Value

Type: Int32

[Missing <returns> documentation for "M:ZKWebStandard.Utils.RandomUtils.SystemRandomInt"]

Examples
C#
Copy
var value = RandomUtils.SystemRandomInt();
See Also

Reference

RandomUtils Class
ZKWebStandard.Utils Namespace


ReflectionUtils Class
Reflection utility functions
反射的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsReflectionUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class ReflectionUtils
Public NotInheritable Class ReflectionUtils
public ref class ReflectionUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type ReflectionUtils =  class end

The ReflectionUtils type exposes the following members.

Methods
Name | Description
GetGenericArguments | Get generic arguments from type 获取类型继承的指定泛型类型的参数
MakeGetterT, M | Make getter for member, member can be non public 获取成员的getter函数, 成员可以是非公开的
MakeSetterT, M | Make setter for member, member can be non public 获取成员的setter函数, 成员可以是非公开的
Top
See Also

Reference

ZKWebStandard.Utils Namespace


ReflectionUtils Methods

The ReflectionUtils type exposes the following members.

Methods
Name | Description
GetGenericArguments | Get generic arguments from type 获取类型继承的指定泛型类型的参数
MakeGetterT, M | Make getter for member, member can be non public 获取成员的getter函数, 成员可以是非公开的
MakeSetterT, M | Make setter for member, member can be non public 获取成员的setter函数, 成员可以是非公开的
Top
See Also

Reference

ReflectionUtils Class
ZKWebStandard.Utils Namespace


ReflectionUtils.GetGenericArguments Method

ReflectionUtilsGetGenericArguments Method

Get generic arguments from type
获取类型继承的指定泛型类型的参数

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Type[] GetGenericArguments(
    Type type,
    Type genericType
)
Public Shared Function GetGenericArguments (
    type As Type,
    genericType As Type
) As Type()
public:
static array<Type^>^ GetGenericArguments(
    Type^ type,
    Type^ genericType
)
static member GetGenericArguments :
        type : Type *
        genericType : Type -> Type[]

Parameters

type
Type: SystemType
The type
genericType
Type: SystemType
The generic type

Return Value

Type: Type

[Missing <returns> documentation for "M:ZKWebStandard.Utils.ReflectionUtils.GetGenericArguments(System.Type,System.Type)"]

Examples
Copy
class MyList : List<int> { }

var args = GetGenericArguments(typeof(MyList), typeof(IList<>)); // [ typeof(int) ]
See Also

Reference

ReflectionUtils Class
ZKWebStandard.Utils Namespace


ReflectionUtils.MakeGetter(T, M) Method

ReflectionUtilsMakeGetterT, M Method

Make getter for member, member can be non public
获取成员的getter函数, 成员可以是非公开的

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Func<T, M> MakeGetter<T, M>(
    string memberName
)

Public Shared Function MakeGetter(Of T, M) (
    memberName As String
) As Func(Of T, M)
public:
generic<typename T, typename M>
static Func<T, M>^ MakeGetter(
    String^ memberName
)
static member MakeGetter :
        memberName : string -> Func<'T, 'M>

Parameters

memberName
Type: SystemString
Member name

Type Parameters

T
Data Type
M
Member Type

Return Value

Type: Func T, M

[Missing <returns> documentation for "M:ZKWebStandard.Utils.ReflectionUtils.MakeGetter``2(System.String)"]

Examples
C#
Copy
class TestData {
    int a;
    public int GetA() { return a; }
    public void SetA(int value) { a = value; }
}

var getter = ReflectionUtils.MakeGetter<TestData, int>("a");
var data = new TestData();
data.SetA(1);
Assert.Equals(getter(data), 1);
See Also

Reference

ReflectionUtils Class
ZKWebStandard.Utils Namespace


ReflectionUtils.MakeSetter(T, M) Method

ReflectionUtilsMakeSetterT, M Method

Make setter for member, member can be non public
获取成员的setter函数, 成员可以是非公开的

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Action<T, M> MakeSetter<T, M>(
    string memberName
)

Public Shared Function MakeSetter(Of T, M) (
    memberName As String
) As Action(Of T, M)
public:
generic<typename T, typename M>
static Action<T, M>^ MakeSetter(
    String^ memberName
)
static member MakeSetter :
        memberName : string -> Action<'T, 'M>

Parameters

memberName
Type: SystemString
Member name

Type Parameters

T
Data Type
M
Member Type

Return Value

Type: Action T, M

[Missing <returns> documentation for "M:ZKWebStandard.Utils.ReflectionUtils.MakeSetter``2(System.String)"]

Examples
C#
Copy
class TestData {
    int a;
    public int GetA() { return a; }
    public void SetA(int value) { a = value; }
}

var setter = ReflectionUtils.MakeSetter<TestData, int>("a");
var data = new TestData();
setter(data, 1);
data.GetA() == 1
See Also

Reference

ReflectionUtils Class
ZKWebStandard.Utils Namespace


RegexUtils Class
Regex utility functions
正则表达式的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsRegexUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class RegexUtils
Public NotInheritable Class RegexUtils
public ref class RegexUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type RegexUtils =  class end
See Also

Reference

ZKWebStandard.Utils Namespace


RegexUtils.Expressions Class

RegexUtilsExpressions Class
Expressions
正则表达式
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsRegexUtilsExpressions

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class Expressions
Public NotInheritable Class Expressions
public ref class Expressions abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Expressions =  class end

The RegexUtilsExpressions type exposes the following members.

Fields
Name | Description
ChinaMobile | China mobile 中国的手机号码
Decimal | Decimal 整数和小数
Digits | Digits 整数
Email | Email 邮箱
Tel | Tel 电话号码
Top
See Also

Reference

ZKWebStandard.Utils Namespace


Expressions Fields

The RegexUtilsExpressions type exposes the following members.

Fields
Name | Description
ChinaMobile | China mobile 中国的手机号码
Decimal | Decimal 整数和小数
Digits | Digits 整数
Email | Email 邮箱
Tel | Tel 电话号码
Top
See Also

Reference

RegexUtilsExpressions Class
ZKWebStandard.Utils Namespace


RegexUtils.Expressions.ChinaMobile Field

RegexUtilsExpressionsChinaMobile Field
China mobile
中国的手机号码

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string ChinaMobile = "^1[3456789][0-9]{9}$"
Public Const ChinaMobile As String = "^1[3456789][0-9]{9}$"
public:
literal String^ ChinaMobile = "^1[3456789][0-9]{9}$"
static val mutable ChinaMobile: string

Field Value

Type: String
See Also

Reference

RegexUtilsExpressions Class
ZKWebStandard.Utils Namespace


RegexUtils.Expressions.Decimal Field

RegexUtilsExpressionsDecimal Field
Decimal
整数和小数

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string Decimal = "^-?[\d]+(\.[\d]+)?$"
Public Const Decimal As String = "^-?[\d]+(\.[\d]+)?$"
public:
literal String^ Decimal = "^-?[\d]+(\.[\d]+)?$"
static val mutable Decimal: string

Field Value

Type: String
See Also

Reference

RegexUtilsExpressions Class
ZKWebStandard.Utils Namespace


RegexUtils.Expressions.Digits Field

RegexUtilsExpressionsDigits Field
Digits
整数

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string Digits = "^-?[\d]+$"
Public Const Digits As String = "^-?[\d]+$"
public:
literal String^ Digits = "^-?[\d]+$"
static val mutable Digits: string

Field Value

Type: String
See Also

Reference

RegexUtilsExpressions Class
ZKWebStandard.Utils Namespace


RegexUtils.Expressions.Email Field

RegexUtilsExpressionsEmail Field
Email
邮箱

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string Email = "^[\w-]+@[\w-]+(\.[\w-]+)+$"
Public Const Email As String = "^[\w-]+@[\w-]+(\.[\w-]+)+$"
public:
literal String^ Email = "^[\w-]+@[\w-]+(\.[\w-]+)+$"
static val mutable Email: string

Field Value

Type: String
See Also

Reference

RegexUtilsExpressions Class
ZKWebStandard.Utils Namespace


RegexUtils.Expressions.Tel Field

RegexUtilsExpressionsTel Field
Tel
电话号码

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public const string Tel = "^\+?[\d\s-]+$"
Public Const Tel As String = "^\+?[\d\s-]+$"
public:
literal String^ Tel = "^\+?[\d\s-]+$"
static val mutable Tel: string

Field Value

Type: String
See Also

Reference

RegexUtilsExpressions Class
ZKWebStandard.Utils Namespace


RegexUtils.Validators Class

RegexUtilsValidators Class
Regex objects
正则对象
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsRegexUtilsValidators

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class Validators
Public NotInheritable Class Validators
public ref class Validators abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type Validators =  class end

The RegexUtilsValidators type exposes the following members.

Properties
Name | Description
ChinaMobile | China mobile 中国的手机号码
Decimal | Decimal 整数和小数
Digits | Digits 整数
Email | Email 邮箱
Tel | Tel 电话
Top
See Also

Reference

ZKWebStandard.Utils Namespace


Validators Properties

The RegexUtilsValidators type exposes the following members.

Properties
Name | Description
ChinaMobile | China mobile 中国的手机号码
Decimal | Decimal 整数和小数
Digits | Digits 整数
Email | Email 邮箱
Tel | Tel 电话
Top
See Also

Reference

RegexUtilsValidators Class
ZKWebStandard.Utils Namespace


RegexUtils.Validators.ChinaMobile Property

RegexUtilsValidatorsChinaMobile Property

China mobile
中国的手机号码

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Regex ChinaMobile { get; }
Public Shared ReadOnly Property ChinaMobile As Regex
    Get
public:
static property Regex^ ChinaMobile {
    Regex^ get ();
}
static member ChinaMobile : Regex with get

Property Value

Type: Regex
See Also

Reference

RegexUtilsValidators Class
ZKWebStandard.Utils Namespace


RegexUtils.Validators.Decimal Property

RegexUtilsValidatorsDecimal Property

Decimal
整数和小数

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Regex Decimal { get; }
Public Shared ReadOnly Property Decimal As Regex
    Get
public:
static property Regex^ Decimal {
    Regex^ get ();
}
static member Decimal : Regex with get

Property Value

Type: Regex
See Also

Reference

RegexUtilsValidators Class
ZKWebStandard.Utils Namespace


RegexUtils.Validators.Digits Property

RegexUtilsValidatorsDigits Property

Digits
整数

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Regex Digits { get; }
Public Shared ReadOnly Property Digits As Regex
    Get
public:
static property Regex^ Digits {
    Regex^ get ();
}
static member Digits : Regex with get

Property Value

Type: Regex
See Also

Reference

RegexUtilsValidators Class
ZKWebStandard.Utils Namespace


RegexUtils.Validators.Email Property

RegexUtilsValidatorsEmail Property

Email
邮箱

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Regex Email { get; }
Public Shared ReadOnly Property Email As Regex
    Get
public:
static property Regex^ Email {
    Regex^ get ();
}
static member Email : Regex with get

Property Value

Type: Regex
See Also

Reference

RegexUtilsValidators Class
ZKWebStandard.Utils Namespace


RegexUtils.Validators.Tel Property

RegexUtilsValidatorsTel Property

Tel
电话

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static Regex Tel { get; }
Public Shared ReadOnly Property Tel As Regex
    Get
public:
static property Regex^ Tel {
    Regex^ get ();
}
static member Tel : Regex with get

Property Value

Type: Regex
See Also

Reference

RegexUtilsValidators Class
ZKWebStandard.Utils Namespace


SystemUtils Class
System utility functions
系统的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsSystemUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class SystemUtils
Public NotInheritable Class SystemUtils
public ref class SystemUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type SystemUtils =  class end

The SystemUtils type exposes the following members.

Methods
Name | Description
GetUsedMemoryBytes | Get used memory in bytes 获取占用的内存大小
Top
See Also

Reference

ZKWebStandard.Utils Namespace


SystemUtils Methods

The SystemUtils type exposes the following members.

Methods
Name | Description
GetUsedMemoryBytes | Get used memory in bytes 获取占用的内存大小
Top
See Also

Reference

SystemUtils Class
ZKWebStandard.Utils Namespace


SystemUtils.GetUsedMemoryBytes Method

SystemUtilsGetUsedMemoryBytes Method

Get used memory in bytes
获取占用的内存大小

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static long GetUsedMemoryBytes()
Public Shared Function GetUsedMemoryBytes As Long
public:
static long long GetUsedMemoryBytes()
static member GetUsedMemoryBytes : unit -> int64

Return Value

Type: Int64

[Missing <returns> documentation for "M:ZKWebStandard.Utils.SystemUtils.GetUsedMemoryBytes"]

Examples
C#
Copy
var value = SystemUtils.GetUsedMemoryBytes();
See Also

Reference

SystemUtils Class
ZKWebStandard.Utils Namespace


TreeUtils Class
Tree utility functions
树的工具函数
Inheritance Hierarchy
SystemObject
ZKWebStandard.UtilsTreeUtils

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class TreeUtils
Public NotInheritable Class TreeUtils
public ref class TreeUtils abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type TreeUtils =  class end

The TreeUtils type exposes the following members.

Methods
Name | Description
CreateTreeT, TValue | Create tree from elements Return root node, root node doesn't have a value 根据元素列表创建树 返回根节点, 根节点不包含值
TransformT, U | Transform tree If the given node isn't root node, it will lose it's parent 转换树 如果传入的节点不是根节点, 会失去它的所有上级节点
Top
See Also

Reference

ZKWebStandard.Utils Namespace


TreeUtils Methods

The TreeUtils type exposes the following members.

Methods
Name | Description
CreateTreeT, TValue | Create tree from elements Return root node, root node doesn't have a value 根据元素列表创建树 返回根节点, 根节点不包含值
TransformT, U | Transform tree If the given node isn't root node, it will lose it's parent 转换树 如果传入的节点不是根节点, 会失去它的所有上级节点
Top
See Also

Reference

TreeUtils Class
ZKWebStandard.Utils Namespace


TreeUtils.CreateTree(T, TValue) Method

TreeUtilsCreateTreeT, TValue Method

Create tree from elements
Return root node, root node doesn't have a value
根据元素列表创建树
返回根节点, 根节点不包含值

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static ITreeNode<TValue> CreateTree<T, TValue>(
    IEnumerable<T> elements,
    Func<T, TValue> getValue,
    Func<T, T> getParent
)

Public Shared Function CreateTree(Of T, TValue) (
    elements As IEnumerable(Of T),
    getValue As Func(Of T, TValue),
    getParent As Func(Of T, T)
) As ITreeNode(Of TValue)
public:
generic<typename T, typename TValue>
static ITreeNode<TValue>^ CreateTree(
    IEnumerable<T>^ elements,
    Func<T, TValue>^ getValue,
    Func<T, T>^ getParent
)
static member CreateTree :
        elements : IEnumerable<'T> *
        getValue : Func<'T, 'TValue> *
        getParent : Func<'T, 'T> -> ITreeNode<'TValue>

Parameters

elements
Type: System.Collections.GenericIEnumerable T
Source elements
getValue
Type: SystemFunc T, TValue
Method for get value from element
getParent
Type: SystemFunc T, T
Method for get parent element, return null if no parent

Type Parameters

T
Element type
TValue
Value type

Return Value

Type: ITreeNode TValue

[Missing <returns> documentation for "M:ZKWebStandard.Utils.TreeUtils.CreateTree``2(System.Collections.Generic.IEnumerable{``0},System.Func{``0,``1},System.Func{``0,``0})"]

Examples
C#
Copy
var elements = new List<TestData>() {
    new TestData(1, 0, "A"),
    new TestData(2, 1, "AA"),
    new TestData(3, 1, "AB"),
    new TestData(4, 0, "B"),
    new TestData(5, 4, "BA"),
    new TestData(6, 4, "BB"),
    new TestData(7, 6, "BBB"),
};
var elementsMapping = elements.ToDictionary(e => e.Id, e => e);
var tree = TreeUtils.CreateTree(elements,
    e => e, e => elementsMapping.GetOrDefault(e.ParentId));
See Also

Reference

TreeUtils Class
ZKWebStandard.Utils Namespace


TreeUtils.Transform(T, U) Method

TreeUtilsTransformT, U Method

Transform tree
If the given node isn't root node, it will lose it's parent
转换树
如果传入的节点不是根节点, 会失去它的所有上级节点

Namespace: ZKWebStandard.Utils
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static ITreeNode<U> Transform<T, U>(
    ITreeNode<T> node,
    Func<T, U> convertor
)

Public Shared Function Transform(Of T, U) (
    node As ITreeNode(Of T),
    convertor As Func(Of T, U)
) As ITreeNode(Of U)
public:
generic<typename T, typename U>
static ITreeNode<U>^ Transform(
    ITreeNode<T>^ node,
    Func<T, U>^ convertor
)
static member Transform :
        node : ITreeNode<'T> *
        convertor : Func<'T, 'U> -> ITreeNode<'U>

Parameters

node
Type: ZKWebStandard.UtilsITreeNode T
The node
convertor
Type: SystemFunc T, U
Method for convert value from original to target

Type Parameters

T
Original type
U
Target type

Return Value

Type: ITreeNode U

[Missing <returns> documentation for "M:ZKWebStandard.Utils.TreeUtils.Transform``2(ZKWebStandard.Utils.ITreeNode{``0},System.Func{``0,``1})"]

Examples
C#
Copy
var elements = new List<TestData>() {
    new TestData(1, 0, "A"),
    new TestData(2, 1, "AA"),
    new TestData(3, 1, "AB"),
    new TestData(4, 0, "B"),
    new TestData(5, 4, "BA"),
    new TestData(6, 4, "BB"),
    new TestData(7, 6, "BBB"),
};
var elementsMapping = elements.ToDictionary(e => e.Id, e => e);
var tree = TreeUtils.CreateTree(elements,
    e => e, e => elementsMapping.GetOrDefault(e.ParentId));
var newTree = TreeUtils.Transform(TestData.GetTestTree(), d => d?.Name);
See Also

Reference

TreeUtils Class
ZKWebStandard.Utils Namespace


ZKWebStandard.Web Namespaces

[Missing <summary> documentation for "G:ZKWebStandard.Web"]

Namespaces
Namespace | Description
ZKWebStandard.Web |
ZKWebStandard.Web.Mock |
ZKWebStandard.Web.Wrappers |


ZKWebStandard.Web Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Web"]

Classes
 | Class | Description
Public class | HttpCookieOptions | Options for setting cookie Http Cookie的设置选项
 | HttpException | Http exception Please use this type instead of Asp.Net and Asp.Net Core's Http例外 请使用这个类型代替Asp.Net和Asp.Net Core中的类型
Public class | HttpManager | Http manager Http管理器
Interfaces
 | Interface | Description
Public interface | IHttpContext | Interface for http context Http上下文的接口
Public interface | IHttpPostedFile | Interface for posted file Http提交文件的接口
Public interface | IHttpRequest | Interface for http request Http请求的接口
Public interface | IHttpResponse | Interface for http response Http回应的接口


HttpCookieOptions Class
Options for setting cookie
Http Cookie的设置选项
Inheritance Hierarchy
SystemObject
ZKWebStandard.WebHttpCookieOptions

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HttpCookieOptions
Public Class HttpCookieOptions
public ref class HttpCookieOptions
type HttpCookieOptions =  class end

The HttpCookieOptions type exposes the following members.

Constructors
 | Name | Description
Public method | HttpCookieOptions | Initializes a new instance of the HttpCookieOptions class
Top
Properties
 | Name | Description
Public property | Domain | Domain, use defualt value if empty 域名, 空时使用默认值
Public property | Expires | Expire time, expire after close browser if null 过期时间, null时表示浏览器关闭后过期
Public property | HttpOnly | Disallow getting this cookie from javascript, use default value if null 是否禁止js获取此Cookie值, null时使用默认值
Public property | Path | Path, use default value if empty 路径, 空时使用默认值
Public property | Secure | Only send for https connection, use default value if null 是否只在https连接中发送, null时使用默认值
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Web Namespace


HttpCookieOptions Constructor

Initializes a new instance of the HttpCookieOptions class

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpCookieOptions()
Public Sub New
public:
HttpCookieOptions()
new : unit -> HttpCookieOptions
See Also

Reference

HttpCookieOptions Class
ZKWebStandard.Web Namespace


HttpCookieOptions Properties

The HttpCookieOptions type exposes the following members.

Properties
 | Name | Description
Public property | Domain | Domain, use defualt value if empty 域名, 空时使用默认值
Public property | Expires | Expire time, expire after close browser if null 过期时间, null时表示浏览器关闭后过期
Public property | HttpOnly | Disallow getting this cookie from javascript, use default value if null 是否禁止js获取此Cookie值, null时使用默认值
Public property | Path | Path, use default value if empty 路径, 空时使用默认值
Public property | Secure | Only send for https connection, use default value if null 是否只在https连接中发送, null时使用默认值
Top
See Also

Reference

HttpCookieOptions Class
ZKWebStandard.Web Namespace


HttpCookieOptions.Domain Property

HttpCookieOptionsDomain Property

Domain, use defualt value if empty
域名, 空时使用默认值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Domain { get; set; }
Public Overridable Property Domain As String
    Get
    Set
public:
virtual property String^ Domain {
    String^ get ();
    void set (String^ value);
}
abstract Domain : string with get, set
override Domain : string with get, set

Property Value

Type: String
See Also

Reference

HttpCookieOptions Class
ZKWebStandard.Web Namespace


HttpCookieOptions.Expires Property

HttpCookieOptionsExpires Property

Expire time, expire after close browser if null
过期时间, null时表示浏览器关闭后过期

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<DateTime> Expires { get; set; }
Public Overridable Property Expires As Nullable(Of DateTime)
    Get
    Set
public:
virtual property Nullable<DateTime> Expires {
    Nullable<DateTime> get ();
    void set (Nullable<DateTime> value);
}
abstract Expires : Nullable<DateTime> with get, set
override Expires : Nullable<DateTime> with get, set

Property Value

Type: Nullable DateTime
See Also

Reference

HttpCookieOptions Class
ZKWebStandard.Web Namespace


HttpCookieOptions.HttpOnly Property

HttpCookieOptionsHttpOnly Property

Disallow getting this cookie from javascript, use default value if null
是否禁止js获取此Cookie值, null时使用默认值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<bool> HttpOnly { get; set; }
Public Overridable Property HttpOnly As Nullable(Of Boolean)
    Get
    Set
public:
virtual property Nullable<bool> HttpOnly {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
abstract HttpOnly : Nullable<bool> with get, set
override HttpOnly : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

HttpCookieOptions Class
ZKWebStandard.Web Namespace


HttpCookieOptions.Path Property

HttpCookieOptionsPath Property

Path, use default value if empty
路径, 空时使用默认值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Path { get; set; }
Public Overridable Property Path As String
    Get
    Set
public:
virtual property String^ Path {
    String^ get ();
    void set (String^ value);
}
abstract Path : string with get, set
override Path : string with get, set

Property Value

Type: String
See Also

Reference

HttpCookieOptions Class
ZKWebStandard.Web Namespace


HttpCookieOptions.Secure Property

HttpCookieOptionsSecure Property

Only send for https connection, use default value if null
是否只在https连接中发送, null时使用默认值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<bool> Secure { get; set; }
Public Overridable Property Secure As Nullable(Of Boolean)
    Get
    Set
public:
virtual property Nullable<bool> Secure {
    Nullable<bool> get ();
    void set (Nullable<bool> value);
}
abstract Secure : Nullable<bool> with get, set
override Secure : Nullable<bool> with get, set

Property Value

Type: Nullable Boolean
See Also

Reference

HttpCookieOptions Class
ZKWebStandard.Web Namespace


HttpCookieOptions Methods

The HttpCookieOptions type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HttpCookieOptions Class
ZKWebStandard.Web Namespace


HttpException Class
Http exception
Please use this type instead of Asp.Net and Asp.Net Core's
Http例外
请使用这个类型代替Asp.Net和Asp.Net Core中的类型
Inheritance Hierarchy
SystemObject
SystemException
ZKWebStandard.WebHttpException

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HttpException : Exception
Public Class HttpException
    Inherits Exception
public ref class HttpException : public Exception
type HttpException =
    class
        inherit Exception
    end

The HttpException type exposes the following members.

Constructors
 | Name | Description
Public method | HttpException | Initialize 初始化
Top
Properties
 | Name | Description
Public property | StatusCode | Status code 状态码
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
Examples
C#
Copy
throw new HttpException(404, "Not Found");
See Also

Reference

ZKWebStandard.Web Namespace


HttpException Constructor

Initialize
初始化

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpException(
    int statusCode,
    string message = null
)
Public Sub New (
    statusCode As Integer,
    Optional message As String = Nothing
)
public:
HttpException(
    int statusCode,
    String^ message = nullptr
)
new :
        statusCode : int *
        ?message : string
(* Defaults:
        let _message = defaultArg message null
*)
-> HttpException

Parameters

statusCode
Type: SystemInt32
Status code
message (Optional)
Type: SystemString
Exception message
See Also

Reference

HttpException Class
ZKWebStandard.Web Namespace


HttpException Properties

The HttpException type exposes the following members.

Properties
 | Name | Description
Public property | StatusCode | Status code 状态码
Top
See Also

Reference

HttpException Class
ZKWebStandard.Web Namespace


HttpException.StatusCode Property

HttpExceptionStatusCode Property

Status code
状态码

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int StatusCode { get; set; }
Public Property StatusCode As Integer
    Get
    Set
public:
property int StatusCode {
    int get ();
    void set (int value);
}
member StatusCode : int with get, set

Property Value

Type: Int32
See Also

Reference

HttpException Class
ZKWebStandard.Web Namespace


HttpException Methods

The HttpException type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | ToDetailedString | Get detailed information from exception 获取例外的详细信息 (Defined by ExceptionExtensions.)
Public Extension Method | ToSummaryString | Get summary information from exception 获取例外的简要信息 (Defined by ExceptionExtensions.)
Top
See Also

Reference

HttpException Class
ZKWebStandard.Web Namespace


HttpManager Class
Http manager
Http管理器
Inheritance Hierarchy
SystemObject
ZKWebStandard.WebHttpManager

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static class HttpManager
Public NotInheritable Class HttpManager
public ref class HttpManager abstract sealed
[<AbstractClassAttribute>]
[<SealedAttribute>]
type HttpManager =  class end

The HttpManager type exposes the following members.

Properties
Name | Description
CurrentContext | Get using http context Throw exception if not exist 获取当前的Http上下文 如果不存在则抛出例外
CurrentContextExists | Determines if there a http context is using 检测当前是否有Http上下文
Top
Methods
Name | Description
OverrideContext(IHttpContext) | Override using http context Restore to previous context after disposed 重载当前的Http上下文 Dispose后恢复为原来的上下文
OverrideContext(String, String) | Override using http context Restore to previous context after disposed 重载当前的Http上下文 Dispose后恢复为原来的上下文
Top
See Also

Reference

ZKWebStandard.Web Namespace


HttpManager Properties

The HttpManager type exposes the following members.

Properties
Name | Description
CurrentContext | Get using http context Throw exception if not exist 获取当前的Http上下文 如果不存在则抛出例外
CurrentContextExists | Determines if there a http context is using 检测当前是否有Http上下文
Top
See Also

Reference

HttpManager Class
ZKWebStandard.Web Namespace


HttpManager.CurrentContext Property

HttpManagerCurrentContext Property

Get using http context
Throw exception if not exist
获取当前的Http上下文
如果不存在则抛出例外

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IHttpContext CurrentContext { get; }
Public Shared ReadOnly Property CurrentContext As IHttpContext
    Get
public:
static property IHttpContext^ CurrentContext {
    IHttpContext^ get ();
}
static member CurrentContext : IHttpContext with get

Property Value

Type: IHttpContext
Examples
C#
Copy
var context = HttpManager.CurrentContext;
See Also

Reference

HttpManager Class
ZKWebStandard.Web Namespace


HttpManager.CurrentContextExists Property

HttpManagerCurrentContextExists Property

Determines if there a http context is using
检测当前是否有Http上下文

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static bool CurrentContextExists { get; }
Public Shared ReadOnly Property CurrentContextExists As Boolean
    Get
public:
static property bool CurrentContextExists {
    bool get ();
}
static member CurrentContextExists : bool with get

Property Value

Type: Boolean
See Also

Reference

HttpManager Class
ZKWebStandard.Web Namespace


HttpManager Methods
Methods
Name | Description
OverrideContext(IHttpContext) | Override using http context Restore to previous context after disposed 重载当前的Http上下文 Dispose后恢复为原来的上下文
OverrideContext(String, String) | Override using http context Restore to previous context after disposed 重载当前的Http上下文 Dispose后恢复为原来的上下文
Top
See Also

Reference

HttpManager Class
ZKWebStandard.Web Namespace


HttpManager.OverrideContext Method

HttpManagerOverrideContext Method

Overload List
Name | Description
OverrideContext(IHttpContext) | Override using http context Restore to previous context after disposed 重载当前的Http上下文 Dispose后恢复为原来的上下文
OverrideContext(String, String) | Override using http context Restore to previous context after disposed 重载当前的Http上下文 Dispose后恢复为原来的上下文
Top
See Also

Reference

HttpManager Class
ZKWebStandard.Web Namespace


HttpManager.OverrideContext Method (IHttpContext)

HttpManagerOverrideContext Method (IHttpContext)
Override using http context
Restore to previous context after disposed
重载当前的Http上下文
Dispose后恢复为原来的上下文

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable OverrideContext(
    IHttpContext context
)
Public Shared Function OverrideContext (
    context As IHttpContext
) As IDisposable
public:
static IDisposable^ OverrideContext(
    IHttpContext^ context
)
static member OverrideContext :
        context : IHttpContext -> IDisposable

Parameters

context
Type: ZKWebStandard.WebIHttpContext
Http context

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWebStandard.Web.HttpManager.OverrideContext(ZKWebStandard.Web.IHttpContext)"]

Examples
C#
Copy
var context = new MyContext();
using (HttpManager.OverrideContext(context)) {
}
See Also

Reference

HttpManager Class
OverrideContext Overload
ZKWebStandard.Web Namespace


HttpManager.OverrideContext Method (String, String)

HttpManagerOverrideContext Method (String, String)
Override using http context
Restore to previous context after disposed
重载当前的Http上下文
Dispose后恢复为原来的上下文

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public static IDisposable OverrideContext(
    string pathAndQuery,
    string method
)
Public Shared Function OverrideContext (
    pathAndQuery As String,
    method As String
) As IDisposable
public:
static IDisposable^ OverrideContext(
    String^ pathAndQuery,
    String^ method
)
static member OverrideContext :
        pathAndQuery : string *
        method : string -> IDisposable

Parameters

pathAndQuery
Type: SystemString
Path and query, "/" will be automatic added to front if needed
method
Type: SystemString
Method, GET or POST

Return Value

Type: IDisposable

[Missing <returns> documentation for "M:ZKWebStandard.Web.HttpManager.OverrideContext(System.String,System.String)"]

Examples
C#
Copy
using (HttpManager.OverrideContext("abc", "GET")) {
}
See Also

Reference

HttpManager Class
OverrideContext Overload
ZKWebStandard.Web Namespace


IHttpContext Interface
Interface for http context
Http上下文的接口

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpContext
Public Interface IHttpContext
public interface class IHttpContext
type IHttpContext =  interface end

The IHttpContext type exposes the following members.

Properties
 | Name | Description
Public property | Items | Http context bound items 绑定到上下文的对象集合
Public property | Request | Http request Http请求
Public property | Response | Http response Http回应
Top
Extension Methods
 | Name | Description
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

ZKWebStandard.Web Namespace


IHttpContext Properties

The IHttpContext type exposes the following members.

Properties
 | Name | Description
Public property | Items | Http context bound items 绑定到上下文的对象集合
Public property | Request | Http request Http请求
Public property | Response | Http response Http回应
Top
See Also

Reference

IHttpContext Interface
ZKWebStandard.Web Namespace


IHttpContext.Items Property

IHttpContextItems Property

Http context bound items
绑定到上下文的对象集合

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IDictionary<Object, Object> Items { get; }
ReadOnly Property Items As IDictionary(Of Object, Object)
    Get
property IDictionary<Object^, Object^>^ Items {
    IDictionary<Object^, Object^>^ get ();
}
abstract Items : IDictionary<Object, Object> with get

Property Value

Type: IDictionary Object, Object
See Also

Reference

IHttpContext Interface
ZKWebStandard.Web Namespace


IHttpContext.Request Property

IHttpContextRequest Property

Http request
Http请求

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IHttpRequest Request { get; }
ReadOnly Property Request As IHttpRequest
    Get
property IHttpRequest^ Request {
    IHttpRequest^ get ();
}
abstract Request : IHttpRequest with get

Property Value

Type: IHttpRequest
See Also

Reference

IHttpContext Interface
ZKWebStandard.Web Namespace


IHttpContext.Response Property

IHttpContextResponse Property

Http response
Http回应

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IHttpResponse Response { get; }
ReadOnly Property Response As IHttpResponse
    Get
property IHttpResponse^ Response {
    IHttpResponse^ get ();
}
abstract Response : IHttpResponse with get

Property Value

Type: IHttpResponse
See Also

Reference

IHttpContext Interface
ZKWebStandard.Web Namespace


IHttpContext Methods

The IHttpContext type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

IHttpContext Interface
ZKWebStandard.Web Namespace


IHttpPostedFile Interface
Interface for posted file
Http提交文件的接口

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpPostedFile
Public Interface IHttpPostedFile
public interface class IHttpPostedFile
type IHttpPostedFile =  interface end

The IHttpPostedFile type exposes the following members.

Properties
 | Name | Description
Public property | ContentType | Content type 内容类型
Public property | FileName | File name 文件名
Public property | Length | File length 文件长度
Top
Methods
 | Name | Description
Public method | OpenReadStream | Open stream for reading file 打开读取文件的数据流
Top
See Also

Reference

ZKWebStandard.Web Namespace


IHttpPostedFile Properties

The IHttpPostedFile type exposes the following members.

Properties
 | Name | Description
Public property | ContentType | Content type 内容类型
Public property | FileName | File name 文件名
Public property | Length | File length 文件长度
Top
See Also

Reference

IHttpPostedFile Interface
ZKWebStandard.Web Namespace


IHttpPostedFile.ContentType Property

IHttpPostedFileContentType Property

Content type
内容类型

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string ContentType { get; }
ReadOnly Property ContentType As String
    Get
property String^ ContentType {
    String^ get ();
}
abstract ContentType : string with get

Property Value

Type: String
See Also

Reference

IHttpPostedFile Interface
ZKWebStandard.Web Namespace


IHttpPostedFile.FileName Property

IHttpPostedFileFileName Property

File name
文件名

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string FileName { get; }
ReadOnly Property FileName As String
    Get
property String^ FileName {
    String^ get ();
}
abstract FileName : string with get

Property Value

Type: String
See Also

Reference

IHttpPostedFile Interface
ZKWebStandard.Web Namespace


IHttpPostedFile.Length Property

IHttpPostedFileLength Property

File length
文件长度

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
long Length { get; }
ReadOnly Property Length As Long
    Get
property long long Length {
    long long get ();
}
abstract Length : int64 with get

Property Value

Type: Int64
See Also

Reference

IHttpPostedFile Interface
ZKWebStandard.Web Namespace


IHttpPostedFile Methods

The IHttpPostedFile type exposes the following members.

Methods
 | Name | Description
Public method | OpenReadStream | Open stream for reading file 打开读取文件的数据流
Top
See Also

Reference

IHttpPostedFile Interface
ZKWebStandard.Web Namespace


IHttpPostedFile.OpenReadStream Method

IHttpPostedFileOpenReadStream Method

Open stream for reading file
打开读取文件的数据流

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Stream OpenReadStream()
Function OpenReadStream As Stream
Stream^ OpenReadStream()
abstract OpenReadStream : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpPostedFile.OpenReadStream"]

See Also

Reference

IHttpPostedFile Interface
ZKWebStandard.Web Namespace


IHttpRequest Interface
Interface for http request
Http请求的接口

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpRequest
Public Interface IHttpRequest
public interface class IHttpRequest
type IHttpRequest =  interface end

The IHttpRequest type exposes the following members.

Properties
 | Name | Description
Public property | Body | Request content 请求内容
Public property | ContentLength | Content length 内容长度
Public property | ContentType | Content type 内容类型
 | Host | Request from hostname and port 请求的域名和端口
Public property | HttpContext | Parent http context 所属的Http上下文
Public property | IsHttps | Is https 是否Https
 | Method | Request method 请求的方法
 | Path | Request path 请求的路径
 | Protocol | Request protocol (eg: HTTP/1.1) 请求的协议 (例如: HTTP/1.1)
 | QueryString | Request query string, startswith `?` if not empty Url中的参数字符串, 如果不为空则以?开始
 | RemoteIpAddress | Remote ip address 远程IP地址
 | RemotePort | Remote port 远程端口
 | Scheme | Request scheme (eg: http) 请求的协议 (例如: http)
Top
Methods
 | Name | Description
Public method | GetCookie | Get cookie value 获取Cookie值
Public method | GetCookies | Get all cookie keys and values 获取所有Cookie键和值
Public method | GetFormValue | Get form value Return null if not exist 获取表单值 不存在时返回null
Public method | GetFormValues | Get all form keys and values 获取所有表单键和值
Public method | GetHeader | Get http header value Return null if not exist 获取Http头的值 不存在时返回null
Public method | GetHeaders | Get all http header keys and values 获取所有Http头的键和值
Public method | GetPostedFile | Get posted file Return null if not exist 获取提交的文件 不存在时返回null
Public method | GetPostedFiles | Get all posted files 获取所有提交的文件
Public method | GetQueryValue | Get query value Return null if not exist 获取查询参数值 不存在时返回null
Public method | GetQueryValues | Get all query keys and values 获取所有查询参数键和值
Top
Extension Methods
 | Name | Description
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

ZKWebStandard.Web Namespace


IHttpRequest Properties

The IHttpRequest type exposes the following members.

Properties
 | Name | Description
Public property | Body | Request content 请求内容
Public property | ContentLength | Content length 内容长度
Public property | ContentType | Content type 内容类型
 | Host | Request from hostname and port 请求的域名和端口
Public property | HttpContext | Parent http context 所属的Http上下文
Public property | IsHttps | Is https 是否Https
 | Method | Request method 请求的方法
 | Path | Request path 请求的路径
 | Protocol | Request protocol (eg: HTTP/1.1) 请求的协议 (例如: HTTP/1.1)
 | QueryString | Request query string, startswith `?` if not empty Url中的参数字符串, 如果不为空则以?开始
 | RemoteIpAddress | Remote ip address 远程IP地址
 | RemotePort | Remote port 远程端口
 | Scheme | Request scheme (eg: http) 请求的协议 (例如: http)
Top
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.Body Property

IHttpRequestBody Property

Request content
请求内容

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Stream Body { get; }
ReadOnly Property Body As Stream
    Get
property Stream^ Body {
    Stream^ get ();
}
abstract Body : Stream with get

Property Value

Type: Stream
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.ContentLength Property

IHttpRequestContentLength Property

Content length
内容长度

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Nullable<long> ContentLength { get; }
ReadOnly Property ContentLength As Nullable(Of Long)
    Get
property Nullable<long long> ContentLength {
    Nullable<long long> get ();
}
abstract ContentLength : Nullable<int64> with get

Property Value

Type: Nullable Int64
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.ContentType Property

IHttpRequestContentType Property

Content type
内容类型

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string ContentType { get; }
ReadOnly Property ContentType As String
    Get
property String^ ContentType {
    String^ get ();
}
abstract ContentType : string with get

Property Value

Type: String
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.Host Property

IHttpRequestHost Property

Request from hostname and port
请求的域名和端口

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Host { get; }
ReadOnly Property Host As String
    Get
property String^ Host {
    String^ get ();
}
abstract Host : string with get

Property Value

Type: String
Examples
localhost:8765
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.HttpContext Property

IHttpRequestHttpContext Property

Parent http context
所属的Http上下文

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IHttpContext HttpContext { get; }
ReadOnly Property HttpContext As IHttpContext
    Get
property IHttpContext^ HttpContext {
    IHttpContext^ get ();
}
abstract HttpContext : IHttpContext with get

Property Value

Type: IHttpContext
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.IsHttps Property

IHttpRequestIsHttps Property

Is https
是否Https

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
bool IsHttps { get; }
ReadOnly Property IsHttps As Boolean
    Get
property bool IsHttps {
    bool get ();
}
abstract IsHttps : bool with get

Property Value

Type: Boolean
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.Method Property

IHttpRequestMethod Property

Request method
请求的方法

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Method { get; }
ReadOnly Property Method As String
    Get
property String^ Method {
    String^ get ();
}
abstract Method : string with get

Property Value

Type: String
Examples
GET
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.Path Property

IHttpRequestPath Property

Request path
请求的路径

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Path { get; }
ReadOnly Property Path As String
    Get
property String^ Path {
    String^ get ();
}
abstract Path : string with get

Property Value

Type: String
Examples
/test
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.Protocol Property

IHttpRequestProtocol Property

Request protocol (eg: HTTP/1.1)
请求的协议 (例如: HTTP/1.1)

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Protocol { get; }
ReadOnly Property Protocol As String
    Get
property String^ Protocol {
    String^ get ();
}
abstract Protocol : string with get

Property Value

Type: String
Examples
HTTP/1.1
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.QueryString Property

IHttpRequestQueryString Property

Request query string, startswith `?` if not empty
Url中的参数字符串, 如果不为空则以?开始

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string QueryString { get; }
ReadOnly Property QueryString As String
    Get
property String^ QueryString {
    String^ get ();
}
abstract QueryString : string with get

Property Value

Type: String
Examples
?key=value
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.RemoteIpAddress Property

IHttpRequestRemoteIpAddress Property

Remote ip address
远程IP地址

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IPAddress RemoteIpAddress { get; }
ReadOnly Property RemoteIpAddress As IPAddress
    Get
property IPAddress^ RemoteIpAddress {
    IPAddress^ get ();
}
abstract RemoteIpAddress : IPAddress with get

Property Value

Type: IPAddress
Examples
127.0.0.1
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.RemotePort Property

IHttpRequestRemotePort Property

Remote port
远程端口

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
int RemotePort { get; }
ReadOnly Property RemotePort As Integer
    Get
property int RemotePort {
    int get ();
}
abstract RemotePort : int with get

Property Value

Type: Int32
Examples
65535
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.Scheme Property

IHttpRequestScheme Property

Request scheme (eg: http)
请求的协议 (例如: http)

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string Scheme { get; }
ReadOnly Property Scheme As String
    Get
property String^ Scheme {
    String^ get ();
}
abstract Scheme : string with get

Property Value

Type: String
Examples
http
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest Methods

The IHttpRequest type exposes the following members.

Methods
 | Name | Description
Public method | GetCookie | Get cookie value 获取Cookie值
Public method | GetCookies | Get all cookie keys and values 获取所有Cookie键和值
Public method | GetFormValue | Get form value Return null if not exist 获取表单值 不存在时返回null
Public method | GetFormValues | Get all form keys and values 获取所有表单键和值
Public method | GetHeader | Get http header value Return null if not exist 获取Http头的值 不存在时返回null
Public method | GetHeaders | Get all http header keys and values 获取所有Http头的键和值
Public method | GetPostedFile | Get posted file Return null if not exist 获取提交的文件 不存在时返回null
Public method | GetPostedFiles | Get all posted files 获取所有提交的文件
Public method | GetQueryValue | Get query value Return null if not exist 获取查询参数值 不存在时返回null
Public method | GetQueryValues | Get all query keys and values 获取所有查询参数键和值
Top
Extension Methods
 | Name | Description
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetCookie Method

IHttpRequestGetCookie Method

Get cookie value
获取Cookie值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string GetCookie(
    string key
)
Function GetCookie (
    key As String
) As String
String^ GetCookie(
    String^ key
)
abstract GetCookie :
        key : string -> string

Parameters

key
Type: SystemString
Cookie key

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetCookie(System.String)"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetCookies Method

IHttpRequestGetCookies Method

Get all cookie keys and values
获取所有Cookie键和值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<Pair<string, string>> GetCookies()
Function GetCookies As IEnumerable(Of Pair(Of String, String))
IEnumerable<Pair<String^, String^>>^ GetCookies()
abstract GetCookies : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetCookies"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetFormValue Method

IHttpRequestGetFormValue Method

Get form value
Return null if not exist
获取表单值
不存在时返回null

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IList<string> GetFormValue(
    string key
)
Function GetFormValue (
    key As String
) As IList(Of String)
IList<String^>^ GetFormValue(
    String^ key
)
abstract GetFormValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString
Form key

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetFormValue(System.String)"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetFormValues Method

IHttpRequestGetFormValues Method

Get all form keys and values
获取所有表单键和值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<Pair<string, IList<string>>> GetFormValues()
Function GetFormValues As IEnumerable(Of Pair(Of String, IList(Of String)))
IEnumerable<Pair<String^, IList<String^>^>>^ GetFormValues()
abstract GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetFormValues"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetHeader Method

IHttpRequestGetHeader Method

Get http header value
Return null if not exist
获取Http头的值
不存在时返回null

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string GetHeader(
    string key
)
Function GetHeader (
    key As String
) As String
String^ GetHeader(
    String^ key
)
abstract GetHeader :
        key : string -> string

Parameters

key
Type: SystemString
Header key

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetHeader(System.String)"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetHeaders Method

IHttpRequestGetHeaders Method

Get all http header keys and values
获取所有Http头的键和值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<Pair<string, string>> GetHeaders()
Function GetHeaders As IEnumerable(Of Pair(Of String, String))
IEnumerable<Pair<String^, String^>>^ GetHeaders()
abstract GetHeaders : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetHeaders"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetPostedFile Method

IHttpRequestGetPostedFile Method

Get posted file
Return null if not exist
获取提交的文件
不存在时返回null

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IHttpPostedFile GetPostedFile(
    string key
)
Function GetPostedFile (
    key As String
) As IHttpPostedFile
IHttpPostedFile^ GetPostedFile(
    String^ key
)
abstract GetPostedFile :
        key : string -> IHttpPostedFile

Parameters

key
Type: SystemString
Form key

Return Value

Type: IHttpPostedFile

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetPostedFile(System.String)"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetPostedFiles Method

IHttpRequestGetPostedFiles Method

Get all posted files
获取所有提交的文件

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<Pair<string, IHttpPostedFile>> GetPostedFiles()
Function GetPostedFiles As IEnumerable(Of Pair(Of String, IHttpPostedFile))
IEnumerable<Pair<String^, IHttpPostedFile^>>^ GetPostedFiles()
abstract GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>

Return Value

Type: IEnumerable Pair String, IHttpPostedFile

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetPostedFiles"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetQueryValue Method

IHttpRequestGetQueryValue Method

Get query value
Return null if not exist
获取查询参数值
不存在时返回null

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IList<string> GetQueryValue(
    string key
)
Function GetQueryValue (
    key As String
) As IList(Of String)
IList<String^>^ GetQueryValue(
    String^ key
)
abstract GetQueryValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString
Query key

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetQueryValue(System.String)"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpRequest.GetQueryValues Method

IHttpRequestGetQueryValues Method

Get all query keys and values
获取所有查询参数键和值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IEnumerable<Pair<string, IList<string>>> GetQueryValues()
Function GetQueryValues As IEnumerable(Of Pair(Of String, IList(Of String)))
IEnumerable<Pair<String^, IList<String^>^>>^ GetQueryValues()
abstract GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.IHttpRequest.GetQueryValues"]

See Also

Reference

IHttpRequest Interface
ZKWebStandard.Web Namespace


IHttpResponse Interface
Interface for http response
Http回应的接口

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public interface IHttpResponse
Public Interface IHttpResponse
public interface class IHttpResponse
type IHttpResponse =  interface end

The IHttpResponse type exposes the following members.

Properties
 | Name | Description
Public property | Body | Reponse body 回应内容
Public property | ContentType | Content type 内容类型
Public property | HttpContext | Parent http context 所属的Http上下文
Public property | StatusCode | Status code 状态代码
Top
Methods
 | Name | Description
Public method | AddHeader | Add http header 添加Http头
Public method | End | End response It should throw an exception to stop processing 结束回应 它会抛出一个例外用于停止继续处理
Public method | Redirect | Redirect to url 重定向到Url
Public method | SetCookie | Set cookie value 设置Cookie值
Top
Extension Methods
 | Name | Description
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

ZKWebStandard.Web Namespace


IHttpResponse Properties

The IHttpResponse type exposes the following members.

Properties
 | Name | Description
Public property | Body | Reponse body 回应内容
Public property | ContentType | Content type 内容类型
Public property | HttpContext | Parent http context 所属的Http上下文
Public property | StatusCode | Status code 状态代码
Top
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse.Body Property

IHttpResponseBody Property

Reponse body
回应内容

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
Stream Body { get; }
ReadOnly Property Body As Stream
    Get
property Stream^ Body {
    Stream^ get ();
}
abstract Body : Stream with get

Property Value

Type: Stream
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse.ContentType Property

IHttpResponseContentType Property

Content type
内容类型

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
string ContentType { get; set; }
Property ContentType As String
    Get
    Set
property String^ ContentType {
    String^ get ();
    void set (String^ value);
}
abstract ContentType : string with get, set

Property Value

Type: String
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse.HttpContext Property

IHttpResponseHttpContext Property

Parent http context
所属的Http上下文

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
IHttpContext HttpContext { get; }
ReadOnly Property HttpContext As IHttpContext
    Get
property IHttpContext^ HttpContext {
    IHttpContext^ get ();
}
abstract HttpContext : IHttpContext with get

Property Value

Type: IHttpContext
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse.StatusCode Property

IHttpResponseStatusCode Property

Status code
状态代码

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
int StatusCode { get; set; }
Property StatusCode As Integer
    Get
    Set
property int StatusCode {
    int get ();
    void set (int value);
}
abstract StatusCode : int with get, set

Property Value

Type: Int32
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse Methods

The IHttpResponse type exposes the following members.

Methods
 | Name | Description
Public method | AddHeader | Add http header 添加Http头
Public method | End | End response It should throw an exception to stop processing 结束回应 它会抛出一个例外用于停止继续处理
Public method | Redirect | Redirect to url 重定向到Url
Public method | SetCookie | Set cookie value 设置Cookie值
Top
Extension Methods
 | Name | Description
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse.AddHeader Method

IHttpResponseAddHeader Method

Add http header
添加Http头

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void AddHeader(
    string key,
    string value
)
Sub AddHeader (
    key As String,
    value As String
)
void AddHeader(
    String^ key,
    String^ value
)
abstract AddHeader :
        key : string *
        value : string -> unit

Parameters

key
Type: SystemString
Header key
value
Type: SystemString
Header value
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse.End Method

IHttpResponseEnd Method

End response
It should throw an exception to stop processing
结束回应
它会抛出一个例外用于停止继续处理

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void End()
Sub End
void End()
abstract End : unit -> unit
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse.Redirect Method

IHttpResponseRedirect Method

Redirect to url
重定向到Url

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void Redirect(
    string url,
    bool permanent
)
Sub Redirect (
    url As String,
    permanent As Boolean
)
void Redirect(
    String^ url,
    bool permanent
)
abstract Redirect :
        url : string *
        permanent : bool -> unit

Parameters

url
Type: SystemString
Url address
permanent
Type: SystemBoolean
Is permanent redirect
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


IHttpResponse.SetCookie Method

IHttpResponseSetCookie Method

Set cookie value
设置Cookie值

Namespace: ZKWebStandard.Web
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
void SetCookie(
    string key,
    string value,
    HttpCookieOptions options
)
Sub SetCookie (
    key As String,
    value As String,
    options As HttpCookieOptions
)
void SetCookie(
    String^ key,
    String^ value,
    HttpCookieOptions^ options
)
abstract SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit

Parameters

key
Type: SystemString
Cookie key
value
Type: SystemString
Cookie value
options
Type: ZKWebStandard.WebHttpCookieOptions
Options for setting cookie
See Also

Reference

IHttpResponse Interface
ZKWebStandard.Web Namespace


ZKWebStandard.Web.Mock Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Web.Mock"]

Classes
 | Class | Description
Public class | HttpContextMock | Http context mock class Http上下文的模拟类
Public class | HttpPostFileMock | Http posted file mock Http提交文件的模拟类
Public class | HttpRequestMock | Http request mock class Http请求的模拟类
Public class | HttpResponseMock | Http response mock class Http回应的模拟类


HttpContextMock Class
Http context mock class
Http上下文的模拟类
Inheritance Hierarchy
SystemObject
ZKWebStandard.Web.MockHttpContextMock

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HttpContextMock : IHttpContext
Public Class HttpContextMock
    Implements IHttpContext
public ref class HttpContextMock : IHttpContext
type HttpContextMock =
    class
        interface IHttpContext
    end

The HttpContextMock type exposes the following members.

Constructors
 | Name | Description
Public method | HttpContextMock | Initializes a new instance of the HttpContextMock class
Public method | HttpContextMock(String, String) | Initializes a new instance of the HttpContextMock class
Top
Properties
 | Name | Description
Public property | items |
Public property | Items |
Public property | request |
Public property | Request |
Public property | response |
Public property | Response |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

ZKWebStandard.Web.Mock Namespace


HttpContextMock Constructor

Overload List
 | Name | Description
Public method | HttpContextMock | Initializes a new instance of the HttpContextMock class
Public method | HttpContextMock(String, String) | Initializes a new instance of the HttpContextMock class
Top
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpContextMock Constructor

Initializes a new instance of the HttpContextMock class

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpContextMock()
Public Sub New
public:
HttpContextMock()
new : unit -> HttpContextMock
See Also

Reference

HttpContextMock Class
HttpContextMock Overload
ZKWebStandard.Web.Mock Namespace


HttpContextMock Constructor (String, String)
Initializes a new instance of the HttpContextMock class

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpContextMock(
    string pathAndQuery,
    string method
)
Public Sub New (
    pathAndQuery As String,
    method As String
)
public:
HttpContextMock(
    String^ pathAndQuery,
    String^ method
)
new :
        pathAndQuery : string *
        method : string -> HttpContextMock

Parameters

pathAndQuery
Type: SystemString

[Missing <param name="pathAndQuery"/> documentation for "M:ZKWebStandard.Web.Mock.HttpContextMock.#ctor(System.String,System.String)"]

method
Type: SystemString

[Missing <param name="method"/> documentation for "M:ZKWebStandard.Web.Mock.HttpContextMock.#ctor(System.String,System.String)"]

See Also

Reference

HttpContextMock Class
HttpContextMock Overload
ZKWebStandard.Web.Mock Namespace


HttpContextMock Properties

The HttpContextMock type exposes the following members.

Properties
 | Name | Description
Public property | items |
Public property | Items |
Public property | request |
Public property | Request |
Public property | response |
Public property | Response |
Top
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpContextMock.items Property

HttpContextMockitems Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpContextMock.items"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<Object, Object> items { get; set; }
Public Property items As IDictionary(Of Object, Object)
    Get
    Set
public:
property IDictionary<Object^, Object^>^ items {
    IDictionary<Object^, Object^>^ get ();
    void set (IDictionary<Object^, Object^>^ value);
}
member items : IDictionary<Object, Object> with get, set

Property Value

Type: IDictionary Object, Object
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpContextMock.Items Property

HttpContextMockItems Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpContextMock.Items"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDictionary<Object, Object> Items { get; }
Public Overridable ReadOnly Property Items As IDictionary(Of Object, Object)
    Get
public:
virtual property IDictionary<Object^, Object^>^ Items {
    IDictionary<Object^, Object^>^ get ();
}
abstract Items : IDictionary<Object, Object> with get
override Items : IDictionary<Object, Object> with get

Property Value

Type: IDictionary Object, Object

Implements

IHttpContextItems
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpContextMock.request Property

HttpContextMockrequest Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpContextMock.request"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpRequestMock request { get; set; }
Public Property request As HttpRequestMock
    Get
    Set
public:
property HttpRequestMock^ request {
    HttpRequestMock^ get ();
    void set (HttpRequestMock^ value);
}
member request : HttpRequestMock with get, set

Property Value

Type: HttpRequestMock
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpContextMock.Request Property

HttpContextMockRequest Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpContextMock.Request"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpRequest Request { get; }
Public Overridable ReadOnly Property Request As IHttpRequest
    Get
public:
virtual property IHttpRequest^ Request {
    IHttpRequest^ get ();
}
abstract Request : IHttpRequest with get
override Request : IHttpRequest with get

Property Value

Type: IHttpRequest

Implements

IHttpContextRequest
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpContextMock.response Property

HttpContextMockresponse Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpContextMock.response"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpResponseMock response { get; set; }
Public Property response As HttpResponseMock
    Get
    Set
public:
property HttpResponseMock^ response {
    HttpResponseMock^ get ();
    void set (HttpResponseMock^ value);
}
member response : HttpResponseMock with get, set

Property Value

Type: HttpResponseMock
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpContextMock.Response Property

HttpContextMockResponse Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpContextMock.Response"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpResponse Response { get; }
Public Overridable ReadOnly Property Response As IHttpResponse
    Get
public:
virtual property IHttpResponse^ Response {
    IHttpResponse^ get ();
}
abstract Response : IHttpResponse with get
override Response : IHttpResponse with get

Property Value

Type: IHttpResponse

Implements

IHttpContextResponse
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpContextMock Methods

The HttpContextMock type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

HttpContextMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock Class
Http posted file mock
Http提交文件的模拟类
Inheritance Hierarchy
SystemObject
ZKWebStandard.Web.MockHttpPostFileMock

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HttpPostFileMock : IHttpPostedFile
Public Class HttpPostFileMock
    Implements IHttpPostedFile
public ref class HttpPostFileMock : IHttpPostedFile
type HttpPostFileMock =
    class
        interface IHttpPostedFile
    end

The HttpPostFileMock type exposes the following members.

Constructors
 | Name | Description
Public method | HttpPostFileMock | Initializes a new instance of the HttpPostFileMock class
Top
Properties
 | Name | Description
Public property | contentType |
Public property | ContentType |
Public property | filename |
Public property | FileName |
Public property | length |
Public property | Length |
Public property | stream |
Top
Methods
 | Name | Description
Public method | OpenReadStream |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

ZKWebStandard.Web.Mock Namespace


HttpPostFileMock Constructor

Initializes a new instance of the HttpPostFileMock class

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpPostFileMock()
Public Sub New
public:
HttpPostFileMock()
new : unit -> HttpPostFileMock
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock Properties

The HttpPostFileMock type exposes the following members.

Properties
 | Name | Description
Public property | contentType |
Public property | ContentType |
Public property | filename |
Public property | FileName |
Public property | length |
Public property | Length |
Public property | stream |
Top
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock.contentType Property

HttpPostFileMockcontentType Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpPostFileMock.contentType"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string contentType { get; set; }
Public Property contentType As String
    Get
    Set
public:
property String^ contentType {
    String^ get ();
    void set (String^ value);
}
member contentType : string with get, set

Property Value

Type: String
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock.ContentType Property

HttpPostFileMockContentType Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpPostFileMock.ContentType"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string ContentType { get; }
Public ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get () sealed;
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpPostedFileContentType
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock.filename Property

HttpPostFileMockfilename Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpPostFileMock.filename"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string filename { get; set; }
Public Property filename As String
    Get
    Set
public:
property String^ filename {
    String^ get ();
    void set (String^ value);
}
member filename : string with get, set

Property Value

Type: String
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock.FileName Property

HttpPostFileMockFileName Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpPostFileMock.FileName"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string FileName { get; }
Public ReadOnly Property FileName As String
    Get
public:
virtual property String^ FileName {
    String^ get () sealed;
}
abstract FileName : string with get
override FileName : string with get

Property Value

Type: String

Implements

IHttpPostedFileFileName
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock.length Property

HttpPostFileMocklength Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpPostFileMock.length"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long length { get; set; }
Public Property length As Long
    Get
    Set
public:
property long long length {
    long long get ();
    void set (long long value);
}
member length : int64 with get, set

Property Value

Type: Int64
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock.Length Property

HttpPostFileMockLength Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpPostFileMock.Length"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public long Length { get; }
Public ReadOnly Property Length As Long
    Get
public:
virtual property long long Length {
    long long get () sealed;
}
abstract Length : int64 with get
override Length : int64 with get

Property Value

Type: Int64

Implements

IHttpPostedFileLength
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock.stream Property

HttpPostFileMockstream Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpPostFileMock.stream"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream stream { get; set; }
Public Property stream As Stream
    Get
    Set
public:
property Stream^ stream {
    Stream^ get ();
    void set (Stream^ value);
}
member stream : Stream with get, set

Property Value

Type: Stream
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock Methods

The HttpPostFileMock type exposes the following members.

Methods
 | Name | Description
Public method | OpenReadStream |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Top
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpPostFileMock.OpenReadStream Method

HttpPostFileMockOpenReadStream Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpPostFileMock.OpenReadStream"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream OpenReadStream()
Public Function OpenReadStream As Stream
public:
virtual Stream^ OpenReadStream() sealed
abstract OpenReadStream : unit -> Stream
override OpenReadStream : unit -> Stream

Return Value

Type: Stream

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpPostFileMock.OpenReadStream"]

Implements

IHttpPostedFileOpenReadStream
See Also

Reference

HttpPostFileMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock Class
Http request mock class
Http请求的模拟类
Inheritance Hierarchy
SystemObject
ZKWebStandard.Web.MockHttpRequestMock

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HttpRequestMock : IHttpRequest
Public Class HttpRequestMock
    Implements IHttpRequest
public ref class HttpRequestMock : IHttpRequest
type HttpRequestMock =
    class
        interface IHttpRequest
    end

The HttpRequestMock type exposes the following members.

Constructors
 | Name | Description
Public method | HttpRequestMock | Initializes a new instance of the HttpRequestMock class
Top
Properties
 | Name | Description
Public property | body |
Public property | Body |
Public property | contentLength |
Public property | ContentLength |
Public property | contentType |
Public property | ContentType |
Public property | cookies |
Public property | form |
Public property | headers |
Public property | host |
Public property | Host |
Public property | httpContext |
Public property | HttpContext |
Public property | isHttps |
Public property | IsHttps |
Public property | method |
Public property | Method |
Public property | path |
Public property | Path |
Public property | postedFiles |
Public property | protocol |
Public property | Protocol |
Public property | query |
Public property | queryString |
Public property | QueryString |
Public property | remoteIpAddress |
Public property | RemoteIpAddress |
Public property | remotePort |
Public property | RemotePort |
Public property | scheme |
Public property | Scheme |
Top
Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

ZKWebStandard.Web.Mock Namespace


HttpRequestMock Constructor

Initializes a new instance of the HttpRequestMock class

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpRequestMock(
    IHttpContext context
)
Public Sub New (
    context As IHttpContext
)
public:
HttpRequestMock(
    IHttpContext^ context
)
new :
        context : IHttpContext -> HttpRequestMock

Parameters

context
Type: ZKWebStandard.WebIHttpContext

[Missing <param name="context"/> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.#ctor(ZKWebStandard.Web.IHttpContext)"]

See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock Properties

The HttpRequestMock type exposes the following members.

Properties
 | Name | Description
Public property | body |
Public property | Body |
Public property | contentLength |
Public property | ContentLength |
Public property | contentType |
Public property | ContentType |
Public property | cookies |
Public property | form |
Public property | headers |
Public property | host |
Public property | Host |
Public property | httpContext |
Public property | HttpContext |
Public property | isHttps |
Public property | IsHttps |
Public property | method |
Public property | Method |
Public property | path |
Public property | Path |
Public property | postedFiles |
Public property | protocol |
Public property | Protocol |
Public property | query |
Public property | queryString |
Public property | QueryString |
Public property | remoteIpAddress |
Public property | RemoteIpAddress |
Public property | remotePort |
Public property | RemotePort |
Public property | scheme |
Public property | Scheme |
Top
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.body Property

HttpRequestMockbody Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.body"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream body { get; set; }
Public Property body As Stream
    Get
    Set
public:
property Stream^ body {
    Stream^ get ();
    void set (Stream^ value);
}
member body : Stream with get, set

Property Value

Type: Stream
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.Body Property

HttpRequestMockBody Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.Body"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Stream Body { get; }
Public Overridable ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get ();
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpRequestBody
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.contentLength Property

HttpRequestMockcontentLength Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.contentLength"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Nullable<long> contentLength { get; set; }
Public Property contentLength As Nullable(Of Long)
    Get
    Set
public:
property Nullable<long long> contentLength {
    Nullable<long long> get ();
    void set (Nullable<long long> value);
}
member contentLength : Nullable<int64> with get, set

Property Value

Type: Nullable Int64
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.ContentLength Property

HttpRequestMockContentLength Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.ContentLength"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<long> ContentLength { get; }
Public Overridable ReadOnly Property ContentLength As Nullable(Of Long)
    Get
public:
virtual property Nullable<long long> ContentLength {
    Nullable<long long> get ();
}
abstract ContentLength : Nullable<int64> with get
override ContentLength : Nullable<int64> with get

Property Value

Type: Nullable Int64

Implements

IHttpRequestContentLength
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.contentType Property

HttpRequestMockcontentType Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.contentType"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string contentType { get; set; }
Public Property contentType As String
    Get
    Set
public:
property String^ contentType {
    String^ get ();
    void set (String^ value);
}
member contentType : string with get, set

Property Value

Type: String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.ContentType Property

HttpRequestMockContentType Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.ContentType"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ContentType { get; }
Public Overridable ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get ();
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpRequestContentType
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.cookies Property

HttpRequestMockcookies Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.cookies"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, string> cookies { get; set; }
Public Property cookies As IDictionary(Of String, String)
    Get
    Set
public:
property IDictionary<String^, String^>^ cookies {
    IDictionary<String^, String^>^ get ();
    void set (IDictionary<String^, String^>^ value);
}
member cookies : IDictionary<string, string> with get, set

Property Value

Type: IDictionary String, String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.form Property

HttpRequestMockform Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.form"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, IList<string>> form { get; set; }
Public Property form As IDictionary(Of String, IList(Of String))
    Get
    Set
public:
property IDictionary<String^, IList<String^>^>^ form {
    IDictionary<String^, IList<String^>^>^ get ();
    void set (IDictionary<String^, IList<String^>^>^ value);
}
member form : IDictionary<string, IList<string>> with get, set

Property Value

Type: IDictionary String, IList String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.headers Property

HttpRequestMockheaders Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.headers"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, string> headers { get; set; }
Public Property headers As IDictionary(Of String, String)
    Get
    Set
public:
property IDictionary<String^, String^>^ headers {
    IDictionary<String^, String^>^ get ();
    void set (IDictionary<String^, String^>^ value);
}
member headers : IDictionary<string, string> with get, set

Property Value

Type: IDictionary String, String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.host Property

HttpRequestMockhost Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.host"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string host { get; set; }
Public Property host As String
    Get
    Set
public:
property String^ host {
    String^ get ();
    void set (String^ value);
}
member host : string with get, set

Property Value

Type: String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.Host Property

HttpRequestMockHost Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.Host"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Host { get; }
Public Overridable ReadOnly Property Host As String
    Get
public:
virtual property String^ Host {
    String^ get ();
}
abstract Host : string with get
override Host : string with get

Property Value

Type: String

Implements

IHttpRequestHost
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.httpContext Property

HttpRequestMockhttpContext Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.httpContext"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext httpContext { get; set; }
Public Property httpContext As IHttpContext
    Get
    Set
public:
property IHttpContext^ httpContext {
    IHttpContext^ get ();
    void set (IHttpContext^ value);
}
member httpContext : IHttpContext with get, set

Property Value

Type: IHttpContext
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.HttpContext Property

HttpRequestMockHttpContext Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.HttpContext"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpContext HttpContext { get; }
Public Overridable ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get ();
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpRequestHttpContext
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.isHttps Property

HttpRequestMockisHttps Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.isHttps"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool isHttps { get; set; }
Public Property isHttps As Boolean
    Get
    Set
public:
property bool isHttps {
    bool get ();
    void set (bool value);
}
member isHttps : bool with get, set

Property Value

Type: Boolean
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.IsHttps Property

HttpRequestMockIsHttps Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.IsHttps"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool IsHttps { get; }
Public Overridable ReadOnly Property IsHttps As Boolean
    Get
public:
virtual property bool IsHttps {
    bool get ();
}
abstract IsHttps : bool with get
override IsHttps : bool with get

Property Value

Type: Boolean

Implements

IHttpRequestIsHttps
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.method Property

HttpRequestMockmethod Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.method"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string method { get; set; }
Public Property method As String
    Get
    Set
public:
property String^ method {
    String^ get ();
    void set (String^ value);
}
member method : string with get, set

Property Value

Type: String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.Method Property

HttpRequestMockMethod Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.Method"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Method { get; }
Public Overridable ReadOnly Property Method As String
    Get
public:
virtual property String^ Method {
    String^ get ();
}
abstract Method : string with get
override Method : string with get

Property Value

Type: String

Implements

IHttpRequestMethod
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.path Property

HttpRequestMockpath Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.path"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string path { get; set; }
Public Property path As String
    Get
    Set
public:
property String^ path {
    String^ get ();
    void set (String^ value);
}
member path : string with get, set

Property Value

Type: String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.Path Property

HttpRequestMockPath Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.Path"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Path { get; }
Public Overridable ReadOnly Property Path As String
    Get
public:
virtual property String^ Path {
    String^ get ();
}
abstract Path : string with get
override Path : string with get

Property Value

Type: String

Implements

IHttpRequestPath
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.postedFiles Property

HttpRequestMockpostedFiles Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.postedFiles"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, IHttpPostedFile> postedFiles { get; set; }
Public Property postedFiles As IDictionary(Of String, IHttpPostedFile)
    Get
    Set
public:
property IDictionary<String^, IHttpPostedFile^>^ postedFiles {
    IDictionary<String^, IHttpPostedFile^>^ get ();
    void set (IDictionary<String^, IHttpPostedFile^>^ value);
}
member postedFiles : IDictionary<string, IHttpPostedFile> with get, set

Property Value

Type: IDictionary String, IHttpPostedFile
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.protocol Property

HttpRequestMockprotocol Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.protocol"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string protocol { get; set; }
Public Property protocol As String
    Get
    Set
public:
property String^ protocol {
    String^ get ();
    void set (String^ value);
}
member protocol : string with get, set

Property Value

Type: String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.Protocol Property

HttpRequestMockProtocol Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.Protocol"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Protocol { get; }
Public Overridable ReadOnly Property Protocol As String
    Get
public:
virtual property String^ Protocol {
    String^ get ();
}
abstract Protocol : string with get
override Protocol : string with get

Property Value

Type: String

Implements

IHttpRequestProtocol
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.query Property

HttpRequestMockquery Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.query"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, IList<string>> query { get; set; }
Public Property query As IDictionary(Of String, IList(Of String))
    Get
    Set
public:
property IDictionary<String^, IList<String^>^>^ query {
    IDictionary<String^, IList<String^>^>^ get ();
    void set (IDictionary<String^, IList<String^>^>^ value);
}
member query : IDictionary<string, IList<string>> with get, set

Property Value

Type: IDictionary String, IList String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.queryString Property

HttpRequestMockqueryString Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.queryString"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string queryString { get; set; }
Public Property queryString As String
    Get
    Set
public:
property String^ queryString {
    String^ get ();
    void set (String^ value);
}
member queryString : string with get, set

Property Value

Type: String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.QueryString Property

HttpRequestMockQueryString Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.QueryString"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string QueryString { get; }
Public Overridable ReadOnly Property QueryString As String
    Get
public:
virtual property String^ QueryString {
    String^ get ();
}
abstract QueryString : string with get
override QueryString : string with get

Property Value

Type: String

Implements

IHttpRequestQueryString
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.remoteIpAddress Property

HttpRequestMockremoteIpAddress Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.remoteIpAddress"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IPAddress remoteIpAddress { get; set; }
Public Property remoteIpAddress As IPAddress
    Get
    Set
public:
property IPAddress^ remoteIpAddress {
    IPAddress^ get ();
    void set (IPAddress^ value);
}
member remoteIpAddress : IPAddress with get, set

Property Value

Type: IPAddress
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.RemoteIpAddress Property

HttpRequestMockRemoteIpAddress Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.RemoteIpAddress"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IPAddress RemoteIpAddress { get; }
Public Overridable ReadOnly Property RemoteIpAddress As IPAddress
    Get
public:
virtual property IPAddress^ RemoteIpAddress {
    IPAddress^ get ();
}
abstract RemoteIpAddress : IPAddress with get
override RemoteIpAddress : IPAddress with get

Property Value

Type: IPAddress

Implements

IHttpRequestRemoteIpAddress
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.remotePort Property

HttpRequestMockremotePort Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.remotePort"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public int remotePort { get; set; }
Public Property remotePort As Integer
    Get
    Set
public:
property int remotePort {
    int get ();
    void set (int value);
}
member remotePort : int with get, set

Property Value

Type: Int32
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.RemotePort Property

HttpRequestMockRemotePort Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.RemotePort"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual int RemotePort { get; }
Public Overridable ReadOnly Property RemotePort As Integer
    Get
public:
virtual property int RemotePort {
    int get ();
}
abstract RemotePort : int with get
override RemotePort : int with get

Property Value

Type: Int32

Implements

IHttpRequestRemotePort
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.scheme Property

HttpRequestMockscheme Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.scheme"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string scheme { get; set; }
Public Property scheme As String
    Get
    Set
public:
property String^ scheme {
    String^ get ();
    void set (String^ value);
}
member scheme : string with get, set

Property Value

Type: String
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.Scheme Property

HttpRequestMockScheme Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpRequestMock.Scheme"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Scheme { get; }
Public Overridable ReadOnly Property Scheme As String
    Get
public:
virtual property String^ Scheme {
    String^ get ();
}
abstract Scheme : string with get
override Scheme : string with get

Property Value

Type: String

Implements

IHttpRequestScheme
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock Methods

The HttpRequestMock type exposes the following members.

Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetCookie Method

HttpRequestMockGetCookie Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetCookie(System.String)"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetCookie(
    string key
)
Public Overridable Function GetCookie (
    key As String
) As String
public:
virtual String^ GetCookie(
    String^ key
)
abstract GetCookie :
        key : string -> string
override GetCookie :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetCookie(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetCookie(System.String)"]

Implements

IHttpRequestGetCookie(String)
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetCookies Method

HttpRequestMockGetCookies Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetCookies"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, string>> GetCookies()
Public Overridable Function GetCookies As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetCookies()
abstract GetCookies : unit -> IEnumerable<Pair<string, string>>
override GetCookies : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetCookies"]

Implements

IHttpRequestGetCookies
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetFormValue Method

HttpRequestMockGetFormValue Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetFormValue(System.String)"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<string> GetFormValue(
    string key
)
Public Overridable Function GetFormValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetFormValue(
    String^ key
)
abstract GetFormValue :
        key : string -> IList<string>
override GetFormValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetFormValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetFormValue(System.String)"]

Implements

IHttpRequestGetFormValue(String)
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetFormValues Method

HttpRequestMockGetFormValues Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetFormValues"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, IList<string>>> GetFormValues()
Public Overridable Function GetFormValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetFormValues()
abstract GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetFormValues"]

Implements

IHttpRequestGetFormValues
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetHeader Method

HttpRequestMockGetHeader Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetHeader(System.String)"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetHeader(
    string key
)
Public Overridable Function GetHeader (
    key As String
) As String
public:
virtual String^ GetHeader(
    String^ key
)
abstract GetHeader :
        key : string -> string
override GetHeader :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetHeader(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetHeader(System.String)"]

Implements

IHttpRequestGetHeader(String)
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetHeaders Method

HttpRequestMockGetHeaders Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetHeaders"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, string>> GetHeaders()
Public Overridable Function GetHeaders As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetHeaders()
abstract GetHeaders : unit -> IEnumerable<Pair<string, string>>
override GetHeaders : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetHeaders"]

Implements

IHttpRequestGetHeaders
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetPostedFile Method

HttpRequestMockGetPostedFile Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetPostedFile(System.String)"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpPostedFile GetPostedFile(
    string key
)
Public Overridable Function GetPostedFile (
    key As String
) As IHttpPostedFile
public:
virtual IHttpPostedFile^ GetPostedFile(
    String^ key
)
abstract GetPostedFile :
        key : string -> IHttpPostedFile
override GetPostedFile :
        key : string -> IHttpPostedFile

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetPostedFile(System.String)"]

Return Value

Type: IHttpPostedFile

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetPostedFile(System.String)"]

Implements

IHttpRequestGetPostedFile(String)
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetPostedFiles Method

HttpRequestMockGetPostedFiles Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetPostedFiles"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, IHttpPostedFile>> GetPostedFiles()
Public Overridable Function GetPostedFiles As IEnumerable(Of Pair(Of String, IHttpPostedFile))
public:
virtual IEnumerable<Pair<String^, IHttpPostedFile^>>^ GetPostedFiles()
abstract GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>
override GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>

Return Value

Type: IEnumerable Pair String, IHttpPostedFile

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetPostedFiles"]

Implements

IHttpRequestGetPostedFiles
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetQueryValue Method

HttpRequestMockGetQueryValue Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetQueryValue(System.String)"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<string> GetQueryValue(
    string key
)
Public Overridable Function GetQueryValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetQueryValue(
    String^ key
)
abstract GetQueryValue :
        key : string -> IList<string>
override GetQueryValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetQueryValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetQueryValue(System.String)"]

Implements

IHttpRequestGetQueryValue(String)
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpRequestMock.GetQueryValues Method

HttpRequestMockGetQueryValues Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetQueryValues"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, IList<string>>> GetQueryValues()
Public Overridable Function GetQueryValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetQueryValues()
abstract GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpRequestMock.GetQueryValues"]

Implements

IHttpRequestGetQueryValues
See Also

Reference

HttpRequestMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock Class
Http response mock class
Http回应的模拟类
Inheritance Hierarchy
SystemObject
ZKWebStandard.Web.MockHttpResponseMock

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public class HttpResponseMock : IHttpResponse
Public Class HttpResponseMock
    Implements IHttpResponse
public ref class HttpResponseMock : IHttpResponse
type HttpResponseMock =
    class
        interface IHttpResponse
    end

The HttpResponseMock type exposes the following members.

Constructors
 | Name | Description
Public method | HttpResponseMock | Initializes a new instance of the HttpResponseMock class
Top
Properties
 | Name | Description
Public property | body |
Public property | Body |
Public property | ContentType |
Public property | cookies |
Public property | headers |
Public property | httpContext |
Public property | HttpContext |
Public property | isEnd |
Public property | lastRedirect |
Public property | lastRedirectIsPermanent |
Public property | StatusCode |
Top
Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | GetContentsFromBody |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

ZKWebStandard.Web.Mock Namespace


HttpResponseMock Constructor

Initializes a new instance of the HttpResponseMock class

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpResponseMock(
    IHttpContext context
)
Public Sub New (
    context As IHttpContext
)
public:
HttpResponseMock(
    IHttpContext^ context
)
new :
        context : IHttpContext -> HttpResponseMock

Parameters

context
Type: ZKWebStandard.WebIHttpContext

[Missing <param name="context"/> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.#ctor(ZKWebStandard.Web.IHttpContext)"]

See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock Properties

The HttpResponseMock type exposes the following members.

Properties
 | Name | Description
Public property | body |
Public property | Body |
Public property | ContentType |
Public property | cookies |
Public property | headers |
Public property | httpContext |
Public property | HttpContext |
Public property | isEnd |
Public property | lastRedirect |
Public property | lastRedirectIsPermanent |
Public property | StatusCode |
Top
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.body Property

HttpResponseMockbody Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.body"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public Stream body { get; set; }
Public Property body As Stream
    Get
    Set
public:
property Stream^ body {
    Stream^ get ();
    void set (Stream^ value);
}
member body : Stream with get, set

Property Value

Type: Stream
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.Body Property

HttpResponseMockBody Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.Body"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Stream Body { get; }
Public Overridable ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get ();
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpResponseBody
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.ContentType Property

HttpResponseMockContentType Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.ContentType"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ContentType { get; set; }
Public Overridable Property ContentType As String
    Get
    Set
public:
virtual property String^ ContentType {
    String^ get ();
    void set (String^ value);
}
abstract ContentType : string with get, set
override ContentType : string with get, set

Property Value

Type: String

Implements

IHttpResponseContentType
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.cookies Property

HttpResponseMockcookies Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.cookies"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, string> cookies { get; set; }
Public Property cookies As IDictionary(Of String, String)
    Get
    Set
public:
property IDictionary<String^, String^>^ cookies {
    IDictionary<String^, String^>^ get ();
    void set (IDictionary<String^, String^>^ value);
}
member cookies : IDictionary<string, string> with get, set

Property Value

Type: IDictionary String, String
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.headers Property

HttpResponseMockheaders Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.headers"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IDictionary<string, IList<string>> headers { get; set; }
Public Property headers As IDictionary(Of String, IList(Of String))
    Get
    Set
public:
property IDictionary<String^, IList<String^>^>^ headers {
    IDictionary<String^, IList<String^>^>^ get ();
    void set (IDictionary<String^, IList<String^>^>^ value);
}
member headers : IDictionary<string, IList<string>> with get, set

Property Value

Type: IDictionary String, IList String
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.httpContext Property

HttpResponseMockhttpContext Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.httpContext"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public IHttpContext httpContext { get; set; }
Public Property httpContext As IHttpContext
    Get
    Set
public:
property IHttpContext^ httpContext {
    IHttpContext^ get ();
    void set (IHttpContext^ value);
}
member httpContext : IHttpContext with get, set

Property Value

Type: IHttpContext
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.HttpContext Property

HttpResponseMockHttpContext Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.HttpContext"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpContext HttpContext { get; }
Public Overridable ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get ();
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpResponseHttpContext
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.isEnd Property

HttpResponseMockisEnd Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.isEnd"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool isEnd { get; set; }
Public Property isEnd As Boolean
    Get
    Set
public:
property bool isEnd {
    bool get ();
    void set (bool value);
}
member isEnd : bool with get, set

Property Value

Type: Boolean
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.lastRedirect Property

HttpResponseMocklastRedirect Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.lastRedirect"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public string lastRedirect { get; set; }
Public Property lastRedirect As String
    Get
    Set
public:
property String^ lastRedirect {
    String^ get ();
    void set (String^ value);
}
member lastRedirect : string with get, set

Property Value

Type: String
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.lastRedirectIsPermanent Property

HttpResponseMocklastRedirectIsPermanent Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.lastRedirectIsPermanent"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public bool lastRedirectIsPermanent { get; set; }
Public Property lastRedirectIsPermanent As Boolean
    Get
    Set
public:
property bool lastRedirectIsPermanent {
    bool get ();
    void set (bool value);
}
member lastRedirectIsPermanent : bool with get, set

Property Value

Type: Boolean
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.StatusCode Property

HttpResponseMockStatusCode Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Mock.HttpResponseMock.StatusCode"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual int StatusCode { get; set; }
Public Overridable Property StatusCode As Integer
    Get
    Set
public:
virtual property int StatusCode {
    int get ();
    void set (int value);
}
abstract StatusCode : int with get, set
override StatusCode : int with get, set

Property Value

Type: Int32

Implements

IHttpResponseStatusCode
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock Methods

The HttpResponseMock type exposes the following members.

Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | GetContentsFromBody |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.AddHeader Method

HttpResponseMockAddHeader Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.AddHeader(System.String,System.String)"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddHeader(
    string key,
    string value
)
Public Overridable Sub AddHeader (
    key As String,
    value As String
)
public:
virtual void AddHeader(
    String^ key,
    String^ value
)
abstract AddHeader :
        key : string *
        value : string -> unit
override AddHeader :
        key : string *
        value : string -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.AddHeader(System.String,System.String)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.AddHeader(System.String,System.String)"]

Implements

IHttpResponseAddHeader(String, String)
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.End Method

HttpResponseMockEnd Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.End"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void End()
Public Overridable Sub End
public:
virtual void End()
abstract End : unit -> unit
override End : unit -> unit

Implements

IHttpResponseEnd
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.GetContentsFromBody Method

HttpResponseMockGetContentsFromBody Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.GetContentsFromBody"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetContentsFromBody()
Public Overridable Function GetContentsFromBody As String
public:
virtual String^ GetContentsFromBody()
abstract GetContentsFromBody : unit -> string
override GetContentsFromBody : unit -> string

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.GetContentsFromBody"]

See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.Redirect Method

HttpResponseMockRedirect Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.Redirect(System.String,System.Boolean)"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Redirect(
    string url,
    bool permanent
)
Public Overridable Sub Redirect (
    url As String,
    permanent As Boolean
)
public:
virtual void Redirect(
    String^ url,
    bool permanent
)
abstract Redirect :
        url : string *
        permanent : bool -> unit
override Redirect :
        url : string *
        permanent : bool -> unit

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.Redirect(System.String,System.Boolean)"]

permanent
Type: SystemBoolean

[Missing <param name="permanent"/> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.Redirect(System.String,System.Boolean)"]

Implements

IHttpResponseRedirect(String, Boolean)
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


HttpResponseMock.SetCookie Method

HttpResponseMockSetCookie Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Namespace: ZKWebStandard.Web.Mock
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SetCookie(
    string key,
    string value,
    HttpCookieOptions options
)
Public Overridable Sub SetCookie (
    key As String,
    value As String,
    options As HttpCookieOptions
)
public:
virtual void SetCookie(
    String^ key,
    String^ value,
    HttpCookieOptions^ options
)
abstract SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit
override SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

options
Type: ZKWebStandard.WebHttpCookieOptions

[Missing <param name="options"/> documentation for "M:ZKWebStandard.Web.Mock.HttpResponseMock.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Implements

IHttpResponseSetCookie(String, String, HttpCookieOptions)
See Also

Reference

HttpResponseMock Class
ZKWebStandard.Web.Mock Namespace


ZKWebStandard.Web.Wrappers Namespace

[Missing <summary> documentation for "N:ZKWebStandard.Web.Wrappers"]

Classes
 | Class | Description
Public class | HttpContextWrapper | Http context wrapper base class Http上下文包装类的基类
Public class | HttpRequestWrapper | Http request wrapper base class Http请求包装类的基类
Public class | HttpResponseWrapper | Http response wrapper base class Http回应包装类的基类


HttpContextWrapper Class
Http context wrapper base class
Http上下文包装类的基类
Inheritance Hierarchy
SystemObject
ZKWebStandard.Web.WrappersHttpContextWrapper

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class HttpContextWrapper : IHttpContext
Public MustInherit Class HttpContextWrapper
    Implements IHttpContext
public ref class HttpContextWrapper abstract : IHttpContext
[<AbstractClassAttribute>]
type HttpContextWrapper =
    class
        interface IHttpContext
    end

The HttpContextWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | HttpContextWrapper | Initializes a new instance of the HttpContextWrapper class
Top
Properties
 | Name | Description
Public property | Items |
Protected property | OriginalContext |
Public property | Request |
Public property | Response |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

ZKWebStandard.Web.Wrappers Namespace


HttpContextWrapper Constructor

Initializes a new instance of the HttpContextWrapper class

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpContextWrapper(
    IHttpContext originalContext
)
Public Sub New (
    originalContext As IHttpContext
)
public:
HttpContextWrapper(
    IHttpContext^ originalContext
)
new :
        originalContext : IHttpContext -> HttpContextWrapper

Parameters

originalContext
Type: ZKWebStandard.WebIHttpContext

[Missing <param name="originalContext"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpContextWrapper.#ctor(ZKWebStandard.Web.IHttpContext)"]

See Also

Reference

HttpContextWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpContextWrapper Properties

The HttpContextWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Items |
Protected property | OriginalContext |
Public property | Request |
Public property | Response |
Top
See Also

Reference

HttpContextWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpContextWrapper.Items Property

HttpContextWrapperItems Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpContextWrapper.Items"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IDictionary<Object, Object> Items { get; }
Public Overridable ReadOnly Property Items As IDictionary(Of Object, Object)
    Get
public:
virtual property IDictionary<Object^, Object^>^ Items {
    IDictionary<Object^, Object^>^ get ();
}
abstract Items : IDictionary<Object, Object> with get
override Items : IDictionary<Object, Object> with get

Property Value

Type: IDictionary Object, Object

Implements

IHttpContextItems
See Also

Reference

HttpContextWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpContextWrapper.OriginalContext Property

HttpContextWrapperOriginalContext Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpContextWrapper.OriginalContext"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected virtual IHttpContext OriginalContext { get; set; }
Protected Overridable Property OriginalContext As IHttpContext
    Get
    Set
protected:
virtual property IHttpContext^ OriginalContext {
    IHttpContext^ get ();
    void set (IHttpContext^ value);
}
abstract OriginalContext : IHttpContext with get, set
override OriginalContext : IHttpContext with get, set

Property Value

Type: IHttpContext
See Also

Reference

HttpContextWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpContextWrapper.Request Property

HttpContextWrapperRequest Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpContextWrapper.Request"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpRequest Request { get; }
Public Overridable ReadOnly Property Request As IHttpRequest
    Get
public:
virtual property IHttpRequest^ Request {
    IHttpRequest^ get ();
}
abstract Request : IHttpRequest with get
override Request : IHttpRequest with get

Property Value

Type: IHttpRequest

Implements

IHttpContextRequest
See Also

Reference

HttpContextWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpContextWrapper.Response Property

HttpContextWrapperResponse Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpContextWrapper.Response"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpResponse Response { get; }
Public Overridable ReadOnly Property Response As IHttpResponse
    Get
public:
virtual property IHttpResponse^ Response {
    IHttpResponse^ get ();
}
abstract Response : IHttpResponse with get
override Response : IHttpResponse with get

Property Value

Type: IHttpResponse

Implements

IHttpContextResponse
See Also

Reference

HttpContextWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpContextWrapper Methods

The HttpContextWrapper type exposes the following members.

Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetClientDevice | Get client device type From Cache => Cookie => User-Agent 获取客户端的设备类型 顺序 缓存 => Cookie值 => User-Agent (Defined by IHttpContextExtensions.)
Public Extension Method | GetCookie | Get cookie value from http context 获取Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | GetDataT | Get associated data from http context 获取Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | GetOrCreateDataT | Get associated data from http context, create it first if not exist 获取Http上下文的关联数据, 如果不存在则创建 (Defined by IHttpContextExtensions.)
Public Extension Method | PutCookie | Put cookie value to http context 设置Http上下文中的Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | PutDataT | Put associated data to http context 插入Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveCookie | Remove cookie value 删除Cookie值 (Defined by IHttpContextExtensions.)
Public Extension Method | RemoveData | Remove associated data from http context 删除Http上下文的关联数据 (Defined by IHttpContextExtensions.)
Public Extension Method | SetClientDeviceToCookies | Set device type to cookies Next time will use this value instead of the value detect from user agent 设置客户端的设备类型 下次请求将会使用这个值代替User-Agent中的值 (Defined by IHttpContextExtensions.)
Top
See Also

Reference

HttpContextWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper Class
Http request wrapper base class
Http请求包装类的基类
Inheritance Hierarchy
SystemObject
ZKWebStandard.Web.WrappersHttpRequestWrapper
ZKWeb.Templating.TemplateTagsFetchFetchHttpRequest

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class HttpRequestWrapper : IHttpRequest
Public MustInherit Class HttpRequestWrapper
    Implements IHttpRequest
public ref class HttpRequestWrapper abstract : IHttpRequest
[<AbstractClassAttribute>]
type HttpRequestWrapper =
    class
        interface IHttpRequest
    end

The HttpRequestWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | HttpRequestWrapper | Initializes a new instance of the HttpRequestWrapper class
Top
Properties
 | Name | Description
Public property | Body |
Public property | ContentLength |
Public property | ContentType |
Public property | Host |
Public property | HttpContext |
Public property | IsHttps |
Public property | Method |
Protected property | OriginalRequest |
Public property | Path |
Public property | Protocol |
Public property | QueryString |
Public property | RemoteIpAddress |
Public property | RemotePort |
Public property | Scheme |
Top
Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper Constructor

Initializes a new instance of the HttpRequestWrapper class

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpRequestWrapper(
    IHttpRequest originalRequest
)
Public Sub New (
    originalRequest As IHttpRequest
)
public:
HttpRequestWrapper(
    IHttpRequest^ originalRequest
)
new :
        originalRequest : IHttpRequest -> HttpRequestWrapper

Parameters

originalRequest
Type: ZKWebStandard.WebIHttpRequest

[Missing <param name="originalRequest"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.#ctor(ZKWebStandard.Web.IHttpRequest)"]

See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper Properties

The HttpRequestWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Body |
Public property | ContentLength |
Public property | ContentType |
Public property | Host |
Public property | HttpContext |
Public property | IsHttps |
Public property | Method |
Protected property | OriginalRequest |
Public property | Path |
Public property | Protocol |
Public property | QueryString |
Public property | RemoteIpAddress |
Public property | RemotePort |
Public property | Scheme |
Top
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.Body Property

HttpRequestWrapperBody Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.Body"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Stream Body { get; }
Public Overridable ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get ();
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpRequestBody
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.ContentLength Property

HttpRequestWrapperContentLength Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.ContentLength"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Nullable<long> ContentLength { get; }
Public Overridable ReadOnly Property ContentLength As Nullable(Of Long)
    Get
public:
virtual property Nullable<long long> ContentLength {
    Nullable<long long> get ();
}
abstract ContentLength : Nullable<int64> with get
override ContentLength : Nullable<int64> with get

Property Value

Type: Nullable Int64

Implements

IHttpRequestContentLength
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.ContentType Property

HttpRequestWrapperContentType Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.ContentType"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ContentType { get; }
Public Overridable ReadOnly Property ContentType As String
    Get
public:
virtual property String^ ContentType {
    String^ get ();
}
abstract ContentType : string with get
override ContentType : string with get

Property Value

Type: String

Implements

IHttpRequestContentType
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.Host Property

HttpRequestWrapperHost Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.Host"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Host { get; }
Public Overridable ReadOnly Property Host As String
    Get
public:
virtual property String^ Host {
    String^ get ();
}
abstract Host : string with get
override Host : string with get

Property Value

Type: String

Implements

IHttpRequestHost
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.HttpContext Property

HttpRequestWrapperHttpContext Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.HttpContext"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpContext HttpContext { get; }
Public Overridable ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get ();
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpRequestHttpContext
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.IsHttps Property

HttpRequestWrapperIsHttps Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.IsHttps"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual bool IsHttps { get; }
Public Overridable ReadOnly Property IsHttps As Boolean
    Get
public:
virtual property bool IsHttps {
    bool get ();
}
abstract IsHttps : bool with get
override IsHttps : bool with get

Property Value

Type: Boolean

Implements

IHttpRequestIsHttps
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.Method Property

HttpRequestWrapperMethod Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.Method"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Method { get; }
Public Overridable ReadOnly Property Method As String
    Get
public:
virtual property String^ Method {
    String^ get ();
}
abstract Method : string with get
override Method : string with get

Property Value

Type: String

Implements

IHttpRequestMethod
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.OriginalRequest Property

HttpRequestWrapperOriginalRequest Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.OriginalRequest"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IHttpRequest OriginalRequest { get; set; }
Protected Property OriginalRequest As IHttpRequest
    Get
    Set
protected:
property IHttpRequest^ OriginalRequest {
    IHttpRequest^ get ();
    void set (IHttpRequest^ value);
}
member OriginalRequest : IHttpRequest with get, set

Property Value

Type: IHttpRequest
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.Path Property

HttpRequestWrapperPath Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.Path"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Path { get; }
Public Overridable ReadOnly Property Path As String
    Get
public:
virtual property String^ Path {
    String^ get ();
}
abstract Path : string with get
override Path : string with get

Property Value

Type: String

Implements

IHttpRequestPath
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.Protocol Property

HttpRequestWrapperProtocol Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.Protocol"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Protocol { get; }
Public Overridable ReadOnly Property Protocol As String
    Get
public:
virtual property String^ Protocol {
    String^ get ();
}
abstract Protocol : string with get
override Protocol : string with get

Property Value

Type: String

Implements

IHttpRequestProtocol
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.QueryString Property

HttpRequestWrapperQueryString Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.QueryString"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string QueryString { get; }
Public Overridable ReadOnly Property QueryString As String
    Get
public:
virtual property String^ QueryString {
    String^ get ();
}
abstract QueryString : string with get
override QueryString : string with get

Property Value

Type: String

Implements

IHttpRequestQueryString
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.RemoteIpAddress Property

HttpRequestWrapperRemoteIpAddress Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.RemoteIpAddress"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IPAddress RemoteIpAddress { get; }
Public Overridable ReadOnly Property RemoteIpAddress As IPAddress
    Get
public:
virtual property IPAddress^ RemoteIpAddress {
    IPAddress^ get ();
}
abstract RemoteIpAddress : IPAddress with get
override RemoteIpAddress : IPAddress with get

Property Value

Type: IPAddress

Implements

IHttpRequestRemoteIpAddress
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.RemotePort Property

HttpRequestWrapperRemotePort Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.RemotePort"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual int RemotePort { get; }
Public Overridable ReadOnly Property RemotePort As Integer
    Get
public:
virtual property int RemotePort {
    int get ();
}
abstract RemotePort : int with get
override RemotePort : int with get

Property Value

Type: Int32

Implements

IHttpRequestRemotePort
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.Scheme Property

HttpRequestWrapperScheme Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.Scheme"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string Scheme { get; }
Public Overridable ReadOnly Property Scheme As String
    Get
public:
virtual property String^ Scheme {
    String^ get ();
}
abstract Scheme : string with get
override Scheme : string with get

Property Value

Type: String

Implements

IHttpRequestScheme
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper Methods

The HttpRequestWrapper type exposes the following members.

Methods
 | Name | Description
Public method | GetCookie |
Public method | GetCookies |
Public method | GetFormValue |
Public method | GetFormValues |
Public method | GetHeader |
Public method | GetHeaders |
Public method | GetPostedFile |
Public method | GetPostedFiles |
Public method | GetQueryValue |
Public method | GetQueryValues |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | GetT | Get argument from http request Priority: Form > QueryString > Json > PostedFile 获取Http请求中的参数 优先度: 表单内容 > Url参数 > Json > 提交文件 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAcceptLanguages | Get accept languages from http request 获取Http请求的Accept-Language (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAll | Get all arguments from http request Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllAsT | Get all parameters into a given type 获取Http请求中的所有参数, 以指定类型返回 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetAllDictionary | Get all arguments from http request in dictionary Posted files are not included Priority: Form > QueryString > Json 获取Http请求中的所有参数, 形式是词典 不包含提交文件 优先度: 表单内容 > Url参数 > Json (Defined by IHttpRequestExtensions.)
Public Extension Method | GetBytesRange | Get range request in bytes 获取Http请求的Range http://stackoverflow.com/questions/3303029/http-range-header Eg: "Range: bytes=3744-", "Range: bytes=3744-3800" (Defined by IHttpRequestExtensions.)
Public Extension Method | GetIfModifiedSince | Get "If-Modified-Since" header's value from http request Return DateTime.MinValue if not found 获取Http请求的If-Modified-Since 如果无则返回DateTime.MinValue (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBody | If http request content is json then return json string otherwise return null 如果Http请求的内容是json则返回json字符串 否则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetJsonBodyDictionary | If http request content is json then return a dictionary deserialized from content otherwise return a empty dictionary 如果Http请求的内容是json则返回一个反序列化后的词典对象 否则返回一个空词典 (Defined by IHttpRequestExtensions.)
Public Extension Method | GetReferer | Get Referer from http request Return null if not exist 获取Http请求的Referer 如果无则返回null (Defined by IHttpRequestExtensions.)
Public Extension Method | GetUserAgent | Get user agent from http request 获取Http请求的User-Agent (Defined by IHttpRequestExtensions.)
Public Extension Method | IsAjaxRequest | Determine it's a ajax http request 检测Http请求是否ajax请求 (Defined by IHttpRequestExtensions.)
Top
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetCookie Method

HttpRequestWrapperGetCookie Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetCookie(System.String)"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetCookie(
    string key
)
Public Overridable Function GetCookie (
    key As String
) As String
public:
virtual String^ GetCookie(
    String^ key
)
abstract GetCookie :
        key : string -> string
override GetCookie :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetCookie(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetCookie(System.String)"]

Implements

IHttpRequestGetCookie(String)
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetCookies Method

HttpRequestWrapperGetCookies Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetCookies"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, string>> GetCookies()
Public Overridable Function GetCookies As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetCookies()
abstract GetCookies : unit -> IEnumerable<Pair<string, string>>
override GetCookies : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetCookies"]

Implements

IHttpRequestGetCookies
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetFormValue Method

HttpRequestWrapperGetFormValue Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetFormValue(System.String)"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<string> GetFormValue(
    string key
)
Public Overridable Function GetFormValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetFormValue(
    String^ key
)
abstract GetFormValue :
        key : string -> IList<string>
override GetFormValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetFormValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetFormValue(System.String)"]

Implements

IHttpRequestGetFormValue(String)
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetFormValues Method

HttpRequestWrapperGetFormValues Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetFormValues"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, IList<string>>> GetFormValues()
Public Overridable Function GetFormValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetFormValues()
abstract GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetFormValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetFormValues"]

Implements

IHttpRequestGetFormValues
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetHeader Method

HttpRequestWrapperGetHeader Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetHeader(System.String)"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string GetHeader(
    string key
)
Public Overridable Function GetHeader (
    key As String
) As String
public:
virtual String^ GetHeader(
    String^ key
)
abstract GetHeader :
        key : string -> string
override GetHeader :
        key : string -> string

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetHeader(System.String)"]

Return Value

Type: String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetHeader(System.String)"]

Implements

IHttpRequestGetHeader(String)
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetHeaders Method

HttpRequestWrapperGetHeaders Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetHeaders"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, string>> GetHeaders()
Public Overridable Function GetHeaders As IEnumerable(Of Pair(Of String, String))
public:
virtual IEnumerable<Pair<String^, String^>>^ GetHeaders()
abstract GetHeaders : unit -> IEnumerable<Pair<string, string>>
override GetHeaders : unit -> IEnumerable<Pair<string, string>>

Return Value

Type: IEnumerable Pair String, String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetHeaders"]

Implements

IHttpRequestGetHeaders
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetPostedFile Method

HttpRequestWrapperGetPostedFile Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetPostedFile(System.String)"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpPostedFile GetPostedFile(
    string key
)
Public Overridable Function GetPostedFile (
    key As String
) As IHttpPostedFile
public:
virtual IHttpPostedFile^ GetPostedFile(
    String^ key
)
abstract GetPostedFile :
        key : string -> IHttpPostedFile
override GetPostedFile :
        key : string -> IHttpPostedFile

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetPostedFile(System.String)"]

Return Value

Type: IHttpPostedFile

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetPostedFile(System.String)"]

Implements

IHttpRequestGetPostedFile(String)
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetPostedFiles Method

HttpRequestWrapperGetPostedFiles Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetPostedFiles"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, IHttpPostedFile>> GetPostedFiles()
Public Overridable Function GetPostedFiles As IEnumerable(Of Pair(Of String, IHttpPostedFile))
public:
virtual IEnumerable<Pair<String^, IHttpPostedFile^>>^ GetPostedFiles()
abstract GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>
override GetPostedFiles : unit -> IEnumerable<Pair<string, IHttpPostedFile>>

Return Value

Type: IEnumerable Pair String, IHttpPostedFile

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetPostedFiles"]

Implements

IHttpRequestGetPostedFiles
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetQueryValue Method

HttpRequestWrapperGetQueryValue Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetQueryValue(System.String)"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IList<string> GetQueryValue(
    string key
)
Public Overridable Function GetQueryValue (
    key As String
) As IList(Of String)
public:
virtual IList<String^>^ GetQueryValue(
    String^ key
)
abstract GetQueryValue :
        key : string -> IList<string>
override GetQueryValue :
        key : string -> IList<string>

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetQueryValue(System.String)"]

Return Value

Type: IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetQueryValue(System.String)"]

Implements

IHttpRequestGetQueryValue(String)
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpRequestWrapper.GetQueryValues Method

HttpRequestWrapperGetQueryValues Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetQueryValues"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IEnumerable<Pair<string, IList<string>>> GetQueryValues()
Public Overridable Function GetQueryValues As IEnumerable(Of Pair(Of String, IList(Of String)))
public:
virtual IEnumerable<Pair<String^, IList<String^>^>>^ GetQueryValues()
abstract GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>
override GetQueryValues : unit -> IEnumerable<Pair<string, IList<string>>>

Return Value

Type: IEnumerable Pair String, IList String

[Missing <returns> documentation for "M:ZKWebStandard.Web.Wrappers.HttpRequestWrapper.GetQueryValues"]

Implements

IHttpRequestGetQueryValues
See Also

Reference

HttpRequestWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper Class
Http response wrapper base class
Http回应包装类的基类
Inheritance Hierarchy
SystemObject
ZKWebStandard.Web.WrappersHttpResponseWrapper

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public abstract class HttpResponseWrapper : IHttpResponse
Public MustInherit Class HttpResponseWrapper
    Implements IHttpResponse
public ref class HttpResponseWrapper abstract : IHttpResponse
[<AbstractClassAttribute>]
type HttpResponseWrapper =
    class
        interface IHttpResponse
    end

The HttpResponseWrapper type exposes the following members.

Constructors
 | Name | Description
Public method | HttpResponseWrapper | Initializes a new instance of the HttpResponseWrapper class
Top
Properties
 | Name | Description
Public property | Body |
Public property | ContentType |
Public property | HttpContext |
Protected property | OriginalResponse |
Public property | StatusCode |
Top
Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper Constructor

Initializes a new instance of the HttpResponseWrapper class

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public HttpResponseWrapper(
    IHttpResponse originalResponse
)
Public Sub New (
    originalResponse As IHttpResponse
)
public:
HttpResponseWrapper(
    IHttpResponse^ originalResponse
)
new :
        originalResponse : IHttpResponse -> HttpResponseWrapper

Parameters

originalResponse
Type: ZKWebStandard.WebIHttpResponse

[Missing <param name="originalResponse"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.#ctor(ZKWebStandard.Web.IHttpResponse)"]

See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper Properties

The HttpResponseWrapper type exposes the following members.

Properties
 | Name | Description
Public property | Body |
Public property | ContentType |
Public property | HttpContext |
Protected property | OriginalResponse |
Public property | StatusCode |
Top
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.Body Property

HttpResponseWrapperBody Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.Body"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual Stream Body { get; }
Public Overridable ReadOnly Property Body As Stream
    Get
public:
virtual property Stream^ Body {
    Stream^ get ();
}
abstract Body : Stream with get
override Body : Stream with get

Property Value

Type: Stream

Implements

IHttpResponseBody
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.ContentType Property

HttpResponseWrapperContentType Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.ContentType"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual string ContentType { get; set; }
Public Overridable Property ContentType As String
    Get
    Set
public:
virtual property String^ ContentType {
    String^ get ();
    void set (String^ value);
}
abstract ContentType : string with get, set
override ContentType : string with get, set

Property Value

Type: String

Implements

IHttpResponseContentType
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.HttpContext Property

HttpResponseWrapperHttpContext Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.HttpContext"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual IHttpContext HttpContext { get; }
Public Overridable ReadOnly Property HttpContext As IHttpContext
    Get
public:
virtual property IHttpContext^ HttpContext {
    IHttpContext^ get ();
}
abstract HttpContext : IHttpContext with get
override HttpContext : IHttpContext with get

Property Value

Type: IHttpContext

Implements

IHttpResponseHttpContext
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.OriginalResponse Property

HttpResponseWrapperOriginalResponse Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.OriginalResponse"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
protected IHttpResponse OriginalResponse { get; set; }
Protected Property OriginalResponse As IHttpResponse
    Get
    Set
protected:
property IHttpResponse^ OriginalResponse {
    IHttpResponse^ get ();
    void set (IHttpResponse^ value);
}
member OriginalResponse : IHttpResponse with get, set

Property Value

Type: IHttpResponse
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.StatusCode Property

HttpResponseWrapperStatusCode Property

[Missing <summary> documentation for "P:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.StatusCode"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual int StatusCode { get; set; }
Public Overridable Property StatusCode As Integer
    Get
    Set
public:
virtual property int StatusCode {
    int get ();
    void set (int value);
}
abstract StatusCode : int with get, set
override StatusCode : int with get, set

Property Value

Type: Int32

Implements

IHttpResponseStatusCode
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper Methods

The HttpResponseWrapper type exposes the following members.

Methods
 | Name | Description
Public method | AddHeader |
Public method | End |
Public method | Redirect |
Public method | SetCookie |
Top
Extension Methods
 | Name | Description
Public Extension Method | ConvertOrDefault(Type, Object) | Overloaded. Convert object to specified type Return default value if failed Flow - If object is Enum and type is int, use Convert.ToInt32 - If object is string and type is Enum, use Enum.Parse - Use Convert.ChangeType - If object is string, use json deserialize(obj, type) - Use json deserialize(serialize(obj), type) 转换对象到指定的类型 失败时返回默认值 流程 - 如果对象是枚举并且类型是int, 使用Convert.ToInt32 - 如果对象是字符串且类型是枚举, 使用Enum.Parse - 使用Convert.ChangeType - 如果对象是字符串, 使用json反序列化 - 使用json反序列化对象的json序列化 (Defined by ObjectExtensions.)
Public Extension Method | ConvertOrDefaultT(T) | Overloaded. Convert object to specified type Return default value if failed 转换对象到指定的类型 失败时返回默认值 (Defined by ObjectExtensions.)
Public Extension Method | EqualsSupportsNull | Compare objects, won't throw exception if any object is null 比较对象, 对象为null时不会抛出例外 (Defined by ObjectExtensions.)
Public Extension Method | RedirectByScript | Redirect to url by javascript Use it instead of 301 redirect can make browser send the referer header 使用javascript重定向到Url 用来代替301跳转可以让浏览器发送Referer头 (Defined by IHttpResponseExtensions.)
Public Extension Method | SetLastModified | Set last modified time to http response 设置内容的最后修改时间到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | Write | Write string to http response 写入字符串到Http回应 (Defined by IHttpResponseExtensions.)
Public Extension Method | WriteFile | Write file to http response 写入文件到Http回应 (Defined by IHttpResponseExtensions.)
Top
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.AddHeader Method

HttpResponseWrapperAddHeader Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.AddHeader(System.String,System.String)"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void AddHeader(
    string key,
    string value
)
Public Overridable Sub AddHeader (
    key As String,
    value As String
)
public:
virtual void AddHeader(
    String^ key,
    String^ value
)
abstract AddHeader :
        key : string *
        value : string -> unit
override AddHeader :
        key : string *
        value : string -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.AddHeader(System.String,System.String)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.AddHeader(System.String,System.String)"]

Implements

IHttpResponseAddHeader(String, String)
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.End Method

HttpResponseWrapperEnd Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.End"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void End()
Public Overridable Sub End
public:
virtual void End()
abstract End : unit -> unit
override End : unit -> unit

Implements

IHttpResponseEnd
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.Redirect Method

HttpResponseWrapperRedirect Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.Redirect(System.String,System.Boolean)"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void Redirect(
    string url,
    bool permanent
)
Public Overridable Sub Redirect (
    url As String,
    permanent As Boolean
)
public:
virtual void Redirect(
    String^ url,
    bool permanent
)
abstract Redirect :
        url : string *
        permanent : bool -> unit
override Redirect :
        url : string *
        permanent : bool -> unit

Parameters

url
Type: SystemString

[Missing <param name="url"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.Redirect(System.String,System.Boolean)"]

permanent
Type: SystemBoolean

[Missing <param name="permanent"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.Redirect(System.String,System.Boolean)"]

Implements

IHttpResponseRedirect(String, Boolean)
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


HttpResponseWrapper.SetCookie Method

HttpResponseWrapperSetCookie Method

[Missing <summary> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Namespace: ZKWebStandard.Web.Wrappers
Assembly: ZKWebStandard (in ZKWebStandard.dll) Version: 1.9.0
Syntax
C#
VB
C++
F#
Copy
public virtual void SetCookie(
    string key,
    string value,
    HttpCookieOptions options
)
Public Overridable Sub SetCookie (
    key As String,
    value As String,
    options As HttpCookieOptions
)
public:
virtual void SetCookie(
    String^ key,
    String^ value,
    HttpCookieOptions^ options
)
abstract SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit
override SetCookie :
        key : string *
        value : string *
        options : HttpCookieOptions -> unit

Parameters

key
Type: SystemString

[Missing <param name="key"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

value
Type: SystemString

[Missing <param name="value"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

options
Type: ZKWebStandard.WebHttpCookieOptions

[Missing <param name="options"/> documentation for "M:ZKWebStandard.Web.Wrappers.HttpResponseWrapper.SetCookie(System.String,System.String,ZKWebStandard.Web.HttpCookieOptions)"]

Implements

IHttpResponseSetCookie(String, String, HttpCookieOptions)
See Also

Reference

HttpResponseWrapper Class
ZKWebStandard.Web.Wrappers Namespace


命名空间

[Missing <summary> documentation for "G:"]

Namespaces
Namespace | Description
Microsoft.AspNetCore.Builder |
Owin |
ZKWeb |
ZKWebStandard |